#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_ddhp(Libderiv_t *, prim_data *);

  /* Computes derivatives of (dd|hp) integrals */

void d12hrr_order_ddhp(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[4][6][11] = int_stack + 0;
 Libderiv->deriv_classes[4][6][10] = int_stack + 420;
 Libderiv->deriv_classes[4][6][9] = int_stack + 840;
 Libderiv->deriv_classes[4][6][8] = int_stack + 1260;
 Libderiv->deriv_classes[4][6][7] = int_stack + 1680;
 Libderiv->dvrr_classes[4][5] = int_stack + 2100;
 Libderiv->deriv_classes[4][6][6] = int_stack + 2415;
 Libderiv->deriv_classes[4][6][2] = int_stack + 2835;
 Libderiv->deriv_classes[4][6][1] = int_stack + 3255;
 Libderiv->dvrr_classes[3][6] = int_stack + 3675;
 Libderiv->deriv_classes[4][6][0] = int_stack + 3955;
 Libderiv->deriv2_classes[2][5][143] = int_stack + 4375;
 Libderiv->deriv2_classes[2][6][143] = int_stack + 4501;
 Libderiv->deriv2_classes[3][5][143] = int_stack + 4669;
 Libderiv->deriv2_classes[3][6][143] = int_stack + 4879;
 Libderiv->deriv2_classes[4][5][143] = int_stack + 5159;
 Libderiv->deriv2_classes[4][6][143] = int_stack + 5474;
 Libderiv->deriv2_classes[2][5][131] = int_stack + 5894;
 Libderiv->deriv2_classes[2][6][131] = int_stack + 6020;
 Libderiv->deriv2_classes[3][5][131] = int_stack + 6188;
 Libderiv->deriv2_classes[3][6][131] = int_stack + 6398;
 Libderiv->deriv2_classes[4][5][131] = int_stack + 6678;
 Libderiv->deriv2_classes[4][6][131] = int_stack + 6993;
 Libderiv->deriv2_classes[2][5][130] = int_stack + 7413;
 Libderiv->deriv2_classes[2][6][130] = int_stack + 7539;
 Libderiv->deriv2_classes[3][5][130] = int_stack + 7707;
 Libderiv->deriv2_classes[3][6][130] = int_stack + 7917;
 Libderiv->deriv2_classes[4][5][130] = int_stack + 8197;
 Libderiv->deriv2_classes[4][6][130] = int_stack + 8512;
 Libderiv->deriv2_classes[2][5][119] = int_stack + 8932;
 Libderiv->deriv2_classes[2][6][119] = int_stack + 9058;
 Libderiv->deriv2_classes[3][5][119] = int_stack + 9226;
 Libderiv->deriv2_classes[3][6][119] = int_stack + 9436;
 Libderiv->deriv2_classes[4][5][119] = int_stack + 9716;
 Libderiv->deriv2_classes[4][6][119] = int_stack + 10031;
 Libderiv->deriv2_classes[2][5][118] = int_stack + 10451;
 Libderiv->deriv2_classes[2][6][118] = int_stack + 10577;
 Libderiv->deriv2_classes[3][5][118] = int_stack + 10745;
 Libderiv->deriv2_classes[3][6][118] = int_stack + 10955;
 Libderiv->deriv2_classes[4][5][118] = int_stack + 11235;
 Libderiv->deriv2_classes[4][6][118] = int_stack + 11550;
 Libderiv->deriv2_classes[2][5][117] = int_stack + 11970;
 Libderiv->deriv2_classes[2][6][117] = int_stack + 12096;
 Libderiv->deriv2_classes[3][5][117] = int_stack + 12264;
 Libderiv->deriv2_classes[3][6][117] = int_stack + 12474;
 Libderiv->deriv2_classes[4][5][117] = int_stack + 12754;
 Libderiv->deriv2_classes[4][6][117] = int_stack + 13069;
 Libderiv->deriv2_classes[2][5][107] = int_stack + 13489;
 Libderiv->deriv2_classes[2][6][107] = int_stack + 13615;
 Libderiv->deriv2_classes[3][5][107] = int_stack + 13783;
 Libderiv->deriv2_classes[3][6][107] = int_stack + 13993;
 Libderiv->deriv2_classes[4][5][107] = int_stack + 14273;
 Libderiv->deriv2_classes[4][6][107] = int_stack + 14588;
 Libderiv->deriv2_classes[2][5][106] = int_stack + 15008;
 Libderiv->deriv2_classes[2][6][106] = int_stack + 15134;
 Libderiv->deriv2_classes[3][5][106] = int_stack + 15302;
 Libderiv->deriv2_classes[3][6][106] = int_stack + 15512;
 Libderiv->deriv2_classes[4][5][106] = int_stack + 15792;
 Libderiv->deriv2_classes[4][6][106] = int_stack + 16107;
 Libderiv->deriv2_classes[2][5][105] = int_stack + 16527;
 Libderiv->deriv2_classes[2][6][105] = int_stack + 16653;
 Libderiv->deriv2_classes[3][5][105] = int_stack + 16821;
 Libderiv->deriv2_classes[3][6][105] = int_stack + 17031;
 Libderiv->deriv2_classes[4][5][105] = int_stack + 17311;
 Libderiv->deriv2_classes[4][6][105] = int_stack + 17626;
 Libderiv->deriv2_classes[2][5][104] = int_stack + 18046;
 Libderiv->deriv2_classes[2][6][104] = int_stack + 18172;
 Libderiv->deriv2_classes[3][5][104] = int_stack + 18340;
 Libderiv->deriv2_classes[3][6][104] = int_stack + 18550;
 Libderiv->deriv2_classes[4][5][104] = int_stack + 18830;
 Libderiv->deriv2_classes[4][6][104] = int_stack + 19145;
 Libderiv->deriv2_classes[2][5][95] = int_stack + 19565;
 Libderiv->deriv2_classes[2][6][95] = int_stack + 19691;
 Libderiv->deriv2_classes[3][5][95] = int_stack + 19859;
 Libderiv->deriv2_classes[3][6][95] = int_stack + 20069;
 Libderiv->deriv2_classes[4][5][95] = int_stack + 20349;
 Libderiv->deriv2_classes[4][6][95] = int_stack + 20664;
 Libderiv->deriv2_classes[2][5][94] = int_stack + 21084;
 Libderiv->deriv2_classes[2][6][94] = int_stack + 21210;
 Libderiv->deriv2_classes[3][5][94] = int_stack + 21378;
 Libderiv->deriv2_classes[3][6][94] = int_stack + 21588;
 Libderiv->deriv2_classes[4][5][94] = int_stack + 21868;
 Libderiv->deriv2_classes[4][6][94] = int_stack + 22183;
 Libderiv->deriv2_classes[2][5][93] = int_stack + 22603;
 Libderiv->deriv2_classes[2][6][93] = int_stack + 22729;
 Libderiv->deriv2_classes[3][5][93] = int_stack + 22897;
 Libderiv->deriv2_classes[3][6][93] = int_stack + 23107;
 Libderiv->deriv2_classes[4][5][93] = int_stack + 23387;
 Libderiv->deriv2_classes[4][6][93] = int_stack + 23702;
 Libderiv->deriv2_classes[2][5][92] = int_stack + 24122;
 Libderiv->deriv2_classes[2][6][92] = int_stack + 24248;
 Libderiv->deriv2_classes[3][5][92] = int_stack + 24416;
 Libderiv->deriv2_classes[3][6][92] = int_stack + 24626;
 Libderiv->deriv2_classes[4][5][92] = int_stack + 24906;
 Libderiv->deriv2_classes[4][6][92] = int_stack + 25221;
 Libderiv->deriv2_classes[2][5][91] = int_stack + 25641;
 Libderiv->deriv2_classes[2][6][91] = int_stack + 25767;
 Libderiv->deriv2_classes[3][5][91] = int_stack + 25935;
 Libderiv->deriv2_classes[3][6][91] = int_stack + 26145;
 Libderiv->deriv2_classes[4][5][91] = int_stack + 26425;
 Libderiv->deriv2_classes[4][6][91] = int_stack + 26740;
 Libderiv->deriv2_classes[2][5][83] = int_stack + 27160;
 Libderiv->deriv2_classes[2][6][83] = int_stack + 27286;
 Libderiv->deriv2_classes[3][5][83] = int_stack + 27454;
 Libderiv->deriv2_classes[3][6][83] = int_stack + 27664;
 Libderiv->deriv_classes[4][5][11] = int_stack + 27944;
 Libderiv->deriv2_classes[4][5][83] = int_stack + 28259;
 Libderiv->deriv2_classes[4][6][83] = int_stack + 28574;
 Libderiv->deriv2_classes[2][5][82] = int_stack + 28994;
 Libderiv->deriv2_classes[2][6][82] = int_stack + 29120;
 Libderiv->deriv2_classes[3][5][82] = int_stack + 29288;
 Libderiv->deriv2_classes[3][6][82] = int_stack + 29498;
 Libderiv->deriv_classes[4][5][10] = int_stack + 29778;
 Libderiv->deriv2_classes[4][5][82] = int_stack + 30093;
 Libderiv->deriv2_classes[4][6][82] = int_stack + 30408;
 Libderiv->deriv2_classes[2][5][81] = int_stack + 30828;
 Libderiv->deriv2_classes[2][6][81] = int_stack + 30954;
 Libderiv->deriv2_classes[3][5][81] = int_stack + 31122;
 Libderiv->deriv2_classes[3][6][81] = int_stack + 31332;
 Libderiv->deriv_classes[4][5][9] = int_stack + 31612;
 Libderiv->deriv2_classes[4][5][81] = int_stack + 31927;
 Libderiv->deriv2_classes[4][6][81] = int_stack + 32242;
 Libderiv->deriv2_classes[2][5][80] = int_stack + 32662;
 Libderiv->deriv2_classes[2][6][80] = int_stack + 32788;
 Libderiv->deriv2_classes[3][5][80] = int_stack + 32956;
 Libderiv->deriv2_classes[3][6][80] = int_stack + 33166;
 Libderiv->deriv_classes[4][5][8] = int_stack + 33446;
 Libderiv->deriv2_classes[4][5][80] = int_stack + 33761;
 Libderiv->deriv2_classes[4][6][80] = int_stack + 34076;
 Libderiv->deriv2_classes[2][5][79] = int_stack + 34496;
 Libderiv->deriv2_classes[2][6][79] = int_stack + 34622;
 Libderiv->deriv2_classes[3][5][79] = int_stack + 34790;
 Libderiv->deriv2_classes[3][6][79] = int_stack + 35000;
 Libderiv->deriv_classes[4][5][7] = int_stack + 35280;
 Libderiv->deriv2_classes[4][5][79] = int_stack + 35595;
 Libderiv->deriv2_classes[4][6][79] = int_stack + 35910;
 Libderiv->deriv2_classes[2][5][78] = int_stack + 36330;
 Libderiv->deriv2_classes[2][6][78] = int_stack + 36456;
 Libderiv->deriv2_classes[3][5][78] = int_stack + 36624;
 Libderiv->deriv2_classes[3][6][78] = int_stack + 36834;
 Libderiv->deriv_classes[4][5][6] = int_stack + 37114;
 Libderiv->deriv2_classes[4][5][78] = int_stack + 37429;
 Libderiv->deriv2_classes[4][6][78] = int_stack + 37744;
 Libderiv->deriv2_classes[2][5][35] = int_stack + 38164;
 Libderiv->deriv2_classes[2][6][35] = int_stack + 38290;
 Libderiv->deriv2_classes[3][5][35] = int_stack + 38458;
 Libderiv->deriv2_classes[3][6][35] = int_stack + 38668;
 Libderiv->deriv2_classes[4][5][35] = int_stack + 38948;
 Libderiv->deriv2_classes[4][6][35] = int_stack + 39263;
 Libderiv->deriv2_classes[2][5][34] = int_stack + 39683;
 Libderiv->deriv2_classes[2][6][34] = int_stack + 39809;
 Libderiv->deriv2_classes[3][5][34] = int_stack + 39977;
 Libderiv->deriv2_classes[3][6][34] = int_stack + 40187;
 Libderiv->deriv2_classes[4][5][34] = int_stack + 40467;
 Libderiv->deriv2_classes[4][6][34] = int_stack + 40782;
 Libderiv->deriv2_classes[2][5][33] = int_stack + 41202;
 Libderiv->deriv2_classes[2][6][33] = int_stack + 41328;
 Libderiv->deriv2_classes[3][5][33] = int_stack + 41496;
 Libderiv->deriv2_classes[3][6][33] = int_stack + 41706;
 Libderiv->deriv2_classes[4][5][33] = int_stack + 41986;
 Libderiv->deriv2_classes[4][6][33] = int_stack + 42301;
 Libderiv->deriv2_classes[2][5][32] = int_stack + 42721;
 Libderiv->deriv2_classes[2][6][32] = int_stack + 42847;
 Libderiv->deriv2_classes[3][5][32] = int_stack + 43015;
 Libderiv->deriv2_classes[3][6][32] = int_stack + 43225;
 Libderiv->deriv2_classes[4][5][32] = int_stack + 43505;
 Libderiv->deriv2_classes[4][6][32] = int_stack + 43820;
 Libderiv->deriv2_classes[2][5][31] = int_stack + 44240;
 Libderiv->deriv2_classes[2][6][31] = int_stack + 44366;
 Libderiv->deriv2_classes[3][5][31] = int_stack + 44534;
 Libderiv->deriv2_classes[3][6][31] = int_stack + 44744;
 Libderiv->deriv2_classes[4][5][31] = int_stack + 45024;
 Libderiv->deriv2_classes[4][6][31] = int_stack + 45339;
 Libderiv->deriv2_classes[2][5][30] = int_stack + 45759;
 Libderiv->deriv2_classes[2][6][30] = int_stack + 45885;
 Libderiv->deriv2_classes[3][5][30] = int_stack + 46053;
 Libderiv->deriv2_classes[3][6][30] = int_stack + 46263;
 Libderiv->deriv_classes[4][5][2] = int_stack + 46543;
 Libderiv->deriv2_classes[4][5][30] = int_stack + 46858;
 Libderiv->deriv2_classes[4][6][30] = int_stack + 47173;
 Libderiv->deriv2_classes[2][5][26] = int_stack + 47593;
 Libderiv->deriv2_classes[2][6][26] = int_stack + 47719;
 Libderiv->deriv2_classes[3][5][26] = int_stack + 47887;
 Libderiv->deriv2_classes[3][6][26] = int_stack + 48097;
 Libderiv->deriv2_classes[4][5][26] = int_stack + 48377;
 Libderiv->deriv2_classes[4][6][26] = int_stack + 48692;
 Libderiv->deriv2_classes[2][5][23] = int_stack + 49112;
 Libderiv->deriv2_classes[2][6][23] = int_stack + 49238;
 Libderiv->deriv2_classes[3][5][23] = int_stack + 49406;
 Libderiv->deriv2_classes[3][6][23] = int_stack + 49616;
 Libderiv->deriv2_classes[4][5][23] = int_stack + 49896;
 Libderiv->deriv2_classes[4][6][23] = int_stack + 50211;
 Libderiv->deriv2_classes[2][5][22] = int_stack + 50631;
 Libderiv->deriv2_classes[2][6][22] = int_stack + 50757;
 Libderiv->deriv2_classes[3][5][22] = int_stack + 50925;
 Libderiv->deriv2_classes[3][6][22] = int_stack + 51135;
 Libderiv->deriv2_classes[4][5][22] = int_stack + 51415;
 Libderiv->deriv2_classes[4][6][22] = int_stack + 51730;
 Libderiv->deriv2_classes[2][5][21] = int_stack + 52150;
 Libderiv->deriv2_classes[2][6][21] = int_stack + 52276;
 Libderiv->deriv2_classes[3][5][21] = int_stack + 52444;
 Libderiv->deriv2_classes[3][6][21] = int_stack + 52654;
 Libderiv->deriv2_classes[4][5][21] = int_stack + 52934;
 Libderiv->deriv2_classes[4][6][21] = int_stack + 53249;
 Libderiv->deriv2_classes[2][5][20] = int_stack + 53669;
 Libderiv->deriv2_classes[2][6][20] = int_stack + 53795;
 Libderiv->deriv2_classes[3][5][20] = int_stack + 53963;
 Libderiv->deriv2_classes[3][6][20] = int_stack + 54173;
 Libderiv->deriv2_classes[4][5][20] = int_stack + 54453;
 Libderiv->deriv2_classes[4][6][20] = int_stack + 54768;
 Libderiv->deriv2_classes[2][5][19] = int_stack + 55188;
 Libderiv->deriv2_classes[2][6][19] = int_stack + 55314;
 Libderiv->deriv2_classes[3][5][19] = int_stack + 55482;
 Libderiv->deriv2_classes[3][6][19] = int_stack + 55692;
 Libderiv->deriv2_classes[4][5][19] = int_stack + 55972;
 Libderiv->deriv2_classes[4][6][19] = int_stack + 56287;
 Libderiv->deriv2_classes[2][5][18] = int_stack + 56707;
 Libderiv->deriv2_classes[2][6][18] = int_stack + 56833;
 Libderiv->deriv2_classes[3][5][18] = int_stack + 57001;
 Libderiv->deriv2_classes[3][6][18] = int_stack + 57211;
 Libderiv->deriv_classes[4][5][1] = int_stack + 57491;
 Libderiv->deriv2_classes[4][5][18] = int_stack + 57806;
 Libderiv->deriv2_classes[4][6][18] = int_stack + 58121;
 Libderiv->deriv2_classes[2][5][14] = int_stack + 58541;
 Libderiv->deriv2_classes[2][6][14] = int_stack + 58667;
 Libderiv->deriv2_classes[3][5][14] = int_stack + 58835;
 Libderiv->deriv2_classes[3][6][14] = int_stack + 59045;
 Libderiv->deriv2_classes[4][5][14] = int_stack + 59325;
 Libderiv->deriv2_classes[4][6][14] = int_stack + 59640;
 Libderiv->deriv2_classes[2][5][13] = int_stack + 60060;
 Libderiv->deriv2_classes[2][6][13] = int_stack + 60186;
 Libderiv->deriv2_classes[3][5][13] = int_stack + 60354;
 Libderiv->deriv2_classes[3][6][13] = int_stack + 60564;
 Libderiv->deriv2_classes[4][5][13] = int_stack + 60844;
 Libderiv->deriv2_classes[4][6][13] = int_stack + 61159;
 Libderiv->deriv_classes[2][5][11] = int_stack + 61579;
 Libderiv->deriv_classes[2][6][11] = int_stack + 61705;
 Libderiv->deriv2_classes[2][5][11] = int_stack + 61873;
 Libderiv->deriv2_classes[2][6][11] = int_stack + 61999;
 Libderiv->deriv_classes[3][5][11] = int_stack + 62167;
 Libderiv->deriv_classes[3][6][11] = int_stack + 62377;
 Libderiv->deriv2_classes[3][5][11] = int_stack + 62657;
 Libderiv->deriv2_classes[3][6][11] = int_stack + 62867;
 Libderiv->deriv2_classes[4][5][11] = int_stack + 63147;
 Libderiv->deriv2_classes[4][6][11] = int_stack + 63462;
 Libderiv->deriv_classes[2][5][10] = int_stack + 63882;
 Libderiv->deriv_classes[2][6][10] = int_stack + 64008;
 Libderiv->deriv2_classes[2][5][10] = int_stack + 64176;
 Libderiv->deriv2_classes[2][6][10] = int_stack + 64302;
 Libderiv->deriv_classes[3][5][10] = int_stack + 64470;
 Libderiv->deriv_classes[3][6][10] = int_stack + 64680;
 Libderiv->deriv2_classes[3][5][10] = int_stack + 64960;
 Libderiv->deriv2_classes[3][6][10] = int_stack + 65170;
 Libderiv->deriv2_classes[4][5][10] = int_stack + 65450;
 Libderiv->deriv2_classes[4][6][10] = int_stack + 65765;
 Libderiv->deriv_classes[2][5][9] = int_stack + 66185;
 Libderiv->deriv_classes[2][6][9] = int_stack + 66311;
 Libderiv->deriv2_classes[2][5][9] = int_stack + 66479;
 Libderiv->deriv2_classes[2][6][9] = int_stack + 66605;
 Libderiv->deriv_classes[3][5][9] = int_stack + 66773;
 Libderiv->deriv_classes[3][6][9] = int_stack + 66983;
 Libderiv->deriv2_classes[3][5][9] = int_stack + 67263;
 Libderiv->deriv2_classes[3][6][9] = int_stack + 67473;
 Libderiv->deriv2_classes[4][5][9] = int_stack + 67753;
 Libderiv->deriv2_classes[4][6][9] = int_stack + 68068;
 Libderiv->deriv_classes[2][5][8] = int_stack + 68488;
 Libderiv->deriv_classes[2][6][8] = int_stack + 68614;
 Libderiv->deriv2_classes[2][5][8] = int_stack + 68782;
 Libderiv->deriv2_classes[2][6][8] = int_stack + 68908;
 Libderiv->deriv_classes[3][5][8] = int_stack + 69076;
 Libderiv->deriv_classes[3][6][8] = int_stack + 69286;
 Libderiv->deriv2_classes[3][5][8] = int_stack + 69566;
 Libderiv->deriv2_classes[3][6][8] = int_stack + 69776;
 Libderiv->deriv2_classes[4][5][8] = int_stack + 70056;
 Libderiv->deriv2_classes[4][6][8] = int_stack + 70371;
 Libderiv->deriv_classes[2][5][7] = int_stack + 70791;
 Libderiv->deriv_classes[2][6][7] = int_stack + 70917;
 Libderiv->deriv2_classes[2][5][7] = int_stack + 71085;
 Libderiv->deriv2_classes[2][6][7] = int_stack + 71211;
 Libderiv->deriv_classes[3][5][7] = int_stack + 71379;
 Libderiv->deriv_classes[3][6][7] = int_stack + 71589;
 Libderiv->deriv2_classes[3][5][7] = int_stack + 71869;
 Libderiv->deriv2_classes[3][6][7] = int_stack + 72079;
 Libderiv->deriv2_classes[4][5][7] = int_stack + 72359;
 Libderiv->deriv2_classes[4][6][7] = int_stack + 72674;
 Libderiv->deriv_classes[2][5][6] = int_stack + 73094;
 Libderiv->deriv_classes[2][6][6] = int_stack + 73220;
 Libderiv->deriv2_classes[2][5][6] = int_stack + 73388;
 Libderiv->deriv2_classes[2][6][6] = int_stack + 73514;
 Libderiv->dvrr_classes[3][5] = int_stack + 73682;
 Libderiv->deriv_classes[3][5][6] = int_stack + 73892;
 Libderiv->deriv_classes[3][6][6] = int_stack + 74102;
 Libderiv->deriv2_classes[3][5][6] = int_stack + 74382;
 Libderiv->deriv2_classes[3][6][6] = int_stack + 74592;
 Libderiv->deriv_classes[4][5][0] = int_stack + 74872;
 Libderiv->deriv2_classes[4][5][6] = int_stack + 75187;
 Libderiv->deriv2_classes[4][6][6] = int_stack + 75502;
 Libderiv->deriv_classes[2][5][2] = int_stack + 75922;
 Libderiv->deriv_classes[2][6][2] = int_stack + 76048;
 Libderiv->deriv2_classes[2][5][2] = int_stack + 76216;
 Libderiv->deriv2_classes[2][6][2] = int_stack + 76342;
 Libderiv->deriv_classes[3][5][2] = int_stack + 76510;
 Libderiv->deriv_classes[3][6][2] = int_stack + 76720;
 Libderiv->deriv2_classes[3][5][2] = int_stack + 77000;
 Libderiv->deriv2_classes[3][6][2] = int_stack + 77210;
 Libderiv->deriv2_classes[4][5][2] = int_stack + 77490;
 Libderiv->deriv2_classes[4][6][2] = int_stack + 77805;
 Libderiv->deriv_classes[2][5][1] = int_stack + 78225;
 Libderiv->deriv_classes[2][6][1] = int_stack + 78351;
 Libderiv->deriv2_classes[2][5][1] = int_stack + 78519;
 Libderiv->deriv2_classes[2][6][1] = int_stack + 78645;
 Libderiv->deriv_classes[3][5][1] = int_stack + 78813;
 Libderiv->deriv_classes[3][6][1] = int_stack + 79023;
 Libderiv->deriv2_classes[3][5][1] = int_stack + 79303;
 Libderiv->deriv2_classes[3][6][1] = int_stack + 79513;
 Libderiv->deriv2_classes[4][5][1] = int_stack + 79793;
 Libderiv->deriv2_classes[4][6][1] = int_stack + 80108;
 Libderiv->dvrr_classes[2][5] = int_stack + 80528;
 Libderiv->dvrr_classes[2][6] = int_stack + 80654;
 Libderiv->deriv_classes[2][5][0] = int_stack + 80822;
 Libderiv->deriv_classes[2][6][0] = int_stack + 80948;
 Libderiv->deriv2_classes[2][5][0] = int_stack + 81116;
 Libderiv->deriv2_classes[2][6][0] = int_stack + 81242;
 Libderiv->deriv_classes[3][5][0] = int_stack + 81410;
 Libderiv->deriv_classes[3][6][0] = int_stack + 81620;
 Libderiv->deriv2_classes[3][5][0] = int_stack + 81900;
 Libderiv->deriv2_classes[3][6][0] = int_stack + 82110;
 Libderiv->deriv2_classes[4][5][0] = int_stack + 82390;
 Libderiv->deriv2_classes[4][6][0] = int_stack + 82705;
 memset(int_stack,0,665000);

 Libderiv->dvrr_stack = int_stack + 180334;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_ddhp(Libderiv, Data);
   Data++;
 }

 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+83125,int_stack+61705,int_stack+61579, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80528,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+83503,int_stack+62377,int_stack+62167, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73682,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+84133,int_stack+83503,int_stack+83125,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+85267,int_stack+0,int_stack+27944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2100,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+86212,int_stack+85267,int_stack+83503,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+85267,int_stack+64008,int_stack+63882, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80528, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+88102,int_stack+64680,int_stack+64470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73682, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+88732,int_stack+88102,int_stack+85267,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+89866,int_stack+420,int_stack+29778, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2100, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+90811,int_stack+89866,int_stack+88102,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+89866,int_stack+66311,int_stack+66185, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80528, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+66983,int_stack+66773, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73682, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+92701,int_stack+0,int_stack+89866,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+93835,int_stack+840,int_stack+31612, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2100, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+94780,int_stack+93835,int_stack+0,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+93835,int_stack+68614,int_stack+68488, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+630,int_stack+69286,int_stack+69076, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73682, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+96670,int_stack+630,int_stack+93835,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+97804,int_stack+1260,int_stack+33446, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+98749,int_stack+97804,int_stack+630,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+97804,int_stack+70917,int_stack+70791, 0.0, zero_stack, 1.0, int_stack+80528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+100639,int_stack+71589,int_stack+71379, 0.0, zero_stack, 1.0, int_stack+73682, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+101269,int_stack+100639,int_stack+97804,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+102403,int_stack+1680,int_stack+35280, 0.0, zero_stack, 1.0, int_stack+2100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+103348,int_stack+102403,int_stack+100639,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+102403,int_stack+73220,int_stack+73094, 1.0, int_stack+80528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1260,int_stack+74102,int_stack+73892, 1.0, int_stack+73682, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+105238,int_stack+1260,int_stack+102403,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+2415,int_stack+37114, 1.0, int_stack+2100, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+107317,int_stack+106372,int_stack+1260,63);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+80654,int_stack+80528,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+3675,int_stack+73682,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+109207,int_stack+1890,int_stack+106372,63);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+106750,int_stack+76048,int_stack+75922,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+110341,int_stack+76720,int_stack+76510,10);
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+110971,int_stack+110341,int_stack+106750, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+106372, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+112105,int_stack+2835,int_stack+46543,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+113050,int_stack+112105,int_stack+110341, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+112105,int_stack+78351,int_stack+78225,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+2520,int_stack+79023,int_stack+78813,10);
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+114940,int_stack+2520,int_stack+112105, 0.0, zero_stack, 1.0, int_stack+106372, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+116074,int_stack+3255,int_stack+57491,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+117019,int_stack+116074,int_stack+2520, 0.0, zero_stack, 1.0, int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+116074,int_stack+80948,int_stack+80822,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+3150,int_stack+81620,int_stack+81410,10);
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+118909,int_stack+3150,int_stack+116074, 1.0, int_stack+106372, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+3955,int_stack+74872,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+120988,int_stack+120043,int_stack+3150, 1.0, int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+4501,int_stack+4375, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+61579,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+4879,int_stack+4669, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+62167,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+3780,int_stack+1890,int_stack+106372,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+5474,int_stack+5159, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+27944,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+122878,int_stack+120043,int_stack+1890,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+6020,int_stack+5894, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61579, 1.0, int_stack+63882,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+6398,int_stack+6188, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62167, 1.0, int_stack+64470,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+4914,int_stack+1890,int_stack+106372,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+6993,int_stack+6678, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27944, 1.0, int_stack+29778,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+124768,int_stack+120043,int_stack+1890,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+7539,int_stack+7413, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+63882, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+7917,int_stack+7707, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+64470, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+6048,int_stack+1890,int_stack+106372,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+8512,int_stack+8197, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+29778, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+126658,int_stack+120043,int_stack+1890,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+9058,int_stack+8932, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61579, 0.0, zero_stack, 1.0, int_stack+66185,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+9436,int_stack+9226, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62167, 0.0, zero_stack, 1.0, int_stack+66773,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+7182,int_stack+1890,int_stack+106372,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+10031,int_stack+9716, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27944, 0.0, zero_stack, 1.0, int_stack+31612,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+8316,int_stack+120043,int_stack+1890,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+10577,int_stack+10451, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63882, 1.0, int_stack+66185, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+10955,int_stack+10745, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64470, 1.0, int_stack+66773, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+128548,int_stack+1890,int_stack+106372,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+11550,int_stack+11235, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29778, 1.0, int_stack+31612, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+129682,int_stack+120043,int_stack+1890,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+12096,int_stack+11970, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+66185, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+12474,int_stack+12264, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+66773, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+10206,int_stack+1890,int_stack+106372,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+13069,int_stack+12754, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+31612, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+11340,int_stack+120043,int_stack+1890,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+13615,int_stack+13489, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+61579, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+68488,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+13993,int_stack+13783, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+62167, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+69076,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+131572,int_stack+1890,int_stack+106372,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+14588,int_stack+14273, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27944, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33446,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+132706,int_stack+120043,int_stack+1890,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+15134,int_stack+15008, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+63882, 0.0, zero_stack, 1.0, int_stack+68488, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+15512,int_stack+15302, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+64470, 0.0, zero_stack, 1.0, int_stack+69076, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+13230,int_stack+1890,int_stack+106372,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+16107,int_stack+15792, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29778, 0.0, zero_stack, 1.0, int_stack+33446, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+14364,int_stack+120043,int_stack+1890,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+16653,int_stack+16527, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66185, 1.0, int_stack+68488, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+17031,int_stack+16821, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+66773, 1.0, int_stack+69076, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+134596,int_stack+1890,int_stack+106372,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+17626,int_stack+17311, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31612, 1.0, int_stack+33446, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+135730,int_stack+120043,int_stack+1890,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+18172,int_stack+18046, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+68488, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+18550,int_stack+18340, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+69076, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+16254,int_stack+1890,int_stack+106372,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+19145,int_stack+18830, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+33446, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+17388,int_stack+120043,int_stack+1890,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+19691,int_stack+19565, 0.0, zero_stack, 1.0, int_stack+61579, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70791,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+20069,int_stack+19859, 0.0, zero_stack, 1.0, int_stack+62167, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71379,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+137620,int_stack+1890,int_stack+106372,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+20664,int_stack+20349, 0.0, zero_stack, 1.0, int_stack+27944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35280,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+138754,int_stack+120043,int_stack+1890,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+21210,int_stack+21084, 0.0, zero_stack, 1.0, int_stack+63882, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+70791, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+21588,int_stack+21378, 0.0, zero_stack, 1.0, int_stack+64470, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+71379, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+19278,int_stack+1890,int_stack+106372,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+22183,int_stack+21868, 0.0, zero_stack, 1.0, int_stack+29778, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35280, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+20412,int_stack+120043,int_stack+1890,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+22729,int_stack+22603, 0.0, zero_stack, 1.0, int_stack+66185, 0.0, zero_stack, 1.0, int_stack+70791, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+23107,int_stack+22897, 0.0, zero_stack, 1.0, int_stack+66773, 0.0, zero_stack, 1.0, int_stack+71379, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+140644,int_stack+1890,int_stack+106372,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+23702,int_stack+23387, 0.0, zero_stack, 1.0, int_stack+31612, 0.0, zero_stack, 1.0, int_stack+35280, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+141778,int_stack+120043,int_stack+1890,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+24248,int_stack+24122, 0.0, zero_stack, 1.0, int_stack+68488, 1.0, int_stack+70791, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+24626,int_stack+24416, 0.0, zero_stack, 1.0, int_stack+69076, 1.0, int_stack+71379, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+22302,int_stack+1890,int_stack+106372,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+25221,int_stack+24906, 0.0, zero_stack, 1.0, int_stack+33446, 1.0, int_stack+35280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+23436,int_stack+120043,int_stack+1890,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+25767,int_stack+25641, 0.0, zero_stack, 2.0, int_stack+70791, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+26145,int_stack+25935, 0.0, zero_stack, 2.0, int_stack+71379, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+143668,int_stack+1890,int_stack+106372,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+26740,int_stack+26425, 0.0, zero_stack, 2.0, int_stack+35280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+144802,int_stack+120043,int_stack+1890,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+27286,int_stack+27160, 1.0, int_stack+61579, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73094,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+27664,int_stack+27454, 1.0, int_stack+62167, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73892,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+25326,int_stack+1890,int_stack+106372,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+28574,int_stack+28259, 1.0, int_stack+27944, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37114,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+26460,int_stack+120043,int_stack+1890,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+29120,int_stack+28994, 1.0, int_stack+63882, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73094, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+29498,int_stack+29288, 1.0, int_stack+64470, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73892, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+28350,int_stack+1890,int_stack+106372,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+30408,int_stack+30093, 1.0, int_stack+29778, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37114, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+146692,int_stack+120043,int_stack+1890,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+30954,int_stack+30828, 1.0, int_stack+66185, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73094, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+31332,int_stack+31122, 1.0, int_stack+66773, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+73892, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+29484,int_stack+1890,int_stack+106372,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+32242,int_stack+31927, 1.0, int_stack+31612, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+37114, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+30618,int_stack+120043,int_stack+1890,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+32788,int_stack+32662, 1.0, int_stack+68488, 0.0, zero_stack, 1.0, int_stack+73094, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+33166,int_stack+32956, 1.0, int_stack+69076, 0.0, zero_stack, 1.0, int_stack+73892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+148582,int_stack+1890,int_stack+106372,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+34076,int_stack+33761, 1.0, int_stack+33446, 0.0, zero_stack, 1.0, int_stack+37114, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+32508,int_stack+120043,int_stack+1890,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+34622,int_stack+34496, 1.0, int_stack+70791, 1.0, int_stack+73094, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+35000,int_stack+34790, 1.0, int_stack+71379, 1.0, int_stack+73892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+149716,int_stack+1890,int_stack+106372,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+35910,int_stack+35595, 1.0, int_stack+35280, 1.0, int_stack+37114, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+34398,int_stack+120043,int_stack+1890,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+36456,int_stack+36330, 2.0, int_stack+73094, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+36834,int_stack+36624, 2.0, int_stack+73892, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   hrr1_build_dp(Libderiv->AB,int_stack+150850,int_stack+1890,int_stack+106372,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+37744,int_stack+37429, 2.0, int_stack+37114, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+151984,int_stack+120043,int_stack+1890,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+38290,int_stack+38164, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75922,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+38668,int_stack+38458, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76510,10);
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+36288,int_stack+1890,int_stack+106372, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+39263,int_stack+38948, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46543,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+37422,int_stack+120043,int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+83503, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+39809,int_stack+39683, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75922, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+40187,int_stack+39977, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76510, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+39312,int_stack+1890,int_stack+106372, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+85267, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+40782,int_stack+40467, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46543, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+153874,int_stack+120043,int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88102, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+41328,int_stack+41202, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75922, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+41706,int_stack+41496, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76510, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+40446,int_stack+1890,int_stack+106372, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+89866, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+42301,int_stack+41986, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46543, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+155764,int_stack+120043,int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+42847,int_stack+42721, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+75922, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+43225,int_stack+43015, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+76510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+41580,int_stack+1890,int_stack+106372, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+93835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+43820,int_stack+43505, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+46543, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+157654,int_stack+120043,int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+44366,int_stack+44240, 0.0, zero_stack, 1.0, int_stack+75922, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+44744,int_stack+44534, 0.0, zero_stack, 1.0, int_stack+76510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+42714,int_stack+1890,int_stack+106372, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+97804, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+45339,int_stack+45024, 0.0, zero_stack, 1.0, int_stack+46543, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+43848,int_stack+120043,int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+100639, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+45885,int_stack+45759, 1.0, int_stack+75922, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+46263,int_stack+46053, 1.0, int_stack+76510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+159544,int_stack+1890,int_stack+106372, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+102403, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+47173,int_stack+46858, 1.0, int_stack+46543, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+160678,int_stack+120043,int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+47719,int_stack+47593,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+48097,int_stack+47887,10);
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+45738,int_stack+1890,int_stack+106372, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+106750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+48692,int_stack+48377,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+46872,int_stack+120043,int_stack+1890, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+110341, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+49238,int_stack+49112, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+78225,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+49616,int_stack+49406, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+78813,10);
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+48762,int_stack+1890,int_stack+106372, 0.0, zero_stack, 1.0, int_stack+83125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+50211,int_stack+49896, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57491,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+162568,int_stack+120043,int_stack+1890, 0.0, zero_stack, 1.0, int_stack+83503, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+50757,int_stack+50631, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+78225, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+51135,int_stack+50925, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+78813, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+49896,int_stack+1890,int_stack+106372, 0.0, zero_stack, 1.0, int_stack+85267, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+51730,int_stack+51415, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57491, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+164458,int_stack+120043,int_stack+1890, 0.0, zero_stack, 1.0, int_stack+88102, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+52276,int_stack+52150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+78225, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+52654,int_stack+52444, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+78813, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+51030,int_stack+1890,int_stack+106372, 0.0, zero_stack, 1.0, int_stack+89866, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+53249,int_stack+52934, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57491, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+166348,int_stack+120043,int_stack+1890, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+53795,int_stack+53669, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+78225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+54173,int_stack+53963, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+78813, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+52164,int_stack+1890,int_stack+106372, 0.0, zero_stack, 1.0, int_stack+93835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+54768,int_stack+54453, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+57491, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+53298,int_stack+120043,int_stack+1890, 0.0, zero_stack, 1.0, int_stack+630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+55314,int_stack+55188, 0.0, zero_stack, 1.0, int_stack+78225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+55692,int_stack+55482, 0.0, zero_stack, 1.0, int_stack+78813, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+168238,int_stack+1890,int_stack+106372, 0.0, zero_stack, 1.0, int_stack+97804, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+56287,int_stack+55972, 0.0, zero_stack, 1.0, int_stack+57491, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+169372,int_stack+120043,int_stack+1890, 0.0, zero_stack, 1.0, int_stack+100639, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+56833,int_stack+56707, 1.0, int_stack+78225, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+57211,int_stack+57001, 1.0, int_stack+78813, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+55188,int_stack+1890,int_stack+106372, 0.0, zero_stack, 1.0, int_stack+102403, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+58121,int_stack+57806, 1.0, int_stack+57491, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+56322,int_stack+120043,int_stack+1890, 0.0, zero_stack, 1.0, int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+58667,int_stack+58541,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+59045,int_stack+58835,10);
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+171262,int_stack+1890,int_stack+106372, 0.0, zero_stack, 1.0, int_stack+106750, 1.0, int_stack+112105, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+59640,int_stack+59325,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+172396,int_stack+120043,int_stack+1890, 0.0, zero_stack, 1.0, int_stack+110341, 1.0, int_stack+2520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+60186,int_stack+60060,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+60564,int_stack+60354,10);
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+58212,int_stack+1890,int_stack+106372, 0.0, zero_stack, 2.0, int_stack+112105, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+61159,int_stack+60844,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+59346,int_stack+120043,int_stack+1890, 0.0, zero_stack, 2.0, int_stack+2520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+61999,int_stack+61873, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80822,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+62867,int_stack+62657, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81410,10);
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+61236,int_stack+1890,int_stack+106372, 1.0, int_stack+83125, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+120043,int_stack+63462,int_stack+63147, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74872,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+174286,int_stack+120043,int_stack+1890, 1.0, int_stack+83503, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+64302,int_stack+64176, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80822, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+1890,int_stack+65170,int_stack+64960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81410, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+62370,int_stack+1890,int_stack+106372, 1.0, int_stack+85267, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+85267,int_stack+65765,int_stack+65450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74872, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+63504,int_stack+85267,int_stack+1890, 1.0, int_stack+88102, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+66605,int_stack+66479, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80822, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+88102,int_stack+67473,int_stack+67263, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81410, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+65394,int_stack+88102,int_stack+106372, 1.0, int_stack+89866, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+89866,int_stack+68068,int_stack+67753, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74872, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+66528,int_stack+89866,int_stack+88102, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+68908,int_stack+68782, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+80822, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+69776,int_stack+69566, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+81410, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+68418,int_stack+0,int_stack+106372, 1.0, int_stack+93835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+93835,int_stack+70371,int_stack+70056, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+74872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+176176,int_stack+93835,int_stack+0, 1.0, int_stack+630, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+71211,int_stack+71085, 0.0, zero_stack, 1.0, int_stack+80822, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+88102,int_stack+72079,int_stack+71869, 0.0, zero_stack, 1.0, int_stack+81410, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+0,int_stack+88102,int_stack+106372, 1.0, int_stack+97804, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+97804,int_stack+72674,int_stack+72359, 0.0, zero_stack, 1.0, int_stack+74872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+69552,int_stack+97804,int_stack+88102, 1.0, int_stack+100639, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (d0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+73514,int_stack+73388, 1.0, int_stack+80822, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (f0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+100639,int_stack+74592,int_stack+74382, 1.0, int_stack+81410, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+71442,int_stack+100639,int_stack+106372, 1.0, int_stack+102403, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+102403,int_stack+75502,int_stack+75187, 1.0, int_stack+74872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+72576,int_stack+102403,int_stack+100639, 1.0, int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+76342,int_stack+76216,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+100639,int_stack+77210,int_stack+77000,10);
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+1134,int_stack+100639,int_stack+106372, 1.0, int_stack+106750, 0.0, zero_stack, 1.0, int_stack+116074, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+106372,int_stack+77805,int_stack+77490,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+74466,int_stack+106372,int_stack+100639, 1.0, int_stack+110341, 0.0, zero_stack, 1.0, int_stack+3150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+110341,int_stack+78645,int_stack+78519,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+100639,int_stack+79513,int_stack+79303,10);
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+76356,int_stack+100639,int_stack+110341, 1.0, int_stack+112105, 1.0, int_stack+116074, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+112105,int_stack+80108,int_stack+79793,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+77490,int_stack+112105,int_stack+100639, 1.0, int_stack+2520, 1.0, int_stack+3150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (d0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+100639,int_stack+81242,int_stack+81116,6);
 /*--- compute (f0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+110341,int_stack+82110,int_stack+81900,10);
 /*--- compute (dp|hp) ---*/
   d1hrr1_build_dp(Libderiv->AB,int_stack+79380,int_stack+110341,int_stack+100639, 2.0, int_stack+116074, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+116074,int_stack+82705,int_stack+82390,15);
 /*--- compute (fp|hp) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+80514,int_stack+116074,int_stack+110341, 2.0, int_stack+3150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
 /*--- compute (dd|hp) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+178066,int_stack+86212,int_stack+84133,63);
     Libderiv->ABCD[11] = int_stack + 178066;
 /*--- compute (dd|hp) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+85267,int_stack+90811,int_stack+88732,63);
     Libderiv->ABCD[10] = int_stack + 85267;
 /*--- compute (dd|hp) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+89866,int_stack+94780,int_stack+92701,63);
     Libderiv->ABCD[9] = int_stack + 89866;
 /*--- compute (dd|hp) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+93835,int_stack+98749,int_stack+96670,63);
     Libderiv->ABCD[8] = int_stack + 93835;
 /*--- compute (dd|hp) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+97804,int_stack+103348,int_stack+101269,63);
     Libderiv->ABCD[7] = int_stack + 97804;
 /*--- compute (dd|hp) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+102403,int_stack+107317,int_stack+105238,63);
     Libderiv->ABCD[6] = int_stack + 102403;
 /*--- compute (dd|hp) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+106372,int_stack+113050,int_stack+110971, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+109207, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[2] = int_stack + 106372;
 /*--- compute (dd|hp) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+112105,int_stack+117019,int_stack+114940, 0.0, zero_stack, 1.0, int_stack+109207, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[1] = int_stack + 112105;
 /*--- compute (dd|hp) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+116074,int_stack+120988,int_stack+118909, 1.0, int_stack+109207, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[0] = int_stack + 116074;
 /*--- compute (dd|hp) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+108640,int_stack+122878,int_stack+3780,63);
     Libderiv->ABCD[155] = int_stack + 108640;
 /*--- compute (dd|hp) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+2268,int_stack+124768,int_stack+4914,63);
     Libderiv->ABCD[143] = int_stack + 2268;
 /*--- compute (dd|hp) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+120043,int_stack+126658,int_stack+6048,63);
     Libderiv->ABCD[142] = int_stack + 120043;
 /*--- compute (dd|hp) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+4536,int_stack+8316,int_stack+7182,63);
     Libderiv->ABCD[131] = int_stack + 4536;
 /*--- compute (dd|hp) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+6804,int_stack+129682,int_stack+128548,63);
     Libderiv->ABCD[130] = int_stack + 6804;
 /*--- compute (dd|hp) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+122311,int_stack+11340,int_stack+10206,63);
     Libderiv->ABCD[129] = int_stack + 122311;
 /*--- compute (dd|hp) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+9072,int_stack+132706,int_stack+131572,63);
     Libderiv->ABCD[119] = int_stack + 9072;
 /*--- compute (dd|hp) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+124579,int_stack+14364,int_stack+13230,63);
     Libderiv->ABCD[118] = int_stack + 124579;
 /*--- compute (dd|hp) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+11340,int_stack+135730,int_stack+134596,63);
     Libderiv->ABCD[117] = int_stack + 11340;
 /*--- compute (dd|hp) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+13608,int_stack+17388,int_stack+16254,63);
     Libderiv->ABCD[116] = int_stack + 13608;
 /*--- compute (dd|hp) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+15876,int_stack+138754,int_stack+137620,63);
     Libderiv->ABCD[107] = int_stack + 15876;
 /*--- compute (dd|hp) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+126847,int_stack+20412,int_stack+19278,63);
     Libderiv->ABCD[106] = int_stack + 126847;
 /*--- compute (dd|hp) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+18144,int_stack+141778,int_stack+140644,63);
     Libderiv->ABCD[105] = int_stack + 18144;
 /*--- compute (dd|hp) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+129115,int_stack+23436,int_stack+22302,63);
     Libderiv->ABCD[104] = int_stack + 129115;
 /*--- compute (dd|hp) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+20412,int_stack+144802,int_stack+143668,63);
     Libderiv->ABCD[103] = int_stack + 20412;
 /*--- compute (dd|hp) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+22680,int_stack+26460,int_stack+25326,63);
     Libderiv->ABCD[95] = int_stack + 22680;
 /*--- compute (dd|hp) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+24948,int_stack+146692,int_stack+28350,63);
     Libderiv->ABCD[94] = int_stack + 24948;
 /*--- compute (dd|hp) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+27216,int_stack+30618,int_stack+29484,63);
     Libderiv->ABCD[93] = int_stack + 27216;
 /*--- compute (dd|hp) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+29484,int_stack+32508,int_stack+148582,63);
     Libderiv->ABCD[92] = int_stack + 29484;
 /*--- compute (dd|hp) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+31752,int_stack+34398,int_stack+149716,63);
     Libderiv->ABCD[91] = int_stack + 31752;
 /*--- compute (dd|hp) ---*/
   hrr1_build_dd(Libderiv->AB,int_stack+34020,int_stack+151984,int_stack+150850,63);
     Libderiv->ABCD[90] = int_stack + 34020;
 /*--- compute (dd|hp) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+131383,int_stack+37422,int_stack+36288, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+84133, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[47] = int_stack + 131383;
 /*--- compute (dd|hp) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+36288,int_stack+153874,int_stack+39312, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+88732, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[46] = int_stack + 36288;
 /*--- compute (dd|hp) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+133651,int_stack+155764,int_stack+40446, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+92701, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[45] = int_stack + 133651;
 /*--- compute (dd|hp) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+38556,int_stack+157654,int_stack+41580, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+96670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[44] = int_stack + 38556;
 /*--- compute (dd|hp) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+135919,int_stack+43848,int_stack+42714, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+101269, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[43] = int_stack + 135919;
 /*--- compute (dd|hp) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+40824,int_stack+160678,int_stack+159544, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+105238, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[42] = int_stack + 40824;
 /*--- compute (dd|hp) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+43092,int_stack+46872,int_stack+45738, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+110971, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[38] = int_stack + 43092;
 /*--- compute (dd|hp) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+45360,int_stack+162568,int_stack+48762, 0.0, zero_stack, 1.0, int_stack+84133, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[35] = int_stack + 45360;
 /*--- compute (dd|hp) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+47628,int_stack+164458,int_stack+49896, 0.0, zero_stack, 1.0, int_stack+88732, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[34] = int_stack + 47628;
 /*--- compute (dd|hp) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+138187,int_stack+166348,int_stack+51030, 0.0, zero_stack, 1.0, int_stack+92701, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[33] = int_stack + 138187;
 /*--- compute (dd|hp) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+49896,int_stack+53298,int_stack+52164, 0.0, zero_stack, 1.0, int_stack+96670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[32] = int_stack + 49896;
 /*--- compute (dd|hp) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+52164,int_stack+169372,int_stack+168238, 0.0, zero_stack, 1.0, int_stack+101269, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[31] = int_stack + 52164;
 /*--- compute (dd|hp) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+140455,int_stack+56322,int_stack+55188, 0.0, zero_stack, 1.0, int_stack+105238, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[30] = int_stack + 140455;
 /*--- compute (dd|hp) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+54432,int_stack+172396,int_stack+171262, 0.0, zero_stack, 1.0, int_stack+110971, 1.0, int_stack+114940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[26] = int_stack + 54432;
 /*--- compute (dd|hp) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+142723,int_stack+59346,int_stack+58212, 0.0, zero_stack, 2.0, int_stack+114940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[25] = int_stack + 142723;
 /*--- compute (dd|hp) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+56700,int_stack+174286,int_stack+61236, 1.0, int_stack+84133, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[23] = int_stack + 56700;
 /*--- compute (dd|hp) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+58968,int_stack+63504,int_stack+62370, 1.0, int_stack+88732, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[22] = int_stack + 58968;
 /*--- compute (dd|hp) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+61236,int_stack+66528,int_stack+65394, 1.0, int_stack+92701, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[21] = int_stack + 61236;
 /*--- compute (dd|hp) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+63504,int_stack+176176,int_stack+68418, 1.0, int_stack+96670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[20] = int_stack + 63504;
 /*--- compute (dd|hp) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+65772,int_stack+69552,int_stack+0, 1.0, int_stack+101269, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[19] = int_stack + 65772;
 /*--- compute (dd|hp) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+68040,int_stack+72576,int_stack+71442, 1.0, int_stack+105238, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[18] = int_stack + 68040;
 /*--- compute (dd|hp) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+70308,int_stack+74466,int_stack+1134, 1.0, int_stack+110971, 0.0, zero_stack, 1.0, int_stack+118909, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[14] = int_stack + 70308;
 /*--- compute (dd|hp) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+0,int_stack+77490,int_stack+76356, 1.0, int_stack+114940, 1.0, int_stack+118909, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[13] = int_stack + 0;
 /*--- compute (dd|hp) ---*/
   d1hrr1_build_dd(Libderiv->AB,int_stack+72576,int_stack+80514,int_stack+79380, 2.0, int_stack+118909, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,63);
     Libderiv->ABCD[12] = int_stack + 72576;

}
