#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_g0gp(Libderiv_t *, prim_data *);

  /* Computes derivatives of (g0|gp) integrals */

void d12hrr_order_g0gp(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[4][5][11] = int_stack + 0;
 Libderiv->deriv_classes[4][5][10] = int_stack + 315;
 Libderiv->deriv_classes[4][5][9] = int_stack + 630;
 Libderiv->deriv_classes[4][5][8] = int_stack + 945;
 Libderiv->deriv_classes[4][5][7] = int_stack + 1260;
 Libderiv->dvrr_classes[4][4] = int_stack + 1575;
 Libderiv->deriv_classes[4][5][6] = int_stack + 1800;
 Libderiv->deriv_classes[4][5][2] = int_stack + 2115;
 Libderiv->deriv_classes[4][5][1] = int_stack + 2430;
 Libderiv->deriv_classes[4][5][0] = int_stack + 2745;
 Libderiv->deriv2_classes[4][4][143] = int_stack + 3060;
 Libderiv->deriv2_classes[4][5][143] = int_stack + 3285;
 Libderiv->deriv2_classes[4][4][131] = int_stack + 3600;
 Libderiv->deriv2_classes[4][5][131] = int_stack + 3825;
 Libderiv->deriv2_classes[4][4][130] = int_stack + 4140;
 Libderiv->deriv2_classes[4][5][130] = int_stack + 4365;
 Libderiv->deriv2_classes[4][4][119] = int_stack + 4680;
 Libderiv->deriv2_classes[4][5][119] = int_stack + 4905;
 Libderiv->deriv2_classes[4][4][118] = int_stack + 5220;
 Libderiv->deriv2_classes[4][5][118] = int_stack + 5445;
 Libderiv->deriv2_classes[4][4][117] = int_stack + 5760;
 Libderiv->deriv2_classes[4][5][117] = int_stack + 5985;
 Libderiv->deriv2_classes[4][4][107] = int_stack + 6300;
 Libderiv->deriv2_classes[4][5][107] = int_stack + 6525;
 Libderiv->deriv2_classes[4][4][106] = int_stack + 6840;
 Libderiv->deriv2_classes[4][5][106] = int_stack + 7065;
 Libderiv->deriv2_classes[4][4][105] = int_stack + 7380;
 Libderiv->deriv2_classes[4][5][105] = int_stack + 7605;
 Libderiv->deriv2_classes[4][4][104] = int_stack + 7920;
 Libderiv->deriv2_classes[4][5][104] = int_stack + 8145;
 Libderiv->deriv2_classes[4][4][95] = int_stack + 8460;
 Libderiv->deriv2_classes[4][5][95] = int_stack + 8685;
 Libderiv->deriv2_classes[4][4][94] = int_stack + 9000;
 Libderiv->deriv2_classes[4][5][94] = int_stack + 9225;
 Libderiv->deriv2_classes[4][4][93] = int_stack + 9540;
 Libderiv->deriv2_classes[4][5][93] = int_stack + 9765;
 Libderiv->deriv2_classes[4][4][92] = int_stack + 10080;
 Libderiv->deriv2_classes[4][5][92] = int_stack + 10305;
 Libderiv->deriv2_classes[4][4][91] = int_stack + 10620;
 Libderiv->deriv2_classes[4][5][91] = int_stack + 10845;
 Libderiv->deriv_classes[4][4][11] = int_stack + 11160;
 Libderiv->deriv2_classes[4][4][83] = int_stack + 11385;
 Libderiv->deriv2_classes[4][5][83] = int_stack + 11610;
 Libderiv->deriv_classes[4][4][10] = int_stack + 11925;
 Libderiv->deriv2_classes[4][4][82] = int_stack + 12150;
 Libderiv->deriv2_classes[4][5][82] = int_stack + 12375;
 Libderiv->deriv_classes[4][4][9] = int_stack + 12690;
 Libderiv->deriv2_classes[4][4][81] = int_stack + 12915;
 Libderiv->deriv2_classes[4][5][81] = int_stack + 13140;
 Libderiv->deriv_classes[4][4][8] = int_stack + 13455;
 Libderiv->deriv2_classes[4][4][80] = int_stack + 13680;
 Libderiv->deriv2_classes[4][5][80] = int_stack + 13905;
 Libderiv->deriv_classes[4][4][7] = int_stack + 14220;
 Libderiv->deriv2_classes[4][4][79] = int_stack + 14445;
 Libderiv->deriv2_classes[4][5][79] = int_stack + 14670;
 Libderiv->deriv_classes[4][4][6] = int_stack + 14985;
 Libderiv->deriv2_classes[4][4][78] = int_stack + 15210;
 Libderiv->deriv2_classes[4][5][78] = int_stack + 15435;
 Libderiv->deriv2_classes[4][4][35] = int_stack + 15750;
 Libderiv->deriv2_classes[4][5][35] = int_stack + 15975;
 Libderiv->deriv2_classes[4][4][34] = int_stack + 16290;
 Libderiv->deriv2_classes[4][5][34] = int_stack + 16515;
 Libderiv->deriv2_classes[4][4][33] = int_stack + 16830;
 Libderiv->deriv2_classes[4][5][33] = int_stack + 17055;
 Libderiv->deriv2_classes[4][4][32] = int_stack + 17370;
 Libderiv->deriv2_classes[4][5][32] = int_stack + 17595;
 Libderiv->deriv2_classes[4][4][31] = int_stack + 17910;
 Libderiv->deriv2_classes[4][5][31] = int_stack + 18135;
 Libderiv->deriv_classes[4][4][2] = int_stack + 18450;
 Libderiv->deriv2_classes[4][4][30] = int_stack + 18675;
 Libderiv->deriv2_classes[4][5][30] = int_stack + 18900;
 Libderiv->deriv2_classes[4][4][26] = int_stack + 19215;
 Libderiv->deriv2_classes[4][5][26] = int_stack + 19440;
 Libderiv->deriv2_classes[4][4][23] = int_stack + 19755;
 Libderiv->deriv2_classes[4][5][23] = int_stack + 19980;
 Libderiv->deriv2_classes[4][4][22] = int_stack + 20295;
 Libderiv->deriv2_classes[4][5][22] = int_stack + 20520;
 Libderiv->deriv2_classes[4][4][21] = int_stack + 20835;
 Libderiv->deriv2_classes[4][5][21] = int_stack + 21060;
 Libderiv->deriv2_classes[4][4][20] = int_stack + 21375;
 Libderiv->deriv2_classes[4][5][20] = int_stack + 21600;
 Libderiv->deriv2_classes[4][4][19] = int_stack + 21915;
 Libderiv->deriv2_classes[4][5][19] = int_stack + 22140;
 Libderiv->deriv_classes[4][4][1] = int_stack + 22455;
 Libderiv->deriv2_classes[4][4][18] = int_stack + 22680;
 Libderiv->deriv2_classes[4][5][18] = int_stack + 22905;
 Libderiv->deriv2_classes[4][4][14] = int_stack + 23220;
 Libderiv->deriv2_classes[4][5][14] = int_stack + 23445;
 Libderiv->deriv2_classes[4][4][13] = int_stack + 23760;
 Libderiv->deriv2_classes[4][5][13] = int_stack + 23985;
 Libderiv->deriv2_classes[4][4][11] = int_stack + 24300;
 Libderiv->deriv2_classes[4][5][11] = int_stack + 24525;
 Libderiv->deriv2_classes[4][4][10] = int_stack + 24840;
 Libderiv->deriv2_classes[4][5][10] = int_stack + 25065;
 Libderiv->deriv2_classes[4][4][9] = int_stack + 25380;
 Libderiv->deriv2_classes[4][5][9] = int_stack + 25605;
 Libderiv->deriv2_classes[4][4][8] = int_stack + 25920;
 Libderiv->deriv2_classes[4][5][8] = int_stack + 26145;
 Libderiv->deriv2_classes[4][4][7] = int_stack + 26460;
 Libderiv->deriv2_classes[4][5][7] = int_stack + 26685;
 Libderiv->deriv_classes[4][4][0] = int_stack + 27000;
 Libderiv->deriv2_classes[4][4][6] = int_stack + 27225;
 Libderiv->deriv2_classes[4][5][6] = int_stack + 27450;
 Libderiv->deriv2_classes[4][4][2] = int_stack + 27765;
 Libderiv->deriv2_classes[4][5][2] = int_stack + 27990;
 Libderiv->deriv2_classes[4][4][1] = int_stack + 28305;
 Libderiv->deriv2_classes[4][5][1] = int_stack + 28530;
 Libderiv->deriv2_classes[4][4][0] = int_stack + 28845;
 Libderiv->deriv2_classes[4][5][0] = int_stack + 29070;
 memset(int_stack,0,235080);

 Libderiv->dvrr_stack = int_stack + 37485;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_g0gp(Libderiv, Data);
   Data++;
 }

 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+29385,int_stack+0,int_stack+11160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1575,15);
     Libderiv->ABCD[11] = int_stack + 29385;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+30060,int_stack+315,int_stack+11925, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1575, 0.0, zero_stack,15);
     Libderiv->ABCD[10] = int_stack + 30060;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+30735,int_stack+630,int_stack+12690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1575, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[9] = int_stack + 30735;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+0,int_stack+945,int_stack+13455, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1575, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+31410,int_stack+1260,int_stack+14220, 0.0, zero_stack, 1.0, int_stack+1575, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[7] = int_stack + 31410;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+675,int_stack+1800,int_stack+14985, 1.0, int_stack+1575, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[6] = int_stack + 675;
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+1350,int_stack+2115,int_stack+18450,15);
     Libderiv->ABCD[2] = int_stack + 1350;
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+32085,int_stack+2430,int_stack+22455,15);
     Libderiv->ABCD[1] = int_stack + 32085;
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+2025,int_stack+2745,int_stack+27000,15);
     Libderiv->ABCD[0] = int_stack + 2025;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+32760,int_stack+3285,int_stack+3060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+11160,15);
     Libderiv->ABCD[155] = int_stack + 32760;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+2700,int_stack+3825,int_stack+3600, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11160, 1.0, int_stack+11925,15);
     Libderiv->ABCD[143] = int_stack + 2700;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3375,int_stack+4365,int_stack+4140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+11925, 0.0, zero_stack,15);
     Libderiv->ABCD[142] = int_stack + 3375;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+33435,int_stack+4905,int_stack+4680, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11160, 0.0, zero_stack, 1.0, int_stack+12690,15);
     Libderiv->ABCD[131] = int_stack + 33435;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+5445,int_stack+5220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11925, 1.0, int_stack+12690, 0.0, zero_stack,15);
     Libderiv->ABCD[130] = int_stack + 4050;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4725,int_stack+5985,int_stack+5760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+12690, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[129] = int_stack + 4725;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5400,int_stack+6525,int_stack+6300, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11160, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+13455,15);
     Libderiv->ABCD[119] = int_stack + 5400;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+6075,int_stack+7065,int_stack+6840, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+11925, 0.0, zero_stack, 1.0, int_stack+13455, 0.0, zero_stack,15);
     Libderiv->ABCD[118] = int_stack + 6075;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+34110,int_stack+7605,int_stack+7380, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+12690, 1.0, int_stack+13455, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[117] = int_stack + 34110;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+6750,int_stack+8145,int_stack+7920, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+13455, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[116] = int_stack + 6750;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+7425,int_stack+8685,int_stack+8460, 0.0, zero_stack, 1.0, int_stack+11160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14220,15);
     Libderiv->ABCD[107] = int_stack + 7425;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+8100,int_stack+9225,int_stack+9000, 0.0, zero_stack, 1.0, int_stack+11925, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14220, 0.0, zero_stack,15);
     Libderiv->ABCD[106] = int_stack + 8100;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+8775,int_stack+9765,int_stack+9540, 0.0, zero_stack, 1.0, int_stack+12690, 0.0, zero_stack, 1.0, int_stack+14220, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[105] = int_stack + 8775;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+34785,int_stack+10305,int_stack+10080, 0.0, zero_stack, 1.0, int_stack+13455, 1.0, int_stack+14220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[104] = int_stack + 34785;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+9450,int_stack+10845,int_stack+10620, 0.0, zero_stack, 2.0, int_stack+14220, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[103] = int_stack + 9450;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+10125,int_stack+11610,int_stack+11385, 1.0, int_stack+11160, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14985,15);
     Libderiv->ABCD[95] = int_stack + 10125;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+10800,int_stack+12375,int_stack+12150, 1.0, int_stack+11925, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14985, 0.0, zero_stack,15);
     Libderiv->ABCD[94] = int_stack + 10800;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+11475,int_stack+13140,int_stack+12915, 1.0, int_stack+12690, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14985, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[93] = int_stack + 11475;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+12150,int_stack+13905,int_stack+13680, 1.0, int_stack+13455, 0.0, zero_stack, 1.0, int_stack+14985, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[92] = int_stack + 12150;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+12825,int_stack+14670,int_stack+14445, 1.0, int_stack+14220, 1.0, int_stack+14985, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[91] = int_stack + 12825;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+13500,int_stack+15435,int_stack+15210, 2.0, int_stack+14985, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[90] = int_stack + 13500;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+14175,int_stack+15975,int_stack+15750, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18450,15);
     Libderiv->ABCD[47] = int_stack + 14175;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+14850,int_stack+16515,int_stack+16290, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18450, 0.0, zero_stack,15);
     Libderiv->ABCD[46] = int_stack + 14850;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+15525,int_stack+17055,int_stack+16830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18450, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[45] = int_stack + 15525;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+16200,int_stack+17595,int_stack+17370, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+18450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[44] = int_stack + 16200;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+16875,int_stack+18135,int_stack+17910, 0.0, zero_stack, 1.0, int_stack+18450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[43] = int_stack + 16875;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+17550,int_stack+18900,int_stack+18675, 1.0, int_stack+18450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[42] = int_stack + 17550;
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+18225,int_stack+19440,int_stack+19215,15);
     Libderiv->ABCD[38] = int_stack + 18225;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+18900,int_stack+19980,int_stack+19755, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22455,15);
     Libderiv->ABCD[35] = int_stack + 18900;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+19575,int_stack+20520,int_stack+20295, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22455, 0.0, zero_stack,15);
     Libderiv->ABCD[34] = int_stack + 19575;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+35460,int_stack+21060,int_stack+20835, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22455, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[33] = int_stack + 35460;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+20250,int_stack+21600,int_stack+21375, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22455, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[32] = int_stack + 20250;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+20925,int_stack+22140,int_stack+21915, 0.0, zero_stack, 1.0, int_stack+22455, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[31] = int_stack + 20925;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+21600,int_stack+22905,int_stack+22680, 1.0, int_stack+22455, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[30] = int_stack + 21600;
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+22275,int_stack+23445,int_stack+23220,15);
     Libderiv->ABCD[26] = int_stack + 22275;
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+22950,int_stack+23985,int_stack+23760,15);
     Libderiv->ABCD[25] = int_stack + 22950;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+23625,int_stack+24525,int_stack+24300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27000,15);
     Libderiv->ABCD[23] = int_stack + 23625;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+36135,int_stack+25065,int_stack+24840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27000, 0.0, zero_stack,15);
     Libderiv->ABCD[22] = int_stack + 36135;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+24300,int_stack+25605,int_stack+25380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27000, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[21] = int_stack + 24300;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+24975,int_stack+26145,int_stack+25920, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[20] = int_stack + 24975;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+25650,int_stack+26685,int_stack+26460, 0.0, zero_stack, 1.0, int_stack+27000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[19] = int_stack + 25650;
 /*--- compute (g0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+26325,int_stack+27450,int_stack+27225, 1.0, int_stack+27000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
     Libderiv->ABCD[18] = int_stack + 26325;
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+27000,int_stack+27990,int_stack+27765,15);
     Libderiv->ABCD[14] = int_stack + 27000;
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+36810,int_stack+28530,int_stack+28305,15);
     Libderiv->ABCD[13] = int_stack + 36810;
 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+27675,int_stack+29070,int_stack+28845,15);
     Libderiv->ABCD[12] = int_stack + 27675;

}
