#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_gph0(Libderiv_t *, prim_data *);

  /* Computes derivatives of (gp|h0) integrals */

void d12hrr_order_gph0(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[5][5][11] = int_stack + 0;
 Libderiv->deriv_classes[5][5][10] = int_stack + 441;
 Libderiv->deriv_classes[5][5][9] = int_stack + 882;
 Libderiv->deriv_classes[5][5][8] = int_stack + 1323;
 Libderiv->deriv_classes[5][5][7] = int_stack + 1764;
 Libderiv->deriv_classes[5][5][6] = int_stack + 2205;
 Libderiv->deriv_classes[5][5][2] = int_stack + 2646;
 Libderiv->deriv_classes[5][5][1] = int_stack + 3087;
 Libderiv->dvrr_classes[4][5] = int_stack + 3528;
 Libderiv->deriv_classes[5][5][0] = int_stack + 3843;
 Libderiv->deriv2_classes[4][5][143] = int_stack + 4284;
 Libderiv->deriv2_classes[5][5][143] = int_stack + 4599;
 Libderiv->deriv2_classes[4][5][131] = int_stack + 5040;
 Libderiv->deriv2_classes[5][5][131] = int_stack + 5355;
 Libderiv->deriv2_classes[4][5][130] = int_stack + 5796;
 Libderiv->deriv2_classes[5][5][130] = int_stack + 6111;
 Libderiv->deriv2_classes[4][5][119] = int_stack + 6552;
 Libderiv->deriv2_classes[5][5][119] = int_stack + 6867;
 Libderiv->deriv2_classes[4][5][118] = int_stack + 7308;
 Libderiv->deriv2_classes[5][5][118] = int_stack + 7623;
 Libderiv->deriv2_classes[4][5][117] = int_stack + 8064;
 Libderiv->deriv2_classes[5][5][117] = int_stack + 8379;
 Libderiv->deriv2_classes[4][5][107] = int_stack + 8820;
 Libderiv->deriv2_classes[5][5][107] = int_stack + 9135;
 Libderiv->deriv2_classes[4][5][106] = int_stack + 9576;
 Libderiv->deriv2_classes[5][5][106] = int_stack + 9891;
 Libderiv->deriv2_classes[4][5][105] = int_stack + 10332;
 Libderiv->deriv2_classes[5][5][105] = int_stack + 10647;
 Libderiv->deriv2_classes[4][5][104] = int_stack + 11088;
 Libderiv->deriv2_classes[5][5][104] = int_stack + 11403;
 Libderiv->deriv2_classes[4][5][95] = int_stack + 11844;
 Libderiv->deriv2_classes[5][5][95] = int_stack + 12159;
 Libderiv->deriv2_classes[4][5][94] = int_stack + 12600;
 Libderiv->deriv2_classes[5][5][94] = int_stack + 12915;
 Libderiv->deriv2_classes[4][5][93] = int_stack + 13356;
 Libderiv->deriv2_classes[5][5][93] = int_stack + 13671;
 Libderiv->deriv2_classes[4][5][92] = int_stack + 14112;
 Libderiv->deriv2_classes[5][5][92] = int_stack + 14427;
 Libderiv->deriv2_classes[4][5][91] = int_stack + 14868;
 Libderiv->deriv2_classes[5][5][91] = int_stack + 15183;
 Libderiv->deriv2_classes[4][5][83] = int_stack + 15624;
 Libderiv->deriv2_classes[5][5][83] = int_stack + 15939;
 Libderiv->deriv2_classes[4][5][82] = int_stack + 16380;
 Libderiv->deriv2_classes[5][5][82] = int_stack + 16695;
 Libderiv->deriv2_classes[4][5][81] = int_stack + 17136;
 Libderiv->deriv2_classes[5][5][81] = int_stack + 17451;
 Libderiv->deriv2_classes[4][5][80] = int_stack + 17892;
 Libderiv->deriv2_classes[5][5][80] = int_stack + 18207;
 Libderiv->deriv2_classes[4][5][79] = int_stack + 18648;
 Libderiv->deriv2_classes[5][5][79] = int_stack + 18963;
 Libderiv->deriv2_classes[4][5][78] = int_stack + 19404;
 Libderiv->deriv2_classes[5][5][78] = int_stack + 19719;
 Libderiv->deriv2_classes[4][5][35] = int_stack + 20160;
 Libderiv->deriv2_classes[5][5][35] = int_stack + 20475;
 Libderiv->deriv2_classes[4][5][34] = int_stack + 20916;
 Libderiv->deriv2_classes[5][5][34] = int_stack + 21231;
 Libderiv->deriv2_classes[4][5][33] = int_stack + 21672;
 Libderiv->deriv2_classes[5][5][33] = int_stack + 21987;
 Libderiv->deriv2_classes[4][5][32] = int_stack + 22428;
 Libderiv->deriv2_classes[5][5][32] = int_stack + 22743;
 Libderiv->deriv2_classes[4][5][31] = int_stack + 23184;
 Libderiv->deriv2_classes[5][5][31] = int_stack + 23499;
 Libderiv->deriv2_classes[4][5][30] = int_stack + 23940;
 Libderiv->deriv2_classes[5][5][30] = int_stack + 24255;
 Libderiv->deriv2_classes[4][5][26] = int_stack + 24696;
 Libderiv->deriv2_classes[5][5][26] = int_stack + 25011;
 Libderiv->deriv2_classes[4][5][23] = int_stack + 25452;
 Libderiv->deriv2_classes[5][5][23] = int_stack + 25767;
 Libderiv->deriv2_classes[4][5][22] = int_stack + 26208;
 Libderiv->deriv2_classes[5][5][22] = int_stack + 26523;
 Libderiv->deriv2_classes[4][5][21] = int_stack + 26964;
 Libderiv->deriv2_classes[5][5][21] = int_stack + 27279;
 Libderiv->deriv2_classes[4][5][20] = int_stack + 27720;
 Libderiv->deriv2_classes[5][5][20] = int_stack + 28035;
 Libderiv->deriv2_classes[4][5][19] = int_stack + 28476;
 Libderiv->deriv2_classes[5][5][19] = int_stack + 28791;
 Libderiv->deriv2_classes[4][5][18] = int_stack + 29232;
 Libderiv->deriv2_classes[5][5][18] = int_stack + 29547;
 Libderiv->deriv2_classes[4][5][14] = int_stack + 29988;
 Libderiv->deriv2_classes[5][5][14] = int_stack + 30303;
 Libderiv->deriv2_classes[4][5][13] = int_stack + 30744;
 Libderiv->deriv2_classes[5][5][13] = int_stack + 31059;
 Libderiv->deriv_classes[4][5][11] = int_stack + 31500;
 Libderiv->deriv2_classes[4][5][11] = int_stack + 31815;
 Libderiv->deriv2_classes[5][5][11] = int_stack + 32130;
 Libderiv->deriv_classes[4][5][10] = int_stack + 32571;
 Libderiv->deriv2_classes[4][5][10] = int_stack + 32886;
 Libderiv->deriv2_classes[5][5][10] = int_stack + 33201;
 Libderiv->deriv_classes[4][5][9] = int_stack + 33642;
 Libderiv->deriv2_classes[4][5][9] = int_stack + 33957;
 Libderiv->deriv2_classes[5][5][9] = int_stack + 34272;
 Libderiv->deriv_classes[4][5][8] = int_stack + 34713;
 Libderiv->deriv2_classes[4][5][8] = int_stack + 35028;
 Libderiv->deriv2_classes[5][5][8] = int_stack + 35343;
 Libderiv->deriv_classes[4][5][7] = int_stack + 35784;
 Libderiv->deriv2_classes[4][5][7] = int_stack + 36099;
 Libderiv->deriv2_classes[5][5][7] = int_stack + 36414;
 Libderiv->deriv_classes[4][5][6] = int_stack + 36855;
 Libderiv->deriv2_classes[4][5][6] = int_stack + 37170;
 Libderiv->deriv2_classes[5][5][6] = int_stack + 37485;
 Libderiv->deriv_classes[4][5][2] = int_stack + 37926;
 Libderiv->deriv2_classes[4][5][2] = int_stack + 38241;
 Libderiv->deriv2_classes[5][5][2] = int_stack + 38556;
 Libderiv->deriv_classes[4][5][1] = int_stack + 38997;
 Libderiv->deriv2_classes[4][5][1] = int_stack + 39312;
 Libderiv->deriv2_classes[5][5][1] = int_stack + 39627;
 Libderiv->deriv_classes[4][5][0] = int_stack + 40068;
 Libderiv->deriv2_classes[4][5][0] = int_stack + 40383;
 Libderiv->deriv2_classes[5][5][0] = int_stack + 40698;
 memset(int_stack,0,329112);

 Libderiv->dvrr_stack = int_stack + 53424;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_gph0(Libderiv, Data);
   Data++;
 }

 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+41139,int_stack+0,int_stack+31500,21);
     Libderiv->ABCD[11] = int_stack + 41139;
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+42084,int_stack+441,int_stack+32571,21);
     Libderiv->ABCD[10] = int_stack + 42084;
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+43029,int_stack+882,int_stack+33642,21);
     Libderiv->ABCD[9] = int_stack + 43029;
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+0,int_stack+1323,int_stack+34713,21);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+43974,int_stack+1764,int_stack+35784,21);
     Libderiv->ABCD[7] = int_stack + 43974;
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+945,int_stack+2205,int_stack+36855,21);
     Libderiv->ABCD[6] = int_stack + 945;
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+44919,int_stack+2646,int_stack+37926, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[2] = int_stack + 44919;
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+1890,int_stack+3087,int_stack+38997, 0.0, zero_stack, 1.0, int_stack+3528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[1] = int_stack + 1890;
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+45864,int_stack+3843,int_stack+40068, 1.0, int_stack+3528, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[0] = int_stack + 45864;
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+2835,int_stack+4599,int_stack+4284,21);
     Libderiv->ABCD[155] = int_stack + 2835;
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+3780,int_stack+5355,int_stack+5040,21);
     Libderiv->ABCD[143] = int_stack + 3780;
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+4725,int_stack+6111,int_stack+5796,21);
     Libderiv->ABCD[142] = int_stack + 4725;
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+46809,int_stack+6867,int_stack+6552,21);
     Libderiv->ABCD[131] = int_stack + 46809;
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+5670,int_stack+7623,int_stack+7308,21);
     Libderiv->ABCD[130] = int_stack + 5670;
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+6615,int_stack+8379,int_stack+8064,21);
     Libderiv->ABCD[129] = int_stack + 6615;
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+7560,int_stack+9135,int_stack+8820,21);
     Libderiv->ABCD[119] = int_stack + 7560;
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+8505,int_stack+9891,int_stack+9576,21);
     Libderiv->ABCD[118] = int_stack + 8505;
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+47754,int_stack+10647,int_stack+10332,21);
     Libderiv->ABCD[117] = int_stack + 47754;
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+9450,int_stack+11403,int_stack+11088,21);
     Libderiv->ABCD[116] = int_stack + 9450;
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+10395,int_stack+12159,int_stack+11844,21);
     Libderiv->ABCD[107] = int_stack + 10395;
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+11340,int_stack+12915,int_stack+12600,21);
     Libderiv->ABCD[106] = int_stack + 11340;
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+12285,int_stack+13671,int_stack+13356,21);
     Libderiv->ABCD[105] = int_stack + 12285;
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+48699,int_stack+14427,int_stack+14112,21);
     Libderiv->ABCD[104] = int_stack + 48699;
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+13230,int_stack+15183,int_stack+14868,21);
     Libderiv->ABCD[103] = int_stack + 13230;
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+14175,int_stack+15939,int_stack+15624,21);
     Libderiv->ABCD[95] = int_stack + 14175;
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+15120,int_stack+16695,int_stack+16380,21);
     Libderiv->ABCD[94] = int_stack + 15120;
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+16065,int_stack+17451,int_stack+17136,21);
     Libderiv->ABCD[93] = int_stack + 16065;
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+49644,int_stack+18207,int_stack+17892,21);
     Libderiv->ABCD[92] = int_stack + 49644;
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+17010,int_stack+18963,int_stack+18648,21);
     Libderiv->ABCD[91] = int_stack + 17010;
 /*--- compute (gp|h0) ---*/
   hrr1_build_gp(Libderiv->AB,int_stack+17955,int_stack+19719,int_stack+19404,21);
     Libderiv->ABCD[90] = int_stack + 17955;
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+18900,int_stack+20475,int_stack+20160, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[47] = int_stack + 18900;
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+19845,int_stack+21231,int_stack+20916, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+32571, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[46] = int_stack + 19845;
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+50589,int_stack+21987,int_stack+21672, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+33642, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[45] = int_stack + 50589;
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+20790,int_stack+22743,int_stack+22428, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+34713, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[44] = int_stack + 20790;
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+21735,int_stack+23499,int_stack+23184, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+35784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[43] = int_stack + 21735;
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+22680,int_stack+24255,int_stack+23940, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+36855, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[42] = int_stack + 22680;
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+23625,int_stack+25011,int_stack+24696, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+37926, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[38] = int_stack + 23625;
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+51534,int_stack+25767,int_stack+25452, 0.0, zero_stack, 1.0, int_stack+31500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[35] = int_stack + 51534;
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+24570,int_stack+26523,int_stack+26208, 0.0, zero_stack, 1.0, int_stack+32571, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[34] = int_stack + 24570;
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+25515,int_stack+27279,int_stack+26964, 0.0, zero_stack, 1.0, int_stack+33642, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[33] = int_stack + 25515;
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+26460,int_stack+28035,int_stack+27720, 0.0, zero_stack, 1.0, int_stack+34713, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[32] = int_stack + 26460;
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+27405,int_stack+28791,int_stack+28476, 0.0, zero_stack, 1.0, int_stack+35784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[31] = int_stack + 27405;
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+52479,int_stack+29547,int_stack+29232, 0.0, zero_stack, 1.0, int_stack+36855, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[30] = int_stack + 52479;
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+28350,int_stack+30303,int_stack+29988, 0.0, zero_stack, 1.0, int_stack+37926, 1.0, int_stack+38997, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[26] = int_stack + 28350;
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+29295,int_stack+31059,int_stack+30744, 0.0, zero_stack, 2.0, int_stack+38997, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[25] = int_stack + 29295;
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+30240,int_stack+32130,int_stack+31815, 1.0, int_stack+31500, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[23] = int_stack + 30240;
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+31185,int_stack+33201,int_stack+32886, 1.0, int_stack+32571, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[22] = int_stack + 31185;
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+32130,int_stack+34272,int_stack+33957, 1.0, int_stack+33642, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[21] = int_stack + 32130;
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+33075,int_stack+35343,int_stack+35028, 1.0, int_stack+34713, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[20] = int_stack + 33075;
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+34020,int_stack+36414,int_stack+36099, 1.0, int_stack+35784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[19] = int_stack + 34020;
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+34965,int_stack+37485,int_stack+37170, 1.0, int_stack+36855, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[18] = int_stack + 34965;
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+35910,int_stack+38556,int_stack+38241, 1.0, int_stack+37926, 0.0, zero_stack, 1.0, int_stack+40068, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[14] = int_stack + 35910;
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+36855,int_stack+39627,int_stack+39312, 1.0, int_stack+38997, 1.0, int_stack+40068, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[13] = int_stack + 36855;
 /*--- compute (gp|h0) ---*/
   d1hrr1_build_gp(Libderiv->AB,int_stack+37800,int_stack+40698,int_stack+40383, 2.0, int_stack+40068, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
     Libderiv->ABCD[12] = int_stack + 37800;

}
