#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_d0if(Libderiv_t *, prim_data *);

  /* Computes derivatives of (d0|if) integrals */

void d1hrr_order_d0if(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[2][6][11] = int_stack + 0;
 Libderiv->deriv_classes[2][7][11] = int_stack + 168;
 Libderiv->deriv_classes[2][8][11] = int_stack + 384;
 Libderiv->deriv_classes[2][9][11] = int_stack + 654;
 Libderiv->deriv_classes[2][6][10] = int_stack + 984;
 Libderiv->deriv_classes[2][7][10] = int_stack + 1152;
 Libderiv->deriv_classes[2][8][10] = int_stack + 1368;
 Libderiv->deriv_classes[2][9][10] = int_stack + 1638;
 Libderiv->deriv_classes[2][6][9] = int_stack + 1968;
 Libderiv->deriv_classes[2][7][9] = int_stack + 2136;
 Libderiv->deriv_classes[2][8][9] = int_stack + 2352;
 Libderiv->deriv_classes[2][9][9] = int_stack + 2622;
 Libderiv->deriv_classes[2][6][8] = int_stack + 2952;
 Libderiv->deriv_classes[2][7][8] = int_stack + 3120;
 Libderiv->deriv_classes[2][8][8] = int_stack + 3336;
 Libderiv->deriv_classes[2][9][8] = int_stack + 3606;
 Libderiv->deriv_classes[2][6][7] = int_stack + 3936;
 Libderiv->deriv_classes[2][7][7] = int_stack + 4104;
 Libderiv->deriv_classes[2][8][7] = int_stack + 4320;
 Libderiv->deriv_classes[2][9][7] = int_stack + 4590;
 Libderiv->dvrr_classes[2][6] = int_stack + 4920;
 Libderiv->deriv_classes[2][6][6] = int_stack + 5088;
 Libderiv->dvrr_classes[2][7] = int_stack + 5256;
 Libderiv->deriv_classes[2][7][6] = int_stack + 5472;
 Libderiv->dvrr_classes[2][8] = int_stack + 5688;
 Libderiv->deriv_classes[2][8][6] = int_stack + 5958;
 Libderiv->deriv_classes[2][9][6] = int_stack + 6228;
 Libderiv->deriv_classes[2][6][2] = int_stack + 6558;
 Libderiv->deriv_classes[2][7][2] = int_stack + 6726;
 Libderiv->deriv_classes[2][8][2] = int_stack + 6942;
 Libderiv->deriv_classes[2][9][2] = int_stack + 7212;
 Libderiv->deriv_classes[2][6][1] = int_stack + 7542;
 Libderiv->deriv_classes[2][7][1] = int_stack + 7710;
 Libderiv->deriv_classes[2][8][1] = int_stack + 7926;
 Libderiv->deriv_classes[2][9][1] = int_stack + 8196;
 Libderiv->deriv_classes[2][6][0] = int_stack + 8526;
 Libderiv->deriv_classes[2][7][0] = int_stack + 8694;
 Libderiv->deriv_classes[2][8][0] = int_stack + 8910;
 Libderiv->deriv_classes[2][9][0] = int_stack + 9180;
 memset(int_stack,0,76080);

 Libderiv->dvrr_stack = int_stack + 26688;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_d0if(Libderiv, Data);
   Data++;
 }

 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+9510,int_stack+5256,int_stack+4920,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+10014,int_stack+5688,int_stack+5256,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+10662,int_stack+10014,int_stack+9510,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+11670,int_stack+168,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4920,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+12174,int_stack+384,int_stack+168, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5256,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+12822,int_stack+12174,int_stack+11670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9510,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+13830,int_stack+654,int_stack+384, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5688,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+14640,int_stack+13830,int_stack+12174, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10014,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+13830,int_stack+1152,int_stack+984, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4920, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+11670,int_stack+1368,int_stack+1152, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5256, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+11670,int_stack+13830, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9510, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+13830,int_stack+1638,int_stack+1368, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5688, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+15936,int_stack+13830,int_stack+11670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10014, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+11670,int_stack+2136,int_stack+1968, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4920, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+12174,int_stack+2352,int_stack+2136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5256, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+1008,int_stack+12174,int_stack+11670, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9510, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+13830,int_stack+2622,int_stack+2352, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5688, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+17232,int_stack+13830,int_stack+12174, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10014, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+13830,int_stack+3120,int_stack+2952, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+11670,int_stack+3336,int_stack+3120, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5256, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2016,int_stack+11670,int_stack+13830, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+9510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+13830,int_stack+3606,int_stack+3336, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5688, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+18528,int_stack+13830,int_stack+11670, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10014, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+11670,int_stack+4104,int_stack+3936, 0.0, zero_stack, 1.0, int_stack+4920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+12174,int_stack+4320,int_stack+4104, 0.0, zero_stack, 1.0, int_stack+5256, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3024,int_stack+12174,int_stack+11670, 0.0, zero_stack, 1.0, int_stack+9510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+13830,int_stack+4590,int_stack+4320, 0.0, zero_stack, 1.0, int_stack+5688, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+19824,int_stack+13830,int_stack+12174, 0.0, zero_stack, 1.0, int_stack+10014, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+13830,int_stack+5472,int_stack+5088, 1.0, int_stack+4920, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+11670,int_stack+5958,int_stack+5472, 1.0, int_stack+5256, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4032,int_stack+11670,int_stack+13830, 1.0, int_stack+9510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+13830,int_stack+6228,int_stack+5958, 1.0, int_stack+5688, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+5040,int_stack+13830,int_stack+11670, 1.0, int_stack+10014, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+11670,int_stack+6726,int_stack+6558,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+12174,int_stack+6942,int_stack+6726,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+9510,int_stack+12174,int_stack+11670,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+13830,int_stack+7212,int_stack+6942,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+21120,int_stack+13830,int_stack+12174,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+13830,int_stack+7710,int_stack+7542,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+11670,int_stack+7926,int_stack+7710,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+6336,int_stack+11670,int_stack+13830,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+13830,int_stack+8196,int_stack+7926,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+22416,int_stack+13830,int_stack+11670,6);
 /*--- compute (d0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+11670,int_stack+8694,int_stack+8526,6);
 /*--- compute (d0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+12174,int_stack+8910,int_stack+8694,6);
 /*--- compute (d0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+7344,int_stack+12174,int_stack+11670,6);
 /*--- compute (d0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+13830,int_stack+9180,int_stack+8910,6);
 /*--- compute (d0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+23712,int_stack+13830,int_stack+12174,6);
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+25008,int_stack+14640,int_stack+12822, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10662,6);
     Libderiv->ABCD[11] = int_stack + 25008;
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+11670,int_stack+15936,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10662, 0.0, zero_stack,6);
     Libderiv->ABCD[10] = int_stack + 11670;
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+13350,int_stack+17232,int_stack+1008, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10662, 0.0, zero_stack, 0.0, zero_stack,6);
     Libderiv->ABCD[9] = int_stack + 13350;
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+18528,int_stack+2016, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+10662, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+15030,int_stack+19824,int_stack+3024, 0.0, zero_stack, 1.0, int_stack+10662, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
     Libderiv->ABCD[7] = int_stack + 15030;
 /*--- compute (d0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+1680,int_stack+5040,int_stack+4032, 1.0, int_stack+10662, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,6);
     Libderiv->ABCD[6] = int_stack + 1680;
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+3360,int_stack+21120,int_stack+9510,6);
     Libderiv->ABCD[2] = int_stack + 3360;
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+16710,int_stack+22416,int_stack+6336,6);
     Libderiv->ABCD[1] = int_stack + 16710;
 /*--- compute (d0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+5040,int_stack+23712,int_stack+7344,6);
     Libderiv->ABCD[0] = int_stack + 5040;

}
