#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_f0i0(Libderiv_t *, prim_data *);

  /* Computes derivatives of (f0|i0) integrals */

void d1hrr_order_f0i0(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][6][11] = int_stack + 0;
 Libderiv->deriv_classes[3][6][10] = int_stack + 280;
 Libderiv->deriv_classes[3][6][9] = int_stack + 560;
 Libderiv->deriv_classes[3][6][8] = int_stack + 840;
 Libderiv->deriv_classes[3][6][7] = int_stack + 1120;
 Libderiv->deriv_classes[3][6][6] = int_stack + 1400;
 Libderiv->deriv_classes[3][6][2] = int_stack + 1680;
 Libderiv->deriv_classes[3][6][1] = int_stack + 1960;
 Libderiv->deriv_classes[3][6][0] = int_stack + 2240;
 memset(int_stack,0,20160);

 Libderiv->dvrr_stack = int_stack + 2520;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_f0i0(Libderiv, Data);
   Data++;
 }

 /*--- compute (f0|i0) ---*/
     Libderiv->ABCD[11] = int_stack + 0;
 /*--- compute (f0|i0) ---*/
     Libderiv->ABCD[10] = int_stack + 280;
 /*--- compute (f0|i0) ---*/
     Libderiv->ABCD[9] = int_stack + 560;
 /*--- compute (f0|i0) ---*/
     Libderiv->ABCD[8] = int_stack + 840;
 /*--- compute (f0|i0) ---*/
     Libderiv->ABCD[7] = int_stack + 1120;
 /*--- compute (f0|i0) ---*/
     Libderiv->ABCD[6] = int_stack + 1400;
 /*--- compute (f0|i0) ---*/
     Libderiv->ABCD[2] = int_stack + 1680;
 /*--- compute (f0|i0) ---*/
     Libderiv->ABCD[1] = int_stack + 1960;
 /*--- compute (f0|i0) ---*/
     Libderiv->ABCD[0] = int_stack + 2240;

}
