#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_fpid(Libderiv_t *, prim_data *);

  /* Computes derivatives of (fp|id) integrals */

void d1hrr_order_fpid(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[3][6][11] = int_stack + 0;
 Libderiv->deriv_classes[3][7][11] = int_stack + 280;
 Libderiv->deriv_classes[3][8][11] = int_stack + 640;
 Libderiv->deriv_classes[4][6][11] = int_stack + 1090;
 Libderiv->deriv_classes[4][7][11] = int_stack + 1510;
 Libderiv->deriv_classes[4][8][11] = int_stack + 2050;
 Libderiv->deriv_classes[3][6][10] = int_stack + 2725;
 Libderiv->deriv_classes[3][7][10] = int_stack + 3005;
 Libderiv->deriv_classes[3][8][10] = int_stack + 3365;
 Libderiv->deriv_classes[4][6][10] = int_stack + 3815;
 Libderiv->deriv_classes[4][7][10] = int_stack + 4235;
 Libderiv->deriv_classes[4][8][10] = int_stack + 4775;
 Libderiv->deriv_classes[3][6][9] = int_stack + 5450;
 Libderiv->deriv_classes[3][7][9] = int_stack + 5730;
 Libderiv->deriv_classes[3][8][9] = int_stack + 6090;
 Libderiv->deriv_classes[4][6][9] = int_stack + 6540;
 Libderiv->deriv_classes[4][7][9] = int_stack + 6960;
 Libderiv->deriv_classes[4][8][9] = int_stack + 7500;
 Libderiv->deriv_classes[3][6][8] = int_stack + 8175;
 Libderiv->deriv_classes[3][7][8] = int_stack + 8455;
 Libderiv->deriv_classes[3][8][8] = int_stack + 8815;
 Libderiv->deriv_classes[4][6][8] = int_stack + 9265;
 Libderiv->deriv_classes[4][7][8] = int_stack + 9685;
 Libderiv->deriv_classes[4][8][8] = int_stack + 10225;
 Libderiv->deriv_classes[3][6][7] = int_stack + 10900;
 Libderiv->deriv_classes[3][7][7] = int_stack + 11180;
 Libderiv->deriv_classes[3][8][7] = int_stack + 11540;
 Libderiv->deriv_classes[4][6][7] = int_stack + 11990;
 Libderiv->deriv_classes[4][7][7] = int_stack + 12410;
 Libderiv->deriv_classes[4][8][7] = int_stack + 12950;
 Libderiv->deriv_classes[3][6][6] = int_stack + 13625;
 Libderiv->deriv_classes[3][7][6] = int_stack + 13905;
 Libderiv->deriv_classes[3][8][6] = int_stack + 14265;
 Libderiv->dvrr_classes[4][6] = int_stack + 14715;
 Libderiv->deriv_classes[4][6][6] = int_stack + 15135;
 Libderiv->dvrr_classes[4][7] = int_stack + 15555;
 Libderiv->deriv_classes[4][7][6] = int_stack + 16095;
 Libderiv->deriv_classes[4][8][6] = int_stack + 16635;
 Libderiv->deriv_classes[3][6][2] = int_stack + 17310;
 Libderiv->deriv_classes[3][7][2] = int_stack + 17590;
 Libderiv->deriv_classes[3][8][2] = int_stack + 17950;
 Libderiv->deriv_classes[4][6][2] = int_stack + 18400;
 Libderiv->deriv_classes[4][7][2] = int_stack + 18820;
 Libderiv->deriv_classes[4][8][2] = int_stack + 19360;
 Libderiv->deriv_classes[3][6][1] = int_stack + 20035;
 Libderiv->deriv_classes[3][7][1] = int_stack + 20315;
 Libderiv->deriv_classes[3][8][1] = int_stack + 20675;
 Libderiv->deriv_classes[4][6][1] = int_stack + 21125;
 Libderiv->deriv_classes[4][7][1] = int_stack + 21545;
 Libderiv->deriv_classes[4][8][1] = int_stack + 22085;
 Libderiv->dvrr_classes[3][6] = int_stack + 22760;
 Libderiv->dvrr_classes[3][7] = int_stack + 23040;
 Libderiv->dvrr_classes[3][8] = int_stack + 23400;
 Libderiv->deriv_classes[3][6][0] = int_stack + 23850;
 Libderiv->deriv_classes[3][7][0] = int_stack + 24130;
 Libderiv->deriv_classes[3][8][0] = int_stack + 24490;
 Libderiv->deriv_classes[4][6][0] = int_stack + 24940;
 Libderiv->deriv_classes[4][7][0] = int_stack + 25360;
 Libderiv->deriv_classes[4][8][0] = int_stack + 25900;
 memset(int_stack,0,212600);

 Libderiv->dvrr_stack = int_stack + 59815;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_fpid(Libderiv, Data);
   Data++;
 }

 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+26575,int_stack+23040,int_stack+22760,10);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+27415,int_stack+280,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22760,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+28255,int_stack+640,int_stack+280, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23040,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+29335,int_stack+28255,int_stack+27415, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26575,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+27415,int_stack+15555,int_stack+14715,15);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+31015,int_stack+1510,int_stack+1090, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14715,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+32275,int_stack+2050,int_stack+1510, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15555,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+32275,int_stack+31015, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27415,15);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+31015,int_stack+3005,int_stack+2725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22760, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+31855,int_stack+3365,int_stack+3005, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23040, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+32935,int_stack+31855,int_stack+31015, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26575, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+31015,int_stack+4235,int_stack+3815, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14715, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+2520,int_stack+4775,int_stack+4235, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15555, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+34615,int_stack+2520,int_stack+31015, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27415, 0.0, zero_stack,15);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+31015,int_stack+5730,int_stack+5450, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22760, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+31855,int_stack+6090,int_stack+5730, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23040, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+2520,int_stack+31855,int_stack+31015, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26575, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+31015,int_stack+6960,int_stack+6540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14715, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4200,int_stack+7500,int_stack+6960, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15555, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+37135,int_stack+4200,int_stack+31015, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27415, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+31015,int_stack+8455,int_stack+8175, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+22760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+31855,int_stack+8815,int_stack+8455, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+23040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+4200,int_stack+31855,int_stack+31015, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+26575, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+31015,int_stack+9685,int_stack+9265, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+14715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+5880,int_stack+10225,int_stack+9685, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+15555, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+7500,int_stack+5880,int_stack+31015, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+27415, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+31015,int_stack+11180,int_stack+10900, 0.0, zero_stack, 1.0, int_stack+22760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+31855,int_stack+11540,int_stack+11180, 0.0, zero_stack, 1.0, int_stack+23040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+10020,int_stack+31855,int_stack+31015, 0.0, zero_stack, 1.0, int_stack+26575, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+31015,int_stack+12410,int_stack+11990, 0.0, zero_stack, 1.0, int_stack+14715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+5880,int_stack+12950,int_stack+12410, 0.0, zero_stack, 1.0, int_stack+15555, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+39655,int_stack+5880,int_stack+31015, 0.0, zero_stack, 1.0, int_stack+27415, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+31015,int_stack+13905,int_stack+13625, 1.0, int_stack+22760, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+31855,int_stack+14265,int_stack+13905, 1.0, int_stack+23040, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (f0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+11700,int_stack+31855,int_stack+31015, 1.0, int_stack+26575, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,10);
 /*--- compute (g0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+31015,int_stack+16095,int_stack+15135, 1.0, int_stack+14715, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+5880,int_stack+16635,int_stack+16095, 1.0, int_stack+15555, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (g0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+13380,int_stack+5880,int_stack+31015, 1.0, int_stack+27415, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,15);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+27415,int_stack+23400,int_stack+23040,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+31015,int_stack+27415,int_stack+26575,10);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+26575,int_stack+17590,int_stack+17310,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+27415,int_stack+17950,int_stack+17590,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+15900,int_stack+27415,int_stack+26575,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+26575,int_stack+18820,int_stack+18400,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+5880,int_stack+19360,int_stack+18820,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+42175,int_stack+5880,int_stack+26575,15);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+26575,int_stack+20315,int_stack+20035,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+27415,int_stack+20675,int_stack+20315,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+17580,int_stack+27415,int_stack+26575,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+26575,int_stack+21545,int_stack+21125,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+5880,int_stack+22085,int_stack+21545,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+19260,int_stack+5880,int_stack+26575,15);
 /*--- compute (f0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+26575,int_stack+24130,int_stack+23850,10);
 /*--- compute (f0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+27415,int_stack+24490,int_stack+24130,10);
 /*--- compute (f0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+21780,int_stack+27415,int_stack+26575,10);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+26575,int_stack+25360,int_stack+24940,15);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+5880,int_stack+25900,int_stack+25360,15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+23460,int_stack+5880,int_stack+26575,15);
 /*--- compute (fp|id) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+44695,int_stack+0,int_stack+29335,168);
     Libderiv->ABCD[11] = int_stack + 44695;
 /*--- compute (fp|id) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+49735,int_stack+34615,int_stack+32935,168);
     Libderiv->ABCD[10] = int_stack + 49735;
 /*--- compute (fp|id) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+54775,int_stack+37135,int_stack+2520,168);
     Libderiv->ABCD[9] = int_stack + 54775;
 /*--- compute (fp|id) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+32695,int_stack+7500,int_stack+4200,168);
     Libderiv->ABCD[8] = int_stack + 32695;
 /*--- compute (fp|id) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+0,int_stack+39655,int_stack+10020,168);
     Libderiv->ABCD[7] = int_stack + 0;
 /*--- compute (fp|id) ---*/
   hrr1_build_fp(Libderiv->AB,int_stack+5040,int_stack+13380,int_stack+11700,168);
     Libderiv->ABCD[6] = int_stack + 5040;
 /*--- compute (fp|id) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+10080,int_stack+42175,int_stack+15900, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31015, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
     Libderiv->ABCD[2] = int_stack + 10080;
 /*--- compute (fp|id) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+37735,int_stack+19260,int_stack+17580, 0.0, zero_stack, 1.0, int_stack+31015, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
     Libderiv->ABCD[1] = int_stack + 37735;
 /*--- compute (fp|id) ---*/
   d1hrr1_build_fp(Libderiv->AB,int_stack+15120,int_stack+23460,int_stack+21780, 1.0, int_stack+31015, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,168);
     Libderiv->ABCD[0] = int_stack + 15120;

}
