#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_iphd(Libderiv_t *, prim_data *);

  /* Computes derivatives of (ip|hd) integrals */

void d1hrr_order_iphd(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[6][5][11] = int_stack + 0;
 Libderiv->deriv_classes[6][6][11] = int_stack + 588;
 Libderiv->deriv_classes[6][7][11] = int_stack + 1372;
 Libderiv->deriv_classes[7][5][11] = int_stack + 2380;
 Libderiv->deriv_classes[7][6][11] = int_stack + 3136;
 Libderiv->deriv_classes[7][7][11] = int_stack + 4144;
 Libderiv->deriv_classes[6][5][10] = int_stack + 5440;
 Libderiv->deriv_classes[6][6][10] = int_stack + 6028;
 Libderiv->deriv_classes[6][7][10] = int_stack + 6812;
 Libderiv->deriv_classes[7][5][10] = int_stack + 7820;
 Libderiv->deriv_classes[7][6][10] = int_stack + 8576;
 Libderiv->deriv_classes[7][7][10] = int_stack + 9584;
 Libderiv->deriv_classes[6][5][9] = int_stack + 10880;
 Libderiv->deriv_classes[6][6][9] = int_stack + 11468;
 Libderiv->deriv_classes[6][7][9] = int_stack + 12252;
 Libderiv->deriv_classes[7][5][9] = int_stack + 13260;
 Libderiv->deriv_classes[7][6][9] = int_stack + 14016;
 Libderiv->deriv_classes[7][7][9] = int_stack + 15024;
 Libderiv->deriv_classes[6][5][8] = int_stack + 16320;
 Libderiv->deriv_classes[6][6][8] = int_stack + 16908;
 Libderiv->deriv_classes[6][7][8] = int_stack + 17692;
 Libderiv->deriv_classes[7][5][8] = int_stack + 18700;
 Libderiv->deriv_classes[7][6][8] = int_stack + 19456;
 Libderiv->deriv_classes[7][7][8] = int_stack + 20464;
 Libderiv->deriv_classes[6][5][7] = int_stack + 21760;
 Libderiv->deriv_classes[6][6][7] = int_stack + 22348;
 Libderiv->deriv_classes[6][7][7] = int_stack + 23132;
 Libderiv->deriv_classes[7][5][7] = int_stack + 24140;
 Libderiv->deriv_classes[7][6][7] = int_stack + 24896;
 Libderiv->deriv_classes[7][7][7] = int_stack + 25904;
 Libderiv->deriv_classes[6][5][6] = int_stack + 27200;
 Libderiv->deriv_classes[6][6][6] = int_stack + 27788;
 Libderiv->deriv_classes[6][7][6] = int_stack + 28572;
 Libderiv->dvrr_classes[7][5] = int_stack + 29580;
 Libderiv->deriv_classes[7][5][6] = int_stack + 30336;
 Libderiv->dvrr_classes[7][6] = int_stack + 31092;
 Libderiv->deriv_classes[7][6][6] = int_stack + 32100;
 Libderiv->deriv_classes[7][7][6] = int_stack + 33108;
 Libderiv->deriv_classes[6][5][2] = int_stack + 34404;
 Libderiv->deriv_classes[6][6][2] = int_stack + 34992;
 Libderiv->deriv_classes[6][7][2] = int_stack + 35776;
 Libderiv->deriv_classes[7][5][2] = int_stack + 36784;
 Libderiv->deriv_classes[7][6][2] = int_stack + 37540;
 Libderiv->deriv_classes[7][7][2] = int_stack + 38548;
 Libderiv->deriv_classes[6][5][1] = int_stack + 39844;
 Libderiv->deriv_classes[6][6][1] = int_stack + 40432;
 Libderiv->deriv_classes[6][7][1] = int_stack + 41216;
 Libderiv->deriv_classes[7][5][1] = int_stack + 42224;
 Libderiv->deriv_classes[7][6][1] = int_stack + 42980;
 Libderiv->deriv_classes[7][7][1] = int_stack + 43988;
 Libderiv->dvrr_classes[6][5] = int_stack + 45284;
 Libderiv->dvrr_classes[6][6] = int_stack + 45872;
 Libderiv->dvrr_classes[6][7] = int_stack + 46656;
 Libderiv->deriv_classes[6][5][0] = int_stack + 47664;
 Libderiv->deriv_classes[6][6][0] = int_stack + 48252;
 Libderiv->deriv_classes[6][7][0] = int_stack + 49036;
 Libderiv->deriv_classes[7][5][0] = int_stack + 50044;
 Libderiv->deriv_classes[7][6][0] = int_stack + 50800;
 Libderiv->deriv_classes[7][7][0] = int_stack + 51808;
 memset(int_stack,0,424832);

 Libderiv->dvrr_stack = int_stack + 118960;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_iphd(Libderiv, Data);
   Data++;
 }

 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+53104,int_stack+45872,int_stack+45284,28);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+54868,int_stack+588,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+45284,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+56632,int_stack+1372,int_stack+588, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+45872,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+58984,int_stack+56632,int_stack+54868, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53104,28);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+54868,int_stack+31092,int_stack+29580,36);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+3136,int_stack+2380, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29580,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+62512,int_stack+4144,int_stack+3136, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31092,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+65536,int_stack+62512,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54868,36);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+6028,int_stack+5440, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+45284, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1764,int_stack+6812,int_stack+6028, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+45872, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+4116,int_stack+1764,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53104, 0.0, zero_stack,28);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+8576,int_stack+7820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29580, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+62512,int_stack+9584,int_stack+8576, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31092, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+70072,int_stack+62512,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54868, 0.0, zero_stack,36);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+11468,int_stack+10880, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+45284, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1764,int_stack+12252,int_stack+11468, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+45872, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+7644,int_stack+1764,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53104, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+14016,int_stack+13260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29580, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+62512,int_stack+15024,int_stack+14016, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31092, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+11172,int_stack+62512,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54868, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+16908,int_stack+16320, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+45284, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1764,int_stack+17692,int_stack+16908, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+45872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+74608,int_stack+1764,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+53104, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+19456,int_stack+18700, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+29580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+62512,int_stack+20464,int_stack+19456, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+31092, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+15708,int_stack+62512,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+54868, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+22348,int_stack+21760, 0.0, zero_stack, 1.0, int_stack+45284, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1764,int_stack+23132,int_stack+22348, 0.0, zero_stack, 1.0, int_stack+45872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+20244,int_stack+1764,int_stack+0, 0.0, zero_stack, 1.0, int_stack+53104, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+24896,int_stack+24140, 0.0, zero_stack, 1.0, int_stack+29580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+62512,int_stack+25904,int_stack+24896, 0.0, zero_stack, 1.0, int_stack+31092, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+78136,int_stack+62512,int_stack+0, 0.0, zero_stack, 1.0, int_stack+54868, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (i0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+27788,int_stack+27200, 1.0, int_stack+45284, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1764,int_stack+28572,int_stack+27788, 1.0, int_stack+45872, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+23772,int_stack+1764,int_stack+0, 1.0, int_stack+53104, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (k0|hp) ---*/
   d1hrr3_build_hp(Libderiv->CD,int_stack+0,int_stack+32100,int_stack+30336, 1.0, int_stack+29580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+62512,int_stack+33108,int_stack+32100, 1.0, int_stack+31092, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|hd) ---*/
   d1hrr3_build_hd(Libderiv->CD,int_stack+27300,int_stack+62512,int_stack+0, 1.0, int_stack+54868, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+54868,int_stack+46656,int_stack+45872,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+0,int_stack+54868,int_stack+53104,28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+53104,int_stack+34992,int_stack+34404,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+54868,int_stack+35776,int_stack+34992,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+31836,int_stack+54868,int_stack+53104,28);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+53104,int_stack+37540,int_stack+36784,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+62512,int_stack+38548,int_stack+37540,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+82672,int_stack+62512,int_stack+53104,36);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+53104,int_stack+40432,int_stack+39844,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+54868,int_stack+41216,int_stack+40432,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+35364,int_stack+54868,int_stack+53104,28);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+53104,int_stack+42980,int_stack+42224,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+62512,int_stack+43988,int_stack+42980,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+38892,int_stack+62512,int_stack+53104,36);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+53104,int_stack+48252,int_stack+47664,28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+54868,int_stack+49036,int_stack+48252,28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+43428,int_stack+54868,int_stack+53104,28);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libderiv->CD,int_stack+53104,int_stack+50800,int_stack+50044,36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+62512,int_stack+51808,int_stack+50800,36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libderiv->CD,int_stack+46956,int_stack+62512,int_stack+53104,36);
 /*--- compute (ip|hd) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+87208,int_stack+65536,int_stack+58984,126);
     Libderiv->ABCD[11] = int_stack + 87208;
 /*--- compute (ip|hd) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+51492,int_stack+70072,int_stack+4116,126);
     Libderiv->ABCD[10] = int_stack + 51492;
 /*--- compute (ip|hd) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+62076,int_stack+11172,int_stack+7644,126);
     Libderiv->ABCD[9] = int_stack + 62076;
 /*--- compute (ip|hd) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+3528,int_stack+15708,int_stack+74608,126);
     Libderiv->ABCD[8] = int_stack + 3528;
 /*--- compute (ip|hd) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+97792,int_stack+78136,int_stack+20244,126);
     Libderiv->ABCD[7] = int_stack + 97792;
 /*--- compute (ip|hd) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+108376,int_stack+27300,int_stack+23772,126);
     Libderiv->ABCD[6] = int_stack + 108376;
 /*--- compute (ip|hd) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+14112,int_stack+82672,int_stack+31836, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[2] = int_stack + 14112;
 /*--- compute (ip|hd) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+24696,int_stack+38892,int_stack+35364, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[1] = int_stack + 24696;
 /*--- compute (ip|hd) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+72660,int_stack+46956,int_stack+43428, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,126);
     Libderiv->ABCD[0] = int_stack + 72660;

}
