#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_p0id(Libderiv_t *, prim_data *);

  /* Computes derivatives of (p0|id) integrals */

void d1hrr_order_p0id(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[1][6][11] = int_stack + 0;
 Libderiv->deriv_classes[1][7][11] = int_stack + 84;
 Libderiv->deriv_classes[1][8][11] = int_stack + 192;
 Libderiv->deriv_classes[1][6][10] = int_stack + 327;
 Libderiv->deriv_classes[1][7][10] = int_stack + 411;
 Libderiv->deriv_classes[1][8][10] = int_stack + 519;
 Libderiv->deriv_classes[1][6][9] = int_stack + 654;
 Libderiv->deriv_classes[1][7][9] = int_stack + 738;
 Libderiv->deriv_classes[1][8][9] = int_stack + 846;
 Libderiv->deriv_classes[1][6][8] = int_stack + 981;
 Libderiv->deriv_classes[1][7][8] = int_stack + 1065;
 Libderiv->deriv_classes[1][8][8] = int_stack + 1173;
 Libderiv->deriv_classes[1][6][7] = int_stack + 1308;
 Libderiv->deriv_classes[1][7][7] = int_stack + 1392;
 Libderiv->deriv_classes[1][8][7] = int_stack + 1500;
 Libderiv->dvrr_classes[1][6] = int_stack + 1635;
 Libderiv->deriv_classes[1][6][6] = int_stack + 1719;
 Libderiv->dvrr_classes[1][7] = int_stack + 1803;
 Libderiv->deriv_classes[1][7][6] = int_stack + 1911;
 Libderiv->deriv_classes[1][8][6] = int_stack + 2019;
 Libderiv->deriv_classes[1][6][2] = int_stack + 2154;
 Libderiv->deriv_classes[1][7][2] = int_stack + 2238;
 Libderiv->deriv_classes[1][8][2] = int_stack + 2346;
 Libderiv->deriv_classes[1][6][1] = int_stack + 2481;
 Libderiv->deriv_classes[1][7][1] = int_stack + 2565;
 Libderiv->deriv_classes[1][8][1] = int_stack + 2673;
 Libderiv->deriv_classes[1][6][0] = int_stack + 2808;
 Libderiv->deriv_classes[1][7][0] = int_stack + 2892;
 Libderiv->deriv_classes[1][8][0] = int_stack + 3000;
 memset(int_stack,0,25080);

 Libderiv->dvrr_stack = int_stack + 6915;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_p0id(Libderiv, Data);
   Data++;
 }

 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+3135,int_stack+1803,int_stack+1635,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+3387,int_stack+84,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1635,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3639,int_stack+192,int_stack+84, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1803,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+411,int_stack+327, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1635, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+3963,int_stack+519,int_stack+411, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1803, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+252,int_stack+738,int_stack+654, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1635, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4287,int_stack+846,int_stack+738, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1803, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+504,int_stack+1065,int_stack+981, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1635, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4611,int_stack+1173,int_stack+1065, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+1803, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+756,int_stack+1392,int_stack+1308, 0.0, zero_stack, 1.0, int_stack+1635, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+1008,int_stack+1500,int_stack+1392, 0.0, zero_stack, 1.0, int_stack+1803, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+1332,int_stack+1911,int_stack+1719, 1.0, int_stack+1635, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+4935,int_stack+2019,int_stack+1911, 1.0, int_stack+1803, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+1584,int_stack+2238,int_stack+2154,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+1836,int_stack+2346,int_stack+2238,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+2160,int_stack+2565,int_stack+2481,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+5259,int_stack+2673,int_stack+2565,3);
 /*--- compute (p0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+2412,int_stack+2892,int_stack+2808,3);
 /*--- compute (p0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+5583,int_stack+3000,int_stack+2892,3);
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+5907,int_stack+3639,int_stack+3387, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3135,3);
     Libderiv->ABCD[11] = int_stack + 5907;
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3387,int_stack+3963,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3135, 0.0, zero_stack,3);
     Libderiv->ABCD[10] = int_stack + 3387;
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+6411,int_stack+4287,int_stack+252, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3135, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[9] = int_stack + 6411;
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+0,int_stack+4611,int_stack+504, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3135, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+3891,int_stack+1008,int_stack+756, 0.0, zero_stack, 1.0, int_stack+3135, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[7] = int_stack + 3891;
 /*--- compute (p0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+504,int_stack+4935,int_stack+1332, 1.0, int_stack+3135, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[6] = int_stack + 504;
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1008,int_stack+1836,int_stack+1584,3);
     Libderiv->ABCD[2] = int_stack + 1008;
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+1512,int_stack+5259,int_stack+2160,3);
     Libderiv->ABCD[1] = int_stack + 1512;
 /*--- compute (p0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+4395,int_stack+5583,int_stack+2412,3);
     Libderiv->ABCD[0] = int_stack + 4395;

}
