#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_00nf(Libint_t*, prim_data*);

  /* Computes quartets of (00|nf) integrals */

REALTYPE *hrr_order_00nf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[0][10] = int_stack + 0;
 Libint->vrr_classes[0][11] = int_stack + 66;
 Libint->vrr_classes[0][12] = int_stack + 144;
 Libint->vrr_classes[0][13] = int_stack + 235;
 memset(int_stack,0,340*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 340;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_00nf(Libint, Data);
   Data++;
 }
 /*--- compute (00|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+340,int_stack+66,int_stack+0,1);
 /*--- compute (00|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+538,int_stack+144,int_stack+66,1);
 /*--- compute (00|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+772,int_stack+538,int_stack+340,1);
 /*--- compute (00|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1168,int_stack+235,int_stack+144,1);
 /*--- compute (00|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+1168,int_stack+538,1);
 /*--- compute (00|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1168,int_stack+0,int_stack+772,1);
 return int_stack+1168;}
