#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ddn0(Libint_t*, prim_data*);

  /* Computes quartets of (dd|n0) integrals */

REALTYPE *hrr_order_ddn0(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][10] = int_stack + 0;
 Libint->vrr_classes[3][10] = int_stack + 396;
 Libint->vrr_classes[4][10] = int_stack + 1056;
 memset(int_stack,0,2046*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 2046;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ddn0(Libint, Data);
   Data++;
 }
 /*--- compute (dp|n0) ---*/
 hrr1_build_dp(Libint->AB,int_stack+2046,int_stack+396,int_stack+0,66);
 /*--- compute (fp|n0) ---*/
 hrr1_build_fp(Libint->AB,int_stack+3234,int_stack+1056,int_stack+396,66);
 /*--- compute (dd|n0) ---*/
 hrr1_build_dd(Libint->AB,int_stack+5214,int_stack+3234,int_stack+2046,66);
 return int_stack+5214;}
