#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_dpi0(Libint_t*, prim_data*);

  /* Computes quartets of (dp|i0) integrals */

REALTYPE *hrr_order_dpi0(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][6] = int_stack + 0;
 Libint->vrr_classes[3][6] = int_stack + 168;
 memset(int_stack,0,448*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 448;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_dpi0(Libint, Data);
   Data++;
 }
 /*--- compute (dp|i0) ---*/
 hrr1_build_dp(Libint->AB,int_stack+448,int_stack+168,int_stack+0,28);
 return int_stack+448;}
