#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_dpnf(Libint_t*, prim_data*);

  /* Computes quartets of (dp|nf) integrals */

REALTYPE *hrr_order_dpnf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][10] = int_stack + 0;
 Libint->vrr_classes[2][11] = int_stack + 396;
 Libint->vrr_classes[2][12] = int_stack + 864;
 Libint->vrr_classes[2][13] = int_stack + 1410;
 Libint->vrr_classes[3][10] = int_stack + 2040;
 Libint->vrr_classes[3][11] = int_stack + 2700;
 Libint->vrr_classes[3][12] = int_stack + 3480;
 Libint->vrr_classes[3][13] = int_stack + 4390;
 memset(int_stack,0,5440*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 5440;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_dpnf(Libint, Data);
   Data++;
 }
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+5440,int_stack+396,int_stack+0,6);
 /*--- compute (d0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+6628,int_stack+864,int_stack+396,6);
 /*--- compute (d0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+8032,int_stack+6628,int_stack+5440,6);
 /*--- compute (d0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+10408,int_stack+1410,int_stack+864,6);
 /*--- compute (d0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+12046,int_stack+10408,int_stack+6628,6);
 /*--- compute (d0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+14854,int_stack+12046,int_stack+8032,6);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+5440,int_stack+2700,int_stack+2040,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+7420,int_stack+3480,int_stack+2700,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+9760,int_stack+7420,int_stack+5440,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+4390,int_stack+3480,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+2730,int_stack+0,int_stack+7420,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+18814,int_stack+2730,int_stack+9760,10);
 /*--- compute (dp|nf) ---*/
 hrr1_build_dp(Libint->AB,int_stack+0,int_stack+18814,int_stack+14854,660);
 return int_stack+0;}
