#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_fdn0(Libint_t*, prim_data*);

  /* Computes quartets of (fd|n0) integrals */

REALTYPE *hrr_order_fdn0(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][10] = int_stack + 0;
 Libint->vrr_classes[4][10] = int_stack + 660;
 Libint->vrr_classes[5][10] = int_stack + 1650;
 memset(int_stack,0,3036*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 3036;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_fdn0(Libint, Data);
   Data++;
 }
 /*--- compute (fp|n0) ---*/
 hrr1_build_fp(Libint->AB,int_stack+3036,int_stack+660,int_stack+0,66);
 /*--- compute (gp|n0) ---*/
 hrr1_build_gp(Libint->AB,int_stack+5016,int_stack+1650,int_stack+660,66);
 /*--- compute (fd|n0) ---*/
 hrr1_build_fd(Libint->AB,int_stack+7986,int_stack+5016,int_stack+3036,66);
 return int_stack+7986;}
