#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ffml(Libint_t*, prim_data*);

  /* Computes quartets of (ff|ml) integrals */

REALTYPE *hrr_order_ffml(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][9] = int_stack + 0;
 Libint->vrr_classes[3][10] = int_stack + 550;
 Libint->vrr_classes[3][11] = int_stack + 1210;
 Libint->vrr_classes[3][12] = int_stack + 1990;
 Libint->vrr_classes[3][13] = int_stack + 2900;
 Libint->vrr_classes[3][14] = int_stack + 3950;
 Libint->vrr_classes[3][15] = int_stack + 5150;
 Libint->vrr_classes[3][16] = int_stack + 6510;
 Libint->vrr_classes[3][17] = int_stack + 8040;
 Libint->vrr_classes[4][9] = int_stack + 9750;
 Libint->vrr_classes[4][10] = int_stack + 10575;
 Libint->vrr_classes[4][11] = int_stack + 11565;
 Libint->vrr_classes[4][12] = int_stack + 12735;
 Libint->vrr_classes[4][13] = int_stack + 14100;
 Libint->vrr_classes[4][14] = int_stack + 15675;
 Libint->vrr_classes[4][15] = int_stack + 17475;
 Libint->vrr_classes[4][16] = int_stack + 19515;
 Libint->vrr_classes[4][17] = int_stack + 21810;
 Libint->vrr_classes[5][9] = int_stack + 24375;
 Libint->vrr_classes[5][10] = int_stack + 25530;
 Libint->vrr_classes[5][11] = int_stack + 26916;
 Libint->vrr_classes[5][12] = int_stack + 28554;
 Libint->vrr_classes[5][13] = int_stack + 30465;
 Libint->vrr_classes[5][14] = int_stack + 32670;
 Libint->vrr_classes[5][15] = int_stack + 35190;
 Libint->vrr_classes[5][16] = int_stack + 38046;
 Libint->vrr_classes[5][17] = int_stack + 41259;
 Libint->vrr_classes[6][9] = int_stack + 44850;
 Libint->vrr_classes[6][10] = int_stack + 46390;
 Libint->vrr_classes[6][11] = int_stack + 48238;
 Libint->vrr_classes[6][12] = int_stack + 50422;
 Libint->vrr_classes[6][13] = int_stack + 52970;
 Libint->vrr_classes[6][14] = int_stack + 55910;
 Libint->vrr_classes[6][15] = int_stack + 59270;
 Libint->vrr_classes[6][16] = int_stack + 63078;
 Libint->vrr_classes[6][17] = int_stack + 67362;
 memset(int_stack,0,72150*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 72150;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ffml(Libint, Data);
   Data++;
 }
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+72150,int_stack+550,int_stack+0,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+73800,int_stack+1210,int_stack+550,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+75780,int_stack+73800,int_stack+72150,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+79080,int_stack+1990,int_stack+1210,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+81420,int_stack+79080,int_stack+73800,10);
 /*--- compute (f0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+85380,int_stack+81420,int_stack+75780,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+72150,int_stack+2900,int_stack+1990,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+90880,int_stack+72150,int_stack+79080,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+95560,int_stack+90880,int_stack+81420,10);
 /*--- compute (f0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+74880,int_stack+95560,int_stack+85380,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+83130,int_stack+3950,int_stack+2900,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+102160,int_stack+83130,int_stack+72150,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+107620,int_stack+102160,int_stack+90880,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+115420,int_stack+107620,int_stack+95560,10);
 /*--- compute (f0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+86280,int_stack+115420,int_stack+74880,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+72150,int_stack+5150,int_stack+3950,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+75750,int_stack+72150,int_stack+83130,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+125320,int_stack+75750,int_stack+102160,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+134420,int_stack+125320,int_stack+107620,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+97830,int_stack+134420,int_stack+115420,10);
 /*--- compute (f0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+146120,int_stack+97830,int_stack+86280,10);
 /*--- compute (f0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+82050,int_stack+6510,int_stack+5150,10);
 /*--- compute (f0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+86130,int_stack+82050,int_stack+72150,10);
 /*--- compute (f0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+111690,int_stack+86130,int_stack+75750,10);
 /*--- compute (f0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+161520,int_stack+111690,int_stack+125320,10);
 /*--- compute (f0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+175170,int_stack+161520,int_stack+134420,10);
 /*--- compute (f0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+122190,int_stack+175170,int_stack+97830,10);
 /*--- compute (f0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+191550,int_stack+122190,int_stack+146120,10);
 /*--- compute (f0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+72150,int_stack+8040,int_stack+6510,10);
 /*--- compute (f0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+93330,int_stack+72150,int_stack+82050,10);
 /*--- compute (f0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+72150,int_stack+93330,int_stack+86130,10);
 /*--- compute (f0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+84150,int_stack+72150,int_stack+111690,10);
 /*--- compute (f0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+99900,int_stack+84150,int_stack+161520,10);
 /*--- compute (f0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+72150,int_stack+99900,int_stack+175170,10);
 /*--- compute (f0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+93990,int_stack+72150,int_stack+122190,10);
 /*--- compute (f0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+117750,int_stack+93990,int_stack+191550,10);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+72150,int_stack+10575,int_stack+9750,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+74625,int_stack+11565,int_stack+10575,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+77595,int_stack+74625,int_stack+72150,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+82545,int_stack+12735,int_stack+11565,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+86055,int_stack+82545,int_stack+74625,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+91995,int_stack+86055,int_stack+77595,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+72150,int_stack+14100,int_stack+12735,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+100245,int_stack+72150,int_stack+82545,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+107265,int_stack+100245,int_stack+86055,15);
 /*--- compute (g0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+76245,int_stack+107265,int_stack+91995,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+88620,int_stack+15675,int_stack+14100,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+142500,int_stack+88620,int_stack+72150,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+150690,int_stack+142500,int_stack+100245,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+162390,int_stack+150690,int_stack+107265,15);
 /*--- compute (g0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+93345,int_stack+162390,int_stack+76245,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+72150,int_stack+17475,int_stack+15675,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+77550,int_stack+72150,int_stack+88620,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+177240,int_stack+77550,int_stack+142500,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+190890,int_stack+177240,int_stack+150690,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+208440,int_stack+190890,int_stack+162390,15);
 /*--- compute (g0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+142500,int_stack+208440,int_stack+93345,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+165600,int_stack+19515,int_stack+17475,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+87000,int_stack+165600,int_stack+72150,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+97800,int_stack+87000,int_stack+77550,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+229230,int_stack+97800,int_stack+177240,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+249705,int_stack+229230,int_stack+190890,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+171720,int_stack+249705,int_stack+208440,15);
 /*--- compute (g0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+199440,int_stack+171720,int_stack+142500,15);
 /*--- compute (g0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+142500,int_stack+21810,int_stack+19515,15);
 /*--- compute (g0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+149385,int_stack+142500,int_stack+165600,15);
 /*--- compute (g0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+0,int_stack+149385,int_stack+87000,15);
 /*--- compute (g0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+142500,int_stack+0,int_stack+97800,15);
 /*--- compute (g0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+72150,int_stack+142500,int_stack+229230,15);
 /*--- compute (g0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+274275,int_stack+72150,int_stack+249705,15);
 /*--- compute (g0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+72150,int_stack+274275,int_stack+171720,15);
 /*--- compute (g0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+142500,int_stack+72150,int_stack+199440,15);
 /*--- compute (fp|ml) ---*/
 hrr1_build_fp(Libint->AB,int_stack+179625,int_stack+142500,int_stack+117750,2475);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+72150,int_stack+25530,int_stack+24375,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+75615,int_stack+26916,int_stack+25530,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+79773,int_stack+75615,int_stack+72150,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+86703,int_stack+28554,int_stack+26916,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+91617,int_stack+86703,int_stack+75615,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+99933,int_stack+91617,int_stack+79773,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+72150,int_stack+30465,int_stack+28554,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+111483,int_stack+72150,int_stack+86703,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+121311,int_stack+111483,int_stack+91617,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+77883,int_stack+121311,int_stack+99933,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+95208,int_stack+32670,int_stack+30465,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+253875,int_stack+95208,int_stack+72150,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+265341,int_stack+253875,int_stack+111483,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+281721,int_stack+265341,int_stack+121311,21);
 /*--- compute (h0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+101823,int_stack+281721,int_stack+77883,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+72150,int_stack+35190,int_stack+32670,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+79710,int_stack+72150,int_stack+95208,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+79710,int_stack+253875,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+302511,int_stack+0,int_stack+265341,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+327081,int_stack+302511,int_stack+281721,21);
 /*--- compute (h0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+253875,int_stack+327081,int_stack+101823,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+286215,int_stack+38046,int_stack+35190,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+92940,int_stack+286215,int_stack+72150,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+108060,int_stack+92940,int_stack+79710,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+356187,int_stack+108060,int_stack+0,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+0,int_stack+356187,int_stack+302511,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+384852,int_stack+0,int_stack+327081,21);
 /*--- compute (h0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+294783,int_stack+384852,int_stack+253875,21);
 /*--- compute (h0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+253875,int_stack+41259,int_stack+38046,21);
 /*--- compute (h0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+263514,int_stack+253875,int_stack+286215,21);
 /*--- compute (h0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+423660,int_stack+263514,int_stack+92940,21);
 /*--- compute (h0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+253875,int_stack+423660,int_stack+108060,21);
 /*--- compute (h0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+72150,int_stack+253875,int_stack+356187,21);
 /*--- compute (h0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+336363,int_stack+72150,int_stack+0,21);
 /*--- compute (h0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+72150,int_stack+336363,int_stack+384852,21);
 /*--- compute (h0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+336363,int_stack+72150,int_stack+294783,21);
 /*--- compute (gp|ml) ---*/
 hrr1_build_gp(Libint->AB,int_stack+388338,int_stack+336363,int_stack+142500,2475);
 /*--- compute (fd|ml) ---*/
 hrr1_build_fd(Libint->AB,int_stack+499713,int_stack+388338,int_stack+179625,2475);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+72150,int_stack+46390,int_stack+44850,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+76770,int_stack+48238,int_stack+46390,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+82314,int_stack+76770,int_stack+72150,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+91554,int_stack+50422,int_stack+48238,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+98106,int_stack+91554,int_stack+76770,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+109194,int_stack+98106,int_stack+82314,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+72150,int_stack+52970,int_stack+50422,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+124594,int_stack+72150,int_stack+91554,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+137698,int_stack+124594,int_stack+98106,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+79794,int_stack+137698,int_stack+109194,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+102894,int_stack+55910,int_stack+52970,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+156178,int_stack+102894,int_stack+72150,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+171466,int_stack+156178,int_stack+124594,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+193306,int_stack+171466,int_stack+137698,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+111714,int_stack+193306,int_stack+79794,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+72150,int_stack+59270,int_stack+55910,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+82230,int_stack+72150,int_stack+102894,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+221026,int_stack+82230,int_stack+156178,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+246506,int_stack+221026,int_stack+171466,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+144054,int_stack+246506,int_stack+193306,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+279266,int_stack+144054,int_stack+111714,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+99870,int_stack+63078,int_stack+59270,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+111294,int_stack+99870,int_stack+72150,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+182862,int_stack+111294,int_stack+82230,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+182862,int_stack+221026,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+648213,int_stack+0,int_stack+246506,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+212262,int_stack+648213,int_stack+144054,28);
 /*--- compute (i0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+694077,int_stack+212262,int_stack+279266,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+72150,int_stack+67362,int_stack+63078,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+131454,int_stack+72150,int_stack+99870,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+264006,int_stack+131454,int_stack+111294,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+38220,int_stack+264006,int_stack+182862,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+264006,int_stack+38220,int_stack+0,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+264006,int_stack+648213,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+264006,int_stack+0,int_stack+212262,28);
 /*--- compute (i0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+0,int_stack+264006,int_stack+694077,28);
 /*--- compute (hp|ml) ---*/
 hrr1_build_hp(Libint->AB,int_stack+69300,int_stack+0,int_stack+336363,2475);
 /*--- compute (gd|ml) ---*/
 hrr1_build_gd(Libint->AB,int_stack+648213,int_stack+69300,int_stack+388338,2475);
 /*--- compute (ff|ml) ---*/
 hrr1_build_ff(Libint->AB,int_stack+0,int_stack+648213,int_stack+499713,2475);
 return int_stack+0;}
