#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ffnm(Libint_t*, prim_data*);

  /* Computes quartets of (ff|nm) integrals */

REALTYPE *hrr_order_ffnm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][10] = int_stack + 0;
 Libint->vrr_classes[3][11] = int_stack + 660;
 Libint->vrr_classes[3][12] = int_stack + 1440;
 Libint->vrr_classes[3][13] = int_stack + 2350;
 Libint->vrr_classes[3][14] = int_stack + 3400;
 Libint->vrr_classes[3][15] = int_stack + 4600;
 Libint->vrr_classes[3][16] = int_stack + 5960;
 Libint->vrr_classes[3][17] = int_stack + 7490;
 Libint->vrr_classes[3][18] = int_stack + 9200;
 Libint->vrr_classes[3][19] = int_stack + 11100;
 Libint->vrr_classes[4][10] = int_stack + 13200;
 Libint->vrr_classes[4][11] = int_stack + 14190;
 Libint->vrr_classes[4][12] = int_stack + 15360;
 Libint->vrr_classes[4][13] = int_stack + 16725;
 Libint->vrr_classes[4][14] = int_stack + 18300;
 Libint->vrr_classes[4][15] = int_stack + 20100;
 Libint->vrr_classes[4][16] = int_stack + 22140;
 Libint->vrr_classes[4][17] = int_stack + 24435;
 Libint->vrr_classes[4][18] = int_stack + 27000;
 Libint->vrr_classes[4][19] = int_stack + 29850;
 Libint->vrr_classes[5][10] = int_stack + 33000;
 Libint->vrr_classes[5][11] = int_stack + 34386;
 Libint->vrr_classes[5][12] = int_stack + 36024;
 Libint->vrr_classes[5][13] = int_stack + 37935;
 Libint->vrr_classes[5][14] = int_stack + 40140;
 Libint->vrr_classes[5][15] = int_stack + 42660;
 Libint->vrr_classes[5][16] = int_stack + 45516;
 Libint->vrr_classes[5][17] = int_stack + 48729;
 Libint->vrr_classes[5][18] = int_stack + 52320;
 Libint->vrr_classes[5][19] = int_stack + 56310;
 Libint->vrr_classes[6][10] = int_stack + 60720;
 Libint->vrr_classes[6][11] = int_stack + 62568;
 Libint->vrr_classes[6][12] = int_stack + 64752;
 Libint->vrr_classes[6][13] = int_stack + 67300;
 Libint->vrr_classes[6][14] = int_stack + 70240;
 Libint->vrr_classes[6][15] = int_stack + 73600;
 Libint->vrr_classes[6][16] = int_stack + 77408;
 Libint->vrr_classes[6][17] = int_stack + 81692;
 Libint->vrr_classes[6][18] = int_stack + 86480;
 Libint->vrr_classes[6][19] = int_stack + 91800;
 memset(int_stack,0,97680*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 97680;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ffnm(Libint, Data);
   Data++;
 }
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+97680,int_stack+660,int_stack+0,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+99660,int_stack+1440,int_stack+660,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+102000,int_stack+99660,int_stack+97680,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+105960,int_stack+2350,int_stack+1440,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+108690,int_stack+105960,int_stack+99660,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+113370,int_stack+108690,int_stack+102000,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+97680,int_stack+3400,int_stack+2350,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+119970,int_stack+97680,int_stack+105960,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+100830,int_stack+119970,int_stack+108690,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+125430,int_stack+100830,int_stack+113370,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+108630,int_stack+4600,int_stack+3400,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+112230,int_stack+108630,int_stack+97680,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+135330,int_stack+112230,int_stack+119970,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+144430,int_stack+135330,int_stack+100830,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+156130,int_stack+144430,int_stack+125430,10);
 /*--- compute (f0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+97680,int_stack+5960,int_stack+4600,10);
 /*--- compute (f0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+118530,int_stack+97680,int_stack+108630,10);
 /*--- compute (f0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+169990,int_stack+118530,int_stack+112230,10);
 /*--- compute (f0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+101760,int_stack+169990,int_stack+135330,10);
 /*--- compute (f0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+125730,int_stack+101760,int_stack+144430,10);
 /*--- compute (f0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+180490,int_stack+125730,int_stack+156130,10);
 /*--- compute (f0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+142110,int_stack+7490,int_stack+5960,10);
 /*--- compute (f0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+146700,int_stack+142110,int_stack+97680,10);
 /*--- compute (f0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+154860,int_stack+146700,int_stack+118530,10);
 /*--- compute (f0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+198970,int_stack+154860,int_stack+169990,10);
 /*--- compute (f0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+214720,int_stack+198970,int_stack+101760,10);
 /*--- compute (f0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+97680,int_stack+214720,int_stack+125730,10);
 /*--- compute (f0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+233830,int_stack+97680,int_stack+180490,10);
 /*--- compute (f0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+119520,int_stack+9200,int_stack+7490,10);
 /*--- compute (f0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+124650,int_stack+119520,int_stack+142110,10);
 /*--- compute (f0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+166860,int_stack+124650,int_stack+146700,10);
 /*--- compute (f0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+133830,int_stack+166860,int_stack+154860,10);
 /*--- compute (f0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+257590,int_stack+133830,int_stack+198970,10);
 /*--- compute (f0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+180460,int_stack+257590,int_stack+214720,10);
 /*--- compute (f0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+279640,int_stack+180460,int_stack+97680,10);
 /*--- compute (f0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+307720,int_stack+279640,int_stack+233830,10);
 /*--- compute (f0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+97680,int_stack+11100,int_stack+9200,10);
 /*--- compute (f0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+103380,int_stack+97680,int_stack+119520,10);
 /*--- compute (f0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+205940,int_stack+103380,int_stack+124650,10);
 /*--- compute (f0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+97680,int_stack+205940,int_stack+166860,10);
 /*--- compute (f0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+205940,int_stack+97680,int_stack+133830,10);
 /*--- compute (f0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+97680,int_stack+205940,int_stack+257590,10);
 /*--- compute (f0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+205940,int_stack+97680,int_stack+180460,10);
 /*--- compute (f0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+97680,int_stack+205940,int_stack+279640,10);
 /*--- compute (f0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+132780,int_stack+97680,int_stack+307720,10);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+97680,int_stack+14190,int_stack+13200,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+100650,int_stack+15360,int_stack+14190,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+104160,int_stack+100650,int_stack+97680,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+110100,int_stack+16725,int_stack+15360,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+114195,int_stack+110100,int_stack+100650,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+121215,int_stack+114195,int_stack+104160,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+97680,int_stack+18300,int_stack+16725,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+169080,int_stack+97680,int_stack+110100,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+102405,int_stack+169080,int_stack+114195,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+177270,int_stack+102405,int_stack+121215,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+114105,int_stack+20100,int_stack+18300,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+119505,int_stack+114105,int_stack+97680,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+192120,int_stack+119505,int_stack+169080,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+205770,int_stack+192120,int_stack+102405,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+223320,int_stack+205770,int_stack+177270,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+169080,int_stack+22140,int_stack+20100,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+175200,int_stack+169080,int_stack+114105,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+97680,int_stack+175200,int_stack+119505,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+244110,int_stack+97680,int_stack+192120,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+264585,int_stack+244110,int_stack+205770,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+186000,int_stack+264585,int_stack+223320,15);
 /*--- compute (g0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+213720,int_stack+24435,int_stack+22140,15);
 /*--- compute (g0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+220605,int_stack+213720,int_stack+169080,15);
 /*--- compute (g0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+113430,int_stack+220605,int_stack+175200,15);
 /*--- compute (g0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+289155,int_stack+113430,int_stack+97680,15);
 /*--- compute (g0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+312780,int_stack+289155,int_stack+244110,15);
 /*--- compute (g0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+341445,int_stack+312780,int_stack+264585,15);
 /*--- compute (g0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+232845,int_stack+341445,int_stack+186000,15);
 /*--- compute (g0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+97680,int_stack+27000,int_stack+24435,15);
 /*--- compute (g0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+169080,int_stack+97680,int_stack+213720,15);
 /*--- compute (g0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+182850,int_stack+169080,int_stack+220605,15);
 /*--- compute (g0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+182850,int_stack+113430,15);
 /*--- compute (g0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+374205,int_stack+0,int_stack+289155,15);
 /*--- compute (g0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+268485,int_stack+374205,int_stack+312780,15);
 /*--- compute (g0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+407280,int_stack+268485,int_stack+341445,15);
 /*--- compute (g0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+306705,int_stack+407280,int_stack+232845,15);
 /*--- compute (g0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+105375,int_stack+29850,int_stack+27000,15);
 /*--- compute (g0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+113925,int_stack+105375,int_stack+97680,15);
 /*--- compute (g0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+351255,int_stack+113925,int_stack+169080,15);
 /*--- compute (g0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+97680,int_stack+351255,int_stack+182850,15);
 /*--- compute (g0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+169080,int_stack+97680,int_stack+0,15);
 /*--- compute (g0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+206880,int_stack+169080,int_stack+374205,15);
 /*--- compute (g0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+351255,int_stack+206880,int_stack+268485,15);
 /*--- compute (g0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+169080,int_stack+351255,int_stack+407280,15);
 /*--- compute (g0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+351255,int_stack+169080,int_stack+306705,15);
 /*--- compute (fp|nm) ---*/
 hrr1_build_fp(Libint->AB,int_stack+169080,int_stack+351255,int_stack+132780,3630);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+277980,int_stack+34386,int_stack+33000,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+282138,int_stack+36024,int_stack+34386,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+287052,int_stack+282138,int_stack+277980,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+295368,int_stack+37935,int_stack+36024,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+301101,int_stack+295368,int_stack+282138,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+310929,int_stack+301101,int_stack+287052,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+277980,int_stack+40140,int_stack+37935,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+324789,int_stack+277980,int_stack+295368,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+284595,int_stack+324789,int_stack+301101,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+405705,int_stack+284595,int_stack+310929,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+300975,int_stack+42660,int_stack+40140,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+308535,int_stack+300975,int_stack+277980,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+426495,int_stack+308535,int_stack+324789,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+321765,int_stack+426495,int_stack+284595,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+321765,int_stack+405705,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+405705,int_stack+45516,int_stack+42660,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+277980,int_stack+405705,int_stack+300975,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+97680,int_stack+277980,int_stack+308535,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+293100,int_stack+97680,int_stack+426495,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+414273,int_stack+293100,int_stack+321765,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+119730,int_stack+414273,int_stack+0,21);
 /*--- compute (h0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+0,int_stack+48729,int_stack+45516,21);
 /*--- compute (h0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+9639,int_stack+0,int_stack+405705,21);
 /*--- compute (h0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+321765,int_stack+9639,int_stack+277980,21);
 /*--- compute (h0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+448671,int_stack+321765,int_stack+97680,21);
 /*--- compute (h0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+481746,int_stack+448671,int_stack+293100,21);
 /*--- compute (h0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+521877,int_stack+481746,int_stack+414273,21);
 /*--- compute (h0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+567741,int_stack+521877,int_stack+119730,21);
 /*--- compute (h0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+97680,int_stack+52320,int_stack+48729,21);
 /*--- compute (h0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+108453,int_stack+97680,int_stack+0,21);
 /*--- compute (h0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+127731,int_stack+108453,int_stack+9639,21);
 /*--- compute (h0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+127731,int_stack+321765,21);
 /*--- compute (h0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+277980,int_stack+0,int_stack+448671,21);
 /*--- compute (h0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+405705,int_stack+277980,int_stack+481746,21);
 /*--- compute (h0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+459213,int_stack+405705,int_stack+521877,21);
 /*--- compute (h0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+617637,int_stack+459213,int_stack+567741,21);
 /*--- compute (h0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+37800,int_stack+56310,int_stack+52320,21);
 /*--- compute (h0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+324285,int_stack+37800,int_stack+97680,21);
 /*--- compute (h0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+518181,int_stack+324285,int_stack+108453,21);
 /*--- compute (h0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+550311,int_stack+518181,int_stack+127731,21);
 /*--- compute (h0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+97680,int_stack+550311,int_stack+0,21);
 /*--- compute (h0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+518181,int_stack+97680,int_stack+277980,21);
 /*--- compute (h0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+277980,int_stack+518181,int_stack+405705,21);
 /*--- compute (h0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+518181,int_stack+277980,int_stack+459213,21);
 /*--- compute (h0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+405705,int_stack+518181,int_stack+617637,21);
 /*--- compute (gp|nm) ---*/
 hrr1_build_gp(Libint->AB,int_stack+481935,int_stack+405705,int_stack+351255,3630);
 /*--- compute (fd|nm) ---*/
 hrr1_build_fd(Libint->AB,int_stack+645285,int_stack+481935,int_stack+169080,3630);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+97680,int_stack+62568,int_stack+60720,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+103224,int_stack+64752,int_stack+62568,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+109776,int_stack+103224,int_stack+97680,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+120864,int_stack+67300,int_stack+64752,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+128508,int_stack+120864,int_stack+103224,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+141612,int_stack+128508,int_stack+109776,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+97680,int_stack+70240,int_stack+67300,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+160092,int_stack+97680,int_stack+120864,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+106500,int_stack+160092,int_stack+128508,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+175380,int_stack+106500,int_stack+141612,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+128340,int_stack+73600,int_stack+70240,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+138420,int_stack+128340,int_stack+97680,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+203100,int_stack+138420,int_stack+160092,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+228580,int_stack+203100,int_stack+106500,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+261340,int_stack+228580,int_stack+175380,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+97680,int_stack+77408,int_stack+73600,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+156060,int_stack+97680,int_stack+128340,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+300148,int_stack+156060,int_stack+138420,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+109104,int_stack+300148,int_stack+203100,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+176220,int_stack+109104,int_stack+228580,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+329548,int_stack+176220,int_stack+261340,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+222084,int_stack+81692,int_stack+77408,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+234936,int_stack+222084,int_stack+97680,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+257784,int_stack+234936,int_stack+156060,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+257784,int_stack+300148,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+863085,int_stack+0,int_stack+109104,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+97680,int_stack+863085,int_stack+176220,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+916593,int_stack+97680,int_stack+329548,28);
 /*--- compute (i0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+158832,int_stack+86480,int_stack+81692,28);
 /*--- compute (i0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+173196,int_stack+158832,int_stack+222084,28);
 /*--- compute (i0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+291384,int_stack+173196,int_stack+234936,28);
 /*--- compute (i0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+198900,int_stack+291384,int_stack+257784,28);
 /*--- compute (i0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+329464,int_stack+198900,int_stack+0,28);
 /*--- compute (i0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+0,int_stack+329464,int_stack+863085,28);
 /*--- compute (i0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+983121,int_stack+0,int_stack+97680,28);
 /*--- compute (i0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1061745,int_stack+983121,int_stack+916593,28);
 /*--- compute (i0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+97680,int_stack+91800,int_stack+86480,28);
 /*--- compute (i0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+113640,int_stack+97680,int_stack+158832,28);
 /*--- compute (i0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+863085,int_stack+113640,int_stack+173196,28);
 /*--- compute (i0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+905925,int_stack+863085,int_stack+291384,28);
 /*--- compute (i0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+71344,int_stack+905925,int_stack+198900,28);
 /*--- compute (i0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+863085,int_stack+71344,int_stack+329464,28);
 /*--- compute (i0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+71344,int_stack+863085,int_stack+0,28);
 /*--- compute (i0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+863085,int_stack+71344,int_stack+983121,28);
 /*--- compute (i0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+0,int_stack+863085,int_stack+1061745,28);
 /*--- compute (hp|nm) ---*/
 hrr1_build_hp(Libint->AB,int_stack+863085,int_stack+0,int_stack+405705,3630);
 /*--- compute (gd|nm) ---*/
 hrr1_build_gd(Libint->AB,int_stack+0,int_stack+863085,int_stack+481935,3630);
 /*--- compute (ff|nm) ---*/
 hrr1_build_ff(Libint->AB,int_stack+863085,int_stack+0,int_stack+645285,3630);
 return int_stack+863085;}
