#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_g0ni(Libint_t*, prim_data*);

  /* Computes quartets of (g0|ni) integrals */

REALTYPE *hrr_order_g0ni(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][10] = int_stack + 0;
 Libint->vrr_classes[4][11] = int_stack + 990;
 Libint->vrr_classes[4][12] = int_stack + 2160;
 Libint->vrr_classes[4][13] = int_stack + 3525;
 Libint->vrr_classes[4][14] = int_stack + 5100;
 Libint->vrr_classes[4][15] = int_stack + 6900;
 Libint->vrr_classes[4][16] = int_stack + 8940;
 memset(int_stack,0,11235*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 11235;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_g0ni(Libint, Data);
   Data++;
 }
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+11235,int_stack+990,int_stack+0,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+14205,int_stack+2160,int_stack+990,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+17715,int_stack+14205,int_stack+11235,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+23655,int_stack+3525,int_stack+2160,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+27750,int_stack+23655,int_stack+14205,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+34770,int_stack+27750,int_stack+17715,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+11235,int_stack+5100,int_stack+3525,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+44670,int_stack+11235,int_stack+23655,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+15960,int_stack+44670,int_stack+27750,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+52860,int_stack+15960,int_stack+34770,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+27660,int_stack+6900,int_stack+5100,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+33060,int_stack+27660,int_stack+11235,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+67710,int_stack+33060,int_stack+44670,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+81360,int_stack+67710,int_stack+15960,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+98910,int_stack+81360,int_stack+52860,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+11235,int_stack+8940,int_stack+6900,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+42510,int_stack+11235,int_stack+27660,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+42510,int_stack+33060,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+15750,int_stack+0,int_stack+67710,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+36225,int_stack+15750,int_stack+81360,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+36225,int_stack+98910,15);
 return int_stack+0;}
