#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gdlf(Libint_t*, prim_data*);

  /* Computes quartets of (gd|lf) integrals */

REALTYPE *hrr_order_gdlf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][8] = int_stack + 0;
 Libint->vrr_classes[4][9] = int_stack + 675;
 Libint->vrr_classes[4][10] = int_stack + 1500;
 Libint->vrr_classes[4][11] = int_stack + 2490;
 Libint->vrr_classes[5][8] = int_stack + 3660;
 Libint->vrr_classes[5][9] = int_stack + 4605;
 Libint->vrr_classes[5][10] = int_stack + 5760;
 Libint->vrr_classes[5][11] = int_stack + 7146;
 Libint->vrr_classes[6][8] = int_stack + 8784;
 Libint->vrr_classes[6][9] = int_stack + 10044;
 Libint->vrr_classes[6][10] = int_stack + 11584;
 Libint->vrr_classes[6][11] = int_stack + 13432;
 memset(int_stack,0,15616*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 15616;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gdlf(Libint, Data);
   Data++;
 }
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+15616,int_stack+675,int_stack+0,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+17641,int_stack+1500,int_stack+675,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+20116,int_stack+17641,int_stack+15616,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+24166,int_stack+2490,int_stack+1500,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+27136,int_stack+24166,int_stack+17641,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+32086,int_stack+27136,int_stack+20116,15);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+15616,int_stack+4605,int_stack+3660,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+18451,int_stack+5760,int_stack+4605,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+21916,int_stack+18451,int_stack+15616,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+27586,int_stack+7146,int_stack+5760,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+27586,int_stack+18451,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+38836,int_stack+0,int_stack+21916,21);
 /*--- compute (gp|lf) ---*/
 hrr1_build_gp(Libint->AB,int_stack+48286,int_stack+38836,int_stack+32086,450);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+10044,int_stack+8784,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+3780,int_stack+11584,int_stack+10044,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+15616,int_stack+3780,int_stack+0,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+23176,int_stack+13432,int_stack+11584,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+28720,int_stack+23176,int_stack+3780,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+28720,int_stack+15616,28);
 /*--- compute (hp|lf) ---*/
 hrr1_build_hp(Libint->AB,int_stack+68536,int_stack+0,int_stack+38836,450);
 /*--- compute (gd|lf) ---*/
 hrr1_build_gd(Libint->AB,int_stack+0,int_stack+68536,int_stack+48286,450);
 return int_stack+0;}
