#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gdmd(Libint_t*, prim_data*);

  /* Computes quartets of (gd|md) integrals */

REALTYPE *hrr_order_gdmd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][9] = int_stack + 0;
 Libint->vrr_classes[4][10] = int_stack + 825;
 Libint->vrr_classes[4][11] = int_stack + 1815;
 Libint->vrr_classes[5][9] = int_stack + 2985;
 Libint->vrr_classes[5][10] = int_stack + 4140;
 Libint->vrr_classes[5][11] = int_stack + 5526;
 Libint->vrr_classes[6][9] = int_stack + 7164;
 Libint->vrr_classes[6][10] = int_stack + 8704;
 Libint->vrr_classes[6][11] = int_stack + 10552;
 memset(int_stack,0,12736*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 12736;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gdmd(Libint, Data);
   Data++;
 }
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+12736,int_stack+825,int_stack+0,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+15211,int_stack+1815,int_stack+825,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+18181,int_stack+15211,int_stack+12736,15);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+12736,int_stack+4140,int_stack+2985,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+23131,int_stack+5526,int_stack+4140,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+23131,int_stack+12736,21);
 /*--- compute (gp|md) ---*/
 hrr1_build_gp(Libint->AB,int_stack+23131,int_stack+0,int_stack+18181,330);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+12736,int_stack+8704,int_stack+7164,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+17356,int_stack+10552,int_stack+8704,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+37981,int_stack+17356,int_stack+12736,28);
 /*--- compute (hp|md) ---*/
 hrr1_build_hp(Libint->AB,int_stack+47221,int_stack+37981,int_stack+0,330);
 /*--- compute (gd|md) ---*/
 hrr1_build_gd(Libint->AB,int_stack+68011,int_stack+47221,int_stack+23131,330);
 return int_stack+68011;}
