#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gfli(Libint_t*, prim_data*);

  /* Computes quartets of (gf|li) integrals */

REALTYPE *hrr_order_gfli(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][8] = int_stack + 0;
 Libint->vrr_classes[4][9] = int_stack + 675;
 Libint->vrr_classes[4][10] = int_stack + 1500;
 Libint->vrr_classes[4][11] = int_stack + 2490;
 Libint->vrr_classes[4][12] = int_stack + 3660;
 Libint->vrr_classes[4][13] = int_stack + 5025;
 Libint->vrr_classes[4][14] = int_stack + 6600;
 Libint->vrr_classes[5][8] = int_stack + 8400;
 Libint->vrr_classes[5][9] = int_stack + 9345;
 Libint->vrr_classes[5][10] = int_stack + 10500;
 Libint->vrr_classes[5][11] = int_stack + 11886;
 Libint->vrr_classes[5][12] = int_stack + 13524;
 Libint->vrr_classes[5][13] = int_stack + 15435;
 Libint->vrr_classes[5][14] = int_stack + 17640;
 Libint->vrr_classes[6][8] = int_stack + 20160;
 Libint->vrr_classes[6][9] = int_stack + 21420;
 Libint->vrr_classes[6][10] = int_stack + 22960;
 Libint->vrr_classes[6][11] = int_stack + 24808;
 Libint->vrr_classes[6][12] = int_stack + 26992;
 Libint->vrr_classes[6][13] = int_stack + 29540;
 Libint->vrr_classes[6][14] = int_stack + 32480;
 Libint->vrr_classes[7][8] = int_stack + 35840;
 Libint->vrr_classes[7][9] = int_stack + 37460;
 Libint->vrr_classes[7][10] = int_stack + 39440;
 Libint->vrr_classes[7][11] = int_stack + 41816;
 Libint->vrr_classes[7][12] = int_stack + 44624;
 Libint->vrr_classes[7][13] = int_stack + 47900;
 Libint->vrr_classes[7][14] = int_stack + 51680;
 memset(int_stack,0,56000*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 56000;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gfli(Libint, Data);
   Data++;
 }
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+56000,int_stack+675,int_stack+0,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+58025,int_stack+1500,int_stack+675,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+60500,int_stack+58025,int_stack+56000,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+64550,int_stack+2490,int_stack+1500,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+67520,int_stack+64550,int_stack+58025,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+72470,int_stack+67520,int_stack+60500,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+56000,int_stack+3660,int_stack+2490,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+79220,int_stack+56000,int_stack+64550,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+85160,int_stack+79220,int_stack+67520,15);
 /*--- compute (g0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+59510,int_stack+85160,int_stack+72470,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+69635,int_stack+5025,int_stack+3660,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+93410,int_stack+69635,int_stack+56000,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+100430,int_stack+93410,int_stack+79220,15);
 /*--- compute (g0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+110330,int_stack+100430,int_stack+85160,15);
 /*--- compute (g0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+73730,int_stack+110330,int_stack+59510,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+56000,int_stack+6600,int_stack+5025,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+60725,int_stack+56000,int_stack+69635,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+122705,int_stack+60725,int_stack+93410,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+56000,int_stack+122705,int_stack+100430,15);
 /*--- compute (g0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+87905,int_stack+56000,int_stack+110330,15);
 /*--- compute (g0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+105230,int_stack+87905,int_stack+73730,15);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+56000,int_stack+9345,int_stack+8400,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+58835,int_stack+10500,int_stack+9345,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+62300,int_stack+58835,int_stack+56000,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+67970,int_stack+11886,int_stack+10500,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+72128,int_stack+67970,int_stack+58835,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+79058,int_stack+72128,int_stack+62300,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+56000,int_stack+13524,int_stack+11886,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+88508,int_stack+56000,int_stack+67970,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+88508,int_stack+72128,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+60914,int_stack+0,int_stack+79058,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+75089,int_stack+15435,int_stack+13524,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+124130,int_stack+75089,int_stack+56000,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+133958,int_stack+124130,int_stack+88508,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+80822,int_stack+133958,int_stack+0,21);
 /*--- compute (h0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+147818,int_stack+80822,int_stack+60914,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+17640,int_stack+15435,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+6615,int_stack+0,int_stack+75089,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+56000,int_stack+6615,int_stack+124130,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+167663,int_stack+56000,int_stack+133958,21);
 /*--- compute (h0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+56000,int_stack+167663,int_stack+80822,21);
 /*--- compute (h0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+167663,int_stack+56000,int_stack+147818,21);
 /*--- compute (gp|li) ---*/
 hrr1_build_gp(Libint->AB,int_stack+194123,int_stack+167663,int_stack+105230,1260);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+56000,int_stack+21420,int_stack+20160,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+59780,int_stack+22960,int_stack+21420,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+64400,int_stack+59780,int_stack+56000,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+71960,int_stack+24808,int_stack+22960,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+77504,int_stack+71960,int_stack+59780,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+86744,int_stack+77504,int_stack+64400,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+56000,int_stack+26992,int_stack+24808,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+99344,int_stack+56000,int_stack+71960,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+110432,int_stack+99344,int_stack+77504,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+62552,int_stack+110432,int_stack+86744,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+81452,int_stack+29540,int_stack+26992,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+125832,int_stack+81452,int_stack+56000,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+138936,int_stack+125832,int_stack+99344,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+0,int_stack+138936,int_stack+110432,28);
 /*--- compute (i0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+89096,int_stack+0,int_stack+62552,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+56000,int_stack+32480,int_stack+29540,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+64820,int_stack+56000,int_stack+81452,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+250823,int_stack+64820,int_stack+125832,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+56000,int_stack+250823,int_stack+138936,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+115556,int_stack+56000,int_stack+0,28);
 /*--- compute (i0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+115556,int_stack+89096,28);
 /*--- compute (hp|li) ---*/
 hrr1_build_hp(Libint->AB,int_stack+56000,int_stack+0,int_stack+167663,1260);
 /*--- compute (gd|li) ---*/
 hrr1_build_gd(Libint->AB,int_stack+250823,int_stack+56000,int_stack+194123,1260);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+135380,int_stack+37460,int_stack+35840,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+140240,int_stack+39440,int_stack+37460,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+146180,int_stack+140240,int_stack+135380,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+155900,int_stack+41816,int_stack+39440,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+163028,int_stack+155900,int_stack+140240,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+174908,int_stack+163028,int_stack+146180,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+135380,int_stack+44624,int_stack+41816,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+191108,int_stack+135380,int_stack+155900,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+205364,int_stack+191108,int_stack+163028,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+143804,int_stack+205364,int_stack+174908,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+168104,int_stack+47900,int_stack+44624,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+225164,int_stack+168104,int_stack+135380,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+364223,int_stack+225164,int_stack+191108,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+387983,int_stack+364223,int_stack+205364,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+177932,int_stack+387983,int_stack+143804,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+135380,int_stack+51680,int_stack+47900,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+146720,int_stack+135380,int_stack+168104,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+417683,int_stack+146720,int_stack+225164,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+135380,int_stack+417683,int_stack+364223,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+417683,int_stack+135380,int_stack+387983,36);
 /*--- compute (k0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+364223,int_stack+417683,int_stack+177932,36);
 /*--- compute (ip|li) ---*/
 hrr1_build_ip(Libint->AB,int_stack+135380,int_stack+364223,int_stack+0,1260);
 /*--- compute (hd|li) ---*/
 hrr1_build_hd(Libint->AB,int_stack+364223,int_stack+135380,int_stack+56000,1260);
 /*--- compute (gf|li) ---*/
 hrr1_build_gf(Libint->AB,int_stack+0,int_stack+364223,int_stack+250823,1260);
 return int_stack+0;}
