#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gfmm(Libint_t*, prim_data*);

  /* Computes quartets of (gf|mm) integrals */

REALTYPE *hrr_order_gfmm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][9] = int_stack + 0;
 Libint->vrr_classes[4][10] = int_stack + 825;
 Libint->vrr_classes[4][11] = int_stack + 1815;
 Libint->vrr_classes[4][12] = int_stack + 2985;
 Libint->vrr_classes[4][13] = int_stack + 4350;
 Libint->vrr_classes[4][14] = int_stack + 5925;
 Libint->vrr_classes[4][15] = int_stack + 7725;
 Libint->vrr_classes[4][16] = int_stack + 9765;
 Libint->vrr_classes[4][17] = int_stack + 12060;
 Libint->vrr_classes[4][18] = int_stack + 14625;
 Libint->vrr_classes[5][9] = int_stack + 17475;
 Libint->vrr_classes[5][10] = int_stack + 18630;
 Libint->vrr_classes[5][11] = int_stack + 20016;
 Libint->vrr_classes[5][12] = int_stack + 21654;
 Libint->vrr_classes[5][13] = int_stack + 23565;
 Libint->vrr_classes[5][14] = int_stack + 25770;
 Libint->vrr_classes[5][15] = int_stack + 28290;
 Libint->vrr_classes[5][16] = int_stack + 31146;
 Libint->vrr_classes[5][17] = int_stack + 34359;
 Libint->vrr_classes[5][18] = int_stack + 37950;
 Libint->vrr_classes[6][9] = int_stack + 41940;
 Libint->vrr_classes[6][10] = int_stack + 43480;
 Libint->vrr_classes[6][11] = int_stack + 45328;
 Libint->vrr_classes[6][12] = int_stack + 47512;
 Libint->vrr_classes[6][13] = int_stack + 50060;
 Libint->vrr_classes[6][14] = int_stack + 53000;
 Libint->vrr_classes[6][15] = int_stack + 56360;
 Libint->vrr_classes[6][16] = int_stack + 60168;
 Libint->vrr_classes[6][17] = int_stack + 64452;
 Libint->vrr_classes[6][18] = int_stack + 69240;
 Libint->vrr_classes[7][9] = int_stack + 74560;
 Libint->vrr_classes[7][10] = int_stack + 76540;
 Libint->vrr_classes[7][11] = int_stack + 78916;
 Libint->vrr_classes[7][12] = int_stack + 81724;
 Libint->vrr_classes[7][13] = int_stack + 85000;
 Libint->vrr_classes[7][14] = int_stack + 88780;
 Libint->vrr_classes[7][15] = int_stack + 93100;
 Libint->vrr_classes[7][16] = int_stack + 97996;
 Libint->vrr_classes[7][17] = int_stack + 103504;
 Libint->vrr_classes[7][18] = int_stack + 109660;
 memset(int_stack,0,116500*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 116500;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gfmm(Libint, Data);
   Data++;
 }
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+116500,int_stack+825,int_stack+0,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+118975,int_stack+1815,int_stack+825,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+121945,int_stack+118975,int_stack+116500,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+126895,int_stack+2985,int_stack+1815,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+130405,int_stack+126895,int_stack+118975,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+136345,int_stack+130405,int_stack+121945,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+116500,int_stack+4350,int_stack+2985,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+144595,int_stack+116500,int_stack+126895,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+151615,int_stack+144595,int_stack+130405,15);
 /*--- compute (g0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+120595,int_stack+151615,int_stack+136345,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+132970,int_stack+5925,int_stack+4350,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+161515,int_stack+132970,int_stack+116500,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+169705,int_stack+161515,int_stack+144595,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+181405,int_stack+169705,int_stack+151615,15);
 /*--- compute (g0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+137695,int_stack+181405,int_stack+120595,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+116500,int_stack+7725,int_stack+5925,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+121900,int_stack+116500,int_stack+132970,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+196255,int_stack+121900,int_stack+161515,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+209905,int_stack+196255,int_stack+169705,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+155020,int_stack+209905,int_stack+181405,15);
 /*--- compute (g0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+227455,int_stack+155020,int_stack+137695,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+131350,int_stack+9765,int_stack+7725,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+137470,int_stack+131350,int_stack+116500,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+175810,int_stack+137470,int_stack+121900,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+250555,int_stack+175810,int_stack+196255,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+271030,int_stack+250555,int_stack+209905,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+191560,int_stack+271030,int_stack+155020,15);
 /*--- compute (g0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+295600,int_stack+191560,int_stack+227455,15);
 /*--- compute (g0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+116500,int_stack+12060,int_stack+9765,15);
 /*--- compute (g0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+148270,int_stack+116500,int_stack+131350,15);
 /*--- compute (g0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+219280,int_stack+148270,int_stack+137470,15);
 /*--- compute (g0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+123385,int_stack+219280,int_stack+175810,15);
 /*--- compute (g0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+160510,int_stack+123385,int_stack+250555,15);
 /*--- compute (g0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+237280,int_stack+160510,int_stack+271030,15);
 /*--- compute (g0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+325300,int_stack+237280,int_stack+191560,15);
 /*--- compute (g0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+360940,int_stack+325300,int_stack+295600,15);
 /*--- compute (g0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+189175,int_stack+14625,int_stack+12060,15);
 /*--- compute (g0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+196870,int_stack+189175,int_stack+116500,15);
 /*--- compute (g0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+270040,int_stack+196870,int_stack+148270,15);
 /*--- compute (g0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+189175,int_stack+270040,int_stack+219280,15);
 /*--- compute (g0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+270040,int_stack+189175,int_stack+123385,15);
 /*--- compute (g0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+189175,int_stack+270040,int_stack+160510,15);
 /*--- compute (g0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+270040,int_stack+189175,int_stack+237280,15);
 /*--- compute (g0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+116500,int_stack+270040,int_stack+325300,15);
 /*--- compute (g0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+161050,int_stack+116500,int_stack+360940,15);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+116500,int_stack+18630,int_stack+17475,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+119965,int_stack+20016,int_stack+18630,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+124123,int_stack+119965,int_stack+116500,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+131053,int_stack+21654,int_stack+20016,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+135967,int_stack+131053,int_stack+119965,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+144283,int_stack+135967,int_stack+124123,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+116500,int_stack+23565,int_stack+21654,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+206425,int_stack+116500,int_stack+131053,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+216253,int_stack+206425,int_stack+135967,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+122233,int_stack+216253,int_stack+144283,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+139558,int_stack+25770,int_stack+23565,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+146173,int_stack+139558,int_stack+116500,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+230113,int_stack+146173,int_stack+206425,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+246493,int_stack+230113,int_stack+216253,21);
 /*--- compute (h0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+267283,int_stack+246493,int_stack+122233,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+206425,int_stack+28290,int_stack+25770,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+213985,int_stack+206425,int_stack+139558,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+116500,int_stack+213985,int_stack+146173,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+135610,int_stack+116500,int_stack+230113,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+291538,int_stack+135610,int_stack+246493,21);
 /*--- compute (h0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+227215,int_stack+291538,int_stack+267283,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+259555,int_stack+31146,int_stack+28290,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+268123,int_stack+259555,int_stack+206425,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+320644,int_stack+268123,int_stack+213985,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+342694,int_stack+320644,int_stack+116500,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+371359,int_stack+342694,int_stack+135610,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+116500,int_stack+371359,int_stack+291538,21);
 /*--- compute (h0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+405757,int_stack+116500,int_stack+227215,21);
 /*--- compute (h0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+206425,int_stack+34359,int_stack+31146,21);
 /*--- compute (h0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+216064,int_stack+206425,int_stack+259555,21);
 /*--- compute (h0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+233200,int_stack+216064,int_stack+268123,21);
 /*--- compute (h0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+258400,int_stack+233200,int_stack+320644,21);
 /*--- compute (h0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+291475,int_stack+258400,int_stack+342694,21);
 /*--- compute (h0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+447337,int_stack+291475,int_stack+371359,21);
 /*--- compute (h0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+331606,int_stack+447337,int_stack+116500,21);
 /*--- compute (h0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+493201,int_stack+331606,int_stack+405757,21);
 /*--- compute (h0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+116500,int_stack+37950,int_stack+34359,21);
 /*--- compute (h0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+127273,int_stack+116500,int_stack+206425,21);
 /*--- compute (h0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+381502,int_stack+127273,int_stack+216064,21);
 /*--- compute (h0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+116500,int_stack+381502,int_stack+233200,21);
 /*--- compute (h0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+381502,int_stack+116500,int_stack+258400,21);
 /*--- compute (h0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+206425,int_stack+381502,int_stack+291475,21);
 /*--- compute (h0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+381502,int_stack+206425,int_stack+447337,21);
 /*--- compute (h0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+206425,int_stack+381502,int_stack+331606,21);
 /*--- compute (h0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+268795,int_stack+206425,int_stack+493201,21);
 /*--- compute (gp|mm) ---*/
 hrr1_build_gp(Libint->AB,int_stack+332320,int_stack+268795,int_stack+161050,3025);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+468445,int_stack+43480,int_stack+41940,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+473065,int_stack+45328,int_stack+43480,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+478609,int_stack+473065,int_stack+468445,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+487849,int_stack+47512,int_stack+45328,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+494401,int_stack+487849,int_stack+473065,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+505489,int_stack+494401,int_stack+478609,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+468445,int_stack+50060,int_stack+47512,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+520889,int_stack+468445,int_stack+487849,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+116500,int_stack+520889,int_stack+494401,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+476089,int_stack+116500,int_stack+505489,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+499189,int_stack+53000,int_stack+50060,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+134980,int_stack+499189,int_stack+468445,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+150268,int_stack+134980,int_stack+520889,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+508009,int_stack+150268,int_stack+116500,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+172108,int_stack+508009,int_stack+476089,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+116500,int_stack+56360,int_stack+53000,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+468445,int_stack+116500,int_stack+499189,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+204448,int_stack+468445,int_stack+134980,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+229928,int_stack+204448,int_stack+150268,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+126580,int_stack+229928,int_stack+508009,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+486085,int_stack+126580,int_stack+172108,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+165388,int_stack+60168,int_stack+56360,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+176812,int_stack+165388,int_stack+116500,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+176812,int_stack+468445,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+529205,int_stack+0,int_stack+204448,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+567425,int_stack+529205,int_stack+229928,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+196972,int_stack+567425,int_stack+126580,28);
 /*--- compute (i0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+613289,int_stack+196972,int_stack+486085,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+468445,int_stack+64452,int_stack+60168,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+481297,int_stack+468445,int_stack+165388,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+116500,int_stack+481297,int_stack+176812,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+150100,int_stack+116500,int_stack+0,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+150100,int_stack+529205,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+504145,int_stack+0,int_stack+567425,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+668729,int_stack+504145,int_stack+196972,28);
 /*--- compute (i0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+194200,int_stack+668729,int_stack+613289,28);
 /*--- compute (i0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+565297,int_stack+69240,int_stack+64452,28);
 /*--- compute (i0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+579661,int_stack+565297,int_stack+468445,28);
 /*--- compute (i0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+605365,int_stack+579661,int_stack+481297,28);
 /*--- compute (i0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+735257,int_stack+605365,int_stack+116500,28);
 /*--- compute (i0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+565297,int_stack+735257,int_stack+150100,28);
 /*--- compute (i0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+116500,int_stack+565297,int_stack+0,28);
 /*--- compute (i0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+565297,int_stack+116500,int_stack+504145,28);
 /*--- compute (i0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+468445,int_stack+565297,int_stack+668729,28);
 /*--- compute (i0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+551605,int_stack+468445,int_stack+194200,28);
 /*--- compute (hp|mm) ---*/
 hrr1_build_hp(Libint->AB,int_stack+636305,int_stack+551605,int_stack+268795,3025);
 /*--- compute (gd|mm) ---*/
 hrr1_build_gd(Libint->AB,int_stack+826880,int_stack+636305,int_stack+332320,3025);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+116500,int_stack+76540,int_stack+74560,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+122440,int_stack+78916,int_stack+76540,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+129568,int_stack+122440,int_stack+116500,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+141448,int_stack+81724,int_stack+78916,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+149872,int_stack+141448,int_stack+122440,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+164128,int_stack+149872,int_stack+129568,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+116500,int_stack+85000,int_stack+81724,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+183928,int_stack+116500,int_stack+141448,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+200776,int_stack+183928,int_stack+149872,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+126328,int_stack+200776,int_stack+164128,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+156028,int_stack+88780,int_stack+85000,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+224536,int_stack+156028,int_stack+116500,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+244192,int_stack+224536,int_stack+183928,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+272272,int_stack+244192,int_stack+200776,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+167368,int_stack+272272,int_stack+126328,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+116500,int_stack+93100,int_stack+88780,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+129460,int_stack+116500,int_stack+156028,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+307912,int_stack+129460,int_stack+224536,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+340672,int_stack+307912,int_stack+244192,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+208948,int_stack+340672,int_stack+272272,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+382792,int_stack+208948,int_stack+167368,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+152140,int_stack+97996,int_stack+93100,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+166828,int_stack+152140,int_stack+116500,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+258844,int_stack+166828,int_stack+129460,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+438232,int_stack+258844,int_stack+307912,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+487372,int_stack+438232,int_stack+340672,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+296644,int_stack+487372,int_stack+208948,36);
 /*--- compute (k0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+0,int_stack+296644,int_stack+382792,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+116500,int_stack+103504,int_stack+97996,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+192748,int_stack+116500,int_stack+152140,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+363172,int_stack+192748,int_stack+166828,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+133024,int_stack+363172,int_stack+258844,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+222124,int_stack+133024,int_stack+438232,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+406372,int_stack+222124,int_stack+487372,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1099130,int_stack+406372,int_stack+296644,36);
 /*--- compute (k0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+1184666,int_stack+1099130,int_stack+0,36);
 /*--- compute (k0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+109660,int_stack+103504,36);
 /*--- compute (k0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+18468,int_stack+0,int_stack+116500,36);
 /*--- compute (k0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+51516,int_stack+18468,int_stack+192748,36);
 /*--- compute (k0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+290920,int_stack+51516,int_stack+363172,36);
 /*--- compute (k0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+0,int_stack+290920,int_stack+133024,36);
 /*--- compute (k0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+290920,int_stack+0,int_stack+222124,36);
 /*--- compute (k0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+0,int_stack+290920,int_stack+406372,36);
 /*--- compute (k0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+101088,int_stack+0,int_stack+1099130,36);
 /*--- compute (k0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+208008,int_stack+101088,int_stack+1184666,36);
 /*--- compute (ip|mm) ---*/
 hrr1_build_ip(Libint->AB,int_stack+1099130,int_stack+208008,int_stack+551605,3025);
 /*--- compute (hd|mm) ---*/
 hrr1_build_hd(Libint->AB,int_stack+0,int_stack+1099130,int_stack+636305,3025);
 /*--- compute (gf|mm) ---*/
 hrr1_build_gf(Libint->AB,int_stack+1099130,int_stack+0,int_stack+826880,3025);
 return int_stack+1099130;}
