#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hfnm(Libint_t*, prim_data*);

  /* Computes quartets of (hf|nm) integrals */

REALTYPE *hrr_order_hfnm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][10] = int_stack + 0;
 Libint->vrr_classes[5][11] = int_stack + 1386;
 Libint->vrr_classes[5][12] = int_stack + 3024;
 Libint->vrr_classes[5][13] = int_stack + 4935;
 Libint->vrr_classes[5][14] = int_stack + 7140;
 Libint->vrr_classes[5][15] = int_stack + 9660;
 Libint->vrr_classes[5][16] = int_stack + 12516;
 Libint->vrr_classes[5][17] = int_stack + 15729;
 Libint->vrr_classes[5][18] = int_stack + 19320;
 Libint->vrr_classes[5][19] = int_stack + 23310;
 Libint->vrr_classes[6][10] = int_stack + 27720;
 Libint->vrr_classes[6][11] = int_stack + 29568;
 Libint->vrr_classes[6][12] = int_stack + 31752;
 Libint->vrr_classes[6][13] = int_stack + 34300;
 Libint->vrr_classes[6][14] = int_stack + 37240;
 Libint->vrr_classes[6][15] = int_stack + 40600;
 Libint->vrr_classes[6][16] = int_stack + 44408;
 Libint->vrr_classes[6][17] = int_stack + 48692;
 Libint->vrr_classes[6][18] = int_stack + 53480;
 Libint->vrr_classes[6][19] = int_stack + 58800;
 Libint->vrr_classes[7][10] = int_stack + 64680;
 Libint->vrr_classes[7][11] = int_stack + 67056;
 Libint->vrr_classes[7][12] = int_stack + 69864;
 Libint->vrr_classes[7][13] = int_stack + 73140;
 Libint->vrr_classes[7][14] = int_stack + 76920;
 Libint->vrr_classes[7][15] = int_stack + 81240;
 Libint->vrr_classes[7][16] = int_stack + 86136;
 Libint->vrr_classes[7][17] = int_stack + 91644;
 Libint->vrr_classes[7][18] = int_stack + 97800;
 Libint->vrr_classes[7][19] = int_stack + 104640;
 Libint->vrr_classes[8][10] = int_stack + 112200;
 Libint->vrr_classes[8][11] = int_stack + 115170;
 Libint->vrr_classes[8][12] = int_stack + 118680;
 Libint->vrr_classes[8][13] = int_stack + 122775;
 Libint->vrr_classes[8][14] = int_stack + 127500;
 Libint->vrr_classes[8][15] = int_stack + 132900;
 Libint->vrr_classes[8][16] = int_stack + 139020;
 Libint->vrr_classes[8][17] = int_stack + 145905;
 Libint->vrr_classes[8][18] = int_stack + 153600;
 Libint->vrr_classes[8][19] = int_stack + 162150;
 memset(int_stack,0,171600*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 171600;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hfnm(Libint, Data);
   Data++;
 }
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+171600,int_stack+1386,int_stack+0,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+175758,int_stack+3024,int_stack+1386,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+180672,int_stack+175758,int_stack+171600,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+188988,int_stack+4935,int_stack+3024,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+194721,int_stack+188988,int_stack+175758,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+204549,int_stack+194721,int_stack+180672,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+171600,int_stack+7140,int_stack+4935,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+218409,int_stack+171600,int_stack+188988,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+178215,int_stack+218409,int_stack+194721,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+229875,int_stack+178215,int_stack+204549,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+194595,int_stack+9660,int_stack+7140,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+202155,int_stack+194595,int_stack+171600,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+250665,int_stack+202155,int_stack+218409,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+269775,int_stack+250665,int_stack+178215,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+294345,int_stack+269775,int_stack+229875,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+171600,int_stack+12516,int_stack+9660,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+215385,int_stack+171600,int_stack+194595,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+323451,int_stack+215385,int_stack+202155,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+180168,int_stack+323451,int_stack+250665,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+230505,int_stack+180168,int_stack+269775,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+345501,int_stack+230505,int_stack+294345,21);
 /*--- compute (h0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+264903,int_stack+15729,int_stack+12516,21);
 /*--- compute (h0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+274542,int_stack+264903,int_stack+171600,21);
 /*--- compute (h0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+291678,int_stack+274542,int_stack+215385,21);
 /*--- compute (h0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+384309,int_stack+291678,int_stack+323451,21);
 /*--- compute (h0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+417384,int_stack+384309,int_stack+180168,21);
 /*--- compute (h0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+171600,int_stack+417384,int_stack+230505,21);
 /*--- compute (h0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+457515,int_stack+171600,int_stack+345501,21);
 /*--- compute (h0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+217464,int_stack+19320,int_stack+15729,21);
 /*--- compute (h0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+228237,int_stack+217464,int_stack+264903,21);
 /*--- compute (h0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+316878,int_stack+228237,int_stack+274542,21);
 /*--- compute (h0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+247515,int_stack+316878,int_stack+291678,21);
 /*--- compute (h0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+507411,int_stack+247515,int_stack+384309,21);
 /*--- compute (h0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+345438,int_stack+507411,int_stack+417384,21);
 /*--- compute (h0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+553716,int_stack+345438,int_stack+171600,21);
 /*--- compute (h0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+612684,int_stack+553716,int_stack+457515,21);
 /*--- compute (h0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+171600,int_stack+23310,int_stack+19320,21);
 /*--- compute (h0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+183570,int_stack+171600,int_stack+217464,21);
 /*--- compute (h0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+398946,int_stack+183570,int_stack+228237,21);
 /*--- compute (h0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+171600,int_stack+398946,int_stack+316878,21);
 /*--- compute (h0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+398946,int_stack+171600,int_stack+247515,21);
 /*--- compute (h0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+171600,int_stack+398946,int_stack+507411,21);
 /*--- compute (h0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+398946,int_stack+171600,int_stack+345438,21);
 /*--- compute (h0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+171600,int_stack+398946,int_stack+553716,21);
 /*--- compute (h0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+245310,int_stack+171600,int_stack+612684,21);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+171600,int_stack+29568,int_stack+27720,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+177144,int_stack+31752,int_stack+29568,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+183696,int_stack+177144,int_stack+171600,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+194784,int_stack+34300,int_stack+31752,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+202428,int_stack+194784,int_stack+177144,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+215532,int_stack+202428,int_stack+183696,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+171600,int_stack+37240,int_stack+34300,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+321540,int_stack+171600,int_stack+194784,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+180420,int_stack+321540,int_stack+202428,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+336828,int_stack+180420,int_stack+215532,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+202260,int_stack+40600,int_stack+37240,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+212340,int_stack+202260,int_stack+171600,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+364548,int_stack+212340,int_stack+321540,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+390028,int_stack+364548,int_stack+180420,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+422788,int_stack+390028,int_stack+336828,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+321540,int_stack+44408,int_stack+40600,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+332964,int_stack+321540,int_stack+202260,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+171600,int_stack+332964,int_stack+212340,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+201000,int_stack+171600,int_stack+364548,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+461596,int_stack+201000,int_stack+390028,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+353124,int_stack+461596,int_stack+422788,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+404868,int_stack+48692,int_stack+44408,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+417720,int_stack+404868,int_stack+321540,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+507460,int_stack+417720,int_stack+332964,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+541060,int_stack+507460,int_stack+171600,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+585160,int_stack+541060,int_stack+201000,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+171600,int_stack+585160,int_stack+461596,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+440568,int_stack+171600,int_stack+353124,28);
 /*--- compute (i0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+321540,int_stack+53480,int_stack+48692,28);
 /*--- compute (i0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+335904,int_stack+321540,int_stack+404868,28);
 /*--- compute (i0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+361608,int_stack+335904,int_stack+417720,28);
 /*--- compute (i0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+361608,int_stack+507460,28);
 /*--- compute (i0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+638668,int_stack+0,int_stack+541060,28);
 /*--- compute (i0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+507096,int_stack+638668,int_stack+585160,28);
 /*--- compute (i0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+700408,int_stack+507096,int_stack+171600,28);
 /*--- compute (i0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+779032,int_stack+700408,int_stack+440568,28);
 /*--- compute (i0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+171600,int_stack+58800,int_stack+53480,28);
 /*--- compute (i0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+187560,int_stack+171600,int_stack+321540,28);
 /*--- compute (i0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+399688,int_stack+187560,int_stack+335904,28);
 /*--- compute (i0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+171600,int_stack+399688,int_stack+361608,28);
 /*--- compute (i0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+321540,int_stack+171600,int_stack+0,28);
 /*--- compute (i0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+392100,int_stack+321540,int_stack+638668,28);
 /*--- compute (i0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+578440,int_stack+392100,int_stack+507096,28);
 /*--- compute (i0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+321540,int_stack+578440,int_stack+700408,28);
 /*--- compute (i0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+419820,int_stack+321540,int_stack+779032,28);
 /*--- compute (hp|nm) ---*/
 hrr1_build_hp(Libint->AB,int_stack+521460,int_stack+419820,int_stack+245310,3630);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+750150,int_stack+67056,int_stack+64680,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+757278,int_stack+69864,int_stack+67056,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+765702,int_stack+757278,int_stack+750150,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+779958,int_stack+73140,int_stack+69864,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+789786,int_stack+779958,int_stack+757278,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+806634,int_stack+789786,int_stack+765702,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+750150,int_stack+76920,int_stack+73140,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+830394,int_stack+750150,int_stack+779958,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+761490,int_stack+830394,int_stack+789786,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+761490,int_stack+806634,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+789570,int_stack+81240,int_stack+76920,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+802530,int_stack+789570,int_stack+750150,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+35640,int_stack+802530,int_stack+830394,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+171600,int_stack+35640,int_stack+761490,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+213720,int_stack+171600,int_stack+0,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+86136,int_stack+81240,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+750150,int_stack+0,int_stack+789570,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+263616,int_stack+750150,int_stack+802530,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+776070,int_stack+263616,int_stack+35640,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+14688,int_stack+776070,int_stack+171600,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+301416,int_stack+14688,int_stack+213720,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+171600,int_stack+91644,int_stack+86136,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+188124,int_stack+171600,int_stack+0,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+217500,int_stack+188124,int_stack+750150,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+825210,int_stack+217500,int_stack+263616,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+881910,int_stack+825210,int_stack+776070,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+950706,int_stack+881910,int_stack+14688,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+950706,int_stack+301416,36);
 /*--- compute (k0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+750150,int_stack+97800,int_stack+91644,36);
 /*--- compute (k0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+768618,int_stack+750150,int_stack+171600,36);
 /*--- compute (k0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+260700,int_stack+768618,int_stack+188124,36);
 /*--- compute (k0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+309660,int_stack+260700,int_stack+217500,36);
 /*--- compute (k0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+171600,int_stack+309660,int_stack+825210,36);
 /*--- compute (k0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1029330,int_stack+171600,int_stack+881910,36);
 /*--- compute (k0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+801666,int_stack+1029330,int_stack+950706,36);
 /*--- compute (k0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+902754,int_stack+801666,int_stack+0,36);
 /*--- compute (k0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+0,int_stack+104640,int_stack+97800,36);
 /*--- compute (k0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+20520,int_stack+0,int_stack+750150,36);
 /*--- compute (k0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1121058,int_stack+20520,int_stack+768618,36);
 /*--- compute (k0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+0,int_stack+1121058,int_stack+260700,36);
 /*--- compute (k0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1121058,int_stack+0,int_stack+309660,36);
 /*--- compute (k0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+0,int_stack+1121058,int_stack+171600,36);
 /*--- compute (k0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+171600,int_stack+0,int_stack+1029330,36);
 /*--- compute (k0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+289536,int_stack+171600,int_stack+801666,36);
 /*--- compute (k0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+750150,int_stack+289536,int_stack+902754,36);
 /*--- compute (ip|nm) ---*/
 hrr1_build_ip(Libint->AB,int_stack+880830,int_stack+750150,int_stack+419820,3630);
 /*--- compute (hd|nm) ---*/
 hrr1_build_hd(Libint->AB,int_stack+1185750,int_stack+880830,int_stack+521460,3630);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+171600,int_stack+115170,int_stack+112200,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+180510,int_stack+118680,int_stack+115170,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+191040,int_stack+180510,int_stack+171600,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+208860,int_stack+122775,int_stack+118680,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+221145,int_stack+208860,int_stack+180510,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+242205,int_stack+221145,int_stack+191040,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+171600,int_stack+127500,int_stack+122775,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+271905,int_stack+171600,int_stack+208860,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+185775,int_stack+271905,int_stack+221145,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+296475,int_stack+185775,int_stack+242205,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+220875,int_stack+132900,int_stack+127500,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+237075,int_stack+220875,int_stack+171600,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+341025,int_stack+237075,int_stack+271905,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+381975,int_stack+341025,int_stack+185775,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+434625,int_stack+381975,int_stack+296475,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+171600,int_stack+139020,int_stack+132900,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+265425,int_stack+171600,int_stack+220875,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+496995,int_stack+265425,int_stack+237075,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+189960,int_stack+496995,int_stack+341025,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+297825,int_stack+189960,int_stack+381975,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+544245,int_stack+297825,int_stack+434625,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+371535,int_stack+145905,int_stack+139020,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+392190,int_stack+371535,int_stack+171600,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+428910,int_stack+392190,int_stack+265425,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+627405,int_stack+428910,int_stack+496995,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+0,int_stack+627405,int_stack+189960,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+171600,int_stack+0,int_stack+297825,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1643130,int_stack+171600,int_stack+544245,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+269880,int_stack+153600,int_stack+145905,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+292965,int_stack+269880,int_stack+371535,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+482910,int_stack+292965,int_stack+392190,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+334275,int_stack+482910,int_stack+428910,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1750050,int_stack+334275,int_stack+627405,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+544110,int_stack+1750050,int_stack+0,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+0,int_stack+544110,int_stack+171600,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1849275,int_stack+0,int_stack+1643130,45);
 /*--- compute (l0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+1643130,int_stack+162150,int_stack+153600,45);
 /*--- compute (l0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+1668780,int_stack+1643130,int_stack+269880,45);
 /*--- compute (l0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+126360,int_stack+1668780,int_stack+292965,45);
 /*--- compute (l0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+1643130,int_stack+126360,int_stack+482910,45);
 /*--- compute (l0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+126360,int_stack+1643130,int_stack+334275,45);
 /*--- compute (l0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+239760,int_stack+126360,int_stack+1750050,45);
 /*--- compute (l0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1643130,int_stack+239760,int_stack+544110,45);
 /*--- compute (l0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+126360,int_stack+1643130,int_stack+0,45);
 /*--- compute (l0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1643130,int_stack+126360,int_stack+1849275,45);
 /*--- compute (kp|nm) ---*/
 hrr1_build_kp(Libint->AB,int_stack+0,int_stack+1643130,int_stack+750150,3630);
 /*--- compute (id|nm) ---*/
 hrr1_build_id(Libint->AB,int_stack+1643130,int_stack+0,int_stack+880830,3630);
 /*--- compute (hf|nm) ---*/
 hrr1_build_hf(Libint->AB,int_stack+0,int_stack+1643130,int_stack+1185750,3630);
 return int_stack+0;}
