#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hpn0(Libint_t*, prim_data*);

  /* Computes quartets of (hp|n0) integrals */

REALTYPE *hrr_order_hpn0(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][10] = int_stack + 0;
 Libint->vrr_classes[6][10] = int_stack + 1386;
 memset(int_stack,0,3234*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 3234;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hpn0(Libint, Data);
   Data++;
 }
 /*--- compute (hp|n0) ---*/
 hrr1_build_hp(Libint->AB,int_stack+3234,int_stack+1386,int_stack+0,66);
 return int_stack+3234;}
