#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_i0kh(Libint_t*, prim_data*);

  /* Computes quartets of (i0|kh) integrals */

REALTYPE *hrr_order_i0kh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][7] = int_stack + 0;
 Libint->vrr_classes[6][8] = int_stack + 1008;
 Libint->vrr_classes[6][9] = int_stack + 2268;
 Libint->vrr_classes[6][10] = int_stack + 3808;
 Libint->vrr_classes[6][11] = int_stack + 5656;
 Libint->vrr_classes[6][12] = int_stack + 7840;
 memset(int_stack,0,10388*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 10388;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_i0kh(Libint, Data);
   Data++;
 }
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+10388,int_stack+1008,int_stack+0,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+13412,int_stack+2268,int_stack+1008,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+17192,int_stack+13412,int_stack+10388,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+23240,int_stack+3808,int_stack+2268,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+27860,int_stack+23240,int_stack+13412,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+35420,int_stack+27860,int_stack+17192,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+10388,int_stack+5656,int_stack+3808,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+45500,int_stack+10388,int_stack+23240,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+54740,int_stack+45500,int_stack+27860,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+15932,int_stack+54740,int_stack+35420,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+31052,int_stack+7840,int_stack+5656,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+67340,int_stack+31052,int_stack+10388,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+67340,int_stack+45500,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+31052,int_stack+0,int_stack+54740,28);
 /*--- compute (i0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+49952,int_stack+31052,int_stack+15932,28);
 return int_stack+49952;}
