#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_idlh(Libint_t*, prim_data*);

  /* Computes quartets of (id|lh) integrals */

REALTYPE *hrr_order_idlh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][8] = int_stack + 0;
 Libint->vrr_classes[6][9] = int_stack + 1260;
 Libint->vrr_classes[6][10] = int_stack + 2800;
 Libint->vrr_classes[6][11] = int_stack + 4648;
 Libint->vrr_classes[6][12] = int_stack + 6832;
 Libint->vrr_classes[6][13] = int_stack + 9380;
 Libint->vrr_classes[7][8] = int_stack + 12320;
 Libint->vrr_classes[7][9] = int_stack + 13940;
 Libint->vrr_classes[7][10] = int_stack + 15920;
 Libint->vrr_classes[7][11] = int_stack + 18296;
 Libint->vrr_classes[7][12] = int_stack + 21104;
 Libint->vrr_classes[7][13] = int_stack + 24380;
 Libint->vrr_classes[8][8] = int_stack + 28160;
 Libint->vrr_classes[8][9] = int_stack + 30185;
 Libint->vrr_classes[8][10] = int_stack + 32660;
 Libint->vrr_classes[8][11] = int_stack + 35630;
 Libint->vrr_classes[8][12] = int_stack + 39140;
 Libint->vrr_classes[8][13] = int_stack + 43235;
 memset(int_stack,0,47960*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 47960;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_idlh(Libint, Data);
   Data++;
 }
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+47960,int_stack+1260,int_stack+0,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+51740,int_stack+2800,int_stack+1260,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+56360,int_stack+51740,int_stack+47960,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+63920,int_stack+4648,int_stack+2800,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+69464,int_stack+63920,int_stack+51740,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+78704,int_stack+69464,int_stack+56360,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+47960,int_stack+6832,int_stack+4648,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+91304,int_stack+47960,int_stack+63920,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+102392,int_stack+91304,int_stack+69464,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+54512,int_stack+102392,int_stack+78704,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+73412,int_stack+9380,int_stack+6832,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+117792,int_stack+73412,int_stack+47960,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+130896,int_stack+117792,int_stack+91304,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+73412,int_stack+130896,int_stack+102392,28);
 /*--- compute (i0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+96512,int_stack+73412,int_stack+54512,28);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+47960,int_stack+13940,int_stack+12320,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+52820,int_stack+15920,int_stack+13940,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+58760,int_stack+52820,int_stack+47960,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+68480,int_stack+18296,int_stack+15920,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+75608,int_stack+68480,int_stack+52820,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+122972,int_stack+75608,int_stack+58760,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+47960,int_stack+21104,int_stack+18296,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+47960,int_stack+68480,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+139172,int_stack+0,int_stack+75608,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+56384,int_stack+139172,int_stack+122972,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+122972,int_stack+24380,int_stack+21104,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+158972,int_stack+122972,int_stack+47960,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+175820,int_stack+158972,int_stack+0,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+199580,int_stack+175820,int_stack+139172,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+122972,int_stack+199580,int_stack+56384,36);
 /*--- compute (ip|lh) ---*/
 hrr1_build_ip(Libint->AB,int_stack+156992,int_stack+122972,int_stack+96512,945);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+30185,int_stack+28160,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+6075,int_stack+32660,int_stack+30185,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+13500,int_stack+6075,int_stack+0,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+47960,int_stack+35630,int_stack+32660,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+56870,int_stack+47960,int_stack+6075,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+71720,int_stack+56870,int_stack+13500,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+39140,int_stack+35630,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+10530,int_stack+0,int_stack+47960,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+91970,int_stack+10530,int_stack+56870,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+236372,int_stack+91970,int_stack+71720,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+47960,int_stack+43235,int_stack+39140,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+60245,int_stack+47960,int_stack+0,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+28350,int_stack+60245,int_stack+10530,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+266747,int_stack+28350,int_stack+91970,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+0,int_stack+266747,int_stack+236372,45);
 /*--- compute (kp|lh) ---*/
 hrr1_build_kp(Libint->AB,int_stack+236372,int_stack+0,int_stack+122972,945);
 /*--- compute (id|lh) ---*/
 hrr1_build_id(Libint->AB,int_stack+338432,int_stack+236372,int_stack+156992,945);
 return int_stack+338432;}
