#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_iflg(Libint_t*, prim_data*);

  /* Computes quartets of (if|lg) integrals */

REALTYPE *hrr_order_iflg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][8] = int_stack + 0;
 Libint->vrr_classes[6][9] = int_stack + 1260;
 Libint->vrr_classes[6][10] = int_stack + 2800;
 Libint->vrr_classes[6][11] = int_stack + 4648;
 Libint->vrr_classes[6][12] = int_stack + 6832;
 Libint->vrr_classes[7][8] = int_stack + 9380;
 Libint->vrr_classes[7][9] = int_stack + 11000;
 Libint->vrr_classes[7][10] = int_stack + 12980;
 Libint->vrr_classes[7][11] = int_stack + 15356;
 Libint->vrr_classes[7][12] = int_stack + 18164;
 Libint->vrr_classes[8][8] = int_stack + 21440;
 Libint->vrr_classes[8][9] = int_stack + 23465;
 Libint->vrr_classes[8][10] = int_stack + 25940;
 Libint->vrr_classes[8][11] = int_stack + 28910;
 Libint->vrr_classes[8][12] = int_stack + 32420;
 Libint->vrr_classes[9][8] = int_stack + 36515;
 Libint->vrr_classes[9][9] = int_stack + 38990;
 Libint->vrr_classes[9][10] = int_stack + 42015;
 Libint->vrr_classes[9][11] = int_stack + 45645;
 Libint->vrr_classes[9][12] = int_stack + 49935;
 memset(int_stack,0,54940*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 54940;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_iflg(Libint, Data);
   Data++;
 }
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+54940,int_stack+1260,int_stack+0,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+58720,int_stack+2800,int_stack+1260,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+63340,int_stack+58720,int_stack+54940,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+70900,int_stack+4648,int_stack+2800,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+76444,int_stack+70900,int_stack+58720,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+85684,int_stack+76444,int_stack+63340,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+54940,int_stack+6832,int_stack+4648,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+98284,int_stack+54940,int_stack+70900,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+54940,int_stack+98284,int_stack+76444,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+98284,int_stack+54940,int_stack+85684,28);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+54940,int_stack+11000,int_stack+9380,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+59800,int_stack+12980,int_stack+11000,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+65740,int_stack+59800,int_stack+54940,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+75460,int_stack+15356,int_stack+12980,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+82588,int_stack+75460,int_stack+59800,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+117184,int_stack+82588,int_stack+65740,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+54940,int_stack+18164,int_stack+15356,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+54940,int_stack+75460,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+54940,int_stack+0,int_stack+82588,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+133384,int_stack+54940,int_stack+117184,36);
 /*--- compute (ip|lg) ---*/
 hrr1_build_ip(Libint->AB,int_stack+157684,int_stack+133384,int_stack+98284,675);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+54940,int_stack+23465,int_stack+21440,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+61015,int_stack+25940,int_stack+23465,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+68440,int_stack+61015,int_stack+54940,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+80590,int_stack+28910,int_stack+25940,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+89500,int_stack+80590,int_stack+61015,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+104350,int_stack+89500,int_stack+68440,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+54940,int_stack+32420,int_stack+28910,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+54940,int_stack+80590,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+54940,int_stack+0,int_stack+89500,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+0,int_stack+54940,int_stack+104350,45);
 /*--- compute (kp|lg) ---*/
 hrr1_build_kp(Libint->AB,int_stack+54940,int_stack+0,int_stack+133384,675);
 /*--- compute (id|lg) ---*/
 hrr1_build_id(Libint->AB,int_stack+214384,int_stack+54940,int_stack+157684,675);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+127840,int_stack+38990,int_stack+36515,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+135265,int_stack+42015,int_stack+38990,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+144340,int_stack+135265,int_stack+127840,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+159190,int_stack+45645,int_stack+42015,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+170080,int_stack+159190,int_stack+135265,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+188230,int_stack+170080,int_stack+144340,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+127840,int_stack+49935,int_stack+45645,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+30375,int_stack+127840,int_stack+159190,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+127840,int_stack+30375,int_stack+170080,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+327784,int_stack+127840,int_stack+188230,55);
 /*--- compute (lp|lg) ---*/
 hrr1_build_lp(Libint->AB,int_stack+364909,int_stack+327784,int_stack+0,675);
 /*--- compute (kd|lg) ---*/
 hrr1_build_kd(Libint->AB,int_stack+456034,int_stack+364909,int_stack+54940,675);
 /*--- compute (if|lg) ---*/
 hrr1_build_if(Libint->AB,int_stack+0,int_stack+456034,int_stack+214384,675);
 return int_stack+0;}
