#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ignk(Libint_t*, prim_data*);

  /* Computes quartets of (ig|nk) integrals */

REALTYPE *hrr_order_ignk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][10] = int_stack + 0;
 Libint->vrr_classes[6][11] = int_stack + 1848;
 Libint->vrr_classes[6][12] = int_stack + 4032;
 Libint->vrr_classes[6][13] = int_stack + 6580;
 Libint->vrr_classes[6][14] = int_stack + 9520;
 Libint->vrr_classes[6][15] = int_stack + 12880;
 Libint->vrr_classes[6][16] = int_stack + 16688;
 Libint->vrr_classes[6][17] = int_stack + 20972;
 Libint->vrr_classes[7][10] = int_stack + 25760;
 Libint->vrr_classes[7][11] = int_stack + 28136;
 Libint->vrr_classes[7][12] = int_stack + 30944;
 Libint->vrr_classes[7][13] = int_stack + 34220;
 Libint->vrr_classes[7][14] = int_stack + 38000;
 Libint->vrr_classes[7][15] = int_stack + 42320;
 Libint->vrr_classes[7][16] = int_stack + 47216;
 Libint->vrr_classes[7][17] = int_stack + 52724;
 Libint->vrr_classes[8][10] = int_stack + 58880;
 Libint->vrr_classes[8][11] = int_stack + 61850;
 Libint->vrr_classes[8][12] = int_stack + 65360;
 Libint->vrr_classes[8][13] = int_stack + 69455;
 Libint->vrr_classes[8][14] = int_stack + 74180;
 Libint->vrr_classes[8][15] = int_stack + 79580;
 Libint->vrr_classes[8][16] = int_stack + 85700;
 Libint->vrr_classes[8][17] = int_stack + 92585;
 Libint->vrr_classes[9][10] = int_stack + 100280;
 Libint->vrr_classes[9][11] = int_stack + 103910;
 Libint->vrr_classes[9][12] = int_stack + 108200;
 Libint->vrr_classes[9][13] = int_stack + 113205;
 Libint->vrr_classes[9][14] = int_stack + 118980;
 Libint->vrr_classes[9][15] = int_stack + 125580;
 Libint->vrr_classes[9][16] = int_stack + 133060;
 Libint->vrr_classes[9][17] = int_stack + 141475;
 Libint->vrr_classes[10][10] = int_stack + 150880;
 Libint->vrr_classes[10][11] = int_stack + 155236;
 Libint->vrr_classes[10][12] = int_stack + 160384;
 Libint->vrr_classes[10][13] = int_stack + 166390;
 Libint->vrr_classes[10][14] = int_stack + 173320;
 Libint->vrr_classes[10][15] = int_stack + 181240;
 Libint->vrr_classes[10][16] = int_stack + 190216;
 Libint->vrr_classes[10][17] = int_stack + 200314;
 memset(int_stack,0,211600*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 211600;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ignk(Libint, Data);
   Data++;
 }
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+211600,int_stack+1848,int_stack+0,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+217144,int_stack+4032,int_stack+1848,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+223696,int_stack+217144,int_stack+211600,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+234784,int_stack+6580,int_stack+4032,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+242428,int_stack+234784,int_stack+217144,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+255532,int_stack+242428,int_stack+223696,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+211600,int_stack+9520,int_stack+6580,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+274012,int_stack+211600,int_stack+234784,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+220420,int_stack+274012,int_stack+242428,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+289300,int_stack+220420,int_stack+255532,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+242260,int_stack+12880,int_stack+9520,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+252340,int_stack+242260,int_stack+211600,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+317020,int_stack+252340,int_stack+274012,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+342500,int_stack+317020,int_stack+220420,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+375260,int_stack+342500,int_stack+289300,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+211600,int_stack+16688,int_stack+12880,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+269980,int_stack+211600,int_stack+242260,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+414068,int_stack+269980,int_stack+252340,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+223024,int_stack+414068,int_stack+317020,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+290140,int_stack+223024,int_stack+342500,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+443468,int_stack+290140,int_stack+375260,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+336004,int_stack+20972,int_stack+16688,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+348856,int_stack+336004,int_stack+211600,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+371704,int_stack+348856,int_stack+269980,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+495212,int_stack+371704,int_stack+414068,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+336004,int_stack+495212,int_stack+223024,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+211600,int_stack+336004,int_stack+290140,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+272752,int_stack+211600,int_stack+443468,28);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+211600,int_stack+28136,int_stack+25760,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+218728,int_stack+30944,int_stack+28136,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+227152,int_stack+218728,int_stack+211600,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+241408,int_stack+34220,int_stack+30944,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+251236,int_stack+241408,int_stack+218728,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+339280,int_stack+251236,int_stack+227152,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+211600,int_stack+38000,int_stack+34220,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+363040,int_stack+211600,int_stack+241408,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+222940,int_stack+363040,int_stack+251236,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+382696,int_stack+222940,int_stack+339280,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+339280,int_stack+42320,int_stack+38000,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+418336,int_stack+339280,int_stack+211600,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+441016,int_stack+418336,int_stack+363040,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+473776,int_stack+441016,int_stack+222940,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+211600,int_stack+473776,int_stack+382696,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+352240,int_stack+47216,int_stack+42320,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+366928,int_stack+352240,int_stack+339280,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+366928,int_stack+418336,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+515896,int_stack+0,int_stack+441016,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+392848,int_stack+515896,int_stack+473776,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+565036,int_stack+392848,int_stack+211600,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+211600,int_stack+52724,int_stack+47216,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+228124,int_stack+211600,int_stack+352240,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+451816,int_stack+228124,int_stack+366928,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+211600,int_stack+451816,int_stack+0,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+631564,int_stack+211600,int_stack+515896,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+451816,int_stack+631564,int_stack+392848,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+339280,int_stack+451816,int_stack+565036,36);
 /*--- compute (ip|nk) ---*/
 hrr1_build_ip(Libint->AB,int_stack+424816,int_stack+339280,int_stack+272752,2376);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+211600,int_stack+61850,int_stack+58880,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+220510,int_stack+65360,int_stack+61850,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+231040,int_stack+220510,int_stack+211600,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+248860,int_stack+69455,int_stack+65360,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+261145,int_stack+248860,int_stack+220510,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+282205,int_stack+261145,int_stack+231040,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+211600,int_stack+74180,int_stack+69455,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+311905,int_stack+211600,int_stack+248860,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+225775,int_stack+311905,int_stack+261145,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+225775,int_stack+282205,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+260875,int_stack+79580,int_stack+74180,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+277075,int_stack+260875,int_stack+211600,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+624400,int_stack+277075,int_stack+311905,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+665350,int_stack+624400,int_stack+225775,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+718000,int_stack+665350,int_stack+0,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+85700,int_stack+79580,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+18360,int_stack+0,int_stack+260875,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+211600,int_stack+18360,int_stack+277075,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+258850,int_stack+211600,int_stack+624400,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+780370,int_stack+258850,int_stack+665350,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+624400,int_stack+780370,int_stack+718000,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+707560,int_stack+92585,int_stack+85700,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+728215,int_stack+707560,int_stack+0,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+854080,int_stack+728215,int_stack+18360,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+854080,int_stack+211600,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+854080,int_stack+0,int_stack+258850,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+854080,int_stack+780370,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+211600,int_stack+0,int_stack+624400,45);
 /*--- compute (kp|nk) ---*/
 hrr1_build_kp(Libint->AB,int_stack+624400,int_stack+211600,int_stack+339280,2376);
 /*--- compute (id|nk) ---*/
 hrr1_build_id(Libint->AB,int_stack+881008,int_stack+624400,int_stack+424816,2376);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+103910,int_stack+100280,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+10890,int_stack+108200,int_stack+103910,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+23760,int_stack+10890,int_stack+0,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+45540,int_stack+113205,int_stack+108200,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+60555,int_stack+45540,int_stack+10890,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+318520,int_stack+60555,int_stack+23760,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+118980,int_stack+113205,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+86295,int_stack+0,int_stack+45540,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+17325,int_stack+86295,int_stack+60555,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+354820,int_stack+17325,int_stack+318520,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+318520,int_stack+125580,int_stack+118980,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+409270,int_stack+318520,int_stack+0,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+443920,int_stack+409270,int_stack+86295,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+60225,int_stack+443920,int_stack+17325,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+493970,int_stack+60225,int_stack+354820,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+133060,int_stack+125580,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+338320,int_stack+0,int_stack+318520,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1280176,int_stack+338320,int_stack+409270,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1337926,int_stack+1280176,int_stack+443920,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+377920,int_stack+1337926,int_stack+60225,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+22440,int_stack+377920,int_stack+493970,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+468010,int_stack+141475,int_stack+133060,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+493255,int_stack+468010,int_stack+0,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+538135,int_stack+493255,int_stack+338320,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1413001,int_stack+538135,int_stack+1280176,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+468010,int_stack+1413001,int_stack+1337926,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1280176,int_stack+468010,int_stack+377920,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+318520,int_stack+1280176,int_stack+22440,55);
 /*--- compute (lp|nk) ---*/
 hrr1_build_lp(Libint->AB,int_stack+1280176,int_stack+318520,int_stack+211600,2376);
 /*--- compute (kd|nk) ---*/
 hrr1_build_kd(Libint->AB,int_stack+1600936,int_stack+1280176,int_stack+624400,2376);
 /*--- compute (if|nk) ---*/
 hrr1_build_if(Libint->AB,int_stack+2114152,int_stack+1600936,int_stack+881008,2376);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+211600,int_stack+155236,int_stack+150880,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+224668,int_stack+160384,int_stack+155236,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+240112,int_stack+224668,int_stack+211600,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+266248,int_stack+166390,int_stack+160384,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+284266,int_stack+266248,int_stack+224668,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+284266,int_stack+240112,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+211600,int_stack+173320,int_stack+166390,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+43560,int_stack+211600,int_stack+266248,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+232390,int_stack+43560,int_stack+284266,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+79596,int_stack+232390,int_stack+0,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+181240,int_stack+173320,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+449200,int_stack+0,int_stack+211600,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+490780,int_stack+449200,int_stack+43560,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+550840,int_stack+490780,int_stack+232390,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+211600,int_stack+550840,int_stack+79596,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+23760,int_stack+190216,int_stack+181240,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+50688,int_stack+23760,int_stack+0,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+98208,int_stack+50688,int_stack+449200,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+628060,int_stack+98208,int_stack+490780,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+718150,int_stack+628060,int_stack+550840,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+449200,int_stack+718150,int_stack+211600,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+211600,int_stack+200314,int_stack+190216,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+241894,int_stack+211600,int_stack+23760,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+826258,int_stack+241894,int_stack+50688,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+167508,int_stack+826258,int_stack+98208,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+826258,int_stack+167508,int_stack+628060,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+952384,int_stack+826258,int_stack+718150,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1096528,int_stack+952384,int_stack+449200,66);
 /*--- compute (mp|nk) ---*/
 hrr1_build_mp(Libint->AB,int_stack+449200,int_stack+1096528,int_stack+318520,2376);
 /*--- compute (ld|nk) ---*/
 hrr1_build_ld(Libint->AB,int_stack+2779432,int_stack+449200,int_stack+1280176,2376);
 /*--- compute (kf|nk) ---*/
 hrr1_build_kf(Libint->AB,int_stack+0,int_stack+2779432,int_stack+1600936,2376);
 /*--- compute (ig|nk) ---*/
 hrr1_build_ig(Libint->AB,int_stack+855360,int_stack+0,int_stack+2114152,2376);
 return int_stack+855360;}
