#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ipnh(Libint_t*, prim_data*);

  /* Computes quartets of (ip|nh) integrals */

REALTYPE *hrr_order_ipnh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][10] = int_stack + 0;
 Libint->vrr_classes[6][11] = int_stack + 1848;
 Libint->vrr_classes[6][12] = int_stack + 4032;
 Libint->vrr_classes[6][13] = int_stack + 6580;
 Libint->vrr_classes[6][14] = int_stack + 9520;
 Libint->vrr_classes[6][15] = int_stack + 12880;
 Libint->vrr_classes[7][10] = int_stack + 16688;
 Libint->vrr_classes[7][11] = int_stack + 19064;
 Libint->vrr_classes[7][12] = int_stack + 21872;
 Libint->vrr_classes[7][13] = int_stack + 25148;
 Libint->vrr_classes[7][14] = int_stack + 28928;
 Libint->vrr_classes[7][15] = int_stack + 33248;
 memset(int_stack,0,38144*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 38144;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ipnh(Libint, Data);
   Data++;
 }
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+38144,int_stack+1848,int_stack+0,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+43688,int_stack+4032,int_stack+1848,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+50240,int_stack+43688,int_stack+38144,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+61328,int_stack+6580,int_stack+4032,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+68972,int_stack+61328,int_stack+43688,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+82076,int_stack+68972,int_stack+50240,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+38144,int_stack+9520,int_stack+6580,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+100556,int_stack+38144,int_stack+61328,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+46964,int_stack+100556,int_stack+68972,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+115844,int_stack+46964,int_stack+82076,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+68804,int_stack+12880,int_stack+9520,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+78884,int_stack+68804,int_stack+38144,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+143564,int_stack+78884,int_stack+100556,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+68804,int_stack+143564,int_stack+46964,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+143564,int_stack+68804,int_stack+115844,28);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+38144,int_stack+19064,int_stack+16688,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+45272,int_stack+21872,int_stack+19064,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+53696,int_stack+45272,int_stack+38144,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+67952,int_stack+25148,int_stack+21872,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+77780,int_stack+67952,int_stack+45272,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+94628,int_stack+77780,int_stack+53696,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+38144,int_stack+28928,int_stack+25148,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+118388,int_stack+38144,int_stack+67952,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+49484,int_stack+118388,int_stack+77780,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+182372,int_stack+49484,int_stack+94628,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+77564,int_stack+33248,int_stack+28928,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+90524,int_stack+77564,int_stack+38144,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+90524,int_stack+118388,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+77564,int_stack+0,int_stack+49484,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+77564,int_stack+182372,36);
 /*--- compute (ip|nh) ---*/
 hrr1_build_ip(Libint->AB,int_stack+182372,int_stack+0,int_stack+143564,1386);
 return int_stack+182372;}
