#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kdnn(Libint_t*, prim_data*);

  /* Computes quartets of (kd|nn) integrals */

REALTYPE *hrr_order_kdnn(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][10] = int_stack + 0;
 Libint->vrr_classes[7][11] = int_stack + 2376;
 Libint->vrr_classes[7][12] = int_stack + 5184;
 Libint->vrr_classes[7][13] = int_stack + 8460;
 Libint->vrr_classes[7][14] = int_stack + 12240;
 Libint->vrr_classes[7][15] = int_stack + 16560;
 Libint->vrr_classes[7][16] = int_stack + 21456;
 Libint->vrr_classes[7][17] = int_stack + 26964;
 Libint->vrr_classes[7][18] = int_stack + 33120;
 Libint->vrr_classes[7][19] = int_stack + 39960;
 Libint->vrr_classes[7][20] = int_stack + 47520;
 Libint->vrr_classes[8][10] = int_stack + 55836;
 Libint->vrr_classes[8][11] = int_stack + 58806;
 Libint->vrr_classes[8][12] = int_stack + 62316;
 Libint->vrr_classes[8][13] = int_stack + 66411;
 Libint->vrr_classes[8][14] = int_stack + 71136;
 Libint->vrr_classes[8][15] = int_stack + 76536;
 Libint->vrr_classes[8][16] = int_stack + 82656;
 Libint->vrr_classes[8][17] = int_stack + 89541;
 Libint->vrr_classes[8][18] = int_stack + 97236;
 Libint->vrr_classes[8][19] = int_stack + 105786;
 Libint->vrr_classes[8][20] = int_stack + 115236;
 Libint->vrr_classes[9][10] = int_stack + 125631;
 Libint->vrr_classes[9][11] = int_stack + 129261;
 Libint->vrr_classes[9][12] = int_stack + 133551;
 Libint->vrr_classes[9][13] = int_stack + 138556;
 Libint->vrr_classes[9][14] = int_stack + 144331;
 Libint->vrr_classes[9][15] = int_stack + 150931;
 Libint->vrr_classes[9][16] = int_stack + 158411;
 Libint->vrr_classes[9][17] = int_stack + 166826;
 Libint->vrr_classes[9][18] = int_stack + 176231;
 Libint->vrr_classes[9][19] = int_stack + 186681;
 Libint->vrr_classes[9][20] = int_stack + 198231;
 memset(int_stack,0,210936*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 210936;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kdnn(Libint, Data);
   Data++;
 }
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+210936,int_stack+2376,int_stack+0,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+218064,int_stack+5184,int_stack+2376,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+226488,int_stack+218064,int_stack+210936,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+240744,int_stack+8460,int_stack+5184,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+250572,int_stack+240744,int_stack+218064,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+267420,int_stack+250572,int_stack+226488,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+210936,int_stack+12240,int_stack+8460,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+291180,int_stack+210936,int_stack+240744,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+222276,int_stack+291180,int_stack+250572,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+310836,int_stack+222276,int_stack+267420,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+250356,int_stack+16560,int_stack+12240,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+263316,int_stack+250356,int_stack+210936,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+346476,int_stack+263316,int_stack+291180,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+379236,int_stack+346476,int_stack+222276,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+421356,int_stack+379236,int_stack+310836,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+210936,int_stack+21456,int_stack+16560,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+285996,int_stack+210936,int_stack+250356,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+471252,int_stack+285996,int_stack+263316,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+225624,int_stack+471252,int_stack+346476,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+311916,int_stack+225624,int_stack+379236,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+509052,int_stack+311916,int_stack+421356,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+370884,int_stack+26964,int_stack+21456,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+387408,int_stack+370884,int_stack+210936,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+416784,int_stack+387408,int_stack+285996,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+575580,int_stack+416784,int_stack+471252,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+632280,int_stack+575580,int_stack+225624,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+210936,int_stack+632280,int_stack+311916,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+701076,int_stack+210936,int_stack+509052,36);
 /*--- compute (k0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+289560,int_stack+33120,int_stack+26964,36);
 /*--- compute (k0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+308028,int_stack+289560,int_stack+370884,36);
 /*--- compute (k0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+459984,int_stack+308028,int_stack+387408,36);
 /*--- compute (k0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+341076,int_stack+459984,int_stack+416784,36);
 /*--- compute (k0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+786612,int_stack+341076,int_stack+575580,36);
 /*--- compute (k0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+508944,int_stack+786612,int_stack+632280,36);
 /*--- compute (k0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+865992,int_stack+508944,int_stack+210936,36);
 /*--- compute (k0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+967080,int_stack+865992,int_stack+701076,36);
 /*--- compute (k0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+210936,int_stack+39960,int_stack+33120,36);
 /*--- compute (k0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+231456,int_stack+210936,int_stack+289560,36);
 /*--- compute (k0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+600672,int_stack+231456,int_stack+308028,36);
 /*--- compute (k0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+655752,int_stack+600672,int_stack+459984,36);
 /*--- compute (k0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+405876,int_stack+655752,int_stack+341076,36);
 /*--- compute (k0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+268392,int_stack+405876,int_stack+786612,36);
 /*--- compute (k0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+729192,int_stack+268392,int_stack+508944,36);
 /*--- compute (k0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1074000,int_stack+729192,int_stack+865992,36);
 /*--- compute (k0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1200360,int_stack+1074000,int_stack+967080,36);
 /*--- compute (k0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+374232,int_stack+47520,int_stack+39960,36);
 /*--- compute (k0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+496596,int_stack+374232,int_stack+210936,36);
 /*--- compute (k0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+537636,int_stack+496596,int_stack+231456,36);
 /*--- compute (k0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+847128,int_stack+537636,int_stack+600672,36);
 /*--- compute (k0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+496596,int_stack+847128,int_stack+655752,36);
 /*--- compute (k0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+847128,int_stack+496596,int_stack+405876,36);
 /*--- compute (k0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+374232,int_stack+847128,int_stack+268392,36);
 /*--- compute (k0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+847128,int_stack+374232,int_stack+729192,36);
 /*--- compute (k0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+210936,int_stack+847128,int_stack+1074000,36);
 /*--- compute (k0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+365376,int_stack+210936,int_stack+1200360,36);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+210936,int_stack+58806,int_stack+55836,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+219846,int_stack+62316,int_stack+58806,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+230376,int_stack+219846,int_stack+210936,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+248196,int_stack+66411,int_stack+62316,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+260481,int_stack+248196,int_stack+219846,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+281541,int_stack+260481,int_stack+230376,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+210936,int_stack+71136,int_stack+66411,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+311241,int_stack+210936,int_stack+248196,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+225111,int_stack+311241,int_stack+260481,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+522192,int_stack+225111,int_stack+281541,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+260211,int_stack+76536,int_stack+71136,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+276411,int_stack+260211,int_stack+210936,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+566742,int_stack+276411,int_stack+311241,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+304761,int_stack+566742,int_stack+225111,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+607692,int_stack+304761,int_stack+522192,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+522192,int_stack+82656,int_stack+76536,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+210936,int_stack+522192,int_stack+260211,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+670062,int_stack+210936,int_stack+276411,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+243336,int_stack+670062,int_stack+566742,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+717312,int_stack+243336,int_stack+304761,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+791022,int_stack+717312,int_stack+607692,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+304761,int_stack+89541,int_stack+82656,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+325416,int_stack+304761,int_stack+522192,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+522192,int_stack+325416,int_stack+210936,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+576192,int_stack+522192,int_stack+670062,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+874182,int_stack+576192,int_stack+243336,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+960177,int_stack+874182,int_stack+717312,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+647067,int_stack+960177,int_stack+791022,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+210936,int_stack+97236,int_stack+89541,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+234021,int_stack+210936,int_stack+304761,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+753987,int_stack+234021,int_stack+325416,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+275331,int_stack+753987,int_stack+522192,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1058457,int_stack+275331,int_stack+576192,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+522192,int_stack+1058457,int_stack+874182,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+815187,int_stack+522192,int_stack+960177,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1157682,int_stack+815187,int_stack+647067,45);
 /*--- compute (l0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+636852,int_stack+105786,int_stack+97236,45);
 /*--- compute (l0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+662502,int_stack+636852,int_stack+210936,45);
 /*--- compute (l0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+941547,int_stack+662502,int_stack+234021,45);
 /*--- compute (l0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+0,int_stack+941547,int_stack+753987,45);
 /*--- compute (l0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1291332,int_stack+0,int_stack+275331,45);
 /*--- compute (l0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+210936,int_stack+1291332,int_stack+1058457,45);
 /*--- compute (l0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1404732,int_stack+210936,int_stack+522192,45);
 /*--- compute (l0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1552152,int_stack+1404732,int_stack+815187,45);
 /*--- compute (l0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+708672,int_stack+1552152,int_stack+1157682,45);
 /*--- compute (l0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+522192,int_stack+115236,int_stack+105786,45);
 /*--- compute (l0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+550542,int_stack+522192,int_stack+636852,45);
 /*--- compute (l0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+1010397,int_stack+550542,int_stack+662502,45);
 /*--- compute (l0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+522192,int_stack+1010397,int_stack+941547,45);
 /*--- compute (l0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+872022,int_stack+522192,int_stack+0,45);
 /*--- compute (l0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+522192,int_stack+872022,int_stack+1291332,45);
 /*--- compute (l0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+872022,int_stack+522192,int_stack+210936,45);
 /*--- compute (l0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+522192,int_stack+872022,int_stack+1404732,45);
 /*--- compute (l0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+872022,int_stack+522192,int_stack+1552152,45);
 /*--- compute (l0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+1065072,int_stack+872022,int_stack+708672,45);
 /*--- compute (kp|nn) ---*/
 hrr1_build_kp(Libint->AB,int_stack+522192,int_stack+1065072,int_stack+365376,4356);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+992640,int_stack+129261,int_stack+125631,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1003530,int_stack+133551,int_stack+129261,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1016400,int_stack+1003530,int_stack+992640,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1038180,int_stack+138556,int_stack+133551,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1261092,int_stack+1038180,int_stack+1003530,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1286832,int_stack+1261092,int_stack+1016400,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+992640,int_stack+144331,int_stack+138556,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1323132,int_stack+992640,int_stack+1038180,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1009965,int_stack+1323132,int_stack+1261092,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1353162,int_stack+1009965,int_stack+1286832,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1261092,int_stack+150931,int_stack+144331,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1280892,int_stack+1261092,int_stack+992640,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1407612,int_stack+1280892,int_stack+1323132,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1457662,int_stack+1407612,int_stack+1009965,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1522012,int_stack+1457662,int_stack+1353162,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+992640,int_stack+158411,int_stack+150931,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1015080,int_stack+992640,int_stack+1261092,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1315542,int_stack+1015080,int_stack+1280892,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1598242,int_stack+1315542,int_stack+1407612,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+210936,int_stack+1598242,int_stack+1457662,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1373292,int_stack+210936,int_stack+1522012,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1261092,int_stack+166826,int_stack+158411,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1474932,int_stack+1261092,int_stack+992640,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1519812,int_stack+1474932,int_stack+1015080,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+301026,int_stack+1519812,int_stack+1315542,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+387651,int_stack+301026,int_stack+1598242,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1585812,int_stack+387651,int_stack+210936,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+1585812,int_stack+1373292,55);
 /*--- compute (m0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+210936,int_stack+176231,int_stack+166826,55);
 /*--- compute (m0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+239151,int_stack+210936,int_stack+1261092,55);
 /*--- compute (m0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1261092,int_stack+239151,int_stack+1474932,55);
 /*--- compute (m0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1335892,int_stack+1261092,int_stack+1519812,55);
 /*--- compute (m0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1434892,int_stack+1335892,int_stack+301026,55);
 /*--- compute (m0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1705932,int_stack+1434892,int_stack+387651,55);
 /*--- compute (m0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+289641,int_stack+1705932,int_stack+1585812,55);
 /*--- compute (m0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1846072,int_stack+289641,int_stack+0,55);
 /*--- compute (m0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+0,int_stack+186681,int_stack+176231,55);
 /*--- compute (m0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+31350,int_stack+0,int_stack+210936,55);
 /*--- compute (m0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+87780,int_stack+31350,int_stack+239151,55);
 /*--- compute (m0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+1556167,int_stack+87780,int_stack+1261092,55);
 /*--- compute (m0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+2009422,int_stack+1556167,int_stack+1335892,55);
 /*--- compute (m0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1261092,int_stack+2009422,int_stack+1434892,55);
 /*--- compute (m0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+2148022,int_stack+1261092,int_stack+1705932,55);
 /*--- compute (m0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+2328202,int_stack+2148022,int_stack+289641,55);
 /*--- compute (m0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+210936,int_stack+2328202,int_stack+1846072,55);
 /*--- compute (m0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+1422792,int_stack+198231,int_stack+186681,55);
 /*--- compute (m0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+1457442,int_stack+1422792,int_stack+0,55);
 /*--- compute (m0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+410586,int_stack+1457442,int_stack+31350,55);
 /*--- compute (m0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+1422792,int_stack+410586,int_stack+87780,55);
 /*--- compute (m0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+0,int_stack+1422792,int_stack+1556167,55);
 /*--- compute (m0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+1422792,int_stack+0,int_stack+2009422,55);
 /*--- compute (m0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+0,int_stack+1422792,int_stack+1261092,55);
 /*--- compute (m0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+1261092,int_stack+0,int_stack+2148022,55);
 /*--- compute (m0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+1486317,int_stack+1261092,int_stack+2328202,55);
 /*--- compute (m0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+1722267,int_stack+1486317,int_stack+210936,55);
 /*--- compute (lp|nn) ---*/
 hrr1_build_lp(Libint->AB,int_stack+1961847,int_stack+1722267,int_stack+1065072,4356);
 /*--- compute (kd|nn) ---*/
 hrr1_build_kd(Libint->AB,int_stack+992640,int_stack+1961847,int_stack+522192,4356);
 return int_stack+992640;}
