#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kgmk(Libint_t*, prim_data*);

  /* Computes quartets of (kg|mk) integrals */

REALTYPE *hrr_order_kgmk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][9] = int_stack + 0;
 Libint->vrr_classes[7][10] = int_stack + 1980;
 Libint->vrr_classes[7][11] = int_stack + 4356;
 Libint->vrr_classes[7][12] = int_stack + 7164;
 Libint->vrr_classes[7][13] = int_stack + 10440;
 Libint->vrr_classes[7][14] = int_stack + 14220;
 Libint->vrr_classes[7][15] = int_stack + 18540;
 Libint->vrr_classes[7][16] = int_stack + 23436;
 Libint->vrr_classes[8][9] = int_stack + 28944;
 Libint->vrr_classes[8][10] = int_stack + 31419;
 Libint->vrr_classes[8][11] = int_stack + 34389;
 Libint->vrr_classes[8][12] = int_stack + 37899;
 Libint->vrr_classes[8][13] = int_stack + 41994;
 Libint->vrr_classes[8][14] = int_stack + 46719;
 Libint->vrr_classes[8][15] = int_stack + 52119;
 Libint->vrr_classes[8][16] = int_stack + 58239;
 Libint->vrr_classes[9][9] = int_stack + 65124;
 Libint->vrr_classes[9][10] = int_stack + 68149;
 Libint->vrr_classes[9][11] = int_stack + 71779;
 Libint->vrr_classes[9][12] = int_stack + 76069;
 Libint->vrr_classes[9][13] = int_stack + 81074;
 Libint->vrr_classes[9][14] = int_stack + 86849;
 Libint->vrr_classes[9][15] = int_stack + 93449;
 Libint->vrr_classes[9][16] = int_stack + 100929;
 Libint->vrr_classes[10][9] = int_stack + 109344;
 Libint->vrr_classes[10][10] = int_stack + 112974;
 Libint->vrr_classes[10][11] = int_stack + 117330;
 Libint->vrr_classes[10][12] = int_stack + 122478;
 Libint->vrr_classes[10][13] = int_stack + 128484;
 Libint->vrr_classes[10][14] = int_stack + 135414;
 Libint->vrr_classes[10][15] = int_stack + 143334;
 Libint->vrr_classes[10][16] = int_stack + 152310;
 Libint->vrr_classes[11][9] = int_stack + 162408;
 Libint->vrr_classes[11][10] = int_stack + 166698;
 Libint->vrr_classes[11][11] = int_stack + 171846;
 Libint->vrr_classes[11][12] = int_stack + 177930;
 Libint->vrr_classes[11][13] = int_stack + 185028;
 Libint->vrr_classes[11][14] = int_stack + 193218;
 Libint->vrr_classes[11][15] = int_stack + 202578;
 Libint->vrr_classes[11][16] = int_stack + 213186;
 memset(int_stack,0,225120*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 225120;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kgmk(Libint, Data);
   Data++;
 }
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+225120,int_stack+1980,int_stack+0,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+231060,int_stack+4356,int_stack+1980,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+238188,int_stack+231060,int_stack+225120,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+250068,int_stack+7164,int_stack+4356,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+258492,int_stack+250068,int_stack+231060,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+272748,int_stack+258492,int_stack+238188,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+225120,int_stack+10440,int_stack+7164,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+292548,int_stack+225120,int_stack+250068,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+309396,int_stack+292548,int_stack+258492,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+234948,int_stack+309396,int_stack+272748,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+264648,int_stack+14220,int_stack+10440,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+333156,int_stack+264648,int_stack+225120,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+352812,int_stack+333156,int_stack+292548,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+380892,int_stack+352812,int_stack+309396,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+275988,int_stack+380892,int_stack+234948,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+225120,int_stack+18540,int_stack+14220,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+238080,int_stack+225120,int_stack+264648,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+416532,int_stack+238080,int_stack+333156,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+449292,int_stack+416532,int_stack+352812,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+317568,int_stack+449292,int_stack+380892,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+491412,int_stack+317568,int_stack+275988,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+260760,int_stack+23436,int_stack+18540,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+275448,int_stack+260760,int_stack+225120,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+367464,int_stack+275448,int_stack+238080,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+225120,int_stack+367464,int_stack+416532,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+367464,int_stack+225120,int_stack+449292,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+225120,int_stack+367464,int_stack+317568,36);
 /*--- compute (k0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+291648,int_stack+225120,int_stack+491412,36);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+225120,int_stack+31419,int_stack+28944,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+232545,int_stack+34389,int_stack+31419,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+241455,int_stack+232545,int_stack+225120,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+256305,int_stack+37899,int_stack+34389,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+266835,int_stack+256305,int_stack+232545,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+362928,int_stack+266835,int_stack+241455,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+225120,int_stack+41994,int_stack+37899,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+387678,int_stack+225120,int_stack+256305,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+408738,int_stack+387678,int_stack+266835,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+237405,int_stack+408738,int_stack+362928,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+362928,int_stack+46719,int_stack+41994,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+438438,int_stack+362928,int_stack+225120,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+463008,int_stack+438438,int_stack+387678,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+498108,int_stack+463008,int_stack+408738,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+377103,int_stack+498108,int_stack+237405,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+225120,int_stack+52119,int_stack+46719,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+241320,int_stack+225120,int_stack+362928,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+241320,int_stack+438438,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+542658,int_stack+0,int_stack+463008,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+429078,int_stack+542658,int_stack+498108,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+595308,int_stack+429078,int_stack+377103,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+362928,int_stack+58239,int_stack+52119,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+381288,int_stack+362928,int_stack+225120,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+491448,int_stack+381288,int_stack+241320,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+225120,int_stack+491448,int_stack+0,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+664608,int_stack+225120,int_stack+542658,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+491448,int_stack+664608,int_stack+429078,45);
 /*--- compute (l0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+362928,int_stack+491448,int_stack+595308,45);
 /*--- compute (kp|mk) ---*/
 hrr1_build_kp(Libint->AB,int_stack+452028,int_stack+362928,int_stack+291648,1980);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+225120,int_stack+68149,int_stack+65124,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+234195,int_stack+71779,int_stack+68149,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+245085,int_stack+234195,int_stack+225120,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+263235,int_stack+76069,int_stack+71779,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+276105,int_stack+263235,int_stack+234195,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+297885,int_stack+276105,int_stack+245085,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+225120,int_stack+81074,int_stack+76069,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+328135,int_stack+225120,int_stack+263235,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+328135,int_stack+276105,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+240135,int_stack+0,int_stack+297885,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+285510,int_stack+86849,int_stack+81074,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+36300,int_stack+285510,int_stack+225120,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+665868,int_stack+36300,int_stack+328135,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+302835,int_stack+665868,int_stack+0,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+708768,int_stack+302835,int_stack+240135,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+93449,int_stack+86849,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+225120,int_stack+0,int_stack+285510,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+772293,int_stack+225120,int_stack+36300,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+19800,int_stack+772293,int_stack+665868,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+822343,int_stack+19800,int_stack+302835,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+259770,int_stack+822343,int_stack+708768,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+665868,int_stack+100929,int_stack+93449,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+688308,int_stack+665868,int_stack+0,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+898573,int_stack+688308,int_stack+225120,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+665868,int_stack+898573,int_stack+772293,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+898573,int_stack+665868,int_stack+19800,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+665868,int_stack+898573,int_stack+822343,55);
 /*--- compute (m0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+767508,int_stack+665868,int_stack+259770,55);
 /*--- compute (lp|mk) ---*/
 hrr1_build_lp(Libint->AB,int_stack+876408,int_stack+767508,int_stack+362928,1980);
 /*--- compute (kd|mk) ---*/
 hrr1_build_kd(Libint->AB,int_stack+1143708,int_stack+876408,int_stack+452028,1980);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+225120,int_stack+112974,int_stack+109344,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+236010,int_stack+117330,int_stack+112974,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+249078,int_stack+236010,int_stack+225120,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+270858,int_stack+122478,int_stack+117330,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+286302,int_stack+270858,int_stack+236010,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+312438,int_stack+286302,int_stack+249078,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+225120,int_stack+128484,int_stack+122478,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+348738,int_stack+225120,int_stack+270858,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+379626,int_stack+348738,int_stack+286302,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+243138,int_stack+379626,int_stack+312438,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+297588,int_stack+135414,int_stack+128484,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+423186,int_stack+297588,int_stack+225120,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+459222,int_stack+423186,int_stack+348738,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+510702,int_stack+459222,int_stack+379626,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+318378,int_stack+510702,int_stack+243138,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+225120,int_stack+143334,int_stack+135414,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+248880,int_stack+225120,int_stack+297588,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+576042,int_stack+248880,int_stack+423186,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+636102,int_stack+576042,int_stack+459222,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+394608,int_stack+636102,int_stack+510702,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+394608,int_stack+318378,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+290460,int_stack+152310,int_stack+143334,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+317388,int_stack+290460,int_stack+225120,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+486084,int_stack+317388,int_stack+248880,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+225120,int_stack+486084,int_stack+576042,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+486084,int_stack+225120,int_stack+636102,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+225120,int_stack+486084,int_stack+394608,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+347088,int_stack+225120,int_stack+0,66);
 /*--- compute (mp|mk) ---*/
 hrr1_build_mp(Libint->AB,int_stack+1571388,int_stack+347088,int_stack+767508,1980);
 /*--- compute (ld|mk) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1898088,int_stack+1571388,int_stack+876408,1980);
 /*--- compute (kf|mk) ---*/
 hrr1_build_kf(Libint->AB,int_stack+2432688,int_stack+1898088,int_stack+1143708,1980);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+166698,int_stack+162408,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+12870,int_stack+171846,int_stack+166698,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+28314,int_stack+12870,int_stack+0,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+54054,int_stack+177930,int_stack+171846,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+72306,int_stack+54054,int_stack+12870,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+103194,int_stack+72306,int_stack+28314,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+185028,int_stack+177930,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+146094,int_stack+0,int_stack+54054,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+225120,int_stack+146094,int_stack+72306,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+21294,int_stack+225120,int_stack+103194,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+85644,int_stack+193218,int_stack+185028,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+276600,int_stack+85644,int_stack+0,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+477768,int_stack+276600,int_stack+146094,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+110214,int_stack+477768,int_stack+225120,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+538608,int_stack+110214,int_stack+21294,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+225120,int_stack+202578,int_stack+193218,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+0,int_stack+225120,int_stack+85644,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+628698,int_stack+0,int_stack+276600,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+253200,int_stack+628698,int_stack+477768,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+699678,int_stack+253200,int_stack+110214,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+49140,int_stack+699678,int_stack+538608,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+477768,int_stack+213186,int_stack+202578,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+509592,int_stack+477768,int_stack+225120,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+169260,int_stack+509592,int_stack+0,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+477768,int_stack+169260,int_stack+628698,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+807786,int_stack+477768,int_stack+253200,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+477768,int_stack+807786,int_stack+699678,78);
 /*--- compute (o0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+621912,int_stack+477768,int_stack+49140,78);
 /*--- compute (np|mk) ---*/
 hrr1_build_np(Libint->AB,int_stack+776352,int_stack+621912,int_stack+347088,1980);
 /*--- compute (md|mk) ---*/
 hrr1_build_md(Libint->AB,int_stack+0,int_stack+776352,int_stack+1571388,1980);
 /*--- compute (lf|mk) ---*/
 hrr1_build_lf(Libint->AB,int_stack+653400,int_stack+0,int_stack+1898088,1980);
 /*--- compute (kg|mk) ---*/
 hrr1_build_kg(Libint->AB,int_stack+3145488,int_stack+653400,int_stack+2432688,1980);
 return int_stack+3145488;}
