#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kilk(Libint_t*, prim_data*);

  /* Computes quartets of (ki|lk) integrals */

REALTYPE *hrr_order_kilk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][8] = int_stack + 0;
 Libint->vrr_classes[7][9] = int_stack + 1620;
 Libint->vrr_classes[7][10] = int_stack + 3600;
 Libint->vrr_classes[7][11] = int_stack + 5976;
 Libint->vrr_classes[7][12] = int_stack + 8784;
 Libint->vrr_classes[7][13] = int_stack + 12060;
 Libint->vrr_classes[7][14] = int_stack + 15840;
 Libint->vrr_classes[7][15] = int_stack + 20160;
 Libint->vrr_classes[8][8] = int_stack + 25056;
 Libint->vrr_classes[8][9] = int_stack + 27081;
 Libint->vrr_classes[8][10] = int_stack + 29556;
 Libint->vrr_classes[8][11] = int_stack + 32526;
 Libint->vrr_classes[8][12] = int_stack + 36036;
 Libint->vrr_classes[8][13] = int_stack + 40131;
 Libint->vrr_classes[8][14] = int_stack + 44856;
 Libint->vrr_classes[8][15] = int_stack + 50256;
 Libint->vrr_classes[9][8] = int_stack + 56376;
 Libint->vrr_classes[9][9] = int_stack + 58851;
 Libint->vrr_classes[9][10] = int_stack + 61876;
 Libint->vrr_classes[9][11] = int_stack + 65506;
 Libint->vrr_classes[9][12] = int_stack + 69796;
 Libint->vrr_classes[9][13] = int_stack + 74801;
 Libint->vrr_classes[9][14] = int_stack + 80576;
 Libint->vrr_classes[9][15] = int_stack + 87176;
 Libint->vrr_classes[10][8] = int_stack + 94656;
 Libint->vrr_classes[10][9] = int_stack + 97626;
 Libint->vrr_classes[10][10] = int_stack + 101256;
 Libint->vrr_classes[10][11] = int_stack + 105612;
 Libint->vrr_classes[10][12] = int_stack + 110760;
 Libint->vrr_classes[10][13] = int_stack + 116766;
 Libint->vrr_classes[10][14] = int_stack + 123696;
 Libint->vrr_classes[10][15] = int_stack + 131616;
 Libint->vrr_classes[11][8] = int_stack + 140592;
 Libint->vrr_classes[11][9] = int_stack + 144102;
 Libint->vrr_classes[11][10] = int_stack + 148392;
 Libint->vrr_classes[11][11] = int_stack + 153540;
 Libint->vrr_classes[11][12] = int_stack + 159624;
 Libint->vrr_classes[11][13] = int_stack + 166722;
 Libint->vrr_classes[11][14] = int_stack + 174912;
 Libint->vrr_classes[11][15] = int_stack + 184272;
 Libint->vrr_classes[12][8] = int_stack + 194880;
 Libint->vrr_classes[12][9] = int_stack + 198975;
 Libint->vrr_classes[12][10] = int_stack + 203980;
 Libint->vrr_classes[12][11] = int_stack + 209986;
 Libint->vrr_classes[12][12] = int_stack + 217084;
 Libint->vrr_classes[12][13] = int_stack + 225365;
 Libint->vrr_classes[12][14] = int_stack + 234920;
 Libint->vrr_classes[12][15] = int_stack + 245840;
 Libint->vrr_classes[13][8] = int_stack + 258216;
 Libint->vrr_classes[13][9] = int_stack + 262941;
 Libint->vrr_classes[13][10] = int_stack + 268716;
 Libint->vrr_classes[13][11] = int_stack + 275646;
 Libint->vrr_classes[13][12] = int_stack + 283836;
 Libint->vrr_classes[13][13] = int_stack + 293391;
 Libint->vrr_classes[13][14] = int_stack + 304416;
 Libint->vrr_classes[13][15] = int_stack + 317016;
 memset(int_stack,0,331296*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 331296;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kilk(Libint, Data);
   Data++;
 }
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+331296,int_stack+1620,int_stack+0,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+336156,int_stack+3600,int_stack+1620,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+342096,int_stack+336156,int_stack+331296,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+351816,int_stack+5976,int_stack+3600,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+358944,int_stack+351816,int_stack+336156,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+370824,int_stack+358944,int_stack+342096,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+331296,int_stack+8784,int_stack+5976,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+387024,int_stack+331296,int_stack+351816,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+401280,int_stack+387024,int_stack+358944,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+339720,int_stack+401280,int_stack+370824,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+364020,int_stack+12060,int_stack+8784,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+421080,int_stack+364020,int_stack+331296,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+437928,int_stack+421080,int_stack+387024,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+461688,int_stack+437928,int_stack+401280,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+373848,int_stack+461688,int_stack+339720,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+331296,int_stack+15840,int_stack+12060,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+342636,int_stack+331296,int_stack+364020,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+491388,int_stack+342636,int_stack+421080,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+519468,int_stack+491388,int_stack+437928,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+407868,int_stack+519468,int_stack+461688,36);
 /*--- compute (k0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+555108,int_stack+407868,int_stack+373848,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+362292,int_stack+20160,int_stack+15840,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+375252,int_stack+362292,int_stack+331296,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+449448,int_stack+375252,int_stack+342636,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+331296,int_stack+449448,int_stack+491388,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+449448,int_stack+331296,int_stack+519468,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+331296,int_stack+449448,int_stack+407868,36);
 /*--- compute (k0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+386736,int_stack+331296,int_stack+555108,36);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+331296,int_stack+27081,int_stack+25056,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+337371,int_stack+29556,int_stack+27081,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+344796,int_stack+337371,int_stack+331296,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+356946,int_stack+32526,int_stack+29556,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+365856,int_stack+356946,int_stack+337371,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+445056,int_stack+365856,int_stack+344796,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+331296,int_stack+36036,int_stack+32526,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+465306,int_stack+331296,int_stack+356946,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+483126,int_stack+465306,int_stack+365856,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+341826,int_stack+483126,int_stack+445056,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+445056,int_stack+40131,int_stack+36036,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+507876,int_stack+445056,int_stack+331296,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+528936,int_stack+507876,int_stack+465306,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+558636,int_stack+528936,int_stack+483126,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+457341,int_stack+558636,int_stack+341826,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+331296,int_stack+44856,int_stack+40131,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+345471,int_stack+331296,int_stack+445056,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+345471,int_stack+507876,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+595761,int_stack+0,int_stack+528936,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+499866,int_stack+595761,int_stack+558636,45);
 /*--- compute (l0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+640311,int_stack+499866,int_stack+457341,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+445056,int_stack+50256,int_stack+44856,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+461256,int_stack+445056,int_stack+331296,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+551841,int_stack+461256,int_stack+345471,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+331296,int_stack+551841,int_stack+0,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+697011,int_stack+331296,int_stack+595761,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+551841,int_stack+697011,int_stack+499866,45);
 /*--- compute (l0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+445056,int_stack+551841,int_stack+640311,45);
 /*--- compute (kp|lk) ---*/
 hrr1_build_kp(Libint->AB,int_stack+517956,int_stack+445056,int_stack+386736,1620);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+331296,int_stack+58851,int_stack+56376,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+338721,int_stack+61876,int_stack+58851,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+347796,int_stack+338721,int_stack+331296,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+362646,int_stack+65506,int_stack+61876,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+373536,int_stack+362646,int_stack+338721,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+391686,int_stack+373536,int_stack+347796,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+331296,int_stack+69796,int_stack+65506,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+416436,int_stack+331296,int_stack+362646,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+416436,int_stack+373536,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+344166,int_stack+0,int_stack+391686,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+381291,int_stack+74801,int_stack+69796,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+30250,int_stack+381291,int_stack+331296,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+692916,int_stack+30250,int_stack+416436,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+396306,int_stack+692916,int_stack+0,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+729216,int_stack+396306,int_stack+344166,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+80576,int_stack+74801,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+331296,int_stack+0,int_stack+381291,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+781191,int_stack+331296,int_stack+30250,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+17325,int_stack+781191,int_stack+692916,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+824091,int_stack+17325,int_stack+396306,55);
 /*--- compute (m0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+361326,int_stack+824091,int_stack+729216,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+692916,int_stack+87176,int_stack+80576,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+712716,int_stack+692916,int_stack+0,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+887616,int_stack+712716,int_stack+331296,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+692916,int_stack+887616,int_stack+781191,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+887616,int_stack+692916,int_stack+17325,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+692916,int_stack+887616,int_stack+824091,55);
 /*--- compute (m0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+777616,int_stack+692916,int_stack+361326,55);
 /*--- compute (lp|lk) ---*/
 hrr1_build_lp(Libint->AB,int_stack+866716,int_stack+777616,int_stack+445056,1620);
 /*--- compute (kd|lk) ---*/
 hrr1_build_kd(Libint->AB,int_stack+1085416,int_stack+866716,int_stack+517956,1620);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+331296,int_stack+97626,int_stack+94656,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+340206,int_stack+101256,int_stack+97626,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+351096,int_stack+340206,int_stack+331296,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+368916,int_stack+105612,int_stack+101256,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+381984,int_stack+368916,int_stack+340206,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+403764,int_stack+381984,int_stack+351096,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+331296,int_stack+110760,int_stack+105612,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+433464,int_stack+331296,int_stack+368916,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+459600,int_stack+433464,int_stack+381984,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+346740,int_stack+459600,int_stack+403764,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+391290,int_stack+116766,int_stack+110760,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+495900,int_stack+391290,int_stack+331296,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+526788,int_stack+495900,int_stack+433464,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+570348,int_stack+526788,int_stack+459600,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+409308,int_stack+570348,int_stack+346740,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+331296,int_stack+123696,int_stack+116766,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+352086,int_stack+331296,int_stack+391290,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+624798,int_stack+352086,int_stack+495900,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+676278,int_stack+624798,int_stack+526788,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+471678,int_stack+676278,int_stack+570348,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+471678,int_stack+409308,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+388122,int_stack+131616,int_stack+123696,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+411882,int_stack+388122,int_stack+331296,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+547908,int_stack+411882,int_stack+352086,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+331296,int_stack+547908,int_stack+624798,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+547908,int_stack+331296,int_stack+676278,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+331296,int_stack+547908,int_stack+471678,66);
 /*--- compute (n0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+432936,int_stack+331296,int_stack+0,66);
 /*--- compute (mp|lk) ---*/
 hrr1_build_mp(Libint->AB,int_stack+1435336,int_stack+432936,int_stack+777616,1620);
 /*--- compute (ld|lk) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1702636,int_stack+1435336,int_stack+866716,1620);
 /*--- compute (kf|lk) ---*/
 hrr1_build_kf(Libint->AB,int_stack+2140036,int_stack+1702636,int_stack+1085416,1620);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+144102,int_stack+140592,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+10530,int_stack+148392,int_stack+144102,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+23400,int_stack+10530,int_stack+0,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+44460,int_stack+153540,int_stack+148392,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+59904,int_stack+44460,int_stack+10530,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+85644,int_stack+59904,int_stack+23400,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+159624,int_stack+153540,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+120744,int_stack+0,int_stack+44460,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+331296,int_stack+120744,int_stack+59904,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+18252,int_stack+331296,int_stack+85644,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+70902,int_stack+166722,int_stack+159624,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+374196,int_stack+70902,int_stack+0,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+539856,int_stack+374196,int_stack+120744,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+92196,int_stack+539856,int_stack+331296,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+591336,int_stack+92196,int_stack+18252,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+331296,int_stack+174912,int_stack+166722,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+331296,int_stack+70902,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+665046,int_stack+0,int_stack+374196,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+725886,int_stack+665046,int_stack+539856,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+803106,int_stack+725886,int_stack+92196,78);
 /*--- compute (o0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+42588,int_stack+803106,int_stack+591336,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+539856,int_stack+184272,int_stack+174912,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+567936,int_stack+539856,int_stack+331296,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+331296,int_stack+567936,int_stack+0,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+539856,int_stack+331296,int_stack+665046,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+893196,int_stack+539856,int_stack+725886,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+539856,int_stack+893196,int_stack+803106,78);
 /*--- compute (o0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+659976,int_stack+539856,int_stack+42588,78);
 /*--- compute (np|lk) ---*/
 hrr1_build_np(Libint->AB,int_stack+786336,int_stack+659976,int_stack+432936,1620);
 /*--- compute (md|lk) ---*/
 hrr1_build_md(Libint->AB,int_stack+2723236,int_stack+786336,int_stack+1435336,1620);
 /*--- compute (lf|lk) ---*/
 hrr1_build_lf(Libint->AB,int_stack+3257836,int_stack+2723236,int_stack+1702636,1620);
 /*--- compute (kg|lk) ---*/
 hrr1_build_kg(Libint->AB,int_stack+1107096,int_stack+3257836,int_stack+2140036,1620);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+1981896,int_stack+198975,int_stack+194880,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+1994181,int_stack+203980,int_stack+198975,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+2009196,int_stack+1994181,int_stack+1981896,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+2033766,int_stack+209986,int_stack+203980,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+2051784,int_stack+2033766,int_stack+1994181,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+2081814,int_stack+2051784,int_stack+2009196,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1981896,int_stack+217084,int_stack+209986,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+2122764,int_stack+1981896,int_stack+2033766,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+2158800,int_stack+2122764,int_stack+2051784,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+2003190,int_stack+2158800,int_stack+2081814,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+2064615,int_stack+225365,int_stack+217084,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+2208850,int_stack+2064615,int_stack+1981896,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+2251438,int_stack+2208850,int_stack+2122764,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+2311498,int_stack+2251438,int_stack+2158800,91);
 /*--- compute (q0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+2089458,int_stack+2311498,int_stack+2003190,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1981896,int_stack+234920,int_stack+225365,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+2010561,int_stack+1981896,int_stack+2064615,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+2386573,int_stack+2010561,int_stack+2208850,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+2457553,int_stack+2386573,int_stack+2251438,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+2175453,int_stack+2457553,int_stack+2311498,91);
 /*--- compute (q0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+2547643,int_stack+2175453,int_stack+2089458,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+2060247,int_stack+245840,int_stack+234920,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+2093007,int_stack+2060247,int_stack+1981896,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+2280558,int_stack+2093007,int_stack+2010561,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1981896,int_stack+2280558,int_stack+2386573,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2280558,int_stack+1981896,int_stack+2457553,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1981896,int_stack+2280558,int_stack+2175453,91);
 /*--- compute (q0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+2122036,int_stack+1981896,int_stack+2547643,91);
 /*--- compute (op|lk) ---*/
 hrr1_build_op(Libint->AB,int_stack+2269456,int_stack+2122036,int_stack+659976,1620);
 /*--- compute (nd|lk) ---*/
 hrr1_build_nd(Libint->AB,int_stack+3986836,int_stack+2269456,int_stack+786336,1620);
 /*--- compute (mf|lk) ---*/
 hrr1_build_mf(Libint->AB,int_stack+4628356,int_stack+3986836,int_stack+2723236,1620);
 /*--- compute (lg|lk) ---*/
 hrr1_build_lg(Libint->AB,int_stack+5519356,int_stack+4628356,int_stack+3257836,1620);
 /*--- compute (kh|lk) ---*/
 hrr1_build_kh(Libint->AB,int_stack+2648536,int_stack+5519356,int_stack+1107096,1620);
 /*--- compute (r0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+3873256,int_stack+262941,int_stack+258216,105);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+3887431,int_stack+268716,int_stack+262941,105);
 /*--- compute (r0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+3904756,int_stack+3887431,int_stack+3873256,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+3933106,int_stack+275646,int_stack+268716,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+331296,int_stack+3933106,int_stack+3887431,105);
 /*--- compute (r0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+365946,int_stack+331296,int_stack+3904756,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+3873256,int_stack+283836,int_stack+275646,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+413196,int_stack+3873256,int_stack+3933106,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+3897826,int_stack+413196,int_stack+331296,105);
 /*--- compute (r0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+454776,int_stack+3897826,int_stack+365946,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+331296,int_stack+293391,int_stack+283836,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+359961,int_stack+331296,int_stack+3873256,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+525651,int_stack+359961,int_stack+413196,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+594951,int_stack+525651,int_stack+3897826,105);
 /*--- compute (r0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+3873256,int_stack+594951,int_stack+454776,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+409101,int_stack+304416,int_stack+293391,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+442176,int_stack+409101,int_stack+331296,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+681576,int_stack+442176,int_stack+359961,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+763476,int_stack+681576,int_stack+525651,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+867426,int_stack+763476,int_stack+594951,105);
 /*--- compute (r0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+499506,int_stack+867426,int_stack+3873256,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+3873256,int_stack+317016,int_stack+304416,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+3911056,int_stack+3873256,int_stack+409101,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+988701,int_stack+3911056,int_stack+442176,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1084251,int_stack+988701,int_stack+681576,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1207101,int_stack+1084251,int_stack+763476,105);
 /*--- compute (r0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+988701,int_stack+1207101,int_stack+867426,105);
 /*--- compute (r0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+1150401,int_stack+988701,int_stack+499506,105);
 /*--- compute (qp|lk) ---*/
 hrr1_build_qp(Libint->AB,int_stack+1320501,int_stack+1150401,int_stack+2122036,1620);
 /*--- compute (od|lk) ---*/
 hrr1_build_od(Libint->AB,int_stack+0,int_stack+1320501,int_stack+2269456,1620);
 /*--- compute (nf|lk) ---*/
 hrr1_build_nf(Libint->AB,int_stack+758160,int_stack+0,int_stack+3986836,1620);
 /*--- compute (mg|lk) ---*/
 hrr1_build_mg(Libint->AB,int_stack+6612856,int_stack+758160,int_stack+4628356,1620);
 /*--- compute (lh|lk) ---*/
 hrr1_build_lh(Libint->AB,int_stack+0,int_stack+6612856,int_stack+5519356,1620);
 /*--- compute (ki|lk) ---*/
 hrr1_build_ki(Libint->AB,int_stack+3873256,int_stack+0,int_stack+2648536,1620);
 return int_stack+3873256;}
