#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_l0if(Libint_t*, prim_data*);

  /* Computes quartets of (l0|if) integrals */

REALTYPE *hrr_order_l0if(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][6] = int_stack + 0;
 Libint->vrr_classes[8][7] = int_stack + 1260;
 Libint->vrr_classes[8][8] = int_stack + 2880;
 Libint->vrr_classes[8][9] = int_stack + 4905;
 memset(int_stack,0,7380*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 7380;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_l0if(Libint, Data);
   Data++;
 }
 /*--- compute (l0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+7380,int_stack+1260,int_stack+0,45);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+11160,int_stack+2880,int_stack+1260,45);
 /*--- compute (l0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+16020,int_stack+11160,int_stack+7380,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+23580,int_stack+4905,int_stack+2880,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+0,int_stack+23580,int_stack+11160,45);
 /*--- compute (l0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+23580,int_stack+0,int_stack+16020,45);
 return int_stack+23580;}
