#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lgni(Libint_t*, prim_data*);

  /* Computes quartets of (lg|ni) integrals */

REALTYPE *hrr_order_lgni(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][10] = int_stack + 0;
 Libint->vrr_classes[8][11] = int_stack + 2970;
 Libint->vrr_classes[8][12] = int_stack + 6480;
 Libint->vrr_classes[8][13] = int_stack + 10575;
 Libint->vrr_classes[8][14] = int_stack + 15300;
 Libint->vrr_classes[8][15] = int_stack + 20700;
 Libint->vrr_classes[8][16] = int_stack + 26820;
 Libint->vrr_classes[9][10] = int_stack + 33705;
 Libint->vrr_classes[9][11] = int_stack + 37335;
 Libint->vrr_classes[9][12] = int_stack + 41625;
 Libint->vrr_classes[9][13] = int_stack + 46630;
 Libint->vrr_classes[9][14] = int_stack + 52405;
 Libint->vrr_classes[9][15] = int_stack + 59005;
 Libint->vrr_classes[9][16] = int_stack + 66485;
 Libint->vrr_classes[10][10] = int_stack + 74900;
 Libint->vrr_classes[10][11] = int_stack + 79256;
 Libint->vrr_classes[10][12] = int_stack + 84404;
 Libint->vrr_classes[10][13] = int_stack + 90410;
 Libint->vrr_classes[10][14] = int_stack + 97340;
 Libint->vrr_classes[10][15] = int_stack + 105260;
 Libint->vrr_classes[10][16] = int_stack + 114236;
 Libint->vrr_classes[11][10] = int_stack + 124334;
 Libint->vrr_classes[11][11] = int_stack + 129482;
 Libint->vrr_classes[11][12] = int_stack + 135566;
 Libint->vrr_classes[11][13] = int_stack + 142664;
 Libint->vrr_classes[11][14] = int_stack + 150854;
 Libint->vrr_classes[11][15] = int_stack + 160214;
 Libint->vrr_classes[11][16] = int_stack + 170822;
 Libint->vrr_classes[12][10] = int_stack + 182756;
 Libint->vrr_classes[12][11] = int_stack + 188762;
 Libint->vrr_classes[12][12] = int_stack + 195860;
 Libint->vrr_classes[12][13] = int_stack + 204141;
 Libint->vrr_classes[12][14] = int_stack + 213696;
 Libint->vrr_classes[12][15] = int_stack + 224616;
 Libint->vrr_classes[12][16] = int_stack + 236992;
 memset(int_stack,0,250915*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 250915;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lgni(Libint, Data);
   Data++;
 }
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+250915,int_stack+2970,int_stack+0,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+259825,int_stack+6480,int_stack+2970,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+270355,int_stack+259825,int_stack+250915,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+288175,int_stack+10575,int_stack+6480,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+300460,int_stack+288175,int_stack+259825,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+321520,int_stack+300460,int_stack+270355,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+250915,int_stack+15300,int_stack+10575,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+351220,int_stack+250915,int_stack+288175,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+265090,int_stack+351220,int_stack+300460,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+375790,int_stack+265090,int_stack+321520,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+300190,int_stack+20700,int_stack+15300,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+316390,int_stack+300190,int_stack+250915,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+420340,int_stack+316390,int_stack+351220,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+461290,int_stack+420340,int_stack+265090,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+513940,int_stack+461290,int_stack+375790,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+250915,int_stack+26820,int_stack+20700,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+344740,int_stack+250915,int_stack+300190,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+250915,int_stack+344740,int_stack+316390,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+298165,int_stack+250915,int_stack+420340,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+359590,int_stack+298165,int_stack+461290,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+250915,int_stack+359590,int_stack+513940,45);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+334075,int_stack+37335,int_stack+33705,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+344965,int_stack+41625,int_stack+37335,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+357835,int_stack+344965,int_stack+334075,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+379615,int_stack+46630,int_stack+41625,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+394630,int_stack+379615,int_stack+344965,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+420370,int_stack+394630,int_stack+357835,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+334075,int_stack+52405,int_stack+46630,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+456670,int_stack+334075,int_stack+379615,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+351400,int_stack+456670,int_stack+394630,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+486700,int_stack+351400,int_stack+420370,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+394300,int_stack+59005,int_stack+52405,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+414100,int_stack+394300,int_stack+334075,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+414100,int_stack+456670,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+541150,int_stack+0,int_stack+351400,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+605500,int_stack+541150,int_stack+486700,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+334075,int_stack+66485,int_stack+59005,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+448750,int_stack+334075,int_stack+394300,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+334075,int_stack+448750,int_stack+414100,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+391825,int_stack+334075,int_stack+0,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+681730,int_stack+391825,int_stack+541150,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+334075,int_stack+681730,int_stack+605500,55);
 /*--- compute (lp|ni) ---*/
 hrr1_build_lp(Libint->AB,int_stack+435715,int_stack+334075,int_stack+250915,1848);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+250915,int_stack+79256,int_stack+74900,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+263983,int_stack+84404,int_stack+79256,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+279427,int_stack+263983,int_stack+250915,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+305563,int_stack+90410,int_stack+84404,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+305563,int_stack+263983,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+30888,int_stack+0,int_stack+279427,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+250915,int_stack+97340,int_stack+90410,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+685195,int_stack+250915,int_stack+305563,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+271705,int_stack+685195,int_stack+0,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+721231,int_stack+271705,int_stack+30888,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+105260,int_stack+97340,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+23760,int_stack+0,int_stack+250915,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+786571,int_stack+23760,int_stack+685195,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+846631,int_stack+786571,int_stack+271705,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+923851,int_stack+846631,int_stack+721231,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+685195,int_stack+114236,int_stack+105260,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+712123,int_stack+685195,int_stack+0,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+250915,int_stack+712123,int_stack+23760,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+250915,int_stack+786571,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+685195,int_stack+0,int_stack+846631,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+685195,int_stack+923851,66);
 /*--- compute (mp|ni) ---*/
 hrr1_build_mp(Libint->AB,int_stack+685195,int_stack+0,int_stack+334075,1848);
 /*--- compute (ld|ni) ---*/
 hrr1_build_ld(Libint->AB,int_stack+990115,int_stack+685195,int_stack+435715,1848);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+250915,int_stack+129482,int_stack+124334,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+266359,int_stack+135566,int_stack+129482,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+284611,int_stack+266359,int_stack+250915,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+315499,int_stack+142664,int_stack+135566,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+336793,int_stack+315499,int_stack+266359,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+373297,int_stack+336793,int_stack+284611,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+250915,int_stack+150854,int_stack+142664,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+424777,int_stack+250915,int_stack+315499,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+275485,int_stack+424777,int_stack+336793,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+467365,int_stack+275485,int_stack+373297,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+336325,int_stack+160214,int_stack+150854,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+364405,int_stack+336325,int_stack+250915,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+544585,int_stack+364405,int_stack+424777,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1489075,int_stack+544585,int_stack+275485,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1580335,int_stack+1489075,int_stack+467365,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+250915,int_stack+170822,int_stack+160214,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+413545,int_stack+250915,int_stack+336325,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+250915,int_stack+413545,int_stack+364405,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+332815,int_stack+250915,int_stack+544585,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+439285,int_stack+332815,int_stack+1489075,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+250915,int_stack+439285,int_stack+1580335,78);
 /*--- compute (np|ni) ---*/
 hrr1_build_np(Libint->AB,int_stack+1489075,int_stack+250915,int_stack+0,1848);
 /*--- compute (md|ni) ---*/
 hrr1_build_md(Libint->AB,int_stack+1854979,int_stack+1489075,int_stack+685195,1848);
 /*--- compute (lf|ni) ---*/
 hrr1_build_lf(Libint->AB,int_stack+2464819,int_stack+1854979,int_stack+990115,1848);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+188762,int_stack+182756,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+18018,int_stack+195860,int_stack+188762,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+39312,int_stack+18018,int_stack+0,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+75348,int_stack+204141,int_stack+195860,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+100191,int_stack+75348,int_stack+18018,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+142779,int_stack+100191,int_stack+39312,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+213696,int_stack+204141,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+395059,int_stack+0,int_stack+75348,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+28665,int_stack+395059,int_stack+100191,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+444745,int_stack+28665,int_stack+142779,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+99645,int_stack+224616,int_stack+213696,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+132405,int_stack+99645,int_stack+0,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+534835,int_stack+132405,int_stack+395059,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+617645,int_stack+534835,int_stack+28665,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+724115,int_stack+617645,int_stack+444745,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+395059,int_stack+236992,int_stack+224616,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+432187,int_stack+395059,int_stack+99645,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+432187,int_stack+132405,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+395059,int_stack+0,int_stack+534835,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+0,int_stack+395059,int_stack+617645,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+395059,int_stack+0,int_stack+724115,91);
 /*--- compute (op|ni) ---*/
 hrr1_build_op(Libint->AB,int_stack+563227,int_stack+395059,int_stack+250915,1848);
 /*--- compute (nd|ni) ---*/
 hrr1_build_nd(Libint->AB,int_stack+3296419,int_stack+563227,int_stack+1489075,1848);
 /*--- compute (mf|ni) ---*/
 hrr1_build_mf(Libint->AB,int_stack+0,int_stack+3296419,int_stack+1854979,1848);
 /*--- compute (lg|ni) ---*/
 hrr1_build_lg(Libint->AB,int_stack+1016400,int_stack+0,int_stack+2464819,1848);
 return int_stack+1016400;}
