#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lhmi(Libint_t*, prim_data*);

  /* Computes quartets of (lh|mi) integrals */

REALTYPE *hrr_order_lhmi(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][9] = int_stack + 0;
 Libint->vrr_classes[8][10] = int_stack + 2475;
 Libint->vrr_classes[8][11] = int_stack + 5445;
 Libint->vrr_classes[8][12] = int_stack + 8955;
 Libint->vrr_classes[8][13] = int_stack + 13050;
 Libint->vrr_classes[8][14] = int_stack + 17775;
 Libint->vrr_classes[8][15] = int_stack + 23175;
 Libint->vrr_classes[9][9] = int_stack + 29295;
 Libint->vrr_classes[9][10] = int_stack + 32320;
 Libint->vrr_classes[9][11] = int_stack + 35950;
 Libint->vrr_classes[9][12] = int_stack + 40240;
 Libint->vrr_classes[9][13] = int_stack + 45245;
 Libint->vrr_classes[9][14] = int_stack + 51020;
 Libint->vrr_classes[9][15] = int_stack + 57620;
 Libint->vrr_classes[10][9] = int_stack + 65100;
 Libint->vrr_classes[10][10] = int_stack + 68730;
 Libint->vrr_classes[10][11] = int_stack + 73086;
 Libint->vrr_classes[10][12] = int_stack + 78234;
 Libint->vrr_classes[10][13] = int_stack + 84240;
 Libint->vrr_classes[10][14] = int_stack + 91170;
 Libint->vrr_classes[10][15] = int_stack + 99090;
 Libint->vrr_classes[11][9] = int_stack + 108066;
 Libint->vrr_classes[11][10] = int_stack + 112356;
 Libint->vrr_classes[11][11] = int_stack + 117504;
 Libint->vrr_classes[11][12] = int_stack + 123588;
 Libint->vrr_classes[11][13] = int_stack + 130686;
 Libint->vrr_classes[11][14] = int_stack + 138876;
 Libint->vrr_classes[11][15] = int_stack + 148236;
 Libint->vrr_classes[12][9] = int_stack + 158844;
 Libint->vrr_classes[12][10] = int_stack + 163849;
 Libint->vrr_classes[12][11] = int_stack + 169855;
 Libint->vrr_classes[12][12] = int_stack + 176953;
 Libint->vrr_classes[12][13] = int_stack + 185234;
 Libint->vrr_classes[12][14] = int_stack + 194789;
 Libint->vrr_classes[12][15] = int_stack + 205709;
 Libint->vrr_classes[13][9] = int_stack + 218085;
 Libint->vrr_classes[13][10] = int_stack + 223860;
 Libint->vrr_classes[13][11] = int_stack + 230790;
 Libint->vrr_classes[13][12] = int_stack + 238980;
 Libint->vrr_classes[13][13] = int_stack + 248535;
 Libint->vrr_classes[13][14] = int_stack + 259560;
 Libint->vrr_classes[13][15] = int_stack + 272160;
 memset(int_stack,0,286440*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 286440;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lhmi(Libint, Data);
   Data++;
 }
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+286440,int_stack+2475,int_stack+0,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+293865,int_stack+5445,int_stack+2475,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+302775,int_stack+293865,int_stack+286440,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+317625,int_stack+8955,int_stack+5445,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+328155,int_stack+317625,int_stack+293865,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+345975,int_stack+328155,int_stack+302775,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+286440,int_stack+13050,int_stack+8955,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+370725,int_stack+286440,int_stack+317625,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+391785,int_stack+370725,int_stack+328155,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+298725,int_stack+391785,int_stack+345975,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+335850,int_stack+17775,int_stack+13050,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+421485,int_stack+335850,int_stack+286440,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+446055,int_stack+421485,int_stack+370725,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+481155,int_stack+446055,int_stack+391785,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+350025,int_stack+481155,int_stack+298725,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+286440,int_stack+23175,int_stack+17775,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+302640,int_stack+286440,int_stack+335850,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+525705,int_stack+302640,int_stack+421485,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+286440,int_stack+525705,int_stack+446055,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+402000,int_stack+286440,int_stack+481155,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+464370,int_stack+402000,int_stack+350025,45);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+286440,int_stack+32320,int_stack+29295,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+295515,int_stack+35950,int_stack+32320,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+306405,int_stack+295515,int_stack+286440,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+324555,int_stack+40240,int_stack+35950,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+337425,int_stack+324555,int_stack+295515,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+359205,int_stack+337425,int_stack+306405,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+286440,int_stack+45245,int_stack+40240,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+389455,int_stack+286440,int_stack+324555,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+415195,int_stack+389455,int_stack+337425,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+301455,int_stack+415195,int_stack+359205,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+346830,int_stack+51020,int_stack+45245,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+533670,int_stack+346830,int_stack+286440,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+533670,int_stack+389455,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+563700,int_stack+0,int_stack+415195,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+364155,int_stack+563700,int_stack+301455,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+286440,int_stack+57620,int_stack+51020,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+306240,int_stack+286440,int_stack+346830,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+618150,int_stack+306240,int_stack+533670,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+286440,int_stack+618150,int_stack+0,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+618150,int_stack+286440,int_stack+563700,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+694380,int_stack+618150,int_stack+364155,55);
 /*--- compute (lp|mi) ---*/
 hrr1_build_lp(Libint->AB,int_stack+779080,int_stack+694380,int_stack+464370,1540);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+286440,int_stack+68730,int_stack+65100,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+297330,int_stack+73086,int_stack+68730,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+310398,int_stack+297330,int_stack+286440,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+332178,int_stack+78234,int_stack+73086,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+347622,int_stack+332178,int_stack+297330,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+373758,int_stack+347622,int_stack+310398,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+286440,int_stack+84240,int_stack+78234,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+410058,int_stack+286440,int_stack+332178,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+440946,int_stack+410058,int_stack+347622,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+304458,int_stack+440946,int_stack+373758,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+358908,int_stack+91170,int_stack+84240,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+484506,int_stack+358908,int_stack+286440,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+520542,int_stack+484506,int_stack+410058,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+572022,int_stack+520542,int_stack+440946,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+379698,int_stack+572022,int_stack+304458,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+286440,int_stack+99090,int_stack+91170,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+310200,int_stack+286440,int_stack+358908,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+310200,int_stack+484506,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+286440,int_stack+0,int_stack+520542,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+286440,int_stack+572022,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+455928,int_stack+0,int_stack+379698,66);
 /*--- compute (mp|mi) ---*/
 hrr1_build_mp(Libint->AB,int_stack+986980,int_stack+455928,int_stack+694380,1540);
 /*--- compute (ld|mi) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1241080,int_stack+986980,int_stack+779080,1540);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+112356,int_stack+108066,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+12870,int_stack+117504,int_stack+112356,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+28314,int_stack+12870,int_stack+0,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+54054,int_stack+123588,int_stack+117504,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+72306,int_stack+54054,int_stack+12870,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+286440,int_stack+72306,int_stack+28314,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+130686,int_stack+123588,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+329340,int_stack+0,int_stack+54054,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+365844,int_stack+329340,int_stack+72306,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+21294,int_stack+365844,int_stack+286440,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+286440,int_stack+138876,int_stack+130686,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+85644,int_stack+286440,int_stack+0,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+557568,int_stack+85644,int_stack+329340,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+618408,int_stack+557568,int_stack+365844,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+311010,int_stack+618408,int_stack+21294,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+148236,int_stack+138876,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+28080,int_stack+0,int_stack+286440,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+695628,int_stack+28080,int_stack+85644,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+695628,int_stack+557568,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+695628,int_stack+0,int_stack+618408,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+695628,int_stack+311010,78);
 /*--- compute (np|mi) ---*/
 hrr1_build_np(Libint->AB,int_stack+557568,int_stack+0,int_stack+455928,1540);
 /*--- compute (md|mi) ---*/
 hrr1_build_md(Libint->AB,int_stack+1656880,int_stack+557568,int_stack+986980,1540);
 /*--- compute (lf|mi) ---*/
 hrr1_build_lf(Libint->AB,int_stack+2165080,int_stack+1656880,int_stack+1241080,1540);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+120120,int_stack+163849,int_stack+158844,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+135135,int_stack+169855,int_stack+163849,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+862488,int_stack+135135,int_stack+120120,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+892518,int_stack+176953,int_stack+169855,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+913812,int_stack+892518,int_stack+135135,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+120120,int_stack+913812,int_stack+862488,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+862488,int_stack+185234,int_stack+176953,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+949848,int_stack+862488,int_stack+892518,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+992436,int_stack+949848,int_stack+913812,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+1052496,int_stack+992436,int_stack+120120,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+120120,int_stack+194789,int_stack+185234,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+887331,int_stack+120120,int_stack+862488,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1127571,int_stack+887331,int_stack+949848,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1198551,int_stack+1127571,int_stack+992436,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+937017,int_stack+1198551,int_stack+1052496,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+148785,int_stack+205709,int_stack+194789,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1042122,int_stack+148785,int_stack+120120,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+120120,int_stack+1042122,int_stack+887331,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1288641,int_stack+120120,int_stack+1127571,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1042122,int_stack+1288641,int_stack+1198551,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1168248,int_stack+1042122,int_stack+937017,91);
 /*--- compute (op|mi) ---*/
 hrr1_build_op(Libint->AB,int_stack+2858080,int_stack+1168248,int_stack+0,1540);
 /*--- compute (nd|mi) ---*/
 hrr1_build_nd(Libint->AB,int_stack+3218440,int_stack+2858080,int_stack+557568,1540);
 /*--- compute (mf|mi) ---*/
 hrr1_build_mf(Libint->AB,int_stack+286440,int_stack+3218440,int_stack+1656880,1540);
 /*--- compute (lg|mi) ---*/
 hrr1_build_lg(Libint->AB,int_stack+3828280,int_stack+286440,int_stack+2165080,1540);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+223860,int_stack+218085,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+17325,int_stack+230790,int_stack+223860,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+38115,int_stack+17325,int_stack+0,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+72765,int_stack+238980,int_stack+230790,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+97335,int_stack+72765,int_stack+17325,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+138915,int_stack+97335,int_stack+38115,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+248535,int_stack+238980,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+196665,int_stack+0,int_stack+72765,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1308388,int_stack+196665,int_stack+97335,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+28665,int_stack+1308388,int_stack+138915,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+115290,int_stack+259560,int_stack+248535,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1377688,int_stack+115290,int_stack+0,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1435018,int_stack+1377688,int_stack+196665,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+148365,int_stack+1435018,int_stack+1308388,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1516918,int_stack+148365,int_stack+28665,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1308388,int_stack+272160,int_stack+259560,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+0,int_stack+1308388,int_stack+115290,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1638193,int_stack+0,int_stack+1377688,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+1638193,int_stack+1435018,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1638193,int_stack+0,int_stack+148365,105);
 /*--- compute (r0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+1638193,int_stack+1516918,105);
 /*--- compute (qp|mi) ---*/
 hrr1_build_qp(Libint->AB,int_stack+1308388,int_stack+0,int_stack+1168248,1540);
 /*--- compute (od|mi) ---*/
 hrr1_build_od(Libint->AB,int_stack+1728808,int_stack+1308388,int_stack+2858080,1540);
 /*--- compute (nf|mi) ---*/
 hrr1_build_nf(Libint->AB,int_stack+4867780,int_stack+1728808,int_stack+3218440,1540);
 /*--- compute (mg|mi) ---*/
 hrr1_build_mg(Libint->AB,int_stack+1133440,int_stack+4867780,int_stack+286440,1540);
 /*--- compute (lh|mi) ---*/
 hrr1_build_lh(Libint->AB,int_stack+4867780,int_stack+1133440,int_stack+3828280,1540);
 return int_stack+4867780;}
