#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_linn(Libint_t*, prim_data*);

  /* Computes quartets of (li|nn) integrals */

REALTYPE *hrr_order_linn(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][10] = int_stack + 0;
 Libint->vrr_classes[8][11] = int_stack + 2970;
 Libint->vrr_classes[8][12] = int_stack + 6480;
 Libint->vrr_classes[8][13] = int_stack + 10575;
 Libint->vrr_classes[8][14] = int_stack + 15300;
 Libint->vrr_classes[8][15] = int_stack + 20700;
 Libint->vrr_classes[8][16] = int_stack + 26820;
 Libint->vrr_classes[8][17] = int_stack + 33705;
 Libint->vrr_classes[8][18] = int_stack + 41400;
 Libint->vrr_classes[8][19] = int_stack + 49950;
 Libint->vrr_classes[8][20] = int_stack + 59400;
 Libint->vrr_classes[9][10] = int_stack + 69795;
 Libint->vrr_classes[9][11] = int_stack + 73425;
 Libint->vrr_classes[9][12] = int_stack + 77715;
 Libint->vrr_classes[9][13] = int_stack + 82720;
 Libint->vrr_classes[9][14] = int_stack + 88495;
 Libint->vrr_classes[9][15] = int_stack + 95095;
 Libint->vrr_classes[9][16] = int_stack + 102575;
 Libint->vrr_classes[9][17] = int_stack + 110990;
 Libint->vrr_classes[9][18] = int_stack + 120395;
 Libint->vrr_classes[9][19] = int_stack + 130845;
 Libint->vrr_classes[9][20] = int_stack + 142395;
 Libint->vrr_classes[10][10] = int_stack + 155100;
 Libint->vrr_classes[10][11] = int_stack + 159456;
 Libint->vrr_classes[10][12] = int_stack + 164604;
 Libint->vrr_classes[10][13] = int_stack + 170610;
 Libint->vrr_classes[10][14] = int_stack + 177540;
 Libint->vrr_classes[10][15] = int_stack + 185460;
 Libint->vrr_classes[10][16] = int_stack + 194436;
 Libint->vrr_classes[10][17] = int_stack + 204534;
 Libint->vrr_classes[10][18] = int_stack + 215820;
 Libint->vrr_classes[10][19] = int_stack + 228360;
 Libint->vrr_classes[10][20] = int_stack + 242220;
 Libint->vrr_classes[11][10] = int_stack + 257466;
 Libint->vrr_classes[11][11] = int_stack + 262614;
 Libint->vrr_classes[11][12] = int_stack + 268698;
 Libint->vrr_classes[11][13] = int_stack + 275796;
 Libint->vrr_classes[11][14] = int_stack + 283986;
 Libint->vrr_classes[11][15] = int_stack + 293346;
 Libint->vrr_classes[11][16] = int_stack + 303954;
 Libint->vrr_classes[11][17] = int_stack + 315888;
 Libint->vrr_classes[11][18] = int_stack + 329226;
 Libint->vrr_classes[11][19] = int_stack + 344046;
 Libint->vrr_classes[11][20] = int_stack + 360426;
 Libint->vrr_classes[12][10] = int_stack + 378444;
 Libint->vrr_classes[12][11] = int_stack + 384450;
 Libint->vrr_classes[12][12] = int_stack + 391548;
 Libint->vrr_classes[12][13] = int_stack + 399829;
 Libint->vrr_classes[12][14] = int_stack + 409384;
 Libint->vrr_classes[12][15] = int_stack + 420304;
 Libint->vrr_classes[12][16] = int_stack + 432680;
 Libint->vrr_classes[12][17] = int_stack + 446603;
 Libint->vrr_classes[12][18] = int_stack + 462164;
 Libint->vrr_classes[12][19] = int_stack + 479454;
 Libint->vrr_classes[12][20] = int_stack + 498564;
 Libint->vrr_classes[13][10] = int_stack + 519585;
 Libint->vrr_classes[13][11] = int_stack + 526515;
 Libint->vrr_classes[13][12] = int_stack + 534705;
 Libint->vrr_classes[13][13] = int_stack + 544260;
 Libint->vrr_classes[13][14] = int_stack + 555285;
 Libint->vrr_classes[13][15] = int_stack + 567885;
 Libint->vrr_classes[13][16] = int_stack + 582165;
 Libint->vrr_classes[13][17] = int_stack + 598230;
 Libint->vrr_classes[13][18] = int_stack + 616185;
 Libint->vrr_classes[13][19] = int_stack + 636135;
 Libint->vrr_classes[13][20] = int_stack + 658185;
 Libint->vrr_classes[14][10] = int_stack + 682440;
 Libint->vrr_classes[14][11] = int_stack + 690360;
 Libint->vrr_classes[14][12] = int_stack + 699720;
 Libint->vrr_classes[14][13] = int_stack + 710640;
 Libint->vrr_classes[14][14] = int_stack + 723240;
 Libint->vrr_classes[14][15] = int_stack + 737640;
 Libint->vrr_classes[14][16] = int_stack + 753960;
 Libint->vrr_classes[14][17] = int_stack + 772320;
 Libint->vrr_classes[14][18] = int_stack + 792840;
 Libint->vrr_classes[14][19] = int_stack + 815640;
 Libint->vrr_classes[14][20] = int_stack + 840840;
 memset(int_stack,0,868560*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 868560;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_linn(Libint, Data);
   Data++;
 }
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+868560,int_stack+2970,int_stack+0,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+877470,int_stack+6480,int_stack+2970,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+888000,int_stack+877470,int_stack+868560,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+905820,int_stack+10575,int_stack+6480,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+918105,int_stack+905820,int_stack+877470,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+939165,int_stack+918105,int_stack+888000,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+868560,int_stack+15300,int_stack+10575,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+968865,int_stack+868560,int_stack+905820,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+882735,int_stack+968865,int_stack+918105,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+993435,int_stack+882735,int_stack+939165,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+917835,int_stack+20700,int_stack+15300,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+934035,int_stack+917835,int_stack+868560,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1037985,int_stack+934035,int_stack+968865,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1078935,int_stack+1037985,int_stack+882735,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1131585,int_stack+1078935,int_stack+993435,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+868560,int_stack+26820,int_stack+20700,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+962385,int_stack+868560,int_stack+917835,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1193955,int_stack+962385,int_stack+934035,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+886920,int_stack+1193955,int_stack+1037985,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+994785,int_stack+886920,int_stack+1078935,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1241205,int_stack+994785,int_stack+1131585,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1068495,int_stack+33705,int_stack+26820,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1089150,int_stack+1068495,int_stack+868560,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1125870,int_stack+1089150,int_stack+962385,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1324365,int_stack+1125870,int_stack+1193955,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1395240,int_stack+1324365,int_stack+886920,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+868560,int_stack+1395240,int_stack+994785,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1481235,int_stack+868560,int_stack+1241205,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+966840,int_stack+41400,int_stack+33705,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+989925,int_stack+966840,int_stack+1068495,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1179870,int_stack+989925,int_stack+1089150,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1031235,int_stack+1179870,int_stack+1125870,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1588155,int_stack+1031235,int_stack+1324365,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1241070,int_stack+1588155,int_stack+1395240,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1687380,int_stack+1241070,int_stack+868560,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1813740,int_stack+1687380,int_stack+1481235,45);
 /*--- compute (l0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+868560,int_stack+49950,int_stack+41400,45);
 /*--- compute (l0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+894210,int_stack+868560,int_stack+966840,45);
 /*--- compute (l0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1355730,int_stack+894210,int_stack+989925,45);
 /*--- compute (l0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+1424580,int_stack+1355730,int_stack+1179870,45);
 /*--- compute (l0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1112235,int_stack+1424580,int_stack+1031235,45);
 /*--- compute (l0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+940380,int_stack+1112235,int_stack+1588155,45);
 /*--- compute (l0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1516380,int_stack+940380,int_stack+1241070,45);
 /*--- compute (l0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1947390,int_stack+1516380,int_stack+1687380,45);
 /*--- compute (l0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+2105340,int_stack+1947390,int_stack+1813740,45);
 /*--- compute (l0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+1072680,int_stack+59400,int_stack+49950,45);
 /*--- compute (l0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+1225635,int_stack+1072680,int_stack+868560,45);
 /*--- compute (l0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+1276935,int_stack+1225635,int_stack+894210,45);
 /*--- compute (l0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+1663800,int_stack+1276935,int_stack+1355730,45);
 /*--- compute (l0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+1225635,int_stack+1663800,int_stack+1424580,45);
 /*--- compute (l0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+1663800,int_stack+1225635,int_stack+1112235,45);
 /*--- compute (l0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+1072680,int_stack+1663800,int_stack+940380,45);
 /*--- compute (l0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+1663800,int_stack+1072680,int_stack+1516380,45);
 /*--- compute (l0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+868560,int_stack+1663800,int_stack+1947390,45);
 /*--- compute (l0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+1061610,int_stack+868560,int_stack+2105340,45);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+868560,int_stack+73425,int_stack+69795,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+879450,int_stack+77715,int_stack+73425,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+892320,int_stack+879450,int_stack+868560,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+914100,int_stack+82720,int_stack+77715,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+929115,int_stack+914100,int_stack+879450,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+954855,int_stack+929115,int_stack+892320,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+868560,int_stack+88495,int_stack+82720,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+991155,int_stack+868560,int_stack+914100,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+885885,int_stack+991155,int_stack+929115,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1257630,int_stack+885885,int_stack+954855,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+928785,int_stack+95095,int_stack+88495,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+948585,int_stack+928785,int_stack+868560,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1312080,int_stack+948585,int_stack+991155,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+983235,int_stack+1312080,int_stack+885885,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1362130,int_stack+983235,int_stack+1257630,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1257630,int_stack+102575,int_stack+95095,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+868560,int_stack+1257630,int_stack+928785,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1438360,int_stack+868560,int_stack+948585,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+908160,int_stack+1438360,int_stack+1312080,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1496110,int_stack+908160,int_stack+983235,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1586200,int_stack+1496110,int_stack+1362130,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+983235,int_stack+110990,int_stack+102575,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1008480,int_stack+983235,int_stack+1257630,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1257630,int_stack+1008480,int_stack+868560,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1323630,int_stack+1257630,int_stack+1438360,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1687840,int_stack+1323630,int_stack+908160,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1792945,int_stack+1687840,int_stack+1496110,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1410255,int_stack+1792945,int_stack+1586200,55);
 /*--- compute (m0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+868560,int_stack+120395,int_stack+110990,55);
 /*--- compute (m0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+896775,int_stack+868560,int_stack+983235,55);
 /*--- compute (m0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1540935,int_stack+896775,int_stack+1008480,55);
 /*--- compute (m0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+947265,int_stack+1540935,int_stack+1257630,55);
 /*--- compute (m0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1913065,int_stack+947265,int_stack+1323630,55);
 /*--- compute (m0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1257630,int_stack+1913065,int_stack+1687840,55);
 /*--- compute (m0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1615735,int_stack+1257630,int_stack+1792945,55);
 /*--- compute (m0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2034340,int_stack+1615735,int_stack+1410255,55);
 /*--- compute (m0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+1397770,int_stack+130845,int_stack+120395,55);
 /*--- compute (m0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+1429120,int_stack+1397770,int_stack+868560,55);
 /*--- compute (m0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1770175,int_stack+1429120,int_stack+896775,55);
 /*--- compute (m0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+0,int_stack+1770175,int_stack+1540935,55);
 /*--- compute (m0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+2197690,int_stack+0,int_stack+947265,55);
 /*--- compute (m0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+868560,int_stack+2197690,int_stack+1913065,55);
 /*--- compute (m0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+2336290,int_stack+868560,int_stack+1257630,55);
 /*--- compute (m0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+2516470,int_stack+2336290,int_stack+1615735,55);
 /*--- compute (m0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1485550,int_stack+2516470,int_stack+2034340,55);
 /*--- compute (m0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+1257630,int_stack+142395,int_stack+130845,55);
 /*--- compute (m0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+1292280,int_stack+1257630,int_stack+1397770,55);
 /*--- compute (m0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+1854325,int_stack+1292280,int_stack+1429120,55);
 /*--- compute (m0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+1257630,int_stack+1854325,int_stack+1770175,55);
 /*--- compute (m0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+1685200,int_stack+1257630,int_stack+0,55);
 /*--- compute (m0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+1257630,int_stack+1685200,int_stack+2197690,55);
 /*--- compute (m0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+1685200,int_stack+1257630,int_stack+868560,55);
 /*--- compute (m0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+1257630,int_stack+1685200,int_stack+2336290,55);
 /*--- compute (m0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+1685200,int_stack+1257630,int_stack+2516470,55);
 /*--- compute (m0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+1921150,int_stack+1685200,int_stack+1485550,55);
 /*--- compute (lp|nn) ---*/
 hrr1_build_lp(Libint->AB,int_stack+1257630,int_stack+1921150,int_stack+1061610,4356);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1845690,int_stack+159456,int_stack+155100,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1858758,int_stack+164604,int_stack+159456,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1874202,int_stack+1858758,int_stack+1845690,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1900338,int_stack+170610,int_stack+164604,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+2160730,int_stack+1900338,int_stack+1858758,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+2191618,int_stack+2160730,int_stack+1874202,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1845690,int_stack+177540,int_stack+170610,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+2235178,int_stack+1845690,int_stack+1900338,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1866480,int_stack+2235178,int_stack+2160730,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+2271214,int_stack+1866480,int_stack+2191618,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+2160730,int_stack+185460,int_stack+177540,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+2184490,int_stack+2160730,int_stack+1845690,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+2336554,int_stack+2184490,int_stack+2235178,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+2396614,int_stack+2336554,int_stack+1866480,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2473834,int_stack+2396614,int_stack+2271214,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1845690,int_stack+194436,int_stack+185460,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1872618,int_stack+1845690,int_stack+2160730,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+2226070,int_stack+1872618,int_stack+2184490,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+2565310,int_stack+2226070,int_stack+2336554,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+868560,int_stack+2565310,int_stack+2396614,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2295370,int_stack+868560,int_stack+2473834,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+2160730,int_stack+204534,int_stack+194436,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+2417338,int_stack+2160730,int_stack+1845690,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+2471194,int_stack+2417338,int_stack+1872618,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+976668,int_stack+2471194,int_stack+2226070,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1080618,int_stack+976668,int_stack+2565310,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+2550394,int_stack+1080618,int_stack+868560,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+2550394,int_stack+2295370,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+868560,int_stack+215820,int_stack+204534,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+902418,int_stack+868560,int_stack+2160730,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2160730,int_stack+902418,int_stack+2417338,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+2250490,int_stack+2160730,int_stack+2471194,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2369290,int_stack+2250490,int_stack+976668,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2694538,int_stack+2369290,int_stack+1080618,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+963006,int_stack+2694538,int_stack+2550394,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2862706,int_stack+963006,int_stack+0,66);
 /*--- compute (n0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+0,int_stack+228360,int_stack+215820,66);
 /*--- compute (n0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+37620,int_stack+0,int_stack+868560,66);
 /*--- compute (n0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+105336,int_stack+37620,int_stack+902418,66);
 /*--- compute (n0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+2514820,int_stack+105336,int_stack+2160730,66);
 /*--- compute (n0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+3058726,int_stack+2514820,int_stack+2250490,66);
 /*--- compute (n0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+2160730,int_stack+3058726,int_stack+2369290,66);
 /*--- compute (n0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+3225046,int_stack+2160730,int_stack+2694538,66);
 /*--- compute (n0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+3441262,int_stack+3225046,int_stack+963006,66);
 /*--- compute (n0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+868560,int_stack+3441262,int_stack+2862706,66);
 /*--- compute (n0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+2354770,int_stack+242220,int_stack+228360,66);
 /*--- compute (n0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+2396350,int_stack+2354770,int_stack+0,66);
 /*--- compute (n0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+1108140,int_stack+2396350,int_stack+37620,66);
 /*--- compute (n0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+2354770,int_stack+1108140,int_stack+105336,66);
 /*--- compute (n0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+0,int_stack+2354770,int_stack+2514820,66);
 /*--- compute (n0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+2354770,int_stack+0,int_stack+3058726,66);
 /*--- compute (n0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+0,int_stack+2354770,int_stack+2160730,66);
 /*--- compute (n0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+2160730,int_stack+0,int_stack+3225046,66);
 /*--- compute (n0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+2431000,int_stack+2160730,int_stack+3441262,66);
 /*--- compute (n0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+2714140,int_stack+2431000,int_stack+868560,66);
 /*--- compute (mp|nn) ---*/
 hrr1_build_mp(Libint->AB,int_stack+3001636,int_stack+2714140,int_stack+1921150,4356);
 /*--- compute (ld|nn) ---*/
 hrr1_build_ld(Libint->AB,int_stack+3720376,int_stack+3001636,int_stack+1257630,4356);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+868560,int_stack+262614,int_stack+257466,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+884004,int_stack+268698,int_stack+262614,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+902256,int_stack+884004,int_stack+868560,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+933144,int_stack+275796,int_stack+268698,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+954438,int_stack+933144,int_stack+884004,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+990942,int_stack+954438,int_stack+902256,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+868560,int_stack+283986,int_stack+275796,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1042422,int_stack+868560,int_stack+933144,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+893130,int_stack+1042422,int_stack+954438,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1085010,int_stack+893130,int_stack+990942,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+953970,int_stack+293346,int_stack+283986,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+982050,int_stack+953970,int_stack+868560,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1162230,int_stack+982050,int_stack+1042422,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1233210,int_stack+1162230,int_stack+893130,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1324470,int_stack+1233210,int_stack+1085010,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+868560,int_stack+303954,int_stack+293346,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1031190,int_stack+868560,int_stack+953970,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1432578,int_stack+1031190,int_stack+982050,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+900384,int_stack+1432578,int_stack+1162230,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1087350,int_stack+900384,int_stack+1233210,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1514478,int_stack+1087350,int_stack+1324470,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1215114,int_stack+315888,int_stack+303954,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1250916,int_stack+1215114,int_stack+868560,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1314564,int_stack+1250916,int_stack+1031190,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1658622,int_stack+1314564,int_stack+1432578,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1781472,int_stack+1658622,int_stack+900384,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+868560,int_stack+1781472,int_stack+1087350,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1930530,int_stack+868560,int_stack+1514478,78);
 /*--- compute (o0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1038912,int_stack+329226,int_stack+315888,78);
 /*--- compute (o0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1078926,int_stack+1038912,int_stack+1215114,78);
 /*--- compute (o0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1408164,int_stack+1078926,int_stack+1250916,78);
 /*--- compute (o0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1150530,int_stack+1408164,int_stack+1314564,78);
 /*--- compute (o0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2115858,int_stack+1150530,int_stack+1658622,78);
 /*--- compute (o0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1514244,int_stack+2115858,int_stack+1781472,78);
 /*--- compute (o0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2287848,int_stack+1514244,int_stack+868560,78);
 /*--- compute (o0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+0,int_stack+2287848,int_stack+1930530,78);
 /*--- compute (o0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+868560,int_stack+344046,int_stack+329226,78);
 /*--- compute (o0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+913020,int_stack+868560,int_stack+1038912,78);
 /*--- compute (o0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1712988,int_stack+913020,int_stack+1078926,78);
 /*--- compute (o0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+1832328,int_stack+1712988,int_stack+1408164,78);
 /*--- compute (o0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1290930,int_stack+1832328,int_stack+1150530,78);
 /*--- compute (o0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+993048,int_stack+1290930,int_stack+2115858,78);
 /*--- compute (o0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1991448,int_stack+993048,int_stack+1514244,78);
 /*--- compute (o0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+4896496,int_stack+1991448,int_stack+2287848,78);
 /*--- compute (o0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+2246976,int_stack+4896496,int_stack+0,78);
 /*--- compute (o0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+0,int_stack+360426,int_stack+344046,78);
 /*--- compute (o0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+49140,int_stack+0,int_stack+868560,78);
 /*--- compute (o0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+138060,int_stack+49140,int_stack+913020,78);
 /*--- compute (o0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+1487490,int_stack+138060,int_stack+1712988,78);
 /*--- compute (o0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+0,int_stack+1487490,int_stack+1832328,78);
 /*--- compute (o0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+1487490,int_stack+0,int_stack+1290930,78);
 /*--- compute (o0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+0,int_stack+1487490,int_stack+993048,78);
 /*--- compute (o0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+868560,int_stack+0,int_stack+1991448,78);
 /*--- compute (o0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+0,int_stack+868560,int_stack+4896496,78);
 /*--- compute (o0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+868560,int_stack+0,int_stack+2246976,78);
 /*--- compute (np|nn) ---*/
 hrr1_build_np(Libint->AB,int_stack+1208328,int_stack+868560,int_stack+2714140,4356);
 /*--- compute (md|nn) ---*/
 hrr1_build_md(Libint->AB,int_stack+4896496,int_stack+1208328,int_stack+3001636,4356);
 /*--- compute (lf|nn) ---*/
 hrr1_build_lf(Libint->AB,int_stack+6333976,int_stack+4896496,int_stack+3720376,4356);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+384450,int_stack+378444,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+18018,int_stack+391548,int_stack+384450,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+39312,int_stack+18018,int_stack+0,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+75348,int_stack+399829,int_stack+391548,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+100191,int_stack+75348,int_stack+18018,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+142779,int_stack+100191,int_stack+39312,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+409384,int_stack+399829,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+202839,int_stack+0,int_stack+75348,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+28665,int_stack+202839,int_stack+100191,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+252525,int_stack+28665,int_stack+142779,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+99645,int_stack+420304,int_stack+409384,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+132405,int_stack+99645,int_stack+0,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+2070816,int_stack+132405,int_stack+202839,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+2153626,int_stack+2070816,int_stack+28665,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2260096,int_stack+2153626,int_stack+252525,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+432680,int_stack+420304,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+189735,int_stack+0,int_stack+99645,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+255255,int_stack+189735,int_stack+132405,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+37128,int_stack+255255,int_stack+2070816,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+2386222,int_stack+37128,int_stack+2153626,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2070816,int_stack+2386222,int_stack+2260096,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+2238984,int_stack+446603,int_stack+432680,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+2280753,int_stack+2238984,int_stack+0,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+2535280,int_stack+2280753,int_stack+189735,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2644480,int_stack+2535280,int_stack+255255,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+161343,int_stack+2644480,int_stack+37128,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+2787805,int_stack+161343,int_stack+2386222,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2986549,int_stack+2787805,int_stack+2070816,91);
 /*--- compute (q0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+2070816,int_stack+462164,int_stack+446603,91);
 /*--- compute (q0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+2117499,int_stack+2070816,int_stack+2238984,91);
 /*--- compute (q0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+0,int_stack+2117499,int_stack+2280753,91);
 /*--- compute (q0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+2201037,int_stack+0,int_stack+2535280,91);
 /*--- compute (q0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2364837,int_stack+2201037,int_stack+2644480,91);
 /*--- compute (q0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+3202765,int_stack+2364837,int_stack+161343,91);
 /*--- compute (q0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+123760,int_stack+3202765,int_stack+2787805,91);
 /*--- compute (q0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2565492,int_stack+123760,int_stack+2986549,91);
 /*--- compute (q0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+2835762,int_stack+479454,int_stack+462164,91);
 /*--- compute (q0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+2887632,int_stack+2835762,int_stack+2070816,91);
 /*--- compute (q0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+2980998,int_stack+2887632,int_stack+2117499,91);
 /*--- compute (q0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+3434633,int_stack+2980998,int_stack+0,91);
 /*--- compute (q0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+3620273,int_stack+3434633,int_stack+2201037,91);
 /*--- compute (q0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+2070816,int_stack+3620273,int_stack+2364837,91);
 /*--- compute (q0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+3849593,int_stack+2070816,int_stack+3202765,91);
 /*--- compute (q0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+4147709,int_stack+3849593,int_stack+123760,91);
 /*--- compute (q0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+0,int_stack+4147709,int_stack+2565492,91);
 /*--- compute (q0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+330330,int_stack+498564,int_stack+479454,91);
 /*--- compute (q0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+387660,int_stack+330330,int_stack+2835762,91);
 /*--- compute (q0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+2338356,int_stack+387660,int_stack+2887632,91);
 /*--- compute (q0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+2493966,int_stack+2338356,int_stack+2980998,91);
 /*--- compute (q0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+2702811,int_stack+2493966,int_stack+3434633,91);
 /*--- compute (q0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+2338356,int_stack+2702811,int_stack+3620273,91);
 /*--- compute (q0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+2644116,int_stack+2338356,int_stack+2070816,91);
 /*--- compute (q0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+2070816,int_stack+2644116,int_stack+3849593,91);
 /*--- compute (q0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+2443461,int_stack+2070816,int_stack+4147709,91);
 /*--- compute (q0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+2833851,int_stack+2443461,int_stack+0,91);
 /*--- compute (op|nn) ---*/
 hrr1_build_op(Libint->AB,int_stack+3230247,int_stack+2833851,int_stack+868560,4356);
 /*--- compute (nd|nn) ---*/
 hrr1_build_nd(Libint->AB,int_stack+8294176,int_stack+3230247,int_stack+1208328,4356);
 /*--- compute (mf|nn) ---*/
 hrr1_build_mf(Libint->AB,int_stack+10019152,int_stack+8294176,int_stack+4896496,4356);
 /*--- compute (lg|nn) ---*/
 hrr1_build_lg(Libint->AB,int_stack+12414952,int_stack+10019152,int_stack+6333976,4356);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+868560,int_stack+526515,int_stack+519585,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+889350,int_stack+534705,int_stack+526515,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+913920,int_stack+889350,int_stack+868560,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+955500,int_stack+544260,int_stack+534705,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+984165,int_stack+955500,int_stack+889350,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1033305,int_stack+984165,int_stack+913920,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+868560,int_stack+555285,int_stack+544260,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1102605,int_stack+868560,int_stack+955500,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+901635,int_stack+1102605,int_stack+984165,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1159935,int_stack+901635,int_stack+1033305,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+983535,int_stack+567885,int_stack+555285,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1021335,int_stack+983535,int_stack+868560,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1263885,int_stack+1021335,int_stack+1102605,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1359435,int_stack+1263885,int_stack+901635,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1482285,int_stack+1359435,int_stack+1159935,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+868560,int_stack+582165,int_stack+567885,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1087485,int_stack+868560,int_stack+983535,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1627815,int_stack+1087485,int_stack+1021335,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+911400,int_stack+1627815,int_stack+1263885,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1163085,int_stack+911400,int_stack+1359435,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1738065,int_stack+1163085,int_stack+1482285,105);
 /*--- compute (r0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1335075,int_stack+598230,int_stack+582165,105);
 /*--- compute (r0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1383270,int_stack+1335075,int_stack+868560,105);
 /*--- compute (r0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1468950,int_stack+1383270,int_stack+1087485,105);
 /*--- compute (r0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1932105,int_stack+1468950,int_stack+1627815,105);
 /*--- compute (r0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2097480,int_stack+1932105,int_stack+911400,105);
 /*--- compute (r0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+868560,int_stack+2097480,int_stack+1163085,105);
 /*--- compute (r0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2298135,int_stack+868560,int_stack+1738065,105);
 /*--- compute (r0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1097880,int_stack+616185,int_stack+598230,105);
 /*--- compute (r0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1151745,int_stack+1097880,int_stack+1335075,105);
 /*--- compute (r0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1594950,int_stack+1151745,int_stack+1383270,105);
 /*--- compute (r0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1248135,int_stack+1594950,int_stack+1468950,105);
 /*--- compute (r0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2547615,int_stack+1248135,int_stack+1932105,105);
 /*--- compute (r0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1737750,int_stack+2547615,int_stack+2097480,105);
 /*--- compute (r0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+0,int_stack+1737750,int_stack+868560,105);
 /*--- compute (r0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+294840,int_stack+0,int_stack+2298135,105);
 /*--- compute (r0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+868560,int_stack+636135,int_stack+616185,105);
 /*--- compute (r0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+928410,int_stack+868560,int_stack+1097880,105);
 /*--- compute (r0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+2005290,int_stack+928410,int_stack+1151745,105);
 /*--- compute (r0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+2165940,int_stack+2005290,int_stack+1594950,105);
 /*--- compute (r0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1437135,int_stack+2165940,int_stack+1248135,105);
 /*--- compute (r0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1036140,int_stack+1437135,int_stack+2547615,105);
 /*--- compute (r0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+2380140,int_stack+1036140,int_stack+1737750,105);
 /*--- compute (r0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+4249551,int_stack+2380140,int_stack+0,105);
 /*--- compute (r0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+4618101,int_stack+4249551,int_stack+294840,105);
 /*--- compute (r0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+0,int_stack+658185,int_stack+636135,105);
 /*--- compute (r0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+66150,int_stack+0,int_stack+868560,105);
 /*--- compute (r0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+185850,int_stack+66150,int_stack+928410,105);
 /*--- compute (r0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+365400,int_stack+185850,int_stack+2005290,105);
 /*--- compute (r0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+0,int_stack+365400,int_stack+2165940,105);
 /*--- compute (r0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+299880,int_stack+0,int_stack+1437135,105);
 /*--- compute (r0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+1344840,int_stack+299880,int_stack+1036140,105);
 /*--- compute (r0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+0,int_stack+1344840,int_stack+2380140,105);
 /*--- compute (r0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+868560,int_stack+0,int_stack+4249551,105);
 /*--- compute (r0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+0,int_stack+868560,int_stack+4618101,105);
 /*--- compute (qp|nn) ---*/
 hrr1_build_qp(Libint->AB,int_stack+868560,int_stack+0,int_stack+2833851,4356);
 /*--- compute (od|nn) ---*/
 hrr1_build_od(Libint->AB,int_stack+4249551,int_stack+868560,int_stack+3230247,4356);
 /*--- compute (nf|nn) ---*/
 hrr1_build_nf(Libint->AB,int_stack+15355252,int_stack+4249551,int_stack+8294176,4356);
 /*--- compute (mg|nn) ---*/
 hrr1_build_mg(Libint->AB,int_stack+6288159,int_stack+15355252,int_stack+10019152,4356);
 /*--- compute (lh|nn) ---*/
 hrr1_build_lh(Libint->AB,int_stack+18230212,int_stack+6288159,int_stack+12414952,4356);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+2057748,int_stack+690360,int_stack+682440,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+2081508,int_stack+699720,int_stack+690360,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+2109588,int_stack+2081508,int_stack+2057748,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+2157108,int_stack+710640,int_stack+699720,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+2189868,int_stack+2157108,int_stack+2081508,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+2246028,int_stack+2189868,int_stack+2109588,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+2057748,int_stack+723240,int_stack+710640,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+2325228,int_stack+2057748,int_stack+2157108,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+2095548,int_stack+2325228,int_stack+2189868,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+2390748,int_stack+2095548,int_stack+2246028,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+2189148,int_stack+737640,int_stack+723240,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+2232348,int_stack+2189148,int_stack+2057748,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+2509548,int_stack+2232348,int_stack+2325228,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+2618748,int_stack+2509548,int_stack+2095548,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2759148,int_stack+2618748,int_stack+2390748,120);
 /*--- compute (t0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+2057748,int_stack+753960,int_stack+737640,120);
 /*--- compute (t0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+2307948,int_stack+2057748,int_stack+2189148,120);
 /*--- compute (t0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+2925468,int_stack+2307948,int_stack+2232348,120);
 /*--- compute (t0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+2106708,int_stack+2925468,int_stack+2509548,120);
 /*--- compute (t0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+2394348,int_stack+2106708,int_stack+2618748,120);
 /*--- compute (t0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+3051468,int_stack+2394348,int_stack+2759148,120);
 /*--- compute (t0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+2590908,int_stack+772320,int_stack+753960,120);
 /*--- compute (t0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+2645988,int_stack+2590908,int_stack+2057748,120);
 /*--- compute (t0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+2743908,int_stack+2645988,int_stack+2307948,120);
 /*--- compute (t0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+3273228,int_stack+2743908,int_stack+2925468,120);
 /*--- compute (t0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+3462228,int_stack+3273228,int_stack+2106708,120);
 /*--- compute (t0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+2057748,int_stack+3462228,int_stack+2394348,120);
 /*--- compute (t0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+3691548,int_stack+2057748,int_stack+3051468,120);
 /*--- compute (t0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+2319828,int_stack+792840,int_stack+772320,120);
 /*--- compute (t0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+2381388,int_stack+2319828,int_stack+2590908,120);
 /*--- compute (t0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2887908,int_stack+2381388,int_stack+2645988,120);
 /*--- compute (t0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+2491548,int_stack+2887908,int_stack+2743908,120);
 /*--- compute (t0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+3976668,int_stack+2491548,int_stack+3273228,120);
 /*--- compute (t0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+3051108,int_stack+3976668,int_stack+3462228,120);
 /*--- compute (t0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+9881859,int_stack+3051108,int_stack+2057748,120);
 /*--- compute (t0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+10218819,int_stack+9881859,int_stack+3691548,120);
 /*--- compute (t0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+2057748,int_stack+815640,int_stack+792840,120);
 /*--- compute (t0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+2126148,int_stack+2057748,int_stack+2319828,120);
 /*--- compute (t0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+3356868,int_stack+2126148,int_stack+2381388,120);
 /*--- compute (t0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+3540468,int_stack+3356868,int_stack+2887908,120);
 /*--- compute (t0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+2707548,int_stack+3540468,int_stack+2491548,120);
 /*--- compute (t0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+2249268,int_stack+2707548,int_stack+3976668,120);
 /*--- compute (t0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+3785268,int_stack+2249268,int_stack+3051108,120);
 /*--- compute (t0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+10575219,int_stack+3785268,int_stack+9881859,120);
 /*--- compute (t0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+10996419,int_stack+10575219,int_stack+10218819,120);
 /*--- compute (t0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+9881859,int_stack+840840,int_stack+815640,120);
 /*--- compute (t0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+9957459,int_stack+9881859,int_stack+2057748,120);
 /*--- compute (t0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+10094259,int_stack+9957459,int_stack+2126148,120);
 /*--- compute (t0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+10299459,int_stack+10094259,int_stack+3356868,120);
 /*--- compute (t0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+9881859,int_stack+10299459,int_stack+3540468,120);
 /*--- compute (t0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+3009948,int_stack+9881859,int_stack+2707548,120);
 /*--- compute (t0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+9881859,int_stack+3009948,int_stack+2249268,120);
 /*--- compute (t0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+2057748,int_stack+9881859,int_stack+3785268,120);
 /*--- compute (t0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+9881859,int_stack+2057748,int_stack+10575219,120);
 /*--- compute (t0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+2057748,int_stack+9881859,int_stack+10996419,120);
 /*--- compute (rp|nn) ---*/
 hrr1_build_rp(Libint->AB,int_stack+9881859,int_stack+2057748,int_stack+0,4356);
 /*--- compute (qd|nn) ---*/
 hrr1_build_qd(Libint->AB,int_stack+11253999,int_stack+9881859,int_stack+868560,4356);
 /*--- compute (of|nn) ---*/
 hrr1_build_of(Libint->AB,int_stack+0,int_stack+11253999,int_stack+4249551,4356);
 /*--- compute (ng|nn) ---*/
 hrr1_build_ng(Libint->AB,int_stack+9881859,int_stack+0,int_stack+15355252,4356);
 /*--- compute (mh|nn) ---*/
 hrr1_build_mh(Libint->AB,int_stack+0,int_stack+9881859,int_stack+6288159,4356);
 /*--- compute (li|nn) ---*/
 hrr1_build_li(Libint->AB,int_stack+5031180,int_stack+0,int_stack+18230212,4356);
 return int_stack+5031180;}
