#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_m0lg(Libint_t*, prim_data*);

  /* Computes quartets of (m0|lg) integrals */

REALTYPE *hrr_order_m0lg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][8] = int_stack + 0;
 Libint->vrr_classes[9][9] = int_stack + 2475;
 Libint->vrr_classes[9][10] = int_stack + 5500;
 Libint->vrr_classes[9][11] = int_stack + 9130;
 Libint->vrr_classes[9][12] = int_stack + 13420;
 memset(int_stack,0,18425*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 18425;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_m0lg(Libint, Data);
   Data++;
 }
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+18425,int_stack+2475,int_stack+0,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+25850,int_stack+5500,int_stack+2475,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+34925,int_stack+25850,int_stack+18425,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+49775,int_stack+9130,int_stack+5500,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+60665,int_stack+49775,int_stack+25850,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+78815,int_stack+60665,int_stack+34925,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+18425,int_stack+13420,int_stack+9130,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+103565,int_stack+18425,int_stack+49775,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+103565,int_stack+60665,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+30250,int_stack+0,int_stack+78815,55);
 return int_stack+30250;}
