#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_m0md(Libint_t*, prim_data*);

  /* Computes quartets of (m0|md) integrals */

REALTYPE *hrr_order_m0md(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][9] = int_stack + 0;
 Libint->vrr_classes[9][10] = int_stack + 3025;
 Libint->vrr_classes[9][11] = int_stack + 6655;
 memset(int_stack,0,10945*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 10945;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_m0md(Libint, Data);
   Data++;
 }
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+10945,int_stack+3025,int_stack+0,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+20020,int_stack+6655,int_stack+3025,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+30910,int_stack+20020,int_stack+10945,55);
 return int_stack+30910;}
