#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mdkh(Libint_t*, prim_data*);

  /* Computes quartets of (md|kh) integrals */

REALTYPE *hrr_order_mdkh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][7] = int_stack + 0;
 Libint->vrr_classes[9][8] = int_stack + 1980;
 Libint->vrr_classes[9][9] = int_stack + 4455;
 Libint->vrr_classes[9][10] = int_stack + 7480;
 Libint->vrr_classes[9][11] = int_stack + 11110;
 Libint->vrr_classes[9][12] = int_stack + 15400;
 Libint->vrr_classes[10][7] = int_stack + 20405;
 Libint->vrr_classes[10][8] = int_stack + 22781;
 Libint->vrr_classes[10][9] = int_stack + 25751;
 Libint->vrr_classes[10][10] = int_stack + 29381;
 Libint->vrr_classes[10][11] = int_stack + 33737;
 Libint->vrr_classes[10][12] = int_stack + 38885;
 Libint->vrr_classes[11][7] = int_stack + 44891;
 Libint->vrr_classes[11][8] = int_stack + 47699;
 Libint->vrr_classes[11][9] = int_stack + 51209;
 Libint->vrr_classes[11][10] = int_stack + 55499;
 Libint->vrr_classes[11][11] = int_stack + 60647;
 Libint->vrr_classes[11][12] = int_stack + 66731;
 memset(int_stack,0,73829*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 73829;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mdkh(Libint, Data);
   Data++;
 }
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+73829,int_stack+1980,int_stack+0,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+79769,int_stack+4455,int_stack+1980,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+87194,int_stack+79769,int_stack+73829,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+99074,int_stack+7480,int_stack+4455,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+108149,int_stack+99074,int_stack+79769,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+122999,int_stack+108149,int_stack+87194,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+73829,int_stack+11110,int_stack+7480,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+142799,int_stack+73829,int_stack+99074,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+160949,int_stack+142799,int_stack+108149,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+84719,int_stack+160949,int_stack+122999,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+114419,int_stack+15400,int_stack+11110,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+185699,int_stack+114419,int_stack+73829,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+207479,int_stack+185699,int_stack+142799,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+114419,int_stack+207479,int_stack+160949,55);
 /*--- compute (m0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+151544,int_stack+114419,int_stack+84719,55);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+73829,int_stack+22781,int_stack+20405,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+80957,int_stack+25751,int_stack+22781,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+89867,int_stack+80957,int_stack+73829,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+104123,int_stack+29381,int_stack+25751,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+115013,int_stack+104123,int_stack+80957,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+193124,int_stack+115013,int_stack+89867,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+73829,int_stack+33737,int_stack+29381,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+73829,int_stack+104123,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+216884,int_stack+0,int_stack+115013,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+86897,int_stack+216884,int_stack+193124,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+193124,int_stack+38885,int_stack+33737,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+122537,int_stack+193124,int_stack+73829,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+246584,int_stack+122537,int_stack+0,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+0,int_stack+246584,int_stack+216884,66);
 /*--- compute (n0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+193124,int_stack+0,int_stack+86897,66);
 /*--- compute (mp|kh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+243020,int_stack+193124,int_stack+151544,756);
 /*--- compute (o0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+47699,int_stack+44891,78);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+8424,int_stack+51209,int_stack+47699,78);
 /*--- compute (o0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+18954,int_stack+8424,int_stack+0,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+35802,int_stack+55499,int_stack+51209,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+73829,int_stack+35802,int_stack+8424,78);
 /*--- compute (o0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+94889,int_stack+73829,int_stack+18954,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+60647,int_stack+55499,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+122969,int_stack+0,int_stack+35802,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+15444,int_stack+122969,int_stack+73829,78);
 /*--- compute (o0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+148709,int_stack+15444,int_stack+94889,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+73829,int_stack+66731,int_stack+60647,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+92081,int_stack+73829,int_stack+0,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+367760,int_stack+92081,int_stack+122969,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+50544,int_stack+367760,int_stack+15444,78);
 /*--- compute (o0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+367760,int_stack+50544,int_stack+148709,78);
 /*--- compute (np|kh) ---*/
 hrr1_build_np(Libint->AB,int_stack+0,int_stack+367760,int_stack+193124,756);
 /*--- compute (md|kh) ---*/
 hrr1_build_md(Libint->AB,int_stack+367760,int_stack+0,int_stack+243020,756);
 return int_stack+367760;}
