#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mdki(Libint_t*, prim_data*);

  /* Computes quartets of (md|ki) integrals */

REALTYPE *hrr_order_mdki(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][7] = int_stack + 0;
 Libint->vrr_classes[9][8] = int_stack + 1980;
 Libint->vrr_classes[9][9] = int_stack + 4455;
 Libint->vrr_classes[9][10] = int_stack + 7480;
 Libint->vrr_classes[9][11] = int_stack + 11110;
 Libint->vrr_classes[9][12] = int_stack + 15400;
 Libint->vrr_classes[9][13] = int_stack + 20405;
 Libint->vrr_classes[10][7] = int_stack + 26180;
 Libint->vrr_classes[10][8] = int_stack + 28556;
 Libint->vrr_classes[10][9] = int_stack + 31526;
 Libint->vrr_classes[10][10] = int_stack + 35156;
 Libint->vrr_classes[10][11] = int_stack + 39512;
 Libint->vrr_classes[10][12] = int_stack + 44660;
 Libint->vrr_classes[10][13] = int_stack + 50666;
 Libint->vrr_classes[11][7] = int_stack + 57596;
 Libint->vrr_classes[11][8] = int_stack + 60404;
 Libint->vrr_classes[11][9] = int_stack + 63914;
 Libint->vrr_classes[11][10] = int_stack + 68204;
 Libint->vrr_classes[11][11] = int_stack + 73352;
 Libint->vrr_classes[11][12] = int_stack + 79436;
 Libint->vrr_classes[11][13] = int_stack + 86534;
 memset(int_stack,0,94724*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 94724;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mdki(Libint, Data);
   Data++;
 }
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+94724,int_stack+1980,int_stack+0,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+100664,int_stack+4455,int_stack+1980,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+108089,int_stack+100664,int_stack+94724,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+119969,int_stack+7480,int_stack+4455,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+129044,int_stack+119969,int_stack+100664,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+143894,int_stack+129044,int_stack+108089,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+94724,int_stack+11110,int_stack+7480,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+163694,int_stack+94724,int_stack+119969,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+181844,int_stack+163694,int_stack+129044,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+105614,int_stack+181844,int_stack+143894,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+135314,int_stack+15400,int_stack+11110,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+206594,int_stack+135314,int_stack+94724,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+228374,int_stack+206594,int_stack+163694,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+258624,int_stack+228374,int_stack+181844,55);
 /*--- compute (m0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+148184,int_stack+258624,int_stack+105614,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+94724,int_stack+20405,int_stack+15400,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+94724,int_stack+135314,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+94724,int_stack+0,int_stack+206594,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+295749,int_stack+94724,int_stack+228374,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+94724,int_stack+295749,int_stack+258624,55);
 /*--- compute (m0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+189764,int_stack+94724,int_stack+148184,55);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+94724,int_stack+28556,int_stack+26180,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+101852,int_stack+31526,int_stack+28556,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+110762,int_stack+101852,int_stack+94724,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+125018,int_stack+35156,int_stack+31526,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+135908,int_stack+125018,int_stack+101852,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+153728,int_stack+135908,int_stack+110762,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+94724,int_stack+39512,int_stack+35156,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+94724,int_stack+125018,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+245204,int_stack+0,int_stack+135908,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+107792,int_stack+245204,int_stack+153728,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+143432,int_stack+44660,int_stack+39512,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+158876,int_stack+143432,int_stack+94724,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+274904,int_stack+158876,int_stack+0,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+0,int_stack+274904,int_stack+245204,66);
 /*--- compute (n0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+311204,int_stack+0,int_stack+107792,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+245204,int_stack+50666,int_stack+44660,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+94724,int_stack+245204,int_stack+143432,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+361100,int_stack+94724,int_stack+158876,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+94724,int_stack+361100,int_stack+274904,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+245204,int_stack+94724,int_stack+0,66);
 /*--- compute (n0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+94724,int_stack+245204,int_stack+311204,66);
 /*--- compute (mp|ki) ---*/
 hrr1_build_mp(Libint->AB,int_stack+245204,int_stack+94724,int_stack+189764,1008);
 /*--- compute (o0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+60404,int_stack+57596,78);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+8424,int_stack+63914,int_stack+60404,78);
 /*--- compute (o0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+18954,int_stack+8424,int_stack+0,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+35802,int_stack+68204,int_stack+63914,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+161252,int_stack+35802,int_stack+8424,78);
 /*--- compute (o0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+182312,int_stack+161252,int_stack+18954,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+73352,int_stack+68204,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+210392,int_stack+0,int_stack+35802,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+15444,int_stack+210392,int_stack+161252,78);
 /*--- compute (o0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+411524,int_stack+15444,int_stack+182312,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+161252,int_stack+79436,int_stack+73352,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+179504,int_stack+161252,int_stack+0,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+453644,int_stack+179504,int_stack+210392,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+496544,int_stack+453644,int_stack+15444,78);
 /*--- compute (o0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+0,int_stack+496544,int_stack+411524,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+411524,int_stack+86534,int_stack+79436,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+549194,int_stack+411524,int_stack+161252,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+585698,int_stack+549194,int_stack+179504,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+161252,int_stack+585698,int_stack+453644,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+549194,int_stack+161252,int_stack+496544,78);
 /*--- compute (o0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+161252,int_stack+549194,int_stack+0,78);
 /*--- compute (np|ki) ---*/
 hrr1_build_np(Libint->AB,int_stack+411524,int_stack+161252,int_stack+94724,1008);
 /*--- compute (md|ki) ---*/
 hrr1_build_md(Libint->AB,int_stack+611108,int_stack+411524,int_stack+245204,1008);
 return int_stack+611108;}
