#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mfli(Libint_t*, prim_data*);

  /* Computes quartets of (mf|li) integrals */

REALTYPE *hrr_order_mfli(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][8] = int_stack + 0;
 Libint->vrr_classes[9][9] = int_stack + 2475;
 Libint->vrr_classes[9][10] = int_stack + 5500;
 Libint->vrr_classes[9][11] = int_stack + 9130;
 Libint->vrr_classes[9][12] = int_stack + 13420;
 Libint->vrr_classes[9][13] = int_stack + 18425;
 Libint->vrr_classes[9][14] = int_stack + 24200;
 Libint->vrr_classes[10][8] = int_stack + 30800;
 Libint->vrr_classes[10][9] = int_stack + 33770;
 Libint->vrr_classes[10][10] = int_stack + 37400;
 Libint->vrr_classes[10][11] = int_stack + 41756;
 Libint->vrr_classes[10][12] = int_stack + 46904;
 Libint->vrr_classes[10][13] = int_stack + 52910;
 Libint->vrr_classes[10][14] = int_stack + 59840;
 Libint->vrr_classes[11][8] = int_stack + 67760;
 Libint->vrr_classes[11][9] = int_stack + 71270;
 Libint->vrr_classes[11][10] = int_stack + 75560;
 Libint->vrr_classes[11][11] = int_stack + 80708;
 Libint->vrr_classes[11][12] = int_stack + 86792;
 Libint->vrr_classes[11][13] = int_stack + 93890;
 Libint->vrr_classes[11][14] = int_stack + 102080;
 Libint->vrr_classes[12][8] = int_stack + 111440;
 Libint->vrr_classes[12][9] = int_stack + 115535;
 Libint->vrr_classes[12][10] = int_stack + 120540;
 Libint->vrr_classes[12][11] = int_stack + 126546;
 Libint->vrr_classes[12][12] = int_stack + 133644;
 Libint->vrr_classes[12][13] = int_stack + 141925;
 Libint->vrr_classes[12][14] = int_stack + 151480;
 memset(int_stack,0,162400*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 162400;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mfli(Libint, Data);
   Data++;
 }
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+162400,int_stack+2475,int_stack+0,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+169825,int_stack+5500,int_stack+2475,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+178900,int_stack+169825,int_stack+162400,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+193750,int_stack+9130,int_stack+5500,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+204640,int_stack+193750,int_stack+169825,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+222790,int_stack+204640,int_stack+178900,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+162400,int_stack+13420,int_stack+9130,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+247540,int_stack+162400,int_stack+193750,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+269320,int_stack+247540,int_stack+204640,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+175270,int_stack+269320,int_stack+222790,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+212395,int_stack+18425,int_stack+13420,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+299570,int_stack+212395,int_stack+162400,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+325310,int_stack+299570,int_stack+247540,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+361610,int_stack+325310,int_stack+269320,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+227410,int_stack+361610,int_stack+175270,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+162400,int_stack+24200,int_stack+18425,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+179725,int_stack+162400,int_stack+212395,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+406985,int_stack+179725,int_stack+299570,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+162400,int_stack+406985,int_stack+325310,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+279385,int_stack+162400,int_stack+361610,55);
 /*--- compute (m0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+342910,int_stack+279385,int_stack+227410,55);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+162400,int_stack+33770,int_stack+30800,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+171310,int_stack+37400,int_stack+33770,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+182200,int_stack+171310,int_stack+162400,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+200020,int_stack+41756,int_stack+37400,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+213088,int_stack+200020,int_stack+171310,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+234868,int_stack+213088,int_stack+182200,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+162400,int_stack+46904,int_stack+41756,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+264568,int_stack+162400,int_stack+200020,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+290704,int_stack+264568,int_stack+213088,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+177844,int_stack+290704,int_stack+234868,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+222394,int_stack+52910,int_stack+46904,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+412210,int_stack+222394,int_stack+162400,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+412210,int_stack+264568,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+443098,int_stack+0,int_stack+290704,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+240412,int_stack+443098,int_stack+177844,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+162400,int_stack+59840,int_stack+52910,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+183190,int_stack+162400,int_stack+222394,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+497548,int_stack+183190,int_stack+412210,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+162400,int_stack+497548,int_stack+0,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+497548,int_stack+162400,int_stack+443098,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+412210,int_stack+497548,int_stack+240412,66);
 /*--- compute (mp|li) ---*/
 hrr1_build_mp(Libint->AB,int_stack+495370,int_stack+412210,int_stack+342910,1260);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+162400,int_stack+71270,int_stack+67760,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+172930,int_stack+75560,int_stack+71270,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+185800,int_stack+172930,int_stack+162400,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+206860,int_stack+80708,int_stack+75560,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+222304,int_stack+206860,int_stack+172930,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+248044,int_stack+222304,int_stack+185800,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+162400,int_stack+86792,int_stack+80708,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+283144,int_stack+162400,int_stack+206860,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+314032,int_stack+283144,int_stack+222304,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+180652,int_stack+314032,int_stack+248044,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+233302,int_stack+93890,int_stack+86792,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+356932,int_stack+233302,int_stack+162400,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+356932,int_stack+283144,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+703270,int_stack+0,int_stack+314032,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+254596,int_stack+703270,int_stack+180652,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+162400,int_stack+102080,int_stack+93890,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+186970,int_stack+162400,int_stack+233302,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+767620,int_stack+186970,int_stack+356932,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+162400,int_stack+767620,int_stack+0,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+0,int_stack+162400,int_stack+703270,78);
 /*--- compute (o0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+703270,int_stack+0,int_stack+254596,78);
 /*--- compute (np|li) ---*/
 hrr1_build_np(Libint->AB,int_stack+162400,int_stack+703270,int_stack+412210,1260);
 /*--- compute (md|li) ---*/
 hrr1_build_md(Libint->AB,int_stack+801550,int_stack+162400,int_stack+495370,1260);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+115535,int_stack+111440,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+12285,int_stack+120540,int_stack+115535,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+27300,int_stack+12285,int_stack+0,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+51870,int_stack+126546,int_stack+120540,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+69888,int_stack+51870,int_stack+12285,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+411880,int_stack+69888,int_stack+27300,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+133644,int_stack+126546,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+452830,int_stack+0,int_stack+51870,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+488866,int_stack+452830,int_stack+69888,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+21294,int_stack+488866,int_stack+411880,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+411880,int_stack+141925,int_stack+133644,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+82719,int_stack+411880,int_stack+0,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+538916,int_stack+82719,int_stack+452830,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+598976,int_stack+538916,int_stack+488866,91);
 /*--- compute (q0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+436723,int_stack+598976,int_stack+21294,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+151480,int_stack+141925,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+28665,int_stack+0,int_stack+411880,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1217350,int_stack+28665,int_stack+82719,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+1217350,int_stack+538916,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1217350,int_stack+0,int_stack+598976,91);
 /*--- compute (q0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+1217350,int_stack+436723,91);
 /*--- compute (op|li) ---*/
 hrr1_build_op(Libint->AB,int_stack+1217350,int_stack+0,int_stack+703270,1260);
 /*--- compute (nd|li) ---*/
 hrr1_build_nd(Libint->AB,int_stack+1512190,int_stack+1217350,int_stack+162400,1260);
 /*--- compute (mf|li) ---*/
 hrr1_build_mf(Libint->AB,int_stack+0,int_stack+1512190,int_stack+801550,1260);
 return int_stack+0;}
