#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mfnl(Libint_t*, prim_data*);

  /* Computes quartets of (mf|nl) integrals */

REALTYPE *hrr_order_mfnl(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][10] = int_stack + 0;
 Libint->vrr_classes[9][11] = int_stack + 3630;
 Libint->vrr_classes[9][12] = int_stack + 7920;
 Libint->vrr_classes[9][13] = int_stack + 12925;
 Libint->vrr_classes[9][14] = int_stack + 18700;
 Libint->vrr_classes[9][15] = int_stack + 25300;
 Libint->vrr_classes[9][16] = int_stack + 32780;
 Libint->vrr_classes[9][17] = int_stack + 41195;
 Libint->vrr_classes[9][18] = int_stack + 50600;
 Libint->vrr_classes[10][10] = int_stack + 61050;
 Libint->vrr_classes[10][11] = int_stack + 65406;
 Libint->vrr_classes[10][12] = int_stack + 70554;
 Libint->vrr_classes[10][13] = int_stack + 76560;
 Libint->vrr_classes[10][14] = int_stack + 83490;
 Libint->vrr_classes[10][15] = int_stack + 91410;
 Libint->vrr_classes[10][16] = int_stack + 100386;
 Libint->vrr_classes[10][17] = int_stack + 110484;
 Libint->vrr_classes[10][18] = int_stack + 121770;
 Libint->vrr_classes[11][10] = int_stack + 134310;
 Libint->vrr_classes[11][11] = int_stack + 139458;
 Libint->vrr_classes[11][12] = int_stack + 145542;
 Libint->vrr_classes[11][13] = int_stack + 152640;
 Libint->vrr_classes[11][14] = int_stack + 160830;
 Libint->vrr_classes[11][15] = int_stack + 170190;
 Libint->vrr_classes[11][16] = int_stack + 180798;
 Libint->vrr_classes[11][17] = int_stack + 192732;
 Libint->vrr_classes[11][18] = int_stack + 206070;
 Libint->vrr_classes[12][10] = int_stack + 220890;
 Libint->vrr_classes[12][11] = int_stack + 226896;
 Libint->vrr_classes[12][12] = int_stack + 233994;
 Libint->vrr_classes[12][13] = int_stack + 242275;
 Libint->vrr_classes[12][14] = int_stack + 251830;
 Libint->vrr_classes[12][15] = int_stack + 262750;
 Libint->vrr_classes[12][16] = int_stack + 275126;
 Libint->vrr_classes[12][17] = int_stack + 289049;
 Libint->vrr_classes[12][18] = int_stack + 304610;
 memset(int_stack,0,321900*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 321900;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mfnl(Libint, Data);
   Data++;
 }
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+321900,int_stack+3630,int_stack+0,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+332790,int_stack+7920,int_stack+3630,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+345660,int_stack+332790,int_stack+321900,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+367440,int_stack+12925,int_stack+7920,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+382455,int_stack+367440,int_stack+332790,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+408195,int_stack+382455,int_stack+345660,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+321900,int_stack+18700,int_stack+12925,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+444495,int_stack+321900,int_stack+367440,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+339225,int_stack+444495,int_stack+382455,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+474525,int_stack+339225,int_stack+408195,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+382125,int_stack+25300,int_stack+18700,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+401925,int_stack+382125,int_stack+321900,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+528975,int_stack+401925,int_stack+444495,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+579025,int_stack+528975,int_stack+339225,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+643375,int_stack+579025,int_stack+474525,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+321900,int_stack+32780,int_stack+25300,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+436575,int_stack+321900,int_stack+382125,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+719605,int_stack+436575,int_stack+401925,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+344340,int_stack+719605,int_stack+528975,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+476175,int_stack+344340,int_stack+579025,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+777355,int_stack+476175,int_stack+643375,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+566265,int_stack+41195,int_stack+32780,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+591510,int_stack+566265,int_stack+321900,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+636390,int_stack+591510,int_stack+436575,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+878995,int_stack+636390,int_stack+719605,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+965620,int_stack+878995,int_stack+344340,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+321900,int_stack+965620,int_stack+476175,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1070725,int_stack+321900,int_stack+777355,55);
 /*--- compute (m0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+442020,int_stack+50600,int_stack+41195,55);
 /*--- compute (m0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+470235,int_stack+442020,int_stack+566265,55);
 /*--- compute (m0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+702390,int_stack+470235,int_stack+591510,55);
 /*--- compute (m0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+442020,int_stack+702390,int_stack+636390,55);
 /*--- compute (m0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+541020,int_stack+442020,int_stack+878995,55);
 /*--- compute (m0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+662295,int_stack+541020,int_stack+965620,55);
 /*--- compute (m0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+442020,int_stack+662295,int_stack+321900,55);
 /*--- compute (m0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+596460,int_stack+442020,int_stack+1070725,55);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+321900,int_stack+65406,int_stack+61050,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+334968,int_stack+70554,int_stack+65406,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+350412,int_stack+334968,int_stack+321900,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+376548,int_stack+76560,int_stack+70554,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+394566,int_stack+376548,int_stack+334968,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+425454,int_stack+394566,int_stack+350412,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+321900,int_stack+83490,int_stack+76560,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+469014,int_stack+321900,int_stack+376548,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+342690,int_stack+469014,int_stack+394566,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+505050,int_stack+342690,int_stack+425454,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+394170,int_stack+91410,int_stack+83490,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+417930,int_stack+394170,int_stack+321900,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+759810,int_stack+417930,int_stack+469014,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+819870,int_stack+759810,int_stack+342690,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+897090,int_stack+819870,int_stack+505050,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+321900,int_stack+100386,int_stack+91410,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+459510,int_stack+321900,int_stack+394170,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+507030,int_stack+459510,int_stack+417930,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+348828,int_stack+507030,int_stack+759810,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+988566,int_stack+348828,int_stack+819870,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+759810,int_stack+988566,int_stack+897090,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+881778,int_stack+110484,int_stack+100386,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+912072,int_stack+881778,int_stack+321900,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1096674,int_stack+912072,int_stack+459510,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+1096674,int_stack+507030,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+438918,int_stack+0,int_stack+348828,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1175874,int_stack+438918,int_stack+988566,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1320018,int_stack+1175874,int_stack+759810,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+759810,int_stack+121770,int_stack+110484,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+793668,int_stack+759810,int_stack+881778,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+321900,int_stack+793668,int_stack+912072,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+759810,int_stack+321900,int_stack+1096674,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+878610,int_stack+759810,int_stack+0,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1476834,int_stack+878610,int_stack+438918,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+759810,int_stack+1476834,int_stack+1175874,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+945138,int_stack+759810,int_stack+1320018,66);
 /*--- compute (mp|nl) ---*/
 hrr1_build_mp(Libint->AB,int_stack+1141158,int_stack+945138,int_stack+596460,2970);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+139458,int_stack+134310,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+15444,int_stack+145542,int_stack+139458,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+33696,int_stack+15444,int_stack+0,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+64584,int_stack+152640,int_stack+145542,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+85878,int_stack+64584,int_stack+15444,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+321900,int_stack+85878,int_stack+33696,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+160830,int_stack+152640,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+373380,int_stack+0,int_stack+64584,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+24570,int_stack+373380,int_stack+85878,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+415968,int_stack+24570,int_stack+321900,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+321900,int_stack+170190,int_stack+160830,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+85410,int_stack+321900,int_stack+0,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+493188,int_stack+85410,int_stack+373380,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+564168,int_stack+493188,int_stack+24570,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+655428,int_stack+564168,int_stack+415968,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+180798,int_stack+170190,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+349980,int_stack+0,int_stack+321900,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+406140,int_stack+349980,int_stack+85410,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+31824,int_stack+406140,int_stack+493188,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+763536,int_stack+31824,int_stack+564168,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+488040,int_stack+763536,int_stack+655428,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+138294,int_stack+192732,int_stack+180798,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+632184,int_stack+138294,int_stack+0,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1631208,int_stack+632184,int_stack+349980,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1724808,int_stack+1631208,int_stack+406140,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+321900,int_stack+1724808,int_stack+31824,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1847658,int_stack+321900,int_stack+763536,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+695832,int_stack+1847658,int_stack+488040,78);
 /*--- compute (o0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+206070,int_stack+192732,78);
 /*--- compute (o0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+40014,int_stack+0,int_stack+138294,78);
 /*--- compute (o0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+111618,int_stack+40014,int_stack+632184,78);
 /*--- compute (o0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+470958,int_stack+111618,int_stack+1631208,78);
 /*--- compute (o0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+0,int_stack+470958,int_stack+1724808,78);
 /*--- compute (o0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+470958,int_stack+0,int_stack+321900,78);
 /*--- compute (o0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+0,int_stack+470958,int_stack+1847658,78);
 /*--- compute (o0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+321900,int_stack+0,int_stack+695832,78);
 /*--- compute (np|nl) ---*/
 hrr1_build_np(Libint->AB,int_stack+1631208,int_stack+321900,int_stack+945138,2970);
 /*--- compute (md|nl) ---*/
 hrr1_build_md(Libint->AB,int_stack+2219268,int_stack+1631208,int_stack+1141158,2970);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+226896,int_stack+220890,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+18018,int_stack+233994,int_stack+226896,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+39312,int_stack+18018,int_stack+0,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+75348,int_stack+242275,int_stack+233994,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+100191,int_stack+75348,int_stack+18018,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+142779,int_stack+100191,int_stack+39312,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+251830,int_stack+242275,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+553560,int_stack+0,int_stack+75348,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+28665,int_stack+553560,int_stack+100191,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+603246,int_stack+28665,int_stack+142779,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+99645,int_stack+262750,int_stack+251830,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+132405,int_stack+99645,int_stack+0,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+693336,int_stack+132405,int_stack+553560,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+776146,int_stack+693336,int_stack+28665,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+882616,int_stack+776146,int_stack+603246,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+553560,int_stack+275126,int_stack+262750,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+590688,int_stack+553560,int_stack+99645,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+590688,int_stack+132405,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+95550,int_stack+0,int_stack+693336,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1008742,int_stack+95550,int_stack+776146,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+656208,int_stack+1008742,int_stack+882616,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+824376,int_stack+289049,int_stack+275126,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+866145,int_stack+824376,int_stack+553560,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1157800,int_stack+866145,int_stack+590688,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1267000,int_stack+1157800,int_stack+0,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1410325,int_stack+1267000,int_stack+95550,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+1410325,int_stack+1008742,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+940401,int_stack+0,int_stack+656208,91);
 /*--- compute (q0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+198744,int_stack+304610,int_stack+289049,91);
 /*--- compute (q0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+553560,int_stack+198744,int_stack+824376,91);
 /*--- compute (q0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+637098,int_stack+553560,int_stack+866145,91);
 /*--- compute (q0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+760858,int_stack+637098,int_stack+1157800,91);
 /*--- compute (q0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+553560,int_stack+760858,int_stack+1267000,91);
 /*--- compute (q0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1156617,int_stack+553560,int_stack+1410325,91);
 /*--- compute (q0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+553560,int_stack+1156617,int_stack+0,91);
 /*--- compute (q0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+0,int_stack+553560,int_stack+940401,91);
 /*--- compute (op|nl) ---*/
 hrr1_build_op(Libint->AB,int_stack+553560,int_stack+0,int_stack+321900,2970);
 /*--- compute (nd|nl) ---*/
 hrr1_build_nd(Libint->AB,int_stack+3199368,int_stack+553560,int_stack+1631208,2970);
 /*--- compute (mf|nl) ---*/
 hrr1_build_mf(Libint->AB,int_stack+0,int_stack+3199368,int_stack+2219268,2970);
 return int_stack+0;}
