#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mhlk(Libint_t*, prim_data*);

  /* Computes quartets of (mh|lk) integrals */

REALTYPE *hrr_order_mhlk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][8] = int_stack + 0;
 Libint->vrr_classes[9][9] = int_stack + 2475;
 Libint->vrr_classes[9][10] = int_stack + 5500;
 Libint->vrr_classes[9][11] = int_stack + 9130;
 Libint->vrr_classes[9][12] = int_stack + 13420;
 Libint->vrr_classes[9][13] = int_stack + 18425;
 Libint->vrr_classes[9][14] = int_stack + 24200;
 Libint->vrr_classes[9][15] = int_stack + 30800;
 Libint->vrr_classes[10][8] = int_stack + 38280;
 Libint->vrr_classes[10][9] = int_stack + 41250;
 Libint->vrr_classes[10][10] = int_stack + 44880;
 Libint->vrr_classes[10][11] = int_stack + 49236;
 Libint->vrr_classes[10][12] = int_stack + 54384;
 Libint->vrr_classes[10][13] = int_stack + 60390;
 Libint->vrr_classes[10][14] = int_stack + 67320;
 Libint->vrr_classes[10][15] = int_stack + 75240;
 Libint->vrr_classes[11][8] = int_stack + 84216;
 Libint->vrr_classes[11][9] = int_stack + 87726;
 Libint->vrr_classes[11][10] = int_stack + 92016;
 Libint->vrr_classes[11][11] = int_stack + 97164;
 Libint->vrr_classes[11][12] = int_stack + 103248;
 Libint->vrr_classes[11][13] = int_stack + 110346;
 Libint->vrr_classes[11][14] = int_stack + 118536;
 Libint->vrr_classes[11][15] = int_stack + 127896;
 Libint->vrr_classes[12][8] = int_stack + 138504;
 Libint->vrr_classes[12][9] = int_stack + 142599;
 Libint->vrr_classes[12][10] = int_stack + 147604;
 Libint->vrr_classes[12][11] = int_stack + 153610;
 Libint->vrr_classes[12][12] = int_stack + 160708;
 Libint->vrr_classes[12][13] = int_stack + 168989;
 Libint->vrr_classes[12][14] = int_stack + 178544;
 Libint->vrr_classes[12][15] = int_stack + 189464;
 Libint->vrr_classes[13][8] = int_stack + 201840;
 Libint->vrr_classes[13][9] = int_stack + 206565;
 Libint->vrr_classes[13][10] = int_stack + 212340;
 Libint->vrr_classes[13][11] = int_stack + 219270;
 Libint->vrr_classes[13][12] = int_stack + 227460;
 Libint->vrr_classes[13][13] = int_stack + 237015;
 Libint->vrr_classes[13][14] = int_stack + 248040;
 Libint->vrr_classes[13][15] = int_stack + 260640;
 Libint->vrr_classes[14][8] = int_stack + 274920;
 Libint->vrr_classes[14][9] = int_stack + 280320;
 Libint->vrr_classes[14][10] = int_stack + 286920;
 Libint->vrr_classes[14][11] = int_stack + 294840;
 Libint->vrr_classes[14][12] = int_stack + 304200;
 Libint->vrr_classes[14][13] = int_stack + 315120;
 Libint->vrr_classes[14][14] = int_stack + 327720;
 Libint->vrr_classes[14][15] = int_stack + 342120;
 memset(int_stack,0,358440*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 358440;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mhlk(Libint, Data);
   Data++;
 }
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+358440,int_stack+2475,int_stack+0,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+365865,int_stack+5500,int_stack+2475,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+374940,int_stack+365865,int_stack+358440,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+389790,int_stack+9130,int_stack+5500,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+400680,int_stack+389790,int_stack+365865,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+418830,int_stack+400680,int_stack+374940,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+358440,int_stack+13420,int_stack+9130,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+443580,int_stack+358440,int_stack+389790,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+465360,int_stack+443580,int_stack+400680,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+371310,int_stack+465360,int_stack+418830,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+408435,int_stack+18425,int_stack+13420,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+495610,int_stack+408435,int_stack+358440,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+521350,int_stack+495610,int_stack+443580,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+557650,int_stack+521350,int_stack+465360,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+423450,int_stack+557650,int_stack+371310,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+358440,int_stack+24200,int_stack+18425,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+375765,int_stack+358440,int_stack+408435,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+603025,int_stack+375765,int_stack+495610,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+645925,int_stack+603025,int_stack+521350,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+475425,int_stack+645925,int_stack+557650,55);
 /*--- compute (m0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+700375,int_stack+475425,int_stack+423450,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+405795,int_stack+30800,int_stack+24200,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+425595,int_stack+405795,int_stack+358440,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+538950,int_stack+425595,int_stack+375765,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+358440,int_stack+538950,int_stack+603025,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+538950,int_stack+358440,int_stack+645925,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+358440,int_stack+538950,int_stack+475425,55);
 /*--- compute (m0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+443140,int_stack+358440,int_stack+700375,55);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+358440,int_stack+41250,int_stack+38280,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+367350,int_stack+44880,int_stack+41250,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+378240,int_stack+367350,int_stack+358440,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+396060,int_stack+49236,int_stack+44880,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+409128,int_stack+396060,int_stack+367350,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+532240,int_stack+409128,int_stack+378240,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+358440,int_stack+54384,int_stack+49236,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+561940,int_stack+358440,int_stack+396060,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+588076,int_stack+561940,int_stack+409128,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+373884,int_stack+588076,int_stack+532240,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+532240,int_stack+60390,int_stack+54384,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+624376,int_stack+532240,int_stack+358440,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+655264,int_stack+624376,int_stack+561940,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+698824,int_stack+655264,int_stack+588076,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+550258,int_stack+698824,int_stack+373884,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+358440,int_stack+67320,int_stack+60390,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+379230,int_stack+358440,int_stack+532240,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+379230,int_stack+624376,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+753274,int_stack+0,int_stack+655264,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+612628,int_stack+753274,int_stack+698824,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+818614,int_stack+612628,int_stack+550258,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+532240,int_stack+75240,int_stack+67320,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+556000,int_stack+532240,int_stack+358440,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+688858,int_stack+556000,int_stack+379230,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+358440,int_stack+688858,int_stack+0,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+901774,int_stack+358440,int_stack+753274,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+688858,int_stack+901774,int_stack+612628,66);
 /*--- compute (n0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+532240,int_stack+688858,int_stack+818614,66);
 /*--- compute (mp|lk) ---*/
 hrr1_build_mp(Libint->AB,int_stack+639160,int_stack+532240,int_stack+443140,1620);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+358440,int_stack+87726,int_stack+84216,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+368970,int_stack+92016,int_stack+87726,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+381840,int_stack+368970,int_stack+358440,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+402900,int_stack+97164,int_stack+92016,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+418344,int_stack+402900,int_stack+368970,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+444084,int_stack+418344,int_stack+381840,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+358440,int_stack+103248,int_stack+97164,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+479184,int_stack+358440,int_stack+402900,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+479184,int_stack+418344,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+376692,int_stack+0,int_stack+444084,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+429342,int_stack+110346,int_stack+103248,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+42900,int_stack+429342,int_stack+358440,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+906460,int_stack+42900,int_stack+479184,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+450636,int_stack+906460,int_stack+0,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+957940,int_stack+450636,int_stack+376692,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+118536,int_stack+110346,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+358440,int_stack+0,int_stack+429342,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1031650,int_stack+358440,int_stack+42900,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+24570,int_stack+1031650,int_stack+906460,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1092490,int_stack+24570,int_stack+450636,78);
 /*--- compute (o0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+401028,int_stack+1092490,int_stack+957940,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+906460,int_stack+127896,int_stack+118536,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+934540,int_stack+906460,int_stack+0,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1182580,int_stack+934540,int_stack+358440,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+906460,int_stack+1182580,int_stack+1031650,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1182580,int_stack+906460,int_stack+24570,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+906460,int_stack+1182580,int_stack+1092490,78);
 /*--- compute (o0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+1026580,int_stack+906460,int_stack+401028,78);
 /*--- compute (np|lk) ---*/
 hrr1_build_np(Libint->AB,int_stack+1152940,int_stack+1026580,int_stack+532240,1620);
 /*--- compute (md|lk) ---*/
 hrr1_build_md(Libint->AB,int_stack+1473700,int_stack+1152940,int_stack+639160,1620);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+358440,int_stack+142599,int_stack+138504,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+370725,int_stack+147604,int_stack+142599,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+385740,int_stack+370725,int_stack+358440,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+410310,int_stack+153610,int_stack+147604,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+428328,int_stack+410310,int_stack+370725,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+458358,int_stack+428328,int_stack+385740,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+358440,int_stack+160708,int_stack+153610,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+499308,int_stack+358440,int_stack+410310,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+535344,int_stack+499308,int_stack+428328,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+379734,int_stack+535344,int_stack+458358,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+441159,int_stack+168989,int_stack+160708,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+585394,int_stack+441159,int_stack+358440,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+627982,int_stack+585394,int_stack+499308,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+688042,int_stack+627982,int_stack+535344,91);
 /*--- compute (q0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+466002,int_stack+688042,int_stack+379734,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+358440,int_stack+178544,int_stack+168989,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+387105,int_stack+358440,int_stack+441159,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+763117,int_stack+387105,int_stack+585394,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+834097,int_stack+763117,int_stack+627982,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+551997,int_stack+834097,int_stack+688042,91);
 /*--- compute (q0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+551997,int_stack+466002,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+436791,int_stack+189464,int_stack+178544,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+469551,int_stack+436791,int_stack+358440,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+657102,int_stack+469551,int_stack+387105,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+358440,int_stack+657102,int_stack+763117,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+657102,int_stack+358440,int_stack+834097,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+358440,int_stack+657102,int_stack+551997,91);
 /*--- compute (q0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+498580,int_stack+358440,int_stack+0,91);
 /*--- compute (op|lk) ---*/
 hrr1_build_op(Libint->AB,int_stack+646000,int_stack+498580,int_stack+1026580,1620);
 /*--- compute (nd|lk) ---*/
 hrr1_build_nd(Libint->AB,int_stack+2008300,int_stack+646000,int_stack+1152940,1620);
 /*--- compute (mf|lk) ---*/
 hrr1_build_mf(Libint->AB,int_stack+2649820,int_stack+2008300,int_stack+1473700,1620);
 /*--- compute (r0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+206565,int_stack+201840,105);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+14175,int_stack+212340,int_stack+206565,105);
 /*--- compute (r0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+31500,int_stack+14175,int_stack+0,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+59850,int_stack+219270,int_stack+212340,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+80640,int_stack+59850,int_stack+14175,105);
 /*--- compute (r0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+115290,int_stack+80640,int_stack+31500,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+227460,int_stack+219270,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+162540,int_stack+0,int_stack+59850,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+358440,int_stack+162540,int_stack+80640,105);
 /*--- compute (r0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+24570,int_stack+358440,int_stack+115290,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+95445,int_stack+237015,int_stack+227460,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+416190,int_stack+95445,int_stack+0,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1025080,int_stack+416190,int_stack+162540,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+124110,int_stack+1025080,int_stack+358440,105);
 /*--- compute (r0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+1094380,int_stack+124110,int_stack+24570,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+358440,int_stack+248040,int_stack+237015,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+358440,int_stack+95445,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1193605,int_stack+0,int_stack+416190,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+391515,int_stack+1193605,int_stack+1025080,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1275505,int_stack+391515,int_stack+124110,105);
 /*--- compute (r0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+57330,int_stack+1275505,int_stack+1094380,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1025080,int_stack+260640,int_stack+248040,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1062880,int_stack+1025080,int_stack+358440,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1396780,int_stack+1062880,int_stack+0,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1025080,int_stack+1396780,int_stack+1193605,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1396780,int_stack+1025080,int_stack+391515,105);
 /*--- compute (r0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1025080,int_stack+1396780,int_stack+1275505,105);
 /*--- compute (r0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+1186780,int_stack+1025080,int_stack+57330,105);
 /*--- compute (qp|lk) ---*/
 hrr1_build_qp(Libint->AB,int_stack+1356880,int_stack+1186780,int_stack+498580,1620);
 /*--- compute (od|lk) ---*/
 hrr1_build_od(Libint->AB,int_stack+3540820,int_stack+1356880,int_stack+646000,1620);
 /*--- compute (nf|lk) ---*/
 hrr1_build_nf(Libint->AB,int_stack+4298980,int_stack+3540820,int_stack+2008300,1620);
 /*--- compute (mg|lk) ---*/
 hrr1_build_mg(Libint->AB,int_stack+5368180,int_stack+4298980,int_stack+2649820,1620);
 /*--- compute (t0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+1799140,int_stack+280320,int_stack+274920,120);
 /*--- compute (t0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+1815340,int_stack+286920,int_stack+280320,120);
 /*--- compute (t0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+1835140,int_stack+1815340,int_stack+1799140,120);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1867540,int_stack+294840,int_stack+286920,120);
 /*--- compute (t0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+1891300,int_stack+1867540,int_stack+1815340,120);
 /*--- compute (t0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+1930900,int_stack+1891300,int_stack+1835140,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1799140,int_stack+304200,int_stack+294840,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1984900,int_stack+1799140,int_stack+1867540,120);
 /*--- compute (t0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+2032420,int_stack+1984900,int_stack+1891300,120);
 /*--- compute (t0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+1827220,int_stack+2032420,int_stack+1930900,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1908220,int_stack+315120,int_stack+304200,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+2098420,int_stack+1908220,int_stack+1799140,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+2154580,int_stack+2098420,int_stack+1984900,120);
 /*--- compute (t0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+2233780,int_stack+2154580,int_stack+2032420,120);
 /*--- compute (t0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+1940980,int_stack+2233780,int_stack+1827220,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1799140,int_stack+327720,int_stack+315120,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1836940,int_stack+1799140,int_stack+1908220,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+2332780,int_stack+1836940,int_stack+2098420,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+2426380,int_stack+2332780,int_stack+2154580,120);
 /*--- compute (t0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+2054380,int_stack+2426380,int_stack+2233780,120);
 /*--- compute (t0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+2545180,int_stack+2054380,int_stack+1940980,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1902460,int_stack+342120,int_stack+327720,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1945660,int_stack+1902460,int_stack+1799140,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+2192980,int_stack+1945660,int_stack+1836940,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1799140,int_stack+2192980,int_stack+2332780,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+2192980,int_stack+1799140,int_stack+2426380,120);
 /*--- compute (t0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1799140,int_stack+2192980,int_stack+2054380,120);
 /*--- compute (t0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+1983940,int_stack+1799140,int_stack+2545180,120);
 /*--- compute (rp|lk) ---*/
 hrr1_build_rp(Libint->AB,int_stack+2178340,int_stack+1983940,int_stack+1186780,1620);
 /*--- compute (qd|lk) ---*/
 hrr1_build_qd(Libint->AB,int_stack+0,int_stack+2178340,int_stack+1356880,1620);
 /*--- compute (of|lk) ---*/
 hrr1_build_of(Libint->AB,int_stack+884520,int_stack+0,int_stack+3540820,1620);
 /*--- compute (ng|lk) ---*/
 hrr1_build_ng(Libint->AB,int_stack+2148120,int_stack+884520,int_stack+4298980,1620);
 /*--- compute (mh|lk) ---*/
 hrr1_build_mh(Libint->AB,int_stack+0,int_stack+2148120,int_stack+5368180,1620);
 return int_stack+0;}
