#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_minh(Libint_t*, prim_data*);

  /* Computes quartets of (mi|nh) integrals */

REALTYPE *hrr_order_minh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][10] = int_stack + 0;
 Libint->vrr_classes[9][11] = int_stack + 3630;
 Libint->vrr_classes[9][12] = int_stack + 7920;
 Libint->vrr_classes[9][13] = int_stack + 12925;
 Libint->vrr_classes[9][14] = int_stack + 18700;
 Libint->vrr_classes[9][15] = int_stack + 25300;
 Libint->vrr_classes[10][10] = int_stack + 32780;
 Libint->vrr_classes[10][11] = int_stack + 37136;
 Libint->vrr_classes[10][12] = int_stack + 42284;
 Libint->vrr_classes[10][13] = int_stack + 48290;
 Libint->vrr_classes[10][14] = int_stack + 55220;
 Libint->vrr_classes[10][15] = int_stack + 63140;
 Libint->vrr_classes[11][10] = int_stack + 72116;
 Libint->vrr_classes[11][11] = int_stack + 77264;
 Libint->vrr_classes[11][12] = int_stack + 83348;
 Libint->vrr_classes[11][13] = int_stack + 90446;
 Libint->vrr_classes[11][14] = int_stack + 98636;
 Libint->vrr_classes[11][15] = int_stack + 107996;
 Libint->vrr_classes[12][10] = int_stack + 118604;
 Libint->vrr_classes[12][11] = int_stack + 124610;
 Libint->vrr_classes[12][12] = int_stack + 131708;
 Libint->vrr_classes[12][13] = int_stack + 139989;
 Libint->vrr_classes[12][14] = int_stack + 149544;
 Libint->vrr_classes[12][15] = int_stack + 160464;
 Libint->vrr_classes[13][10] = int_stack + 172840;
 Libint->vrr_classes[13][11] = int_stack + 179770;
 Libint->vrr_classes[13][12] = int_stack + 187960;
 Libint->vrr_classes[13][13] = int_stack + 197515;
 Libint->vrr_classes[13][14] = int_stack + 208540;
 Libint->vrr_classes[13][15] = int_stack + 221140;
 Libint->vrr_classes[14][10] = int_stack + 235420;
 Libint->vrr_classes[14][11] = int_stack + 243340;
 Libint->vrr_classes[14][12] = int_stack + 252700;
 Libint->vrr_classes[14][13] = int_stack + 263620;
 Libint->vrr_classes[14][14] = int_stack + 276220;
 Libint->vrr_classes[14][15] = int_stack + 290620;
 Libint->vrr_classes[15][10] = int_stack + 306940;
 Libint->vrr_classes[15][11] = int_stack + 315916;
 Libint->vrr_classes[15][12] = int_stack + 326524;
 Libint->vrr_classes[15][13] = int_stack + 338900;
 Libint->vrr_classes[15][14] = int_stack + 353180;
 Libint->vrr_classes[15][15] = int_stack + 369500;
 memset(int_stack,0,387996*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 387996;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_minh(Libint, Data);
   Data++;
 }
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+387996,int_stack+3630,int_stack+0,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+398886,int_stack+7920,int_stack+3630,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+411756,int_stack+398886,int_stack+387996,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+433536,int_stack+12925,int_stack+7920,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+448551,int_stack+433536,int_stack+398886,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+474291,int_stack+448551,int_stack+411756,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+387996,int_stack+18700,int_stack+12925,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+510591,int_stack+387996,int_stack+433536,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+405321,int_stack+510591,int_stack+448551,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+540621,int_stack+405321,int_stack+474291,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+448221,int_stack+25300,int_stack+18700,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+468021,int_stack+448221,int_stack+387996,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+595071,int_stack+468021,int_stack+510591,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+448221,int_stack+595071,int_stack+405321,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+595071,int_stack+448221,int_stack+540621,55);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+387996,int_stack+37136,int_stack+32780,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+401064,int_stack+42284,int_stack+37136,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+416508,int_stack+401064,int_stack+387996,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+442644,int_stack+48290,int_stack+42284,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+460662,int_stack+442644,int_stack+401064,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+491550,int_stack+460662,int_stack+416508,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+387996,int_stack+55220,int_stack+48290,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+535110,int_stack+387996,int_stack+442644,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+408786,int_stack+535110,int_stack+460662,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+671301,int_stack+408786,int_stack+491550,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+460266,int_stack+63140,int_stack+55220,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+484026,int_stack+460266,int_stack+387996,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+484026,int_stack+535110,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+460266,int_stack+0,int_stack+408786,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+736641,int_stack+460266,int_stack+671301,66);
 /*--- compute (mp|nh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+828117,int_stack+736641,int_stack+595071,1386);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+77264,int_stack+72116,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+15444,int_stack+83348,int_stack+77264,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+33696,int_stack+15444,int_stack+0,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+387996,int_stack+90446,int_stack+83348,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+409290,int_stack+387996,int_stack+15444,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+445794,int_stack+409290,int_stack+33696,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+98636,int_stack+90446,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+24570,int_stack+0,int_stack+387996,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+497274,int_stack+24570,int_stack+409290,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+558114,int_stack+497274,int_stack+445794,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+387996,int_stack+107996,int_stack+98636,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+416076,int_stack+387996,int_stack+0,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+635334,int_stack+416076,int_stack+24570,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+635334,int_stack+497274,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+387996,int_stack+0,int_stack+558114,78);
 /*--- compute (np|nh) ---*/
 hrr1_build_np(Libint->AB,int_stack+1056807,int_stack+387996,int_stack+736641,1386);
 /*--- compute (md|nh) ---*/
 hrr1_build_md(Libint->AB,int_stack+1331235,int_stack+1056807,int_stack+828117,1386);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+124610,int_stack+118604,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+18018,int_stack+131708,int_stack+124610,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+39312,int_stack+18018,int_stack+0,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+75348,int_stack+139989,int_stack+131708,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+496104,int_stack+75348,int_stack+18018,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+538692,int_stack+496104,int_stack+39312,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+149544,int_stack+139989,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+598752,int_stack+0,int_stack+75348,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+28665,int_stack+598752,int_stack+496104,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+648438,int_stack+28665,int_stack+538692,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+496104,int_stack+160464,int_stack+149544,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+528864,int_stack+496104,int_stack+0,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+738528,int_stack+528864,int_stack+598752,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+496104,int_stack+738528,int_stack+28665,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+738528,int_stack+496104,int_stack+648438,91);
 /*--- compute (op|nh) ---*/
 hrr1_build_op(Libint->AB,int_stack+1788615,int_stack+738528,int_stack+387996,1386);
 /*--- compute (nd|nh) ---*/
 hrr1_build_nd(Libint->AB,int_stack+2112939,int_stack+1788615,int_stack+1056807,1386);
 /*--- compute (mf|nh) ---*/
 hrr1_build_mf(Libint->AB,int_stack+2661795,int_stack+2112939,int_stack+1331235,1386);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+387996,int_stack+179770,int_stack+172840,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+408786,int_stack+187960,int_stack+179770,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+433356,int_stack+408786,int_stack+387996,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+474936,int_stack+197515,int_stack+187960,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+503601,int_stack+474936,int_stack+408786,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+552741,int_stack+503601,int_stack+433356,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+387996,int_stack+208540,int_stack+197515,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+622041,int_stack+387996,int_stack+474936,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+421071,int_stack+622041,int_stack+503601,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+864654,int_stack+421071,int_stack+552741,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+502971,int_stack+221140,int_stack+208540,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+540771,int_stack+502971,int_stack+387996,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+968604,int_stack+540771,int_stack+622041,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+502971,int_stack+968604,int_stack+421071,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+968604,int_stack+502971,int_stack+864654,105);
 /*--- compute (qp|nh) ---*/
 hrr1_build_qp(Libint->AB,int_stack+1114134,int_stack+968604,int_stack+738528,1386);
 /*--- compute (od|nh) ---*/
 hrr1_build_od(Libint->AB,int_stack+3424095,int_stack+1114134,int_stack+1788615,1386);
 /*--- compute (nf|nh) ---*/
 hrr1_build_nf(Libint->AB,int_stack+4072743,int_stack+3424095,int_stack+2112939,1386);
 /*--- compute (mg|nh) ---*/
 hrr1_build_mg(Libint->AB,int_stack+1492512,int_stack+4072743,int_stack+2661795,1386);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+2635962,int_stack+243340,int_stack+235420,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+2659722,int_stack+252700,int_stack+243340,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+2687802,int_stack+2659722,int_stack+2635962,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+2735322,int_stack+263620,int_stack+252700,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+2768082,int_stack+2735322,int_stack+2659722,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+2824242,int_stack+2768082,int_stack+2687802,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+2635962,int_stack+276220,int_stack+263620,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+2903442,int_stack+2635962,int_stack+2735322,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+2673762,int_stack+2903442,int_stack+2768082,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+2968962,int_stack+2673762,int_stack+2824242,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+2767362,int_stack+290620,int_stack+276220,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+2810562,int_stack+2767362,int_stack+2635962,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+3087762,int_stack+2810562,int_stack+2903442,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+2767362,int_stack+3087762,int_stack+2673762,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+3087762,int_stack+2767362,int_stack+2968962,120);
 /*--- compute (rp|nh) ---*/
 hrr1_build_rp(Libint->AB,int_stack+2635962,int_stack+3087762,int_stack+968604,1386);
 /*--- compute (qd|nh) ---*/
 hrr1_build_qd(Libint->AB,int_stack+4987503,int_stack+2635962,int_stack+1114134,1386);
 /*--- compute (of|nh) ---*/
 hrr1_build_of(Libint->AB,int_stack+387996,int_stack+4987503,int_stack+3424095,1386);
 /*--- compute (ng|nh) ---*/
 hrr1_build_ng(Libint->AB,int_stack+5744259,int_stack+387996,int_stack+4072743,1386);
 /*--- compute (mh|nh) ---*/
 hrr1_build_mh(Libint->AB,int_stack+3254082,int_stack+5744259,int_stack+1492512,1386);
 /*--- compute (u0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+4854912,int_stack+315916,int_stack+306940,136);
 /*--- compute (u0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+4881840,int_stack+326524,int_stack+315916,136);
 /*--- compute (u0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+4913664,int_stack+4881840,int_stack+4854912,136);
 /*--- compute (u0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1469076,int_stack+338900,int_stack+326524,136);
 /*--- compute (u0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1506204,int_stack+1469076,int_stack+4881840,136);
 /*--- compute (u0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1569852,int_stack+1506204,int_stack+4913664,136);
 /*--- compute (u0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+4854912,int_stack+353180,int_stack+338900,136);
 /*--- compute (u0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+4897752,int_stack+4854912,int_stack+1469076,136);
 /*--- compute (u0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1659612,int_stack+4897752,int_stack+1506204,136);
 /*--- compute (u0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1765692,int_stack+1659612,int_stack+1569852,136);
 /*--- compute (u0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1469076,int_stack+369500,int_stack+353180,136);
 /*--- compute (u0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1518036,int_stack+1469076,int_stack+4854912,136);
 /*--- compute (u0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1900332,int_stack+1518036,int_stack+4897752,136);
 /*--- compute (u0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1469076,int_stack+1900332,int_stack+1659612,136);
 /*--- compute (u0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1900332,int_stack+1469076,int_stack+1765692,136);
 /*--- compute (tp|nh) ---*/
 hrr1_build_tp(Libint->AB,int_stack+2088828,int_stack+1900332,int_stack+3087762,1386);
 /*--- compute (rd|nh) ---*/
 hrr1_build_rd(Libint->AB,int_stack+7116399,int_stack+2088828,int_stack+2635962,1386);
 /*--- compute (qf|nh) ---*/
 hrr1_build_qf(Libint->AB,int_stack+1469076,int_stack+7116399,int_stack+4987503,1386);
 /*--- compute (og|nh) ---*/
 hrr1_build_og(Libint->AB,int_stack+7116399,int_stack+1469076,int_stack+387996,1386);
 /*--- compute (nh|nh) ---*/
 hrr1_build_nh(Libint->AB,int_stack+0,int_stack+7116399,int_stack+5744259,1386);
 /*--- compute (mi|nh) ---*/
 hrr1_build_mi(Libint->AB,int_stack+4854912,int_stack+0,int_stack+3254082,1386);
 return int_stack+4854912;}
