#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mpki(Libint_t*, prim_data*);

  /* Computes quartets of (mp|ki) integrals */

REALTYPE *hrr_order_mpki(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][7] = int_stack + 0;
 Libint->vrr_classes[9][8] = int_stack + 1980;
 Libint->vrr_classes[9][9] = int_stack + 4455;
 Libint->vrr_classes[9][10] = int_stack + 7480;
 Libint->vrr_classes[9][11] = int_stack + 11110;
 Libint->vrr_classes[9][12] = int_stack + 15400;
 Libint->vrr_classes[9][13] = int_stack + 20405;
 Libint->vrr_classes[10][7] = int_stack + 26180;
 Libint->vrr_classes[10][8] = int_stack + 28556;
 Libint->vrr_classes[10][9] = int_stack + 31526;
 Libint->vrr_classes[10][10] = int_stack + 35156;
 Libint->vrr_classes[10][11] = int_stack + 39512;
 Libint->vrr_classes[10][12] = int_stack + 44660;
 Libint->vrr_classes[10][13] = int_stack + 50666;
 memset(int_stack,0,57596*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 57596;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mpki(Libint, Data);
   Data++;
 }
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+57596,int_stack+1980,int_stack+0,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+63536,int_stack+4455,int_stack+1980,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+70961,int_stack+63536,int_stack+57596,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+82841,int_stack+7480,int_stack+4455,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+91916,int_stack+82841,int_stack+63536,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+106766,int_stack+91916,int_stack+70961,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+57596,int_stack+11110,int_stack+7480,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+126566,int_stack+57596,int_stack+82841,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+144716,int_stack+126566,int_stack+91916,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+68486,int_stack+144716,int_stack+106766,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+98186,int_stack+15400,int_stack+11110,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+169466,int_stack+98186,int_stack+57596,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+191246,int_stack+169466,int_stack+126566,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+221496,int_stack+191246,int_stack+144716,55);
 /*--- compute (m0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+111056,int_stack+221496,int_stack+68486,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+57596,int_stack+20405,int_stack+15400,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+57596,int_stack+98186,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+57596,int_stack+0,int_stack+169466,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+258621,int_stack+57596,int_stack+191246,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+57596,int_stack+258621,int_stack+221496,55);
 /*--- compute (m0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+152636,int_stack+57596,int_stack+111056,55);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+57596,int_stack+28556,int_stack+26180,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+64724,int_stack+31526,int_stack+28556,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+73634,int_stack+64724,int_stack+57596,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+87890,int_stack+35156,int_stack+31526,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+98780,int_stack+87890,int_stack+64724,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+116600,int_stack+98780,int_stack+73634,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+57596,int_stack+39512,int_stack+35156,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+57596,int_stack+87890,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+208076,int_stack+0,int_stack+98780,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+70664,int_stack+208076,int_stack+116600,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+106304,int_stack+44660,int_stack+39512,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+121748,int_stack+106304,int_stack+57596,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+237776,int_stack+121748,int_stack+0,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+0,int_stack+237776,int_stack+208076,66);
 /*--- compute (n0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+274076,int_stack+0,int_stack+70664,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+208076,int_stack+50666,int_stack+44660,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+44550,int_stack+208076,int_stack+106304,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+75438,int_stack+44550,int_stack+121748,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+323972,int_stack+75438,int_stack+237776,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+44550,int_stack+323972,int_stack+0,66);
 /*--- compute (n0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+323972,int_stack+44550,int_stack+274076,66);
 /*--- compute (mp|ki) ---*/
 hrr1_build_mp(Libint->AB,int_stack+390500,int_stack+323972,int_stack+152636,1008);
 return int_stack+390500;}
