#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mplh(Libint_t*, prim_data*);

  /* Computes quartets of (mp|lh) integrals */

REALTYPE *hrr_order_mplh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][8] = int_stack + 0;
 Libint->vrr_classes[9][9] = int_stack + 2475;
 Libint->vrr_classes[9][10] = int_stack + 5500;
 Libint->vrr_classes[9][11] = int_stack + 9130;
 Libint->vrr_classes[9][12] = int_stack + 13420;
 Libint->vrr_classes[9][13] = int_stack + 18425;
 Libint->vrr_classes[10][8] = int_stack + 24200;
 Libint->vrr_classes[10][9] = int_stack + 27170;
 Libint->vrr_classes[10][10] = int_stack + 30800;
 Libint->vrr_classes[10][11] = int_stack + 35156;
 Libint->vrr_classes[10][12] = int_stack + 40304;
 Libint->vrr_classes[10][13] = int_stack + 46310;
 memset(int_stack,0,53240*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 53240;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mplh(Libint, Data);
   Data++;
 }
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+53240,int_stack+2475,int_stack+0,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+60665,int_stack+5500,int_stack+2475,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+69740,int_stack+60665,int_stack+53240,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+84590,int_stack+9130,int_stack+5500,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+95480,int_stack+84590,int_stack+60665,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+113630,int_stack+95480,int_stack+69740,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+53240,int_stack+13420,int_stack+9130,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+138380,int_stack+53240,int_stack+84590,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+160160,int_stack+138380,int_stack+95480,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+66110,int_stack+160160,int_stack+113630,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+103235,int_stack+18425,int_stack+13420,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+190410,int_stack+103235,int_stack+53240,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+216150,int_stack+190410,int_stack+138380,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+103235,int_stack+216150,int_stack+160160,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+148610,int_stack+103235,int_stack+66110,55);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+53240,int_stack+27170,int_stack+24200,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+62150,int_stack+30800,int_stack+27170,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+73040,int_stack+62150,int_stack+53240,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+90860,int_stack+35156,int_stack+30800,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+103928,int_stack+90860,int_stack+62150,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+200585,int_stack+103928,int_stack+73040,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+53240,int_stack+40304,int_stack+35156,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+53240,int_stack+90860,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+230285,int_stack+0,int_stack+103928,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+68684,int_stack+230285,int_stack+200585,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+200585,int_stack+46310,int_stack+40304,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+113234,int_stack+200585,int_stack+53240,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+266585,int_stack+113234,int_stack+0,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+0,int_stack+266585,int_stack+230285,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+200585,int_stack+0,int_stack+68684,66);
 /*--- compute (mp|lh) ---*/
 hrr1_build_mp(Libint->AB,int_stack+262955,int_stack+200585,int_stack+148610,945);
 return int_stack+262955;}
