#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ndkk(Libint_t*, prim_data*);

  /* Computes quartets of (nd|kk) integrals */

REALTYPE *hrr_order_ndkk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][7] = int_stack + 0;
 Libint->vrr_classes[10][8] = int_stack + 2376;
 Libint->vrr_classes[10][9] = int_stack + 5346;
 Libint->vrr_classes[10][10] = int_stack + 8976;
 Libint->vrr_classes[10][11] = int_stack + 13332;
 Libint->vrr_classes[10][12] = int_stack + 18480;
 Libint->vrr_classes[10][13] = int_stack + 24486;
 Libint->vrr_classes[10][14] = int_stack + 31416;
 Libint->vrr_classes[11][7] = int_stack + 39336;
 Libint->vrr_classes[11][8] = int_stack + 42144;
 Libint->vrr_classes[11][9] = int_stack + 45654;
 Libint->vrr_classes[11][10] = int_stack + 49944;
 Libint->vrr_classes[11][11] = int_stack + 55092;
 Libint->vrr_classes[11][12] = int_stack + 61176;
 Libint->vrr_classes[11][13] = int_stack + 68274;
 Libint->vrr_classes[11][14] = int_stack + 76464;
 Libint->vrr_classes[12][7] = int_stack + 85824;
 Libint->vrr_classes[12][8] = int_stack + 89100;
 Libint->vrr_classes[12][9] = int_stack + 93195;
 Libint->vrr_classes[12][10] = int_stack + 98200;
 Libint->vrr_classes[12][11] = int_stack + 104206;
 Libint->vrr_classes[12][12] = int_stack + 111304;
 Libint->vrr_classes[12][13] = int_stack + 119585;
 Libint->vrr_classes[12][14] = int_stack + 129140;
 memset(int_stack,0,140060*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 140060;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ndkk(Libint, Data);
   Data++;
 }
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+140060,int_stack+2376,int_stack+0,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+147188,int_stack+5346,int_stack+2376,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+156098,int_stack+147188,int_stack+140060,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+170354,int_stack+8976,int_stack+5346,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+181244,int_stack+170354,int_stack+147188,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+199064,int_stack+181244,int_stack+156098,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+140060,int_stack+13332,int_stack+8976,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+222824,int_stack+140060,int_stack+170354,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+244604,int_stack+222824,int_stack+181244,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+153128,int_stack+244604,int_stack+199064,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+188768,int_stack+18480,int_stack+13332,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+274304,int_stack+188768,int_stack+140060,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+300440,int_stack+274304,int_stack+222824,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+336740,int_stack+300440,int_stack+244604,66);
 /*--- compute (n0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+204212,int_stack+336740,int_stack+153128,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+140060,int_stack+24486,int_stack+18480,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+381290,int_stack+140060,int_stack+188768,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+158078,int_stack+381290,int_stack+274304,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+412178,int_stack+158078,int_stack+300440,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+254108,int_stack+412178,int_stack+336740,66);
 /*--- compute (n0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+466628,int_stack+254108,int_stack+204212,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+201638,int_stack+31416,int_stack+24486,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+316478,int_stack+201638,int_stack+140060,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+201638,int_stack+316478,int_stack+381290,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+316478,int_stack+201638,int_stack+158078,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+140060,int_stack+316478,int_stack+412178,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+316478,int_stack+140060,int_stack+254108,66);
 /*--- compute (n0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+140060,int_stack+316478,int_stack+466628,66);
 /*--- compute (o0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+225596,int_stack+42144,int_stack+39336,78);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+234020,int_stack+45654,int_stack+42144,78);
 /*--- compute (o0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+244550,int_stack+234020,int_stack+225596,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+261398,int_stack+49944,int_stack+45654,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+274268,int_stack+261398,int_stack+234020,78);
 /*--- compute (o0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+295328,int_stack+274268,int_stack+244550,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+225596,int_stack+55092,int_stack+49944,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+323408,int_stack+225596,int_stack+261398,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+349148,int_stack+323408,int_stack+274268,78);
 /*--- compute (o0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+241040,int_stack+349148,int_stack+295328,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+283160,int_stack+61176,int_stack+55092,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+384248,int_stack+283160,int_stack+225596,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+415136,int_stack+384248,int_stack+323408,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+458036,int_stack+415136,int_stack+349148,78);
 /*--- compute (o0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+301412,int_stack+458036,int_stack+241040,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+225596,int_stack+68274,int_stack+61176,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+225596,int_stack+283160,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+246890,int_stack+0,int_stack+384248,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+510686,int_stack+246890,int_stack+415136,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+360380,int_stack+510686,int_stack+458036,78);
 /*--- compute (o0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+575036,int_stack+360380,int_stack+301412,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+298370,int_stack+76464,int_stack+68274,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+434090,int_stack+298370,int_stack+225596,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+298370,int_stack+434090,int_stack+0,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+298370,int_stack+246890,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+225596,int_stack+0,int_stack+510686,78);
 /*--- compute (o0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+434090,int_stack+225596,int_stack+360380,78);
 /*--- compute (o0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+225596,int_stack+434090,int_stack+575036,78);
 /*--- compute (np|kk) ---*/
 hrr1_build_np(Libint->AB,int_stack+326684,int_stack+225596,int_stack+140060,1296);
 /*--- compute (q0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+140060,int_stack+89100,int_stack+85824,91);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+149888,int_stack+93195,int_stack+89100,91);
 /*--- compute (q0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+162173,int_stack+149888,int_stack+140060,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+181829,int_stack+98200,int_stack+93195,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+196844,int_stack+181829,int_stack+149888,91);
 /*--- compute (q0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+583292,int_stack+196844,int_stack+162173,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+140060,int_stack+104206,int_stack+98200,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+616052,int_stack+140060,int_stack+181829,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+616052,int_stack+196844,91);
 /*--- compute (q0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+158078,int_stack+0,int_stack+583292,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+583292,int_stack+111304,int_stack+104206,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+40950,int_stack+583292,int_stack+140060,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+646082,int_stack+40950,int_stack+616052,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+696132,int_stack+646082,int_stack+0,91);
 /*--- compute (q0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+757557,int_stack+696132,int_stack+158078,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+119585,int_stack+111304,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+140060,int_stack+0,int_stack+583292,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+583292,int_stack+140060,int_stack+40950,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+24843,int_stack+583292,int_stack+646082,91);
 /*--- compute (q0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+826353,int_stack+24843,int_stack+696132,91);
 /*--- compute (q0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+643352,int_stack+826353,int_stack+757557,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+735080,int_stack+129140,int_stack+119585,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+763745,int_stack+735080,int_stack+0,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+912348,int_stack+763745,int_stack+140060,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+735080,int_stack+912348,int_stack+583292,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+99918,int_stack+735080,int_stack+24843,91);
 /*--- compute (q0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+912348,int_stack+99918,int_stack+826353,91);
 /*--- compute (q0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+735080,int_stack+912348,int_stack+643352,91);
 /*--- compute (op|kk) ---*/
 hrr1_build_op(Libint->AB,int_stack+853016,int_stack+735080,int_stack+225596,1296);
 /*--- compute (nd|kk) ---*/
 hrr1_build_nd(Libint->AB,int_stack+1156280,int_stack+853016,int_stack+326684,1296);
 return int_stack+1156280;}
