#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_nfml(Libint_t*, prim_data*);

  /* Computes quartets of (nf|ml) integrals */

REALTYPE *hrr_order_nfml(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][9] = int_stack + 0;
 Libint->vrr_classes[10][10] = int_stack + 3630;
 Libint->vrr_classes[10][11] = int_stack + 7986;
 Libint->vrr_classes[10][12] = int_stack + 13134;
 Libint->vrr_classes[10][13] = int_stack + 19140;
 Libint->vrr_classes[10][14] = int_stack + 26070;
 Libint->vrr_classes[10][15] = int_stack + 33990;
 Libint->vrr_classes[10][16] = int_stack + 42966;
 Libint->vrr_classes[10][17] = int_stack + 53064;
 Libint->vrr_classes[11][9] = int_stack + 64350;
 Libint->vrr_classes[11][10] = int_stack + 68640;
 Libint->vrr_classes[11][11] = int_stack + 73788;
 Libint->vrr_classes[11][12] = int_stack + 79872;
 Libint->vrr_classes[11][13] = int_stack + 86970;
 Libint->vrr_classes[11][14] = int_stack + 95160;
 Libint->vrr_classes[11][15] = int_stack + 104520;
 Libint->vrr_classes[11][16] = int_stack + 115128;
 Libint->vrr_classes[11][17] = int_stack + 127062;
 Libint->vrr_classes[12][9] = int_stack + 140400;
 Libint->vrr_classes[12][10] = int_stack + 145405;
 Libint->vrr_classes[12][11] = int_stack + 151411;
 Libint->vrr_classes[12][12] = int_stack + 158509;
 Libint->vrr_classes[12][13] = int_stack + 166790;
 Libint->vrr_classes[12][14] = int_stack + 176345;
 Libint->vrr_classes[12][15] = int_stack + 187265;
 Libint->vrr_classes[12][16] = int_stack + 199641;
 Libint->vrr_classes[12][17] = int_stack + 213564;
 Libint->vrr_classes[13][9] = int_stack + 229125;
 Libint->vrr_classes[13][10] = int_stack + 234900;
 Libint->vrr_classes[13][11] = int_stack + 241830;
 Libint->vrr_classes[13][12] = int_stack + 250020;
 Libint->vrr_classes[13][13] = int_stack + 259575;
 Libint->vrr_classes[13][14] = int_stack + 270600;
 Libint->vrr_classes[13][15] = int_stack + 283200;
 Libint->vrr_classes[13][16] = int_stack + 297480;
 Libint->vrr_classes[13][17] = int_stack + 313545;
 memset(int_stack,0,331500*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 331500;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_nfml(Libint, Data);
   Data++;
 }
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+331500,int_stack+3630,int_stack+0,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+342390,int_stack+7986,int_stack+3630,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+355458,int_stack+342390,int_stack+331500,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+377238,int_stack+13134,int_stack+7986,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+392682,int_stack+377238,int_stack+342390,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+418818,int_stack+392682,int_stack+355458,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+331500,int_stack+19140,int_stack+13134,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+455118,int_stack+331500,int_stack+377238,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+486006,int_stack+455118,int_stack+392682,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+349518,int_stack+486006,int_stack+418818,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+403968,int_stack+26070,int_stack+19140,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+529566,int_stack+403968,int_stack+331500,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+565602,int_stack+529566,int_stack+455118,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+617082,int_stack+565602,int_stack+486006,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+424758,int_stack+617082,int_stack+349518,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+331500,int_stack+33990,int_stack+26070,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+355260,int_stack+331500,int_stack+403968,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+682422,int_stack+355260,int_stack+529566,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+742482,int_stack+682422,int_stack+565602,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+500988,int_stack+742482,int_stack+617082,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+819702,int_stack+500988,int_stack+424758,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+396840,int_stack+42966,int_stack+33990,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+423768,int_stack+396840,int_stack+331500,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+592464,int_stack+423768,int_stack+355260,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+921342,int_stack+592464,int_stack+682422,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1011432,int_stack+921342,int_stack+742482,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+661764,int_stack+1011432,int_stack+500988,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1119540,int_stack+661764,int_stack+819702,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+331500,int_stack+53064,int_stack+42966,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+471288,int_stack+331500,int_stack+396840,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+331500,int_stack+471288,int_stack+423768,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+410700,int_stack+331500,int_stack+592464,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+514650,int_stack+410700,int_stack+921342,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+331500,int_stack+514650,int_stack+1011432,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+475644,int_stack+331500,int_stack+661764,66);
 /*--- compute (n0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+632460,int_stack+475644,int_stack+1119540,66);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+331500,int_stack+68640,int_stack+64350,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+344370,int_stack+73788,int_stack+68640,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+359814,int_stack+344370,int_stack+331500,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+385554,int_stack+79872,int_stack+73788,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+403806,int_stack+385554,int_stack+344370,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+434694,int_stack+403806,int_stack+359814,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+331500,int_stack+86970,int_stack+79872,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+477594,int_stack+331500,int_stack+385554,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+514098,int_stack+477594,int_stack+403806,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+352794,int_stack+514098,int_stack+434694,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+417144,int_stack+95160,int_stack+86970,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+565578,int_stack+417144,int_stack+331500,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+795810,int_stack+565578,int_stack+477594,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+856650,int_stack+795810,int_stack+514098,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+441714,int_stack+856650,int_stack+352794,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+331500,int_stack+104520,int_stack+95160,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+359580,int_stack+331500,int_stack+417144,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+933870,int_stack+359580,int_stack+565578,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+531804,int_stack+933870,int_stack+795810,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1004850,int_stack+531804,int_stack+856650,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+795810,int_stack+1004850,int_stack+441714,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+408720,int_stack+115128,int_stack+104520,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+440544,int_stack+408720,int_stack+331500,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1112958,int_stack+440544,int_stack+359580,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+1112958,int_stack+933870,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1194858,int_stack+0,int_stack+531804,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1322622,int_stack+1194858,int_stack+1004850,78);
 /*--- compute (o0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+915930,int_stack+1322622,int_stack+795810,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+795810,int_stack+127062,int_stack+115128,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+831612,int_stack+795810,int_stack+408720,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+331500,int_stack+831612,int_stack+440544,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+425100,int_stack+331500,int_stack+1112958,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1466766,int_stack+425100,int_stack+0,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+331500,int_stack+1466766,int_stack+1194858,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1070370,int_stack+331500,int_stack+1322622,78);
 /*--- compute (o0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+331500,int_stack+1070370,int_stack+915930,78);
 /*--- compute (np|ml) ---*/
 hrr1_build_np(Libint->AB,int_stack+795810,int_stack+331500,int_stack+632460,2475);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+524550,int_stack+145405,int_stack+140400,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+539565,int_stack+151411,int_stack+145405,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+557583,int_stack+539565,int_stack+524550,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+587613,int_stack+158509,int_stack+151411,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+608907,int_stack+587613,int_stack+539565,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+644943,int_stack+608907,int_stack+557583,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+524550,int_stack+166790,int_stack+158509,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+694993,int_stack+524550,int_stack+587613,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+694993,int_stack+608907,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+549393,int_stack+0,int_stack+644943,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+624468,int_stack+176345,int_stack+166790,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+737581,int_stack+624468,int_stack+524550,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+60060,int_stack+737581,int_stack+694993,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1285860,int_stack+60060,int_stack+0,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1375950,int_stack+1285860,int_stack+549393,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+187265,int_stack+176345,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+524550,int_stack+0,int_stack+624468,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+581880,int_stack+524550,int_stack+737581,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+664690,int_stack+581880,int_stack+60060,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+32760,int_stack+664690,int_stack+1285860,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1481055,int_stack+32760,int_stack+1375950,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1285860,int_stack+199641,int_stack+187265,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1322988,int_stack+1285860,int_stack+0,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1621195,int_stack+1322988,int_stack+524550,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1716745,int_stack+1621195,int_stack+581880,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1840960,int_stack+1716745,int_stack+664690,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+524550,int_stack+1840960,int_stack+32760,91);
 /*--- compute (q0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+0,int_stack+524550,int_stack+1481055,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+692718,int_stack+213564,int_stack+199641,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1388508,int_stack+692718,int_stack+1285860,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1462764,int_stack+1388508,int_stack+1322988,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1285860,int_stack+1462764,int_stack+1621195,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1429185,int_stack+1285860,int_stack+1716745,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1603086,int_stack+1429185,int_stack+1840960,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1285860,int_stack+1603086,int_stack+524550,91);
 /*--- compute (q0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+524550,int_stack+1285860,int_stack+0,91);
 /*--- compute (op|ml) ---*/
 hrr1_build_op(Libint->AB,int_stack+1285860,int_stack+524550,int_stack+331500,2475);
 /*--- compute (nd|ml) ---*/
 hrr1_build_nd(Libint->AB,int_stack+1865010,int_stack+1285860,int_stack+795810,2475);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+331500,int_stack+234900,int_stack+229125,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+348825,int_stack+241830,int_stack+234900,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+369615,int_stack+348825,int_stack+331500,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+404265,int_stack+250020,int_stack+241830,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+428835,int_stack+404265,int_stack+348825,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+0,int_stack+428835,int_stack+369615,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+331500,int_stack+259575,int_stack+250020,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+470415,int_stack+331500,int_stack+404265,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+57750,int_stack+470415,int_stack+428835,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+360165,int_stack+57750,int_stack+0,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+270600,int_stack+259575,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+127050,int_stack+0,int_stack+331500,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+184380,int_stack+127050,int_stack+470415,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+749775,int_stack+184380,int_stack+57750,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+853725,int_stack+749775,int_stack+360165,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+331500,int_stack+283200,int_stack+270600,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+369300,int_stack+331500,int_stack+0,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+369300,int_stack+127050,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+975000,int_stack+0,int_stack+184380,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+95550,int_stack+975000,int_stack+749775,105);
 /*--- compute (r0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1097850,int_stack+95550,int_stack+853725,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+749775,int_stack+297480,int_stack+283200,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+792615,int_stack+749775,int_stack+331500,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+2845110,int_stack+792615,int_stack+369300,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+331500,int_stack+2845110,int_stack+0,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+2955360,int_stack+331500,int_stack+975000,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+868215,int_stack+2955360,int_stack+95550,105);
 /*--- compute (r0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+0,int_stack+868215,int_stack+1097850,105);
 /*--- compute (r0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+207900,int_stack+313545,int_stack+297480,105);
 /*--- compute (r0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1062255,int_stack+207900,int_stack+749775,105);
 /*--- compute (r0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1147935,int_stack+1062255,int_stack+792615,105);
 /*--- compute (r0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+3127350,int_stack+1147935,int_stack+2845110,105);
 /*--- compute (r0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1062255,int_stack+3127350,int_stack+331500,105);
 /*--- compute (r0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+207900,int_stack+1062255,int_stack+2955360,105);
 /*--- compute (r0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2845110,int_stack+207900,int_stack+868215,105);
 /*--- compute (r0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+207900,int_stack+2845110,int_stack+0,105);
 /*--- compute (qp|ml) ---*/
 hrr1_build_qp(Libint->AB,int_stack+2845110,int_stack+207900,int_stack+524550,2475);
 /*--- compute (od|ml) ---*/
 hrr1_build_od(Libint->AB,int_stack+0,int_stack+2845110,int_stack+1285860,2475);
 /*--- compute (nf|ml) ---*/
 hrr1_build_nf(Libint->AB,int_stack+2845110,int_stack+0,int_stack+1865010,2475);
 return int_stack+2845110;}
