#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ngli(Libint_t*, prim_data*);

  /* Computes quartets of (ng|li) integrals */

REALTYPE *hrr_order_ngli(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][8] = int_stack + 0;
 Libint->vrr_classes[10][9] = int_stack + 2970;
 Libint->vrr_classes[10][10] = int_stack + 6600;
 Libint->vrr_classes[10][11] = int_stack + 10956;
 Libint->vrr_classes[10][12] = int_stack + 16104;
 Libint->vrr_classes[10][13] = int_stack + 22110;
 Libint->vrr_classes[10][14] = int_stack + 29040;
 Libint->vrr_classes[11][8] = int_stack + 36960;
 Libint->vrr_classes[11][9] = int_stack + 40470;
 Libint->vrr_classes[11][10] = int_stack + 44760;
 Libint->vrr_classes[11][11] = int_stack + 49908;
 Libint->vrr_classes[11][12] = int_stack + 55992;
 Libint->vrr_classes[11][13] = int_stack + 63090;
 Libint->vrr_classes[11][14] = int_stack + 71280;
 Libint->vrr_classes[12][8] = int_stack + 80640;
 Libint->vrr_classes[12][9] = int_stack + 84735;
 Libint->vrr_classes[12][10] = int_stack + 89740;
 Libint->vrr_classes[12][11] = int_stack + 95746;
 Libint->vrr_classes[12][12] = int_stack + 102844;
 Libint->vrr_classes[12][13] = int_stack + 111125;
 Libint->vrr_classes[12][14] = int_stack + 120680;
 Libint->vrr_classes[13][8] = int_stack + 131600;
 Libint->vrr_classes[13][9] = int_stack + 136325;
 Libint->vrr_classes[13][10] = int_stack + 142100;
 Libint->vrr_classes[13][11] = int_stack + 149030;
 Libint->vrr_classes[13][12] = int_stack + 157220;
 Libint->vrr_classes[13][13] = int_stack + 166775;
 Libint->vrr_classes[13][14] = int_stack + 177800;
 Libint->vrr_classes[14][8] = int_stack + 190400;
 Libint->vrr_classes[14][9] = int_stack + 195800;
 Libint->vrr_classes[14][10] = int_stack + 202400;
 Libint->vrr_classes[14][11] = int_stack + 210320;
 Libint->vrr_classes[14][12] = int_stack + 219680;
 Libint->vrr_classes[14][13] = int_stack + 230600;
 Libint->vrr_classes[14][14] = int_stack + 243200;
 memset(int_stack,0,257600*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 257600;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ngli(Libint, Data);
   Data++;
 }
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+257600,int_stack+2970,int_stack+0,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+266510,int_stack+6600,int_stack+2970,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+277400,int_stack+266510,int_stack+257600,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+295220,int_stack+10956,int_stack+6600,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+308288,int_stack+295220,int_stack+266510,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+330068,int_stack+308288,int_stack+277400,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+257600,int_stack+16104,int_stack+10956,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+359768,int_stack+257600,int_stack+295220,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+385904,int_stack+359768,int_stack+308288,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+273044,int_stack+385904,int_stack+330068,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+317594,int_stack+22110,int_stack+16104,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+422204,int_stack+317594,int_stack+257600,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+453092,int_stack+422204,int_stack+359768,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+496652,int_stack+453092,int_stack+385904,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+335612,int_stack+496652,int_stack+273044,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+257600,int_stack+29040,int_stack+22110,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+278390,int_stack+257600,int_stack+317594,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+551102,int_stack+278390,int_stack+422204,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+257600,int_stack+551102,int_stack+453092,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+397982,int_stack+257600,int_stack+496652,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+474212,int_stack+397982,int_stack+335612,66);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+257600,int_stack+40470,int_stack+36960,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+268130,int_stack+44760,int_stack+40470,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+281000,int_stack+268130,int_stack+257600,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+302060,int_stack+49908,int_stack+44760,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+317504,int_stack+302060,int_stack+268130,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+343244,int_stack+317504,int_stack+281000,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+257600,int_stack+55992,int_stack+49908,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+378344,int_stack+257600,int_stack+302060,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+409232,int_stack+378344,int_stack+317504,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+275852,int_stack+409232,int_stack+343244,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+328502,int_stack+63090,int_stack+55992,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+557372,int_stack+328502,int_stack+257600,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+557372,int_stack+378344,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+593876,int_stack+0,int_stack+409232,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+349796,int_stack+593876,int_stack+275852,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+257600,int_stack+71280,int_stack+63090,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+282170,int_stack+257600,int_stack+328502,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+658226,int_stack+282170,int_stack+557372,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+257600,int_stack+658226,int_stack+0,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+658226,int_stack+257600,int_stack+593876,78);
 /*--- compute (o0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+557372,int_stack+658226,int_stack+349796,78);
 /*--- compute (np|li) ---*/
 hrr1_build_np(Libint->AB,int_stack+655652,int_stack+557372,int_stack+474212,1260);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+257600,int_stack+84735,int_stack+80640,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+269885,int_stack+89740,int_stack+84735,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+284900,int_stack+269885,int_stack+257600,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+309470,int_stack+95746,int_stack+89740,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+327488,int_stack+309470,int_stack+269885,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+357518,int_stack+327488,int_stack+284900,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+257600,int_stack+102844,int_stack+95746,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+398468,int_stack+257600,int_stack+309470,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+434504,int_stack+398468,int_stack+327488,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+278894,int_stack+434504,int_stack+357518,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+340319,int_stack+111125,int_stack+102844,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+484554,int_stack+340319,int_stack+257600,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+484554,int_stack+398468,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+905132,int_stack+0,int_stack+434504,91);
 /*--- compute (q0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+365162,int_stack+905132,int_stack+278894,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+257600,int_stack+120680,int_stack+111125,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+286265,int_stack+257600,int_stack+340319,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+60060,int_stack+286265,int_stack+484554,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+257600,int_stack+60060,int_stack+0,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+0,int_stack+257600,int_stack+905132,91);
 /*--- compute (q0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+905132,int_stack+0,int_stack+365162,91);
 /*--- compute (op|li) ---*/
 hrr1_build_op(Libint->AB,int_stack+257600,int_stack+905132,int_stack+557372,1260);
 /*--- compute (nd|li) ---*/
 hrr1_build_nd(Libint->AB,int_stack+1019792,int_stack+257600,int_stack+655652,1260);
 /*--- compute (r0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+136325,int_stack+131600,105);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+14175,int_stack+142100,int_stack+136325,105);
 /*--- compute (r0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+31500,int_stack+14175,int_stack+0,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+59850,int_stack+149030,int_stack+142100,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+80640,int_stack+59850,int_stack+14175,105);
 /*--- compute (r0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+552440,int_stack+80640,int_stack+31500,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+157220,int_stack+149030,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+115290,int_stack+0,int_stack+59850,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+599690,int_stack+115290,int_stack+80640,105);
 /*--- compute (r0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+24570,int_stack+599690,int_stack+552440,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+552440,int_stack+166775,int_stack+157220,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+657440,int_stack+552440,int_stack+0,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+706580,int_stack+657440,int_stack+115290,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+775880,int_stack+706580,int_stack+599690,105);
 /*--- compute (r0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+1518752,int_stack+775880,int_stack+24570,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+177800,int_stack+166775,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+33075,int_stack+0,int_stack+552440,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+552440,int_stack+33075,int_stack+657440,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+552440,int_stack+706580,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+552440,int_stack+0,int_stack+775880,105);
 /*--- compute (r0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+552440,int_stack+1518752,105);
 /*--- compute (qp|li) ---*/
 hrr1_build_qp(Libint->AB,int_stack+552440,int_stack+0,int_stack+905132,1260);
 /*--- compute (od|li) ---*/
 hrr1_build_od(Libint->AB,int_stack+1518752,int_stack+552440,int_stack+257600,1260);
 /*--- compute (nf|li) ---*/
 hrr1_build_nf(Libint->AB,int_stack+2108432,int_stack+1518752,int_stack+1019792,1260);
 /*--- compute (t0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+257600,int_stack+195800,int_stack+190400,120);
 /*--- compute (t0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+273800,int_stack+202400,int_stack+195800,120);
 /*--- compute (t0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+293600,int_stack+273800,int_stack+257600,120);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+326000,int_stack+210320,int_stack+202400,120);
 /*--- compute (t0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+349760,int_stack+326000,int_stack+273800,120);
 /*--- compute (t0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+389360,int_stack+349760,int_stack+293600,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+257600,int_stack+219680,int_stack+210320,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+443360,int_stack+257600,int_stack+326000,120);
 /*--- compute (t0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+896420,int_stack+443360,int_stack+349760,120);
 /*--- compute (t0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+285680,int_stack+896420,int_stack+389360,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+366680,int_stack+230600,int_stack+219680,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+490880,int_stack+366680,int_stack+257600,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+962420,int_stack+490880,int_stack+443360,120);
 /*--- compute (t0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+1041620,int_stack+962420,int_stack+896420,120);
 /*--- compute (t0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+1140620,int_stack+1041620,int_stack+285680,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+896420,int_stack+243200,int_stack+230600,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+399440,int_stack+896420,int_stack+366680,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1254020,int_stack+399440,int_stack+490880,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1347620,int_stack+1254020,int_stack+962420,120);
 /*--- compute (t0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+896420,int_stack+1347620,int_stack+1041620,120);
 /*--- compute (t0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+1254020,int_stack+896420,int_stack+1140620,120);
 /*--- compute (rp|li) ---*/
 hrr1_build_rp(Libint->AB,int_stack+132300,int_stack+1254020,int_stack+0,1260);
 /*--- compute (qd|li) ---*/
 hrr1_build_qd(Libint->AB,int_stack+2940032,int_stack+132300,int_stack+552440,1260);
 /*--- compute (of|li) ---*/
 hrr1_build_of(Libint->AB,int_stack+0,int_stack+2940032,int_stack+1518752,1260);
 /*--- compute (ng|li) ---*/
 hrr1_build_ng(Libint->AB,int_stack+2940032,int_stack+0,int_stack+2108432,1260);
 return int_stack+2940032;}
