#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_nplf(Libint_t*, prim_data*);

  /* Computes quartets of (np|lf) integrals */

REALTYPE *hrr_order_nplf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][8] = int_stack + 0;
 Libint->vrr_classes[10][9] = int_stack + 2970;
 Libint->vrr_classes[10][10] = int_stack + 6600;
 Libint->vrr_classes[10][11] = int_stack + 10956;
 Libint->vrr_classes[11][8] = int_stack + 16104;
 Libint->vrr_classes[11][9] = int_stack + 19614;
 Libint->vrr_classes[11][10] = int_stack + 23904;
 Libint->vrr_classes[11][11] = int_stack + 29052;
 memset(int_stack,0,35136*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 35136;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_nplf(Libint, Data);
   Data++;
 }
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+35136,int_stack+2970,int_stack+0,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+44046,int_stack+6600,int_stack+2970,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+54936,int_stack+44046,int_stack+35136,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+72756,int_stack+10956,int_stack+6600,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+85824,int_stack+72756,int_stack+44046,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+107604,int_stack+85824,int_stack+54936,66);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+35136,int_stack+19614,int_stack+16104,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+45666,int_stack+23904,int_stack+19614,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+58536,int_stack+45666,int_stack+35136,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+79596,int_stack+29052,int_stack+23904,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+79596,int_stack+45666,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+137304,int_stack+0,int_stack+58536,78);
 /*--- compute (np|lf) ---*/
 hrr1_build_np(Libint->AB,int_stack+0,int_stack+137304,int_stack+107604,450);
 return int_stack+0;}
