#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_p0nk(Libint_t*, prim_data*);

  /* Computes quartets of (p0|nk) integrals */

REALTYPE *hrr_order_p0nk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[1][10] = int_stack + 0;
 Libint->vrr_classes[1][11] = int_stack + 198;
 Libint->vrr_classes[1][12] = int_stack + 432;
 Libint->vrr_classes[1][13] = int_stack + 705;
 Libint->vrr_classes[1][14] = int_stack + 1020;
 Libint->vrr_classes[1][15] = int_stack + 1380;
 Libint->vrr_classes[1][16] = int_stack + 1788;
 Libint->vrr_classes[1][17] = int_stack + 2247;
 memset(int_stack,0,2760*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 2760;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_p0nk(Libint, Data);
   Data++;
 }
 /*--- compute (p0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+2760,int_stack+198,int_stack+0,3);
 /*--- compute (p0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+3354,int_stack+432,int_stack+198,3);
 /*--- compute (p0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+4056,int_stack+3354,int_stack+2760,3);
 /*--- compute (p0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+5244,int_stack+705,int_stack+432,3);
 /*--- compute (p0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+6063,int_stack+5244,int_stack+3354,3);
 /*--- compute (p0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+7467,int_stack+6063,int_stack+4056,3);
 /*--- compute (p0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+2760,int_stack+1020,int_stack+705,3);
 /*--- compute (p0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+9447,int_stack+2760,int_stack+5244,3);
 /*--- compute (p0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+3705,int_stack+9447,int_stack+6063,3);
 /*--- compute (p0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+11085,int_stack+3705,int_stack+7467,3);
 /*--- compute (p0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+6045,int_stack+1380,int_stack+1020,3);
 /*--- compute (p0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+7125,int_stack+6045,int_stack+2760,3);
 /*--- compute (p0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+14055,int_stack+7125,int_stack+9447,3);
 /*--- compute (p0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+16785,int_stack+14055,int_stack+3705,3);
 /*--- compute (p0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+20295,int_stack+16785,int_stack+11085,3);
 /*--- compute (p0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+2760,int_stack+1788,int_stack+1380,3);
 /*--- compute (p0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+9015,int_stack+2760,int_stack+6045,3);
 /*--- compute (p0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+24453,int_stack+9015,int_stack+7125,3);
 /*--- compute (p0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+3984,int_stack+24453,int_stack+14055,3);
 /*--- compute (p0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+11175,int_stack+3984,int_stack+16785,3);
 /*--- compute (p0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+27603,int_stack+11175,int_stack+20295,3);
 /*--- compute (p0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+16089,int_stack+2247,int_stack+1788,3);
 /*--- compute (p0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+17466,int_stack+16089,int_stack+2760,3);
 /*--- compute (p0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+19914,int_stack+17466,int_stack+9015,3);
 /*--- compute (p0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+33147,int_stack+19914,int_stack+24453,3);
 /*--- compute (p0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+16089,int_stack+33147,int_stack+3984,3);
 /*--- compute (p0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+16089,int_stack+11175,3);
 /*--- compute (p0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+6552,int_stack+0,int_stack+27603,3);
 return int_stack+6552;}
