#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ppkp(Libint_t*, prim_data*);

  /* Computes quartets of (pp|kp) integrals */

REALTYPE *hrr_order_ppkp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[1][7] = int_stack + 0;
 Libint->vrr_classes[1][8] = int_stack + 108;
 Libint->vrr_classes[2][7] = int_stack + 243;
 Libint->vrr_classes[2][8] = int_stack + 459;
 memset(int_stack,0,729*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 729;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ppkp(Libint, Data);
   Data++;
 }
 /*--- compute (p0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+729,int_stack+108,int_stack+0,3);
 /*--- compute (d0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+1053,int_stack+459,int_stack+243,6);
 /*--- compute (pp|kp) ---*/
 hrr1_build_pp(Libint->AB,int_stack+1701,int_stack+1053,int_stack+729,108);
 return int_stack+1701;}
