#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ppld(Libint_t*, prim_data*);

  /* Computes quartets of (pp|ld) integrals */

REALTYPE *hrr_order_ppld(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[1][8] = int_stack + 0;
 Libint->vrr_classes[1][9] = int_stack + 135;
 Libint->vrr_classes[1][10] = int_stack + 300;
 Libint->vrr_classes[2][8] = int_stack + 498;
 Libint->vrr_classes[2][9] = int_stack + 768;
 Libint->vrr_classes[2][10] = int_stack + 1098;
 memset(int_stack,0,1494*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 1494;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ppld(Libint, Data);
   Data++;
 }
 /*--- compute (p0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+1494,int_stack+135,int_stack+0,3);
 /*--- compute (p0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+1899,int_stack+300,int_stack+135,3);
 /*--- compute (p0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+2394,int_stack+1899,int_stack+1494,3);
 /*--- compute (d0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+1494,int_stack+768,int_stack+498,6);
 /*--- compute (d0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+3204,int_stack+1098,int_stack+768,6);
 /*--- compute (d0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+4194,int_stack+3204,int_stack+1494,6);
 /*--- compute (pp|ld) ---*/
 hrr1_build_pp(Libint->AB,int_stack+5814,int_stack+4194,int_stack+2394,270);
 return int_stack+5814;}
