#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d12vrr_order_p0gp(Libderiv_t *, prim_data *);

  /* Computes derivatives of (p0|gp) integrals */

void d12hrr_order_p0gp(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[1][5][11] = int_stack + 0;
 Libderiv->deriv_classes[1][5][10] = int_stack + 63;
 Libderiv->deriv_classes[1][5][9] = int_stack + 126;
 Libderiv->deriv_classes[1][5][8] = int_stack + 189;
 Libderiv->deriv_classes[1][5][7] = int_stack + 252;
 Libderiv->dvrr_classes[1][4] = int_stack + 315;
 Libderiv->deriv_classes[1][5][6] = int_stack + 360;
 Libderiv->deriv_classes[1][5][2] = int_stack + 423;
 Libderiv->deriv_classes[1][5][1] = int_stack + 486;
 Libderiv->deriv_classes[1][5][0] = int_stack + 549;
 Libderiv->deriv2_classes[1][4][143] = int_stack + 612;
 Libderiv->deriv2_classes[1][5][143] = int_stack + 657;
 Libderiv->deriv2_classes[1][4][131] = int_stack + 720;
 Libderiv->deriv2_classes[1][5][131] = int_stack + 765;
 Libderiv->deriv2_classes[1][4][130] = int_stack + 828;
 Libderiv->deriv2_classes[1][5][130] = int_stack + 873;
 Libderiv->deriv2_classes[1][4][119] = int_stack + 936;
 Libderiv->deriv2_classes[1][5][119] = int_stack + 981;
 Libderiv->deriv2_classes[1][4][118] = int_stack + 1044;
 Libderiv->deriv2_classes[1][5][118] = int_stack + 1089;
 Libderiv->deriv2_classes[1][4][117] = int_stack + 1152;
 Libderiv->deriv2_classes[1][5][117] = int_stack + 1197;
 Libderiv->deriv2_classes[1][4][107] = int_stack + 1260;
 Libderiv->deriv2_classes[1][5][107] = int_stack + 1305;
 Libderiv->deriv2_classes[1][4][106] = int_stack + 1368;
 Libderiv->deriv2_classes[1][5][106] = int_stack + 1413;
 Libderiv->deriv2_classes[1][4][105] = int_stack + 1476;
 Libderiv->deriv2_classes[1][5][105] = int_stack + 1521;
 Libderiv->deriv2_classes[1][4][104] = int_stack + 1584;
 Libderiv->deriv2_classes[1][5][104] = int_stack + 1629;
 Libderiv->deriv2_classes[1][4][95] = int_stack + 1692;
 Libderiv->deriv2_classes[1][5][95] = int_stack + 1737;
 Libderiv->deriv2_classes[1][4][94] = int_stack + 1800;
 Libderiv->deriv2_classes[1][5][94] = int_stack + 1845;
 Libderiv->deriv2_classes[1][4][93] = int_stack + 1908;
 Libderiv->deriv2_classes[1][5][93] = int_stack + 1953;
 Libderiv->deriv2_classes[1][4][92] = int_stack + 2016;
 Libderiv->deriv2_classes[1][5][92] = int_stack + 2061;
 Libderiv->deriv2_classes[1][4][91] = int_stack + 2124;
 Libderiv->deriv2_classes[1][5][91] = int_stack + 2169;
 Libderiv->deriv_classes[1][4][11] = int_stack + 2232;
 Libderiv->deriv2_classes[1][4][83] = int_stack + 2277;
 Libderiv->deriv2_classes[1][5][83] = int_stack + 2322;
 Libderiv->deriv_classes[1][4][10] = int_stack + 2385;
 Libderiv->deriv2_classes[1][4][82] = int_stack + 2430;
 Libderiv->deriv2_classes[1][5][82] = int_stack + 2475;
 Libderiv->deriv_classes[1][4][9] = int_stack + 2538;
 Libderiv->deriv2_classes[1][4][81] = int_stack + 2583;
 Libderiv->deriv2_classes[1][5][81] = int_stack + 2628;
 Libderiv->deriv_classes[1][4][8] = int_stack + 2691;
 Libderiv->deriv2_classes[1][4][80] = int_stack + 2736;
 Libderiv->deriv2_classes[1][5][80] = int_stack + 2781;
 Libderiv->deriv_classes[1][4][7] = int_stack + 2844;
 Libderiv->deriv2_classes[1][4][79] = int_stack + 2889;
 Libderiv->deriv2_classes[1][5][79] = int_stack + 2934;
 Libderiv->deriv_classes[1][4][6] = int_stack + 2997;
 Libderiv->deriv2_classes[1][4][78] = int_stack + 3042;
 Libderiv->deriv2_classes[1][5][78] = int_stack + 3087;
 Libderiv->deriv2_classes[1][4][35] = int_stack + 3150;
 Libderiv->deriv2_classes[1][5][35] = int_stack + 3195;
 Libderiv->deriv2_classes[1][4][34] = int_stack + 3258;
 Libderiv->deriv2_classes[1][5][34] = int_stack + 3303;
 Libderiv->deriv2_classes[1][4][33] = int_stack + 3366;
 Libderiv->deriv2_classes[1][5][33] = int_stack + 3411;
 Libderiv->deriv2_classes[1][4][32] = int_stack + 3474;
 Libderiv->deriv2_classes[1][5][32] = int_stack + 3519;
 Libderiv->deriv2_classes[1][4][31] = int_stack + 3582;
 Libderiv->deriv2_classes[1][5][31] = int_stack + 3627;
 Libderiv->deriv_classes[1][4][2] = int_stack + 3690;
 Libderiv->deriv2_classes[1][4][30] = int_stack + 3735;
 Libderiv->deriv2_classes[1][5][30] = int_stack + 3780;
 Libderiv->deriv2_classes[1][4][26] = int_stack + 3843;
 Libderiv->deriv2_classes[1][5][26] = int_stack + 3888;
 Libderiv->deriv2_classes[1][4][23] = int_stack + 3951;
 Libderiv->deriv2_classes[1][5][23] = int_stack + 3996;
 Libderiv->deriv2_classes[1][4][22] = int_stack + 4059;
 Libderiv->deriv2_classes[1][5][22] = int_stack + 4104;
 Libderiv->deriv2_classes[1][4][21] = int_stack + 4167;
 Libderiv->deriv2_classes[1][5][21] = int_stack + 4212;
 Libderiv->deriv2_classes[1][4][20] = int_stack + 4275;
 Libderiv->deriv2_classes[1][5][20] = int_stack + 4320;
 Libderiv->deriv2_classes[1][4][19] = int_stack + 4383;
 Libderiv->deriv2_classes[1][5][19] = int_stack + 4428;
 Libderiv->deriv_classes[1][4][1] = int_stack + 4491;
 Libderiv->deriv2_classes[1][4][18] = int_stack + 4536;
 Libderiv->deriv2_classes[1][5][18] = int_stack + 4581;
 Libderiv->deriv2_classes[1][4][14] = int_stack + 4644;
 Libderiv->deriv2_classes[1][5][14] = int_stack + 4689;
 Libderiv->deriv2_classes[1][4][13] = int_stack + 4752;
 Libderiv->deriv2_classes[1][5][13] = int_stack + 4797;
 Libderiv->deriv2_classes[1][4][11] = int_stack + 4860;
 Libderiv->deriv2_classes[1][5][11] = int_stack + 4905;
 Libderiv->deriv2_classes[1][4][10] = int_stack + 4968;
 Libderiv->deriv2_classes[1][5][10] = int_stack + 5013;
 Libderiv->deriv2_classes[1][4][9] = int_stack + 5076;
 Libderiv->deriv2_classes[1][5][9] = int_stack + 5121;
 Libderiv->deriv2_classes[1][4][8] = int_stack + 5184;
 Libderiv->deriv2_classes[1][5][8] = int_stack + 5229;
 Libderiv->deriv2_classes[1][4][7] = int_stack + 5292;
 Libderiv->deriv2_classes[1][5][7] = int_stack + 5337;
 Libderiv->deriv_classes[1][4][0] = int_stack + 5400;
 Libderiv->deriv2_classes[1][4][6] = int_stack + 5445;
 Libderiv->deriv2_classes[1][5][6] = int_stack + 5490;
 Libderiv->deriv2_classes[1][4][2] = int_stack + 5553;
 Libderiv->deriv2_classes[1][5][2] = int_stack + 5598;
 Libderiv->deriv2_classes[1][4][1] = int_stack + 5661;
 Libderiv->deriv2_classes[1][5][1] = int_stack + 5706;
 Libderiv->deriv2_classes[1][4][0] = int_stack + 5769;
 Libderiv->deriv2_classes[1][5][0] = int_stack + 5814;
 memset(int_stack,0,47016);

 Libderiv->dvrr_stack = int_stack + 7497;
 for(i=0;i<num_prim_comb;i++) {
   d12vrr_order_p0gp(Libderiv, Data);
   Data++;
 }

 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5877,int_stack+0,int_stack+2232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+315,3);
     Libderiv->ABCD[11] = int_stack + 5877;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+6012,int_stack+63,int_stack+2385, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+315, 0.0, zero_stack,3);
     Libderiv->ABCD[10] = int_stack + 6012;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+6147,int_stack+126,int_stack+2538, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+315, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[9] = int_stack + 6147;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+0,int_stack+189,int_stack+2691, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[8] = int_stack + 0;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+6282,int_stack+252,int_stack+2844, 0.0, zero_stack, 1.0, int_stack+315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[7] = int_stack + 6282;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+135,int_stack+360,int_stack+2997, 1.0, int_stack+315, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[6] = int_stack + 135;
 /*--- compute (p0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+270,int_stack+423,int_stack+3690,3);
     Libderiv->ABCD[2] = int_stack + 270;
 /*--- compute (p0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+6417,int_stack+486,int_stack+4491,3);
     Libderiv->ABCD[1] = int_stack + 6417;
 /*--- compute (p0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+405,int_stack+549,int_stack+5400,3);
     Libderiv->ABCD[0] = int_stack + 405;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+6552,int_stack+657,int_stack+612, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+2232,3);
     Libderiv->ABCD[155] = int_stack + 6552;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+540,int_stack+765,int_stack+720, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2232, 1.0, int_stack+2385,3);
     Libderiv->ABCD[143] = int_stack + 540;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+675,int_stack+873,int_stack+828, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+2385, 0.0, zero_stack,3);
     Libderiv->ABCD[142] = int_stack + 675;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+6687,int_stack+981,int_stack+936, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2232, 0.0, zero_stack, 1.0, int_stack+2538,3);
     Libderiv->ABCD[131] = int_stack + 6687;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+810,int_stack+1089,int_stack+1044, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2385, 1.0, int_stack+2538, 0.0, zero_stack,3);
     Libderiv->ABCD[130] = int_stack + 810;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+945,int_stack+1197,int_stack+1152, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+2538, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[129] = int_stack + 945;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+1080,int_stack+1305,int_stack+1260, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2232, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2691,3);
     Libderiv->ABCD[119] = int_stack + 1080;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+1215,int_stack+1413,int_stack+1368, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2385, 0.0, zero_stack, 1.0, int_stack+2691, 0.0, zero_stack,3);
     Libderiv->ABCD[118] = int_stack + 1215;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+6822,int_stack+1521,int_stack+1476, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2538, 1.0, int_stack+2691, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[117] = int_stack + 6822;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+1350,int_stack+1629,int_stack+1584, 0.0, zero_stack, 0.0, zero_stack, 2.0, int_stack+2691, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[116] = int_stack + 1350;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+1485,int_stack+1737,int_stack+1692, 0.0, zero_stack, 1.0, int_stack+2232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2844,3);
     Libderiv->ABCD[107] = int_stack + 1485;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+1620,int_stack+1845,int_stack+1800, 0.0, zero_stack, 1.0, int_stack+2385, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2844, 0.0, zero_stack,3);
     Libderiv->ABCD[106] = int_stack + 1620;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+1755,int_stack+1953,int_stack+1908, 0.0, zero_stack, 1.0, int_stack+2538, 0.0, zero_stack, 1.0, int_stack+2844, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[105] = int_stack + 1755;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+6957,int_stack+2061,int_stack+2016, 0.0, zero_stack, 1.0, int_stack+2691, 1.0, int_stack+2844, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[104] = int_stack + 6957;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+1890,int_stack+2169,int_stack+2124, 0.0, zero_stack, 2.0, int_stack+2844, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[103] = int_stack + 1890;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+2025,int_stack+2322,int_stack+2277, 1.0, int_stack+2232, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2997,3);
     Libderiv->ABCD[95] = int_stack + 2025;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+2160,int_stack+2475,int_stack+2430, 1.0, int_stack+2385, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2997, 0.0, zero_stack,3);
     Libderiv->ABCD[94] = int_stack + 2160;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+2295,int_stack+2628,int_stack+2583, 1.0, int_stack+2538, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+2997, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[93] = int_stack + 2295;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+2430,int_stack+2781,int_stack+2736, 1.0, int_stack+2691, 0.0, zero_stack, 1.0, int_stack+2997, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[92] = int_stack + 2430;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+2565,int_stack+2934,int_stack+2889, 1.0, int_stack+2844, 1.0, int_stack+2997, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[91] = int_stack + 2565;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+2700,int_stack+3087,int_stack+3042, 2.0, int_stack+2997, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[90] = int_stack + 2700;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+2835,int_stack+3195,int_stack+3150, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3690,3);
     Libderiv->ABCD[47] = int_stack + 2835;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+2970,int_stack+3303,int_stack+3258, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3690, 0.0, zero_stack,3);
     Libderiv->ABCD[46] = int_stack + 2970;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3105,int_stack+3411,int_stack+3366, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3690, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[45] = int_stack + 3105;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3240,int_stack+3519,int_stack+3474, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[44] = int_stack + 3240;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3375,int_stack+3627,int_stack+3582, 0.0, zero_stack, 1.0, int_stack+3690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[43] = int_stack + 3375;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3510,int_stack+3780,int_stack+3735, 1.0, int_stack+3690, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[42] = int_stack + 3510;
 /*--- compute (p0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+3645,int_stack+3888,int_stack+3843,3);
     Libderiv->ABCD[38] = int_stack + 3645;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3780,int_stack+3996,int_stack+3951, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4491,3);
     Libderiv->ABCD[35] = int_stack + 3780;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+3915,int_stack+4104,int_stack+4059, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4491, 0.0, zero_stack,3);
     Libderiv->ABCD[34] = int_stack + 3915;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+7092,int_stack+4212,int_stack+4167, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4491, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[33] = int_stack + 7092;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4050,int_stack+4320,int_stack+4275, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+4491, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[32] = int_stack + 4050;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4185,int_stack+4428,int_stack+4383, 0.0, zero_stack, 1.0, int_stack+4491, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[31] = int_stack + 4185;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4320,int_stack+4581,int_stack+4536, 1.0, int_stack+4491, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[30] = int_stack + 4320;
 /*--- compute (p0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+4455,int_stack+4689,int_stack+4644,3);
     Libderiv->ABCD[26] = int_stack + 4455;
 /*--- compute (p0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+4590,int_stack+4797,int_stack+4752,3);
     Libderiv->ABCD[25] = int_stack + 4590;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4725,int_stack+4905,int_stack+4860, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5400,3);
     Libderiv->ABCD[23] = int_stack + 4725;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+7227,int_stack+5013,int_stack+4968, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5400, 0.0, zero_stack,3);
     Libderiv->ABCD[22] = int_stack + 7227;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4860,int_stack+5121,int_stack+5076, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5400, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[21] = int_stack + 4860;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+4995,int_stack+5229,int_stack+5184, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+5400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[20] = int_stack + 4995;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5130,int_stack+5337,int_stack+5292, 0.0, zero_stack, 1.0, int_stack+5400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[19] = int_stack + 5130;
 /*--- compute (p0|gp) ---*/
   d1hrr3_build_gp(Libderiv->CD,int_stack+5265,int_stack+5490,int_stack+5445, 1.0, int_stack+5400, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,3);
     Libderiv->ABCD[18] = int_stack + 5265;
 /*--- compute (p0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+5400,int_stack+5598,int_stack+5553,3);
     Libderiv->ABCD[14] = int_stack + 5400;
 /*--- compute (p0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+7362,int_stack+5706,int_stack+5661,3);
     Libderiv->ABCD[13] = int_stack + 7362;
 /*--- compute (p0|gp) ---*/
   hrr3_build_gp(Libderiv->CD,int_stack+5535,int_stack+5814,int_stack+5769,3);
     Libderiv->ABCD[12] = int_stack + 5535;

}
