#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_hfif(Libderiv_t *, prim_data *);

  /* Computes derivatives of (hf|if) integrals */

void d1hrr_order_hfif(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[5][6][11] = int_stack + 0;
 Libderiv->deriv_classes[5][7][11] = int_stack + 588;
 Libderiv->deriv_classes[5][8][11] = int_stack + 1344;
 Libderiv->deriv_classes[5][9][11] = int_stack + 2289;
 Libderiv->deriv_classes[6][6][11] = int_stack + 3444;
 Libderiv->deriv_classes[6][7][11] = int_stack + 4228;
 Libderiv->deriv_classes[6][8][11] = int_stack + 5236;
 Libderiv->deriv_classes[6][9][11] = int_stack + 6496;
 Libderiv->deriv_classes[7][6][11] = int_stack + 8036;
 Libderiv->deriv_classes[7][7][11] = int_stack + 9044;
 Libderiv->deriv_classes[7][8][11] = int_stack + 10340;
 Libderiv->deriv_classes[7][9][11] = int_stack + 11960;
 Libderiv->deriv_classes[8][6][11] = int_stack + 13940;
 Libderiv->deriv_classes[8][7][11] = int_stack + 15200;
 Libderiv->deriv_classes[8][8][11] = int_stack + 16820;
 Libderiv->deriv_classes[8][9][11] = int_stack + 18845;
 Libderiv->deriv_classes[5][6][10] = int_stack + 21320;
 Libderiv->deriv_classes[5][7][10] = int_stack + 21908;
 Libderiv->deriv_classes[5][8][10] = int_stack + 22664;
 Libderiv->deriv_classes[5][9][10] = int_stack + 23609;
 Libderiv->deriv_classes[6][6][10] = int_stack + 24764;
 Libderiv->deriv_classes[6][7][10] = int_stack + 25548;
 Libderiv->deriv_classes[6][8][10] = int_stack + 26556;
 Libderiv->deriv_classes[6][9][10] = int_stack + 27816;
 Libderiv->deriv_classes[7][6][10] = int_stack + 29356;
 Libderiv->deriv_classes[7][7][10] = int_stack + 30364;
 Libderiv->deriv_classes[7][8][10] = int_stack + 31660;
 Libderiv->deriv_classes[7][9][10] = int_stack + 33280;
 Libderiv->deriv_classes[8][6][10] = int_stack + 35260;
 Libderiv->deriv_classes[8][7][10] = int_stack + 36520;
 Libderiv->deriv_classes[8][8][10] = int_stack + 38140;
 Libderiv->deriv_classes[8][9][10] = int_stack + 40165;
 Libderiv->deriv_classes[5][6][9] = int_stack + 42640;
 Libderiv->deriv_classes[5][7][9] = int_stack + 43228;
 Libderiv->deriv_classes[5][8][9] = int_stack + 43984;
 Libderiv->deriv_classes[5][9][9] = int_stack + 44929;
 Libderiv->deriv_classes[6][6][9] = int_stack + 46084;
 Libderiv->deriv_classes[6][7][9] = int_stack + 46868;
 Libderiv->deriv_classes[6][8][9] = int_stack + 47876;
 Libderiv->deriv_classes[6][9][9] = int_stack + 49136;
 Libderiv->deriv_classes[7][6][9] = int_stack + 50676;
 Libderiv->deriv_classes[7][7][9] = int_stack + 51684;
 Libderiv->deriv_classes[7][8][9] = int_stack + 52980;
 Libderiv->deriv_classes[7][9][9] = int_stack + 54600;
 Libderiv->deriv_classes[8][6][9] = int_stack + 56580;
 Libderiv->deriv_classes[8][7][9] = int_stack + 57840;
 Libderiv->deriv_classes[8][8][9] = int_stack + 59460;
 Libderiv->deriv_classes[8][9][9] = int_stack + 61485;
 Libderiv->deriv_classes[5][6][8] = int_stack + 63960;
 Libderiv->deriv_classes[5][7][8] = int_stack + 64548;
 Libderiv->deriv_classes[5][8][8] = int_stack + 65304;
 Libderiv->deriv_classes[5][9][8] = int_stack + 66249;
 Libderiv->deriv_classes[6][6][8] = int_stack + 67404;
 Libderiv->deriv_classes[6][7][8] = int_stack + 68188;
 Libderiv->deriv_classes[6][8][8] = int_stack + 69196;
 Libderiv->deriv_classes[6][9][8] = int_stack + 70456;
 Libderiv->deriv_classes[7][6][8] = int_stack + 71996;
 Libderiv->deriv_classes[7][7][8] = int_stack + 73004;
 Libderiv->deriv_classes[7][8][8] = int_stack + 74300;
 Libderiv->deriv_classes[7][9][8] = int_stack + 75920;
 Libderiv->deriv_classes[8][6][8] = int_stack + 77900;
 Libderiv->deriv_classes[8][7][8] = int_stack + 79160;
 Libderiv->deriv_classes[8][8][8] = int_stack + 80780;
 Libderiv->deriv_classes[8][9][8] = int_stack + 82805;
 Libderiv->deriv_classes[5][6][7] = int_stack + 85280;
 Libderiv->deriv_classes[5][7][7] = int_stack + 85868;
 Libderiv->deriv_classes[5][8][7] = int_stack + 86624;
 Libderiv->deriv_classes[5][9][7] = int_stack + 87569;
 Libderiv->deriv_classes[6][6][7] = int_stack + 88724;
 Libderiv->deriv_classes[6][7][7] = int_stack + 89508;
 Libderiv->deriv_classes[6][8][7] = int_stack + 90516;
 Libderiv->deriv_classes[6][9][7] = int_stack + 91776;
 Libderiv->deriv_classes[7][6][7] = int_stack + 93316;
 Libderiv->deriv_classes[7][7][7] = int_stack + 94324;
 Libderiv->deriv_classes[7][8][7] = int_stack + 95620;
 Libderiv->deriv_classes[7][9][7] = int_stack + 97240;
 Libderiv->deriv_classes[8][6][7] = int_stack + 99220;
 Libderiv->deriv_classes[8][7][7] = int_stack + 100480;
 Libderiv->deriv_classes[8][8][7] = int_stack + 102100;
 Libderiv->deriv_classes[8][9][7] = int_stack + 104125;
 Libderiv->deriv_classes[5][6][6] = int_stack + 106600;
 Libderiv->deriv_classes[5][7][6] = int_stack + 107188;
 Libderiv->deriv_classes[5][8][6] = int_stack + 107944;
 Libderiv->deriv_classes[5][9][6] = int_stack + 108889;
 Libderiv->deriv_classes[6][6][6] = int_stack + 110044;
 Libderiv->deriv_classes[6][7][6] = int_stack + 110828;
 Libderiv->deriv_classes[6][8][6] = int_stack + 111836;
 Libderiv->deriv_classes[6][9][6] = int_stack + 113096;
 Libderiv->deriv_classes[7][6][6] = int_stack + 114636;
 Libderiv->deriv_classes[7][7][6] = int_stack + 115644;
 Libderiv->deriv_classes[7][8][6] = int_stack + 116940;
 Libderiv->deriv_classes[7][9][6] = int_stack + 118560;
 Libderiv->dvrr_classes[8][6] = int_stack + 120540;
 Libderiv->deriv_classes[8][6][6] = int_stack + 121800;
 Libderiv->dvrr_classes[8][7] = int_stack + 123060;
 Libderiv->deriv_classes[8][7][6] = int_stack + 124680;
 Libderiv->dvrr_classes[8][8] = int_stack + 126300;
 Libderiv->deriv_classes[8][8][6] = int_stack + 128325;
 Libderiv->deriv_classes[8][9][6] = int_stack + 130350;
 Libderiv->deriv_classes[5][6][2] = int_stack + 132825;
 Libderiv->deriv_classes[5][7][2] = int_stack + 133413;
 Libderiv->deriv_classes[5][8][2] = int_stack + 134169;
 Libderiv->deriv_classes[5][9][2] = int_stack + 135114;
 Libderiv->deriv_classes[6][6][2] = int_stack + 136269;
 Libderiv->deriv_classes[6][7][2] = int_stack + 137053;
 Libderiv->deriv_classes[6][8][2] = int_stack + 138061;
 Libderiv->deriv_classes[6][9][2] = int_stack + 139321;
 Libderiv->deriv_classes[7][6][2] = int_stack + 140861;
 Libderiv->deriv_classes[7][7][2] = int_stack + 141869;
 Libderiv->deriv_classes[7][8][2] = int_stack + 143165;
 Libderiv->deriv_classes[7][9][2] = int_stack + 144785;
 Libderiv->deriv_classes[8][6][2] = int_stack + 146765;
 Libderiv->deriv_classes[8][7][2] = int_stack + 148025;
 Libderiv->deriv_classes[8][8][2] = int_stack + 149645;
 Libderiv->deriv_classes[8][9][2] = int_stack + 151670;
 Libderiv->deriv_classes[5][6][1] = int_stack + 154145;
 Libderiv->deriv_classes[5][7][1] = int_stack + 154733;
 Libderiv->deriv_classes[5][8][1] = int_stack + 155489;
 Libderiv->deriv_classes[5][9][1] = int_stack + 156434;
 Libderiv->deriv_classes[6][6][1] = int_stack + 157589;
 Libderiv->deriv_classes[6][7][1] = int_stack + 158373;
 Libderiv->deriv_classes[6][8][1] = int_stack + 159381;
 Libderiv->deriv_classes[6][9][1] = int_stack + 160641;
 Libderiv->deriv_classes[7][6][1] = int_stack + 162181;
 Libderiv->deriv_classes[7][7][1] = int_stack + 163189;
 Libderiv->deriv_classes[7][8][1] = int_stack + 164485;
 Libderiv->deriv_classes[7][9][1] = int_stack + 166105;
 Libderiv->deriv_classes[8][6][1] = int_stack + 168085;
 Libderiv->deriv_classes[8][7][1] = int_stack + 169345;
 Libderiv->deriv_classes[8][8][1] = int_stack + 170965;
 Libderiv->deriv_classes[8][9][1] = int_stack + 172990;
 Libderiv->dvrr_classes[5][6] = int_stack + 175465;
 Libderiv->dvrr_classes[5][7] = int_stack + 176053;
 Libderiv->dvrr_classes[5][8] = int_stack + 176809;
 Libderiv->dvrr_classes[5][9] = int_stack + 177754;
 Libderiv->deriv_classes[5][6][0] = int_stack + 178909;
 Libderiv->deriv_classes[5][7][0] = int_stack + 179497;
 Libderiv->deriv_classes[5][8][0] = int_stack + 180253;
 Libderiv->deriv_classes[5][9][0] = int_stack + 181198;
 Libderiv->dvrr_classes[6][6] = int_stack + 182353;
 Libderiv->dvrr_classes[6][7] = int_stack + 183137;
 Libderiv->dvrr_classes[6][8] = int_stack + 184145;
 Libderiv->dvrr_classes[6][9] = int_stack + 185405;
 Libderiv->deriv_classes[6][6][0] = int_stack + 186945;
 Libderiv->deriv_classes[6][7][0] = int_stack + 187729;
 Libderiv->deriv_classes[6][8][0] = int_stack + 188737;
 Libderiv->deriv_classes[6][9][0] = int_stack + 189997;
 Libderiv->dvrr_classes[7][6] = int_stack + 191537;
 Libderiv->dvrr_classes[7][7] = int_stack + 192545;
 Libderiv->dvrr_classes[7][8] = int_stack + 193841;
 Libderiv->dvrr_classes[7][9] = int_stack + 195461;
 Libderiv->deriv_classes[7][6][0] = int_stack + 197441;
 Libderiv->deriv_classes[7][7][0] = int_stack + 198449;
 Libderiv->deriv_classes[7][8][0] = int_stack + 199745;
 Libderiv->deriv_classes[7][9][0] = int_stack + 201365;
 Libderiv->deriv_classes[8][6][0] = int_stack + 203345;
 Libderiv->deriv_classes[8][7][0] = int_stack + 204605;
 Libderiv->deriv_classes[8][8][0] = int_stack + 206225;
 Libderiv->deriv_classes[8][9][0] = int_stack + 208250;
 memset(int_stack,0,1685800);

 Libderiv->dvrr_stack = int_stack + 1070196;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_hfif(Libderiv, Data);
   Data++;
 }

 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+210725,int_stack+176053,int_stack+175465,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+212489,int_stack+176809,int_stack+176053,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+214757,int_stack+212489,int_stack+210725,21);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+218285,int_stack+588,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+175465,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+220049,int_stack+1344,int_stack+588, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176053,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+222317,int_stack+220049,int_stack+218285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+210725,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+225845,int_stack+2289,int_stack+1344, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176809,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+228680,int_stack+225845,int_stack+220049, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+212489,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+233216,int_stack+228680,int_stack+222317, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+214757,21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+218285,int_stack+183137,int_stack+182353,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+220637,int_stack+184145,int_stack+183137,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+223661,int_stack+220637,int_stack+218285,28);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+228365,int_stack+4228,int_stack+3444, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+182353,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+0,int_stack+5236,int_stack+4228, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+183137,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+239096,int_stack+0,int_stack+228365, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+218285,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+228365,int_stack+6496,int_stack+5236, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+184145,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+243800,int_stack+228365,int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+220637,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+0,int_stack+243800,int_stack+239096, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+223661,28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+239096,int_stack+0,int_stack+233216,280);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+228365,int_stack+192545,int_stack+191537,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+231389,int_stack+193841,int_stack+192545,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+256736,int_stack+231389,int_stack+228365,36);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+235277,int_stack+9044,int_stack+8036, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+191537,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+262784,int_stack+10340,int_stack+9044, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+192545,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+266672,int_stack+262784,int_stack+235277, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+228365,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+272720,int_stack+11960,int_stack+10340, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+193841,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+277580,int_stack+272720,int_stack+262784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+231389,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+285356,int_stack+277580,int_stack+266672, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+256736,36);
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+295436,int_stack+285356,int_stack+0,280);
 /*--- compute (hd|if) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+318956,int_stack+295436,int_stack+239096,280);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+0,int_stack+123060,int_stack+120540,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+3780,int_stack+126300,int_stack+123060,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+262784,int_stack+3780,int_stack+0,45);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+8640,int_stack+15200,int_stack+13940, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120540,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+270344,int_stack+16820,int_stack+15200, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+123060,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+275204,int_stack+270344,int_stack+8640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8640,int_stack+18845,int_stack+16820, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+126300,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+235277,int_stack+8640,int_stack+270344, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+8640,int_stack+235277,int_stack+275204, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+262784,45);
 /*--- compute (kp|if) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+354236,int_stack+8640,int_stack+285356,280);
 /*--- compute (id|if) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+384476,int_stack+354236,int_stack+295436,280);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+354236,int_stack+21908,int_stack+21320, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+175465, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+356000,int_stack+22664,int_stack+21908, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176053, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+358268,int_stack+356000,int_stack+354236, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+210725, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+361796,int_stack+23609,int_stack+22664, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176809, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+364631,int_stack+361796,int_stack+356000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+212489, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+369167,int_stack+364631,int_stack+358268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+214757, 0.0, zero_stack,21);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+354236,int_stack+25548,int_stack+24764, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+182353, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+356588,int_stack+26556,int_stack+25548, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+183137, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+359612,int_stack+356588,int_stack+354236, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+218285, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+364316,int_stack+27816,int_stack+26556, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+184145, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+375047,int_stack+364316,int_stack+356588, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+220637, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+8640,int_stack+375047,int_stack+359612, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+223661, 0.0, zero_stack,28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+235277,int_stack+8640,int_stack+369167,280);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+354236,int_stack+30364,int_stack+29356, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+191537, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+357260,int_stack+31660,int_stack+30364, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+192545, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+361148,int_stack+357260,int_stack+354236, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+228365, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+367196,int_stack+33280,int_stack+31660, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+193841, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+372056,int_stack+367196,int_stack+357260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+231389, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+16480,int_stack+372056,int_stack+361148, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+256736, 0.0, zero_stack,36);
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+354236,int_stack+16480,int_stack+8640,280);
 /*--- compute (hd|if) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+270344,int_stack+354236,int_stack+235277,280);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+235277,int_stack+36520,int_stack+35260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120540, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+239057,int_stack+38140,int_stack+36520, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+123060, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+243917,int_stack+239057,int_stack+235277, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+8640,int_stack+40165,int_stack+38140, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+126300, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+26560,int_stack+8640,int_stack+239057, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+305624,int_stack+26560,int_stack+243917, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+262784, 0.0, zero_stack,45);
 /*--- compute (kp|if) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+431516,int_stack+305624,int_stack+16480,280);
 /*--- compute (id|if) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+461756,int_stack+431516,int_stack+354236,280);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+354236,int_stack+43228,int_stack+42640, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+175465, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+356000,int_stack+43984,int_stack+43228, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176053, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+358268,int_stack+356000,int_stack+354236, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+210725, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+361796,int_stack+44929,int_stack+43984, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176809, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+364631,int_stack+361796,int_stack+356000, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+212489, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+369167,int_stack+364631,int_stack+358268, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+214757, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+354236,int_stack+46868,int_stack+46084, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+182353, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+356588,int_stack+47876,int_stack+46868, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+183137, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+359612,int_stack+356588,int_stack+354236, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+218285, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+364316,int_stack+49136,int_stack+47876, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+184145, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+375047,int_stack+364316,int_stack+356588, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+220637, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+431516,int_stack+375047,int_stack+359612, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+223661, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+439356,int_stack+431516,int_stack+369167,280);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+354236,int_stack+51684,int_stack+50676, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+191537, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+357260,int_stack+52980,int_stack+51684, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+192545, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+361148,int_stack+357260,int_stack+354236, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+228365, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+367196,int_stack+54600,int_stack+52980, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+193841, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+372056,int_stack+367196,int_stack+357260, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+231389, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+305624,int_stack+372056,int_stack+361148, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+256736, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+354236,int_stack+305624,int_stack+431516,280);
 /*--- compute (hd|if) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+8640,int_stack+354236,int_stack+439356,280);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+431516,int_stack+57840,int_stack+56580, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120540, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+435296,int_stack+59460,int_stack+57840, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+123060, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+440156,int_stack+435296,int_stack+431516, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+447716,int_stack+61485,int_stack+59460, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+126300, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+43920,int_stack+447716,int_stack+435296, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+447716,int_stack+43920,int_stack+440156, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+262784, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|if) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+508796,int_stack+447716,int_stack+305624,280);
 /*--- compute (id|if) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+539036,int_stack+508796,int_stack+354236,280);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+354236,int_stack+64548,int_stack+63960, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+175465, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+356000,int_stack+65304,int_stack+64548, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176053, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+358268,int_stack+356000,int_stack+354236, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+210725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+361796,int_stack+66249,int_stack+65304, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+176809, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+364631,int_stack+361796,int_stack+356000, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+212489, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+369167,int_stack+364631,int_stack+358268, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+214757, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+354236,int_stack+68188,int_stack+67404, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+182353, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+356588,int_stack+69196,int_stack+68188, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+183137, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+359612,int_stack+356588,int_stack+354236, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+218285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+364316,int_stack+70456,int_stack+69196, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+184145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+375047,int_stack+364316,int_stack+356588, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+220637, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+508796,int_stack+375047,int_stack+359612, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+223661, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+516636,int_stack+508796,int_stack+369167,280);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+354236,int_stack+73004,int_stack+71996, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+191537, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+357260,int_stack+74300,int_stack+73004, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+192545, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+361148,int_stack+357260,int_stack+354236, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+228365, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+367196,int_stack+75920,int_stack+74300, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+193841, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+372056,int_stack+367196,int_stack+357260, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+231389, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+305624,int_stack+372056,int_stack+361148, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+256736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+354236,int_stack+305624,int_stack+508796,280);
 /*--- compute (hd|if) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+586076,int_stack+354236,int_stack+516636,280);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+508796,int_stack+79160,int_stack+77900, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+120540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+512576,int_stack+80780,int_stack+79160, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+123060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+517436,int_stack+512576,int_stack+508796, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+524996,int_stack+82805,int_stack+80780, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+126300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+43920,int_stack+524996,int_stack+512576, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+524996,int_stack+43920,int_stack+517436, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+262784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|if) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+431516,int_stack+524996,int_stack+305624,280);
 /*--- compute (id|if) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+621356,int_stack+431516,int_stack+354236,280);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+354236,int_stack+85868,int_stack+85280, 0.0, zero_stack, 1.0, int_stack+175465, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+356000,int_stack+86624,int_stack+85868, 0.0, zero_stack, 1.0, int_stack+176053, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+358268,int_stack+356000,int_stack+354236, 0.0, zero_stack, 1.0, int_stack+210725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+361796,int_stack+87569,int_stack+86624, 0.0, zero_stack, 1.0, int_stack+176809, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+364631,int_stack+361796,int_stack+356000, 0.0, zero_stack, 1.0, int_stack+212489, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+369167,int_stack+364631,int_stack+358268, 0.0, zero_stack, 1.0, int_stack+214757, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+354236,int_stack+89508,int_stack+88724, 0.0, zero_stack, 1.0, int_stack+182353, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+356588,int_stack+90516,int_stack+89508, 0.0, zero_stack, 1.0, int_stack+183137, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+359612,int_stack+356588,int_stack+354236, 0.0, zero_stack, 1.0, int_stack+218285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+364316,int_stack+91776,int_stack+90516, 0.0, zero_stack, 1.0, int_stack+184145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+375047,int_stack+364316,int_stack+356588, 0.0, zero_stack, 1.0, int_stack+220637, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+431516,int_stack+375047,int_stack+359612, 0.0, zero_stack, 1.0, int_stack+223661, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+439356,int_stack+431516,int_stack+369167,280);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+354236,int_stack+94324,int_stack+93316, 0.0, zero_stack, 1.0, int_stack+191537, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+357260,int_stack+95620,int_stack+94324, 0.0, zero_stack, 1.0, int_stack+192545, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+361148,int_stack+357260,int_stack+354236, 0.0, zero_stack, 1.0, int_stack+228365, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+367196,int_stack+97240,int_stack+95620, 0.0, zero_stack, 1.0, int_stack+193841, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+372056,int_stack+367196,int_stack+357260, 0.0, zero_stack, 1.0, int_stack+231389, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+305624,int_stack+372056,int_stack+361148, 0.0, zero_stack, 1.0, int_stack+256736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+354236,int_stack+305624,int_stack+431516,280);
 /*--- compute (hd|if) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+43920,int_stack+354236,int_stack+439356,280);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+431516,int_stack+100480,int_stack+99220, 0.0, zero_stack, 1.0, int_stack+120540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+435296,int_stack+102100,int_stack+100480, 0.0, zero_stack, 1.0, int_stack+123060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+440156,int_stack+435296,int_stack+431516, 0.0, zero_stack, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+447716,int_stack+104125,int_stack+102100, 0.0, zero_stack, 1.0, int_stack+126300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+79200,int_stack+447716,int_stack+435296, 0.0, zero_stack, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+447716,int_stack+79200,int_stack+440156, 0.0, zero_stack, 1.0, int_stack+262784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|if) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+508796,int_stack+447716,int_stack+305624,280);
 /*--- compute (id|if) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+668396,int_stack+508796,int_stack+354236,280);
 /*--- compute (h0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+354236,int_stack+107188,int_stack+106600, 1.0, int_stack+175465, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+356000,int_stack+107944,int_stack+107188, 1.0, int_stack+176053, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+358268,int_stack+356000,int_stack+354236, 1.0, int_stack+210725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+361796,int_stack+108889,int_stack+107944, 1.0, int_stack+176809, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+364631,int_stack+361796,int_stack+356000, 1.0, int_stack+212489, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (h0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+369167,int_stack+364631,int_stack+358268, 1.0, int_stack+214757, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,21);
 /*--- compute (i0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+354236,int_stack+110828,int_stack+110044, 1.0, int_stack+182353, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+356588,int_stack+111836,int_stack+110828, 1.0, int_stack+183137, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+359612,int_stack+356588,int_stack+354236, 1.0, int_stack+218285, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+364316,int_stack+113096,int_stack+111836, 1.0, int_stack+184145, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+375047,int_stack+364316,int_stack+356588, 1.0, int_stack+220637, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (i0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+508796,int_stack+375047,int_stack+359612, 1.0, int_stack+223661, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+516636,int_stack+508796,int_stack+369167,280);
 /*--- compute (k0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+354236,int_stack+115644,int_stack+114636, 1.0, int_stack+191537, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+357260,int_stack+116940,int_stack+115644, 1.0, int_stack+192545, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+361148,int_stack+357260,int_stack+354236, 1.0, int_stack+228365, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+367196,int_stack+118560,int_stack+116940, 1.0, int_stack+193841, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+372056,int_stack+367196,int_stack+357260, 1.0, int_stack+231389, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (k0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+305624,int_stack+372056,int_stack+361148, 1.0, int_stack+256736, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,36);
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+354236,int_stack+305624,int_stack+508796,280);
 /*--- compute (hd|if) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+79200,int_stack+354236,int_stack+516636,280);
 /*--- compute (l0|ip) ---*/
   d1hrr3_build_ip(Libderiv->CD,int_stack+508796,int_stack+124680,int_stack+121800, 1.0, int_stack+120540, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kp) ---*/
   d1hrr3_build_kp(Libderiv->CD,int_stack+512576,int_stack+128325,int_stack+124680, 1.0, int_stack+123060, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|id) ---*/
   d1hrr3_build_id(Libderiv->CD,int_stack+517436,int_stack+512576,int_stack+508796, 1.0, int_stack+0, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|lp) ---*/
   d1hrr3_build_lp(Libderiv->CD,int_stack+524996,int_stack+130350,int_stack+128325, 1.0, int_stack+126300, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|kd) ---*/
   d1hrr3_build_kd(Libderiv->CD,int_stack+114480,int_stack+524996,int_stack+512576, 1.0, int_stack+3780, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (l0|if) ---*/
   d1hrr3_build_if(Libderiv->CD,int_stack+524996,int_stack+114480,int_stack+517436, 1.0, int_stack+262784, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,45);
 /*--- compute (kp|if) ---*/
   hrr1_build_kp(Libderiv->AB,int_stack+431516,int_stack+524996,int_stack+305624,280);
 /*--- compute (id|if) ---*/
   hrr1_build_id(Libderiv->AB,int_stack+715436,int_stack+431516,int_stack+354236,280);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+354236,int_stack+177754,int_stack+176809,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+357071,int_stack+354236,int_stack+212489,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+361607,int_stack+357071,int_stack+214757,21);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+354236,int_stack+185405,int_stack+184145,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+367487,int_stack+354236,int_stack+220637,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+373535,int_stack+367487,int_stack+223661,28);
 /*--- compute (hp|if) ---*/
   hrr1_build_hp(Libderiv->AB,int_stack+431516,int_stack+373535,int_stack+361607,280);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+367487,int_stack+195461,int_stack+193841,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+449156,int_stack+367487,int_stack+231389,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+305624,int_stack+449156,int_stack+256736,36);
 /*--- compute (ip|if) ---*/
   hrr1_build_ip(Libderiv->AB,int_stack+508796,int_stack+305624,int_stack+373535,280);
 /*--- compute (hd|if) ---*/
   hrr1_build_hd(Libderiv->AB,int_stack+210725,int_stack+508796,int_stack+431516,280);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+449156,int_stack+133413,int_stack+132825,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+450920,int_stack+134169,int_stack+133413,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+453188,int_stack+450920,int_stack+449156,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+456716,int_stack+135114,int_stack+134169,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+367487,int_stack+456716,int_stack+450920,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+354236,int_stack+367487,int_stack+453188,21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+367487,int_stack+137053,int_stack+136269,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+369839,int_stack+138061,int_stack+137053,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+449156,int_stack+369839,int_stack+367487,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+453860,int_stack+139321,int_stack+138061,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+114480,int_stack+453860,int_stack+369839,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+453860,int_stack+114480,int_stack+449156,28);
 /*--- compute (hp|if) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+114480,int_stack+453860,int_stack+354236, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+361607, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+354236,int_stack+141869,int_stack+140861,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+357260,int_stack+143165,int_stack+141869,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+367487,int_stack+357260,int_stack+354236,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+132120,int_stack+144785,int_stack+143165,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+136980,int_stack+132120,int_stack+357260,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+246005,int_stack+136980,int_stack+367487,36);
 /*--- compute (ip|if) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+762476,int_stack+246005,int_stack+453860, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+373535, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (hd|if) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+785996,int_stack+762476,int_stack+114480, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+431516, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+114480,int_stack+148025,int_stack+146765,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+118260,int_stack+149645,int_stack+148025,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+123120,int_stack+118260,int_stack+114480,45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+130680,int_stack+151670,int_stack+149645,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+136755,int_stack+130680,int_stack+118260,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+449156,int_stack+136755,int_stack+123120,45);
 /*--- compute (kp|if) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+114480,int_stack+449156,int_stack+246005, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+305624, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (id|if) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+821276,int_stack+114480,int_stack+762476, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+508796, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+762476,int_stack+154733,int_stack+154145,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+764240,int_stack+155489,int_stack+154733,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+766508,int_stack+764240,int_stack+762476,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+770036,int_stack+156434,int_stack+155489,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+772871,int_stack+770036,int_stack+764240,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+777407,int_stack+772871,int_stack+766508,21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+762476,int_stack+158373,int_stack+157589,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+764828,int_stack+159381,int_stack+158373,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+767852,int_stack+764828,int_stack+762476,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+772556,int_stack+160641,int_stack+159381,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+367487,int_stack+772556,int_stack+764828,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+114480,int_stack+367487,int_stack+767852,28);
 /*--- compute (hp|if) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+122320,int_stack+114480,int_stack+777407, 0.0, zero_stack, 1.0, int_stack+361607, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+367487,int_stack+163189,int_stack+162181,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+762476,int_stack+164485,int_stack+163189,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+766364,int_stack+762476,int_stack+367487,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+367487,int_stack+166105,int_stack+164485,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+772412,int_stack+367487,int_stack+762476,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+139960,int_stack+772412,int_stack+766364,36);
 /*--- compute (ip|if) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+762476,int_stack+139960,int_stack+114480, 0.0, zero_stack, 1.0, int_stack+373535, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (hd|if) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+868316,int_stack+762476,int_stack+122320, 0.0, zero_stack, 1.0, int_stack+431516, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+114480,int_stack+169345,int_stack+168085,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+118260,int_stack+170965,int_stack+169345,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+123120,int_stack+118260,int_stack+114480,45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+130680,int_stack+172990,int_stack+170965,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+150040,int_stack+130680,int_stack+118260,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+449156,int_stack+150040,int_stack+123120,45);
 /*--- compute (kp|if) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+903596,int_stack+449156,int_stack+139960, 0.0, zero_stack, 1.0, int_stack+305624, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (id|if) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+114480,int_stack+903596,int_stack+762476, 0.0, zero_stack, 1.0, int_stack+508796, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+762476,int_stack+179497,int_stack+178909,21);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+764240,int_stack+180253,int_stack+179497,21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+766508,int_stack+764240,int_stack+762476,21);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+770036,int_stack+181198,int_stack+180253,21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+772871,int_stack+770036,int_stack+764240,21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+777407,int_stack+772871,int_stack+766508,21);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+762476,int_stack+187729,int_stack+186945,28);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+764828,int_stack+188737,int_stack+187729,28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+767852,int_stack+764828,int_stack+762476,28);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+772556,int_stack+189997,int_stack+188737,28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+367487,int_stack+772556,int_stack+764828,28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+903596,int_stack+367487,int_stack+767852,28);
 /*--- compute (hp|if) ---*/
   d1hrr1_build_hp(Libderiv->AB,int_stack+911436,int_stack+903596,int_stack+777407, 1.0, int_stack+361607, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+762476,int_stack+198449,int_stack+197441,36);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+765500,int_stack+199745,int_stack+198449,36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+769388,int_stack+765500,int_stack+762476,36);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+775436,int_stack+201365,int_stack+199745,36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+449156,int_stack+775436,int_stack+765500,36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+775436,int_stack+449156,int_stack+769388,36);
 /*--- compute (ip|if) ---*/
   d1hrr1_build_ip(Libderiv->AB,int_stack+161520,int_stack+775436,int_stack+903596, 1.0, int_stack+373535, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (hd|if) ---*/
   d1hrr1_build_hd(Libderiv->AB,int_stack+929076,int_stack+161520,int_stack+911436, 1.0, int_stack+431516, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libderiv->CD,int_stack+431516,int_stack+204605,int_stack+203345,45);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libderiv->CD,int_stack+435296,int_stack+206225,int_stack+204605,45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libderiv->CD,int_stack+440156,int_stack+435296,int_stack+431516,45);
 /*--- compute (l0|lp) ---*/
   hrr3_build_lp(Libderiv->CD,int_stack+447716,int_stack+208250,int_stack+206225,45);
 /*--- compute (l0|kd) ---*/
   hrr3_build_kd(Libderiv->CD,int_stack+903596,int_stack+447716,int_stack+435296,45);
 /*--- compute (l0|if) ---*/
   hrr3_build_if(Libderiv->CD,int_stack+447716,int_stack+903596,int_stack+440156,45);
 /*--- compute (kp|if) ---*/
   d1hrr1_build_kp(Libderiv->AB,int_stack+354236,int_stack+447716,int_stack+775436, 1.0, int_stack+305624, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (id|if) ---*/
   d1hrr1_build_id(Libderiv->AB,int_stack+964356,int_stack+354236,int_stack+161520, 1.0, int_stack+508796, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
 /*--- compute (hf|if) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+1011396,int_stack+384476,int_stack+318956,280);
     Libderiv->ABCD[11] = int_stack + 1011396;
 /*--- compute (hf|if) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+305624,int_stack+461756,int_stack+270344,280);
     Libderiv->ABCD[10] = int_stack + 305624;
 /*--- compute (hf|if) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+364424,int_stack+539036,int_stack+8640,280);
     Libderiv->ABCD[9] = int_stack + 364424;
 /*--- compute (hf|if) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+423224,int_stack+621356,int_stack+586076,280);
     Libderiv->ABCD[8] = int_stack + 423224;
 /*--- compute (hf|if) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+482024,int_stack+668396,int_stack+43920,280);
     Libderiv->ABCD[7] = int_stack + 482024;
 /*--- compute (hf|if) ---*/
   hrr1_build_hf(Libderiv->AB,int_stack+540824,int_stack+715436,int_stack+79200,280);
     Libderiv->ABCD[6] = int_stack + 540824;
 /*--- compute (hf|if) ---*/
   d1hrr1_build_hf(Libderiv->AB,int_stack+599624,int_stack+821276,int_stack+785996, 0.0, zero_stack, 0.0, zero_stack, 1.0, int_stack+210725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
     Libderiv->ABCD[2] = int_stack + 599624;
 /*--- compute (hf|if) ---*/
   d1hrr1_build_hf(Libderiv->AB,int_stack+658424,int_stack+114480,int_stack+868316, 0.0, zero_stack, 1.0, int_stack+210725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
     Libderiv->ABCD[1] = int_stack + 658424;
 /*--- compute (hf|if) ---*/
   d1hrr1_build_hf(Libderiv->AB,int_stack+717224,int_stack+964356,int_stack+929076, 1.0, int_stack+210725, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack, 0.0, zero_stack,280);
     Libderiv->ABCD[0] = int_stack + 717224;

}
