#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libderiv.h"
#include <libint/hrr_header.h>

#include "d1hrr_header.h"

extern void d1vrr_order_p0i0(Libderiv_t *, prim_data *);

  /* Computes derivatives of (p0|i0) integrals */

void d1hrr_order_p0i0(Libderiv_t *Libderiv, int num_prim_comb)
{
 prim_data *Data = Libderiv->PrimQuartet;
 double *int_stack = Libderiv->int_stack;
 double *zero_stack = Libderiv->zero_stack;
 int i,j;
 double tmp, *target;

 Libderiv->deriv_classes[1][6][11] = int_stack + 0;
 Libderiv->deriv_classes[1][6][10] = int_stack + 84;
 Libderiv->deriv_classes[1][6][9] = int_stack + 168;
 Libderiv->deriv_classes[1][6][8] = int_stack + 252;
 Libderiv->deriv_classes[1][6][7] = int_stack + 336;
 Libderiv->deriv_classes[1][6][6] = int_stack + 420;
 Libderiv->deriv_classes[1][6][2] = int_stack + 504;
 Libderiv->deriv_classes[1][6][1] = int_stack + 588;
 Libderiv->deriv_classes[1][6][0] = int_stack + 672;
 memset(int_stack,0,6048);

 Libderiv->dvrr_stack = int_stack + 756;
 for(i=0;i<num_prim_comb;i++) {
   d1vrr_order_p0i0(Libderiv, Data);
   Data++;
 }

 /*--- compute (p0|i0) ---*/
     Libderiv->ABCD[11] = int_stack + 0;
 /*--- compute (p0|i0) ---*/
     Libderiv->ABCD[10] = int_stack + 84;
 /*--- compute (p0|i0) ---*/
     Libderiv->ABCD[9] = int_stack + 168;
 /*--- compute (p0|i0) ---*/
     Libderiv->ABCD[8] = int_stack + 252;
 /*--- compute (p0|i0) ---*/
     Libderiv->ABCD[7] = int_stack + 336;
 /*--- compute (p0|i0) ---*/
     Libderiv->ABCD[6] = int_stack + 420;
 /*--- compute (p0|i0) ---*/
     Libderiv->ABCD[2] = int_stack + 504;
 /*--- compute (p0|i0) ---*/
     Libderiv->ABCD[1] = int_stack + 588;
 /*--- compute (p0|i0) ---*/
     Libderiv->ABCD[0] = int_stack + 672;

}
