#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_00kg(Libint_t*, prim_data*);

  /* Computes quartets of (00|kg) integrals */

REALTYPE *hrr_order_00kg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[0][7] = int_stack + 0;
 Libint->vrr_classes[0][8] = int_stack + 36;
 Libint->vrr_classes[0][9] = int_stack + 81;
 Libint->vrr_classes[0][10] = int_stack + 136;
 Libint->vrr_classes[0][11] = int_stack + 202;
 memset(int_stack,0,280*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 280;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_00kg(Libint, Data);
   Data++;
 }
 /*--- compute (00|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+280,int_stack+36,int_stack+0,1);
 /*--- compute (00|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+388,int_stack+81,int_stack+36,1);
 /*--- compute (00|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+523,int_stack+388,int_stack+280,1);
 /*--- compute (00|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+739,int_stack+136,int_stack+81,1);
 /*--- compute (00|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+904,int_stack+739,int_stack+388,1);
 /*--- compute (00|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+1174,int_stack+904,int_stack+523,1);
 /*--- compute (00|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+280,int_stack+202,int_stack+136,1);
 /*--- compute (00|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+1534,int_stack+280,int_stack+739,1);
 /*--- compute (00|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+1534,int_stack+904,1);
 /*--- compute (00|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+450,int_stack+0,int_stack+1174,1);
 return int_stack+450;}
