#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_00lh(Libint_t*, prim_data*);

  /* Computes quartets of (00|lh) integrals */

REALTYPE *hrr_order_00lh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[0][8] = int_stack + 0;
 Libint->vrr_classes[0][9] = int_stack + 45;
 Libint->vrr_classes[0][10] = int_stack + 100;
 Libint->vrr_classes[0][11] = int_stack + 166;
 Libint->vrr_classes[0][12] = int_stack + 244;
 Libint->vrr_classes[0][13] = int_stack + 335;
 memset(int_stack,0,440*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 440;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_00lh(Libint, Data);
   Data++;
 }
 /*--- compute (00|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+440,int_stack+45,int_stack+0,1);
 /*--- compute (00|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+575,int_stack+100,int_stack+45,1);
 /*--- compute (00|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+740,int_stack+575,int_stack+440,1);
 /*--- compute (00|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1010,int_stack+166,int_stack+100,1);
 /*--- compute (00|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+1208,int_stack+1010,int_stack+575,1);
 /*--- compute (00|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+1538,int_stack+1208,int_stack+740,1);
 /*--- compute (00|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+440,int_stack+244,int_stack+166,1);
 /*--- compute (00|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1988,int_stack+440,int_stack+1010,1);
 /*--- compute (00|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+2384,int_stack+1988,int_stack+1208,1);
 /*--- compute (00|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+674,int_stack+2384,int_stack+1538,1);
 /*--- compute (00|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1349,int_stack+335,int_stack+244,1);
 /*--- compute (00|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+2934,int_stack+1349,int_stack+440,1);
 /*--- compute (00|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+2934,int_stack+1988,1);
 /*--- compute (00|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+2934,int_stack+0,int_stack+2384,1);
 /*--- compute (00|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+1349,int_stack+2934,int_stack+674,1);
 return int_stack+1349;}
