#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ddki(Libint_t*, prim_data*);

  /* Computes quartets of (dd|ki) integrals */

REALTYPE *hrr_order_ddki(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][7] = int_stack + 0;
 Libint->vrr_classes[2][8] = int_stack + 216;
 Libint->vrr_classes[2][9] = int_stack + 486;
 Libint->vrr_classes[2][10] = int_stack + 816;
 Libint->vrr_classes[2][11] = int_stack + 1212;
 Libint->vrr_classes[2][12] = int_stack + 1680;
 Libint->vrr_classes[2][13] = int_stack + 2226;
 Libint->vrr_classes[3][7] = int_stack + 2856;
 Libint->vrr_classes[3][8] = int_stack + 3216;
 Libint->vrr_classes[3][9] = int_stack + 3666;
 Libint->vrr_classes[3][10] = int_stack + 4216;
 Libint->vrr_classes[3][11] = int_stack + 4876;
 Libint->vrr_classes[3][12] = int_stack + 5656;
 Libint->vrr_classes[3][13] = int_stack + 6566;
 Libint->vrr_classes[4][7] = int_stack + 7616;
 Libint->vrr_classes[4][8] = int_stack + 8156;
 Libint->vrr_classes[4][9] = int_stack + 8831;
 Libint->vrr_classes[4][10] = int_stack + 9656;
 Libint->vrr_classes[4][11] = int_stack + 10646;
 Libint->vrr_classes[4][12] = int_stack + 11816;
 Libint->vrr_classes[4][13] = int_stack + 13181;
 memset(int_stack,0,14756*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 14756;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ddki(Libint, Data);
   Data++;
 }
 /*--- compute (d0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+14756,int_stack+216,int_stack+0,6);
 /*--- compute (d0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+15404,int_stack+486,int_stack+216,6);
 /*--- compute (d0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+16214,int_stack+15404,int_stack+14756,6);
 /*--- compute (d0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+17510,int_stack+816,int_stack+486,6);
 /*--- compute (d0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+18500,int_stack+17510,int_stack+15404,6);
 /*--- compute (d0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+20120,int_stack+18500,int_stack+16214,6);
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+14756,int_stack+1212,int_stack+816,6);
 /*--- compute (d0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+22280,int_stack+14756,int_stack+17510,6);
 /*--- compute (d0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+24260,int_stack+22280,int_stack+18500,6);
 /*--- compute (d0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+15944,int_stack+24260,int_stack+20120,6);
 /*--- compute (d0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+19184,int_stack+1680,int_stack+1212,6);
 /*--- compute (d0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+26960,int_stack+19184,int_stack+14756,6);
 /*--- compute (d0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+29336,int_stack+26960,int_stack+22280,6);
 /*--- compute (d0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+32636,int_stack+29336,int_stack+24260,6);
 /*--- compute (d0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+20588,int_stack+32636,int_stack+15944,6);
 /*--- compute (d0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+14756,int_stack+2226,int_stack+1680,6);
 /*--- compute (d0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+14756,int_stack+19184,6);
 /*--- compute (d0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+14756,int_stack+0,int_stack+26960,6);
 /*--- compute (d0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+36686,int_stack+14756,int_stack+29336,6);
 /*--- compute (d0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+14756,int_stack+36686,int_stack+32636,6);
 /*--- compute (d0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+25124,int_stack+14756,int_stack+20588,6);
 /*--- compute (f0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+14756,int_stack+3216,int_stack+2856,10);
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+15836,int_stack+3666,int_stack+3216,10);
 /*--- compute (f0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+17186,int_stack+15836,int_stack+14756,10);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+19346,int_stack+4216,int_stack+3666,10);
 /*--- compute (f0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+20996,int_stack+19346,int_stack+15836,10);
 /*--- compute (f0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+0,int_stack+20996,int_stack+17186,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+14756,int_stack+4876,int_stack+4216,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+31172,int_stack+14756,int_stack+19346,10);
 /*--- compute (f0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+34472,int_stack+31172,int_stack+20996,10);
 /*--- compute (f0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+16736,int_stack+34472,int_stack+0,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+5656,int_stack+4876,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+38972,int_stack+0,int_stack+14756,10);
 /*--- compute (f0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+42932,int_stack+38972,int_stack+31172,10);
 /*--- compute (f0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+48432,int_stack+42932,int_stack+34472,10);
 /*--- compute (f0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+31172,int_stack+48432,int_stack+16736,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+14756,int_stack+6566,int_stack+5656,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+17486,int_stack+14756,int_stack+0,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+17486,int_stack+38972,10);
 /*--- compute (f0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+14756,int_stack+0,int_stack+42932,10);
 /*--- compute (f0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+38732,int_stack+14756,int_stack+48432,10);
 /*--- compute (f0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+14756,int_stack+38732,int_stack+31172,10);
 /*--- compute (dp|ki) ---*/
 hrr1_build_dp(Libint->AB,int_stack+31172,int_stack+14756,int_stack+25124,1008);
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+49316,int_stack+8156,int_stack+7616,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+50936,int_stack+8831,int_stack+8156,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+24836,int_stack+50936,int_stack+49316,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+52961,int_stack+9656,int_stack+8831,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+0,int_stack+52961,int_stack+50936,15);
 /*--- compute (g0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+4050,int_stack+0,int_stack+24836,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+24836,int_stack+10646,int_stack+9656,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+55436,int_stack+24836,int_stack+52961,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+60386,int_stack+55436,int_stack+0,15);
 /*--- compute (g0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+67136,int_stack+60386,int_stack+4050,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+11816,int_stack+10646,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+3510,int_stack+0,int_stack+24836,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+75236,int_stack+3510,int_stack+55436,15);
 /*--- compute (g0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+49316,int_stack+75236,int_stack+60386,15);
 /*--- compute (g0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+83486,int_stack+49316,int_stack+67136,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+24836,int_stack+13181,int_stack+11816,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+59441,int_stack+24836,int_stack+0,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+94826,int_stack+59441,int_stack+3510,15);
 /*--- compute (g0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+59441,int_stack+94826,int_stack+75236,15);
 /*--- compute (g0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+0,int_stack+59441,int_stack+49316,15);
 /*--- compute (g0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+49316,int_stack+0,int_stack+83486,15);
 /*--- compute (fp|ki) ---*/
 hrr1_build_fp(Libint->AB,int_stack+64436,int_stack+49316,int_stack+14756,1008);
 /*--- compute (dd|ki) ---*/
 hrr1_build_dd(Libint->AB,int_stack+94676,int_stack+64436,int_stack+31172,1008);
 return int_stack+94676;}
