#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_dpkg(Libint_t*, prim_data*);

  /* Computes quartets of (dp|kg) integrals */

REALTYPE *hrr_order_dpkg(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][7] = int_stack + 0;
 Libint->vrr_classes[2][8] = int_stack + 216;
 Libint->vrr_classes[2][9] = int_stack + 486;
 Libint->vrr_classes[2][10] = int_stack + 816;
 Libint->vrr_classes[2][11] = int_stack + 1212;
 Libint->vrr_classes[3][7] = int_stack + 1680;
 Libint->vrr_classes[3][8] = int_stack + 2040;
 Libint->vrr_classes[3][9] = int_stack + 2490;
 Libint->vrr_classes[3][10] = int_stack + 3040;
 Libint->vrr_classes[3][11] = int_stack + 3700;
 memset(int_stack,0,4480*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 4480;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_dpkg(Libint, Data);
   Data++;
 }
 /*--- compute (d0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+4480,int_stack+216,int_stack+0,6);
 /*--- compute (d0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+5128,int_stack+486,int_stack+216,6);
 /*--- compute (d0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+5938,int_stack+5128,int_stack+4480,6);
 /*--- compute (d0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+7234,int_stack+816,int_stack+486,6);
 /*--- compute (d0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+8224,int_stack+7234,int_stack+5128,6);
 /*--- compute (d0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+9844,int_stack+8224,int_stack+5938,6);
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+4480,int_stack+1212,int_stack+816,6);
 /*--- compute (d0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+12004,int_stack+4480,int_stack+7234,6);
 /*--- compute (d0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+4480,int_stack+12004,int_stack+8224,6);
 /*--- compute (d0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+12004,int_stack+4480,int_stack+9844,6);
 /*--- compute (f0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+4480,int_stack+2040,int_stack+1680,10);
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+5560,int_stack+2490,int_stack+2040,10);
 /*--- compute (f0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+6910,int_stack+5560,int_stack+4480,10);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+9070,int_stack+3040,int_stack+2490,10);
 /*--- compute (f0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+0,int_stack+9070,int_stack+5560,10);
 /*--- compute (f0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+15244,int_stack+0,int_stack+6910,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+4480,int_stack+3700,int_stack+3040,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+18844,int_stack+4480,int_stack+9070,10);
 /*--- compute (f0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+2700,int_stack+18844,int_stack+0,10);
 /*--- compute (f0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+18844,int_stack+2700,int_stack+15244,10);
 /*--- compute (dp|kg) ---*/
 hrr1_build_dp(Libint->AB,int_stack+0,int_stack+18844,int_stack+12004,540);
 return int_stack+0;}
