#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_dpni(Libint_t*, prim_data*);

  /* Computes quartets of (dp|ni) integrals */

REALTYPE *hrr_order_dpni(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[2][10] = int_stack + 0;
 Libint->vrr_classes[2][11] = int_stack + 396;
 Libint->vrr_classes[2][12] = int_stack + 864;
 Libint->vrr_classes[2][13] = int_stack + 1410;
 Libint->vrr_classes[2][14] = int_stack + 2040;
 Libint->vrr_classes[2][15] = int_stack + 2760;
 Libint->vrr_classes[2][16] = int_stack + 3576;
 Libint->vrr_classes[3][10] = int_stack + 4494;
 Libint->vrr_classes[3][11] = int_stack + 5154;
 Libint->vrr_classes[3][12] = int_stack + 5934;
 Libint->vrr_classes[3][13] = int_stack + 6844;
 Libint->vrr_classes[3][14] = int_stack + 7894;
 Libint->vrr_classes[3][15] = int_stack + 9094;
 Libint->vrr_classes[3][16] = int_stack + 10454;
 memset(int_stack,0,11984*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 11984;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_dpni(Libint, Data);
   Data++;
 }
 /*--- compute (d0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+11984,int_stack+396,int_stack+0,6);
 /*--- compute (d0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+13172,int_stack+864,int_stack+396,6);
 /*--- compute (d0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+14576,int_stack+13172,int_stack+11984,6);
 /*--- compute (d0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+16952,int_stack+1410,int_stack+864,6);
 /*--- compute (d0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+18590,int_stack+16952,int_stack+13172,6);
 /*--- compute (d0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+21398,int_stack+18590,int_stack+14576,6);
 /*--- compute (d0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+11984,int_stack+2040,int_stack+1410,6);
 /*--- compute (d0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+25358,int_stack+11984,int_stack+16952,6);
 /*--- compute (d0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+13874,int_stack+25358,int_stack+18590,6);
 /*--- compute (d0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+28634,int_stack+13874,int_stack+21398,6);
 /*--- compute (d0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+18554,int_stack+2760,int_stack+2040,6);
 /*--- compute (d0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+20714,int_stack+18554,int_stack+11984,6);
 /*--- compute (d0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+34574,int_stack+20714,int_stack+25358,6);
 /*--- compute (d0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+40034,int_stack+34574,int_stack+13874,6);
 /*--- compute (d0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+47054,int_stack+40034,int_stack+28634,6);
 /*--- compute (d0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+11984,int_stack+3576,int_stack+2760,6);
 /*--- compute (d0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+24494,int_stack+11984,int_stack+18554,6);
 /*--- compute (d0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+11984,int_stack+24494,int_stack+20714,6);
 /*--- compute (d0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+18284,int_stack+11984,int_stack+34574,6);
 /*--- compute (d0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+26474,int_stack+18284,int_stack+40034,6);
 /*--- compute (d0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+11984,int_stack+26474,int_stack+47054,6);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+23072,int_stack+5154,int_stack+4494,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+25052,int_stack+5934,int_stack+5154,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+27392,int_stack+25052,int_stack+23072,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+31352,int_stack+6844,int_stack+5934,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+34082,int_stack+31352,int_stack+25052,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+38762,int_stack+34082,int_stack+27392,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+23072,int_stack+7894,int_stack+6844,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+45362,int_stack+23072,int_stack+31352,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+26222,int_stack+45362,int_stack+34082,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+50822,int_stack+26222,int_stack+38762,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+34022,int_stack+9094,int_stack+7894,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+37622,int_stack+34022,int_stack+23072,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+60722,int_stack+37622,int_stack+45362,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+69822,int_stack+60722,int_stack+26222,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+81522,int_stack+69822,int_stack+50822,10);
 /*--- compute (f0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+23072,int_stack+10454,int_stack+9094,10);
 /*--- compute (f0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+43922,int_stack+23072,int_stack+34022,10);
 /*--- compute (f0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+23072,int_stack+43922,int_stack+37622,10);
 /*--- compute (f0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+33572,int_stack+23072,int_stack+60722,10);
 /*--- compute (f0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+47222,int_stack+33572,int_stack+69822,10);
 /*--- compute (f0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+23072,int_stack+47222,int_stack+81522,10);
 /*--- compute (dp|ni) ---*/
 hrr1_build_dp(Libint->AB,int_stack+41552,int_stack+23072,int_stack+11984,1848);
 return int_stack+41552;}
