#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_fdig(Libint_t*, prim_data*);

  /* Computes quartets of (fd|ig) integrals */

REALTYPE *hrr_order_fdig(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][6] = int_stack + 0;
 Libint->vrr_classes[3][7] = int_stack + 280;
 Libint->vrr_classes[3][8] = int_stack + 640;
 Libint->vrr_classes[3][9] = int_stack + 1090;
 Libint->vrr_classes[3][10] = int_stack + 1640;
 Libint->vrr_classes[4][6] = int_stack + 2300;
 Libint->vrr_classes[4][7] = int_stack + 2720;
 Libint->vrr_classes[4][8] = int_stack + 3260;
 Libint->vrr_classes[4][9] = int_stack + 3935;
 Libint->vrr_classes[4][10] = int_stack + 4760;
 Libint->vrr_classes[5][6] = int_stack + 5750;
 Libint->vrr_classes[5][7] = int_stack + 6338;
 Libint->vrr_classes[5][8] = int_stack + 7094;
 Libint->vrr_classes[5][9] = int_stack + 8039;
 Libint->vrr_classes[5][10] = int_stack + 9194;
 memset(int_stack,0,10580*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 10580;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_fdig(Libint, Data);
   Data++;
 }
 /*--- compute (f0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+10580,int_stack+280,int_stack+0,10);
 /*--- compute (f0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+11420,int_stack+640,int_stack+280,10);
 /*--- compute (f0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+12500,int_stack+11420,int_stack+10580,10);
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+14180,int_stack+1090,int_stack+640,10);
 /*--- compute (f0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+15530,int_stack+14180,int_stack+11420,10);
 /*--- compute (f0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+17690,int_stack+15530,int_stack+12500,10);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+10580,int_stack+1640,int_stack+1090,10);
 /*--- compute (f0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+20490,int_stack+10580,int_stack+14180,10);
 /*--- compute (f0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+10580,int_stack+20490,int_stack+15530,10);
 /*--- compute (f0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+20490,int_stack+10580,int_stack+17690,10);
 /*--- compute (g0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+10580,int_stack+2720,int_stack+2300,15);
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+11840,int_stack+3260,int_stack+2720,15);
 /*--- compute (g0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+13460,int_stack+11840,int_stack+10580,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+15980,int_stack+3935,int_stack+3260,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+0,int_stack+15980,int_stack+11840,15);
 /*--- compute (g0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+24690,int_stack+0,int_stack+13460,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+10580,int_stack+4760,int_stack+3935,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+28890,int_stack+10580,int_stack+15980,15);
 /*--- compute (g0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+10580,int_stack+28890,int_stack+0,15);
 /*--- compute (g0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+28890,int_stack+10580,int_stack+24690,15);
 /*--- compute (fp|ig) ---*/
 hrr1_build_fp(Libint->AB,int_stack+35190,int_stack+28890,int_stack+20490,420);
 /*--- compute (h0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+10580,int_stack+6338,int_stack+5750,21);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+12344,int_stack+7094,int_stack+6338,21);
 /*--- compute (h0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+14612,int_stack+12344,int_stack+10580,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+18140,int_stack+8039,int_stack+7094,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+20975,int_stack+18140,int_stack+12344,21);
 /*--- compute (h0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+0,int_stack+20975,int_stack+14612,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+10580,int_stack+9194,int_stack+8039,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+47790,int_stack+10580,int_stack+18140,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+5880,int_stack+47790,int_stack+20975,21);
 /*--- compute (h0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+13440,int_stack+5880,int_stack+0,21);
 /*--- compute (gp|ig) ---*/
 hrr1_build_gp(Libint->AB,int_stack+47790,int_stack+13440,int_stack+28890,420);
 /*--- compute (fd|ig) ---*/
 hrr1_build_fd(Libint->AB,int_stack+0,int_stack+47790,int_stack+35190,420);
 return int_stack+0;}
