#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ffll(Libint_t*, prim_data*);

  /* Computes quartets of (ff|ll) integrals */

REALTYPE *hrr_order_ffll(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[3][8] = int_stack + 0;
 Libint->vrr_classes[3][9] = int_stack + 450;
 Libint->vrr_classes[3][10] = int_stack + 1000;
 Libint->vrr_classes[3][11] = int_stack + 1660;
 Libint->vrr_classes[3][12] = int_stack + 2440;
 Libint->vrr_classes[3][13] = int_stack + 3350;
 Libint->vrr_classes[3][14] = int_stack + 4400;
 Libint->vrr_classes[3][15] = int_stack + 5600;
 Libint->vrr_classes[3][16] = int_stack + 6960;
 Libint->vrr_classes[4][8] = int_stack + 8490;
 Libint->vrr_classes[4][9] = int_stack + 9165;
 Libint->vrr_classes[4][10] = int_stack + 9990;
 Libint->vrr_classes[4][11] = int_stack + 10980;
 Libint->vrr_classes[4][12] = int_stack + 12150;
 Libint->vrr_classes[4][13] = int_stack + 13515;
 Libint->vrr_classes[4][14] = int_stack + 15090;
 Libint->vrr_classes[4][15] = int_stack + 16890;
 Libint->vrr_classes[4][16] = int_stack + 18930;
 Libint->vrr_classes[5][8] = int_stack + 21225;
 Libint->vrr_classes[5][9] = int_stack + 22170;
 Libint->vrr_classes[5][10] = int_stack + 23325;
 Libint->vrr_classes[5][11] = int_stack + 24711;
 Libint->vrr_classes[5][12] = int_stack + 26349;
 Libint->vrr_classes[5][13] = int_stack + 28260;
 Libint->vrr_classes[5][14] = int_stack + 30465;
 Libint->vrr_classes[5][15] = int_stack + 32985;
 Libint->vrr_classes[5][16] = int_stack + 35841;
 Libint->vrr_classes[6][8] = int_stack + 39054;
 Libint->vrr_classes[6][9] = int_stack + 40314;
 Libint->vrr_classes[6][10] = int_stack + 41854;
 Libint->vrr_classes[6][11] = int_stack + 43702;
 Libint->vrr_classes[6][12] = int_stack + 45886;
 Libint->vrr_classes[6][13] = int_stack + 48434;
 Libint->vrr_classes[6][14] = int_stack + 51374;
 Libint->vrr_classes[6][15] = int_stack + 54734;
 Libint->vrr_classes[6][16] = int_stack + 58542;
 memset(int_stack,0,62826*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 62826;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ffll(Libint, Data);
   Data++;
 }
 /*--- compute (f0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+62826,int_stack+450,int_stack+0,10);
 /*--- compute (f0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+64176,int_stack+1000,int_stack+450,10);
 /*--- compute (f0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+65826,int_stack+64176,int_stack+62826,10);
 /*--- compute (f0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+68526,int_stack+1660,int_stack+1000,10);
 /*--- compute (f0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+70506,int_stack+68526,int_stack+64176,10);
 /*--- compute (f0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+73806,int_stack+70506,int_stack+65826,10);
 /*--- compute (f0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+62826,int_stack+2440,int_stack+1660,10);
 /*--- compute (f0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+78306,int_stack+62826,int_stack+68526,10);
 /*--- compute (f0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+82266,int_stack+78306,int_stack+70506,10);
 /*--- compute (f0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+65166,int_stack+82266,int_stack+73806,10);
 /*--- compute (f0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+71916,int_stack+3350,int_stack+2440,10);
 /*--- compute (f0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+87766,int_stack+71916,int_stack+62826,10);
 /*--- compute (f0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+92446,int_stack+87766,int_stack+78306,10);
 /*--- compute (f0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+99046,int_stack+92446,int_stack+82266,10);
 /*--- compute (f0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+74646,int_stack+99046,int_stack+65166,10);
 /*--- compute (f0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+62826,int_stack+4400,int_stack+3350,10);
 /*--- compute (f0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+65976,int_stack+62826,int_stack+71916,10);
 /*--- compute (f0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+107296,int_stack+65976,int_stack+87766,10);
 /*--- compute (f0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+115096,int_stack+107296,int_stack+92446,10);
 /*--- compute (f0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+84096,int_stack+115096,int_stack+99046,10);
 /*--- compute (f0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+124996,int_stack+84096,int_stack+74646,10);
 /*--- compute (f0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+71436,int_stack+5600,int_stack+4400,10);
 /*--- compute (f0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+75036,int_stack+71436,int_stack+62826,10);
 /*--- compute (f0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+95646,int_stack+75036,int_stack+65976,10);
 /*--- compute (f0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+137596,int_stack+95646,int_stack+107296,10);
 /*--- compute (f0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+149296,int_stack+137596,int_stack+115096,10);
 /*--- compute (f0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+104746,int_stack+149296,int_stack+84096,10);
 /*--- compute (f0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+163156,int_stack+104746,int_stack+124996,10);
 /*--- compute (f0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+62826,int_stack+6960,int_stack+5600,10);
 /*--- compute (f0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+81336,int_stack+62826,int_stack+71436,10);
 /*--- compute (f0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+62826,int_stack+81336,int_stack+75036,10);
 /*--- compute (f0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+73326,int_stack+62826,int_stack+95646,10);
 /*--- compute (f0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+86976,int_stack+73326,int_stack+137596,10);
 /*--- compute (f0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+62826,int_stack+86976,int_stack+149296,10);
 /*--- compute (f0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+81306,int_stack+62826,int_stack+104746,10);
 /*--- compute (f0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+101106,int_stack+81306,int_stack+163156,10);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+62826,int_stack+9165,int_stack+8490,15);
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+64851,int_stack+9990,int_stack+9165,15);
 /*--- compute (g0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+67326,int_stack+64851,int_stack+62826,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+71376,int_stack+10980,int_stack+9990,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+74346,int_stack+71376,int_stack+64851,15);
 /*--- compute (g0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+79296,int_stack+74346,int_stack+67326,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+62826,int_stack+12150,int_stack+10980,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+86046,int_stack+62826,int_stack+71376,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+91986,int_stack+86046,int_stack+74346,15);
 /*--- compute (g0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+66336,int_stack+91986,int_stack+79296,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+76461,int_stack+13515,int_stack+12150,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+121356,int_stack+76461,int_stack+62826,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+128376,int_stack+121356,int_stack+86046,15);
 /*--- compute (g0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+138276,int_stack+128376,int_stack+91986,15);
 /*--- compute (g0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+80556,int_stack+138276,int_stack+66336,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+62826,int_stack+15090,int_stack+13515,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+67551,int_stack+62826,int_stack+76461,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+150651,int_stack+67551,int_stack+121356,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+162351,int_stack+150651,int_stack+128376,15);
 /*--- compute (g0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+177201,int_stack+162351,int_stack+138276,15);
 /*--- compute (g0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+121356,int_stack+177201,int_stack+80556,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+140256,int_stack+16890,int_stack+15090,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+75741,int_stack+140256,int_stack+62826,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+85191,int_stack+75741,int_stack+67551,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+194526,int_stack+85191,int_stack+150651,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+212076,int_stack+194526,int_stack+162351,15);
 /*--- compute (g0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+145656,int_stack+212076,int_stack+177201,15);
 /*--- compute (g0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+168756,int_stack+145656,int_stack+121356,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+121356,int_stack+18930,int_stack+16890,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+127476,int_stack+121356,int_stack+140256,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+127476,int_stack+75741,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+121356,int_stack+0,int_stack+85191,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+62826,int_stack+121356,int_stack+194526,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+232866,int_stack+62826,int_stack+212076,15);
 /*--- compute (g0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+62826,int_stack+232866,int_stack+145656,15);
 /*--- compute (g0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+121356,int_stack+62826,int_stack+168756,15);
 /*--- compute (fp|ll) ---*/
 hrr1_build_fp(Libint->AB,int_stack+151731,int_stack+121356,int_stack+101106,2025);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+62826,int_stack+22170,int_stack+21225,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+65661,int_stack+23325,int_stack+22170,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+69126,int_stack+65661,int_stack+62826,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+74796,int_stack+24711,int_stack+23325,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+78954,int_stack+74796,int_stack+65661,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+85884,int_stack+78954,int_stack+69126,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+62826,int_stack+26349,int_stack+24711,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+95334,int_stack+62826,int_stack+74796,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+103650,int_stack+95334,int_stack+78954,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+67740,int_stack+103650,int_stack+85884,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+81915,int_stack+28260,int_stack+26349,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+212481,int_stack+81915,int_stack+62826,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+222309,int_stack+212481,int_stack+95334,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+236169,int_stack+222309,int_stack+103650,21);
 /*--- compute (h0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+87648,int_stack+236169,int_stack+67740,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+62826,int_stack+30465,int_stack+28260,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+69441,int_stack+62826,int_stack+81915,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+69441,int_stack+212481,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+253494,int_stack+0,int_stack+222309,21);
 /*--- compute (h0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+274284,int_stack+253494,int_stack+236169,21);
 /*--- compute (h0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+212481,int_stack+274284,int_stack+87648,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+238941,int_stack+32985,int_stack+30465,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+80907,int_stack+238941,int_stack+62826,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+94137,int_stack+80907,int_stack+69441,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+298539,int_stack+94137,int_stack+0,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+298539,int_stack+253494,21);
 /*--- compute (h0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+323109,int_stack+0,int_stack+274284,21);
 /*--- compute (h0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+246501,int_stack+323109,int_stack+212481,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+212481,int_stack+35841,int_stack+32985,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+221049,int_stack+212481,int_stack+238941,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+355449,int_stack+221049,int_stack+80907,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+212481,int_stack+355449,int_stack+94137,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+62826,int_stack+212481,int_stack+298539,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+280521,int_stack+62826,int_stack+0,21);
 /*--- compute (h0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+62826,int_stack+280521,int_stack+323109,21);
 /*--- compute (h0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+280521,int_stack+62826,int_stack+246501,21);
 /*--- compute (gp|ll) ---*/
 hrr1_build_gp(Libint->AB,int_stack+323046,int_stack+280521,int_stack+121356,2025);
 /*--- compute (fd|ll) ---*/
 hrr1_build_fd(Libint->AB,int_stack+414171,int_stack+323046,int_stack+151731,2025);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+62826,int_stack+40314,int_stack+39054,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+66606,int_stack+41854,int_stack+40314,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+71226,int_stack+66606,int_stack+62826,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+78786,int_stack+43702,int_stack+41854,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+84330,int_stack+78786,int_stack+66606,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+93570,int_stack+84330,int_stack+71226,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+62826,int_stack+45886,int_stack+43702,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+106170,int_stack+62826,int_stack+78786,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+117258,int_stack+106170,int_stack+84330,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+69378,int_stack+117258,int_stack+93570,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+88278,int_stack+48434,int_stack+45886,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+132658,int_stack+88278,int_stack+62826,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+145762,int_stack+132658,int_stack+106170,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+164242,int_stack+145762,int_stack+117258,28);
 /*--- compute (i0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+95922,int_stack+164242,int_stack+69378,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+62826,int_stack+51374,int_stack+48434,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+71646,int_stack+62826,int_stack+88278,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+187342,int_stack+71646,int_stack+132658,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+209182,int_stack+187342,int_stack+145762,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+122382,int_stack+209182,int_stack+164242,28);
 /*--- compute (i0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+236902,int_stack+122382,int_stack+95922,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+86934,int_stack+54734,int_stack+51374,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+97014,int_stack+86934,int_stack+62826,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+154722,int_stack+97014,int_stack+71646,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+154722,int_stack+187342,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+535671,int_stack+0,int_stack+209182,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+180202,int_stack+535671,int_stack+122382,28);
 /*--- compute (i0|lk) ---*/
 hrr3_build_lk(Libint->CD,int_stack+574479,int_stack+180202,int_stack+236902,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+62826,int_stack+58542,int_stack+54734,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+114654,int_stack+62826,int_stack+86934,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+223322,int_stack+114654,int_stack+97014,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+32760,int_stack+223322,int_stack+154722,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+223322,int_stack+32760,int_stack+0,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+223322,int_stack+535671,28);
 /*--- compute (i0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+223322,int_stack+0,int_stack+180202,28);
 /*--- compute (i0|ll) ---*/
 hrr3_build_ll(Libint->CD,int_stack+0,int_stack+223322,int_stack+574479,28);
 /*--- compute (hp|ll) ---*/
 hrr1_build_hp(Libint->AB,int_stack+56700,int_stack+0,int_stack+280521,2025);
 /*--- compute (gd|ll) ---*/
 hrr1_build_gd(Libint->AB,int_stack+535671,int_stack+56700,int_stack+323046,2025);
 /*--- compute (ff|ll) ---*/
 hrr1_build_ff(Libint->AB,int_stack+0,int_stack+535671,int_stack+414171,2025);
 return int_stack+0;}
