#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_g0np(Libint_t*, prim_data*);

  /* Computes quartets of (g0|np) integrals */

REALTYPE *hrr_order_g0np(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][10] = int_stack + 0;
 Libint->vrr_classes[4][11] = int_stack + 990;
 memset(int_stack,0,2160*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 2160;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_g0np(Libint, Data);
   Data++;
 }
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+2160,int_stack+990,int_stack+0,15);
 return int_stack+2160;}
