#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gdnd(Libint_t*, prim_data*);

  /* Computes quartets of (gd|nd) integrals */

REALTYPE *hrr_order_gdnd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][10] = int_stack + 0;
 Libint->vrr_classes[4][11] = int_stack + 990;
 Libint->vrr_classes[4][12] = int_stack + 2160;
 Libint->vrr_classes[5][10] = int_stack + 3525;
 Libint->vrr_classes[5][11] = int_stack + 4911;
 Libint->vrr_classes[5][12] = int_stack + 6549;
 Libint->vrr_classes[6][10] = int_stack + 8460;
 Libint->vrr_classes[6][11] = int_stack + 10308;
 Libint->vrr_classes[6][12] = int_stack + 12492;
 memset(int_stack,0,15040*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 15040;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gdnd(Libint, Data);
   Data++;
 }
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+15040,int_stack+990,int_stack+0,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+18010,int_stack+2160,int_stack+990,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+21520,int_stack+18010,int_stack+15040,15);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+15040,int_stack+4911,int_stack+3525,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+27460,int_stack+6549,int_stack+4911,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+27460,int_stack+15040,21);
 /*--- compute (gp|nd) ---*/
 hrr1_build_gp(Libint->AB,int_stack+27460,int_stack+0,int_stack+21520,396);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+15040,int_stack+10308,int_stack+8460,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+20584,int_stack+12492,int_stack+10308,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+45280,int_stack+20584,int_stack+15040,28);
 /*--- compute (hp|nd) ---*/
 hrr1_build_hp(Libint->AB,int_stack+56368,int_stack+45280,int_stack+0,396);
 /*--- compute (gd|nd) ---*/
 hrr1_build_gd(Libint->AB,int_stack+81316,int_stack+56368,int_stack+27460,396);
 return int_stack+81316;}
