#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gfmh(Libint_t*, prim_data*);

  /* Computes quartets of (gf|mh) integrals */

REALTYPE *hrr_order_gfmh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][9] = int_stack + 0;
 Libint->vrr_classes[4][10] = int_stack + 825;
 Libint->vrr_classes[4][11] = int_stack + 1815;
 Libint->vrr_classes[4][12] = int_stack + 2985;
 Libint->vrr_classes[4][13] = int_stack + 4350;
 Libint->vrr_classes[4][14] = int_stack + 5925;
 Libint->vrr_classes[5][9] = int_stack + 7725;
 Libint->vrr_classes[5][10] = int_stack + 8880;
 Libint->vrr_classes[5][11] = int_stack + 10266;
 Libint->vrr_classes[5][12] = int_stack + 11904;
 Libint->vrr_classes[5][13] = int_stack + 13815;
 Libint->vrr_classes[5][14] = int_stack + 16020;
 Libint->vrr_classes[6][9] = int_stack + 18540;
 Libint->vrr_classes[6][10] = int_stack + 20080;
 Libint->vrr_classes[6][11] = int_stack + 21928;
 Libint->vrr_classes[6][12] = int_stack + 24112;
 Libint->vrr_classes[6][13] = int_stack + 26660;
 Libint->vrr_classes[6][14] = int_stack + 29600;
 Libint->vrr_classes[7][9] = int_stack + 32960;
 Libint->vrr_classes[7][10] = int_stack + 34940;
 Libint->vrr_classes[7][11] = int_stack + 37316;
 Libint->vrr_classes[7][12] = int_stack + 40124;
 Libint->vrr_classes[7][13] = int_stack + 43400;
 Libint->vrr_classes[7][14] = int_stack + 47180;
 memset(int_stack,0,51500*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 51500;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gfmh(Libint, Data);
   Data++;
 }
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+51500,int_stack+825,int_stack+0,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+53975,int_stack+1815,int_stack+825,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+56945,int_stack+53975,int_stack+51500,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+61895,int_stack+2985,int_stack+1815,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+65405,int_stack+61895,int_stack+53975,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+71345,int_stack+65405,int_stack+56945,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+51500,int_stack+4350,int_stack+2985,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+79595,int_stack+51500,int_stack+61895,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+86615,int_stack+79595,int_stack+65405,15);
 /*--- compute (g0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+55595,int_stack+86615,int_stack+71345,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+67970,int_stack+5925,int_stack+4350,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+96515,int_stack+67970,int_stack+51500,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+104705,int_stack+96515,int_stack+79595,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+67970,int_stack+104705,int_stack+86615,15);
 /*--- compute (g0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+82820,int_stack+67970,int_stack+55595,15);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+51500,int_stack+8880,int_stack+7725,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+54965,int_stack+10266,int_stack+8880,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+59123,int_stack+54965,int_stack+51500,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+66053,int_stack+11904,int_stack+10266,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+70967,int_stack+66053,int_stack+54965,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+100145,int_stack+70967,int_stack+59123,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+51500,int_stack+13815,int_stack+11904,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+51500,int_stack+66053,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+111695,int_stack+0,int_stack+70967,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+57233,int_stack+111695,int_stack+100145,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+100145,int_stack+16020,int_stack+13815,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+125555,int_stack+100145,int_stack+51500,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+137021,int_stack+125555,int_stack+0,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+153401,int_stack+137021,int_stack+111695,21);
 /*--- compute (h0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+100145,int_stack+153401,int_stack+57233,21);
 /*--- compute (gp|mh) ---*/
 hrr1_build_gp(Libint->AB,int_stack+124400,int_stack+100145,int_stack+82820,1155);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+20080,int_stack+18540,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+4620,int_stack+21928,int_stack+20080,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+10164,int_stack+4620,int_stack+0,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+51500,int_stack+24112,int_stack+21928,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+58052,int_stack+51500,int_stack+4620,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+69140,int_stack+58052,int_stack+10164,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+26660,int_stack+24112,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+7644,int_stack+0,int_stack+51500,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+176375,int_stack+7644,int_stack+58052,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+194855,int_stack+176375,int_stack+69140,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+51500,int_stack+29600,int_stack+26660,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+60320,int_stack+51500,int_stack+0,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+75608,int_stack+60320,int_stack+7644,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+75608,int_stack+176375,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+51500,int_stack+0,int_stack+194855,28);
 /*--- compute (hp|mh) ---*/
 hrr1_build_hp(Libint->AB,int_stack+176375,int_stack+51500,int_stack+100145,1155);
 /*--- compute (gd|mh) ---*/
 hrr1_build_gd(Libint->AB,int_stack+249140,int_stack+176375,int_stack+124400,1155);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+34940,int_stack+32960,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+5940,int_stack+37316,int_stack+34940,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+13068,int_stack+5940,int_stack+0,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+24948,int_stack+40124,int_stack+37316,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+83840,int_stack+24948,int_stack+5940,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+98096,int_stack+83840,int_stack+13068,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+43400,int_stack+40124,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+117896,int_stack+0,int_stack+24948,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+9828,int_stack+117896,int_stack+83840,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+134744,int_stack+9828,int_stack+98096,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+83840,int_stack+47180,int_stack+43400,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+95180,int_stack+83840,int_stack+0,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+353090,int_stack+95180,int_stack+117896,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+83840,int_stack+353090,int_stack+9828,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+0,int_stack+83840,int_stack+134744,36);
 /*--- compute (ip|mh) ---*/
 hrr1_build_ip(Libint->AB,int_stack+353090,int_stack+0,int_stack+51500,1155);
 /*--- compute (hd|mh) ---*/
 hrr1_build_hd(Libint->AB,int_stack+0,int_stack+353090,int_stack+176375,1155);
 /*--- compute (gf|mh) ---*/
 hrr1_build_gf(Libint->AB,int_stack+353090,int_stack+0,int_stack+249140,1155);
 return int_stack+353090;}
