#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gfml(Libint_t*, prim_data*);

  /* Computes quartets of (gf|ml) integrals */

REALTYPE *hrr_order_gfml(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][9] = int_stack + 0;
 Libint->vrr_classes[4][10] = int_stack + 825;
 Libint->vrr_classes[4][11] = int_stack + 1815;
 Libint->vrr_classes[4][12] = int_stack + 2985;
 Libint->vrr_classes[4][13] = int_stack + 4350;
 Libint->vrr_classes[4][14] = int_stack + 5925;
 Libint->vrr_classes[4][15] = int_stack + 7725;
 Libint->vrr_classes[4][16] = int_stack + 9765;
 Libint->vrr_classes[4][17] = int_stack + 12060;
 Libint->vrr_classes[5][9] = int_stack + 14625;
 Libint->vrr_classes[5][10] = int_stack + 15780;
 Libint->vrr_classes[5][11] = int_stack + 17166;
 Libint->vrr_classes[5][12] = int_stack + 18804;
 Libint->vrr_classes[5][13] = int_stack + 20715;
 Libint->vrr_classes[5][14] = int_stack + 22920;
 Libint->vrr_classes[5][15] = int_stack + 25440;
 Libint->vrr_classes[5][16] = int_stack + 28296;
 Libint->vrr_classes[5][17] = int_stack + 31509;
 Libint->vrr_classes[6][9] = int_stack + 35100;
 Libint->vrr_classes[6][10] = int_stack + 36640;
 Libint->vrr_classes[6][11] = int_stack + 38488;
 Libint->vrr_classes[6][12] = int_stack + 40672;
 Libint->vrr_classes[6][13] = int_stack + 43220;
 Libint->vrr_classes[6][14] = int_stack + 46160;
 Libint->vrr_classes[6][15] = int_stack + 49520;
 Libint->vrr_classes[6][16] = int_stack + 53328;
 Libint->vrr_classes[6][17] = int_stack + 57612;
 Libint->vrr_classes[7][9] = int_stack + 62400;
 Libint->vrr_classes[7][10] = int_stack + 64380;
 Libint->vrr_classes[7][11] = int_stack + 66756;
 Libint->vrr_classes[7][12] = int_stack + 69564;
 Libint->vrr_classes[7][13] = int_stack + 72840;
 Libint->vrr_classes[7][14] = int_stack + 76620;
 Libint->vrr_classes[7][15] = int_stack + 80940;
 Libint->vrr_classes[7][16] = int_stack + 85836;
 Libint->vrr_classes[7][17] = int_stack + 91344;
 memset(int_stack,0,97500*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 97500;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gfml(Libint, Data);
   Data++;
 }
 /*--- compute (g0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+97500,int_stack+825,int_stack+0,15);
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+99975,int_stack+1815,int_stack+825,15);
 /*--- compute (g0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+102945,int_stack+99975,int_stack+97500,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+107895,int_stack+2985,int_stack+1815,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+111405,int_stack+107895,int_stack+99975,15);
 /*--- compute (g0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+117345,int_stack+111405,int_stack+102945,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+97500,int_stack+4350,int_stack+2985,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+125595,int_stack+97500,int_stack+107895,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+132615,int_stack+125595,int_stack+111405,15);
 /*--- compute (g0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+101595,int_stack+132615,int_stack+117345,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+113970,int_stack+5925,int_stack+4350,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+142515,int_stack+113970,int_stack+97500,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+150705,int_stack+142515,int_stack+125595,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+162405,int_stack+150705,int_stack+132615,15);
 /*--- compute (g0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+118695,int_stack+162405,int_stack+101595,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+97500,int_stack+7725,int_stack+5925,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+102900,int_stack+97500,int_stack+113970,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+177255,int_stack+102900,int_stack+142515,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+190905,int_stack+177255,int_stack+150705,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+136020,int_stack+190905,int_stack+162405,15);
 /*--- compute (g0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+208455,int_stack+136020,int_stack+118695,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+112350,int_stack+9765,int_stack+7725,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+118470,int_stack+112350,int_stack+97500,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+156810,int_stack+118470,int_stack+102900,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+231555,int_stack+156810,int_stack+177255,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+252030,int_stack+231555,int_stack+190905,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+172560,int_stack+252030,int_stack+136020,15);
 /*--- compute (g0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+276600,int_stack+172560,int_stack+208455,15);
 /*--- compute (g0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+97500,int_stack+12060,int_stack+9765,15);
 /*--- compute (g0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+129270,int_stack+97500,int_stack+112350,15);
 /*--- compute (g0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+97500,int_stack+129270,int_stack+118470,15);
 /*--- compute (g0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+115500,int_stack+97500,int_stack+156810,15);
 /*--- compute (g0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+139125,int_stack+115500,int_stack+231555,15);
 /*--- compute (g0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+97500,int_stack+139125,int_stack+252030,15);
 /*--- compute (g0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+130260,int_stack+97500,int_stack+172560,15);
 /*--- compute (g0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+165900,int_stack+130260,int_stack+276600,15);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+97500,int_stack+15780,int_stack+14625,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+100965,int_stack+17166,int_stack+15780,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+105123,int_stack+100965,int_stack+97500,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+112053,int_stack+18804,int_stack+17166,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+116967,int_stack+112053,int_stack+100965,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+125283,int_stack+116967,int_stack+105123,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+97500,int_stack+20715,int_stack+18804,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+136833,int_stack+97500,int_stack+112053,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+146661,int_stack+136833,int_stack+116967,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+103233,int_stack+146661,int_stack+125283,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+120558,int_stack+22920,int_stack+20715,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+203025,int_stack+120558,int_stack+97500,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+214491,int_stack+203025,int_stack+136833,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+230871,int_stack+214491,int_stack+146661,21);
 /*--- compute (h0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+127173,int_stack+230871,int_stack+103233,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+97500,int_stack+25440,int_stack+22920,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+105060,int_stack+97500,int_stack+120558,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+251661,int_stack+105060,int_stack+203025,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+270771,int_stack+251661,int_stack+214491,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+295341,int_stack+270771,int_stack+230871,21);
 /*--- compute (h0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+203025,int_stack+295341,int_stack+127173,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+235365,int_stack+28296,int_stack+25440,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+118290,int_stack+235365,int_stack+97500,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+133410,int_stack+118290,int_stack+105060,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+324447,int_stack+133410,int_stack+251661,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+353112,int_stack+324447,int_stack+270771,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+243933,int_stack+353112,int_stack+295341,21);
 /*--- compute (h0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+282741,int_stack+243933,int_stack+203025,21);
 /*--- compute (h0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+203025,int_stack+31509,int_stack+28296,21);
 /*--- compute (h0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+212664,int_stack+203025,int_stack+235365,21);
 /*--- compute (h0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+0,int_stack+212664,int_stack+118290,21);
 /*--- compute (h0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+203025,int_stack+0,int_stack+133410,21);
 /*--- compute (h0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+97500,int_stack+203025,int_stack+324447,21);
 /*--- compute (h0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+387510,int_stack+97500,int_stack+353112,21);
 /*--- compute (h0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+97500,int_stack+387510,int_stack+243933,21);
 /*--- compute (h0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+203025,int_stack+97500,int_stack+282741,21);
 /*--- compute (gp|ml) ---*/
 hrr1_build_gp(Libint->AB,int_stack+255000,int_stack+203025,int_stack+165900,2475);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+97500,int_stack+36640,int_stack+35100,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+102120,int_stack+38488,int_stack+36640,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+107664,int_stack+102120,int_stack+97500,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+116904,int_stack+40672,int_stack+38488,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+123456,int_stack+116904,int_stack+102120,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+134544,int_stack+123456,int_stack+107664,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+97500,int_stack+43220,int_stack+40672,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+149944,int_stack+97500,int_stack+116904,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+163048,int_stack+149944,int_stack+123456,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+105144,int_stack+163048,int_stack+134544,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+128244,int_stack+46160,int_stack+43220,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+181528,int_stack+128244,int_stack+97500,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+366375,int_stack+181528,int_stack+149944,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+388215,int_stack+366375,int_stack+163048,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+137064,int_stack+388215,int_stack+105144,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+97500,int_stack+49520,int_stack+46160,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+107580,int_stack+97500,int_stack+128244,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+107580,int_stack+181528,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+169404,int_stack+0,int_stack+366375,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+415935,int_stack+169404,int_stack+388215,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+366375,int_stack+415935,int_stack+137064,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+125220,int_stack+53328,int_stack+49520,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+136644,int_stack+125220,int_stack+97500,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+454743,int_stack+136644,int_stack+107580,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+484143,int_stack+454743,int_stack+0,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+0,int_stack+484143,int_stack+169404,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+522363,int_stack+0,int_stack+415935,28);
 /*--- compute (i0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+574107,int_stack+522363,int_stack+366375,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+366375,int_stack+57612,int_stack+53328,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+379227,int_stack+366375,int_stack+125220,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+402075,int_stack+379227,int_stack+136644,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+97500,int_stack+402075,int_stack+454743,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+366375,int_stack+97500,int_stack+484143,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+97500,int_stack+366375,int_stack+0,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+366375,int_stack+97500,int_stack+522363,28);
 /*--- compute (i0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+97500,int_stack+366375,int_stack+574107,28);
 /*--- compute (hp|ml) ---*/
 hrr1_build_hp(Libint->AB,int_stack+366375,int_stack+97500,int_stack+203025,2475);
 /*--- compute (gd|ml) ---*/
 hrr1_build_gd(Libint->AB,int_stack+522300,int_stack+366375,int_stack+255000,2475);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+166800,int_stack+64380,int_stack+62400,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+172740,int_stack+66756,int_stack+64380,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+179868,int_stack+172740,int_stack+166800,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+191748,int_stack+69564,int_stack+66756,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+200172,int_stack+191748,int_stack+172740,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+214428,int_stack+200172,int_stack+179868,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+166800,int_stack+72840,int_stack+69564,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+234228,int_stack+166800,int_stack+191748,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+251076,int_stack+234228,int_stack+200172,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+176628,int_stack+251076,int_stack+214428,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+206328,int_stack+76620,int_stack+72840,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+274836,int_stack+206328,int_stack+166800,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+294492,int_stack+274836,int_stack+234228,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+322572,int_stack+294492,int_stack+251076,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+217668,int_stack+322572,int_stack+176628,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+166800,int_stack+80940,int_stack+76620,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+179760,int_stack+166800,int_stack+206328,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+179760,int_stack+274836,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+32760,int_stack+0,int_stack+294492,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+259248,int_stack+32760,int_stack+322572,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+309144,int_stack+259248,int_stack+217668,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+202440,int_stack+85836,int_stack+80940,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+217128,int_stack+202440,int_stack+166800,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+745050,int_stack+217128,int_stack+179760,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+782850,int_stack+745050,int_stack+0,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+831990,int_stack+782850,int_stack+32760,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+831990,int_stack+259248,36);
 /*--- compute (k0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+890958,int_stack+0,int_stack+309144,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+66528,int_stack+91344,int_stack+85836,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+166800,int_stack+66528,int_stack+202440,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+243048,int_stack+166800,int_stack+217128,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+166800,int_stack+243048,int_stack+745050,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+223500,int_stack+166800,int_stack+782850,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+745050,int_stack+223500,int_stack+831990,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+166800,int_stack+745050,int_stack+0,36);
 /*--- compute (k0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+0,int_stack+166800,int_stack+890958,36);
 /*--- compute (ip|ml) ---*/
 hrr1_build_ip(Libint->AB,int_stack+745050,int_stack+0,int_stack+97500,2475);
 /*--- compute (hd|ml) ---*/
 hrr1_build_hd(Libint->AB,int_stack+0,int_stack+745050,int_stack+366375,2475);
 /*--- compute (gf|ml) ---*/
 hrr1_build_gf(Libint->AB,int_stack+745050,int_stack+0,int_stack+522300,2475);
 return int_stack+745050;}
