#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gfn0(Libint_t*, prim_data*);

  /* Computes quartets of (gf|n0) integrals */

REALTYPE *hrr_order_gfn0(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][10] = int_stack + 0;
 Libint->vrr_classes[5][10] = int_stack + 990;
 Libint->vrr_classes[6][10] = int_stack + 2376;
 Libint->vrr_classes[7][10] = int_stack + 4224;
 memset(int_stack,0,6600*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 6600;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gfn0(Libint, Data);
   Data++;
 }
 /*--- compute (gp|n0) ---*/
 hrr1_build_gp(Libint->AB,int_stack+6600,int_stack+990,int_stack+0,66);
 /*--- compute (hp|n0) ---*/
 hrr1_build_hp(Libint->AB,int_stack+9570,int_stack+2376,int_stack+990,66);
 /*--- compute (gd|n0) ---*/
 hrr1_build_gd(Libint->AB,int_stack+13728,int_stack+9570,int_stack+6600,66);
 /*--- compute (ip|n0) ---*/
 hrr1_build_ip(Libint->AB,int_stack+19668,int_stack+4224,int_stack+2376,66);
 /*--- compute (hd|n0) ---*/
 hrr1_build_hd(Libint->AB,int_stack+0,int_stack+19668,int_stack+9570,66);
 /*--- compute (gf|n0) ---*/
 hrr1_build_gf(Libint->AB,int_stack+19668,int_stack+0,int_stack+13728,66);
 return int_stack+19668;}
