#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gfnm(Libint_t*, prim_data*);

  /* Computes quartets of (gf|nm) integrals */

REALTYPE *hrr_order_gfnm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][10] = int_stack + 0;
 Libint->vrr_classes[4][11] = int_stack + 990;
 Libint->vrr_classes[4][12] = int_stack + 2160;
 Libint->vrr_classes[4][13] = int_stack + 3525;
 Libint->vrr_classes[4][14] = int_stack + 5100;
 Libint->vrr_classes[4][15] = int_stack + 6900;
 Libint->vrr_classes[4][16] = int_stack + 8940;
 Libint->vrr_classes[4][17] = int_stack + 11235;
 Libint->vrr_classes[4][18] = int_stack + 13800;
 Libint->vrr_classes[4][19] = int_stack + 16650;
 Libint->vrr_classes[5][10] = int_stack + 19800;
 Libint->vrr_classes[5][11] = int_stack + 21186;
 Libint->vrr_classes[5][12] = int_stack + 22824;
 Libint->vrr_classes[5][13] = int_stack + 24735;
 Libint->vrr_classes[5][14] = int_stack + 26940;
 Libint->vrr_classes[5][15] = int_stack + 29460;
 Libint->vrr_classes[5][16] = int_stack + 32316;
 Libint->vrr_classes[5][17] = int_stack + 35529;
 Libint->vrr_classes[5][18] = int_stack + 39120;
 Libint->vrr_classes[5][19] = int_stack + 43110;
 Libint->vrr_classes[6][10] = int_stack + 47520;
 Libint->vrr_classes[6][11] = int_stack + 49368;
 Libint->vrr_classes[6][12] = int_stack + 51552;
 Libint->vrr_classes[6][13] = int_stack + 54100;
 Libint->vrr_classes[6][14] = int_stack + 57040;
 Libint->vrr_classes[6][15] = int_stack + 60400;
 Libint->vrr_classes[6][16] = int_stack + 64208;
 Libint->vrr_classes[6][17] = int_stack + 68492;
 Libint->vrr_classes[6][18] = int_stack + 73280;
 Libint->vrr_classes[6][19] = int_stack + 78600;
 Libint->vrr_classes[7][10] = int_stack + 84480;
 Libint->vrr_classes[7][11] = int_stack + 86856;
 Libint->vrr_classes[7][12] = int_stack + 89664;
 Libint->vrr_classes[7][13] = int_stack + 92940;
 Libint->vrr_classes[7][14] = int_stack + 96720;
 Libint->vrr_classes[7][15] = int_stack + 101040;
 Libint->vrr_classes[7][16] = int_stack + 105936;
 Libint->vrr_classes[7][17] = int_stack + 111444;
 Libint->vrr_classes[7][18] = int_stack + 117600;
 Libint->vrr_classes[7][19] = int_stack + 124440;
 memset(int_stack,0,132000*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 132000;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gfnm(Libint, Data);
   Data++;
 }
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+132000,int_stack+990,int_stack+0,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+134970,int_stack+2160,int_stack+990,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+138480,int_stack+134970,int_stack+132000,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+144420,int_stack+3525,int_stack+2160,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+148515,int_stack+144420,int_stack+134970,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+155535,int_stack+148515,int_stack+138480,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+132000,int_stack+5100,int_stack+3525,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+165435,int_stack+132000,int_stack+144420,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+136725,int_stack+165435,int_stack+148515,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+173625,int_stack+136725,int_stack+155535,15);
 /*--- compute (g0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+148425,int_stack+6900,int_stack+5100,15);
 /*--- compute (g0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+153825,int_stack+148425,int_stack+132000,15);
 /*--- compute (g0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+188475,int_stack+153825,int_stack+165435,15);
 /*--- compute (g0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+202125,int_stack+188475,int_stack+136725,15);
 /*--- compute (g0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+219675,int_stack+202125,int_stack+173625,15);
 /*--- compute (g0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+132000,int_stack+8940,int_stack+6900,15);
 /*--- compute (g0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+163275,int_stack+132000,int_stack+148425,15);
 /*--- compute (g0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+240465,int_stack+163275,int_stack+153825,15);
 /*--- compute (g0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+138120,int_stack+240465,int_stack+188475,15);
 /*--- compute (g0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+174075,int_stack+138120,int_stack+202125,15);
 /*--- compute (g0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+256215,int_stack+174075,int_stack+219675,15);
 /*--- compute (g0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+198645,int_stack+11235,int_stack+8940,15);
 /*--- compute (g0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+205530,int_stack+198645,int_stack+132000,15);
 /*--- compute (g0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+217770,int_stack+205530,int_stack+163275,15);
 /*--- compute (g0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+283935,int_stack+217770,int_stack+240465,15);
 /*--- compute (g0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+307560,int_stack+283935,int_stack+138120,15);
 /*--- compute (g0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+132000,int_stack+307560,int_stack+174075,15);
 /*--- compute (g0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+336225,int_stack+132000,int_stack+256215,15);
 /*--- compute (g0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+164760,int_stack+13800,int_stack+11235,15);
 /*--- compute (g0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+172455,int_stack+164760,int_stack+198645,15);
 /*--- compute (g0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+235770,int_stack+172455,int_stack+205530,15);
 /*--- compute (g0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+186225,int_stack+235770,int_stack+217770,15);
 /*--- compute (g0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+371865,int_stack+186225,int_stack+283935,15);
 /*--- compute (g0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+256170,int_stack+371865,int_stack+307560,15);
 /*--- compute (g0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+404940,int_stack+256170,int_stack+132000,15);
 /*--- compute (g0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+447060,int_stack+404940,int_stack+336225,15);
 /*--- compute (g0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+132000,int_stack+16650,int_stack+13800,15);
 /*--- compute (g0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+140550,int_stack+132000,int_stack+164760,15);
 /*--- compute (g0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+294390,int_stack+140550,int_stack+172455,15);
 /*--- compute (g0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+132000,int_stack+294390,int_stack+235770,15);
 /*--- compute (g0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+294390,int_stack+132000,int_stack+186225,15);
 /*--- compute (g0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+132000,int_stack+294390,int_stack+371865,15);
 /*--- compute (g0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+294390,int_stack+132000,int_stack+256170,15);
 /*--- compute (g0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+132000,int_stack+294390,int_stack+404940,15);
 /*--- compute (g0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+184650,int_stack+132000,int_stack+447060,15);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+132000,int_stack+21186,int_stack+19800,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+136158,int_stack+22824,int_stack+21186,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+141072,int_stack+136158,int_stack+132000,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+149388,int_stack+24735,int_stack+22824,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+155121,int_stack+149388,int_stack+136158,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+164949,int_stack+155121,int_stack+141072,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+132000,int_stack+26940,int_stack+24735,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+239100,int_stack+132000,int_stack+149388,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+138615,int_stack+239100,int_stack+155121,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+250566,int_stack+138615,int_stack+164949,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+154995,int_stack+29460,int_stack+26940,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+162555,int_stack+154995,int_stack+132000,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+271356,int_stack+162555,int_stack+239100,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+290466,int_stack+271356,int_stack+138615,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+315036,int_stack+290466,int_stack+250566,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+239100,int_stack+32316,int_stack+29460,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+247668,int_stack+239100,int_stack+154995,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+132000,int_stack+247668,int_stack+162555,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+154050,int_stack+132000,int_stack+271356,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+344142,int_stack+154050,int_stack+290466,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+262788,int_stack+344142,int_stack+315036,21);
 /*--- compute (h0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+301596,int_stack+35529,int_stack+32316,21);
 /*--- compute (h0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+311235,int_stack+301596,int_stack+239100,21);
 /*--- compute (h0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+378540,int_stack+311235,int_stack+247668,21);
 /*--- compute (h0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+403740,int_stack+378540,int_stack+132000,21);
 /*--- compute (h0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+436815,int_stack+403740,int_stack+154050,21);
 /*--- compute (h0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+132000,int_stack+436815,int_stack+344142,21);
 /*--- compute (h0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+328371,int_stack+132000,int_stack+262788,21);
 /*--- compute (h0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+239100,int_stack+39120,int_stack+35529,21);
 /*--- compute (h0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+249873,int_stack+239100,int_stack+301596,21);
 /*--- compute (h0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+269151,int_stack+249873,int_stack+311235,21);
 /*--- compute (h0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+269151,int_stack+378540,21);
 /*--- compute (h0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+476946,int_stack+0,int_stack+403740,21);
 /*--- compute (h0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+378267,int_stack+476946,int_stack+436815,21);
 /*--- compute (h0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+523251,int_stack+378267,int_stack+132000,21);
 /*--- compute (h0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+582219,int_stack+523251,int_stack+328371,21);
 /*--- compute (h0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+132000,int_stack+43110,int_stack+39120,21);
 /*--- compute (h0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+143970,int_stack+132000,int_stack+239100,21);
 /*--- compute (h0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+297711,int_stack+143970,int_stack+249873,21);
 /*--- compute (h0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+132000,int_stack+297711,int_stack+269151,21);
 /*--- compute (h0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+239100,int_stack+132000,int_stack+0,21);
 /*--- compute (h0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+292020,int_stack+239100,int_stack+476946,21);
 /*--- compute (h0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+431775,int_stack+292020,int_stack+378267,21);
 /*--- compute (h0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+239100,int_stack+431775,int_stack+523251,21);
 /*--- compute (h0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+312810,int_stack+239100,int_stack+582219,21);
 /*--- compute (gp|nm) ---*/
 hrr1_build_gp(Libint->AB,int_stack+389040,int_stack+312810,int_stack+184650,3630);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+552390,int_stack+49368,int_stack+47520,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+557934,int_stack+51552,int_stack+49368,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+564486,int_stack+557934,int_stack+552390,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+575574,int_stack+54100,int_stack+51552,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+583218,int_stack+575574,int_stack+557934,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+596322,int_stack+583218,int_stack+564486,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+552390,int_stack+57040,int_stack+54100,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+614802,int_stack+552390,int_stack+575574,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+561210,int_stack+614802,int_stack+583218,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+561210,int_stack+596322,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+583050,int_stack+60400,int_stack+57040,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+593130,int_stack+583050,int_stack+552390,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+27720,int_stack+593130,int_stack+614802,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+610770,int_stack+27720,int_stack+561210,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+132000,int_stack+610770,int_stack+0,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+64208,int_stack+60400,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+552390,int_stack+0,int_stack+583050,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+170808,int_stack+552390,int_stack+593130,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+572550,int_stack+170808,int_stack+27720,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+11424,int_stack+572550,int_stack+610770,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+200208,int_stack+11424,int_stack+132000,28);
 /*--- compute (i0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+132000,int_stack+68492,int_stack+64208,28);
 /*--- compute (i0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+144852,int_stack+132000,int_stack+0,28);
 /*--- compute (i0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+610770,int_stack+144852,int_stack+552390,28);
 /*--- compute (i0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+251952,int_stack+610770,int_stack+170808,28);
 /*--- compute (i0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+644370,int_stack+251952,int_stack+572550,28);
 /*--- compute (i0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+697878,int_stack+644370,int_stack+11424,28);
 /*--- compute (i0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+697878,int_stack+200208,28);
 /*--- compute (i0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+552390,int_stack+73280,int_stack+68492,28);
 /*--- compute (i0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+566754,int_stack+552390,int_stack+132000,28);
 /*--- compute (i0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+167700,int_stack+566754,int_stack+144852,28);
 /*--- compute (i0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+759030,int_stack+167700,int_stack+610770,28);
 /*--- compute (i0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+809430,int_stack+759030,int_stack+251952,28);
 /*--- compute (i0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+205780,int_stack+809430,int_stack+644370,28);
 /*--- compute (i0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+592458,int_stack+205780,int_stack+697878,28);
 /*--- compute (i0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+671082,int_stack+592458,int_stack+0,28);
 /*--- compute (i0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+0,int_stack+78600,int_stack+73280,28);
 /*--- compute (i0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+15960,int_stack+0,int_stack+552390,28);
 /*--- compute (i0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+871170,int_stack+15960,int_stack+566754,28);
 /*--- compute (i0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+0,int_stack+871170,int_stack+167700,28);
 /*--- compute (i0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+132000,int_stack+0,int_stack+759030,28);
 /*--- compute (i0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+0,int_stack+132000,int_stack+809430,28);
 /*--- compute (i0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+754242,int_stack+0,int_stack+205780,28);
 /*--- compute (i0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+132000,int_stack+754242,int_stack+592458,28);
 /*--- compute (i0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+754242,int_stack+132000,int_stack+671082,28);
 /*--- compute (hp|nm) ---*/
 hrr1_build_hp(Libint->AB,int_stack+855882,int_stack+754242,int_stack+312810,3630);
 /*--- compute (gd|nm) ---*/
 hrr1_build_gd(Libint->AB,int_stack+1084572,int_stack+855882,int_stack+389040,3630);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+132000,int_stack+86856,int_stack+84480,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+139128,int_stack+89664,int_stack+86856,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+147552,int_stack+139128,int_stack+132000,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+161808,int_stack+92940,int_stack+89664,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+171636,int_stack+161808,int_stack+139128,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+188484,int_stack+171636,int_stack+147552,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+132000,int_stack+96720,int_stack+92940,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+212244,int_stack+132000,int_stack+161808,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+143340,int_stack+212244,int_stack+171636,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+231900,int_stack+143340,int_stack+188484,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+171420,int_stack+101040,int_stack+96720,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+184380,int_stack+171420,int_stack+132000,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+267540,int_stack+184380,int_stack+212244,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+300300,int_stack+267540,int_stack+143340,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+342420,int_stack+300300,int_stack+231900,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+132000,int_stack+105936,int_stack+101040,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+207060,int_stack+132000,int_stack+171420,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+392316,int_stack+207060,int_stack+184380,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+146688,int_stack+392316,int_stack+267540,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+232980,int_stack+146688,int_stack+300300,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+430116,int_stack+232980,int_stack+342420,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+291948,int_stack+111444,int_stack+105936,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+308472,int_stack+291948,int_stack+132000,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+337848,int_stack+308472,int_stack+207060,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+496644,int_stack+337848,int_stack+392316,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+553344,int_stack+496644,int_stack+146688,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+132000,int_stack+553344,int_stack+232980,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+622140,int_stack+132000,int_stack+430116,36);
 /*--- compute (k0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+210624,int_stack+117600,int_stack+111444,36);
 /*--- compute (k0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+229092,int_stack+210624,int_stack+291948,36);
 /*--- compute (k0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+381048,int_stack+229092,int_stack+308472,36);
 /*--- compute (k0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+262140,int_stack+381048,int_stack+337848,36);
 /*--- compute (k0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+0,int_stack+262140,int_stack+496644,36);
 /*--- compute (k0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+430008,int_stack+0,int_stack+553344,36);
 /*--- compute (k0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1411272,int_stack+430008,int_stack+132000,36);
 /*--- compute (k0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1512360,int_stack+1411272,int_stack+622140,36);
 /*--- compute (k0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+132000,int_stack+124440,int_stack+117600,36);
 /*--- compute (k0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+152520,int_stack+132000,int_stack+210624,36);
 /*--- compute (k0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+521736,int_stack+152520,int_stack+229092,36);
 /*--- compute (k0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+576816,int_stack+521736,int_stack+381048,36);
 /*--- compute (k0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+326940,int_stack+576816,int_stack+262140,36);
 /*--- compute (k0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+521736,int_stack+326940,int_stack+0,36);
 /*--- compute (k0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+0,int_stack+521736,int_stack+430008,36);
 /*--- compute (k0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+117936,int_stack+0,int_stack+1411272,36);
 /*--- compute (k0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+244296,int_stack+117936,int_stack+1512360,36);
 /*--- compute (ip|nm) ---*/
 hrr1_build_ip(Libint->AB,int_stack+374976,int_stack+244296,int_stack+754242,3630);
 /*--- compute (hd|nm) ---*/
 hrr1_build_hd(Libint->AB,int_stack+1411272,int_stack+374976,int_stack+855882,3630);
 /*--- compute (gf|nm) ---*/
 hrr1_build_gf(Libint->AB,int_stack+0,int_stack+1411272,int_stack+1084572,3630);
 return int_stack+0;}
