#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gglp(Libint_t*, prim_data*);

  /* Computes quartets of (gg|lp) integrals */

REALTYPE *hrr_order_gglp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][8] = int_stack + 0;
 Libint->vrr_classes[4][9] = int_stack + 675;
 Libint->vrr_classes[5][8] = int_stack + 1500;
 Libint->vrr_classes[5][9] = int_stack + 2445;
 Libint->vrr_classes[6][8] = int_stack + 3600;
 Libint->vrr_classes[6][9] = int_stack + 4860;
 Libint->vrr_classes[7][8] = int_stack + 6400;
 Libint->vrr_classes[7][9] = int_stack + 8020;
 Libint->vrr_classes[8][8] = int_stack + 10000;
 Libint->vrr_classes[8][9] = int_stack + 12025;
 memset(int_stack,0,14500*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 14500;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gglp(Libint, Data);
   Data++;
 }
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+14500,int_stack+675,int_stack+0,15);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+16525,int_stack+2445,int_stack+1500,21);
 /*--- compute (gp|lp) ---*/
 hrr1_build_gp(Libint->AB,int_stack+19360,int_stack+16525,int_stack+14500,135);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+25435,int_stack+4860,int_stack+3600,28);
 /*--- compute (hp|lp) ---*/
 hrr1_build_hp(Libint->AB,int_stack+29215,int_stack+25435,int_stack+16525,135);
 /*--- compute (gd|lp) ---*/
 hrr1_build_gd(Libint->AB,int_stack+37720,int_stack+29215,int_stack+19360,135);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+14500,int_stack+8020,int_stack+6400,36);
 /*--- compute (ip|lp) ---*/
 hrr1_build_ip(Libint->AB,int_stack+49870,int_stack+14500,int_stack+25435,135);
 /*--- compute (hd|lp) ---*/
 hrr1_build_hd(Libint->AB,int_stack+61210,int_stack+49870,int_stack+29215,135);
 /*--- compute (gf|lp) ---*/
 hrr1_build_gf(Libint->AB,int_stack+78220,int_stack+61210,int_stack+37720,135);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+19360,int_stack+12025,int_stack+10000,45);
 /*--- compute (kp|lp) ---*/
 hrr1_build_kp(Libint->AB,int_stack+25435,int_stack+19360,int_stack+14500,135);
 /*--- compute (id|lp) ---*/
 hrr1_build_id(Libint->AB,int_stack+0,int_stack+25435,int_stack+49870,135);
 /*--- compute (hf|lp) ---*/
 hrr1_build_hf(Libint->AB,int_stack+22680,int_stack+0,int_stack+61210,135);
 /*--- compute (gg|lp) ---*/
 hrr1_build_gg(Libint->AB,int_stack+98470,int_stack+22680,int_stack+78220,135);
 return int_stack+98470;}
