#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gpif(Libint_t*, prim_data*);

  /* Computes quartets of (gp|if) integrals */

REALTYPE *hrr_order_gpif(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][6] = int_stack + 0;
 Libint->vrr_classes[4][7] = int_stack + 420;
 Libint->vrr_classes[4][8] = int_stack + 960;
 Libint->vrr_classes[4][9] = int_stack + 1635;
 Libint->vrr_classes[5][6] = int_stack + 2460;
 Libint->vrr_classes[5][7] = int_stack + 3048;
 Libint->vrr_classes[5][8] = int_stack + 3804;
 Libint->vrr_classes[5][9] = int_stack + 4749;
 memset(int_stack,0,5904*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 5904;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gpif(Libint, Data);
   Data++;
 }
 /*--- compute (g0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+5904,int_stack+420,int_stack+0,15);
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+7164,int_stack+960,int_stack+420,15);
 /*--- compute (g0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+8784,int_stack+7164,int_stack+5904,15);
 /*--- compute (g0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+11304,int_stack+1635,int_stack+960,15);
 /*--- compute (g0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+13329,int_stack+11304,int_stack+7164,15);
 /*--- compute (g0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+16569,int_stack+13329,int_stack+8784,15);
 /*--- compute (h0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+5904,int_stack+3048,int_stack+2460,21);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+7668,int_stack+3804,int_stack+3048,21);
 /*--- compute (h0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+9936,int_stack+7668,int_stack+5904,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+13464,int_stack+4749,int_stack+3804,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+0,int_stack+13464,int_stack+7668,21);
 /*--- compute (h0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+20769,int_stack+0,int_stack+9936,21);
 /*--- compute (gp|if) ---*/
 hrr1_build_gp(Libint->AB,int_stack+0,int_stack+20769,int_stack+16569,280);
 return int_stack+0;}
