#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gpkp(Libint_t*, prim_data*);

  /* Computes quartets of (gp|kp) integrals */

REALTYPE *hrr_order_gpkp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][7] = int_stack + 0;
 Libint->vrr_classes[4][8] = int_stack + 540;
 Libint->vrr_classes[5][7] = int_stack + 1215;
 Libint->vrr_classes[5][8] = int_stack + 1971;
 memset(int_stack,0,2916*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 2916;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gpkp(Libint, Data);
   Data++;
 }
 /*--- compute (g0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+2916,int_stack+540,int_stack+0,15);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+4536,int_stack+1971,int_stack+1215,21);
 /*--- compute (gp|kp) ---*/
 hrr1_build_gp(Libint->AB,int_stack+6804,int_stack+4536,int_stack+2916,108);
 return int_stack+6804;}
