#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_gpng(Libint_t*, prim_data*);

  /* Computes quartets of (gp|ng) integrals */

REALTYPE *hrr_order_gpng(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[4][10] = int_stack + 0;
 Libint->vrr_classes[4][11] = int_stack + 990;
 Libint->vrr_classes[4][12] = int_stack + 2160;
 Libint->vrr_classes[4][13] = int_stack + 3525;
 Libint->vrr_classes[4][14] = int_stack + 5100;
 Libint->vrr_classes[5][10] = int_stack + 6900;
 Libint->vrr_classes[5][11] = int_stack + 8286;
 Libint->vrr_classes[5][12] = int_stack + 9924;
 Libint->vrr_classes[5][13] = int_stack + 11835;
 Libint->vrr_classes[5][14] = int_stack + 14040;
 memset(int_stack,0,16560*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 16560;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_gpng(Libint, Data);
   Data++;
 }
 /*--- compute (g0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+16560,int_stack+990,int_stack+0,15);
 /*--- compute (g0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+19530,int_stack+2160,int_stack+990,15);
 /*--- compute (g0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+23040,int_stack+19530,int_stack+16560,15);
 /*--- compute (g0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+28980,int_stack+3525,int_stack+2160,15);
 /*--- compute (g0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+33075,int_stack+28980,int_stack+19530,15);
 /*--- compute (g0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+40095,int_stack+33075,int_stack+23040,15);
 /*--- compute (g0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+16560,int_stack+5100,int_stack+3525,15);
 /*--- compute (g0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+49995,int_stack+16560,int_stack+28980,15);
 /*--- compute (g0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+16560,int_stack+49995,int_stack+33075,15);
 /*--- compute (g0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+49995,int_stack+16560,int_stack+40095,15);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+16560,int_stack+8286,int_stack+6900,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+20718,int_stack+9924,int_stack+8286,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+25632,int_stack+20718,int_stack+16560,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+33948,int_stack+11835,int_stack+9924,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+39681,int_stack+33948,int_stack+20718,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+64845,int_stack+39681,int_stack+25632,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+16560,int_stack+14040,int_stack+11835,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+0,int_stack+16560,int_stack+33948,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+11466,int_stack+0,int_stack+39681,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+27846,int_stack+11466,int_stack+64845,21);
 /*--- compute (gp|ng) ---*/
 hrr1_build_gp(Libint->AB,int_stack+64845,int_stack+27846,int_stack+49995,990);
 return int_stack+64845;}
