#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_h0lp(Libint_t*, prim_data*);

  /* Computes quartets of (h0|lp) integrals */

REALTYPE *hrr_order_h0lp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][8] = int_stack + 0;
 Libint->vrr_classes[5][9] = int_stack + 945;
 memset(int_stack,0,2100*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 2100;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_h0lp(Libint, Data);
   Data++;
 }
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+2100,int_stack+945,int_stack+0,21);
 return int_stack+2100;}
