#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hdni(Libint_t*, prim_data*);

  /* Computes quartets of (hd|ni) integrals */

REALTYPE *hrr_order_hdni(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][10] = int_stack + 0;
 Libint->vrr_classes[5][11] = int_stack + 1386;
 Libint->vrr_classes[5][12] = int_stack + 3024;
 Libint->vrr_classes[5][13] = int_stack + 4935;
 Libint->vrr_classes[5][14] = int_stack + 7140;
 Libint->vrr_classes[5][15] = int_stack + 9660;
 Libint->vrr_classes[5][16] = int_stack + 12516;
 Libint->vrr_classes[6][10] = int_stack + 15729;
 Libint->vrr_classes[6][11] = int_stack + 17577;
 Libint->vrr_classes[6][12] = int_stack + 19761;
 Libint->vrr_classes[6][13] = int_stack + 22309;
 Libint->vrr_classes[6][14] = int_stack + 25249;
 Libint->vrr_classes[6][15] = int_stack + 28609;
 Libint->vrr_classes[6][16] = int_stack + 32417;
 Libint->vrr_classes[7][10] = int_stack + 36701;
 Libint->vrr_classes[7][11] = int_stack + 39077;
 Libint->vrr_classes[7][12] = int_stack + 41885;
 Libint->vrr_classes[7][13] = int_stack + 45161;
 Libint->vrr_classes[7][14] = int_stack + 48941;
 Libint->vrr_classes[7][15] = int_stack + 53261;
 Libint->vrr_classes[7][16] = int_stack + 58157;
 memset(int_stack,0,63665*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 63665;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hdni(Libint, Data);
   Data++;
 }
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+63665,int_stack+1386,int_stack+0,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+67823,int_stack+3024,int_stack+1386,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+72737,int_stack+67823,int_stack+63665,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+81053,int_stack+4935,int_stack+3024,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+86786,int_stack+81053,int_stack+67823,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+96614,int_stack+86786,int_stack+72737,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+63665,int_stack+7140,int_stack+4935,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+110474,int_stack+63665,int_stack+81053,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+70280,int_stack+110474,int_stack+86786,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+121940,int_stack+70280,int_stack+96614,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+86660,int_stack+9660,int_stack+7140,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+94220,int_stack+86660,int_stack+63665,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+142730,int_stack+94220,int_stack+110474,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+161840,int_stack+142730,int_stack+70280,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+186410,int_stack+161840,int_stack+121940,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+63665,int_stack+12516,int_stack+9660,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+107450,int_stack+63665,int_stack+86660,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+63665,int_stack+107450,int_stack+94220,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+85715,int_stack+63665,int_stack+142730,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+114380,int_stack+85715,int_stack+161840,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+63665,int_stack+114380,int_stack+186410,21);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+102473,int_stack+17577,int_stack+15729,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+108017,int_stack+19761,int_stack+17577,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+114569,int_stack+108017,int_stack+102473,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+125657,int_stack+22309,int_stack+19761,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+133301,int_stack+125657,int_stack+108017,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+146405,int_stack+133301,int_stack+114569,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+102473,int_stack+25249,int_stack+22309,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+164885,int_stack+102473,int_stack+125657,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+111293,int_stack+164885,int_stack+133301,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+180173,int_stack+111293,int_stack+146405,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+133133,int_stack+28609,int_stack+25249,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+143213,int_stack+133133,int_stack+102473,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+143213,int_stack+164885,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+207893,int_stack+0,int_stack+111293,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+240653,int_stack+207893,int_stack+180173,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+102473,int_stack+32417,int_stack+28609,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+160853,int_stack+102473,int_stack+133133,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+102473,int_stack+160853,int_stack+143213,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+131873,int_stack+102473,int_stack+0,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+279461,int_stack+131873,int_stack+207893,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+102473,int_stack+279461,int_stack+240653,28);
 /*--- compute (hp|ni) ---*/
 hrr1_build_hp(Libint->AB,int_stack+154217,int_stack+102473,int_stack+63665,1848);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+63665,int_stack+39077,int_stack+36701,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+70793,int_stack+41885,int_stack+39077,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+79217,int_stack+70793,int_stack+63665,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+45161,int_stack+41885,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+9828,int_stack+0,int_stack+70793,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+270641,int_stack+9828,int_stack+79217,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+63665,int_stack+48941,int_stack+45161,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+75005,int_stack+63665,int_stack+0,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+294401,int_stack+75005,int_stack+9828,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+294401,int_stack+270641,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+270641,int_stack+53261,int_stack+48941,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+322481,int_stack+270641,int_stack+63665,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+345161,int_stack+322481,int_stack+75005,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+377921,int_stack+345161,int_stack+294401,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+420041,int_stack+377921,int_stack+0,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+58157,int_stack+53261,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+14688,int_stack+0,int_stack+270641,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+270641,int_stack+14688,int_stack+322481,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+270641,int_stack+345161,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+270641,int_stack+0,int_stack+377921,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+270641,int_stack+420041,36);
 /*--- compute (ip|ni) ---*/
 hrr1_build_ip(Libint->AB,int_stack+270641,int_stack+0,int_stack+102473,1848);
 /*--- compute (hd|ni) ---*/
 hrr1_build_hd(Libint->AB,int_stack+425873,int_stack+270641,int_stack+154217,1848);
 return int_stack+425873;}
