#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hfmk(Libint_t*, prim_data*);

  /* Computes quartets of (hf|mk) integrals */

REALTYPE *hrr_order_hfmk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][9] = int_stack + 0;
 Libint->vrr_classes[5][10] = int_stack + 1155;
 Libint->vrr_classes[5][11] = int_stack + 2541;
 Libint->vrr_classes[5][12] = int_stack + 4179;
 Libint->vrr_classes[5][13] = int_stack + 6090;
 Libint->vrr_classes[5][14] = int_stack + 8295;
 Libint->vrr_classes[5][15] = int_stack + 10815;
 Libint->vrr_classes[5][16] = int_stack + 13671;
 Libint->vrr_classes[6][9] = int_stack + 16884;
 Libint->vrr_classes[6][10] = int_stack + 18424;
 Libint->vrr_classes[6][11] = int_stack + 20272;
 Libint->vrr_classes[6][12] = int_stack + 22456;
 Libint->vrr_classes[6][13] = int_stack + 25004;
 Libint->vrr_classes[6][14] = int_stack + 27944;
 Libint->vrr_classes[6][15] = int_stack + 31304;
 Libint->vrr_classes[6][16] = int_stack + 35112;
 Libint->vrr_classes[7][9] = int_stack + 39396;
 Libint->vrr_classes[7][10] = int_stack + 41376;
 Libint->vrr_classes[7][11] = int_stack + 43752;
 Libint->vrr_classes[7][12] = int_stack + 46560;
 Libint->vrr_classes[7][13] = int_stack + 49836;
 Libint->vrr_classes[7][14] = int_stack + 53616;
 Libint->vrr_classes[7][15] = int_stack + 57936;
 Libint->vrr_classes[7][16] = int_stack + 62832;
 Libint->vrr_classes[8][9] = int_stack + 68340;
 Libint->vrr_classes[8][10] = int_stack + 70815;
 Libint->vrr_classes[8][11] = int_stack + 73785;
 Libint->vrr_classes[8][12] = int_stack + 77295;
 Libint->vrr_classes[8][13] = int_stack + 81390;
 Libint->vrr_classes[8][14] = int_stack + 86115;
 Libint->vrr_classes[8][15] = int_stack + 91515;
 Libint->vrr_classes[8][16] = int_stack + 97635;
 memset(int_stack,0,104520*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 104520;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hfmk(Libint, Data);
   Data++;
 }
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+104520,int_stack+1155,int_stack+0,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+107985,int_stack+2541,int_stack+1155,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+112143,int_stack+107985,int_stack+104520,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+119073,int_stack+4179,int_stack+2541,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+123987,int_stack+119073,int_stack+107985,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+132303,int_stack+123987,int_stack+112143,21);
 /*--- compute (h0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+104520,int_stack+6090,int_stack+4179,21);
 /*--- compute (h0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+143853,int_stack+104520,int_stack+119073,21);
 /*--- compute (h0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+153681,int_stack+143853,int_stack+123987,21);
 /*--- compute (h0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+110253,int_stack+153681,int_stack+132303,21);
 /*--- compute (h0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+127578,int_stack+8295,int_stack+6090,21);
 /*--- compute (h0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+167541,int_stack+127578,int_stack+104520,21);
 /*--- compute (h0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+179007,int_stack+167541,int_stack+143853,21);
 /*--- compute (h0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+195387,int_stack+179007,int_stack+153681,21);
 /*--- compute (h0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+134193,int_stack+195387,int_stack+110253,21);
 /*--- compute (h0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+104520,int_stack+10815,int_stack+8295,21);
 /*--- compute (h0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+112080,int_stack+104520,int_stack+127578,21);
 /*--- compute (h0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+216177,int_stack+112080,int_stack+167541,21);
 /*--- compute (h0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+235287,int_stack+216177,int_stack+179007,21);
 /*--- compute (h0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+158448,int_stack+235287,int_stack+195387,21);
 /*--- compute (h0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+259857,int_stack+158448,int_stack+134193,21);
 /*--- compute (h0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+125310,int_stack+13671,int_stack+10815,21);
 /*--- compute (h0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+133878,int_stack+125310,int_stack+104520,21);
 /*--- compute (h0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+187554,int_stack+133878,int_stack+112080,21);
 /*--- compute (h0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+104520,int_stack+187554,int_stack+216177,21);
 /*--- compute (h0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+187554,int_stack+104520,int_stack+235287,21);
 /*--- compute (h0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+104520,int_stack+187554,int_stack+158448,21);
 /*--- compute (h0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+143328,int_stack+104520,int_stack+259857,21);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+104520,int_stack+18424,int_stack+16884,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+109140,int_stack+20272,int_stack+18424,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+114684,int_stack+109140,int_stack+104520,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+123924,int_stack+22456,int_stack+20272,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+130476,int_stack+123924,int_stack+109140,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+184908,int_stack+130476,int_stack+114684,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+104520,int_stack+25004,int_stack+22456,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+200308,int_stack+104520,int_stack+123924,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+213412,int_stack+200308,int_stack+130476,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+112164,int_stack+213412,int_stack+184908,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+184908,int_stack+27944,int_stack+25004,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+231892,int_stack+184908,int_stack+104520,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+247180,int_stack+231892,int_stack+200308,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+247180,int_stack+213412,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+193728,int_stack+0,int_stack+112164,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+104520,int_stack+31304,int_stack+27944,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+114600,int_stack+104520,int_stack+184908,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+269020,int_stack+114600,int_stack+231892,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+294500,int_stack+269020,int_stack+247180,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+226068,int_stack+294500,int_stack+0,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+327260,int_stack+226068,int_stack+193728,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+35112,int_stack+31304,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+11424,int_stack+0,int_stack+104520,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+184908,int_stack+11424,int_stack+114600,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+104520,int_stack+184908,int_stack+269020,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+370380,int_stack+104520,int_stack+294500,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+264876,int_stack+370380,int_stack+226068,28);
 /*--- compute (i0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+184908,int_stack+264876,int_stack+327260,28);
 /*--- compute (hp|mk) ---*/
 hrr1_build_hp(Libint->AB,int_stack+240348,int_stack+184908,int_stack+143328,1980);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+104520,int_stack+41376,int_stack+39396,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+110460,int_stack+43752,int_stack+41376,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+117588,int_stack+110460,int_stack+104520,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+129468,int_stack+46560,int_stack+43752,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+137892,int_stack+129468,int_stack+110460,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+152148,int_stack+137892,int_stack+117588,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+104520,int_stack+49836,int_stack+46560,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+365088,int_stack+104520,int_stack+129468,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+381936,int_stack+365088,int_stack+137892,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+114348,int_stack+381936,int_stack+152148,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+144048,int_stack+53616,int_stack+49836,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+155388,int_stack+144048,int_stack+104520,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+155388,int_stack+365088,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+405696,int_stack+0,int_stack+381936,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+441336,int_stack+405696,int_stack+114348,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+365088,int_stack+57936,int_stack+53616,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+378048,int_stack+365088,int_stack+144048,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+104520,int_stack+378048,int_stack+155388,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+137280,int_stack+104520,int_stack+0,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+137280,int_stack+405696,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+482916,int_stack+0,int_stack+441336,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+400728,int_stack+62832,int_stack+57936,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+415416,int_stack+400728,int_stack+365088,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+441336,int_stack+415416,int_stack+378048,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+365088,int_stack+441336,int_stack+104520,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+414228,int_stack+365088,int_stack+137280,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+104520,int_stack+414228,int_stack+0,36);
 /*--- compute (k0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+365088,int_stack+104520,int_stack+482916,36);
 /*--- compute (ip|mk) ---*/
 hrr1_build_ip(Libint->AB,int_stack+436368,int_stack+365088,int_stack+184908,1980);
 /*--- compute (hd|mk) ---*/
 hrr1_build_hd(Libint->AB,int_stack+602688,int_stack+436368,int_stack+240348,1980);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+104520,int_stack+70815,int_stack+68340,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+111945,int_stack+73785,int_stack+70815,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+120855,int_stack+111945,int_stack+104520,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+135705,int_stack+77295,int_stack+73785,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+146235,int_stack+135705,int_stack+111945,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+164055,int_stack+146235,int_stack+120855,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+104520,int_stack+81390,int_stack+77295,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+188805,int_stack+104520,int_stack+135705,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+209865,int_stack+188805,int_stack+146235,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+116805,int_stack+209865,int_stack+164055,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+153930,int_stack+86115,int_stack+81390,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+239565,int_stack+153930,int_stack+104520,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+264135,int_stack+239565,int_stack+188805,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+299235,int_stack+264135,int_stack+209865,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+168105,int_stack+299235,int_stack+116805,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+104520,int_stack+91515,int_stack+86115,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+120720,int_stack+104520,int_stack+153930,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+120720,int_stack+239565,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+852168,int_stack+0,int_stack+264135,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+220080,int_stack+852168,int_stack+299235,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+282450,int_stack+220080,int_stack+168105,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+149070,int_stack+97635,int_stack+91515,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+167430,int_stack+149070,int_stack+104520,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+40950,int_stack+167430,int_stack+120720,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+88200,int_stack+40950,int_stack+0,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+0,int_stack+88200,int_stack+852168,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+73710,int_stack+0,int_stack+220080,45);
 /*--- compute (l0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+156870,int_stack+73710,int_stack+282450,45);
 /*--- compute (kp|mk) ---*/
 hrr1_build_kp(Libint->AB,int_stack+852168,int_stack+156870,int_stack+365088,1980);
 /*--- compute (id|mk) ---*/
 hrr1_build_id(Libint->AB,int_stack+0,int_stack+852168,int_stack+436368,1980);
 /*--- compute (hf|mk) ---*/
 hrr1_build_hf(Libint->AB,int_stack+852168,int_stack+0,int_stack+602688,1980);
 return int_stack+852168;}
