#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hfnp(Libint_t*, prim_data*);

  /* Computes quartets of (hf|np) integrals */

REALTYPE *hrr_order_hfnp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][10] = int_stack + 0;
 Libint->vrr_classes[5][11] = int_stack + 1386;
 Libint->vrr_classes[6][10] = int_stack + 3024;
 Libint->vrr_classes[6][11] = int_stack + 4872;
 Libint->vrr_classes[7][10] = int_stack + 7056;
 Libint->vrr_classes[7][11] = int_stack + 9432;
 Libint->vrr_classes[8][10] = int_stack + 12240;
 Libint->vrr_classes[8][11] = int_stack + 15210;
 memset(int_stack,0,18720*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 18720;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hfnp(Libint, Data);
   Data++;
 }
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+18720,int_stack+1386,int_stack+0,21);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+22878,int_stack+4872,int_stack+3024,28);
 /*--- compute (hp|np) ---*/
 hrr1_build_hp(Libint->AB,int_stack+28422,int_stack+22878,int_stack+18720,198);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+40896,int_stack+9432,int_stack+7056,36);
 /*--- compute (ip|np) ---*/
 hrr1_build_ip(Libint->AB,int_stack+48024,int_stack+40896,int_stack+22878,198);
 /*--- compute (hd|np) ---*/
 hrr1_build_hd(Libint->AB,int_stack+64656,int_stack+48024,int_stack+28422,198);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+18720,int_stack+15210,int_stack+12240,45);
 /*--- compute (kp|np) ---*/
 hrr1_build_kp(Libint->AB,int_stack+89604,int_stack+18720,int_stack+40896,198);
 /*--- compute (id|np) ---*/
 hrr1_build_id(Libint->AB,int_stack+0,int_stack+89604,int_stack+48024,198);
 /*--- compute (hf|np) ---*/
 hrr1_build_hf(Libint->AB,int_stack+89604,int_stack+0,int_stack+64656,198);
 return int_stack+89604;}
