#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hgkh(Libint_t*, prim_data*);

  /* Computes quartets of (hg|kh) integrals */

REALTYPE *hrr_order_hgkh(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][7] = int_stack + 0;
 Libint->vrr_classes[5][8] = int_stack + 756;
 Libint->vrr_classes[5][9] = int_stack + 1701;
 Libint->vrr_classes[5][10] = int_stack + 2856;
 Libint->vrr_classes[5][11] = int_stack + 4242;
 Libint->vrr_classes[5][12] = int_stack + 5880;
 Libint->vrr_classes[6][7] = int_stack + 7791;
 Libint->vrr_classes[6][8] = int_stack + 8799;
 Libint->vrr_classes[6][9] = int_stack + 10059;
 Libint->vrr_classes[6][10] = int_stack + 11599;
 Libint->vrr_classes[6][11] = int_stack + 13447;
 Libint->vrr_classes[6][12] = int_stack + 15631;
 Libint->vrr_classes[7][7] = int_stack + 18179;
 Libint->vrr_classes[7][8] = int_stack + 19475;
 Libint->vrr_classes[7][9] = int_stack + 21095;
 Libint->vrr_classes[7][10] = int_stack + 23075;
 Libint->vrr_classes[7][11] = int_stack + 25451;
 Libint->vrr_classes[7][12] = int_stack + 28259;
 Libint->vrr_classes[8][7] = int_stack + 31535;
 Libint->vrr_classes[8][8] = int_stack + 33155;
 Libint->vrr_classes[8][9] = int_stack + 35180;
 Libint->vrr_classes[8][10] = int_stack + 37655;
 Libint->vrr_classes[8][11] = int_stack + 40625;
 Libint->vrr_classes[8][12] = int_stack + 44135;
 Libint->vrr_classes[9][7] = int_stack + 48230;
 Libint->vrr_classes[9][8] = int_stack + 50210;
 Libint->vrr_classes[9][9] = int_stack + 52685;
 Libint->vrr_classes[9][10] = int_stack + 55710;
 Libint->vrr_classes[9][11] = int_stack + 59340;
 Libint->vrr_classes[9][12] = int_stack + 63630;
 memset(int_stack,0,68635*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 68635;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hgkh(Libint, Data);
   Data++;
 }
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+68635,int_stack+756,int_stack+0,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+70903,int_stack+1701,int_stack+756,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+73738,int_stack+70903,int_stack+68635,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+78274,int_stack+2856,int_stack+1701,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+81739,int_stack+78274,int_stack+70903,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+87409,int_stack+81739,int_stack+73738,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+68635,int_stack+4242,int_stack+2856,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+94969,int_stack+68635,int_stack+78274,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+101899,int_stack+94969,int_stack+81739,21);
 /*--- compute (h0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+72793,int_stack+101899,int_stack+87409,21);
 /*--- compute (h0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+84133,int_stack+5880,int_stack+4242,21);
 /*--- compute (h0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+111349,int_stack+84133,int_stack+68635,21);
 /*--- compute (h0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+119665,int_stack+111349,int_stack+94969,21);
 /*--- compute (h0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+84133,int_stack+119665,int_stack+101899,21);
 /*--- compute (h0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+98308,int_stack+84133,int_stack+72793,21);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+68635,int_stack+8799,int_stack+7791,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+71659,int_stack+10059,int_stack+8799,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+75439,int_stack+71659,int_stack+68635,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+81487,int_stack+11599,int_stack+10059,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+86107,int_stack+81487,int_stack+71659,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+114184,int_stack+86107,int_stack+75439,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+68635,int_stack+13447,int_stack+11599,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+68635,int_stack+81487,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+124264,int_stack+0,int_stack+86107,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+74179,int_stack+124264,int_stack+114184,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+114184,int_stack+15631,int_stack+13447,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+136864,int_stack+114184,int_stack+68635,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+147952,int_stack+136864,int_stack+0,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+163352,int_stack+147952,int_stack+124264,28);
 /*--- compute (i0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+114184,int_stack+163352,int_stack+74179,28);
 /*--- compute (hp|kh) ---*/
 hrr1_build_hp(Libint->AB,int_stack+135352,int_stack+114184,int_stack+98308,756);
 /*--- compute (k0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+19475,int_stack+18179,36);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+3888,int_stack+21095,int_stack+19475,36);
 /*--- compute (k0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+8748,int_stack+3888,int_stack+0,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+68635,int_stack+23075,int_stack+21095,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+74575,int_stack+68635,int_stack+3888,36);
 /*--- compute (k0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+84295,int_stack+74575,int_stack+8748,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+25451,int_stack+23075,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+7128,int_stack+0,int_stack+68635,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+97255,int_stack+7128,int_stack+74575,36);
 /*--- compute (k0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+182980,int_stack+97255,int_stack+84295,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+68635,int_stack+28259,int_stack+25451,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+77059,int_stack+68635,int_stack+0,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+202420,int_stack+77059,int_stack+7128,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+0,int_stack+202420,int_stack+97255,36);
 /*--- compute (k0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+68635,int_stack+0,int_stack+182980,36);
 /*--- compute (ip|kh) ---*/
 hrr1_build_ip(Libint->AB,int_stack+182980,int_stack+68635,int_stack+114184,756);
 /*--- compute (hd|kh) ---*/
 hrr1_build_hd(Libint->AB,int_stack+246484,int_stack+182980,int_stack+135352,756);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+33155,int_stack+31535,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+4860,int_stack+35180,int_stack+33155,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+10935,int_stack+4860,int_stack+0,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+20655,int_stack+37655,int_stack+35180,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+95851,int_stack+20655,int_stack+4860,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+108001,int_stack+95851,int_stack+10935,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+40625,int_stack+37655,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+124201,int_stack+0,int_stack+20655,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+8910,int_stack+124201,int_stack+95851,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+139051,int_stack+8910,int_stack+108001,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+95851,int_stack+44135,int_stack+40625,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+106381,int_stack+95851,int_stack+0,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+341740,int_stack+106381,int_stack+124201,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+95851,int_stack+341740,int_stack+8910,45);
 /*--- compute (l0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+0,int_stack+95851,int_stack+139051,45);
 /*--- compute (kp|kh) ---*/
 hrr1_build_kp(Libint->AB,int_stack+95851,int_stack+0,int_stack+68635,756);
 /*--- compute (id|kh) ---*/
 hrr1_build_id(Libint->AB,int_stack+341740,int_stack+95851,int_stack+182980,756);
 /*--- compute (hf|kh) ---*/
 hrr1_build_hf(Libint->AB,int_stack+468748,int_stack+341740,int_stack+246484,756);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+68635,int_stack+50210,int_stack+48230,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+74575,int_stack+52685,int_stack+50210,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+82000,int_stack+74575,int_stack+68635,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+177499,int_stack+55710,int_stack+52685,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+186574,int_stack+177499,int_stack+74575,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+201424,int_stack+186574,int_stack+82000,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+68635,int_stack+59340,int_stack+55710,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+221224,int_stack+68635,int_stack+177499,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+239374,int_stack+221224,int_stack+186574,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+264124,int_stack+239374,int_stack+201424,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+177499,int_stack+63630,int_stack+59340,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+190369,int_stack+177499,int_stack+68635,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+293824,int_stack+190369,int_stack+221224,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+177499,int_stack+293824,int_stack+239374,55);
 /*--- compute (m0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+293824,int_stack+177499,int_stack+264124,55);
 /*--- compute (lp|kh) ---*/
 hrr1_build_lp(Libint->AB,int_stack+177499,int_stack+293824,int_stack+0,756);
 /*--- compute (kd|kh) ---*/
 hrr1_build_kd(Libint->AB,int_stack+627508,int_stack+177499,int_stack+95851,756);
 /*--- compute (if|kh) ---*/
 hrr1_build_if(Libint->AB,int_stack+0,int_stack+627508,int_stack+341740,756);
 /*--- compute (hg|kh) ---*/
 hrr1_build_hg(Libint->AB,int_stack+211680,int_stack+0,int_stack+468748,756);
 return int_stack+211680;}
