#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hpid(Libint_t*, prim_data*);

  /* Computes quartets of (hp|id) integrals */

REALTYPE *hrr_order_hpid(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][6] = int_stack + 0;
 Libint->vrr_classes[5][7] = int_stack + 588;
 Libint->vrr_classes[5][8] = int_stack + 1344;
 Libint->vrr_classes[6][6] = int_stack + 2289;
 Libint->vrr_classes[6][7] = int_stack + 3073;
 Libint->vrr_classes[6][8] = int_stack + 4081;
 memset(int_stack,0,5341*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 5341;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hpid(Libint, Data);
   Data++;
 }
 /*--- compute (h0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+5341,int_stack+588,int_stack+0,21);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+7105,int_stack+1344,int_stack+588,21);
 /*--- compute (h0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+9373,int_stack+7105,int_stack+5341,21);
 /*--- compute (i0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+5341,int_stack+3073,int_stack+2289,28);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+4081,int_stack+3073,28);
 /*--- compute (i0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+12901,int_stack+0,int_stack+5341,28);
 /*--- compute (hp|id) ---*/
 hrr1_build_hp(Libint->AB,int_stack+17605,int_stack+12901,int_stack+9373,168);
 return int_stack+17605;}
