#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_hpih(Libint_t*, prim_data*);

  /* Computes quartets of (hp|ih) integrals */

REALTYPE *hrr_order_hpih(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[5][6] = int_stack + 0;
 Libint->vrr_classes[5][7] = int_stack + 588;
 Libint->vrr_classes[5][8] = int_stack + 1344;
 Libint->vrr_classes[5][9] = int_stack + 2289;
 Libint->vrr_classes[5][10] = int_stack + 3444;
 Libint->vrr_classes[5][11] = int_stack + 4830;
 Libint->vrr_classes[6][6] = int_stack + 6468;
 Libint->vrr_classes[6][7] = int_stack + 7252;
 Libint->vrr_classes[6][8] = int_stack + 8260;
 Libint->vrr_classes[6][9] = int_stack + 9520;
 Libint->vrr_classes[6][10] = int_stack + 11060;
 Libint->vrr_classes[6][11] = int_stack + 12908;
 memset(int_stack,0,15092*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 15092;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_hpih(Libint, Data);
   Data++;
 }
 /*--- compute (h0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+15092,int_stack+588,int_stack+0,21);
 /*--- compute (h0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+16856,int_stack+1344,int_stack+588,21);
 /*--- compute (h0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+19124,int_stack+16856,int_stack+15092,21);
 /*--- compute (h0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+22652,int_stack+2289,int_stack+1344,21);
 /*--- compute (h0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+25487,int_stack+22652,int_stack+16856,21);
 /*--- compute (h0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+30023,int_stack+25487,int_stack+19124,21);
 /*--- compute (h0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+15092,int_stack+3444,int_stack+2289,21);
 /*--- compute (h0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+35903,int_stack+15092,int_stack+22652,21);
 /*--- compute (h0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+41573,int_stack+35903,int_stack+25487,21);
 /*--- compute (h0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+18557,int_stack+41573,int_stack+30023,21);
 /*--- compute (h0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+27377,int_stack+4830,int_stack+3444,21);
 /*--- compute (h0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+49133,int_stack+27377,int_stack+15092,21);
 /*--- compute (h0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+56063,int_stack+49133,int_stack+35903,21);
 /*--- compute (h0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+27377,int_stack+56063,int_stack+41573,21);
 /*--- compute (h0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+38717,int_stack+27377,int_stack+18557,21);
 /*--- compute (i0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+15092,int_stack+7252,int_stack+6468,28);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+17444,int_stack+8260,int_stack+7252,28);
 /*--- compute (i0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+20468,int_stack+17444,int_stack+15092,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+25172,int_stack+9520,int_stack+8260,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+28952,int_stack+25172,int_stack+17444,28);
 /*--- compute (i0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+51065,int_stack+28952,int_stack+20468,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+15092,int_stack+11060,int_stack+9520,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+0,int_stack+15092,int_stack+25172,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+58905,int_stack+0,int_stack+28952,28);
 /*--- compute (i0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+19712,int_stack+58905,int_stack+51065,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+51065,int_stack+12908,int_stack+11060,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+68985,int_stack+51065,int_stack+15092,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+78225,int_stack+68985,int_stack+0,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+0,int_stack+78225,int_stack+58905,28);
 /*--- compute (i0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+51065,int_stack+0,int_stack+19712,28);
 /*--- compute (hp|ih) ---*/
 hrr1_build_hp(Libint->AB,int_stack+0,int_stack+51065,int_stack+38717,588);
 return int_stack+0;}
