#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_i0ii(Libint_t*, prim_data*);

  /* Computes quartets of (i0|ii) integrals */

REALTYPE *hrr_order_i0ii(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][6] = int_stack + 0;
 Libint->vrr_classes[6][7] = int_stack + 784;
 Libint->vrr_classes[6][8] = int_stack + 1792;
 Libint->vrr_classes[6][9] = int_stack + 3052;
 Libint->vrr_classes[6][10] = int_stack + 4592;
 Libint->vrr_classes[6][11] = int_stack + 6440;
 Libint->vrr_classes[6][12] = int_stack + 8624;
 memset(int_stack,0,11172*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 11172;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_i0ii(Libint, Data);
   Data++;
 }
 /*--- compute (i0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+11172,int_stack+784,int_stack+0,28);
 /*--- compute (i0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+13524,int_stack+1792,int_stack+784,28);
 /*--- compute (i0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+16548,int_stack+13524,int_stack+11172,28);
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+21252,int_stack+3052,int_stack+1792,28);
 /*--- compute (i0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+25032,int_stack+21252,int_stack+13524,28);
 /*--- compute (i0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+31080,int_stack+25032,int_stack+16548,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+11172,int_stack+4592,int_stack+3052,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+38920,int_stack+11172,int_stack+21252,28);
 /*--- compute (i0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+46480,int_stack+38920,int_stack+25032,28);
 /*--- compute (i0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+15792,int_stack+46480,int_stack+31080,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+27552,int_stack+6440,int_stack+4592,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+56560,int_stack+27552,int_stack+11172,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+65800,int_stack+56560,int_stack+38920,28);
 /*--- compute (i0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+78400,int_stack+65800,int_stack+46480,28);
 /*--- compute (i0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+33096,int_stack+78400,int_stack+15792,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+11172,int_stack+8624,int_stack+6440,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+11172,int_stack+27552,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+11088,int_stack+0,int_stack+56560,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+93520,int_stack+11088,int_stack+65800,28);
 /*--- compute (i0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+0,int_stack+93520,int_stack+78400,28);
 /*--- compute (i0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+49560,int_stack+0,int_stack+33096,28);
 return int_stack+49560;}
