#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_idlf(Libint_t*, prim_data*);

  /* Computes quartets of (id|lf) integrals */

REALTYPE *hrr_order_idlf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][8] = int_stack + 0;
 Libint->vrr_classes[6][9] = int_stack + 1260;
 Libint->vrr_classes[6][10] = int_stack + 2800;
 Libint->vrr_classes[6][11] = int_stack + 4648;
 Libint->vrr_classes[7][8] = int_stack + 6832;
 Libint->vrr_classes[7][9] = int_stack + 8452;
 Libint->vrr_classes[7][10] = int_stack + 10432;
 Libint->vrr_classes[7][11] = int_stack + 12808;
 Libint->vrr_classes[8][8] = int_stack + 15616;
 Libint->vrr_classes[8][9] = int_stack + 17641;
 Libint->vrr_classes[8][10] = int_stack + 20116;
 Libint->vrr_classes[8][11] = int_stack + 23086;
 memset(int_stack,0,26596*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 26596;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_idlf(Libint, Data);
   Data++;
 }
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+26596,int_stack+1260,int_stack+0,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+30376,int_stack+2800,int_stack+1260,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+34996,int_stack+30376,int_stack+26596,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+42556,int_stack+4648,int_stack+2800,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+48100,int_stack+42556,int_stack+30376,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+57340,int_stack+48100,int_stack+34996,28);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+26596,int_stack+8452,int_stack+6832,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+31456,int_stack+10432,int_stack+8452,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+37396,int_stack+31456,int_stack+26596,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+47116,int_stack+12808,int_stack+10432,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+47116,int_stack+31456,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+69940,int_stack+0,int_stack+37396,36);
 /*--- compute (ip|lf) ---*/
 hrr1_build_ip(Libint->AB,int_stack+86140,int_stack+69940,int_stack+57340,450);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+17641,int_stack+15616,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+6075,int_stack+20116,int_stack+17641,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+26596,int_stack+6075,int_stack+0,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+38746,int_stack+23086,int_stack+20116,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+47656,int_stack+38746,int_stack+6075,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+47656,int_stack+26596,45);
 /*--- compute (kp|lf) ---*/
 hrr1_build_kp(Libint->AB,int_stack+20250,int_stack+0,int_stack+69940,450);
 /*--- compute (id|lf) ---*/
 hrr1_build_id(Libint->AB,int_stack+123940,int_stack+20250,int_stack+86140,450);
 return int_stack+123940;}
