#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_idli(Libint_t*, prim_data*);

  /* Computes quartets of (id|li) integrals */

REALTYPE *hrr_order_idli(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][8] = int_stack + 0;
 Libint->vrr_classes[6][9] = int_stack + 1260;
 Libint->vrr_classes[6][10] = int_stack + 2800;
 Libint->vrr_classes[6][11] = int_stack + 4648;
 Libint->vrr_classes[6][12] = int_stack + 6832;
 Libint->vrr_classes[6][13] = int_stack + 9380;
 Libint->vrr_classes[6][14] = int_stack + 12320;
 Libint->vrr_classes[7][8] = int_stack + 15680;
 Libint->vrr_classes[7][9] = int_stack + 17300;
 Libint->vrr_classes[7][10] = int_stack + 19280;
 Libint->vrr_classes[7][11] = int_stack + 21656;
 Libint->vrr_classes[7][12] = int_stack + 24464;
 Libint->vrr_classes[7][13] = int_stack + 27740;
 Libint->vrr_classes[7][14] = int_stack + 31520;
 Libint->vrr_classes[8][8] = int_stack + 35840;
 Libint->vrr_classes[8][9] = int_stack + 37865;
 Libint->vrr_classes[8][10] = int_stack + 40340;
 Libint->vrr_classes[8][11] = int_stack + 43310;
 Libint->vrr_classes[8][12] = int_stack + 46820;
 Libint->vrr_classes[8][13] = int_stack + 50915;
 Libint->vrr_classes[8][14] = int_stack + 55640;
 memset(int_stack,0,61040*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 61040;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_idli(Libint, Data);
   Data++;
 }
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+61040,int_stack+1260,int_stack+0,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+64820,int_stack+2800,int_stack+1260,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+69440,int_stack+64820,int_stack+61040,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+77000,int_stack+4648,int_stack+2800,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+82544,int_stack+77000,int_stack+64820,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+91784,int_stack+82544,int_stack+69440,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+61040,int_stack+6832,int_stack+4648,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+104384,int_stack+61040,int_stack+77000,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+115472,int_stack+104384,int_stack+82544,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+67592,int_stack+115472,int_stack+91784,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+86492,int_stack+9380,int_stack+6832,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+130872,int_stack+86492,int_stack+61040,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+143976,int_stack+130872,int_stack+104384,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+162456,int_stack+143976,int_stack+115472,28);
 /*--- compute (i0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+94136,int_stack+162456,int_stack+67592,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+61040,int_stack+12320,int_stack+9380,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+69860,int_stack+61040,int_stack+86492,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+185556,int_stack+69860,int_stack+130872,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+61040,int_stack+185556,int_stack+143976,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+120596,int_stack+61040,int_stack+162456,28);
 /*--- compute (i0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+152936,int_stack+120596,int_stack+94136,28);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+61040,int_stack+17300,int_stack+15680,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+65900,int_stack+19280,int_stack+17300,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+71840,int_stack+65900,int_stack+61040,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+81560,int_stack+21656,int_stack+19280,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+88688,int_stack+81560,int_stack+65900,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+100568,int_stack+88688,int_stack+71840,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+61040,int_stack+24464,int_stack+21656,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+116768,int_stack+61040,int_stack+81560,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+131024,int_stack+116768,int_stack+88688,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+69464,int_stack+131024,int_stack+100568,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+93764,int_stack+27740,int_stack+24464,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+188216,int_stack+93764,int_stack+61040,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+188216,int_stack+116768,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+205064,int_stack+0,int_stack+131024,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+103592,int_stack+205064,int_stack+69464,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+61040,int_stack+31520,int_stack+27740,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+72380,int_stack+61040,int_stack+93764,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+234764,int_stack+72380,int_stack+188216,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+61040,int_stack+234764,int_stack+0,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+234764,int_stack+61040,int_stack+205064,36);
 /*--- compute (k0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+188216,int_stack+234764,int_stack+103592,36);
 /*--- compute (ip|li) ---*/
 hrr1_build_ip(Libint->AB,int_stack+233576,int_stack+188216,int_stack+152936,1260);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+61040,int_stack+37865,int_stack+35840,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+67115,int_stack+40340,int_stack+37865,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+74540,int_stack+67115,int_stack+61040,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+86690,int_stack+43310,int_stack+40340,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+95600,int_stack+86690,int_stack+67115,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+110450,int_stack+95600,int_stack+74540,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+61040,int_stack+46820,int_stack+43310,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+130700,int_stack+61040,int_stack+86690,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+148520,int_stack+130700,int_stack+95600,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+71570,int_stack+148520,int_stack+110450,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+101945,int_stack+50915,int_stack+46820,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+101945,int_stack+61040,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+21060,int_stack+0,int_stack+130700,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+339416,int_stack+21060,int_stack+148520,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+114230,int_stack+339416,int_stack+71570,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+61040,int_stack+55640,int_stack+50915,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+75215,int_stack+61040,int_stack+101945,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+376541,int_stack+75215,int_stack+0,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+50760,int_stack+376541,int_stack+21060,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+376541,int_stack+50760,int_stack+339416,45);
 /*--- compute (l0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+376541,int_stack+114230,45);
 /*--- compute (kp|li) ---*/
 hrr1_build_kp(Libint->AB,int_stack+339416,int_stack+0,int_stack+188216,1260);
 /*--- compute (id|li) ---*/
 hrr1_build_id(Libint->AB,int_stack+0,int_stack+339416,int_stack+233576,1260);
 return int_stack+0;}
