#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_idmd(Libint_t*, prim_data*);

  /* Computes quartets of (id|md) integrals */

REALTYPE *hrr_order_idmd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][9] = int_stack + 0;
 Libint->vrr_classes[6][10] = int_stack + 1540;
 Libint->vrr_classes[6][11] = int_stack + 3388;
 Libint->vrr_classes[7][9] = int_stack + 5572;
 Libint->vrr_classes[7][10] = int_stack + 7552;
 Libint->vrr_classes[7][11] = int_stack + 9928;
 Libint->vrr_classes[8][9] = int_stack + 12736;
 Libint->vrr_classes[8][10] = int_stack + 15211;
 Libint->vrr_classes[8][11] = int_stack + 18181;
 memset(int_stack,0,21691*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 21691;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_idmd(Libint, Data);
   Data++;
 }
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+21691,int_stack+1540,int_stack+0,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+26311,int_stack+3388,int_stack+1540,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+31855,int_stack+26311,int_stack+21691,28);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+21691,int_stack+7552,int_stack+5572,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+9928,int_stack+7552,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+41095,int_stack+0,int_stack+21691,36);
 /*--- compute (ip|md) ---*/
 hrr1_build_ip(Libint->AB,int_stack+52975,int_stack+41095,int_stack+31855,330);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+21691,int_stack+15211,int_stack+12736,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+29116,int_stack+18181,int_stack+15211,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+29116,int_stack+21691,45);
 /*--- compute (kp|md) ---*/
 hrr1_build_kp(Libint->AB,int_stack+80695,int_stack+0,int_stack+41095,330);
 /*--- compute (id|md) ---*/
 hrr1_build_id(Libint->AB,int_stack+116335,int_stack+80695,int_stack+52975,330);
 return int_stack+116335;}
