#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ifni(Libint_t*, prim_data*);

  /* Computes quartets of (if|ni) integrals */

REALTYPE *hrr_order_ifni(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][10] = int_stack + 0;
 Libint->vrr_classes[6][11] = int_stack + 1848;
 Libint->vrr_classes[6][12] = int_stack + 4032;
 Libint->vrr_classes[6][13] = int_stack + 6580;
 Libint->vrr_classes[6][14] = int_stack + 9520;
 Libint->vrr_classes[6][15] = int_stack + 12880;
 Libint->vrr_classes[6][16] = int_stack + 16688;
 Libint->vrr_classes[7][10] = int_stack + 20972;
 Libint->vrr_classes[7][11] = int_stack + 23348;
 Libint->vrr_classes[7][12] = int_stack + 26156;
 Libint->vrr_classes[7][13] = int_stack + 29432;
 Libint->vrr_classes[7][14] = int_stack + 33212;
 Libint->vrr_classes[7][15] = int_stack + 37532;
 Libint->vrr_classes[7][16] = int_stack + 42428;
 Libint->vrr_classes[8][10] = int_stack + 47936;
 Libint->vrr_classes[8][11] = int_stack + 50906;
 Libint->vrr_classes[8][12] = int_stack + 54416;
 Libint->vrr_classes[8][13] = int_stack + 58511;
 Libint->vrr_classes[8][14] = int_stack + 63236;
 Libint->vrr_classes[8][15] = int_stack + 68636;
 Libint->vrr_classes[8][16] = int_stack + 74756;
 Libint->vrr_classes[9][10] = int_stack + 81641;
 Libint->vrr_classes[9][11] = int_stack + 85271;
 Libint->vrr_classes[9][12] = int_stack + 89561;
 Libint->vrr_classes[9][13] = int_stack + 94566;
 Libint->vrr_classes[9][14] = int_stack + 100341;
 Libint->vrr_classes[9][15] = int_stack + 106941;
 Libint->vrr_classes[9][16] = int_stack + 114421;
 memset(int_stack,0,122836*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 122836;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ifni(Libint, Data);
   Data++;
 }
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+122836,int_stack+1848,int_stack+0,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+128380,int_stack+4032,int_stack+1848,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+134932,int_stack+128380,int_stack+122836,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+146020,int_stack+6580,int_stack+4032,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+153664,int_stack+146020,int_stack+128380,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+166768,int_stack+153664,int_stack+134932,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+122836,int_stack+9520,int_stack+6580,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+185248,int_stack+122836,int_stack+146020,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+131656,int_stack+185248,int_stack+153664,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+200536,int_stack+131656,int_stack+166768,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+153496,int_stack+12880,int_stack+9520,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+163576,int_stack+153496,int_stack+122836,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+228256,int_stack+163576,int_stack+185248,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+253736,int_stack+228256,int_stack+131656,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+286496,int_stack+253736,int_stack+200536,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+122836,int_stack+16688,int_stack+12880,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+181216,int_stack+122836,int_stack+153496,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+122836,int_stack+181216,int_stack+163576,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+152236,int_stack+122836,int_stack+228256,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+190456,int_stack+152236,int_stack+253736,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+122836,int_stack+190456,int_stack+286496,28);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+174580,int_stack+23348,int_stack+20972,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+181708,int_stack+26156,int_stack+23348,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+190132,int_stack+181708,int_stack+174580,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+204388,int_stack+29432,int_stack+26156,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+214216,int_stack+204388,int_stack+181708,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+231064,int_stack+214216,int_stack+190132,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+174580,int_stack+33212,int_stack+29432,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+254824,int_stack+174580,int_stack+204388,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+185920,int_stack+254824,int_stack+214216,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+274480,int_stack+185920,int_stack+231064,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+214000,int_stack+37532,int_stack+33212,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+226960,int_stack+214000,int_stack+174580,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+226960,int_stack+254824,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+310120,int_stack+0,int_stack+185920,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+352240,int_stack+310120,int_stack+274480,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+174580,int_stack+42428,int_stack+37532,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+249640,int_stack+174580,int_stack+214000,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+174580,int_stack+249640,int_stack+226960,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+212380,int_stack+174580,int_stack+0,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+402136,int_stack+212380,int_stack+310120,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+174580,int_stack+402136,int_stack+352240,36);
 /*--- compute (ip|ni) ---*/
 hrr1_build_ip(Libint->AB,int_stack+241108,int_stack+174580,int_stack+122836,1848);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+122836,int_stack+50906,int_stack+47936,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+131746,int_stack+54416,int_stack+50906,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+142276,int_stack+131746,int_stack+122836,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+160096,int_stack+58511,int_stack+54416,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+160096,int_stack+131746,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+21060,int_stack+0,int_stack+142276,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+122836,int_stack+63236,int_stack+58511,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+396340,int_stack+122836,int_stack+160096,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+137011,int_stack+396340,int_stack+0,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+420910,int_stack+137011,int_stack+21060,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+68636,int_stack+63236,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+16200,int_stack+0,int_stack+122836,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+465460,int_stack+16200,int_stack+396340,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+506410,int_stack+465460,int_stack+137011,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+559060,int_stack+506410,int_stack+420910,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+396340,int_stack+74756,int_stack+68636,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+414700,int_stack+396340,int_stack+0,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+122836,int_stack+414700,int_stack+16200,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+122836,int_stack+465460,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+396340,int_stack+0,int_stack+506410,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+470050,int_stack+396340,int_stack+559060,45);
 /*--- compute (kp|ni) ---*/
 hrr1_build_kp(Libint->AB,int_stack+553210,int_stack+470050,int_stack+174580,1848);
 /*--- compute (id|ni) ---*/
 hrr1_build_id(Libint->AB,int_stack+752794,int_stack+553210,int_stack+241108,1848);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+85271,int_stack+81641,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+10890,int_stack+89561,int_stack+85271,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+23760,int_stack+10890,int_stack+0,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+45540,int_stack+94566,int_stack+89561,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+60555,int_stack+45540,int_stack+10890,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+122836,int_stack+60555,int_stack+23760,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+100341,int_stack+94566,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+159136,int_stack+0,int_stack+45540,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+17325,int_stack+159136,int_stack+60555,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+189166,int_stack+17325,int_stack+122836,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+122836,int_stack+106941,int_stack+100341,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+60225,int_stack+122836,int_stack+0,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+243616,int_stack+60225,int_stack+159136,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+293666,int_stack+243616,int_stack+17325,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+358016,int_stack+293666,int_stack+189166,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+114421,int_stack+106941,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+142636,int_stack+0,int_stack+122836,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+142636,int_stack+60225,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+57750,int_stack+0,int_stack+243616,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+132825,int_stack+57750,int_stack+293666,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+132825,int_stack+358016,55);
 /*--- compute (lp|ni) ---*/
 hrr1_build_lp(Libint->AB,int_stack+101640,int_stack+0,int_stack+470050,1848);
 /*--- compute (kd|ni) ---*/
 hrr1_build_kd(Libint->AB,int_stack+1063258,int_stack+101640,int_stack+553210,1848);
 /*--- compute (if|ni) ---*/
 hrr1_build_if(Libint->AB,int_stack+0,int_stack+1063258,int_stack+752794,1848);
 return int_stack+0;}
