#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_igli(Libint_t*, prim_data*);

  /* Computes quartets of (ig|li) integrals */

REALTYPE *hrr_order_igli(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][8] = int_stack + 0;
 Libint->vrr_classes[6][9] = int_stack + 1260;
 Libint->vrr_classes[6][10] = int_stack + 2800;
 Libint->vrr_classes[6][11] = int_stack + 4648;
 Libint->vrr_classes[6][12] = int_stack + 6832;
 Libint->vrr_classes[6][13] = int_stack + 9380;
 Libint->vrr_classes[6][14] = int_stack + 12320;
 Libint->vrr_classes[7][8] = int_stack + 15680;
 Libint->vrr_classes[7][9] = int_stack + 17300;
 Libint->vrr_classes[7][10] = int_stack + 19280;
 Libint->vrr_classes[7][11] = int_stack + 21656;
 Libint->vrr_classes[7][12] = int_stack + 24464;
 Libint->vrr_classes[7][13] = int_stack + 27740;
 Libint->vrr_classes[7][14] = int_stack + 31520;
 Libint->vrr_classes[8][8] = int_stack + 35840;
 Libint->vrr_classes[8][9] = int_stack + 37865;
 Libint->vrr_classes[8][10] = int_stack + 40340;
 Libint->vrr_classes[8][11] = int_stack + 43310;
 Libint->vrr_classes[8][12] = int_stack + 46820;
 Libint->vrr_classes[8][13] = int_stack + 50915;
 Libint->vrr_classes[8][14] = int_stack + 55640;
 Libint->vrr_classes[9][8] = int_stack + 61040;
 Libint->vrr_classes[9][9] = int_stack + 63515;
 Libint->vrr_classes[9][10] = int_stack + 66540;
 Libint->vrr_classes[9][11] = int_stack + 70170;
 Libint->vrr_classes[9][12] = int_stack + 74460;
 Libint->vrr_classes[9][13] = int_stack + 79465;
 Libint->vrr_classes[9][14] = int_stack + 85240;
 Libint->vrr_classes[10][8] = int_stack + 91840;
 Libint->vrr_classes[10][9] = int_stack + 94810;
 Libint->vrr_classes[10][10] = int_stack + 98440;
 Libint->vrr_classes[10][11] = int_stack + 102796;
 Libint->vrr_classes[10][12] = int_stack + 107944;
 Libint->vrr_classes[10][13] = int_stack + 113950;
 Libint->vrr_classes[10][14] = int_stack + 120880;
 memset(int_stack,0,128800*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 128800;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_igli(Libint, Data);
   Data++;
 }
 /*--- compute (i0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+128800,int_stack+1260,int_stack+0,28);
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+132580,int_stack+2800,int_stack+1260,28);
 /*--- compute (i0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+137200,int_stack+132580,int_stack+128800,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+144760,int_stack+4648,int_stack+2800,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+150304,int_stack+144760,int_stack+132580,28);
 /*--- compute (i0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+159544,int_stack+150304,int_stack+137200,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+128800,int_stack+6832,int_stack+4648,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+172144,int_stack+128800,int_stack+144760,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+183232,int_stack+172144,int_stack+150304,28);
 /*--- compute (i0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+135352,int_stack+183232,int_stack+159544,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+154252,int_stack+9380,int_stack+6832,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+198632,int_stack+154252,int_stack+128800,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+211736,int_stack+198632,int_stack+172144,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+230216,int_stack+211736,int_stack+183232,28);
 /*--- compute (i0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+161896,int_stack+230216,int_stack+135352,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+128800,int_stack+12320,int_stack+9380,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+137620,int_stack+128800,int_stack+154252,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+253316,int_stack+137620,int_stack+198632,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+128800,int_stack+253316,int_stack+211736,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+188356,int_stack+128800,int_stack+230216,28);
 /*--- compute (i0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+220696,int_stack+188356,int_stack+161896,28);
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+128800,int_stack+17300,int_stack+15680,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+133660,int_stack+19280,int_stack+17300,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+139600,int_stack+133660,int_stack+128800,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+149320,int_stack+21656,int_stack+19280,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+156448,int_stack+149320,int_stack+133660,36);
 /*--- compute (k0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+168328,int_stack+156448,int_stack+139600,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+128800,int_stack+24464,int_stack+21656,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+184528,int_stack+128800,int_stack+149320,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+198784,int_stack+184528,int_stack+156448,36);
 /*--- compute (k0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+137224,int_stack+198784,int_stack+168328,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+161524,int_stack+27740,int_stack+24464,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+255976,int_stack+161524,int_stack+128800,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+0,int_stack+255976,int_stack+184528,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+272824,int_stack+0,int_stack+198784,36);
 /*--- compute (k0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+171352,int_stack+272824,int_stack+137224,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+128800,int_stack+31520,int_stack+27740,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+140140,int_stack+128800,int_stack+161524,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+302524,int_stack+140140,int_stack+255976,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+128800,int_stack+302524,int_stack+0,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+302524,int_stack+128800,int_stack+272824,36);
 /*--- compute (k0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+255976,int_stack+302524,int_stack+171352,36);
 /*--- compute (ip|li) ---*/
 hrr1_build_ip(Libint->AB,int_stack+301336,int_stack+255976,int_stack+220696,1260);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+128800,int_stack+37865,int_stack+35840,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+134875,int_stack+40340,int_stack+37865,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+142300,int_stack+134875,int_stack+128800,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+154450,int_stack+43310,int_stack+40340,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+163360,int_stack+154450,int_stack+134875,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+178210,int_stack+163360,int_stack+142300,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+128800,int_stack+46820,int_stack+43310,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+198460,int_stack+128800,int_stack+154450,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+216280,int_stack+198460,int_stack+163360,45);
 /*--- compute (l0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+139330,int_stack+216280,int_stack+178210,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+169705,int_stack+50915,int_stack+46820,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+169705,int_stack+128800,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+21060,int_stack+0,int_stack+198460,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+407176,int_stack+21060,int_stack+216280,45);
 /*--- compute (l0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+181990,int_stack+407176,int_stack+139330,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+128800,int_stack+55640,int_stack+50915,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+142975,int_stack+128800,int_stack+169705,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+444301,int_stack+142975,int_stack+0,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+128800,int_stack+444301,int_stack+21060,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+0,int_stack+128800,int_stack+407176,45);
 /*--- compute (l0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+407176,int_stack+0,int_stack+181990,45);
 /*--- compute (kp|li) ---*/
 hrr1_build_kp(Libint->AB,int_stack+463876,int_stack+407176,int_stack+255976,1260);
 /*--- compute (id|li) ---*/
 hrr1_build_id(Libint->AB,int_stack+599956,int_stack+463876,int_stack+301336,1260);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+63515,int_stack+61040,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+7425,int_stack+66540,int_stack+63515,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+16500,int_stack+7425,int_stack+0,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+31350,int_stack+70170,int_stack+66540,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+42240,int_stack+31350,int_stack+7425,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+128800,int_stack+42240,int_stack+16500,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+0,int_stack+74460,int_stack+70170,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+153550,int_stack+0,int_stack+31350,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+175330,int_stack+153550,int_stack+42240,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+12870,int_stack+175330,int_stack+128800,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+128800,int_stack+79465,int_stack+74460,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+49995,int_stack+128800,int_stack+0,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+205580,int_stack+49995,int_stack+153550,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+241880,int_stack+205580,int_stack+175330,55);
 /*--- compute (m0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+143815,int_stack+241880,int_stack+12870,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+85240,int_stack+79465,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+17325,int_stack+0,int_stack+128800,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+287255,int_stack+17325,int_stack+49995,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+287255,int_stack+205580,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+287255,int_stack+0,int_stack+241880,55);
 /*--- compute (m0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+287255,int_stack+143815,55);
 /*--- compute (lp|li) ---*/
 hrr1_build_lp(Libint->AB,int_stack+128800,int_stack+0,int_stack+407176,1260);
 /*--- compute (kd|li) ---*/
 hrr1_build_kd(Libint->AB,int_stack+811636,int_stack+128800,int_stack+463876,1260);
 /*--- compute (if|li) ---*/
 hrr1_build_if(Libint->AB,int_stack+1083796,int_stack+811636,int_stack+599956,1260);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+69300,int_stack+94810,int_stack+91840,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+78210,int_stack+98440,int_stack+94810,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+298900,int_stack+78210,int_stack+69300,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+316720,int_stack+102796,int_stack+98440,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+329788,int_stack+316720,int_stack+78210,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+69300,int_stack+329788,int_stack+298900,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+298900,int_stack+107944,int_stack+102796,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+351568,int_stack+298900,int_stack+316720,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+377704,int_stack+351568,int_stack+329788,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+414004,int_stack+377704,int_stack+69300,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+69300,int_stack+113950,int_stack+107944,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+314344,int_stack+69300,int_stack+298900,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+458554,int_stack+314344,int_stack+351568,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+502114,int_stack+458554,int_stack+377704,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+345232,int_stack+502114,int_stack+414004,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+87318,int_stack+120880,int_stack+113950,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+407602,int_stack+87318,int_stack+69300,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+69300,int_stack+407602,int_stack+314344,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+556564,int_stack+69300,int_stack+458554,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+407602,int_stack+556564,int_stack+502114,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+483832,int_stack+407602,int_stack+345232,66);
 /*--- compute (mp|li) ---*/
 hrr1_build_mp(Libint->AB,int_stack+566992,int_stack+483832,int_stack+0,1260);
 /*--- compute (ld|li) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1436596,int_stack+566992,int_stack+128800,1260);
 /*--- compute (kf|li) ---*/
 hrr1_build_kf(Libint->AB,int_stack+0,int_stack+1436596,int_stack+811636,1260);
 /*--- compute (ig|li) ---*/
 hrr1_build_ig(Libint->AB,int_stack+453600,int_stack+0,int_stack+1083796,1260);
 return int_stack+453600;}
