#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_igmi(Libint_t*, prim_data*);

  /* Computes quartets of (ig|mi) integrals */

REALTYPE *hrr_order_igmi(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][9] = int_stack + 0;
 Libint->vrr_classes[6][10] = int_stack + 1540;
 Libint->vrr_classes[6][11] = int_stack + 3388;
 Libint->vrr_classes[6][12] = int_stack + 5572;
 Libint->vrr_classes[6][13] = int_stack + 8120;
 Libint->vrr_classes[6][14] = int_stack + 11060;
 Libint->vrr_classes[6][15] = int_stack + 14420;
 Libint->vrr_classes[7][9] = int_stack + 18228;
 Libint->vrr_classes[7][10] = int_stack + 20208;
 Libint->vrr_classes[7][11] = int_stack + 22584;
 Libint->vrr_classes[7][12] = int_stack + 25392;
 Libint->vrr_classes[7][13] = int_stack + 28668;
 Libint->vrr_classes[7][14] = int_stack + 32448;
 Libint->vrr_classes[7][15] = int_stack + 36768;
 Libint->vrr_classes[8][9] = int_stack + 41664;
 Libint->vrr_classes[8][10] = int_stack + 44139;
 Libint->vrr_classes[8][11] = int_stack + 47109;
 Libint->vrr_classes[8][12] = int_stack + 50619;
 Libint->vrr_classes[8][13] = int_stack + 54714;
 Libint->vrr_classes[8][14] = int_stack + 59439;
 Libint->vrr_classes[8][15] = int_stack + 64839;
 Libint->vrr_classes[9][9] = int_stack + 70959;
 Libint->vrr_classes[9][10] = int_stack + 73984;
 Libint->vrr_classes[9][11] = int_stack + 77614;
 Libint->vrr_classes[9][12] = int_stack + 81904;
 Libint->vrr_classes[9][13] = int_stack + 86909;
 Libint->vrr_classes[9][14] = int_stack + 92684;
 Libint->vrr_classes[9][15] = int_stack + 99284;
 Libint->vrr_classes[10][9] = int_stack + 106764;
 Libint->vrr_classes[10][10] = int_stack + 110394;
 Libint->vrr_classes[10][11] = int_stack + 114750;
 Libint->vrr_classes[10][12] = int_stack + 119898;
 Libint->vrr_classes[10][13] = int_stack + 125904;
 Libint->vrr_classes[10][14] = int_stack + 132834;
 Libint->vrr_classes[10][15] = int_stack + 140754;
 memset(int_stack,0,149730*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 149730;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_igmi(Libint, Data);
   Data++;
 }
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+149730,int_stack+1540,int_stack+0,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+154350,int_stack+3388,int_stack+1540,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+159894,int_stack+154350,int_stack+149730,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+169134,int_stack+5572,int_stack+3388,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+175686,int_stack+169134,int_stack+154350,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+186774,int_stack+175686,int_stack+159894,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+149730,int_stack+8120,int_stack+5572,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+202174,int_stack+149730,int_stack+169134,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+215278,int_stack+202174,int_stack+175686,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+157374,int_stack+215278,int_stack+186774,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+180474,int_stack+11060,int_stack+8120,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+233758,int_stack+180474,int_stack+149730,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+249046,int_stack+233758,int_stack+202174,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+270886,int_stack+249046,int_stack+215278,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+189294,int_stack+270886,int_stack+157374,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+149730,int_stack+14420,int_stack+11060,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+159810,int_stack+149730,int_stack+180474,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+298606,int_stack+159810,int_stack+233758,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+149730,int_stack+298606,int_stack+249046,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+221634,int_stack+149730,int_stack+270886,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+260442,int_stack+221634,int_stack+189294,28);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+149730,int_stack+20208,int_stack+18228,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+155670,int_stack+22584,int_stack+20208,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+162798,int_stack+155670,int_stack+149730,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+174678,int_stack+25392,int_stack+22584,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+183102,int_stack+174678,int_stack+155670,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+197358,int_stack+183102,int_stack+162798,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+149730,int_stack+28668,int_stack+25392,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+217158,int_stack+149730,int_stack+174678,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+234006,int_stack+217158,int_stack+183102,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+159558,int_stack+234006,int_stack+197358,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+189258,int_stack+32448,int_stack+28668,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+303562,int_stack+189258,int_stack+149730,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+303562,int_stack+217158,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+323218,int_stack+0,int_stack+234006,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+200598,int_stack+323218,int_stack+159558,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+149730,int_stack+36768,int_stack+32448,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+162690,int_stack+149730,int_stack+189258,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+358858,int_stack+162690,int_stack+303562,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+149730,int_stack+358858,int_stack+0,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+358858,int_stack+149730,int_stack+323218,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+408754,int_stack+358858,int_stack+200598,36);
 /*--- compute (ip|mi) ---*/
 hrr1_build_ip(Libint->AB,int_stack+464194,int_stack+408754,int_stack+260442,1540);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+149730,int_stack+44139,int_stack+41664,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+157155,int_stack+47109,int_stack+44139,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+166065,int_stack+157155,int_stack+149730,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+180915,int_stack+50619,int_stack+47109,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+191445,int_stack+180915,int_stack+157155,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+209265,int_stack+191445,int_stack+166065,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+149730,int_stack+54714,int_stack+50619,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+234015,int_stack+149730,int_stack+180915,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+255075,int_stack+234015,int_stack+191445,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+162015,int_stack+255075,int_stack+209265,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+199140,int_stack+59439,int_stack+54714,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+284775,int_stack+199140,int_stack+149730,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+309345,int_stack+284775,int_stack+234015,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+344445,int_stack+309345,int_stack+255075,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+213315,int_stack+344445,int_stack+162015,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+149730,int_stack+64839,int_stack+59439,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+165930,int_stack+149730,int_stack+199140,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+165930,int_stack+284775,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+149730,int_stack+0,int_stack+309345,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+149730,int_stack+344445,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+265290,int_stack+0,int_stack+213315,45);
 /*--- compute (kp|mi) ---*/
 hrr1_build_kp(Libint->AB,int_stack+593554,int_stack+265290,int_stack+408754,1540);
 /*--- compute (id|mi) ---*/
 hrr1_build_id(Libint->AB,int_stack+759874,int_stack+593554,int_stack+464194,1540);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+73984,int_stack+70959,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+9075,int_stack+77614,int_stack+73984,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+19965,int_stack+9075,int_stack+0,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+38115,int_stack+81904,int_stack+77614,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+50985,int_stack+38115,int_stack+9075,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+149730,int_stack+50985,int_stack+19965,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+86909,int_stack+81904,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+179980,int_stack+0,int_stack+38115,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+205720,int_stack+179980,int_stack+50985,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+15015,int_stack+205720,int_stack+149730,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+149730,int_stack+92684,int_stack+86909,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+60390,int_stack+149730,int_stack+0,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+334590,int_stack+60390,int_stack+179980,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+377490,int_stack+334590,int_stack+205720,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+167055,int_stack+377490,int_stack+15015,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+99284,int_stack+92684,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+19800,int_stack+0,int_stack+149730,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+431940,int_stack+19800,int_stack+60390,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+431940,int_stack+334590,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+431940,int_stack+0,int_stack+377490,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+431940,int_stack+167055,55);
 /*--- compute (lp|mi) ---*/
 hrr1_build_lp(Libint->AB,int_stack+334590,int_stack+0,int_stack+265290,1540);
 /*--- compute (kd|mi) ---*/
 hrr1_build_kd(Libint->AB,int_stack+1018594,int_stack+334590,int_stack+593554,1540);
 /*--- compute (if|mi) ---*/
 hrr1_build_if(Libint->AB,int_stack+1351234,int_stack+1018594,int_stack+759874,1540);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+84700,int_stack+110394,int_stack+106764,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+95590,int_stack+114750,int_stack+110394,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+542490,int_stack+95590,int_stack+84700,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+564270,int_stack+119898,int_stack+114750,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+579714,int_stack+564270,int_stack+95590,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+605850,int_stack+579714,int_stack+542490,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+542490,int_stack+125904,int_stack+119898,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+84700,int_stack+542490,int_stack+564270,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+642150,int_stack+84700,int_stack+579714,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+685710,int_stack+642150,int_stack+605850,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+560508,int_stack+132834,int_stack+125904,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+581298,int_stack+560508,int_stack+542490,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+740160,int_stack+581298,int_stack+84700,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+791640,int_stack+740160,int_stack+642150,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+856980,int_stack+791640,int_stack+685710,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+84700,int_stack+140754,int_stack+132834,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+108460,int_stack+84700,int_stack+560508,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+150040,int_stack+108460,int_stack+581298,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+210100,int_stack+150040,int_stack+740160,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+84700,int_stack+210100,int_stack+791640,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+176176,int_stack+84700,int_stack+856980,66);
 /*--- compute (mp|mi) ---*/
 hrr1_build_mp(Libint->AB,int_stack+542490,int_stack+176176,int_stack+0,1540);
 /*--- compute (ld|mi) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1782434,int_stack+542490,int_stack+334590,1540);
 /*--- compute (kf|mi) ---*/
 hrr1_build_kf(Libint->AB,int_stack+0,int_stack+1782434,int_stack+1018594,1540);
 /*--- compute (ig|mi) ---*/
 hrr1_build_ig(Libint->AB,int_stack+554400,int_stack+0,int_stack+1351234,1540);
 return int_stack+554400;}
