#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ihmi(Libint_t*, prim_data*);

  /* Computes quartets of (ih|mi) integrals */

REALTYPE *hrr_order_ihmi(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][9] = int_stack + 0;
 Libint->vrr_classes[6][10] = int_stack + 1540;
 Libint->vrr_classes[6][11] = int_stack + 3388;
 Libint->vrr_classes[6][12] = int_stack + 5572;
 Libint->vrr_classes[6][13] = int_stack + 8120;
 Libint->vrr_classes[6][14] = int_stack + 11060;
 Libint->vrr_classes[6][15] = int_stack + 14420;
 Libint->vrr_classes[7][9] = int_stack + 18228;
 Libint->vrr_classes[7][10] = int_stack + 20208;
 Libint->vrr_classes[7][11] = int_stack + 22584;
 Libint->vrr_classes[7][12] = int_stack + 25392;
 Libint->vrr_classes[7][13] = int_stack + 28668;
 Libint->vrr_classes[7][14] = int_stack + 32448;
 Libint->vrr_classes[7][15] = int_stack + 36768;
 Libint->vrr_classes[8][9] = int_stack + 41664;
 Libint->vrr_classes[8][10] = int_stack + 44139;
 Libint->vrr_classes[8][11] = int_stack + 47109;
 Libint->vrr_classes[8][12] = int_stack + 50619;
 Libint->vrr_classes[8][13] = int_stack + 54714;
 Libint->vrr_classes[8][14] = int_stack + 59439;
 Libint->vrr_classes[8][15] = int_stack + 64839;
 Libint->vrr_classes[9][9] = int_stack + 70959;
 Libint->vrr_classes[9][10] = int_stack + 73984;
 Libint->vrr_classes[9][11] = int_stack + 77614;
 Libint->vrr_classes[9][12] = int_stack + 81904;
 Libint->vrr_classes[9][13] = int_stack + 86909;
 Libint->vrr_classes[9][14] = int_stack + 92684;
 Libint->vrr_classes[9][15] = int_stack + 99284;
 Libint->vrr_classes[10][9] = int_stack + 106764;
 Libint->vrr_classes[10][10] = int_stack + 110394;
 Libint->vrr_classes[10][11] = int_stack + 114750;
 Libint->vrr_classes[10][12] = int_stack + 119898;
 Libint->vrr_classes[10][13] = int_stack + 125904;
 Libint->vrr_classes[10][14] = int_stack + 132834;
 Libint->vrr_classes[10][15] = int_stack + 140754;
 Libint->vrr_classes[11][9] = int_stack + 149730;
 Libint->vrr_classes[11][10] = int_stack + 154020;
 Libint->vrr_classes[11][11] = int_stack + 159168;
 Libint->vrr_classes[11][12] = int_stack + 165252;
 Libint->vrr_classes[11][13] = int_stack + 172350;
 Libint->vrr_classes[11][14] = int_stack + 180540;
 Libint->vrr_classes[11][15] = int_stack + 189900;
 memset(int_stack,0,200508*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 200508;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ihmi(Libint, Data);
   Data++;
 }
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+200508,int_stack+1540,int_stack+0,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+205128,int_stack+3388,int_stack+1540,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+210672,int_stack+205128,int_stack+200508,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+219912,int_stack+5572,int_stack+3388,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+226464,int_stack+219912,int_stack+205128,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+237552,int_stack+226464,int_stack+210672,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+200508,int_stack+8120,int_stack+5572,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+252952,int_stack+200508,int_stack+219912,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+266056,int_stack+252952,int_stack+226464,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+208152,int_stack+266056,int_stack+237552,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+231252,int_stack+11060,int_stack+8120,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+284536,int_stack+231252,int_stack+200508,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+299824,int_stack+284536,int_stack+252952,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+321664,int_stack+299824,int_stack+266056,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+240072,int_stack+321664,int_stack+208152,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+200508,int_stack+14420,int_stack+11060,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+210588,int_stack+200508,int_stack+231252,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+349384,int_stack+210588,int_stack+284536,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+200508,int_stack+349384,int_stack+299824,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+272412,int_stack+200508,int_stack+321664,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+311220,int_stack+272412,int_stack+240072,28);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+200508,int_stack+20208,int_stack+18228,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+206448,int_stack+22584,int_stack+20208,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+213576,int_stack+206448,int_stack+200508,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+225456,int_stack+25392,int_stack+22584,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+233880,int_stack+225456,int_stack+206448,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+248136,int_stack+233880,int_stack+213576,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+200508,int_stack+28668,int_stack+25392,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+267936,int_stack+200508,int_stack+225456,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+284784,int_stack+267936,int_stack+233880,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+210336,int_stack+284784,int_stack+248136,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+240036,int_stack+32448,int_stack+28668,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+354340,int_stack+240036,int_stack+200508,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+354340,int_stack+267936,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+373996,int_stack+0,int_stack+284784,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+251376,int_stack+373996,int_stack+210336,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+200508,int_stack+36768,int_stack+32448,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+213468,int_stack+200508,int_stack+240036,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+409636,int_stack+213468,int_stack+354340,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+200508,int_stack+409636,int_stack+0,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+409636,int_stack+200508,int_stack+373996,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+459532,int_stack+409636,int_stack+251376,36);
 /*--- compute (ip|mi) ---*/
 hrr1_build_ip(Libint->AB,int_stack+514972,int_stack+459532,int_stack+311220,1540);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+200508,int_stack+44139,int_stack+41664,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+207933,int_stack+47109,int_stack+44139,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+216843,int_stack+207933,int_stack+200508,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+231693,int_stack+50619,int_stack+47109,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+242223,int_stack+231693,int_stack+207933,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+260043,int_stack+242223,int_stack+216843,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+200508,int_stack+54714,int_stack+50619,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+284793,int_stack+200508,int_stack+231693,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+305853,int_stack+284793,int_stack+242223,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+212793,int_stack+305853,int_stack+260043,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+249918,int_stack+59439,int_stack+54714,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+335553,int_stack+249918,int_stack+200508,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+360123,int_stack+335553,int_stack+284793,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+395223,int_stack+360123,int_stack+305853,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+264093,int_stack+395223,int_stack+212793,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+200508,int_stack+64839,int_stack+59439,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+216708,int_stack+200508,int_stack+249918,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+216708,int_stack+335553,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+200508,int_stack+0,int_stack+360123,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+200508,int_stack+395223,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+316068,int_stack+0,int_stack+264093,45);
 /*--- compute (kp|mi) ---*/
 hrr1_build_kp(Libint->AB,int_stack+644332,int_stack+316068,int_stack+459532,1540);
 /*--- compute (id|mi) ---*/
 hrr1_build_id(Libint->AB,int_stack+810652,int_stack+644332,int_stack+514972,1540);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+73984,int_stack+70959,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+9075,int_stack+77614,int_stack+73984,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+19965,int_stack+9075,int_stack+0,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+38115,int_stack+81904,int_stack+77614,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+50985,int_stack+38115,int_stack+9075,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+200508,int_stack+50985,int_stack+19965,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+86909,int_stack+81904,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+230758,int_stack+0,int_stack+38115,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+256498,int_stack+230758,int_stack+50985,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+15015,int_stack+256498,int_stack+200508,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+200508,int_stack+92684,int_stack+86909,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+60390,int_stack+200508,int_stack+0,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+385368,int_stack+60390,int_stack+230758,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+428268,int_stack+385368,int_stack+256498,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+217833,int_stack+428268,int_stack+15015,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+99284,int_stack+92684,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+19800,int_stack+0,int_stack+200508,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+482718,int_stack+19800,int_stack+60390,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+482718,int_stack+385368,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+482718,int_stack+0,int_stack+428268,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+482718,int_stack+217833,55);
 /*--- compute (lp|mi) ---*/
 hrr1_build_lp(Libint->AB,int_stack+385368,int_stack+0,int_stack+316068,1540);
 /*--- compute (kd|mi) ---*/
 hrr1_build_kd(Libint->AB,int_stack+1069372,int_stack+385368,int_stack+644332,1540);
 /*--- compute (if|mi) ---*/
 hrr1_build_if(Libint->AB,int_stack+1402012,int_stack+1069372,int_stack+810652,1540);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+84700,int_stack+110394,int_stack+106764,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+95590,int_stack+114750,int_stack+110394,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+593268,int_stack+95590,int_stack+84700,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+615048,int_stack+119898,int_stack+114750,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+630492,int_stack+615048,int_stack+95590,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+656628,int_stack+630492,int_stack+593268,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+593268,int_stack+125904,int_stack+119898,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+84700,int_stack+593268,int_stack+615048,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+692928,int_stack+84700,int_stack+630492,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+736488,int_stack+692928,int_stack+656628,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+611286,int_stack+132834,int_stack+125904,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+632076,int_stack+611286,int_stack+593268,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+790938,int_stack+632076,int_stack+84700,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+842418,int_stack+790938,int_stack+692928,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+907758,int_stack+842418,int_stack+736488,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+84700,int_stack+140754,int_stack+132834,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+668112,int_stack+84700,int_stack+611286,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+84700,int_stack+668112,int_stack+632076,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+593268,int_stack+84700,int_stack+790938,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+670488,int_stack+593268,int_stack+842418,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+761964,int_stack+670488,int_stack+907758,66);
 /*--- compute (mp|mi) ---*/
 hrr1_build_mp(Libint->AB,int_stack+1833212,int_stack+761964,int_stack+0,1540);
 /*--- compute (ld|mi) ---*/
 hrr1_build_ld(Libint->AB,int_stack+2087312,int_stack+1833212,int_stack+385368,1540);
 /*--- compute (kf|mi) ---*/
 hrr1_build_kf(Libint->AB,int_stack+200508,int_stack+2087312,int_stack+1069372,1540);
 /*--- compute (ig|mi) ---*/
 hrr1_build_ig(Libint->AB,int_stack+2503112,int_stack+200508,int_stack+1402012,1540);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+154020,int_stack+149730,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+12870,int_stack+159168,int_stack+154020,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+28314,int_stack+12870,int_stack+0,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+54054,int_stack+165252,int_stack+159168,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+72306,int_stack+54054,int_stack+12870,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+103194,int_stack+72306,int_stack+28314,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+172350,int_stack+165252,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+863604,int_stack+0,int_stack+54054,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+900108,int_stack+863604,int_stack+72306,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+21294,int_stack+900108,int_stack+103194,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+85644,int_stack+180540,int_stack+172350,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+110214,int_stack+85644,int_stack+0,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+951588,int_stack+110214,int_stack+863604,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1012428,int_stack+951588,int_stack+900108,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1089648,int_stack+1012428,int_stack+21294,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+863604,int_stack+189900,int_stack+180540,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+891684,int_stack+863604,int_stack+85644,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+891684,int_stack+110214,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+70980,int_stack+0,int_stack+951588,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+863604,int_stack+70980,int_stack+1012428,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+863604,int_stack+1089648,78);
 /*--- compute (np|mi) ---*/
 hrr1_build_np(Libint->AB,int_stack+863604,int_stack+0,int_stack+761964,1540);
 /*--- compute (md|mi) ---*/
 hrr1_build_md(Libint->AB,int_stack+1168524,int_stack+863604,int_stack+1833212,1540);
 /*--- compute (lf|mi) ---*/
 hrr1_build_lf(Libint->AB,int_stack+3149912,int_stack+1168524,int_stack+2087312,1540);
 /*--- compute (kg|mi) ---*/
 hrr1_build_kg(Libint->AB,int_stack+754908,int_stack+3149912,int_stack+200508,1540);
 /*--- compute (ih|mi) ---*/
 hrr1_build_ih(Libint->AB,int_stack+1586508,int_stack+754908,int_stack+2503112,1540);
 return int_stack+1586508;}
