#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ipmk(Libint_t*, prim_data*);

  /* Computes quartets of (ip|mk) integrals */

REALTYPE *hrr_order_ipmk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][9] = int_stack + 0;
 Libint->vrr_classes[6][10] = int_stack + 1540;
 Libint->vrr_classes[6][11] = int_stack + 3388;
 Libint->vrr_classes[6][12] = int_stack + 5572;
 Libint->vrr_classes[6][13] = int_stack + 8120;
 Libint->vrr_classes[6][14] = int_stack + 11060;
 Libint->vrr_classes[6][15] = int_stack + 14420;
 Libint->vrr_classes[6][16] = int_stack + 18228;
 Libint->vrr_classes[7][9] = int_stack + 22512;
 Libint->vrr_classes[7][10] = int_stack + 24492;
 Libint->vrr_classes[7][11] = int_stack + 26868;
 Libint->vrr_classes[7][12] = int_stack + 29676;
 Libint->vrr_classes[7][13] = int_stack + 32952;
 Libint->vrr_classes[7][14] = int_stack + 36732;
 Libint->vrr_classes[7][15] = int_stack + 41052;
 Libint->vrr_classes[7][16] = int_stack + 45948;
 memset(int_stack,0,51456*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 51456;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ipmk(Libint, Data);
   Data++;
 }
 /*--- compute (i0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+51456,int_stack+1540,int_stack+0,28);
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+56076,int_stack+3388,int_stack+1540,28);
 /*--- compute (i0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+61620,int_stack+56076,int_stack+51456,28);
 /*--- compute (i0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+70860,int_stack+5572,int_stack+3388,28);
 /*--- compute (i0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+77412,int_stack+70860,int_stack+56076,28);
 /*--- compute (i0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+88500,int_stack+77412,int_stack+61620,28);
 /*--- compute (i0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+51456,int_stack+8120,int_stack+5572,28);
 /*--- compute (i0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+103900,int_stack+51456,int_stack+70860,28);
 /*--- compute (i0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+117004,int_stack+103900,int_stack+77412,28);
 /*--- compute (i0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+59100,int_stack+117004,int_stack+88500,28);
 /*--- compute (i0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+82200,int_stack+11060,int_stack+8120,28);
 /*--- compute (i0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+135484,int_stack+82200,int_stack+51456,28);
 /*--- compute (i0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+150772,int_stack+135484,int_stack+103900,28);
 /*--- compute (i0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+172612,int_stack+150772,int_stack+117004,28);
 /*--- compute (i0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+91020,int_stack+172612,int_stack+59100,28);
 /*--- compute (i0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+51456,int_stack+14420,int_stack+11060,28);
 /*--- compute (i0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+61536,int_stack+51456,int_stack+82200,28);
 /*--- compute (i0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+200332,int_stack+61536,int_stack+135484,28);
 /*--- compute (i0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+225812,int_stack+200332,int_stack+150772,28);
 /*--- compute (i0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+123360,int_stack+225812,int_stack+172612,28);
 /*--- compute (i0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+258572,int_stack+123360,int_stack+91020,28);
 /*--- compute (i0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+79176,int_stack+18228,int_stack+14420,28);
 /*--- compute (i0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+90600,int_stack+79176,int_stack+51456,28);
 /*--- compute (i0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+162168,int_stack+90600,int_stack+61536,28);
 /*--- compute (i0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+51456,int_stack+162168,int_stack+200332,28);
 /*--- compute (i0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+162168,int_stack+51456,int_stack+225812,28);
 /*--- compute (i0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+51456,int_stack+162168,int_stack+123360,28);
 /*--- compute (i0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+103200,int_stack+51456,int_stack+258572,28);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+51456,int_stack+24492,int_stack+22512,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+57396,int_stack+26868,int_stack+24492,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+64524,int_stack+57396,int_stack+51456,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+76404,int_stack+29676,int_stack+26868,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+84828,int_stack+76404,int_stack+57396,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+158640,int_stack+84828,int_stack+64524,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+51456,int_stack+32952,int_stack+29676,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+178440,int_stack+51456,int_stack+76404,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+195288,int_stack+178440,int_stack+84828,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+61284,int_stack+195288,int_stack+158640,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+158640,int_stack+36732,int_stack+32952,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+219048,int_stack+158640,int_stack+51456,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+238704,int_stack+219048,int_stack+178440,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+238704,int_stack+195288,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+169980,int_stack+0,int_stack+61284,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+51456,int_stack+41052,int_stack+36732,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+64416,int_stack+51456,int_stack+158640,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+266784,int_stack+64416,int_stack+219048,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+299544,int_stack+266784,int_stack+238704,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+211560,int_stack+299544,int_stack+0,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+341664,int_stack+211560,int_stack+169980,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+45948,int_stack+41052,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+14688,int_stack+0,int_stack+51456,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+158640,int_stack+14688,int_stack+64416,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+0,int_stack+158640,int_stack+266784,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+397104,int_stack+0,int_stack+299544,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+397104,int_stack+211560,36);
 /*--- compute (k0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+158640,int_stack+0,int_stack+341664,36);
 /*--- compute (ip|mk) ---*/
 hrr1_build_ip(Libint->AB,int_stack+229920,int_stack+158640,int_stack+103200,1980);
 return int_stack+229920;}
