#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ipnp(Libint_t*, prim_data*);

  /* Computes quartets of (ip|np) integrals */

REALTYPE *hrr_order_ipnp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[6][10] = int_stack + 0;
 Libint->vrr_classes[6][11] = int_stack + 1848;
 Libint->vrr_classes[7][10] = int_stack + 4032;
 Libint->vrr_classes[7][11] = int_stack + 6408;
 memset(int_stack,0,9216*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 9216;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ipnp(Libint, Data);
   Data++;
 }
 /*--- compute (i0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+9216,int_stack+1848,int_stack+0,28);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+14760,int_stack+6408,int_stack+4032,36);
 /*--- compute (ip|np) ---*/
 hrr1_build_ip(Libint->AB,int_stack+21888,int_stack+14760,int_stack+9216,198);
 return int_stack+21888;}
