#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kfld(Libint_t*, prim_data*);

  /* Computes quartets of (kf|ld) integrals */

REALTYPE *hrr_order_kfld(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][8] = int_stack + 0;
 Libint->vrr_classes[7][9] = int_stack + 1620;
 Libint->vrr_classes[7][10] = int_stack + 3600;
 Libint->vrr_classes[8][8] = int_stack + 5976;
 Libint->vrr_classes[8][9] = int_stack + 8001;
 Libint->vrr_classes[8][10] = int_stack + 10476;
 Libint->vrr_classes[9][8] = int_stack + 13446;
 Libint->vrr_classes[9][9] = int_stack + 15921;
 Libint->vrr_classes[9][10] = int_stack + 18946;
 Libint->vrr_classes[10][8] = int_stack + 22576;
 Libint->vrr_classes[10][9] = int_stack + 25546;
 Libint->vrr_classes[10][10] = int_stack + 29176;
 memset(int_stack,0,33532*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 33532;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kfld(Libint, Data);
   Data++;
 }
 /*--- compute (k0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+33532,int_stack+1620,int_stack+0,36);
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+38392,int_stack+3600,int_stack+1620,36);
 /*--- compute (k0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+44332,int_stack+38392,int_stack+33532,36);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+33532,int_stack+8001,int_stack+5976,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+10476,int_stack+8001,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+54052,int_stack+0,int_stack+33532,45);
 /*--- compute (kp|ld) ---*/
 hrr1_build_kp(Libint->AB,int_stack+66202,int_stack+54052,int_stack+44332,270);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+33532,int_stack+15921,int_stack+13446,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+40957,int_stack+18946,int_stack+15921,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+0,int_stack+40957,int_stack+33532,55);
 /*--- compute (lp|ld) ---*/
 hrr1_build_lp(Libint->AB,int_stack+95362,int_stack+0,int_stack+54052,270);
 /*--- compute (kd|ld) ---*/
 hrr1_build_kd(Libint->AB,int_stack+131812,int_stack+95362,int_stack+66202,270);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+33532,int_stack+25546,int_stack+22576,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+42442,int_stack+29176,int_stack+25546,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+53332,int_stack+42442,int_stack+33532,66);
 /*--- compute (mp|ld) ---*/
 hrr1_build_mp(Libint->AB,int_stack+190132,int_stack+53332,int_stack+0,270);
 /*--- compute (ld|ld) ---*/
 hrr1_build_ld(Libint->AB,int_stack+0,int_stack+190132,int_stack+95362,270);
 /*--- compute (kf|ld) ---*/
 hrr1_build_kf(Libint->AB,int_stack+190132,int_stack+0,int_stack+131812,270);
 return int_stack+190132;}
