#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kfmi(Libint_t*, prim_data*);

  /* Computes quartets of (kf|mi) integrals */

REALTYPE *hrr_order_kfmi(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][9] = int_stack + 0;
 Libint->vrr_classes[7][10] = int_stack + 1980;
 Libint->vrr_classes[7][11] = int_stack + 4356;
 Libint->vrr_classes[7][12] = int_stack + 7164;
 Libint->vrr_classes[7][13] = int_stack + 10440;
 Libint->vrr_classes[7][14] = int_stack + 14220;
 Libint->vrr_classes[7][15] = int_stack + 18540;
 Libint->vrr_classes[8][9] = int_stack + 23436;
 Libint->vrr_classes[8][10] = int_stack + 25911;
 Libint->vrr_classes[8][11] = int_stack + 28881;
 Libint->vrr_classes[8][12] = int_stack + 32391;
 Libint->vrr_classes[8][13] = int_stack + 36486;
 Libint->vrr_classes[8][14] = int_stack + 41211;
 Libint->vrr_classes[8][15] = int_stack + 46611;
 Libint->vrr_classes[9][9] = int_stack + 52731;
 Libint->vrr_classes[9][10] = int_stack + 55756;
 Libint->vrr_classes[9][11] = int_stack + 59386;
 Libint->vrr_classes[9][12] = int_stack + 63676;
 Libint->vrr_classes[9][13] = int_stack + 68681;
 Libint->vrr_classes[9][14] = int_stack + 74456;
 Libint->vrr_classes[9][15] = int_stack + 81056;
 Libint->vrr_classes[10][9] = int_stack + 88536;
 Libint->vrr_classes[10][10] = int_stack + 92166;
 Libint->vrr_classes[10][11] = int_stack + 96522;
 Libint->vrr_classes[10][12] = int_stack + 101670;
 Libint->vrr_classes[10][13] = int_stack + 107676;
 Libint->vrr_classes[10][14] = int_stack + 114606;
 Libint->vrr_classes[10][15] = int_stack + 122526;
 memset(int_stack,0,131502*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 131502;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kfmi(Libint, Data);
   Data++;
 }
 /*--- compute (k0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+131502,int_stack+1980,int_stack+0,36);
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+137442,int_stack+4356,int_stack+1980,36);
 /*--- compute (k0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+144570,int_stack+137442,int_stack+131502,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+156450,int_stack+7164,int_stack+4356,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+164874,int_stack+156450,int_stack+137442,36);
 /*--- compute (k0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+179130,int_stack+164874,int_stack+144570,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+131502,int_stack+10440,int_stack+7164,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+198930,int_stack+131502,int_stack+156450,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+215778,int_stack+198930,int_stack+164874,36);
 /*--- compute (k0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+141330,int_stack+215778,int_stack+179130,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+171030,int_stack+14220,int_stack+10440,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+239538,int_stack+171030,int_stack+131502,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+259194,int_stack+239538,int_stack+198930,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+287274,int_stack+259194,int_stack+215778,36);
 /*--- compute (k0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+182370,int_stack+287274,int_stack+141330,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+131502,int_stack+18540,int_stack+14220,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+144462,int_stack+131502,int_stack+171030,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+322914,int_stack+144462,int_stack+239538,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+131502,int_stack+322914,int_stack+259194,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+223950,int_stack+131502,int_stack+287274,36);
 /*--- compute (k0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+273846,int_stack+223950,int_stack+182370,36);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+131502,int_stack+25911,int_stack+23436,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+138927,int_stack+28881,int_stack+25911,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+147837,int_stack+138927,int_stack+131502,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+162687,int_stack+32391,int_stack+28881,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+173217,int_stack+162687,int_stack+138927,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+191037,int_stack+173217,int_stack+147837,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+131502,int_stack+36486,int_stack+32391,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+215787,int_stack+131502,int_stack+162687,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+236847,int_stack+215787,int_stack+173217,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+143787,int_stack+236847,int_stack+191037,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+180912,int_stack+41211,int_stack+36486,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+329286,int_stack+180912,int_stack+131502,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+329286,int_stack+215787,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+353856,int_stack+0,int_stack+236847,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+195087,int_stack+353856,int_stack+143787,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+131502,int_stack+46611,int_stack+41211,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+147702,int_stack+131502,int_stack+180912,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+398406,int_stack+147702,int_stack+329286,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+131502,int_stack+398406,int_stack+0,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+398406,int_stack+131502,int_stack+353856,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+460776,int_stack+398406,int_stack+195087,45);
 /*--- compute (kp|mi) ---*/
 hrr1_build_kp(Libint->AB,int_stack+530076,int_stack+460776,int_stack+273846,1540);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+131502,int_stack+55756,int_stack+52731,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+140577,int_stack+59386,int_stack+55756,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+151467,int_stack+140577,int_stack+131502,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+169617,int_stack+63676,int_stack+59386,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+182487,int_stack+169617,int_stack+140577,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+204267,int_stack+182487,int_stack+151467,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+131502,int_stack+68681,int_stack+63676,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+234517,int_stack+131502,int_stack+169617,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+260257,int_stack+234517,int_stack+182487,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+146517,int_stack+260257,int_stack+204267,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+191892,int_stack+74456,int_stack+68681,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+296557,int_stack+191892,int_stack+131502,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+326587,int_stack+296557,int_stack+234517,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+369487,int_stack+326587,int_stack+260257,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+209217,int_stack+369487,int_stack+146517,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+131502,int_stack+81056,int_stack+74456,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+151302,int_stack+131502,int_stack+191892,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+151302,int_stack+296557,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+131502,int_stack+0,int_stack+326587,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+131502,int_stack+369487,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+272742,int_stack+0,int_stack+209217,55);
 /*--- compute (lp|mi) ---*/
 hrr1_build_lp(Libint->AB,int_stack+696396,int_stack+272742,int_stack+460776,1540);
 /*--- compute (kd|mi) ---*/
 hrr1_build_kd(Libint->AB,int_stack+904296,int_stack+696396,int_stack+530076,1540);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+92166,int_stack+88536,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+10890,int_stack+96522,int_stack+92166,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+23958,int_stack+10890,int_stack+0,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+45738,int_stack+101670,int_stack+96522,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+61182,int_stack+45738,int_stack+10890,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+131502,int_stack+61182,int_stack+23958,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+107676,int_stack+101670,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+167802,int_stack+0,int_stack+45738,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+198690,int_stack+167802,int_stack+61182,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+18018,int_stack+198690,int_stack+131502,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+131502,int_stack+114606,int_stack+107676,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+72468,int_stack+131502,int_stack+0,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+357442,int_stack+72468,int_stack+167802,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+408922,int_stack+357442,int_stack+198690,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+152292,int_stack+408922,int_stack+18018,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+122526,int_stack+114606,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+23760,int_stack+0,int_stack+131502,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+474262,int_stack+23760,int_stack+72468,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+474262,int_stack+357442,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+474262,int_stack+0,int_stack+408922,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+474262,int_stack+152292,66);
 /*--- compute (mp|mi) ---*/
 hrr1_build_mp(Libint->AB,int_stack+357442,int_stack+0,int_stack+272742,1540);
 /*--- compute (ld|mi) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1236936,int_stack+357442,int_stack+696396,1540);
 /*--- compute (kf|mi) ---*/
 hrr1_build_kf(Libint->AB,int_stack+0,int_stack+1236936,int_stack+904296,1540);
 return int_stack+0;}
