#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_kgnn(Libint_t*, prim_data*);

  /* Computes quartets of (kg|nn) integrals */

REALTYPE *hrr_order_kgnn(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[7][10] = int_stack + 0;
 Libint->vrr_classes[7][11] = int_stack + 2376;
 Libint->vrr_classes[7][12] = int_stack + 5184;
 Libint->vrr_classes[7][13] = int_stack + 8460;
 Libint->vrr_classes[7][14] = int_stack + 12240;
 Libint->vrr_classes[7][15] = int_stack + 16560;
 Libint->vrr_classes[7][16] = int_stack + 21456;
 Libint->vrr_classes[7][17] = int_stack + 26964;
 Libint->vrr_classes[7][18] = int_stack + 33120;
 Libint->vrr_classes[7][19] = int_stack + 39960;
 Libint->vrr_classes[7][20] = int_stack + 47520;
 Libint->vrr_classes[8][10] = int_stack + 55836;
 Libint->vrr_classes[8][11] = int_stack + 58806;
 Libint->vrr_classes[8][12] = int_stack + 62316;
 Libint->vrr_classes[8][13] = int_stack + 66411;
 Libint->vrr_classes[8][14] = int_stack + 71136;
 Libint->vrr_classes[8][15] = int_stack + 76536;
 Libint->vrr_classes[8][16] = int_stack + 82656;
 Libint->vrr_classes[8][17] = int_stack + 89541;
 Libint->vrr_classes[8][18] = int_stack + 97236;
 Libint->vrr_classes[8][19] = int_stack + 105786;
 Libint->vrr_classes[8][20] = int_stack + 115236;
 Libint->vrr_classes[9][10] = int_stack + 125631;
 Libint->vrr_classes[9][11] = int_stack + 129261;
 Libint->vrr_classes[9][12] = int_stack + 133551;
 Libint->vrr_classes[9][13] = int_stack + 138556;
 Libint->vrr_classes[9][14] = int_stack + 144331;
 Libint->vrr_classes[9][15] = int_stack + 150931;
 Libint->vrr_classes[9][16] = int_stack + 158411;
 Libint->vrr_classes[9][17] = int_stack + 166826;
 Libint->vrr_classes[9][18] = int_stack + 176231;
 Libint->vrr_classes[9][19] = int_stack + 186681;
 Libint->vrr_classes[9][20] = int_stack + 198231;
 Libint->vrr_classes[10][10] = int_stack + 210936;
 Libint->vrr_classes[10][11] = int_stack + 215292;
 Libint->vrr_classes[10][12] = int_stack + 220440;
 Libint->vrr_classes[10][13] = int_stack + 226446;
 Libint->vrr_classes[10][14] = int_stack + 233376;
 Libint->vrr_classes[10][15] = int_stack + 241296;
 Libint->vrr_classes[10][16] = int_stack + 250272;
 Libint->vrr_classes[10][17] = int_stack + 260370;
 Libint->vrr_classes[10][18] = int_stack + 271656;
 Libint->vrr_classes[10][19] = int_stack + 284196;
 Libint->vrr_classes[10][20] = int_stack + 298056;
 Libint->vrr_classes[11][10] = int_stack + 313302;
 Libint->vrr_classes[11][11] = int_stack + 318450;
 Libint->vrr_classes[11][12] = int_stack + 324534;
 Libint->vrr_classes[11][13] = int_stack + 331632;
 Libint->vrr_classes[11][14] = int_stack + 339822;
 Libint->vrr_classes[11][15] = int_stack + 349182;
 Libint->vrr_classes[11][16] = int_stack + 359790;
 Libint->vrr_classes[11][17] = int_stack + 371724;
 Libint->vrr_classes[11][18] = int_stack + 385062;
 Libint->vrr_classes[11][19] = int_stack + 399882;
 Libint->vrr_classes[11][20] = int_stack + 416262;
 memset(int_stack,0,434280*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 434280;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_kgnn(Libint, Data);
   Data++;
 }
 /*--- compute (k0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+434280,int_stack+2376,int_stack+0,36);
 /*--- compute (k0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+441408,int_stack+5184,int_stack+2376,36);
 /*--- compute (k0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+449832,int_stack+441408,int_stack+434280,36);
 /*--- compute (k0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+464088,int_stack+8460,int_stack+5184,36);
 /*--- compute (k0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+473916,int_stack+464088,int_stack+441408,36);
 /*--- compute (k0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+490764,int_stack+473916,int_stack+449832,36);
 /*--- compute (k0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+434280,int_stack+12240,int_stack+8460,36);
 /*--- compute (k0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+514524,int_stack+434280,int_stack+464088,36);
 /*--- compute (k0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+445620,int_stack+514524,int_stack+473916,36);
 /*--- compute (k0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+534180,int_stack+445620,int_stack+490764,36);
 /*--- compute (k0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+473700,int_stack+16560,int_stack+12240,36);
 /*--- compute (k0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+486660,int_stack+473700,int_stack+434280,36);
 /*--- compute (k0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+569820,int_stack+486660,int_stack+514524,36);
 /*--- compute (k0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+602580,int_stack+569820,int_stack+445620,36);
 /*--- compute (k0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+644700,int_stack+602580,int_stack+534180,36);
 /*--- compute (k0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+434280,int_stack+21456,int_stack+16560,36);
 /*--- compute (k0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+509340,int_stack+434280,int_stack+473700,36);
 /*--- compute (k0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+694596,int_stack+509340,int_stack+486660,36);
 /*--- compute (k0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+448968,int_stack+694596,int_stack+569820,36);
 /*--- compute (k0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+535260,int_stack+448968,int_stack+602580,36);
 /*--- compute (k0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+732396,int_stack+535260,int_stack+644700,36);
 /*--- compute (k0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+594228,int_stack+26964,int_stack+21456,36);
 /*--- compute (k0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+610752,int_stack+594228,int_stack+434280,36);
 /*--- compute (k0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+640128,int_stack+610752,int_stack+509340,36);
 /*--- compute (k0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+798924,int_stack+640128,int_stack+694596,36);
 /*--- compute (k0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+855624,int_stack+798924,int_stack+448968,36);
 /*--- compute (k0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+434280,int_stack+855624,int_stack+535260,36);
 /*--- compute (k0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+924420,int_stack+434280,int_stack+732396,36);
 /*--- compute (k0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+512904,int_stack+33120,int_stack+26964,36);
 /*--- compute (k0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+531372,int_stack+512904,int_stack+594228,36);
 /*--- compute (k0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+683328,int_stack+531372,int_stack+610752,36);
 /*--- compute (k0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+564420,int_stack+683328,int_stack+640128,36);
 /*--- compute (k0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1009956,int_stack+564420,int_stack+798924,36);
 /*--- compute (k0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+732288,int_stack+1009956,int_stack+855624,36);
 /*--- compute (k0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1089336,int_stack+732288,int_stack+434280,36);
 /*--- compute (k0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1190424,int_stack+1089336,int_stack+924420,36);
 /*--- compute (k0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+434280,int_stack+39960,int_stack+33120,36);
 /*--- compute (k0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+454800,int_stack+434280,int_stack+512904,36);
 /*--- compute (k0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+824016,int_stack+454800,int_stack+531372,36);
 /*--- compute (k0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+879096,int_stack+824016,int_stack+683328,36);
 /*--- compute (k0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+629220,int_stack+879096,int_stack+564420,36);
 /*--- compute (k0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+491736,int_stack+629220,int_stack+1009956,36);
 /*--- compute (k0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+952536,int_stack+491736,int_stack+732288,36);
 /*--- compute (k0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1297344,int_stack+952536,int_stack+1089336,36);
 /*--- compute (k0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1423704,int_stack+1297344,int_stack+1190424,36);
 /*--- compute (k0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+597576,int_stack+47520,int_stack+39960,36);
 /*--- compute (k0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+719940,int_stack+597576,int_stack+434280,36);
 /*--- compute (k0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+760980,int_stack+719940,int_stack+454800,36);
 /*--- compute (k0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+1070472,int_stack+760980,int_stack+824016,36);
 /*--- compute (k0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+719940,int_stack+1070472,int_stack+879096,36);
 /*--- compute (k0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+1070472,int_stack+719940,int_stack+629220,36);
 /*--- compute (k0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+597576,int_stack+1070472,int_stack+491736,36);
 /*--- compute (k0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+1070472,int_stack+597576,int_stack+952536,36);
 /*--- compute (k0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+434280,int_stack+1070472,int_stack+1297344,36);
 /*--- compute (k0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+588720,int_stack+434280,int_stack+1423704,36);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+434280,int_stack+58806,int_stack+55836,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+443190,int_stack+62316,int_stack+58806,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+453720,int_stack+443190,int_stack+434280,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+471540,int_stack+66411,int_stack+62316,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+483825,int_stack+471540,int_stack+443190,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+504885,int_stack+483825,int_stack+453720,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+434280,int_stack+71136,int_stack+66411,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+534585,int_stack+434280,int_stack+471540,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+448455,int_stack+534585,int_stack+483825,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+745536,int_stack+448455,int_stack+504885,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+483555,int_stack+76536,int_stack+71136,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+499755,int_stack+483555,int_stack+434280,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+790086,int_stack+499755,int_stack+534585,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+528105,int_stack+790086,int_stack+448455,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+831036,int_stack+528105,int_stack+745536,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+745536,int_stack+82656,int_stack+76536,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+434280,int_stack+745536,int_stack+483555,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+893406,int_stack+434280,int_stack+499755,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+466680,int_stack+893406,int_stack+790086,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+940656,int_stack+466680,int_stack+528105,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1014366,int_stack+940656,int_stack+831036,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+528105,int_stack+89541,int_stack+82656,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+548760,int_stack+528105,int_stack+745536,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+745536,int_stack+548760,int_stack+434280,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+799536,int_stack+745536,int_stack+893406,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1097526,int_stack+799536,int_stack+466680,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1183521,int_stack+1097526,int_stack+940656,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+870411,int_stack+1183521,int_stack+1014366,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+434280,int_stack+97236,int_stack+89541,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+457365,int_stack+434280,int_stack+528105,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+977331,int_stack+457365,int_stack+548760,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+498675,int_stack+977331,int_stack+745536,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1281801,int_stack+498675,int_stack+799536,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+745536,int_stack+1281801,int_stack+1097526,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1038531,int_stack+745536,int_stack+1183521,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1381026,int_stack+1038531,int_stack+870411,45);
 /*--- compute (l0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+860196,int_stack+105786,int_stack+97236,45);
 /*--- compute (l0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+885846,int_stack+860196,int_stack+434280,45);
 /*--- compute (l0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1164891,int_stack+885846,int_stack+457365,45);
 /*--- compute (l0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+0,int_stack+1164891,int_stack+977331,45);
 /*--- compute (l0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+1514676,int_stack+0,int_stack+498675,45);
 /*--- compute (l0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+434280,int_stack+1514676,int_stack+1281801,45);
 /*--- compute (l0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1628076,int_stack+434280,int_stack+745536,45);
 /*--- compute (l0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+1775496,int_stack+1628076,int_stack+1038531,45);
 /*--- compute (l0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+932016,int_stack+1775496,int_stack+1381026,45);
 /*--- compute (l0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+745536,int_stack+115236,int_stack+105786,45);
 /*--- compute (l0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+773886,int_stack+745536,int_stack+860196,45);
 /*--- compute (l0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+1233741,int_stack+773886,int_stack+885846,45);
 /*--- compute (l0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+745536,int_stack+1233741,int_stack+1164891,45);
 /*--- compute (l0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+1095366,int_stack+745536,int_stack+0,45);
 /*--- compute (l0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+745536,int_stack+1095366,int_stack+1514676,45);
 /*--- compute (l0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+1095366,int_stack+745536,int_stack+434280,45);
 /*--- compute (l0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+745536,int_stack+1095366,int_stack+1628076,45);
 /*--- compute (l0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+1095366,int_stack+745536,int_stack+1775496,45);
 /*--- compute (l0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+1288416,int_stack+1095366,int_stack+932016,45);
 /*--- compute (kp|nn) ---*/
 hrr1_build_kp(Libint->AB,int_stack+745536,int_stack+1288416,int_stack+588720,4356);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1215984,int_stack+129261,int_stack+125631,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1226874,int_stack+133551,int_stack+129261,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1239744,int_stack+1226874,int_stack+1215984,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1261524,int_stack+138556,int_stack+133551,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1484436,int_stack+1261524,int_stack+1226874,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1510176,int_stack+1484436,int_stack+1239744,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1215984,int_stack+144331,int_stack+138556,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1546476,int_stack+1215984,int_stack+1261524,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1233309,int_stack+1546476,int_stack+1484436,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1576506,int_stack+1233309,int_stack+1510176,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1484436,int_stack+150931,int_stack+144331,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1504236,int_stack+1484436,int_stack+1215984,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1630956,int_stack+1504236,int_stack+1546476,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1681006,int_stack+1630956,int_stack+1233309,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1745356,int_stack+1681006,int_stack+1576506,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1215984,int_stack+158411,int_stack+150931,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1238424,int_stack+1215984,int_stack+1484436,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1538886,int_stack+1238424,int_stack+1504236,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1821586,int_stack+1538886,int_stack+1630956,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+434280,int_stack+1821586,int_stack+1681006,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1596636,int_stack+434280,int_stack+1745356,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1484436,int_stack+166826,int_stack+158411,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1698276,int_stack+1484436,int_stack+1215984,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1743156,int_stack+1698276,int_stack+1238424,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+524370,int_stack+1743156,int_stack+1538886,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+610995,int_stack+524370,int_stack+1821586,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1809156,int_stack+610995,int_stack+434280,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+1809156,int_stack+1596636,55);
 /*--- compute (m0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+434280,int_stack+176231,int_stack+166826,55);
 /*--- compute (m0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+462495,int_stack+434280,int_stack+1484436,55);
 /*--- compute (m0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1484436,int_stack+462495,int_stack+1698276,55);
 /*--- compute (m0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1559236,int_stack+1484436,int_stack+1743156,55);
 /*--- compute (m0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1658236,int_stack+1559236,int_stack+524370,55);
 /*--- compute (m0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1929276,int_stack+1658236,int_stack+610995,55);
 /*--- compute (m0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+512985,int_stack+1929276,int_stack+1809156,55);
 /*--- compute (m0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2069416,int_stack+512985,int_stack+0,55);
 /*--- compute (m0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+0,int_stack+186681,int_stack+176231,55);
 /*--- compute (m0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+31350,int_stack+0,int_stack+434280,55);
 /*--- compute (m0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+87780,int_stack+31350,int_stack+462495,55);
 /*--- compute (m0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+1779511,int_stack+87780,int_stack+1484436,55);
 /*--- compute (m0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+2232766,int_stack+1779511,int_stack+1559236,55);
 /*--- compute (m0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1484436,int_stack+2232766,int_stack+1658236,55);
 /*--- compute (m0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+2371366,int_stack+1484436,int_stack+1929276,55);
 /*--- compute (m0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+2551546,int_stack+2371366,int_stack+512985,55);
 /*--- compute (m0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+434280,int_stack+2551546,int_stack+2069416,55);
 /*--- compute (m0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+1646136,int_stack+198231,int_stack+186681,55);
 /*--- compute (m0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+1680786,int_stack+1646136,int_stack+0,55);
 /*--- compute (m0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+633930,int_stack+1680786,int_stack+31350,55);
 /*--- compute (m0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+1646136,int_stack+633930,int_stack+87780,55);
 /*--- compute (m0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+0,int_stack+1646136,int_stack+1779511,55);
 /*--- compute (m0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+1646136,int_stack+0,int_stack+2232766,55);
 /*--- compute (m0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+0,int_stack+1646136,int_stack+1484436,55);
 /*--- compute (m0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+1484436,int_stack+0,int_stack+2371366,55);
 /*--- compute (m0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+1709661,int_stack+1484436,int_stack+2551546,55);
 /*--- compute (m0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+1945611,int_stack+1709661,int_stack+434280,55);
 /*--- compute (lp|nn) ---*/
 hrr1_build_lp(Libint->AB,int_stack+2185191,int_stack+1945611,int_stack+1288416,4356);
 /*--- compute (kd|nn) ---*/
 hrr1_build_kd(Libint->AB,int_stack+2773251,int_stack+2185191,int_stack+745536,4356);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+434280,int_stack+215292,int_stack+210936,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+447348,int_stack+220440,int_stack+215292,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+462792,int_stack+447348,int_stack+434280,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+488928,int_stack+226446,int_stack+220440,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+506946,int_stack+488928,int_stack+447348,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+537834,int_stack+506946,int_stack+462792,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+434280,int_stack+233376,int_stack+226446,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+581394,int_stack+434280,int_stack+488928,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+455070,int_stack+581394,int_stack+506946,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+617430,int_stack+455070,int_stack+537834,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+506550,int_stack+241296,int_stack+233376,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+530310,int_stack+506550,int_stack+434280,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+682770,int_stack+530310,int_stack+581394,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+742830,int_stack+682770,int_stack+455070,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+820050,int_stack+742830,int_stack+617430,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+434280,int_stack+250272,int_stack+241296,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+571890,int_stack+434280,int_stack+506550,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+911526,int_stack+571890,int_stack+530310,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+461208,int_stack+911526,int_stack+682770,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+619410,int_stack+461208,int_stack+742830,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+980826,int_stack+619410,int_stack+820050,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+727518,int_stack+260370,int_stack+250272,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+757812,int_stack+727518,int_stack+434280,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+811668,int_stack+757812,int_stack+571890,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1102794,int_stack+811668,int_stack+911526,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1206744,int_stack+1102794,int_stack+461208,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+434280,int_stack+1206744,int_stack+619410,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1332870,int_stack+434280,int_stack+980826,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+578424,int_stack+271656,int_stack+260370,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+612282,int_stack+578424,int_stack+727518,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+890868,int_stack+612282,int_stack+757812,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+672870,int_stack+890868,int_stack+811668,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1489686,int_stack+672870,int_stack+1102794,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+980628,int_stack+1489686,int_stack+1206744,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1635216,int_stack+980628,int_stack+434280,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+0,int_stack+1635216,int_stack+1332870,66);
 /*--- compute (n0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+434280,int_stack+284196,int_stack+271656,66);
 /*--- compute (n0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+471900,int_stack+434280,int_stack+578424,66);
 /*--- compute (n0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+1148796,int_stack+471900,int_stack+612282,66);
 /*--- compute (n0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+1249776,int_stack+1148796,int_stack+890868,66);
 /*--- compute (n0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+791670,int_stack+1249776,int_stack+672870,66);
 /*--- compute (n0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+539616,int_stack+791670,int_stack+1489686,66);
 /*--- compute (n0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+1384416,int_stack+539616,int_stack+980628,66);
 /*--- compute (n0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+3714147,int_stack+1384416,int_stack+1635216,66);
 /*--- compute (n0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+1600632,int_stack+3714147,int_stack+0,66);
 /*--- compute (n0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+0,int_stack+298056,int_stack+284196,66);
 /*--- compute (n0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+41580,int_stack+0,int_stack+434280,66);
 /*--- compute (n0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+116820,int_stack+41580,int_stack+471900,66);
 /*--- compute (n0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+957990,int_stack+116820,int_stack+1148796,66);
 /*--- compute (n0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+0,int_stack+957990,int_stack+1249776,66);
 /*--- compute (n0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+957990,int_stack+0,int_stack+791670,66);
 /*--- compute (n0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+0,int_stack+957990,int_stack+539616,66);
 /*--- compute (n0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+434280,int_stack+0,int_stack+1384416,66);
 /*--- compute (n0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+0,int_stack+434280,int_stack+3714147,66);
 /*--- compute (n0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+434280,int_stack+0,int_stack+1600632,66);
 /*--- compute (mp|nn) ---*/
 hrr1_build_mp(Libint->AB,int_stack+721776,int_stack+434280,int_stack+1945611,4356);
 /*--- compute (ld|nn) ---*/
 hrr1_build_ld(Libint->AB,int_stack+3714147,int_stack+721776,int_stack+2185191,4356);
 /*--- compute (kf|nn) ---*/
 hrr1_build_kf(Libint->AB,int_stack+4890267,int_stack+3714147,int_stack+2773251,4356);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+318450,int_stack+313302,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+15444,int_stack+324534,int_stack+318450,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+33696,int_stack+15444,int_stack+0,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+64584,int_stack+331632,int_stack+324534,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+85878,int_stack+64584,int_stack+15444,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+122382,int_stack+85878,int_stack+33696,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+339822,int_stack+331632,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+173862,int_stack+0,int_stack+64584,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+24570,int_stack+173862,int_stack+85878,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+216450,int_stack+24570,int_stack+122382,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+85410,int_stack+349182,int_stack+339822,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+113490,int_stack+85410,int_stack+0,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1440516,int_stack+113490,int_stack+173862,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1511496,int_stack+1440516,int_stack+24570,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1602756,int_stack+1511496,int_stack+216450,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+359790,int_stack+349182,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+162630,int_stack+0,int_stack+85410,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+218790,int_stack+162630,int_stack+113490,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+31824,int_stack+218790,int_stack+1440516,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1710864,int_stack+31824,int_stack+1511496,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1440516,int_stack+1710864,int_stack+1602756,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1584660,int_stack+371724,int_stack+359790,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1620462,int_stack+1584660,int_stack+0,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1838628,int_stack+1620462,int_stack+162630,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1932228,int_stack+1838628,int_stack+218790,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+138294,int_stack+1932228,int_stack+31824,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+2055078,int_stack+138294,int_stack+1710864,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2225430,int_stack+2055078,int_stack+1440516,78);
 /*--- compute (o0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1440516,int_stack+385062,int_stack+371724,78);
 /*--- compute (o0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1480530,int_stack+1440516,int_stack+1584660,78);
 /*--- compute (o0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+0,int_stack+1480530,int_stack+1620462,78);
 /*--- compute (o0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1552134,int_stack+0,int_stack+1838628,78);
 /*--- compute (o0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1692534,int_stack+1552134,int_stack+1932228,78);
 /*--- compute (o0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2410758,int_stack+1692534,int_stack+138294,78);
 /*--- compute (o0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+106080,int_stack+2410758,int_stack+2055078,78);
 /*--- compute (o0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1864524,int_stack+106080,int_stack+2225430,78);
 /*--- compute (o0|xp) ---*/
 hrr3_build_xp(Libint->CD,int_stack+2096184,int_stack+399882,int_stack+385062,78);
 /*--- compute (o0|wd) ---*/
 hrr3_build_wd(Libint->CD,int_stack+2140644,int_stack+2096184,int_stack+1440516,78);
 /*--- compute (o0|vf) ---*/
 hrr3_build_vf(Libint->CD,int_stack+2220672,int_stack+2140644,int_stack+1480530,78);
 /*--- compute (o0|ug) ---*/
 hrr3_build_ug(Libint->CD,int_stack+2609502,int_stack+2220672,int_stack+0,78);
 /*--- compute (o0|th) ---*/
 hrr3_build_th(Libint->CD,int_stack+2768622,int_stack+2609502,int_stack+1552134,78);
 /*--- compute (o0|ri) ---*/
 hrr3_build_ri(Libint->CD,int_stack+1440516,int_stack+2768622,int_stack+1692534,78);
 /*--- compute (o0|qk) ---*/
 hrr3_build_qk(Libint->CD,int_stack+2965182,int_stack+1440516,int_stack+2410758,78);
 /*--- compute (o0|ol) ---*/
 hrr3_build_ol(Libint->CD,int_stack+3220710,int_stack+2965182,int_stack+106080,78);
 /*--- compute (o0|nm) ---*/
 hrr3_build_nm(Libint->CD,int_stack+0,int_stack+3220710,int_stack+1864524,78);
 /*--- compute (o0|yp) ---*/
 hrr3_build_yp(Libint->CD,int_stack+283140,int_stack+416262,int_stack+399882,78);
 /*--- compute (o0|xd) ---*/
 hrr3_build_xd(Libint->CD,int_stack+332280,int_stack+283140,int_stack+2096184,78);
 /*--- compute (o0|wf) ---*/
 hrr3_build_wf(Libint->CD,int_stack+1669836,int_stack+332280,int_stack+2140644,78);
 /*--- compute (o0|vg) ---*/
 hrr3_build_vg(Libint->CD,int_stack+1803216,int_stack+1669836,int_stack+2220672,78);
 /*--- compute (o0|uh) ---*/
 hrr3_build_uh(Libint->CD,int_stack+1982226,int_stack+1803216,int_stack+2609502,78);
 /*--- compute (o0|ti) ---*/
 hrr3_build_ti(Libint->CD,int_stack+1669836,int_stack+1982226,int_stack+2768622,78);
 /*--- compute (o0|rk) ---*/
 hrr3_build_rk(Libint->CD,int_stack+1931916,int_stack+1669836,int_stack+1440516,78);
 /*--- compute (o0|ql) ---*/
 hrr3_build_ql(Libint->CD,int_stack+1440516,int_stack+1931916,int_stack+2965182,78);
 /*--- compute (o0|om) ---*/
 hrr3_build_om(Libint->CD,int_stack+1759926,int_stack+1440516,int_stack+3220710,78);
 /*--- compute (o0|nn) ---*/
 hrr3_build_nn(Libint->CD,int_stack+2094546,int_stack+1759926,int_stack+0,78);
 /*--- compute (np|nn) ---*/
 hrr1_build_np(Libint->AB,int_stack+2434314,int_stack+2094546,int_stack+434280,4356);
 /*--- compute (md|nn) ---*/
 hrr1_build_md(Libint->AB,int_stack+6458427,int_stack+2434314,int_stack+721776,4356);
 /*--- compute (lf|nn) ---*/
 hrr1_build_lf(Libint->AB,int_stack+0,int_stack+6458427,int_stack+3714147,4356);
 /*--- compute (kg|nn) ---*/
 hrr1_build_kg(Libint->AB,int_stack+1960200,int_stack+0,int_stack+4890267,4356);
 return int_stack+1960200;}
