#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_l0nd(Libint_t*, prim_data*);

  /* Computes quartets of (l0|nd) integrals */

REALTYPE *hrr_order_l0nd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][10] = int_stack + 0;
 Libint->vrr_classes[8][11] = int_stack + 2970;
 Libint->vrr_classes[8][12] = int_stack + 6480;
 memset(int_stack,0,10575*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 10575;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_l0nd(Libint, Data);
   Data++;
 }
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+10575,int_stack+2970,int_stack+0,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+19485,int_stack+6480,int_stack+2970,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+30015,int_stack+19485,int_stack+10575,45);
 return int_stack+30015;}
