#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ldih(Libint_t*, prim_data*);

  /* Computes quartets of (ld|ih) integrals */

REALTYPE *hrr_order_ldih(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][6] = int_stack + 0;
 Libint->vrr_classes[8][7] = int_stack + 1260;
 Libint->vrr_classes[8][8] = int_stack + 2880;
 Libint->vrr_classes[8][9] = int_stack + 4905;
 Libint->vrr_classes[8][10] = int_stack + 7380;
 Libint->vrr_classes[8][11] = int_stack + 10350;
 Libint->vrr_classes[9][6] = int_stack + 13860;
 Libint->vrr_classes[9][7] = int_stack + 15400;
 Libint->vrr_classes[9][8] = int_stack + 17380;
 Libint->vrr_classes[9][9] = int_stack + 19855;
 Libint->vrr_classes[9][10] = int_stack + 22880;
 Libint->vrr_classes[9][11] = int_stack + 26510;
 Libint->vrr_classes[10][6] = int_stack + 30800;
 Libint->vrr_classes[10][7] = int_stack + 32648;
 Libint->vrr_classes[10][8] = int_stack + 35024;
 Libint->vrr_classes[10][9] = int_stack + 37994;
 Libint->vrr_classes[10][10] = int_stack + 41624;
 Libint->vrr_classes[10][11] = int_stack + 45980;
 memset(int_stack,0,51128*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 51128;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ldih(Libint, Data);
   Data++;
 }
 /*--- compute (l0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+51128,int_stack+1260,int_stack+0,45);
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+54908,int_stack+2880,int_stack+1260,45);
 /*--- compute (l0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+59768,int_stack+54908,int_stack+51128,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+67328,int_stack+4905,int_stack+2880,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+73403,int_stack+67328,int_stack+54908,45);
 /*--- compute (l0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+83123,int_stack+73403,int_stack+59768,45);
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+51128,int_stack+7380,int_stack+4905,45);
 /*--- compute (l0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+95723,int_stack+51128,int_stack+67328,45);
 /*--- compute (l0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+107873,int_stack+95723,int_stack+73403,45);
 /*--- compute (l0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+58553,int_stack+107873,int_stack+83123,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+77453,int_stack+10350,int_stack+7380,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+124073,int_stack+77453,int_stack+51128,45);
 /*--- compute (l0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+138923,int_stack+124073,int_stack+95723,45);
 /*--- compute (l0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+77453,int_stack+138923,int_stack+107873,45);
 /*--- compute (l0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+101753,int_stack+77453,int_stack+58553,45);
 /*--- compute (m0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+51128,int_stack+15400,int_stack+13860,55);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+55748,int_stack+17380,int_stack+15400,55);
 /*--- compute (m0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+61688,int_stack+55748,int_stack+51128,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+70928,int_stack+19855,int_stack+17380,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+78353,int_stack+70928,int_stack+55748,55);
 /*--- compute (m0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+128213,int_stack+78353,int_stack+61688,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+51128,int_stack+22880,int_stack+19855,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+143613,int_stack+51128,int_stack+70928,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+0,int_stack+143613,int_stack+78353,55);
 /*--- compute (m0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+60203,int_stack+0,int_stack+128213,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+128213,int_stack+26510,int_stack+22880,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+83303,int_stack+128213,int_stack+51128,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+158463,int_stack+83303,int_stack+143613,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+128213,int_stack+158463,int_stack+0,55);
 /*--- compute (m0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+157913,int_stack+128213,int_stack+60203,55);
 /*--- compute (lp|ih) ---*/
 hrr1_build_lp(Libint->AB,int_stack+190253,int_stack+157913,int_stack+101753,588);
 /*--- compute (n0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+0,int_stack+32648,int_stack+30800,66);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+5544,int_stack+35024,int_stack+32648,66);
 /*--- compute (n0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+12672,int_stack+5544,int_stack+0,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+23760,int_stack+37994,int_stack+35024,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+51128,int_stack+23760,int_stack+5544,66);
 /*--- compute (n0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+65384,int_stack+51128,int_stack+12672,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+41624,int_stack+37994,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+83864,int_stack+0,int_stack+23760,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+10890,int_stack+83864,int_stack+51128,66);
 /*--- compute (n0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+101684,int_stack+10890,int_stack+65384,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+51128,int_stack+45980,int_stack+41624,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+129404,int_stack+51128,int_stack+0,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+34650,int_stack+129404,int_stack+83864,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+64350,int_stack+34650,int_stack+10890,66);
 /*--- compute (n0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+0,int_stack+64350,int_stack+101684,66);
 /*--- compute (mp|ih) ---*/
 hrr1_build_mp(Libint->AB,int_stack+38808,int_stack+0,int_stack+157913,588);
 /*--- compute (ld|ih) ---*/
 hrr1_build_ld(Libint->AB,int_stack+269633,int_stack+38808,int_stack+190253,588);
 return int_stack+269633;}
