#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_ldmi(Libint_t*, prim_data*);

  /* Computes quartets of (ld|mi) integrals */

REALTYPE *hrr_order_ldmi(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][9] = int_stack + 0;
 Libint->vrr_classes[8][10] = int_stack + 2475;
 Libint->vrr_classes[8][11] = int_stack + 5445;
 Libint->vrr_classes[8][12] = int_stack + 8955;
 Libint->vrr_classes[8][13] = int_stack + 13050;
 Libint->vrr_classes[8][14] = int_stack + 17775;
 Libint->vrr_classes[8][15] = int_stack + 23175;
 Libint->vrr_classes[9][9] = int_stack + 29295;
 Libint->vrr_classes[9][10] = int_stack + 32320;
 Libint->vrr_classes[9][11] = int_stack + 35950;
 Libint->vrr_classes[9][12] = int_stack + 40240;
 Libint->vrr_classes[9][13] = int_stack + 45245;
 Libint->vrr_classes[9][14] = int_stack + 51020;
 Libint->vrr_classes[9][15] = int_stack + 57620;
 Libint->vrr_classes[10][9] = int_stack + 65100;
 Libint->vrr_classes[10][10] = int_stack + 68730;
 Libint->vrr_classes[10][11] = int_stack + 73086;
 Libint->vrr_classes[10][12] = int_stack + 78234;
 Libint->vrr_classes[10][13] = int_stack + 84240;
 Libint->vrr_classes[10][14] = int_stack + 91170;
 Libint->vrr_classes[10][15] = int_stack + 99090;
 memset(int_stack,0,108066*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 108066;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_ldmi(Libint, Data);
   Data++;
 }
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+108066,int_stack+2475,int_stack+0,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+115491,int_stack+5445,int_stack+2475,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+124401,int_stack+115491,int_stack+108066,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+139251,int_stack+8955,int_stack+5445,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+149781,int_stack+139251,int_stack+115491,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+167601,int_stack+149781,int_stack+124401,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+108066,int_stack+13050,int_stack+8955,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+192351,int_stack+108066,int_stack+139251,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+213411,int_stack+192351,int_stack+149781,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+120351,int_stack+213411,int_stack+167601,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+157476,int_stack+17775,int_stack+13050,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+243111,int_stack+157476,int_stack+108066,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+267681,int_stack+243111,int_stack+192351,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+302781,int_stack+267681,int_stack+213411,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+171651,int_stack+302781,int_stack+120351,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+108066,int_stack+23175,int_stack+17775,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+124266,int_stack+108066,int_stack+157476,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+347331,int_stack+124266,int_stack+243111,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+108066,int_stack+347331,int_stack+267681,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+223626,int_stack+108066,int_stack+302781,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+285996,int_stack+223626,int_stack+171651,45);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+108066,int_stack+32320,int_stack+29295,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+117141,int_stack+35950,int_stack+32320,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+128031,int_stack+117141,int_stack+108066,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+146181,int_stack+40240,int_stack+35950,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+159051,int_stack+146181,int_stack+117141,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+180831,int_stack+159051,int_stack+128031,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+108066,int_stack+45245,int_stack+40240,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+211081,int_stack+108066,int_stack+146181,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+236821,int_stack+211081,int_stack+159051,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+123081,int_stack+236821,int_stack+180831,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+168456,int_stack+51020,int_stack+45245,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+355296,int_stack+168456,int_stack+108066,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+355296,int_stack+211081,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+385326,int_stack+0,int_stack+236821,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+185781,int_stack+385326,int_stack+123081,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+108066,int_stack+57620,int_stack+51020,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+127866,int_stack+108066,int_stack+168456,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+439776,int_stack+127866,int_stack+355296,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+108066,int_stack+439776,int_stack+0,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+439776,int_stack+108066,int_stack+385326,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+516006,int_stack+439776,int_stack+185781,55);
 /*--- compute (lp|mi) ---*/
 hrr1_build_lp(Libint->AB,int_stack+600706,int_stack+516006,int_stack+285996,1540);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+108066,int_stack+68730,int_stack+65100,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+118956,int_stack+73086,int_stack+68730,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+132024,int_stack+118956,int_stack+108066,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+153804,int_stack+78234,int_stack+73086,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+169248,int_stack+153804,int_stack+118956,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+195384,int_stack+169248,int_stack+132024,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+108066,int_stack+84240,int_stack+78234,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+231684,int_stack+108066,int_stack+153804,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+262572,int_stack+231684,int_stack+169248,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+126084,int_stack+262572,int_stack+195384,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+180534,int_stack+91170,int_stack+84240,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+306132,int_stack+180534,int_stack+108066,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+342168,int_stack+306132,int_stack+231684,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+393648,int_stack+342168,int_stack+262572,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+201324,int_stack+393648,int_stack+126084,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+108066,int_stack+99090,int_stack+91170,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+131826,int_stack+108066,int_stack+180534,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+131826,int_stack+306132,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+60060,int_stack+0,int_stack+342168,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+277554,int_stack+60060,int_stack+393648,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+277554,int_stack+201324,66);
 /*--- compute (mp|mi) ---*/
 hrr1_build_mp(Libint->AB,int_stack+101640,int_stack+0,int_stack+516006,1540);
 /*--- compute (ld|mi) ---*/
 hrr1_build_ld(Libint->AB,int_stack+808606,int_stack+101640,int_stack+600706,1540);
 return int_stack+808606;}
