#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lgmi(Libint_t*, prim_data*);

  /* Computes quartets of (lg|mi) integrals */

REALTYPE *hrr_order_lgmi(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][9] = int_stack + 0;
 Libint->vrr_classes[8][10] = int_stack + 2475;
 Libint->vrr_classes[8][11] = int_stack + 5445;
 Libint->vrr_classes[8][12] = int_stack + 8955;
 Libint->vrr_classes[8][13] = int_stack + 13050;
 Libint->vrr_classes[8][14] = int_stack + 17775;
 Libint->vrr_classes[8][15] = int_stack + 23175;
 Libint->vrr_classes[9][9] = int_stack + 29295;
 Libint->vrr_classes[9][10] = int_stack + 32320;
 Libint->vrr_classes[9][11] = int_stack + 35950;
 Libint->vrr_classes[9][12] = int_stack + 40240;
 Libint->vrr_classes[9][13] = int_stack + 45245;
 Libint->vrr_classes[9][14] = int_stack + 51020;
 Libint->vrr_classes[9][15] = int_stack + 57620;
 Libint->vrr_classes[10][9] = int_stack + 65100;
 Libint->vrr_classes[10][10] = int_stack + 68730;
 Libint->vrr_classes[10][11] = int_stack + 73086;
 Libint->vrr_classes[10][12] = int_stack + 78234;
 Libint->vrr_classes[10][13] = int_stack + 84240;
 Libint->vrr_classes[10][14] = int_stack + 91170;
 Libint->vrr_classes[10][15] = int_stack + 99090;
 Libint->vrr_classes[11][9] = int_stack + 108066;
 Libint->vrr_classes[11][10] = int_stack + 112356;
 Libint->vrr_classes[11][11] = int_stack + 117504;
 Libint->vrr_classes[11][12] = int_stack + 123588;
 Libint->vrr_classes[11][13] = int_stack + 130686;
 Libint->vrr_classes[11][14] = int_stack + 138876;
 Libint->vrr_classes[11][15] = int_stack + 148236;
 Libint->vrr_classes[12][9] = int_stack + 158844;
 Libint->vrr_classes[12][10] = int_stack + 163849;
 Libint->vrr_classes[12][11] = int_stack + 169855;
 Libint->vrr_classes[12][12] = int_stack + 176953;
 Libint->vrr_classes[12][13] = int_stack + 185234;
 Libint->vrr_classes[12][14] = int_stack + 194789;
 Libint->vrr_classes[12][15] = int_stack + 205709;
 memset(int_stack,0,218085*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 218085;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lgmi(Libint, Data);
   Data++;
 }
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+218085,int_stack+2475,int_stack+0,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+225510,int_stack+5445,int_stack+2475,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+234420,int_stack+225510,int_stack+218085,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+249270,int_stack+8955,int_stack+5445,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+259800,int_stack+249270,int_stack+225510,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+277620,int_stack+259800,int_stack+234420,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+218085,int_stack+13050,int_stack+8955,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+302370,int_stack+218085,int_stack+249270,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+323430,int_stack+302370,int_stack+259800,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+230370,int_stack+323430,int_stack+277620,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+267495,int_stack+17775,int_stack+13050,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+353130,int_stack+267495,int_stack+218085,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+377700,int_stack+353130,int_stack+302370,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+412800,int_stack+377700,int_stack+323430,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+281670,int_stack+412800,int_stack+230370,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+218085,int_stack+23175,int_stack+17775,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+234285,int_stack+218085,int_stack+267495,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+457350,int_stack+234285,int_stack+353130,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+218085,int_stack+457350,int_stack+377700,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+333645,int_stack+218085,int_stack+412800,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+396015,int_stack+333645,int_stack+281670,45);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+218085,int_stack+32320,int_stack+29295,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+227160,int_stack+35950,int_stack+32320,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+238050,int_stack+227160,int_stack+218085,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+256200,int_stack+40240,int_stack+35950,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+269070,int_stack+256200,int_stack+227160,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+290850,int_stack+269070,int_stack+238050,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+218085,int_stack+45245,int_stack+40240,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+321100,int_stack+218085,int_stack+256200,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+346840,int_stack+321100,int_stack+269070,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+233100,int_stack+346840,int_stack+290850,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+278475,int_stack+51020,int_stack+45245,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+465315,int_stack+278475,int_stack+218085,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+0,int_stack+465315,int_stack+321100,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+495345,int_stack+0,int_stack+346840,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+295800,int_stack+495345,int_stack+233100,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+218085,int_stack+57620,int_stack+51020,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+237885,int_stack+218085,int_stack+278475,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+549795,int_stack+237885,int_stack+465315,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+218085,int_stack+549795,int_stack+0,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+549795,int_stack+218085,int_stack+495345,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+626025,int_stack+549795,int_stack+295800,55);
 /*--- compute (lp|mi) ---*/
 hrr1_build_lp(Libint->AB,int_stack+710725,int_stack+626025,int_stack+396015,1540);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+218085,int_stack+68730,int_stack+65100,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+228975,int_stack+73086,int_stack+68730,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+242043,int_stack+228975,int_stack+218085,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+263823,int_stack+78234,int_stack+73086,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+279267,int_stack+263823,int_stack+228975,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+305403,int_stack+279267,int_stack+242043,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+218085,int_stack+84240,int_stack+78234,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+341703,int_stack+218085,int_stack+263823,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+372591,int_stack+341703,int_stack+279267,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+236103,int_stack+372591,int_stack+305403,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+290553,int_stack+91170,int_stack+84240,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+416151,int_stack+290553,int_stack+218085,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+452187,int_stack+416151,int_stack+341703,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+503667,int_stack+452187,int_stack+372591,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+311343,int_stack+503667,int_stack+236103,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+218085,int_stack+99090,int_stack+91170,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+241845,int_stack+218085,int_stack+290553,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+241845,int_stack+416151,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+218085,int_stack+0,int_stack+452187,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+0,int_stack+218085,int_stack+503667,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+387573,int_stack+0,int_stack+311343,66);
 /*--- compute (mp|mi) ---*/
 hrr1_build_mp(Libint->AB,int_stack+918625,int_stack+387573,int_stack+626025,1540);
 /*--- compute (ld|mi) ---*/
 hrr1_build_ld(Libint->AB,int_stack+1172725,int_stack+918625,int_stack+710725,1540);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+112356,int_stack+108066,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+12870,int_stack+117504,int_stack+112356,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+28314,int_stack+12870,int_stack+0,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+54054,int_stack+123588,int_stack+117504,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+72306,int_stack+54054,int_stack+12870,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+218085,int_stack+72306,int_stack+28314,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+130686,int_stack+123588,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+260985,int_stack+0,int_stack+54054,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+297489,int_stack+260985,int_stack+72306,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+21294,int_stack+297489,int_stack+218085,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+218085,int_stack+138876,int_stack+130686,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+85644,int_stack+218085,int_stack+0,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+489213,int_stack+85644,int_stack+260985,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+550053,int_stack+489213,int_stack+297489,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+242655,int_stack+550053,int_stack+21294,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+0,int_stack+148236,int_stack+138876,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+28080,int_stack+0,int_stack+218085,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+627273,int_stack+28080,int_stack+85644,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+0,int_stack+627273,int_stack+489213,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+627273,int_stack+0,int_stack+550053,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+0,int_stack+627273,int_stack+242655,78);
 /*--- compute (np|mi) ---*/
 hrr1_build_np(Libint->AB,int_stack+489213,int_stack+0,int_stack+387573,1540);
 /*--- compute (md|mi) ---*/
 hrr1_build_md(Libint->AB,int_stack+1588525,int_stack+489213,int_stack+918625,1540);
 /*--- compute (lf|mi) ---*/
 hrr1_build_lf(Libint->AB,int_stack+2096725,int_stack+1588525,int_stack+1172725,1540);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+120120,int_stack+163849,int_stack+158844,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+135135,int_stack+169855,int_stack+163849,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+794133,int_stack+135135,int_stack+120120,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+824163,int_stack+176953,int_stack+169855,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+845457,int_stack+824163,int_stack+135135,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+120120,int_stack+845457,int_stack+794133,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+794133,int_stack+185234,int_stack+176953,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+881493,int_stack+794133,int_stack+824163,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+924081,int_stack+881493,int_stack+845457,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+984141,int_stack+924081,int_stack+120120,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+120120,int_stack+194789,int_stack+185234,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+818976,int_stack+120120,int_stack+794133,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1059216,int_stack+818976,int_stack+881493,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1130196,int_stack+1059216,int_stack+924081,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+868662,int_stack+1130196,int_stack+984141,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+148785,int_stack+205709,int_stack+194789,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+181545,int_stack+148785,int_stack+120120,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+238875,int_stack+181545,int_stack+818976,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+120120,int_stack+238875,int_stack+1059216,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+226590,int_stack+120120,int_stack+1130196,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+973767,int_stack+226590,int_stack+868662,91);
 /*--- compute (op|mi) ---*/
 hrr1_build_op(Libint->AB,int_stack+120120,int_stack+973767,int_stack+0,1540);
 /*--- compute (nd|mi) ---*/
 hrr1_build_nd(Libint->AB,int_stack+794133,int_stack+120120,int_stack+489213,1540);
 /*--- compute (mf|mi) ---*/
 hrr1_build_mf(Libint->AB,int_stack+2789725,int_stack+794133,int_stack+1588525,1540);
 /*--- compute (lg|mi) ---*/
 hrr1_build_lg(Libint->AB,int_stack+0,int_stack+2789725,int_stack+2096725,1540);
 return int_stack+0;}
