#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_limm(Libint_t*, prim_data*);

  /* Computes quartets of (li|mm) integrals */

REALTYPE *hrr_order_limm(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][9] = int_stack + 0;
 Libint->vrr_classes[8][10] = int_stack + 2475;
 Libint->vrr_classes[8][11] = int_stack + 5445;
 Libint->vrr_classes[8][12] = int_stack + 8955;
 Libint->vrr_classes[8][13] = int_stack + 13050;
 Libint->vrr_classes[8][14] = int_stack + 17775;
 Libint->vrr_classes[8][15] = int_stack + 23175;
 Libint->vrr_classes[8][16] = int_stack + 29295;
 Libint->vrr_classes[8][17] = int_stack + 36180;
 Libint->vrr_classes[8][18] = int_stack + 43875;
 Libint->vrr_classes[9][9] = int_stack + 52425;
 Libint->vrr_classes[9][10] = int_stack + 55450;
 Libint->vrr_classes[9][11] = int_stack + 59080;
 Libint->vrr_classes[9][12] = int_stack + 63370;
 Libint->vrr_classes[9][13] = int_stack + 68375;
 Libint->vrr_classes[9][14] = int_stack + 74150;
 Libint->vrr_classes[9][15] = int_stack + 80750;
 Libint->vrr_classes[9][16] = int_stack + 88230;
 Libint->vrr_classes[9][17] = int_stack + 96645;
 Libint->vrr_classes[9][18] = int_stack + 106050;
 Libint->vrr_classes[10][9] = int_stack + 116500;
 Libint->vrr_classes[10][10] = int_stack + 120130;
 Libint->vrr_classes[10][11] = int_stack + 124486;
 Libint->vrr_classes[10][12] = int_stack + 129634;
 Libint->vrr_classes[10][13] = int_stack + 135640;
 Libint->vrr_classes[10][14] = int_stack + 142570;
 Libint->vrr_classes[10][15] = int_stack + 150490;
 Libint->vrr_classes[10][16] = int_stack + 159466;
 Libint->vrr_classes[10][17] = int_stack + 169564;
 Libint->vrr_classes[10][18] = int_stack + 180850;
 Libint->vrr_classes[11][9] = int_stack + 193390;
 Libint->vrr_classes[11][10] = int_stack + 197680;
 Libint->vrr_classes[11][11] = int_stack + 202828;
 Libint->vrr_classes[11][12] = int_stack + 208912;
 Libint->vrr_classes[11][13] = int_stack + 216010;
 Libint->vrr_classes[11][14] = int_stack + 224200;
 Libint->vrr_classes[11][15] = int_stack + 233560;
 Libint->vrr_classes[11][16] = int_stack + 244168;
 Libint->vrr_classes[11][17] = int_stack + 256102;
 Libint->vrr_classes[11][18] = int_stack + 269440;
 Libint->vrr_classes[12][9] = int_stack + 284260;
 Libint->vrr_classes[12][10] = int_stack + 289265;
 Libint->vrr_classes[12][11] = int_stack + 295271;
 Libint->vrr_classes[12][12] = int_stack + 302369;
 Libint->vrr_classes[12][13] = int_stack + 310650;
 Libint->vrr_classes[12][14] = int_stack + 320205;
 Libint->vrr_classes[12][15] = int_stack + 331125;
 Libint->vrr_classes[12][16] = int_stack + 343501;
 Libint->vrr_classes[12][17] = int_stack + 357424;
 Libint->vrr_classes[12][18] = int_stack + 372985;
 Libint->vrr_classes[13][9] = int_stack + 390275;
 Libint->vrr_classes[13][10] = int_stack + 396050;
 Libint->vrr_classes[13][11] = int_stack + 402980;
 Libint->vrr_classes[13][12] = int_stack + 411170;
 Libint->vrr_classes[13][13] = int_stack + 420725;
 Libint->vrr_classes[13][14] = int_stack + 431750;
 Libint->vrr_classes[13][15] = int_stack + 444350;
 Libint->vrr_classes[13][16] = int_stack + 458630;
 Libint->vrr_classes[13][17] = int_stack + 474695;
 Libint->vrr_classes[13][18] = int_stack + 492650;
 Libint->vrr_classes[14][9] = int_stack + 512600;
 Libint->vrr_classes[14][10] = int_stack + 519200;
 Libint->vrr_classes[14][11] = int_stack + 527120;
 Libint->vrr_classes[14][12] = int_stack + 536480;
 Libint->vrr_classes[14][13] = int_stack + 547400;
 Libint->vrr_classes[14][14] = int_stack + 560000;
 Libint->vrr_classes[14][15] = int_stack + 574400;
 Libint->vrr_classes[14][16] = int_stack + 590720;
 Libint->vrr_classes[14][17] = int_stack + 609080;
 Libint->vrr_classes[14][18] = int_stack + 629600;
 memset(int_stack,0,652400*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 652400;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_limm(Libint, Data);
   Data++;
 }
 /*--- compute (l0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+652400,int_stack+2475,int_stack+0,45);
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+659825,int_stack+5445,int_stack+2475,45);
 /*--- compute (l0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+668735,int_stack+659825,int_stack+652400,45);
 /*--- compute (l0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+683585,int_stack+8955,int_stack+5445,45);
 /*--- compute (l0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+694115,int_stack+683585,int_stack+659825,45);
 /*--- compute (l0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+711935,int_stack+694115,int_stack+668735,45);
 /*--- compute (l0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+652400,int_stack+13050,int_stack+8955,45);
 /*--- compute (l0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+736685,int_stack+652400,int_stack+683585,45);
 /*--- compute (l0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+757745,int_stack+736685,int_stack+694115,45);
 /*--- compute (l0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+664685,int_stack+757745,int_stack+711935,45);
 /*--- compute (l0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+701810,int_stack+17775,int_stack+13050,45);
 /*--- compute (l0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+787445,int_stack+701810,int_stack+652400,45);
 /*--- compute (l0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+812015,int_stack+787445,int_stack+736685,45);
 /*--- compute (l0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+847115,int_stack+812015,int_stack+757745,45);
 /*--- compute (l0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+715985,int_stack+847115,int_stack+664685,45);
 /*--- compute (l0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+652400,int_stack+23175,int_stack+17775,45);
 /*--- compute (l0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+668600,int_stack+652400,int_stack+701810,45);
 /*--- compute (l0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+891665,int_stack+668600,int_stack+787445,45);
 /*--- compute (l0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+932615,int_stack+891665,int_stack+812015,45);
 /*--- compute (l0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+767960,int_stack+932615,int_stack+847115,45);
 /*--- compute (l0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+985265,int_stack+767960,int_stack+715985,45);
 /*--- compute (l0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+696950,int_stack+29295,int_stack+23175,45);
 /*--- compute (l0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+715310,int_stack+696950,int_stack+652400,45);
 /*--- compute (l0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+830330,int_stack+715310,int_stack+668600,45);
 /*--- compute (l0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1054565,int_stack+830330,int_stack+891665,45);
 /*--- compute (l0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1115990,int_stack+1054565,int_stack+932615,45);
 /*--- compute (l0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+877580,int_stack+1115990,int_stack+767960,45);
 /*--- compute (l0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1189700,int_stack+877580,int_stack+985265,45);
 /*--- compute (l0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+652400,int_stack+36180,int_stack+29295,45);
 /*--- compute (l0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+747710,int_stack+652400,int_stack+696950,45);
 /*--- compute (l0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+960740,int_stack+747710,int_stack+715310,45);
 /*--- compute (l0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+673055,int_stack+960740,int_stack+830330,45);
 /*--- compute (l0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+784430,int_stack+673055,int_stack+1054565,45);
 /*--- compute (l0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1014740,int_stack+784430,int_stack+1115990,45);
 /*--- compute (l0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1278800,int_stack+1014740,int_stack+877580,45);
 /*--- compute (l0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+1385720,int_stack+1278800,int_stack+1189700,45);
 /*--- compute (l0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+870425,int_stack+43875,int_stack+36180,45);
 /*--- compute (l0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+893510,int_stack+870425,int_stack+652400,45);
 /*--- compute (l0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1113020,int_stack+893510,int_stack+747710,45);
 /*--- compute (l0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+870425,int_stack+1113020,int_stack+960740,45);
 /*--- compute (l0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1113020,int_stack+870425,int_stack+673055,45);
 /*--- compute (l0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+870425,int_stack+1113020,int_stack+784430,45);
 /*--- compute (l0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1113020,int_stack+870425,int_stack+1014740,45);
 /*--- compute (l0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+652400,int_stack+1113020,int_stack+1278800,45);
 /*--- compute (l0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+786050,int_stack+652400,int_stack+1385720,45);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+652400,int_stack+55450,int_stack+52425,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+661475,int_stack+59080,int_stack+55450,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+672365,int_stack+661475,int_stack+652400,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+690515,int_stack+63370,int_stack+59080,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+703385,int_stack+690515,int_stack+661475,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+725165,int_stack+703385,int_stack+672365,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+652400,int_stack+68375,int_stack+63370,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+755415,int_stack+652400,int_stack+690515,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+922175,int_stack+755415,int_stack+703385,55);
 /*--- compute (m0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+667415,int_stack+922175,int_stack+725165,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+712790,int_stack+74150,int_stack+68375,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+958475,int_stack+712790,int_stack+652400,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+988505,int_stack+958475,int_stack+755415,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+730115,int_stack+988505,int_stack+922175,55);
 /*--- compute (m0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1031405,int_stack+730115,int_stack+667415,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+922175,int_stack+80750,int_stack+74150,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+652400,int_stack+922175,int_stack+712790,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1094930,int_stack+652400,int_stack+958475,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1144980,int_stack+1094930,int_stack+988505,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+941975,int_stack+1144980,int_stack+730115,55);
 /*--- compute (m0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+687050,int_stack+941975,int_stack+1031405,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1018205,int_stack+88230,int_stack+80750,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1040645,int_stack+1018205,int_stack+922175,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1209330,int_stack+1040645,int_stack+652400,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1267080,int_stack+1209330,int_stack+1094930,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1342155,int_stack+1267080,int_stack+1144980,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1080245,int_stack+1342155,int_stack+941975,55);
 /*--- compute (m0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1432245,int_stack+1080245,int_stack+687050,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+652400,int_stack+96645,int_stack+88230,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+677645,int_stack+652400,int_stack+1018205,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+922175,int_stack+677645,int_stack+1040645,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+988175,int_stack+922175,int_stack+1209330,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1541145,int_stack+988175,int_stack+1267080,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1181885,int_stack+1541145,int_stack+1342155,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1646250,int_stack+1181885,int_stack+1080245,55);
 /*--- compute (m0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+1776930,int_stack+1646250,int_stack+1432245,55);
 /*--- compute (m0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+722525,int_stack+106050,int_stack+96645,55);
 /*--- compute (m0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1074800,int_stack+722525,int_stack+652400,55);
 /*--- compute (m0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1302005,int_stack+1074800,int_stack+677645,55);
 /*--- compute (m0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1074800,int_stack+1302005,int_stack+922175,55);
 /*--- compute (m0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1302005,int_stack+1074800,int_stack+988175,55);
 /*--- compute (m0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+922175,int_stack+1302005,int_stack+1541145,55);
 /*--- compute (m0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1302005,int_stack+922175,int_stack+1181885,55);
 /*--- compute (m0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+922175,int_stack+1302005,int_stack+1646250,55);
 /*--- compute (m0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+1085525,int_stack+922175,int_stack+1776930,55);
 /*--- compute (lp|mm) ---*/
 hrr1_build_lp(Libint->AB,int_stack+1251900,int_stack+1085525,int_stack+786050,3025);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+1660275,int_stack+120130,int_stack+116500,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+1671165,int_stack+124486,int_stack+120130,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+1684233,int_stack+1671165,int_stack+1660275,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+1706013,int_stack+129634,int_stack+124486,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1721457,int_stack+1706013,int_stack+1671165,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+1747593,int_stack+1721457,int_stack+1684233,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1660275,int_stack+135640,int_stack+129634,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1783893,int_stack+1660275,int_stack+1706013,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1814781,int_stack+1783893,int_stack+1721457,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+1678293,int_stack+1814781,int_stack+1747593,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1732743,int_stack+142570,int_stack+135640,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1858341,int_stack+1732743,int_stack+1660275,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+652400,int_stack+1858341,int_stack+1783893,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+703880,int_stack+652400,int_stack+1814781,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1753533,int_stack+703880,int_stack+1678293,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1660275,int_stack+150490,int_stack+142570,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1684035,int_stack+1660275,int_stack+1732743,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+769220,int_stack+1684035,int_stack+1858341,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1829763,int_stack+769220,int_stack+652400,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+829280,int_stack+1829763,int_stack+703880,66);
 /*--- compute (n0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+652400,int_stack+829280,int_stack+1753533,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1725615,int_stack+159466,int_stack+150490,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1752543,int_stack+1725615,int_stack+1660275,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+920756,int_stack+1752543,int_stack+1684035,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+990056,int_stack+920756,int_stack+769220,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+0,int_stack+990056,int_stack+1829763,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1800063,int_stack+0,int_stack+829280,66);
 /*--- compute (n0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+754040,int_stack+1800063,int_stack+652400,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+652400,int_stack+169564,int_stack+159466,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+682694,int_stack+652400,int_stack+1725615,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1660275,int_stack+682694,int_stack+1752543,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1922031,int_stack+1660275,int_stack+920756,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2025981,int_stack+1922031,int_stack+990056,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+884720,int_stack+2025981,int_stack+0,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+884720,int_stack+1800063,66);
 /*--- compute (n0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+1739475,int_stack+0,int_stack+754040,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+736550,int_stack+180850,int_stack+169564,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+770408,int_stack+736550,int_stack+652400,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2152107,int_stack+770408,int_stack+682694,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+652400,int_stack+2152107,int_stack+1660275,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2152107,int_stack+652400,int_stack+1922031,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+652400,int_stack+2152107,int_stack+2025981,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1902825,int_stack+652400,int_stack+884720,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+652400,int_stack+1902825,int_stack+0,66);
 /*--- compute (n0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+1902825,int_stack+652400,int_stack+1739475,66);
 /*--- compute (mp|mm) ---*/
 hrr1_build_mp(Libint->AB,int_stack+2102475,int_stack+1902825,int_stack+1085525,3025);
 /*--- compute (ld|mm) ---*/
 hrr1_build_ld(Libint->AB,int_stack+2601600,int_stack+2102475,int_stack+1251900,3025);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+652400,int_stack+197680,int_stack+193390,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+665270,int_stack+202828,int_stack+197680,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+680714,int_stack+665270,int_stack+652400,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+706454,int_stack+208912,int_stack+202828,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+724706,int_stack+706454,int_stack+665270,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+755594,int_stack+724706,int_stack+680714,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+652400,int_stack+216010,int_stack+208912,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+798494,int_stack+652400,int_stack+706454,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+834998,int_stack+798494,int_stack+724706,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+673694,int_stack+834998,int_stack+755594,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+738044,int_stack+224200,int_stack+216010,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+886478,int_stack+738044,int_stack+652400,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+929066,int_stack+886478,int_stack+798494,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+989906,int_stack+929066,int_stack+834998,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+762614,int_stack+989906,int_stack+673694,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+652400,int_stack+233560,int_stack+224200,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+680480,int_stack+652400,int_stack+738044,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1067126,int_stack+680480,int_stack+886478,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1138106,int_stack+1067126,int_stack+929066,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+852704,int_stack+1138106,int_stack+989906,78);
 /*--- compute (o0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1229366,int_stack+852704,int_stack+762614,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+729620,int_stack+244168,int_stack+233560,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+761444,int_stack+729620,int_stack+652400,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+960812,int_stack+761444,int_stack+680480,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1349486,int_stack+960812,int_stack+1067126,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1455956,int_stack+1349486,int_stack+1138106,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1042712,int_stack+1455956,int_stack+852704,78);
 /*--- compute (o0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+1583720,int_stack+1042712,int_stack+1229366,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+652400,int_stack+256102,int_stack+244168,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+817604,int_stack+652400,int_stack+729620,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1186856,int_stack+817604,int_stack+761444,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+688202,int_stack+1186856,int_stack+960812,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+881252,int_stack+688202,int_stack+1349486,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1280456,int_stack+881252,int_stack+1455956,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+0,int_stack+1280456,int_stack+1042712,78);
 /*--- compute (o0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+3418350,int_stack+0,int_stack+1583720,78);
 /*--- compute (o0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1030310,int_stack+269440,int_stack+256102,78);
 /*--- compute (o0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1070324,int_stack+1030310,int_stack+652400,78);
 /*--- compute (o0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1450808,int_stack+1070324,int_stack+817604,78);
 /*--- compute (o0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1030310,int_stack+1450808,int_stack+1186856,78);
 /*--- compute (o0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1450808,int_stack+1030310,int_stack+688202,78);
 /*--- compute (o0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1030310,int_stack+1450808,int_stack+881252,78);
 /*--- compute (o0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1450808,int_stack+1030310,int_stack+1280456,78);
 /*--- compute (o0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1669832,int_stack+1450808,int_stack+0,78);
 /*--- compute (o0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+0,int_stack+1669832,int_stack+3418350,78);
 /*--- compute (np|mm) ---*/
 hrr1_build_np(Libint->AB,int_stack+652400,int_stack+0,int_stack+1902825,3025);
 /*--- compute (md|mm) ---*/
 hrr1_build_md(Libint->AB,int_stack+3418350,int_stack+652400,int_stack+2102475,3025);
 /*--- compute (lf|mm) ---*/
 hrr1_build_lf(Libint->AB,int_stack+4416600,int_stack+3418350,int_stack+2601600,3025);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+235950,int_stack+289265,int_stack+284260,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+250965,int_stack+295271,int_stack+289265,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+1251350,int_stack+250965,int_stack+235950,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+268983,int_stack+302369,int_stack+295271,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+1281380,int_stack+268983,int_stack+250965,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+1317416,int_stack+1281380,int_stack+1251350,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+1251350,int_stack+310650,int_stack+302369,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1367466,int_stack+1251350,int_stack+268983,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+235950,int_stack+1367466,int_stack+1281380,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+1410054,int_stack+235950,int_stack+1317416,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+1276193,int_stack+320205,int_stack+310650,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1304858,int_stack+1276193,int_stack+1251350,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1485129,int_stack+1304858,int_stack+1367466,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1556109,int_stack+1485129,int_stack+235950,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+1646199,int_stack+1556109,int_stack+1410054,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+235950,int_stack+331125,int_stack+320205,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+268710,int_stack+235950,int_stack+1276193,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1354544,int_stack+268710,int_stack+1304858,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1751304,int_stack+1354544,int_stack+1485129,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1857774,int_stack+1751304,int_stack+1556109,91);
 /*--- compute (q0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1437354,int_stack+1857774,int_stack+1646199,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1251350,int_stack+343501,int_stack+331125,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1288478,int_stack+1251350,int_stack+235950,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1577494,int_stack+1288478,int_stack+268710,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1983900,int_stack+1577494,int_stack+1354544,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+2108115,int_stack+1983900,int_stack+1751304,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1673044,int_stack+2108115,int_stack+1857774,91);
 /*--- compute (q0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+2257173,int_stack+1673044,int_stack+1437354,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+235950,int_stack+357424,int_stack+343501,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+277719,int_stack+235950,int_stack+1251350,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1353998,int_stack+277719,int_stack+1288478,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2437353,int_stack+1353998,int_stack+1577494,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1463198,int_stack+2437353,int_stack+1983900,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1841212,int_stack+1463198,int_stack+2108115,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2039956,int_stack+1841212,int_stack+1673044,91);
 /*--- compute (q0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+2580678,int_stack+2039956,int_stack+2257173,91);
 /*--- compute (q0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1251350,int_stack+372985,int_stack+357424,91);
 /*--- compute (q0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1637099,int_stack+1251350,int_stack+235950,91);
 /*--- compute (q0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2256172,int_stack+1637099,int_stack+277719,91);
 /*--- compute (q0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1637099,int_stack+2256172,int_stack+1353998,91);
 /*--- compute (q0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1251350,int_stack+1637099,int_stack+2437353,91);
 /*--- compute (q0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2256172,int_stack+1251350,int_stack+1463198,91);
 /*--- compute (q0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1251350,int_stack+2256172,int_stack+1841212,91);
 /*--- compute (q0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2256172,int_stack+1251350,int_stack+2039956,91);
 /*--- compute (q0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+1251350,int_stack+2256172,int_stack+2580678,91);
 /*--- compute (op|mm) ---*/
 hrr1_build_op(Libint->AB,int_stack+1526625,int_stack+1251350,int_stack+0,3025);
 /*--- compute (nd|mm) ---*/
 hrr1_build_nd(Libint->AB,int_stack+5777850,int_stack+1526625,int_stack+652400,3025);
 /*--- compute (mf|mm) ---*/
 hrr1_build_mf(Libint->AB,int_stack+6975750,int_stack+5777850,int_stack+3418350,3025);
 /*--- compute (lg|mm) ---*/
 hrr1_build_lg(Libint->AB,int_stack+2234475,int_stack+6975750,int_stack+4416600,3025);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+652400,int_stack+396050,int_stack+390275,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+669725,int_stack+402980,int_stack+396050,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+690515,int_stack+669725,int_stack+652400,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+725165,int_stack+411170,int_stack+402980,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+749735,int_stack+725165,int_stack+669725,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+791315,int_stack+749735,int_stack+690515,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+652400,int_stack+420725,int_stack+411170,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+849065,int_stack+652400,int_stack+725165,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+898205,int_stack+849065,int_stack+749735,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+681065,int_stack+898205,int_stack+791315,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+767690,int_stack+431750,int_stack+420725,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+967505,int_stack+767690,int_stack+652400,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1024835,int_stack+967505,int_stack+849065,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1106735,int_stack+1024835,int_stack+898205,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+800765,int_stack+1106735,int_stack+681065,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+652400,int_stack+444350,int_stack+431750,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+690200,int_stack+652400,int_stack+767690,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+0,int_stack+690200,int_stack+967505,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+95550,int_stack+0,int_stack+1024835,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+922040,int_stack+95550,int_stack+1106735,105);
 /*--- compute (r0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1067570,int_stack+922040,int_stack+800765,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+756350,int_stack+458630,int_stack+444350,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+799190,int_stack+756350,int_stack+652400,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+218400,int_stack+799190,int_stack+690200,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+4276350,int_stack+218400,int_stack+0,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+4419675,int_stack+4276350,int_stack+95550,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+4419675,int_stack+922040,105);
 /*--- compute (r0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+4591665,int_stack+0,int_stack+1067570,105);
 /*--- compute (r0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+652400,int_stack+474695,int_stack+458630,105);
 /*--- compute (r0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+874790,int_stack+652400,int_stack+756350,105);
 /*--- compute (r0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+960470,int_stack+874790,int_stack+799190,105);
 /*--- compute (r0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+700595,int_stack+960470,int_stack+218400,105);
 /*--- compute (r0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+194040,int_stack+700595,int_stack+4276350,105);
 /*--- compute (r0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+4799565,int_stack+194040,int_stack+4419675,105);
 /*--- compute (r0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+4276350,int_stack+4799565,int_stack+0,105);
 /*--- compute (r0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+5028885,int_stack+4276350,int_stack+4591665,105);
 /*--- compute (r0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+492650,int_stack+474695,105);
 /*--- compute (r0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+53865,int_stack+0,int_stack+652400,105);
 /*--- compute (r0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+4525830,int_stack+53865,int_stack+874790,105);
 /*--- compute (r0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+4525830,int_stack+960470,105);
 /*--- compute (r0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+4525830,int_stack+0,int_stack+700595,105);
 /*--- compute (r0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+652400,int_stack+4525830,int_stack+194040,105);
 /*--- compute (r0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+0,int_stack+652400,int_stack+4799565,105);
 /*--- compute (r0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+652400,int_stack+0,int_stack+4276350,105);
 /*--- compute (r0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+4276350,int_stack+652400,int_stack+5028885,105);
 /*--- compute (qp|mm) ---*/
 hrr1_build_qp(Libint->AB,int_stack+4593975,int_stack+4276350,int_stack+1251350,3025);
 /*--- compute (od|mm) ---*/
 hrr1_build_od(Libint->AB,int_stack+8639500,int_stack+4593975,int_stack+1526625,3025);
 /*--- compute (nf|mm) ---*/
 hrr1_build_nf(Libint->AB,int_stack+10055200,int_stack+8639500,int_stack+5777850,3025);
 /*--- compute (mg|mm) ---*/
 hrr1_build_mg(Libint->AB,int_stack+12051700,int_stack+10055200,int_stack+6975750,3025);
 /*--- compute (lh|mm) ---*/
 hrr1_build_lh(Libint->AB,int_stack+5419800,int_stack+12051700,int_stack+2234475,3025);
 /*--- compute (t0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+652400,int_stack+519200,int_stack+512600,120);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+672200,int_stack+527120,int_stack+519200,120);
 /*--- compute (t0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+695960,int_stack+672200,int_stack+652400,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+735560,int_stack+536480,int_stack+527120,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+763640,int_stack+735560,int_stack+672200,120);
 /*--- compute (t0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+811160,int_stack+763640,int_stack+695960,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+652400,int_stack+547400,int_stack+536480,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+877160,int_stack+652400,int_stack+735560,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+933320,int_stack+877160,int_stack+763640,120);
 /*--- compute (t0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+685160,int_stack+933320,int_stack+811160,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+784160,int_stack+560000,int_stack+547400,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1012520,int_stack+784160,int_stack+652400,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+1078040,int_stack+1012520,int_stack+877160,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1171640,int_stack+1078040,int_stack+933320,120);
 /*--- compute (t0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+821960,int_stack+1171640,int_stack+685160,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+652400,int_stack+574400,int_stack+560000,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+695600,int_stack+652400,int_stack+784160,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1290440,int_stack+695600,int_stack+1012520,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1399640,int_stack+1290440,int_stack+1078040,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+960560,int_stack+1399640,int_stack+1171640,120);
 /*--- compute (t0|mi) ---*/
 hrr3_build_mi(Libint->CD,int_stack+1540040,int_stack+960560,int_stack+821960,120);
 /*--- compute (t0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+771200,int_stack+590720,int_stack+574400,120);
 /*--- compute (t0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+820160,int_stack+771200,int_stack+652400,120);
 /*--- compute (t0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1126880,int_stack+820160,int_stack+695600,120);
 /*--- compute (t0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+1724840,int_stack+1126880,int_stack+1290440,120);
 /*--- compute (t0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1888640,int_stack+1724840,int_stack+1399640,120);
 /*--- compute (t0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1252880,int_stack+1888640,int_stack+960560,120);
 /*--- compute (t0|mk) ---*/
 hrr3_build_mk(Libint->CD,int_stack+2085200,int_stack+1252880,int_stack+1540040,120);
 /*--- compute (t0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+652400,int_stack+609080,int_stack+590720,120);
 /*--- compute (t0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+906560,int_stack+652400,int_stack+771200,120);
 /*--- compute (t0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1474640,int_stack+906560,int_stack+820160,120);
 /*--- compute (t0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+707480,int_stack+1474640,int_stack+1126880,120);
 /*--- compute (t0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1004480,int_stack+707480,int_stack+1724840,120);
 /*--- compute (t0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1618640,int_stack+1004480,int_stack+1888640,120);
 /*--- compute (t0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2322800,int_stack+1618640,int_stack+1252880,120);
 /*--- compute (t0|ml) ---*/
 hrr3_build_ml(Libint->CD,int_stack+2607920,int_stack+2322800,int_stack+2085200,120);
 /*--- compute (t0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1233800,int_stack+629600,int_stack+609080,120);
 /*--- compute (t0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1295360,int_stack+1233800,int_stack+652400,120);
 /*--- compute (t0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1880720,int_stack+1295360,int_stack+906560,120);
 /*--- compute (t0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1233800,int_stack+1880720,int_stack+1474640,120);
 /*--- compute (t0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1880720,int_stack+1233800,int_stack+707480,120);
 /*--- compute (t0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1233800,int_stack+1880720,int_stack+1004480,120);
 /*--- compute (t0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1880720,int_stack+1233800,int_stack+1618640,120);
 /*--- compute (t0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2904920,int_stack+1880720,int_stack+2322800,120);
 /*--- compute (t0|mm) ---*/
 hrr3_build_mm(Libint->CD,int_stack+3261320,int_stack+2904920,int_stack+2607920,120);
 /*--- compute (rp|mm) ---*/
 hrr1_build_rp(Libint->AB,int_stack+0,int_stack+3261320,int_stack+4276350,3025);
 /*--- compute (qd|mm) ---*/
 hrr1_build_qd(Libint->AB,int_stack+952875,int_stack+0,int_stack+4593975,3025);
 /*--- compute (of|mm) ---*/
 hrr1_build_of(Libint->AB,int_stack+2604525,int_stack+952875,int_stack+8639500,3025);
 /*--- compute (ng|mm) ---*/
 hrr1_build_ng(Libint->AB,int_stack+14547325,int_stack+2604525,int_stack+10055200,3025);
 /*--- compute (mh|mm) ---*/
 hrr1_build_mh(Libint->AB,int_stack+0,int_stack+14547325,int_stack+12051700,3025);
 /*--- compute (li|mm) ---*/
 hrr1_build_li(Libint->AB,int_stack+8278425,int_stack+0,int_stack+5419800,3025);
 return int_stack+8278425;}
