#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lpkd(Libint_t*, prim_data*);

  /* Computes quartets of (lp|kd) integrals */

REALTYPE *hrr_order_lpkd(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][7] = int_stack + 0;
 Libint->vrr_classes[8][8] = int_stack + 1620;
 Libint->vrr_classes[8][9] = int_stack + 3645;
 Libint->vrr_classes[9][7] = int_stack + 6120;
 Libint->vrr_classes[9][8] = int_stack + 8100;
 Libint->vrr_classes[9][9] = int_stack + 10575;
 memset(int_stack,0,13600*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 13600;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lpkd(Libint, Data);
   Data++;
 }
 /*--- compute (l0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+13600,int_stack+1620,int_stack+0,45);
 /*--- compute (l0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+18460,int_stack+3645,int_stack+1620,45);
 /*--- compute (l0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+24535,int_stack+18460,int_stack+13600,45);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+13600,int_stack+8100,int_stack+6120,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+10575,int_stack+8100,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+34255,int_stack+0,int_stack+13600,55);
 /*--- compute (lp|kd) ---*/
 hrr1_build_lp(Libint->AB,int_stack+46135,int_stack+34255,int_stack+24535,216);
 return int_stack+46135;}
