#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_lpnp(Libint_t*, prim_data*);

  /* Computes quartets of (lp|np) integrals */

REALTYPE *hrr_order_lpnp(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[8][10] = int_stack + 0;
 Libint->vrr_classes[8][11] = int_stack + 2970;
 Libint->vrr_classes[9][10] = int_stack + 6480;
 Libint->vrr_classes[9][11] = int_stack + 10110;
 memset(int_stack,0,14400*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 14400;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_lpnp(Libint, Data);
   Data++;
 }
 /*--- compute (l0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+14400,int_stack+2970,int_stack+0,45);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+23310,int_stack+10110,int_stack+6480,55);
 /*--- compute (lp|np) ---*/
 hrr1_build_lp(Libint->AB,int_stack+34200,int_stack+23310,int_stack+14400,198);
 return int_stack+34200;}
