#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mdlf(Libint_t*, prim_data*);

  /* Computes quartets of (md|lf) integrals */

REALTYPE *hrr_order_mdlf(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][8] = int_stack + 0;
 Libint->vrr_classes[9][9] = int_stack + 2475;
 Libint->vrr_classes[9][10] = int_stack + 5500;
 Libint->vrr_classes[9][11] = int_stack + 9130;
 Libint->vrr_classes[10][8] = int_stack + 13420;
 Libint->vrr_classes[10][9] = int_stack + 16390;
 Libint->vrr_classes[10][10] = int_stack + 20020;
 Libint->vrr_classes[10][11] = int_stack + 24376;
 Libint->vrr_classes[11][8] = int_stack + 29524;
 Libint->vrr_classes[11][9] = int_stack + 33034;
 Libint->vrr_classes[11][10] = int_stack + 37324;
 Libint->vrr_classes[11][11] = int_stack + 42472;
 memset(int_stack,0,48556*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 48556;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mdlf(Libint, Data);
   Data++;
 }
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+48556,int_stack+2475,int_stack+0,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+55981,int_stack+5500,int_stack+2475,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+65056,int_stack+55981,int_stack+48556,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+79906,int_stack+9130,int_stack+5500,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+90796,int_stack+79906,int_stack+55981,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+108946,int_stack+90796,int_stack+65056,55);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+48556,int_stack+16390,int_stack+13420,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+57466,int_stack+20020,int_stack+16390,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+68356,int_stack+57466,int_stack+48556,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+86176,int_stack+24376,int_stack+20020,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+0,int_stack+86176,int_stack+57466,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+133696,int_stack+0,int_stack+68356,66);
 /*--- compute (mp|lf) ---*/
 hrr1_build_mp(Libint->AB,int_stack+163396,int_stack+133696,int_stack+108946,450);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+0,int_stack+33034,int_stack+29524,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+10530,int_stack+37324,int_stack+33034,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+48556,int_stack+10530,int_stack+0,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+69616,int_stack+42472,int_stack+37324,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+85060,int_stack+69616,int_stack+10530,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+85060,int_stack+48556,78);
 /*--- compute (np|lf) ---*/
 hrr1_build_np(Libint->AB,int_stack+35100,int_stack+0,int_stack+133696,450);
 /*--- compute (md|lf) ---*/
 hrr1_build_md(Libint->AB,int_stack+237646,int_stack+35100,int_stack+163396,450);
 return int_stack+237646;}
