#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mfii(Libint_t*, prim_data*);

  /* Computes quartets of (mf|ii) integrals */

REALTYPE *hrr_order_mfii(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][6] = int_stack + 0;
 Libint->vrr_classes[9][7] = int_stack + 1540;
 Libint->vrr_classes[9][8] = int_stack + 3520;
 Libint->vrr_classes[9][9] = int_stack + 5995;
 Libint->vrr_classes[9][10] = int_stack + 9020;
 Libint->vrr_classes[9][11] = int_stack + 12650;
 Libint->vrr_classes[9][12] = int_stack + 16940;
 Libint->vrr_classes[10][6] = int_stack + 21945;
 Libint->vrr_classes[10][7] = int_stack + 23793;
 Libint->vrr_classes[10][8] = int_stack + 26169;
 Libint->vrr_classes[10][9] = int_stack + 29139;
 Libint->vrr_classes[10][10] = int_stack + 32769;
 Libint->vrr_classes[10][11] = int_stack + 37125;
 Libint->vrr_classes[10][12] = int_stack + 42273;
 Libint->vrr_classes[11][6] = int_stack + 48279;
 Libint->vrr_classes[11][7] = int_stack + 50463;
 Libint->vrr_classes[11][8] = int_stack + 53271;
 Libint->vrr_classes[11][9] = int_stack + 56781;
 Libint->vrr_classes[11][10] = int_stack + 61071;
 Libint->vrr_classes[11][11] = int_stack + 66219;
 Libint->vrr_classes[11][12] = int_stack + 72303;
 Libint->vrr_classes[12][6] = int_stack + 79401;
 Libint->vrr_classes[12][7] = int_stack + 81949;
 Libint->vrr_classes[12][8] = int_stack + 85225;
 Libint->vrr_classes[12][9] = int_stack + 89320;
 Libint->vrr_classes[12][10] = int_stack + 94325;
 Libint->vrr_classes[12][11] = int_stack + 100331;
 Libint->vrr_classes[12][12] = int_stack + 107429;
 memset(int_stack,0,115710*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 115710;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mfii(Libint, Data);
   Data++;
 }
 /*--- compute (m0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+115710,int_stack+1540,int_stack+0,55);
 /*--- compute (m0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+120330,int_stack+3520,int_stack+1540,55);
 /*--- compute (m0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+126270,int_stack+120330,int_stack+115710,55);
 /*--- compute (m0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+135510,int_stack+5995,int_stack+3520,55);
 /*--- compute (m0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+142935,int_stack+135510,int_stack+120330,55);
 /*--- compute (m0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+154815,int_stack+142935,int_stack+126270,55);
 /*--- compute (m0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+115710,int_stack+9020,int_stack+5995,55);
 /*--- compute (m0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+170215,int_stack+115710,int_stack+135510,55);
 /*--- compute (m0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+185065,int_stack+170215,int_stack+142935,55);
 /*--- compute (m0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+124785,int_stack+185065,int_stack+154815,55);
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+147885,int_stack+12650,int_stack+9020,55);
 /*--- compute (m0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+204865,int_stack+147885,int_stack+115710,55);
 /*--- compute (m0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+223015,int_stack+204865,int_stack+170215,55);
 /*--- compute (m0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+247765,int_stack+223015,int_stack+185065,55);
 /*--- compute (m0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+158775,int_stack+247765,int_stack+124785,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+115710,int_stack+16940,int_stack+12650,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+115710,int_stack+147885,55);
 /*--- compute (m0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+115710,int_stack+0,int_stack+204865,55);
 /*--- compute (m0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+277465,int_stack+115710,int_stack+223015,55);
 /*--- compute (m0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+115710,int_stack+277465,int_stack+247765,55);
 /*--- compute (m0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+191115,int_stack+115710,int_stack+158775,55);
 /*--- compute (n0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+115710,int_stack+23793,int_stack+21945,66);
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+121254,int_stack+26169,int_stack+23793,66);
 /*--- compute (n0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+128382,int_stack+121254,int_stack+115710,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+139470,int_stack+29139,int_stack+26169,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+148380,int_stack+139470,int_stack+121254,66);
 /*--- compute (n0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+162636,int_stack+148380,int_stack+128382,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+115710,int_stack+32769,int_stack+29139,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+0,int_stack+115710,int_stack+139470,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+234235,int_stack+0,int_stack+148380,66);
 /*--- compute (n0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+126600,int_stack+234235,int_stack+162636,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+154320,int_stack+37125,int_stack+32769,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+167388,int_stack+154320,int_stack+115710,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+257995,int_stack+167388,int_stack+0,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+0,int_stack+257995,int_stack+234235,66);
 /*--- compute (n0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+287695,int_stack+0,int_stack+126600,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+234235,int_stack+42273,int_stack+37125,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+115710,int_stack+234235,int_stack+154320,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+326503,int_stack+115710,int_stack+167388,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+115710,int_stack+326503,int_stack+257995,66);
 /*--- compute (n0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+234235,int_stack+115710,int_stack+0,66);
 /*--- compute (n0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+115710,int_stack+234235,int_stack+287695,66);
 /*--- compute (mp|ii) ---*/
 hrr1_build_mp(Libint->AB,int_stack+234235,int_stack+115710,int_stack+191115,784);
 /*--- compute (o0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+0,int_stack+50463,int_stack+48279,78);
 /*--- compute (o0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+6552,int_stack+53271,int_stack+50463,78);
 /*--- compute (o0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+14976,int_stack+6552,int_stack+0,78);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+28080,int_stack+56781,int_stack+53271,78);
 /*--- compute (o0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+38610,int_stack+28080,int_stack+6552,78);
 /*--- compute (o0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+167454,int_stack+38610,int_stack+14976,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+0,int_stack+61071,int_stack+56781,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+189294,int_stack+0,int_stack+28080,78);
 /*--- compute (o0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+363595,int_stack+189294,int_stack+38610,78);
 /*--- compute (o0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+12870,int_stack+363595,int_stack+167454,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+167454,int_stack+66219,int_stack+61071,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+391675,int_stack+167454,int_stack+0,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+417415,int_stack+391675,int_stack+189294,78);
 /*--- compute (o0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+182898,int_stack+417415,int_stack+363595,78);
 /*--- compute (o0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+452515,int_stack+182898,int_stack+12870,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+363595,int_stack+72303,int_stack+66219,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+0,int_stack+363595,int_stack+167454,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+30888,int_stack+0,int_stack+391675,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+363595,int_stack+30888,int_stack+417415,78);
 /*--- compute (o0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+0,int_stack+363595,int_stack+182898,78);
 /*--- compute (o0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+363595,int_stack+0,int_stack+452515,78);
 /*--- compute (np|ii) ---*/
 hrr1_build_np(Libint->AB,int_stack+424747,int_stack+363595,int_stack+115710,784);
 /*--- compute (md|ii) ---*/
 hrr1_build_md(Libint->AB,int_stack+579979,int_stack+424747,int_stack+234235,784);
 /*--- compute (q0|ip) ---*/
 hrr3_build_ip(Libint->CD,int_stack+115710,int_stack+81949,int_stack+79401,91);
 /*--- compute (q0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+123354,int_stack+85225,int_stack+81949,91);
 /*--- compute (q0|id) ---*/
 hrr3_build_id(Libint->CD,int_stack+133182,int_stack+123354,int_stack+115710,91);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+148470,int_stack+89320,int_stack+85225,91);
 /*--- compute (q0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+160755,int_stack+148470,int_stack+123354,91);
 /*--- compute (q0|if) ---*/
 hrr3_build_if(Libint->CD,int_stack+180411,int_stack+160755,int_stack+133182,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+115710,int_stack+94325,int_stack+89320,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+205891,int_stack+115710,int_stack+148470,91);
 /*--- compute (q0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+230461,int_stack+205891,int_stack+160755,91);
 /*--- compute (q0|ig) ---*/
 hrr3_build_ig(Libint->CD,int_stack+130725,int_stack+230461,int_stack+180411,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+168945,int_stack+100331,int_stack+94325,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+263221,int_stack+168945,int_stack+115710,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+293251,int_stack+263221,int_stack+205891,91);
 /*--- compute (q0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+0,int_stack+293251,int_stack+230461,91);
 /*--- compute (q0|ih) ---*/
 hrr3_build_ih(Libint->CD,int_stack+186963,int_stack+0,int_stack+130725,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+115710,int_stack+107429,int_stack+100331,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+49140,int_stack+115710,int_stack+168945,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+85176,int_stack+49140,int_stack+263221,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+838699,int_stack+85176,int_stack+293251,91);
 /*--- compute (q0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+49140,int_stack+838699,int_stack+0,91);
 /*--- compute (q0|ii) ---*/
 hrr3_build_ii(Libint->CD,int_stack+240471,int_stack+49140,int_stack+186963,91);
 /*--- compute (op|ii) ---*/
 hrr1_build_op(Libint->AB,int_stack+0,int_stack+240471,int_stack+363595,784);
 /*--- compute (nd|ii) ---*/
 hrr1_build_nd(Libint->AB,int_stack+838699,int_stack+0,int_stack+424747,784);
 /*--- compute (mf|ii) ---*/
 hrr1_build_mf(Libint->AB,int_stack+0,int_stack+838699,int_stack+579979,784);
 return int_stack+0;}
