#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_mknl(Libint_t*, prim_data*);

  /* Computes quartets of (mk|nl) integrals */

REALTYPE *hrr_order_mknl(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[9][10] = int_stack + 0;
 Libint->vrr_classes[9][11] = int_stack + 3630;
 Libint->vrr_classes[9][12] = int_stack + 7920;
 Libint->vrr_classes[9][13] = int_stack + 12925;
 Libint->vrr_classes[9][14] = int_stack + 18700;
 Libint->vrr_classes[9][15] = int_stack + 25300;
 Libint->vrr_classes[9][16] = int_stack + 32780;
 Libint->vrr_classes[9][17] = int_stack + 41195;
 Libint->vrr_classes[9][18] = int_stack + 50600;
 Libint->vrr_classes[10][10] = int_stack + 61050;
 Libint->vrr_classes[10][11] = int_stack + 65406;
 Libint->vrr_classes[10][12] = int_stack + 70554;
 Libint->vrr_classes[10][13] = int_stack + 76560;
 Libint->vrr_classes[10][14] = int_stack + 83490;
 Libint->vrr_classes[10][15] = int_stack + 91410;
 Libint->vrr_classes[10][16] = int_stack + 100386;
 Libint->vrr_classes[10][17] = int_stack + 110484;
 Libint->vrr_classes[10][18] = int_stack + 121770;
 Libint->vrr_classes[11][10] = int_stack + 134310;
 Libint->vrr_classes[11][11] = int_stack + 139458;
 Libint->vrr_classes[11][12] = int_stack + 145542;
 Libint->vrr_classes[11][13] = int_stack + 152640;
 Libint->vrr_classes[11][14] = int_stack + 160830;
 Libint->vrr_classes[11][15] = int_stack + 170190;
 Libint->vrr_classes[11][16] = int_stack + 180798;
 Libint->vrr_classes[11][17] = int_stack + 192732;
 Libint->vrr_classes[11][18] = int_stack + 206070;
 Libint->vrr_classes[12][10] = int_stack + 220890;
 Libint->vrr_classes[12][11] = int_stack + 226896;
 Libint->vrr_classes[12][12] = int_stack + 233994;
 Libint->vrr_classes[12][13] = int_stack + 242275;
 Libint->vrr_classes[12][14] = int_stack + 251830;
 Libint->vrr_classes[12][15] = int_stack + 262750;
 Libint->vrr_classes[12][16] = int_stack + 275126;
 Libint->vrr_classes[12][17] = int_stack + 289049;
 Libint->vrr_classes[12][18] = int_stack + 304610;
 Libint->vrr_classes[13][10] = int_stack + 321900;
 Libint->vrr_classes[13][11] = int_stack + 328830;
 Libint->vrr_classes[13][12] = int_stack + 337020;
 Libint->vrr_classes[13][13] = int_stack + 346575;
 Libint->vrr_classes[13][14] = int_stack + 357600;
 Libint->vrr_classes[13][15] = int_stack + 370200;
 Libint->vrr_classes[13][16] = int_stack + 384480;
 Libint->vrr_classes[13][17] = int_stack + 400545;
 Libint->vrr_classes[13][18] = int_stack + 418500;
 Libint->vrr_classes[14][10] = int_stack + 438450;
 Libint->vrr_classes[14][11] = int_stack + 446370;
 Libint->vrr_classes[14][12] = int_stack + 455730;
 Libint->vrr_classes[14][13] = int_stack + 466650;
 Libint->vrr_classes[14][14] = int_stack + 479250;
 Libint->vrr_classes[14][15] = int_stack + 493650;
 Libint->vrr_classes[14][16] = int_stack + 509970;
 Libint->vrr_classes[14][17] = int_stack + 528330;
 Libint->vrr_classes[14][18] = int_stack + 548850;
 Libint->vrr_classes[15][10] = int_stack + 571650;
 Libint->vrr_classes[15][11] = int_stack + 580626;
 Libint->vrr_classes[15][12] = int_stack + 591234;
 Libint->vrr_classes[15][13] = int_stack + 603610;
 Libint->vrr_classes[15][14] = int_stack + 617890;
 Libint->vrr_classes[15][15] = int_stack + 634210;
 Libint->vrr_classes[15][16] = int_stack + 652706;
 Libint->vrr_classes[15][17] = int_stack + 673514;
 Libint->vrr_classes[15][18] = int_stack + 696770;
 Libint->vrr_classes[16][10] = int_stack + 722610;
 Libint->vrr_classes[16][11] = int_stack + 732708;
 Libint->vrr_classes[16][12] = int_stack + 744642;
 Libint->vrr_classes[16][13] = int_stack + 758565;
 Libint->vrr_classes[16][14] = int_stack + 774630;
 Libint->vrr_classes[16][15] = int_stack + 792990;
 Libint->vrr_classes[16][16] = int_stack + 813798;
 Libint->vrr_classes[16][17] = int_stack + 837207;
 Libint->vrr_classes[16][18] = int_stack + 863370;
 memset(int_stack,0,892440*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 892440;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_mknl(Libint, Data);
   Data++;
 }
 /*--- compute (m0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+892440,int_stack+3630,int_stack+0,55);
 /*--- compute (m0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+903330,int_stack+7920,int_stack+3630,55);
 /*--- compute (m0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+916200,int_stack+903330,int_stack+892440,55);
 /*--- compute (m0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+937980,int_stack+12925,int_stack+7920,55);
 /*--- compute (m0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+952995,int_stack+937980,int_stack+903330,55);
 /*--- compute (m0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+978735,int_stack+952995,int_stack+916200,55);
 /*--- compute (m0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+892440,int_stack+18700,int_stack+12925,55);
 /*--- compute (m0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1015035,int_stack+892440,int_stack+937980,55);
 /*--- compute (m0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+909765,int_stack+1015035,int_stack+952995,55);
 /*--- compute (m0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1045065,int_stack+909765,int_stack+978735,55);
 /*--- compute (m0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+952665,int_stack+25300,int_stack+18700,55);
 /*--- compute (m0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+972465,int_stack+952665,int_stack+892440,55);
 /*--- compute (m0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1099515,int_stack+972465,int_stack+1015035,55);
 /*--- compute (m0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1149565,int_stack+1099515,int_stack+909765,55);
 /*--- compute (m0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1213915,int_stack+1149565,int_stack+1045065,55);
 /*--- compute (m0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+892440,int_stack+32780,int_stack+25300,55);
 /*--- compute (m0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1007115,int_stack+892440,int_stack+952665,55);
 /*--- compute (m0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1290145,int_stack+1007115,int_stack+972465,55);
 /*--- compute (m0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+914880,int_stack+1290145,int_stack+1099515,55);
 /*--- compute (m0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1046715,int_stack+914880,int_stack+1149565,55);
 /*--- compute (m0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1347895,int_stack+1046715,int_stack+1213915,55);
 /*--- compute (m0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1136805,int_stack+41195,int_stack+32780,55);
 /*--- compute (m0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1162050,int_stack+1136805,int_stack+892440,55);
 /*--- compute (m0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1206930,int_stack+1162050,int_stack+1007115,55);
 /*--- compute (m0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1449535,int_stack+1206930,int_stack+1290145,55);
 /*--- compute (m0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1536160,int_stack+1449535,int_stack+914880,55);
 /*--- compute (m0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+892440,int_stack+1536160,int_stack+1046715,55);
 /*--- compute (m0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1641265,int_stack+892440,int_stack+1347895,55);
 /*--- compute (m0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1012560,int_stack+50600,int_stack+41195,55);
 /*--- compute (m0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1040775,int_stack+1012560,int_stack+1136805,55);
 /*--- compute (m0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1272930,int_stack+1040775,int_stack+1162050,55);
 /*--- compute (m0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1012560,int_stack+1272930,int_stack+1206930,55);
 /*--- compute (m0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1111560,int_stack+1012560,int_stack+1449535,55);
 /*--- compute (m0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1232835,int_stack+1111560,int_stack+1536160,55);
 /*--- compute (m0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1012560,int_stack+1232835,int_stack+892440,55);
 /*--- compute (m0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1167000,int_stack+1012560,int_stack+1641265,55);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+892440,int_stack+65406,int_stack+61050,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+905508,int_stack+70554,int_stack+65406,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+920952,int_stack+905508,int_stack+892440,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+947088,int_stack+76560,int_stack+70554,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+965106,int_stack+947088,int_stack+905508,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+995994,int_stack+965106,int_stack+920952,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+892440,int_stack+83490,int_stack+76560,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1039554,int_stack+892440,int_stack+947088,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+913230,int_stack+1039554,int_stack+965106,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1075590,int_stack+913230,int_stack+995994,66);
 /*--- compute (n0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+964710,int_stack+91410,int_stack+83490,66);
 /*--- compute (n0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+988470,int_stack+964710,int_stack+892440,66);
 /*--- compute (n0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1330350,int_stack+988470,int_stack+1039554,66);
 /*--- compute (n0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1390410,int_stack+1330350,int_stack+913230,66);
 /*--- compute (n0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1467630,int_stack+1390410,int_stack+1075590,66);
 /*--- compute (n0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+892440,int_stack+100386,int_stack+91410,66);
 /*--- compute (n0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1030050,int_stack+892440,int_stack+964710,66);
 /*--- compute (n0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+1077570,int_stack+1030050,int_stack+988470,66);
 /*--- compute (n0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+919368,int_stack+1077570,int_stack+1330350,66);
 /*--- compute (n0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1559106,int_stack+919368,int_stack+1390410,66);
 /*--- compute (n0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1330350,int_stack+1559106,int_stack+1467630,66);
 /*--- compute (n0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1452318,int_stack+110484,int_stack+100386,66);
 /*--- compute (n0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1482612,int_stack+1452318,int_stack+892440,66);
 /*--- compute (n0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1667214,int_stack+1482612,int_stack+1030050,66);
 /*--- compute (n0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+0,int_stack+1667214,int_stack+1077570,66);
 /*--- compute (n0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1009458,int_stack+0,int_stack+919368,66);
 /*--- compute (n0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+1746414,int_stack+1009458,int_stack+1559106,66);
 /*--- compute (n0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1890558,int_stack+1746414,int_stack+1330350,66);
 /*--- compute (n0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1330350,int_stack+121770,int_stack+110484,66);
 /*--- compute (n0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1364208,int_stack+1330350,int_stack+1452318,66);
 /*--- compute (n0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+892440,int_stack+1364208,int_stack+1482612,66);
 /*--- compute (n0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1330350,int_stack+892440,int_stack+1667214,66);
 /*--- compute (n0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1449150,int_stack+1330350,int_stack+0,66);
 /*--- compute (n0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+2047374,int_stack+1449150,int_stack+1009458,66);
 /*--- compute (n0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1330350,int_stack+2047374,int_stack+1746414,66);
 /*--- compute (n0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+1515678,int_stack+1330350,int_stack+1890558,66);
 /*--- compute (mp|nl) ---*/
 hrr1_build_mp(Libint->AB,int_stack+1711698,int_stack+1515678,int_stack+1167000,2970);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+139458,int_stack+134310,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+15444,int_stack+145542,int_stack+139458,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+33696,int_stack+15444,int_stack+0,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+64584,int_stack+152640,int_stack+145542,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+85878,int_stack+64584,int_stack+15444,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+892440,int_stack+85878,int_stack+33696,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+160830,int_stack+152640,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+943920,int_stack+0,int_stack+64584,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+24570,int_stack+943920,int_stack+85878,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+986508,int_stack+24570,int_stack+892440,78);
 /*--- compute (o0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+892440,int_stack+170190,int_stack+160830,78);
 /*--- compute (o0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+85410,int_stack+892440,int_stack+0,78);
 /*--- compute (o0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1063728,int_stack+85410,int_stack+943920,78);
 /*--- compute (o0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1134708,int_stack+1063728,int_stack+24570,78);
 /*--- compute (o0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1225968,int_stack+1134708,int_stack+986508,78);
 /*--- compute (o0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+180798,int_stack+170190,78);
 /*--- compute (o0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+920520,int_stack+0,int_stack+892440,78);
 /*--- compute (o0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+976680,int_stack+920520,int_stack+85410,78);
 /*--- compute (o0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+31824,int_stack+976680,int_stack+1063728,78);
 /*--- compute (o0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1334076,int_stack+31824,int_stack+1134708,78);
 /*--- compute (o0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1058580,int_stack+1334076,int_stack+1225968,78);
 /*--- compute (o0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+138294,int_stack+192732,int_stack+180798,78);
 /*--- compute (o0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1202724,int_stack+138294,int_stack+0,78);
 /*--- compute (o0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+2201748,int_stack+1202724,int_stack+920520,78);
 /*--- compute (o0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2295348,int_stack+2201748,int_stack+976680,78);
 /*--- compute (o0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+892440,int_stack+2295348,int_stack+31824,78);
 /*--- compute (o0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+2418198,int_stack+892440,int_stack+1334076,78);
 /*--- compute (o0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1266372,int_stack+2418198,int_stack+1058580,78);
 /*--- compute (o0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+206070,int_stack+192732,78);
 /*--- compute (o0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+40014,int_stack+0,int_stack+138294,78);
 /*--- compute (o0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+111618,int_stack+40014,int_stack+1202724,78);
 /*--- compute (o0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1041498,int_stack+111618,int_stack+2201748,78);
 /*--- compute (o0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+0,int_stack+1041498,int_stack+2295348,78);
 /*--- compute (o0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1041498,int_stack+0,int_stack+892440,78);
 /*--- compute (o0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+0,int_stack+1041498,int_stack+2418198,78);
 /*--- compute (o0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+892440,int_stack+0,int_stack+1266372,78);
 /*--- compute (np|nl) ---*/
 hrr1_build_np(Libint->AB,int_stack+2201748,int_stack+892440,int_stack+1515678,2970);
 /*--- compute (md|nl) ---*/
 hrr1_build_md(Libint->AB,int_stack+2789808,int_stack+2201748,int_stack+1711698,2970);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+226896,int_stack+220890,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+18018,int_stack+233994,int_stack+226896,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+39312,int_stack+18018,int_stack+0,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+75348,int_stack+242275,int_stack+233994,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+100191,int_stack+75348,int_stack+18018,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+142779,int_stack+100191,int_stack+39312,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+251830,int_stack+242275,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1124100,int_stack+0,int_stack+75348,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+28665,int_stack+1124100,int_stack+100191,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1173786,int_stack+28665,int_stack+142779,91);
 /*--- compute (q0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+99645,int_stack+262750,int_stack+251830,91);
 /*--- compute (q0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+132405,int_stack+99645,int_stack+0,91);
 /*--- compute (q0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+1263876,int_stack+132405,int_stack+1124100,91);
 /*--- compute (q0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+1346686,int_stack+1263876,int_stack+28665,91);
 /*--- compute (q0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+1453156,int_stack+1346686,int_stack+1173786,91);
 /*--- compute (q0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1124100,int_stack+275126,int_stack+262750,91);
 /*--- compute (q0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1161228,int_stack+1124100,int_stack+99645,91);
 /*--- compute (q0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+0,int_stack+1161228,int_stack+132405,91);
 /*--- compute (q0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+95550,int_stack+0,int_stack+1263876,91);
 /*--- compute (q0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1579282,int_stack+95550,int_stack+1346686,91);
 /*--- compute (q0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+1226748,int_stack+1579282,int_stack+1453156,91);
 /*--- compute (q0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+1394916,int_stack+289049,int_stack+275126,91);
 /*--- compute (q0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+1436685,int_stack+1394916,int_stack+1124100,91);
 /*--- compute (q0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+1728340,int_stack+1436685,int_stack+1161228,91);
 /*--- compute (q0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+1837540,int_stack+1728340,int_stack+0,91);
 /*--- compute (q0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+1980865,int_stack+1837540,int_stack+95550,91);
 /*--- compute (q0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+0,int_stack+1980865,int_stack+1579282,91);
 /*--- compute (q0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1510941,int_stack+0,int_stack+1226748,91);
 /*--- compute (q0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+198744,int_stack+304610,int_stack+289049,91);
 /*--- compute (q0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+1124100,int_stack+198744,int_stack+1394916,91);
 /*--- compute (q0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+1207638,int_stack+1124100,int_stack+1436685,91);
 /*--- compute (q0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+1331398,int_stack+1207638,int_stack+1728340,91);
 /*--- compute (q0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+1124100,int_stack+1331398,int_stack+1837540,91);
 /*--- compute (q0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+1727157,int_stack+1124100,int_stack+1980865,91);
 /*--- compute (q0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+1124100,int_stack+1727157,int_stack+0,91);
 /*--- compute (q0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+0,int_stack+1124100,int_stack+1510941,91);
 /*--- compute (op|nl) ---*/
 hrr1_build_op(Libint->AB,int_stack+1124100,int_stack+0,int_stack+892440,2970);
 /*--- compute (nd|nl) ---*/
 hrr1_build_nd(Libint->AB,int_stack+3769908,int_stack+1124100,int_stack+2201748,2970);
 /*--- compute (mf|nl) ---*/
 hrr1_build_mf(Libint->AB,int_stack+4946028,int_stack+3769908,int_stack+2789808,2970);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+892440,int_stack+328830,int_stack+321900,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+913230,int_stack+337020,int_stack+328830,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+937800,int_stack+913230,int_stack+892440,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+979380,int_stack+346575,int_stack+337020,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+1008045,int_stack+979380,int_stack+913230,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+1819080,int_stack+1008045,int_stack+937800,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+892440,int_stack+357600,int_stack+346575,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+1057185,int_stack+892440,int_stack+979380,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+925515,int_stack+1057185,int_stack+1008045,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+1888380,int_stack+925515,int_stack+1819080,105);
 /*--- compute (r0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+1819080,int_stack+370200,int_stack+357600,105);
 /*--- compute (r0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+1992330,int_stack+1819080,int_stack+892440,105);
 /*--- compute (r0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+2058480,int_stack+1992330,int_stack+1057185,105);
 /*--- compute (r0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+2154030,int_stack+2058480,int_stack+925515,105);
 /*--- compute (r0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+892440,int_stack+2154030,int_stack+1888380,105);
 /*--- compute (r0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+1037970,int_stack+384480,int_stack+370200,105);
 /*--- compute (r0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+1856880,int_stack+1037970,int_stack+1819080,105);
 /*--- compute (r0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+2276880,int_stack+1856880,int_stack+1992330,105);
 /*--- compute (r0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+2387130,int_stack+2276880,int_stack+2058480,105);
 /*--- compute (r0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+1932480,int_stack+2387130,int_stack+2154030,105);
 /*--- compute (r0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+2530455,int_stack+1932480,int_stack+892440,105);
 /*--- compute (r0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+892440,int_stack+400545,int_stack+384480,105);
 /*--- compute (r0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+940635,int_stack+892440,int_stack+1037970,105);
 /*--- compute (r0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+2104470,int_stack+940635,int_stack+1856880,105);
 /*--- compute (r0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+2724495,int_stack+2104470,int_stack+2276880,105);
 /*--- compute (r0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+2889870,int_stack+2724495,int_stack+2387130,105);
 /*--- compute (r0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+2230470,int_stack+2889870,int_stack+1932480,105);
 /*--- compute (r0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+1819080,int_stack+2230470,int_stack+2530455,105);
 /*--- compute (r0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+1026315,int_stack+418500,int_stack+400545,105);
 /*--- compute (r0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+2459790,int_stack+1026315,int_stack+892440,105);
 /*--- compute (r0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+2556180,int_stack+2459790,int_stack+940635,105);
 /*--- compute (r0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+892440,int_stack+2556180,int_stack+2104470,105);
 /*--- compute (r0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+2459790,int_stack+892440,int_stack+2724495,105);
 /*--- compute (r0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+3090525,int_stack+2459790,int_stack+2889870,105);
 /*--- compute (r0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+2459790,int_stack+3090525,int_stack+2230470,105);
 /*--- compute (r0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+2754630,int_stack+2459790,int_stack+1819080,105);
 /*--- compute (qp|nl) ---*/
 hrr1_build_qp(Libint->AB,int_stack+1819080,int_stack+2754630,int_stack+0,2970);
 /*--- compute (od|nl) ---*/
 hrr1_build_od(Libint->AB,int_stack+6579528,int_stack+1819080,int_stack+1124100,2970);
 /*--- compute (nf|nl) ---*/
 hrr1_build_nf(Libint->AB,int_stack+7969488,int_stack+6579528,int_stack+3769908,2970);
 /*--- compute (mg|nl) ---*/
 hrr1_build_mg(Libint->AB,int_stack+9929688,int_stack+7969488,int_stack+4946028,2970);
 /*--- compute (t0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+446370,int_stack+438450,120);
 /*--- compute (t0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+23760,int_stack+455730,int_stack+446370,120);
 /*--- compute (t0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+51840,int_stack+23760,int_stack+0,120);
 /*--- compute (t0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+99360,int_stack+466650,int_stack+455730,120);
 /*--- compute (t0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+132120,int_stack+99360,int_stack+23760,120);
 /*--- compute (t0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+188280,int_stack+132120,int_stack+51840,120);
 /*--- compute (t0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+0,int_stack+479250,int_stack+466650,120);
 /*--- compute (t0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+267480,int_stack+0,int_stack+99360,120);
 /*--- compute (t0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+37800,int_stack+267480,int_stack+132120,120);
 /*--- compute (t0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+333000,int_stack+37800,int_stack+188280,120);
 /*--- compute (t0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+131400,int_stack+493650,int_stack+479250,120);
 /*--- compute (t0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+174600,int_stack+131400,int_stack+0,120);
 /*--- compute (t0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+2629890,int_stack+174600,int_stack+267480,120);
 /*--- compute (t0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+3066480,int_stack+2629890,int_stack+37800,120);
 /*--- compute (t0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+3206880,int_stack+3066480,int_stack+333000,120);
 /*--- compute (t0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+0,int_stack+509970,int_stack+493650,120);
 /*--- compute (t0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+250200,int_stack+0,int_stack+131400,120);
 /*--- compute (t0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+336600,int_stack+250200,int_stack+174600,120);
 /*--- compute (t0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+48960,int_stack+336600,int_stack+2629890,120);
 /*--- compute (t0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+3373200,int_stack+48960,int_stack+3066480,120);
 /*--- compute (t0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+3569760,int_stack+3373200,int_stack+3206880,120);
 /*--- compute (t0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+3066480,int_stack+528330,int_stack+509970,120);
 /*--- compute (t0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+3121560,int_stack+3066480,int_stack+0,120);
 /*--- compute (t0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+3219480,int_stack+3121560,int_stack+250200,120);
 /*--- compute (t0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+3791520,int_stack+3219480,int_stack+336600,120);
 /*--- compute (t0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+212760,int_stack+3791520,int_stack+48960,120);
 /*--- compute (t0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+3980520,int_stack+212760,int_stack+3373200,120);
 /*--- compute (t0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+4242600,int_stack+3980520,int_stack+3569760,120);
 /*--- compute (t0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+548850,int_stack+528330,120);
 /*--- compute (t0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+61560,int_stack+0,int_stack+3066480,120);
 /*--- compute (t0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+3363480,int_stack+61560,int_stack+3121560,120);
 /*--- compute (t0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+3526680,int_stack+3363480,int_stack+3219480,120);
 /*--- compute (t0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+3066480,int_stack+3526680,int_stack+3791520,120);
 /*--- compute (t0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+3331080,int_stack+3066480,int_stack+212760,120);
 /*--- compute (t0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+3636840,int_stack+3331080,int_stack+3980520,120);
 /*--- compute (t0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+3066480,int_stack+3636840,int_stack+4242600,120);
 /*--- compute (rp|nl) ---*/
 hrr1_build_rp(Libint->AB,int_stack+3422880,int_stack+3066480,int_stack+2754630,2970);
 /*--- compute (qd|nl) ---*/
 hrr1_build_qd(Libint->AB,int_stack+4358430,int_stack+3422880,int_stack+1819080,2970);
 /*--- compute (of|nl) ---*/
 hrr1_build_of(Libint->AB,int_stack+12379938,int_stack+4358430,int_stack+6579528,2970);
 /*--- compute (ng|nl) ---*/
 hrr1_build_ng(Libint->AB,int_stack+14696538,int_stack+12379938,int_stack+7969488,2970);
 /*--- compute (mh|nl) ---*/
 hrr1_build_mh(Libint->AB,int_stack+5980050,int_stack+14696538,int_stack+9929688,2970);
 /*--- compute (u0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+9410400,int_stack+580626,int_stack+571650,136);
 /*--- compute (u0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+9437328,int_stack+591234,int_stack+580626,136);
 /*--- compute (u0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+9469152,int_stack+9437328,int_stack+9410400,136);
 /*--- compute (u0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+9523008,int_stack+603610,int_stack+591234,136);
 /*--- compute (u0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+9560136,int_stack+9523008,int_stack+9437328,136);
 /*--- compute (u0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+9623784,int_stack+9560136,int_stack+9469152,136);
 /*--- compute (u0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+9410400,int_stack+617890,int_stack+603610,136);
 /*--- compute (u0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+9713544,int_stack+9410400,int_stack+9523008,136);
 /*--- compute (u0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+9453240,int_stack+9713544,int_stack+9560136,136);
 /*--- compute (u0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+9787800,int_stack+9453240,int_stack+9623784,136);
 /*--- compute (u0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+9559320,int_stack+634210,int_stack+617890,136);
 /*--- compute (u0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+9608280,int_stack+9559320,int_stack+9410400,136);
 /*--- compute (u0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+9922440,int_stack+9608280,int_stack+9713544,136);
 /*--- compute (u0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+10046200,int_stack+9922440,int_stack+9453240,136);
 /*--- compute (u0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+10205320,int_stack+10046200,int_stack+9787800,136);
 /*--- compute (u0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+9410400,int_stack+652706,int_stack+634210,136);
 /*--- compute (u0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+9693960,int_stack+9410400,int_stack+9559320,136);
 /*--- compute (u0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+10393816,int_stack+9693960,int_stack+9608280,136);
 /*--- compute (u0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+9465888,int_stack+10393816,int_stack+9922440,136);
 /*--- compute (u0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+9791880,int_stack+9465888,int_stack+10046200,136);
 /*--- compute (u0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+10536616,int_stack+9791880,int_stack+10205320,136);
 /*--- compute (u0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+10014648,int_stack+673514,int_stack+652706,136);
 /*--- compute (u0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+10077072,int_stack+10014648,int_stack+9410400,136);
 /*--- compute (u0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+10188048,int_stack+10077072,int_stack+9693960,136);
 /*--- compute (u0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+10787944,int_stack+10188048,int_stack+10393816,136);
 /*--- compute (u0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+11002144,int_stack+10787944,int_stack+9465888,136);
 /*--- compute (u0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+9410400,int_stack+11002144,int_stack+9791880,136);
 /*--- compute (u0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+11262040,int_stack+9410400,int_stack+10536616,136);
 /*--- compute (u0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+9707424,int_stack+696770,int_stack+673514,136);
 /*--- compute (u0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+9777192,int_stack+9707424,int_stack+10014648,136);
 /*--- compute (u0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+10351248,int_stack+9777192,int_stack+10077072,136);
 /*--- compute (u0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+9707424,int_stack+10351248,int_stack+10188048,136);
 /*--- compute (u0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+9952224,int_stack+9707424,int_stack+10787944,136);
 /*--- compute (u0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+10252104,int_stack+9952224,int_stack+11002144,136);
 /*--- compute (u0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+9707424,int_stack+10252104,int_stack+9410400,136);
 /*--- compute (u0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+10089312,int_stack+9707424,int_stack+11262040,136);
 /*--- compute (tp|nl) ---*/
 hrr1_build_tp(Libint->AB,int_stack+10493232,int_stack+10089312,int_stack+3066480,2970);
 /*--- compute (rd|nl) ---*/
 hrr1_build_rd(Libint->AB,int_stack+892440,int_stack+10493232,int_stack+3422880,2970);
 /*--- compute (qf|nl) ---*/
 hrr1_build_qf(Libint->AB,int_stack+17636838,int_stack+892440,int_stack+4358430,2970);
 /*--- compute (og|nl) ---*/
 hrr1_build_og(Libint->AB,int_stack+20339538,int_stack+17636838,int_stack+12379938,2970);
 /*--- compute (nh|nl) ---*/
 hrr1_build_nh(Libint->AB,int_stack+23814438,int_stack+20339538,int_stack+14696538,2970);
 /*--- compute (mi|nl) ---*/
 hrr1_build_mi(Libint->AB,int_stack+11562432,int_stack+23814438,int_stack+5980050,2970);
 /*--- compute (v0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+16136232,int_stack+732708,int_stack+722610,153);
 /*--- compute (v0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+16166526,int_stack+744642,int_stack+732708,153);
 /*--- compute (v0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+16202328,int_stack+16166526,int_stack+16136232,153);
 /*--- compute (v0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+16262916,int_stack+758565,int_stack+744642,153);
 /*--- compute (v0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+16304685,int_stack+16262916,int_stack+16166526,153);
 /*--- compute (v0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+16376289,int_stack+16304685,int_stack+16202328,153);
 /*--- compute (v0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+16136232,int_stack+774630,int_stack+758565,153);
 /*--- compute (v0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+16477269,int_stack+16136232,int_stack+16262916,153);
 /*--- compute (v0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+16184427,int_stack+16477269,int_stack+16304685,153);
 /*--- compute (v0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+16560807,int_stack+16184427,int_stack+16376289,153);
 /*--- compute (v0|tp) ---*/
 hrr3_build_tp(Libint->CD,int_stack+16303767,int_stack+792990,int_stack+774630,153);
 /*--- compute (v0|rd) ---*/
 hrr3_build_rd(Libint->CD,int_stack+16358847,int_stack+16303767,int_stack+16136232,153);
 /*--- compute (v0|qf) ---*/
 hrr3_build_qf(Libint->CD,int_stack+16712277,int_stack+16358847,int_stack+16477269,153);
 /*--- compute (v0|og) ---*/
 hrr3_build_og(Libint->CD,int_stack+16851507,int_stack+16712277,int_stack+16184427,153);
 /*--- compute (v0|nh) ---*/
 hrr3_build_nh(Libint->CD,int_stack+17030517,int_stack+16851507,int_stack+16560807,153);
 /*--- compute (v0|up) ---*/
 hrr3_build_up(Libint->CD,int_stack+16136232,int_stack+813798,int_stack+792990,153);
 /*--- compute (v0|td) ---*/
 hrr3_build_td(Libint->CD,int_stack+16455237,int_stack+16136232,int_stack+16303767,153);
 /*--- compute (v0|rf) ---*/
 hrr3_build_rf(Libint->CD,int_stack+17242575,int_stack+16455237,int_stack+16358847,153);
 /*--- compute (v0|qg) ---*/
 hrr3_build_qg(Libint->CD,int_stack+16198656,int_stack+17242575,int_stack+16712277,153);
 /*--- compute (v0|oh) ---*/
 hrr3_build_oh(Libint->CD,int_stack+16565397,int_stack+16198656,int_stack+16851507,153);
 /*--- compute (v0|ni) ---*/
 hrr3_build_ni(Libint->CD,int_stack+0,int_stack+16565397,int_stack+17030517,153);
 /*--- compute (v0|vp) ---*/
 hrr3_build_vp(Libint->CD,int_stack+16816011,int_stack+837207,int_stack+813798,153);
 /*--- compute (v0|ud) ---*/
 hrr3_build_ud(Libint->CD,int_stack+16886238,int_stack+16816011,int_stack+16136232,153);
 /*--- compute (v0|tf) ---*/
 hrr3_build_tf(Libint->CD,int_stack+17011086,int_stack+16886238,int_stack+16455237,153);
 /*--- compute (v0|rg) ---*/
 hrr3_build_rg(Libint->CD,int_stack+282744,int_stack+17011086,int_stack+17242575,153);
 /*--- compute (v0|qh) ---*/
 hrr3_build_qh(Libint->CD,int_stack+17194686,int_stack+282744,int_stack+16198656,153);
 /*--- compute (v0|oi) ---*/
 hrr3_build_oi(Libint->CD,int_stack+16136232,int_stack+17194686,int_stack+16565397,153);
 /*--- compute (v0|nk) ---*/
 hrr3_build_nk(Libint->CD,int_stack+2763540,int_stack+16136232,int_stack+0,153);
 /*--- compute (v0|wp) ---*/
 hrr3_build_wp(Libint->CD,int_stack+0,int_stack+863370,int_stack+837207,153);
 /*--- compute (v0|vd) ---*/
 hrr3_build_vd(Libint->CD,int_stack+78489,int_stack+0,int_stack+16816011,153);
 /*--- compute (v0|uf) ---*/
 hrr3_build_uf(Libint->CD,int_stack+16470384,int_stack+78489,int_stack+16886238,153);
 /*--- compute (v0|tg) ---*/
 hrr3_build_tg(Libint->CD,int_stack+0,int_stack+16470384,int_stack+17011086,153);
 /*--- compute (v0|rh) ---*/
 hrr3_build_rh(Libint->CD,int_stack+16470384,int_stack+0,int_stack+282744,153);
 /*--- compute (v0|qi) ---*/
 hrr3_build_qi(Libint->CD,int_stack+0,int_stack+16470384,int_stack+17194686,153);
 /*--- compute (v0|ok) ---*/
 hrr3_build_ok(Libint->CD,int_stack+16470384,int_stack+0,int_stack+16136232,153);
 /*--- compute (v0|nl) ---*/
 hrr3_build_nl(Libint->CD,int_stack+0,int_stack+16470384,int_stack+2763540,153);
 /*--- compute (up|nl) ---*/
 hrr1_build_up(Libint->AB,int_stack+2763540,int_stack+0,int_stack+10089312,2970);
 /*--- compute (td|nl) ---*/
 hrr1_build_td(Libint->AB,int_stack+3975300,int_stack+2763540,int_stack+10493232,2970);
 /*--- compute (rf|nl) ---*/
 hrr1_build_rf(Libint->AB,int_stack+6113700,int_stack+3975300,int_stack+892440,2970);
 /*--- compute (qg|nl) ---*/
 hrr1_build_qg(Libint->AB,int_stack+0,int_stack+6113700,int_stack+17636838,2970);
 /*--- compute (oh|nl) ---*/
 hrr1_build_oh(Libint->AB,int_stack+4054050,int_stack+0,int_stack+20339538,2970);
 /*--- compute (ni|nl) ---*/
 hrr1_build_ni(Libint->AB,int_stack+16136232,int_stack+4054050,int_stack+23814438,2970);
 /*--- compute (mk|nl) ---*/
 hrr1_build_mk(Libint->AB,int_stack+0,int_stack+16136232,int_stack+11562432,2970);
 return int_stack+0;}
