#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_nfkk(Libint_t*, prim_data*);

  /* Computes quartets of (nf|kk) integrals */

REALTYPE *hrr_order_nfkk(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[10][7] = int_stack + 0;
 Libint->vrr_classes[10][8] = int_stack + 2376;
 Libint->vrr_classes[10][9] = int_stack + 5346;
 Libint->vrr_classes[10][10] = int_stack + 8976;
 Libint->vrr_classes[10][11] = int_stack + 13332;
 Libint->vrr_classes[10][12] = int_stack + 18480;
 Libint->vrr_classes[10][13] = int_stack + 24486;
 Libint->vrr_classes[10][14] = int_stack + 31416;
 Libint->vrr_classes[11][7] = int_stack + 39336;
 Libint->vrr_classes[11][8] = int_stack + 42144;
 Libint->vrr_classes[11][9] = int_stack + 45654;
 Libint->vrr_classes[11][10] = int_stack + 49944;
 Libint->vrr_classes[11][11] = int_stack + 55092;
 Libint->vrr_classes[11][12] = int_stack + 61176;
 Libint->vrr_classes[11][13] = int_stack + 68274;
 Libint->vrr_classes[11][14] = int_stack + 76464;
 Libint->vrr_classes[12][7] = int_stack + 85824;
 Libint->vrr_classes[12][8] = int_stack + 89100;
 Libint->vrr_classes[12][9] = int_stack + 93195;
 Libint->vrr_classes[12][10] = int_stack + 98200;
 Libint->vrr_classes[12][11] = int_stack + 104206;
 Libint->vrr_classes[12][12] = int_stack + 111304;
 Libint->vrr_classes[12][13] = int_stack + 119585;
 Libint->vrr_classes[12][14] = int_stack + 129140;
 Libint->vrr_classes[13][7] = int_stack + 140060;
 Libint->vrr_classes[13][8] = int_stack + 143840;
 Libint->vrr_classes[13][9] = int_stack + 148565;
 Libint->vrr_classes[13][10] = int_stack + 154340;
 Libint->vrr_classes[13][11] = int_stack + 161270;
 Libint->vrr_classes[13][12] = int_stack + 169460;
 Libint->vrr_classes[13][13] = int_stack + 179015;
 Libint->vrr_classes[13][14] = int_stack + 190040;
 memset(int_stack,0,202640*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 202640;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_nfkk(Libint, Data);
   Data++;
 }
 /*--- compute (n0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+202640,int_stack+2376,int_stack+0,66);
 /*--- compute (n0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+209768,int_stack+5346,int_stack+2376,66);
 /*--- compute (n0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+218678,int_stack+209768,int_stack+202640,66);
 /*--- compute (n0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+232934,int_stack+8976,int_stack+5346,66);
 /*--- compute (n0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+243824,int_stack+232934,int_stack+209768,66);
 /*--- compute (n0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+261644,int_stack+243824,int_stack+218678,66);
 /*--- compute (n0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+202640,int_stack+13332,int_stack+8976,66);
 /*--- compute (n0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+285404,int_stack+202640,int_stack+232934,66);
 /*--- compute (n0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+307184,int_stack+285404,int_stack+243824,66);
 /*--- compute (n0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+215708,int_stack+307184,int_stack+261644,66);
 /*--- compute (n0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+251348,int_stack+18480,int_stack+13332,66);
 /*--- compute (n0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+336884,int_stack+251348,int_stack+202640,66);
 /*--- compute (n0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+363020,int_stack+336884,int_stack+285404,66);
 /*--- compute (n0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+399320,int_stack+363020,int_stack+307184,66);
 /*--- compute (n0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+266792,int_stack+399320,int_stack+215708,66);
 /*--- compute (n0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+202640,int_stack+24486,int_stack+18480,66);
 /*--- compute (n0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+443870,int_stack+202640,int_stack+251348,66);
 /*--- compute (n0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+220658,int_stack+443870,int_stack+336884,66);
 /*--- compute (n0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+474758,int_stack+220658,int_stack+363020,66);
 /*--- compute (n0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+316688,int_stack+474758,int_stack+399320,66);
 /*--- compute (n0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+529208,int_stack+316688,int_stack+266792,66);
 /*--- compute (n0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+264218,int_stack+31416,int_stack+24486,66);
 /*--- compute (n0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+379058,int_stack+264218,int_stack+202640,66);
 /*--- compute (n0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+264218,int_stack+379058,int_stack+443870,66);
 /*--- compute (n0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+379058,int_stack+264218,int_stack+220658,66);
 /*--- compute (n0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+202640,int_stack+379058,int_stack+474758,66);
 /*--- compute (n0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+379058,int_stack+202640,int_stack+316688,66);
 /*--- compute (n0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+202640,int_stack+379058,int_stack+529208,66);
 /*--- compute (o0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+288176,int_stack+42144,int_stack+39336,78);
 /*--- compute (o0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+296600,int_stack+45654,int_stack+42144,78);
 /*--- compute (o0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+307130,int_stack+296600,int_stack+288176,78);
 /*--- compute (o0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+323978,int_stack+49944,int_stack+45654,78);
 /*--- compute (o0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+336848,int_stack+323978,int_stack+296600,78);
 /*--- compute (o0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+357908,int_stack+336848,int_stack+307130,78);
 /*--- compute (o0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+288176,int_stack+55092,int_stack+49944,78);
 /*--- compute (o0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+385988,int_stack+288176,int_stack+323978,78);
 /*--- compute (o0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+411728,int_stack+385988,int_stack+336848,78);
 /*--- compute (o0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+303620,int_stack+411728,int_stack+357908,78);
 /*--- compute (o0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+345740,int_stack+61176,int_stack+55092,78);
 /*--- compute (o0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+446828,int_stack+345740,int_stack+288176,78);
 /*--- compute (o0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+477716,int_stack+446828,int_stack+385988,78);
 /*--- compute (o0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+520616,int_stack+477716,int_stack+411728,78);
 /*--- compute (o0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+363992,int_stack+520616,int_stack+303620,78);
 /*--- compute (o0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+288176,int_stack+68274,int_stack+61176,78);
 /*--- compute (o0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+0,int_stack+288176,int_stack+345740,78);
 /*--- compute (o0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+309470,int_stack+0,int_stack+446828,78);
 /*--- compute (o0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+573266,int_stack+309470,int_stack+477716,78);
 /*--- compute (o0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+422960,int_stack+573266,int_stack+520616,78);
 /*--- compute (o0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+637616,int_stack+422960,int_stack+363992,78);
 /*--- compute (o0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+360950,int_stack+76464,int_stack+68274,78);
 /*--- compute (o0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+496670,int_stack+360950,int_stack+288176,78);
 /*--- compute (o0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+360950,int_stack+496670,int_stack+0,78);
 /*--- compute (o0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+0,int_stack+360950,int_stack+309470,78);
 /*--- compute (o0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+288176,int_stack+0,int_stack+573266,78);
 /*--- compute (o0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+496670,int_stack+288176,int_stack+422960,78);
 /*--- compute (o0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+288176,int_stack+496670,int_stack+637616,78);
 /*--- compute (np|kk) ---*/
 hrr1_build_np(Libint->AB,int_stack+389264,int_stack+288176,int_stack+202640,1296);
 /*--- compute (q0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+202640,int_stack+89100,int_stack+85824,91);
 /*--- compute (q0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+212468,int_stack+93195,int_stack+89100,91);
 /*--- compute (q0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+224753,int_stack+212468,int_stack+202640,91);
 /*--- compute (q0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+244409,int_stack+98200,int_stack+93195,91);
 /*--- compute (q0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+259424,int_stack+244409,int_stack+212468,91);
 /*--- compute (q0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+645872,int_stack+259424,int_stack+224753,91);
 /*--- compute (q0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+202640,int_stack+104206,int_stack+98200,91);
 /*--- compute (q0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+678632,int_stack+202640,int_stack+244409,91);
 /*--- compute (q0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+0,int_stack+678632,int_stack+259424,91);
 /*--- compute (q0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+220658,int_stack+0,int_stack+645872,91);
 /*--- compute (q0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+645872,int_stack+111304,int_stack+104206,91);
 /*--- compute (q0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+40950,int_stack+645872,int_stack+202640,91);
 /*--- compute (q0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+708662,int_stack+40950,int_stack+678632,91);
 /*--- compute (q0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+758712,int_stack+708662,int_stack+0,91);
 /*--- compute (q0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+820137,int_stack+758712,int_stack+220658,91);
 /*--- compute (q0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+119585,int_stack+111304,91);
 /*--- compute (q0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+202640,int_stack+0,int_stack+645872,91);
 /*--- compute (q0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+645872,int_stack+202640,int_stack+40950,91);
 /*--- compute (q0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+24843,int_stack+645872,int_stack+708662,91);
 /*--- compute (q0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+888933,int_stack+24843,int_stack+758712,91);
 /*--- compute (q0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+705932,int_stack+888933,int_stack+820137,91);
 /*--- compute (q0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+797660,int_stack+129140,int_stack+119585,91);
 /*--- compute (q0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+826325,int_stack+797660,int_stack+0,91);
 /*--- compute (q0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+974928,int_stack+826325,int_stack+202640,91);
 /*--- compute (q0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+797660,int_stack+974928,int_stack+645872,91);
 /*--- compute (q0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+974928,int_stack+797660,int_stack+24843,91);
 /*--- compute (q0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+0,int_stack+974928,int_stack+888933,91);
 /*--- compute (q0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+797660,int_stack+0,int_stack+705932,91);
 /*--- compute (op|kk) ---*/
 hrr1_build_op(Libint->AB,int_stack+915596,int_stack+797660,int_stack+288176,1296);
 /*--- compute (nd|kk) ---*/
 hrr1_build_nd(Libint->AB,int_stack+1218860,int_stack+915596,int_stack+389264,1296);
 /*--- compute (r0|kp) ---*/
 hrr3_build_kp(Libint->CD,int_stack+0,int_stack+143840,int_stack+140060,105);
 /*--- compute (r0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+11340,int_stack+148565,int_stack+143840,105);
 /*--- compute (r0|kd) ---*/
 hrr3_build_kd(Libint->CD,int_stack+25515,int_stack+11340,int_stack+0,105);
 /*--- compute (r0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+48195,int_stack+154340,int_stack+148565,105);
 /*--- compute (r0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+65520,int_stack+48195,int_stack+11340,105);
 /*--- compute (r0|kf) ---*/
 hrr3_build_kf(Libint->CD,int_stack+93870,int_stack+65520,int_stack+25515,105);
 /*--- compute (r0|np) ---*/
 hrr3_build_np(Libint->CD,int_stack+0,int_stack+161270,int_stack+154340,105);
 /*--- compute (r0|md) ---*/
 hrr3_build_md(Libint->CD,int_stack+202640,int_stack+0,int_stack+48195,105);
 /*--- compute (r0|lf) ---*/
 hrr3_build_lf(Libint->CD,int_stack+237290,int_stack+202640,int_stack+65520,105);
 /*--- compute (r0|kg) ---*/
 hrr3_build_kg(Libint->CD,int_stack+20790,int_stack+237290,int_stack+93870,105);
 /*--- compute (r0|op) ---*/
 hrr3_build_op(Libint->CD,int_stack+77490,int_stack+169460,int_stack+161270,105);
 /*--- compute (r0|nd) ---*/
 hrr3_build_nd(Libint->CD,int_stack+102060,int_stack+77490,int_stack+0,105);
 /*--- compute (r0|mf) ---*/
 hrr3_build_mf(Libint->CD,int_stack+284540,int_stack+102060,int_stack+202640,105);
 /*--- compute (r0|lg) ---*/
 hrr3_build_lg(Libint->CD,int_stack+342290,int_stack+284540,int_stack+237290,105);
 /*--- compute (r0|kh) ---*/
 hrr3_build_kh(Libint->CD,int_stack+202640,int_stack+342290,int_stack+20790,105);
 /*--- compute (r0|qp) ---*/
 hrr3_build_qp(Libint->CD,int_stack+0,int_stack+179015,int_stack+169460,105);
 /*--- compute (r0|od) ---*/
 hrr3_build_od(Libint->CD,int_stack+413165,int_stack+0,int_stack+77490,105);
 /*--- compute (r0|nf) ---*/
 hrr3_build_nf(Libint->CD,int_stack+28665,int_stack+413165,int_stack+102060,105);
 /*--- compute (r0|mg) ---*/
 hrr3_build_mg(Libint->CD,int_stack+462305,int_stack+28665,int_stack+284540,105);
 /*--- compute (r0|lh) ---*/
 hrr3_build_lh(Libint->CD,int_stack+548930,int_stack+462305,int_stack+342290,105);
 /*--- compute (r0|ki) ---*/
 hrr3_build_ki(Libint->CD,int_stack+282020,int_stack+548930,int_stack+202640,105);
 /*--- compute (r0|rp) ---*/
 hrr3_build_rp(Libint->CD,int_stack+202640,int_stack+190040,int_stack+179015,105);
 /*--- compute (r0|qd) ---*/
 hrr3_build_qd(Libint->CD,int_stack+97965,int_stack+202640,int_stack+0,105);
 /*--- compute (r0|of) ---*/
 hrr3_build_of(Libint->CD,int_stack+155295,int_stack+97965,int_stack+413165,105);
 /*--- compute (r0|ng) ---*/
 hrr3_build_ng(Libint->CD,int_stack+648155,int_stack+155295,int_stack+28665,105);
 /*--- compute (r0|mh) ---*/
 hrr3_build_mh(Libint->CD,int_stack+0,int_stack+648155,int_stack+462305,105);
 /*--- compute (r0|li) ---*/
 hrr3_build_li(Libint->CD,int_stack+648155,int_stack+0,int_stack+548930,105);
 /*--- compute (r0|kk) ---*/
 hrr3_build_kk(Libint->CD,int_stack+0,int_stack+648155,int_stack+282020,105);
 /*--- compute (qp|kk) ---*/
 hrr1_build_qp(Libint->AB,int_stack+136080,int_stack+0,int_stack+797660,1296);
 /*--- compute (od|kk) ---*/
 hrr1_build_od(Libint->AB,int_stack+1732076,int_stack+136080,int_stack+915596,1296);
 /*--- compute (nf|kk) ---*/
 hrr1_build_nf(Libint->AB,int_stack+0,int_stack+1732076,int_stack+1218860,1296);
 return int_stack+0;}
