#include <stdio.h>
#include <string.h>
#include "libint.h"
#include "hrr_header.h"

extern void vrr_order_p0ld(Libint_t*, prim_data*);

  /* Computes quartets of (p0|ld) integrals */

REALTYPE *hrr_order_p0ld(Libint_t *Libint, int num_prim_comb)
{
 prim_data *Data = Libint->PrimQuartet;
 REALTYPE *int_stack = Libint->int_stack;
 int i;

 Libint->vrr_classes[1][8] = int_stack + 0;
 Libint->vrr_classes[1][9] = int_stack + 135;
 Libint->vrr_classes[1][10] = int_stack + 300;
 memset(int_stack,0,498*sizeof(REALTYPE));

 Libint->vrr_stack = int_stack + 498;
 for(i=0;i<num_prim_comb;i++) {
   vrr_order_p0ld(Libint, Data);
   Data++;
 }
 /*--- compute (p0|lp) ---*/
 hrr3_build_lp(Libint->CD,int_stack+498,int_stack+135,int_stack+0,3);
 /*--- compute (p0|mp) ---*/
 hrr3_build_mp(Libint->CD,int_stack+903,int_stack+300,int_stack+135,3);
 /*--- compute (p0|ld) ---*/
 hrr3_build_ld(Libint->CD,int_stack+1398,int_stack+903,int_stack+498,3);
 return int_stack+1398;}
