#include <stdio.h>
#include "libint.h"
#include "vrr_header.h"

  /* Computes quartets necessary to compute (hf|mm) integrals */

void vrr_order_hfmm(Libint_t * Libint, prim_data *Data)
{
 REALTYPE *vrr_stack = Libint->vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];
 _BUILD_00p0(Data,vrr_stack+0, Data->F+8, Data->F+9, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+9, Data->F+10, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+6, vrr_stack+0, vrr_stack+3, Data->F+8, Data->F+9, NULL);
 _BUILD_00p0(Data,vrr_stack+12, Data->F+7, Data->F+8, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+12, vrr_stack+0, Data->F+7, Data->F+8, NULL);
 _BUILD_p0d0(Data,vrr_stack+21, vrr_stack+15, vrr_stack+6, NULL, NULL, vrr_stack+0);
 _BUILD_00f0(Data,vrr_stack+39, vrr_stack+15, vrr_stack+6, vrr_stack+12, vrr_stack+0, NULL);
 _BUILD_00p0(Data,vrr_stack+49, Data->F+6, Data->F+7, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+52, vrr_stack+49, vrr_stack+12, Data->F+6, Data->F+7, NULL);
 _BUILD_00f0(Data,vrr_stack+58, vrr_stack+52, vrr_stack+15, vrr_stack+49, vrr_stack+12, NULL);
 _BUILD_00p0(Data,vrr_stack+12, Data->F+10, Data->F+11, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+68, vrr_stack+3, vrr_stack+12, Data->F+9, Data->F+10, NULL);
 _BUILD_00f0(Data,vrr_stack+74, vrr_stack+6, vrr_stack+68, vrr_stack+0, vrr_stack+3, NULL);
 _BUILD_p0f0(Data,vrr_stack+84, vrr_stack+39, vrr_stack+74, NULL, NULL, vrr_stack+6);
 _BUILD_p0f0(Data,vrr_stack+114, vrr_stack+58, vrr_stack+39, NULL, NULL, vrr_stack+15);
 _BUILD_d0f0(Data,vrr_stack+144, vrr_stack+114, vrr_stack+84, vrr_stack+58, vrr_stack+39, vrr_stack+21);
 _BUILD_00g0(Data,vrr_stack+21, vrr_stack+39, vrr_stack+74, vrr_stack+15, vrr_stack+6, NULL);
 _BUILD_00g0(Data,vrr_stack+204, vrr_stack+58, vrr_stack+39, vrr_stack+52, vrr_stack+15, NULL);
 _BUILD_p0g0(Data,vrr_stack+219, vrr_stack+204, vrr_stack+21, NULL, NULL, vrr_stack+39);
 _BUILD_00p0(Data,vrr_stack+36, Data->F+5, Data->F+6, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+36, vrr_stack+49, Data->F+5, Data->F+6, NULL);
 _BUILD_00f0(Data,vrr_stack+264, vrr_stack+15, vrr_stack+52, vrr_stack+36, vrr_stack+49, NULL);
 _BUILD_00g0(Data,vrr_stack+274, vrr_stack+264, vrr_stack+58, vrr_stack+15, vrr_stack+52, NULL);
 _BUILD_p0g0(Data,vrr_stack+289, vrr_stack+274, vrr_stack+204, NULL, NULL, vrr_stack+58);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+11, Data->F+12, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+49, vrr_stack+12, vrr_stack+0, Data->F+10, Data->F+11, NULL);
 _BUILD_00f0(Data,vrr_stack+334, vrr_stack+68, vrr_stack+49, vrr_stack+3, vrr_stack+12, NULL);
 _BUILD_00g0(Data,vrr_stack+344, vrr_stack+74, vrr_stack+334, vrr_stack+6, vrr_stack+68, NULL);
 _BUILD_p0g0(Data,vrr_stack+359, vrr_stack+21, vrr_stack+344, NULL, NULL, vrr_stack+74);
 _BUILD_d0g0(Data,vrr_stack+404, vrr_stack+219, vrr_stack+359, vrr_stack+204, vrr_stack+21, vrr_stack+84);
 _BUILD_d0g0(Data,vrr_stack+494, vrr_stack+289, vrr_stack+219, vrr_stack+274, vrr_stack+204, vrr_stack+114);
 _BUILD_f0g0(Data,vrr_stack+584, vrr_stack+494, vrr_stack+404, vrr_stack+289, vrr_stack+219, vrr_stack+144);
 _BUILD_00h0(Data,vrr_stack+84, vrr_stack+204, vrr_stack+21, vrr_stack+58, vrr_stack+39, NULL);
 _BUILD_00h0(Data,vrr_stack+105, vrr_stack+274, vrr_stack+204, vrr_stack+264, vrr_stack+58, NULL);
 _BUILD_00h0(Data,vrr_stack+126, vrr_stack+21, vrr_stack+344, vrr_stack+39, vrr_stack+74, NULL);
 _BUILD_p0h0(Data,vrr_stack+734, vrr_stack+84, vrr_stack+126, NULL, NULL, vrr_stack+21);
 _BUILD_p0h0(Data,vrr_stack+797, vrr_stack+105, vrr_stack+84, NULL, NULL, vrr_stack+204);
 _BUILD_d0h0(Data,vrr_stack+860, vrr_stack+797, vrr_stack+734, vrr_stack+105, vrr_stack+84, vrr_stack+219);
 _BUILD_00p0(Data,vrr_stack+219, Data->F+4, Data->F+5, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+222, vrr_stack+219, vrr_stack+36, Data->F+4, Data->F+5, NULL);
 _BUILD_00f0(Data,vrr_stack+39, vrr_stack+222, vrr_stack+15, vrr_stack+219, vrr_stack+36, NULL);
 _BUILD_00g0(Data,vrr_stack+986, vrr_stack+39, vrr_stack+264, vrr_stack+222, vrr_stack+15, NULL);
 _BUILD_00h0(Data,vrr_stack+228, vrr_stack+986, vrr_stack+274, vrr_stack+39, vrr_stack+264, NULL);
 _BUILD_p0h0(Data,vrr_stack+1001, vrr_stack+228, vrr_stack+105, NULL, NULL, vrr_stack+274);
 _BUILD_d0h0(Data,vrr_stack+1064, vrr_stack+1001, vrr_stack+797, vrr_stack+228, vrr_stack+105, vrr_stack+289);
 _BUILD_00p0(Data,vrr_stack+36, Data->F+12, Data->F+13, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+0, vrr_stack+36, Data->F+11, Data->F+12, NULL);
 _BUILD_00f0(Data,vrr_stack+289, vrr_stack+49, vrr_stack+15, vrr_stack+12, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+299, vrr_stack+334, vrr_stack+289, vrr_stack+68, vrr_stack+49, NULL);
 _BUILD_00h0(Data,vrr_stack+249, vrr_stack+344, vrr_stack+299, vrr_stack+74, vrr_stack+334, NULL);
 _BUILD_p0h0(Data,vrr_stack+1190, vrr_stack+126, vrr_stack+249, NULL, NULL, vrr_stack+344);
 _BUILD_d0h0(Data,vrr_stack+1253, vrr_stack+734, vrr_stack+1190, vrr_stack+84, vrr_stack+126, vrr_stack+359);
 _BUILD_f0h0(Data,vrr_stack+1379, vrr_stack+860, vrr_stack+1253, vrr_stack+797, vrr_stack+734, vrr_stack+404);
 _BUILD_f0h0(Data,vrr_stack+1589, vrr_stack+1064, vrr_stack+860, vrr_stack+1001, vrr_stack+797, vrr_stack+494);
 _BUILD_g0h0(Data,vrr_stack+1799, vrr_stack+1589, vrr_stack+1379, vrr_stack+1064, vrr_stack+860, vrr_stack+584);
 _BUILD_00i0(Data,vrr_stack+359, vrr_stack+84, vrr_stack+126, vrr_stack+204, vrr_stack+21, NULL);
 _BUILD_00i0(Data,vrr_stack+387, vrr_stack+105, vrr_stack+84, vrr_stack+274, vrr_stack+204, NULL);
 _BUILD_p0i0(Data,vrr_stack+415, vrr_stack+387, vrr_stack+359, NULL, NULL, vrr_stack+84);
 _BUILD_00i0(Data,vrr_stack+499, vrr_stack+228, vrr_stack+105, vrr_stack+986, vrr_stack+274, NULL);
 _BUILD_p0i0(Data,vrr_stack+527, vrr_stack+499, vrr_stack+387, NULL, NULL, vrr_stack+105);
 _BUILD_00i0(Data,vrr_stack+611, vrr_stack+126, vrr_stack+249, vrr_stack+21, vrr_stack+344, NULL);
 _BUILD_p0i0(Data,vrr_stack+639, vrr_stack+359, vrr_stack+611, NULL, NULL, vrr_stack+126);
 _BUILD_d0i0(Data,vrr_stack+2114, vrr_stack+415, vrr_stack+639, vrr_stack+387, vrr_stack+359, vrr_stack+734);
 _BUILD_d0i0(Data,vrr_stack+2282, vrr_stack+527, vrr_stack+415, vrr_stack+499, vrr_stack+387, vrr_stack+797);
 _BUILD_f0i0(Data,vrr_stack+2450, vrr_stack+2282, vrr_stack+2114, vrr_stack+527, vrr_stack+415, vrr_stack+860);
 _BUILD_00p0(Data,vrr_stack+21, Data->F+3, Data->F+4, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+24, vrr_stack+21, vrr_stack+219, Data->F+3, Data->F+4, NULL);
 _BUILD_00f0(Data,vrr_stack+723, vrr_stack+24, vrr_stack+222, vrr_stack+21, vrr_stack+219, NULL);
 _BUILD_00g0(Data,vrr_stack+733, vrr_stack+723, vrr_stack+39, vrr_stack+24, vrr_stack+222, NULL);
 _BUILD_00h0(Data,vrr_stack+748, vrr_stack+733, vrr_stack+986, vrr_stack+723, vrr_stack+39, NULL);
 _BUILD_00i0(Data,vrr_stack+769, vrr_stack+748, vrr_stack+228, vrr_stack+733, vrr_stack+986, NULL);
 _BUILD_p0i0(Data,vrr_stack+797, vrr_stack+769, vrr_stack+499, NULL, NULL, vrr_stack+228);
 _BUILD_d0i0(Data,vrr_stack+2730, vrr_stack+797, vrr_stack+527, vrr_stack+769, vrr_stack+499, vrr_stack+1001);
 _BUILD_f0i0(Data,vrr_stack+2898, vrr_stack+2730, vrr_stack+2282, vrr_stack+797, vrr_stack+527, vrr_stack+1064);
 _BUILD_00p0(Data,vrr_stack+39, Data->F+13, Data->F+14, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+30, vrr_stack+36, vrr_stack+39, Data->F+12, Data->F+13, NULL);
 _BUILD_00f0(Data,vrr_stack+881, vrr_stack+15, vrr_stack+30, vrr_stack+0, vrr_stack+36, NULL);
 _BUILD_00g0(Data,vrr_stack+0, vrr_stack+289, vrr_stack+881, vrr_stack+49, vrr_stack+15, NULL);
 _BUILD_00h0(Data,vrr_stack+42, vrr_stack+299, vrr_stack+0, vrr_stack+334, vrr_stack+289, NULL);
 _BUILD_00i0(Data,vrr_stack+891, vrr_stack+249, vrr_stack+42, vrr_stack+344, vrr_stack+299, NULL);
 _BUILD_p0i0(Data,vrr_stack+919, vrr_stack+611, vrr_stack+891, NULL, NULL, vrr_stack+249);
 _BUILD_d0i0(Data,vrr_stack+1003, vrr_stack+639, vrr_stack+919, vrr_stack+359, vrr_stack+611, vrr_stack+1190);
 _BUILD_f0i0(Data,vrr_stack+3178, vrr_stack+2114, vrr_stack+1003, vrr_stack+415, vrr_stack+639, vrr_stack+1253);
 _BUILD_g0i0(Data,vrr_stack+3458, vrr_stack+2450, vrr_stack+3178, vrr_stack+2282, vrr_stack+2114, vrr_stack+1379);
 _BUILD_g0i0(Data,vrr_stack+3878, vrr_stack+2898, vrr_stack+2450, vrr_stack+2730, vrr_stack+2282, vrr_stack+1589);
 _BUILD_h0i0(Data,vrr_stack+1171, vrr_stack+3878, vrr_stack+3458, vrr_stack+2898, vrr_stack+2450, vrr_stack+1799);
 _BUILD_00k0(Data,vrr_stack+1759, vrr_stack+387, vrr_stack+359, vrr_stack+105, vrr_stack+84, NULL);
 _BUILD_00k0(Data,vrr_stack+1795, vrr_stack+499, vrr_stack+387, vrr_stack+228, vrr_stack+105, NULL);
 _BUILD_00k0(Data,vrr_stack+1831, vrr_stack+359, vrr_stack+611, vrr_stack+84, vrr_stack+126, NULL);
 _BUILD_p0k0(Data,vrr_stack+1867, vrr_stack+1759, vrr_stack+1831, NULL, NULL, vrr_stack+359);
 _BUILD_p0k0(Data,vrr_stack+1975, vrr_stack+1795, vrr_stack+1759, NULL, NULL, vrr_stack+387);
 _BUILD_d0k0(Data,vrr_stack+4298, vrr_stack+1975, vrr_stack+1867, vrr_stack+1795, vrr_stack+1759, vrr_stack+415);
 _BUILD_00k0(Data,vrr_stack+415, vrr_stack+769, vrr_stack+499, vrr_stack+748, vrr_stack+228, NULL);
 _BUILD_p0k0(Data,vrr_stack+4514, vrr_stack+415, vrr_stack+1795, NULL, NULL, vrr_stack+499);
 _BUILD_d0k0(Data,vrr_stack+4622, vrr_stack+4514, vrr_stack+1975, vrr_stack+415, vrr_stack+1795, vrr_stack+527);
 _BUILD_00k0(Data,vrr_stack+527, vrr_stack+611, vrr_stack+891, vrr_stack+126, vrr_stack+249, NULL);
 _BUILD_p0k0(Data,vrr_stack+63, vrr_stack+1831, vrr_stack+527, NULL, NULL, vrr_stack+611);
 _BUILD_d0k0(Data,vrr_stack+4838, vrr_stack+1867, vrr_stack+63, vrr_stack+1759, vrr_stack+1831, vrr_stack+639);
 _BUILD_f0k0(Data,vrr_stack+5054, vrr_stack+4298, vrr_stack+4838, vrr_stack+1975, vrr_stack+1867, vrr_stack+2114);
 _BUILD_f0k0(Data,vrr_stack+5414, vrr_stack+4622, vrr_stack+4298, vrr_stack+4514, vrr_stack+1975, vrr_stack+2282);
 _BUILD_g0k0(Data,vrr_stack+5774, vrr_stack+5414, vrr_stack+5054, vrr_stack+4622, vrr_stack+4298, vrr_stack+2450);
 _BUILD_00p0(Data,vrr_stack+639, Data->F+2, Data->F+3, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+642, vrr_stack+639, vrr_stack+21, Data->F+2, Data->F+3, NULL);
 _BUILD_00f0(Data,vrr_stack+648, vrr_stack+642, vrr_stack+24, vrr_stack+639, vrr_stack+21, NULL);
 _BUILD_00g0(Data,vrr_stack+658, vrr_stack+648, vrr_stack+723, vrr_stack+642, vrr_stack+24, NULL);
 _BUILD_00h0(Data,vrr_stack+673, vrr_stack+658, vrr_stack+733, vrr_stack+648, vrr_stack+723, NULL);
 _BUILD_00i0(Data,vrr_stack+694, vrr_stack+673, vrr_stack+748, vrr_stack+658, vrr_stack+733, NULL);
 _BUILD_00k0(Data,vrr_stack+563, vrr_stack+694, vrr_stack+769, vrr_stack+673, vrr_stack+748, NULL);
 _BUILD_p0k0(Data,vrr_stack+2083, vrr_stack+563, vrr_stack+415, NULL, NULL, vrr_stack+769);
 _BUILD_d0k0(Data,vrr_stack+2191, vrr_stack+2083, vrr_stack+4514, vrr_stack+563, vrr_stack+415, vrr_stack+797);
 _BUILD_f0k0(Data,vrr_stack+6314, vrr_stack+2191, vrr_stack+4622, vrr_stack+2083, vrr_stack+4514, vrr_stack+2730);
 _BUILD_g0k0(Data,vrr_stack+6674, vrr_stack+6314, vrr_stack+5414, vrr_stack+2191, vrr_stack+4622, vrr_stack+2898);
 _BUILD_00p0(Data,vrr_stack+797, Data->F+14, Data->F+15, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+800, vrr_stack+39, vrr_stack+797, Data->F+13, Data->F+14, NULL);
 _BUILD_00f0(Data,vrr_stack+806, vrr_stack+30, vrr_stack+800, vrr_stack+36, vrr_stack+39, NULL);
 _BUILD_00g0(Data,vrr_stack+816, vrr_stack+881, vrr_stack+806, vrr_stack+15, vrr_stack+30, NULL);
 _BUILD_00h0(Data,vrr_stack+831, vrr_stack+0, vrr_stack+816, vrr_stack+289, vrr_stack+881, NULL);
 _BUILD_00i0(Data,vrr_stack+852, vrr_stack+42, vrr_stack+831, vrr_stack+299, vrr_stack+0, NULL);
 _BUILD_00k0(Data,vrr_stack+722, vrr_stack+891, vrr_stack+852, vrr_stack+249, vrr_stack+42, NULL);
 _BUILD_p0k0(Data,vrr_stack+171, vrr_stack+527, vrr_stack+722, NULL, NULL, vrr_stack+891);
 _BUILD_d0k0(Data,vrr_stack+2407, vrr_stack+63, vrr_stack+171, vrr_stack+1831, vrr_stack+527, vrr_stack+919);
 _BUILD_f0k0(Data,vrr_stack+2623, vrr_stack+4838, vrr_stack+2407, vrr_stack+1867, vrr_stack+63, vrr_stack+1003);
 _BUILD_g0k0(Data,vrr_stack+7214, vrr_stack+5054, vrr_stack+2623, vrr_stack+4298, vrr_stack+4838, vrr_stack+3178);
 _BUILD_h0k0(Data,vrr_stack+7754, vrr_stack+5774, vrr_stack+7214, vrr_stack+5414, vrr_stack+5054, vrr_stack+3458);
 _BUILD_h0k0(Data,vrr_stack+2983, vrr_stack+6674, vrr_stack+5774, vrr_stack+6314, vrr_stack+5414, vrr_stack+3878);
 _BUILD_i0k0(Data,vrr_stack+8510, vrr_stack+2983, vrr_stack+7754, vrr_stack+6674, vrr_stack+5774, vrr_stack+1171);
 _BUILD_00l0(Data,vrr_stack+919, vrr_stack+1759, vrr_stack+1831, vrr_stack+387, vrr_stack+359, NULL);
 _BUILD_00l0(Data,vrr_stack+964, vrr_stack+1795, vrr_stack+1759, vrr_stack+499, vrr_stack+387, NULL);
 _BUILD_p0l0(Data,vrr_stack+1009, vrr_stack+964, vrr_stack+919, NULL, NULL, vrr_stack+1759);
 _BUILD_00l0(Data,vrr_stack+1144, vrr_stack+415, vrr_stack+1795, vrr_stack+769, vrr_stack+499, NULL);
 _BUILD_p0l0(Data,vrr_stack+1189, vrr_stack+1144, vrr_stack+964, NULL, NULL, vrr_stack+1795);
 _BUILD_00l0(Data,vrr_stack+1324, vrr_stack+1831, vrr_stack+527, vrr_stack+359, vrr_stack+611, NULL);
 _BUILD_p0l0(Data,vrr_stack+1369, vrr_stack+919, vrr_stack+1324, NULL, NULL, vrr_stack+1831);
 _BUILD_d0l0(Data,vrr_stack+3739, vrr_stack+1009, vrr_stack+1369, vrr_stack+964, vrr_stack+919, vrr_stack+1867);
 _BUILD_d0l0(Data,vrr_stack+4009, vrr_stack+1189, vrr_stack+1009, vrr_stack+1144, vrr_stack+964, vrr_stack+1975);
 _BUILD_f0l0(Data,vrr_stack+9518, vrr_stack+4009, vrr_stack+3739, vrr_stack+1189, vrr_stack+1009, vrr_stack+4298);
 _BUILD_00l0(Data,vrr_stack+1867, vrr_stack+563, vrr_stack+415, vrr_stack+694, vrr_stack+769, NULL);
 _BUILD_p0l0(Data,vrr_stack+1912, vrr_stack+1867, vrr_stack+1144, NULL, NULL, vrr_stack+415);
 _BUILD_d0l0(Data,vrr_stack+9968, vrr_stack+1912, vrr_stack+1189, vrr_stack+1867, vrr_stack+1144, vrr_stack+4514);
 _BUILD_f0l0(Data,vrr_stack+10238, vrr_stack+9968, vrr_stack+4009, vrr_stack+1912, vrr_stack+1189, vrr_stack+4622);
 _BUILD_00l0(Data,vrr_stack+1504, vrr_stack+527, vrr_stack+722, vrr_stack+611, vrr_stack+891, NULL);
 _BUILD_p0l0(Data,vrr_stack+1549, vrr_stack+1324, vrr_stack+1504, NULL, NULL, vrr_stack+527);
 _BUILD_d0l0(Data,vrr_stack+4279, vrr_stack+1369, vrr_stack+1549, vrr_stack+919, vrr_stack+1324, vrr_stack+63);
 _BUILD_f0l0(Data,vrr_stack+10688, vrr_stack+3739, vrr_stack+4279, vrr_stack+1009, vrr_stack+1369, vrr_stack+4838);
 _BUILD_g0l0(Data,vrr_stack+11138, vrr_stack+9518, vrr_stack+10688, vrr_stack+4009, vrr_stack+3739, vrr_stack+5054);
 _BUILD_g0l0(Data,vrr_stack+4549, vrr_stack+10238, vrr_stack+9518, vrr_stack+9968, vrr_stack+4009, vrr_stack+5414);
 _BUILD_h0l0(Data,vrr_stack+11813, vrr_stack+4549, vrr_stack+11138, vrr_stack+10238, vrr_stack+9518, vrr_stack+5774);
 _BUILD_00p0(Data,vrr_stack+36, Data->F+1, Data->F+2, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+63, vrr_stack+36, vrr_stack+639, Data->F+1, Data->F+2, NULL);
 _BUILD_00f0(Data,vrr_stack+69, vrr_stack+63, vrr_stack+642, vrr_stack+36, vrr_stack+639, NULL);
 _BUILD_00g0(Data,vrr_stack+15, vrr_stack+69, vrr_stack+648, vrr_stack+63, vrr_stack+642, NULL);
 _BUILD_00h0(Data,vrr_stack+79, vrr_stack+15, vrr_stack+658, vrr_stack+69, vrr_stack+648, NULL);
 _BUILD_00i0(Data,vrr_stack+100, vrr_stack+79, vrr_stack+673, vrr_stack+15, vrr_stack+658, NULL);
 _BUILD_00k0(Data,vrr_stack+2047, vrr_stack+100, vrr_stack+694, vrr_stack+79, vrr_stack+673, NULL);
 _BUILD_00l0(Data,vrr_stack+1684, vrr_stack+2047, vrr_stack+563, vrr_stack+100, vrr_stack+694, NULL);
 _BUILD_p0l0(Data,vrr_stack+279, vrr_stack+1684, vrr_stack+1867, NULL, NULL, vrr_stack+563);
 _BUILD_d0l0(Data,vrr_stack+5224, vrr_stack+279, vrr_stack+1912, vrr_stack+1684, vrr_stack+1867, vrr_stack+2083);
 _BUILD_f0l0(Data,vrr_stack+5494, vrr_stack+5224, vrr_stack+9968, vrr_stack+279, vrr_stack+1912, vrr_stack+2191);
 _BUILD_g0l0(Data,vrr_stack+12758, vrr_stack+5494, vrr_stack+10238, vrr_stack+5224, vrr_stack+9968, vrr_stack+6314);
 _BUILD_h0l0(Data,vrr_stack+13433, vrr_stack+12758, vrr_stack+4549, vrr_stack+5494, vrr_stack+10238, vrr_stack+6674);
 _BUILD_00p0(Data,vrr_stack+2083, Data->F+15, Data->F+16, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+2086, vrr_stack+797, vrr_stack+2083, Data->F+14, Data->F+15, NULL);
 _BUILD_00f0(Data,vrr_stack+2092, vrr_stack+800, vrr_stack+2086, vrr_stack+39, vrr_stack+797, NULL);
 _BUILD_00g0(Data,vrr_stack+2102, vrr_stack+806, vrr_stack+2092, vrr_stack+30, vrr_stack+800, NULL);
 _BUILD_00h0(Data,vrr_stack+2117, vrr_stack+816, vrr_stack+2102, vrr_stack+881, vrr_stack+806, NULL);
 _BUILD_00i0(Data,vrr_stack+2138, vrr_stack+831, vrr_stack+2117, vrr_stack+0, vrr_stack+816, NULL);
 _BUILD_00k0(Data,vrr_stack+2166, vrr_stack+852, vrr_stack+2138, vrr_stack+42, vrr_stack+831, NULL);
 _BUILD_00l0(Data,vrr_stack+2202, vrr_stack+722, vrr_stack+2166, vrr_stack+891, vrr_stack+852, NULL);
 _BUILD_p0l0(Data,vrr_stack+2247, vrr_stack+1504, vrr_stack+2202, NULL, NULL, vrr_stack+722);
 _BUILD_d0l0(Data,vrr_stack+5944, vrr_stack+1549, vrr_stack+2247, vrr_stack+1324, vrr_stack+1504, vrr_stack+171);
 _BUILD_f0l0(Data,vrr_stack+6214, vrr_stack+4279, vrr_stack+5944, vrr_stack+1369, vrr_stack+1549, vrr_stack+2407);
 _BUILD_g0l0(Data,vrr_stack+14378, vrr_stack+10688, vrr_stack+6214, vrr_stack+3739, vrr_stack+4279, vrr_stack+2623);
 _BUILD_h0l0(Data,vrr_stack+15053, vrr_stack+11138, vrr_stack+14378, vrr_stack+9518, vrr_stack+10688, vrr_stack+7214);
 _BUILD_i0l0(Data,vrr_stack+15998, vrr_stack+11813, vrr_stack+15053, vrr_stack+4549, vrr_stack+11138, vrr_stack+7754);
 _BUILD_i0l0(Data,vrr_stack+6664, vrr_stack+13433, vrr_stack+11813, vrr_stack+12758, vrr_stack+4549, vrr_stack+2983);
 _BUILD_k0l0(Data,vrr_stack+17258, vrr_stack+6664, vrr_stack+15998, vrr_stack+13433, vrr_stack+11813, vrr_stack+8510);
 _BUILD_00m0(Data,vrr_stack+2382, vrr_stack+964, vrr_stack+919, vrr_stack+1795, vrr_stack+1759, NULL);
 _BUILD_00m0(Data,vrr_stack+2437, vrr_stack+1144, vrr_stack+964, vrr_stack+415, vrr_stack+1795, NULL);
 _BUILD_00m0(Data,vrr_stack+2492, vrr_stack+919, vrr_stack+1324, vrr_stack+1759, vrr_stack+1831, NULL);
 _BUILD_p0m0(Data,vrr_stack+2547, vrr_stack+2382, vrr_stack+2492, NULL, NULL, vrr_stack+919);
 _BUILD_p0m0(Data,vrr_stack+2712, vrr_stack+2437, vrr_stack+2382, NULL, NULL, vrr_stack+964);
 _BUILD_d0m0(Data,vrr_stack+2877, vrr_stack+2712, vrr_stack+2547, vrr_stack+2437, vrr_stack+2382, vrr_stack+1009);
 _BUILD_00m0(Data,vrr_stack+1009, vrr_stack+1867, vrr_stack+1144, vrr_stack+563, vrr_stack+415, NULL);
 _BUILD_p0m0(Data,vrr_stack+3207, vrr_stack+1009, vrr_stack+2437, NULL, NULL, vrr_stack+1144);
 _BUILD_d0m0(Data,vrr_stack+3372, vrr_stack+3207, vrr_stack+2712, vrr_stack+1009, vrr_stack+2437, vrr_stack+1189);
 _BUILD_00m0(Data,vrr_stack+1189, vrr_stack+1324, vrr_stack+1504, vrr_stack+1831, vrr_stack+527, NULL);
 _BUILD_p0m0(Data,vrr_stack+7924, vrr_stack+2492, vrr_stack+1189, NULL, NULL, vrr_stack+1324);
 _BUILD_d0m0(Data,vrr_stack+8089, vrr_stack+2547, vrr_stack+7924, vrr_stack+2382, vrr_stack+2492, vrr_stack+1369);
 _BUILD_f0m0(Data,vrr_stack+8419, vrr_stack+2877, vrr_stack+8089, vrr_stack+2712, vrr_stack+2547, vrr_stack+3739);
 _BUILD_f0m0(Data,vrr_stack+18878, vrr_stack+3372, vrr_stack+2877, vrr_stack+3207, vrr_stack+2712, vrr_stack+4009);
 _BUILD_g0m0(Data,vrr_stack+19428, vrr_stack+18878, vrr_stack+8419, vrr_stack+3372, vrr_stack+2877, vrr_stack+9518);
 _BUILD_00m0(Data,vrr_stack+1369, vrr_stack+1684, vrr_stack+1867, vrr_stack+2047, vrr_stack+563, NULL);
 _BUILD_p0m0(Data,vrr_stack+3702, vrr_stack+1369, vrr_stack+1009, NULL, NULL, vrr_stack+1867);
 _BUILD_d0m0(Data,vrr_stack+3867, vrr_stack+3702, vrr_stack+3207, vrr_stack+1369, vrr_stack+1009, vrr_stack+1912);
 _BUILD_f0m0(Data,vrr_stack+8969, vrr_stack+3867, vrr_stack+3372, vrr_stack+3702, vrr_stack+3207, vrr_stack+9968);
 _BUILD_g0m0(Data,vrr_stack+20253, vrr_stack+8969, vrr_stack+18878, vrr_stack+3867, vrr_stack+3372, vrr_stack+10238);
 _BUILD_00m0(Data,vrr_stack+1912, vrr_stack+1504, vrr_stack+2202, vrr_stack+527, vrr_stack+722, NULL);
 _BUILD_p0m0(Data,vrr_stack+414, vrr_stack+1189, vrr_stack+1912, NULL, NULL, vrr_stack+1504);
 _BUILD_d0m0(Data,vrr_stack+9519, vrr_stack+7924, vrr_stack+414, vrr_stack+2492, vrr_stack+1189, vrr_stack+1549);
 _BUILD_f0m0(Data,vrr_stack+9849, vrr_stack+8089, vrr_stack+9519, vrr_stack+2547, vrr_stack+7924, vrr_stack+4279);
 _BUILD_g0m0(Data,vrr_stack+21078, vrr_stack+8419, vrr_stack+9849, vrr_stack+2877, vrr_stack+8089, vrr_stack+10688);
 _BUILD_h0m0(Data,vrr_stack+21903, vrr_stack+19428, vrr_stack+21078, vrr_stack+18878, vrr_stack+8419, vrr_stack+11138);
 _BUILD_h0m0(Data,vrr_stack+10399, vrr_stack+20253, vrr_stack+19428, vrr_stack+8969, vrr_stack+18878, vrr_stack+4549);
 _BUILD_i0m0(Data,vrr_stack+23058, vrr_stack+10399, vrr_stack+21903, vrr_stack+20253, vrr_stack+19428, vrr_stack+11813);
 _BUILD_00p0(Data,vrr_stack+1549, Data->F+0, Data->F+1, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+30, vrr_stack+1549, vrr_stack+36, Data->F+0, Data->F+1, NULL);
 _BUILD_00f0(Data,vrr_stack+1552, vrr_stack+30, vrr_stack+63, vrr_stack+1549, vrr_stack+36, NULL);
 _BUILD_00g0(Data,vrr_stack+0, vrr_stack+1552, vrr_stack+69, vrr_stack+30, vrr_stack+63, NULL);
 _BUILD_00h0(Data,vrr_stack+30, vrr_stack+0, vrr_stack+15, vrr_stack+1552, vrr_stack+69, NULL);
 _BUILD_00i0(Data,vrr_stack+51, vrr_stack+30, vrr_stack+79, vrr_stack+0, vrr_stack+15, NULL);
 _BUILD_00k0(Data,vrr_stack+1549, vrr_stack+51, vrr_stack+100, vrr_stack+30, vrr_stack+79, NULL);
 _BUILD_00l0(Data,vrr_stack+0, vrr_stack+1549, vrr_stack+2047, vrr_stack+51, vrr_stack+100, NULL);
 _BUILD_00m0(Data,vrr_stack+45, vrr_stack+0, vrr_stack+1684, vrr_stack+1549, vrr_stack+2047, NULL);
 _BUILD_p0m0(Data,vrr_stack+100, vrr_stack+45, vrr_stack+1369, NULL, NULL, vrr_stack+1684);
 _BUILD_d0m0(Data,vrr_stack+4197, vrr_stack+100, vrr_stack+3702, vrr_stack+45, vrr_stack+1369, vrr_stack+279);
 _BUILD_f0m0(Data,vrr_stack+4527, vrr_stack+4197, vrr_stack+3867, vrr_stack+100, vrr_stack+3702, vrr_stack+5224);
 _BUILD_g0m0(Data,vrr_stack+11554, vrr_stack+4527, vrr_stack+8969, vrr_stack+4197, vrr_stack+3867, vrr_stack+5494);
 _BUILD_h0m0(Data,vrr_stack+24598, vrr_stack+11554, vrr_stack+20253, vrr_stack+4527, vrr_stack+8969, vrr_stack+12758);
   tmp = vrr_stack + 24598;
   target_ptr = Libint->vrr_classes[5][9];
   for(i=0;i<1155;i++)
     target_ptr[i] += tmp[i];
 _BUILD_i0m0(Data,vrr_stack+4197, vrr_stack+24598, vrr_stack+10399, vrr_stack+11554, vrr_stack+20253, vrr_stack+13433);
   tmp = vrr_stack + 4197;
   target_ptr = Libint->vrr_classes[6][9];
   for(i=0;i<1540;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+11554, Data->F+16, Data->F+17, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+11557, vrr_stack+2083, vrr_stack+11554, Data->F+15, Data->F+16, NULL);
 _BUILD_00f0(Data,vrr_stack+11563, vrr_stack+2086, vrr_stack+11557, vrr_stack+797, vrr_stack+2083, NULL);
 _BUILD_00g0(Data,vrr_stack+11573, vrr_stack+2092, vrr_stack+11563, vrr_stack+800, vrr_stack+2086, NULL);
 _BUILD_00h0(Data,vrr_stack+11588, vrr_stack+2102, vrr_stack+11573, vrr_stack+806, vrr_stack+2092, NULL);
 _BUILD_00i0(Data,vrr_stack+11609, vrr_stack+2117, vrr_stack+11588, vrr_stack+816, vrr_stack+2102, NULL);
 _BUILD_00k0(Data,vrr_stack+11637, vrr_stack+2138, vrr_stack+11609, vrr_stack+831, vrr_stack+2117, NULL);
 _BUILD_00l0(Data,vrr_stack+11673, vrr_stack+2166, vrr_stack+11637, vrr_stack+852, vrr_stack+2138, NULL);
 _BUILD_00m0(Data,vrr_stack+11718, vrr_stack+2202, vrr_stack+11673, vrr_stack+722, vrr_stack+2166, NULL);
 _BUILD_p0m0(Data,vrr_stack+11773, vrr_stack+1912, vrr_stack+11718, NULL, NULL, vrr_stack+2202);
 _BUILD_d0m0(Data,vrr_stack+11938, vrr_stack+414, vrr_stack+11773, vrr_stack+1189, vrr_stack+1912, vrr_stack+2247);
 _BUILD_f0m0(Data,vrr_stack+12268, vrr_stack+9519, vrr_stack+11938, vrr_stack+7924, vrr_stack+414, vrr_stack+5944);
 _BUILD_g0m0(Data,vrr_stack+12818, vrr_stack+9849, vrr_stack+12268, vrr_stack+8089, vrr_stack+9519, vrr_stack+6214);
 _BUILD_h0m0(Data,vrr_stack+25753, vrr_stack+21078, vrr_stack+12818, vrr_stack+8419, vrr_stack+9849, vrr_stack+14378);
 _BUILD_i0m0(Data,vrr_stack+26908, vrr_stack+21903, vrr_stack+25753, vrr_stack+19428, vrr_stack+21078, vrr_stack+15053);
 _BUILD_k0m0(Data,vrr_stack+13643, vrr_stack+23058, vrr_stack+26908, vrr_stack+10399, vrr_stack+21903, vrr_stack+15998);
 _BUILD_k0m0(Data,vrr_stack+28448, vrr_stack+4197, vrr_stack+23058, vrr_stack+24598, vrr_stack+10399, vrr_stack+6664);
   tmp = vrr_stack + 28448;
   target_ptr = Libint->vrr_classes[7][9];
   for(i=0;i<1980;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00n0(Data,vrr_stack+24598, vrr_stack+2382, vrr_stack+2492, vrr_stack+964, vrr_stack+919, NULL);
 _BUILD_00n0(Data,vrr_stack+24664, vrr_stack+2437, vrr_stack+2382, vrr_stack+1144, vrr_stack+964, NULL);
 _BUILD_00n0(Data,vrr_stack+24730, vrr_stack+2492, vrr_stack+1189, vrr_stack+919, vrr_stack+1324, NULL);
 _BUILD_p0n0(Data,vrr_stack+24796, vrr_stack+24598, vrr_stack+24730, NULL, NULL, vrr_stack+2492);
 _BUILD_p0n0(Data,vrr_stack+24994, vrr_stack+24664, vrr_stack+24598, NULL, NULL, vrr_stack+2382);
 _BUILD_d0n0(Data,vrr_stack+25192, vrr_stack+24994, vrr_stack+24796, vrr_stack+24664, vrr_stack+24598, vrr_stack+2547);
 _BUILD_00n0(Data,vrr_stack+2547, vrr_stack+1009, vrr_stack+2437, vrr_stack+1867, vrr_stack+1144, NULL);
 _BUILD_p0n0(Data,vrr_stack+15623, vrr_stack+2547, vrr_stack+24664, NULL, NULL, vrr_stack+2437);
 _BUILD_d0n0(Data,vrr_stack+15821, vrr_stack+15623, vrr_stack+24994, vrr_stack+2547, vrr_stack+24664, vrr_stack+2712);
 _BUILD_00n0(Data,vrr_stack+2613, vrr_stack+1189, vrr_stack+1912, vrr_stack+1324, vrr_stack+1504, NULL);
 _BUILD_p0n0(Data,vrr_stack+2679, vrr_stack+24730, vrr_stack+2613, NULL, NULL, vrr_stack+1189);
 _BUILD_d0n0(Data,vrr_stack+16217, vrr_stack+24796, vrr_stack+2679, vrr_stack+24598, vrr_stack+24730, vrr_stack+7924);
 _BUILD_f0n0(Data,vrr_stack+5737, vrr_stack+25192, vrr_stack+16217, vrr_stack+24994, vrr_stack+24796, vrr_stack+8089);
 _BUILD_f0n0(Data,vrr_stack+6397, vrr_stack+15821, vrr_stack+25192, vrr_stack+15623, vrr_stack+24994, vrr_stack+2877);
 _BUILD_g0n0(Data,vrr_stack+7057, vrr_stack+6397, vrr_stack+5737, vrr_stack+15821, vrr_stack+25192, vrr_stack+8419);
 _BUILD_00n0(Data,vrr_stack+2877, vrr_stack+1369, vrr_stack+1009, vrr_stack+1684, vrr_stack+1867, NULL);
 _BUILD_p0n0(Data,vrr_stack+2943, vrr_stack+2877, vrr_stack+2547, NULL, NULL, vrr_stack+1009);
 _BUILD_d0n0(Data,vrr_stack+16613, vrr_stack+2943, vrr_stack+15623, vrr_stack+2877, vrr_stack+2547, vrr_stack+3207);
 _BUILD_f0n0(Data,vrr_stack+8047, vrr_stack+16613, vrr_stack+15821, vrr_stack+2943, vrr_stack+15623, vrr_stack+3372);
 _BUILD_g0n0(Data,vrr_stack+30428, vrr_stack+8047, vrr_stack+6397, vrr_stack+16613, vrr_stack+15821, vrr_stack+18878);
 _BUILD_00n0(Data,vrr_stack+18878, vrr_stack+1912, vrr_stack+11718, vrr_stack+1504, vrr_stack+2202, NULL);
 _BUILD_p0n0(Data,vrr_stack+18944, vrr_stack+2613, vrr_stack+18878, NULL, NULL, vrr_stack+1912);
 _BUILD_d0n0(Data,vrr_stack+3141, vrr_stack+2679, vrr_stack+18944, vrr_stack+24730, vrr_stack+2613, vrr_stack+414);
 _BUILD_f0n0(Data,vrr_stack+100, vrr_stack+16217, vrr_stack+3141, vrr_stack+24796, vrr_stack+2679, vrr_stack+9519);
 _BUILD_g0n0(Data,vrr_stack+31418, vrr_stack+5737, vrr_stack+100, vrr_stack+25192, vrr_stack+16217, vrr_stack+9849);
 _BUILD_h0n0(Data,vrr_stack+32408, vrr_stack+7057, vrr_stack+31418, vrr_stack+6397, vrr_stack+5737, vrr_stack+21078);
 _BUILD_h0n0(Data,vrr_stack+33794, vrr_stack+30428, vrr_stack+7057, vrr_stack+8047, vrr_stack+6397, vrr_stack+19428);
 _BUILD_i0n0(Data,vrr_stack+35180, vrr_stack+33794, vrr_stack+32408, vrr_stack+30428, vrr_stack+7057, vrr_stack+21903);
 _BUILD_00n0(Data,vrr_stack+21078, vrr_stack+45, vrr_stack+1369, vrr_stack+0, vrr_stack+1684, NULL);
 _BUILD_p0n0(Data,vrr_stack+21144, vrr_stack+21078, vrr_stack+2877, NULL, NULL, vrr_stack+1369);
 _BUILD_d0n0(Data,vrr_stack+21342, vrr_stack+21144, vrr_stack+2943, vrr_stack+21078, vrr_stack+2877, vrr_stack+3702);
 _BUILD_f0n0(Data,vrr_stack+21738, vrr_stack+21342, vrr_stack+16613, vrr_stack+21144, vrr_stack+2943, vrr_stack+3867);
 _BUILD_g0n0(Data,vrr_stack+19142, vrr_stack+21738, vrr_stack+8047, vrr_stack+21342, vrr_stack+16613, vrr_stack+8969);
 _BUILD_h0n0(Data,vrr_stack+8707, vrr_stack+19142, vrr_stack+30428, vrr_stack+21738, vrr_stack+8047, vrr_stack+20253);
   tmp = vrr_stack + 8707;
   target_ptr = Libint->vrr_classes[5][10];
   for(i=0;i<1386;i++)
     target_ptr[i] += tmp[i];
 _BUILD_i0n0(Data,vrr_stack+21144, vrr_stack+8707, vrr_stack+33794, vrr_stack+19142, vrr_stack+30428, vrr_stack+10399);
   tmp = vrr_stack + 21144;
   target_ptr = Libint->vrr_classes[6][10];
   for(i=0;i<1848;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+19142, Data->F+17, Data->F+18, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+19145, vrr_stack+11554, vrr_stack+19142, Data->F+16, Data->F+17, NULL);
 _BUILD_00f0(Data,vrr_stack+19151, vrr_stack+11557, vrr_stack+19145, vrr_stack+2083, vrr_stack+11554, NULL);
 _BUILD_00g0(Data,vrr_stack+19161, vrr_stack+11563, vrr_stack+19151, vrr_stack+2086, vrr_stack+11557, NULL);
 _BUILD_00h0(Data,vrr_stack+19176, vrr_stack+11573, vrr_stack+19161, vrr_stack+2092, vrr_stack+11563, NULL);
 _BUILD_00i0(Data,vrr_stack+19197, vrr_stack+11588, vrr_stack+19176, vrr_stack+2102, vrr_stack+11573, NULL);
 _BUILD_00k0(Data,vrr_stack+19225, vrr_stack+11609, vrr_stack+19197, vrr_stack+2117, vrr_stack+11588, NULL);
 _BUILD_00l0(Data,vrr_stack+0, vrr_stack+11637, vrr_stack+19225, vrr_stack+2138, vrr_stack+11609, NULL);
 _BUILD_00m0(Data,vrr_stack+19261, vrr_stack+11673, vrr_stack+0, vrr_stack+2166, vrr_stack+11637, NULL);
 _BUILD_00n0(Data,vrr_stack+22992, vrr_stack+11718, vrr_stack+19261, vrr_stack+2202, vrr_stack+11673, NULL);
 _BUILD_p0n0(Data,vrr_stack+19316, vrr_stack+18878, vrr_stack+22992, NULL, NULL, vrr_stack+11718);
 _BUILD_d0n0(Data,vrr_stack+19514, vrr_stack+18944, vrr_stack+19316, vrr_stack+2613, vrr_stack+18878, vrr_stack+11773);
 _BUILD_f0n0(Data,vrr_stack+3537, vrr_stack+3141, vrr_stack+19514, vrr_stack+2679, vrr_stack+18944, vrr_stack+11938);
 _BUILD_g0n0(Data,vrr_stack+19910, vrr_stack+100, vrr_stack+3537, vrr_stack+16217, vrr_stack+3141, vrr_stack+12268);
 _BUILD_h0n0(Data,vrr_stack+10093, vrr_stack+31418, vrr_stack+19910, vrr_stack+5737, vrr_stack+100, vrr_stack+12818);
 _BUILD_i0n0(Data,vrr_stack+11773, vrr_stack+32408, vrr_stack+10093, vrr_stack+7057, vrr_stack+31418, vrr_stack+25753);
 _BUILD_k0n0(Data,vrr_stack+37028, vrr_stack+35180, vrr_stack+11773, vrr_stack+33794, vrr_stack+32408, vrr_stack+26908);
 _BUILD_k0n0(Data,vrr_stack+25588, vrr_stack+21144, vrr_stack+35180, vrr_stack+8707, vrr_stack+33794, vrr_stack+23058);
   tmp = vrr_stack + 25588;
   target_ptr = Libint->vrr_classes[7][10];
   for(i=0;i<2376;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00o0(Data,vrr_stack+8707, vrr_stack+24598, vrr_stack+24730, vrr_stack+2382, vrr_stack+2492, NULL);
 _BUILD_00o0(Data,vrr_stack+8785, vrr_stack+24664, vrr_stack+24598, vrr_stack+2437, vrr_stack+2382, NULL);
 _BUILD_00o0(Data,vrr_stack+8863, vrr_stack+24730, vrr_stack+2613, vrr_stack+2492, vrr_stack+1189, NULL);
 _BUILD_p0o0(Data,vrr_stack+8941, vrr_stack+8707, vrr_stack+8863, NULL, NULL, vrr_stack+24730);
 _BUILD_p0o0(Data,vrr_stack+9175, vrr_stack+8785, vrr_stack+8707, NULL, NULL, vrr_stack+24598);
 _BUILD_d0o0(Data,vrr_stack+9409, vrr_stack+9175, vrr_stack+8941, vrr_stack+8785, vrr_stack+8707, vrr_stack+24796);
 _BUILD_00o0(Data,vrr_stack+24796, vrr_stack+2547, vrr_stack+24664, vrr_stack+1009, vrr_stack+2437, NULL);
 _BUILD_p0o0(Data,vrr_stack+27964, vrr_stack+24796, vrr_stack+8785, NULL, NULL, vrr_stack+24664);
 _BUILD_d0o0(Data,vrr_stack+1967, vrr_stack+27964, vrr_stack+9175, vrr_stack+24796, vrr_stack+8785, vrr_stack+24994);
 _BUILD_00o0(Data,vrr_stack+24874, vrr_stack+2613, vrr_stack+18878, vrr_stack+1189, vrr_stack+1912, NULL);
 _BUILD_p0o0(Data,vrr_stack+24952, vrr_stack+8863, vrr_stack+24874, NULL, NULL, vrr_stack+2613);
 _BUILD_d0o0(Data,vrr_stack+1424, vrr_stack+8941, vrr_stack+24952, vrr_stack+8707, vrr_stack+8863, vrr_stack+2679);
 _BUILD_f0o0(Data,vrr_stack+39404, vrr_stack+9409, vrr_stack+1424, vrr_stack+9175, vrr_stack+8941, vrr_stack+16217);
 _BUILD_f0o0(Data,vrr_stack+40184, vrr_stack+1967, vrr_stack+9409, vrr_stack+27964, vrr_stack+9175, vrr_stack+25192);
 _BUILD_g0o0(Data,vrr_stack+40964, vrr_stack+40184, vrr_stack+39404, vrr_stack+1967, vrr_stack+9409, vrr_stack+5737);
 _BUILD_00o0(Data,vrr_stack+5737, vrr_stack+2877, vrr_stack+2547, vrr_stack+1369, vrr_stack+1009, NULL);
 _BUILD_p0o0(Data,vrr_stack+5815, vrr_stack+5737, vrr_stack+24796, NULL, NULL, vrr_stack+2547);
 _BUILD_d0o0(Data,vrr_stack+760, vrr_stack+5815, vrr_stack+27964, vrr_stack+5737, vrr_stack+24796, vrr_stack+15623);
 _BUILD_f0o0(Data,vrr_stack+42134, vrr_stack+760, vrr_stack+1967, vrr_stack+5815, vrr_stack+27964, vrr_stack+15821);
 _BUILD_g0o0(Data,vrr_stack+42914, vrr_stack+42134, vrr_stack+40184, vrr_stack+760, vrr_stack+1967, vrr_stack+6397);
 _BUILD_00o0(Data,vrr_stack+15623, vrr_stack+18878, vrr_stack+22992, vrr_stack+1912, vrr_stack+11718, NULL);
 _BUILD_p0o0(Data,vrr_stack+15701, vrr_stack+24874, vrr_stack+15623, NULL, NULL, vrr_stack+18878);
 _BUILD_d0o0(Data,vrr_stack+15935, vrr_stack+24952, vrr_stack+15701, vrr_stack+8863, vrr_stack+24874, vrr_stack+18944);
 _BUILD_f0o0(Data,vrr_stack+6049, vrr_stack+1424, vrr_stack+15935, vrr_stack+8941, vrr_stack+24952, vrr_stack+3141);
 _BUILD_g0o0(Data,vrr_stack+44084, vrr_stack+39404, vrr_stack+6049, vrr_stack+9409, vrr_stack+1424, vrr_stack+100);
 _BUILD_h0o0(Data,vrr_stack+45254, vrr_stack+40964, vrr_stack+44084, vrr_stack+40184, vrr_stack+39404, vrr_stack+31418);
 _BUILD_h0o0(Data,vrr_stack+46892, vrr_stack+42914, vrr_stack+40964, vrr_stack+42134, vrr_stack+40184, vrr_stack+7057);
 _BUILD_i0o0(Data,vrr_stack+48530, vrr_stack+46892, vrr_stack+45254, vrr_stack+42914, vrr_stack+40964, vrr_stack+32408);
 _BUILD_00o0(Data,vrr_stack+31418, vrr_stack+21078, vrr_stack+2877, vrr_stack+45, vrr_stack+1369, NULL);
 _BUILD_p0o0(Data,vrr_stack+45, vrr_stack+31418, vrr_stack+5737, NULL, NULL, vrr_stack+2877);
 _BUILD_d0o0(Data,vrr_stack+279, vrr_stack+45, vrr_stack+5815, vrr_stack+31418, vrr_stack+5737, vrr_stack+2943);
 _BUILD_f0o0(Data,vrr_stack+31496, vrr_stack+279, vrr_stack+760, vrr_stack+45, vrr_stack+5815, vrr_stack+16613);
 _BUILD_g0o0(Data,vrr_stack+32276, vrr_stack+31496, vrr_stack+42134, vrr_stack+279, vrr_stack+760, vrr_stack+8047);
 _BUILD_h0o0(Data,vrr_stack+6829, vrr_stack+32276, vrr_stack+42914, vrr_stack+31496, vrr_stack+42134, vrr_stack+30428);
   tmp = vrr_stack + 6829;
   target_ptr = Libint->vrr_classes[5][11];
   for(i=0;i<1638;i++)
     target_ptr[i] += tmp[i];
 _BUILD_i0o0(Data,vrr_stack+50714, vrr_stack+6829, vrr_stack+46892, vrr_stack+32276, vrr_stack+42914, vrr_stack+33794);
   tmp = vrr_stack + 50714;
   target_ptr = Libint->vrr_classes[6][11];
   for(i=0;i<2184;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+30428, Data->F+18, Data->F+19, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+30431, vrr_stack+19142, vrr_stack+30428, Data->F+17, Data->F+18, NULL);
 _BUILD_00f0(Data,vrr_stack+30437, vrr_stack+19145, vrr_stack+30431, vrr_stack+11554, vrr_stack+19142, NULL);
 _BUILD_00g0(Data,vrr_stack+30447, vrr_stack+19151, vrr_stack+30437, vrr_stack+11557, vrr_stack+19145, NULL);
 _BUILD_00h0(Data,vrr_stack+30462, vrr_stack+19161, vrr_stack+30447, vrr_stack+11563, vrr_stack+19151, NULL);
 _BUILD_00i0(Data,vrr_stack+30483, vrr_stack+19176, vrr_stack+30462, vrr_stack+11573, vrr_stack+19161, NULL);
 _BUILD_00k0(Data,vrr_stack+30511, vrr_stack+19197, vrr_stack+30483, vrr_stack+11588, vrr_stack+19176, NULL);
 _BUILD_00l0(Data,vrr_stack+30547, vrr_stack+19225, vrr_stack+30511, vrr_stack+11609, vrr_stack+19197, NULL);
 _BUILD_00m0(Data,vrr_stack+30592, vrr_stack+0, vrr_stack+30547, vrr_stack+11637, vrr_stack+19225, NULL);
 _BUILD_00n0(Data,vrr_stack+30647, vrr_stack+19261, vrr_stack+30592, vrr_stack+11673, vrr_stack+0, NULL);
 _BUILD_00o0(Data,vrr_stack+30713, vrr_stack+22992, vrr_stack+30647, vrr_stack+11718, vrr_stack+19261, NULL);
 _BUILD_p0o0(Data,vrr_stack+30791, vrr_stack+15623, vrr_stack+30713, NULL, NULL, vrr_stack+22992);
 _BUILD_d0o0(Data,vrr_stack+31496, vrr_stack+15701, vrr_stack+30791, vrr_stack+24874, vrr_stack+15623, vrr_stack+19316);
 _BUILD_f0o0(Data,vrr_stack+31964, vrr_stack+15935, vrr_stack+31496, vrr_stack+24952, vrr_stack+15701, vrr_stack+19514);
 _BUILD_g0o0(Data,vrr_stack+32744, vrr_stack+6049, vrr_stack+31964, vrr_stack+1424, vrr_stack+15935, vrr_stack+3537);
 _BUILD_h0o0(Data,vrr_stack+52898, vrr_stack+44084, vrr_stack+32744, vrr_stack+39404, vrr_stack+6049, vrr_stack+19910);
 _BUILD_i0o0(Data,vrr_stack+54536, vrr_stack+45254, vrr_stack+52898, vrr_stack+40964, vrr_stack+44084, vrr_stack+10093);
 _BUILD_k0o0(Data,vrr_stack+56720, vrr_stack+48530, vrr_stack+54536, vrr_stack+46892, vrr_stack+45254, vrr_stack+11773);
 _BUILD_k0o0(Data,vrr_stack+9877, vrr_stack+50714, vrr_stack+48530, vrr_stack+6829, vrr_stack+46892, vrr_stack+35180);
   tmp = vrr_stack + 9877;
   target_ptr = Libint->vrr_classes[7][11];
   for(i=0;i<2808;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00q0(Data,vrr_stack+6829, vrr_stack+8707, vrr_stack+8863, vrr_stack+24598, vrr_stack+24730, NULL);
 _BUILD_00q0(Data,vrr_stack+6920, vrr_stack+8785, vrr_stack+8707, vrr_stack+24664, vrr_stack+24598, NULL);
 _BUILD_00q0(Data,vrr_stack+7011, vrr_stack+8863, vrr_stack+24874, vrr_stack+24730, vrr_stack+2613, NULL);
 _BUILD_p0q0(Data,vrr_stack+7102, vrr_stack+6829, vrr_stack+7011, NULL, NULL, vrr_stack+8863);
 _BUILD_p0q0(Data,vrr_stack+7375, vrr_stack+6920, vrr_stack+6829, NULL, NULL, vrr_stack+8707);
 _BUILD_d0q0(Data,vrr_stack+7648, vrr_stack+7375, vrr_stack+7102, vrr_stack+6920, vrr_stack+6829, vrr_stack+8941);
 _BUILD_00q0(Data,vrr_stack+8941, vrr_stack+24796, vrr_stack+8785, vrr_stack+2547, vrr_stack+24664, NULL);
 _BUILD_p0q0(Data,vrr_stack+8194, vrr_stack+8941, vrr_stack+6920, NULL, NULL, vrr_stack+8785);
 _BUILD_d0q0(Data,vrr_stack+19316, vrr_stack+8194, vrr_stack+7375, vrr_stack+8941, vrr_stack+6920, vrr_stack+9175);
 _BUILD_00q0(Data,vrr_stack+9032, vrr_stack+24874, vrr_stack+15623, vrr_stack+2613, vrr_stack+18878, NULL);
 _BUILD_p0q0(Data,vrr_stack+9123, vrr_stack+7011, vrr_stack+9032, NULL, NULL, vrr_stack+24874);
 _BUILD_d0q0(Data,vrr_stack+19862, vrr_stack+7102, vrr_stack+9123, vrr_stack+6829, vrr_stack+7011, vrr_stack+24952);
 _BUILD_f0q0(Data,vrr_stack+33914, vrr_stack+7648, vrr_stack+19862, vrr_stack+7375, vrr_stack+7102, vrr_stack+1424);
 _BUILD_f0q0(Data,vrr_stack+2943, vrr_stack+19316, vrr_stack+7648, vrr_stack+8194, vrr_stack+7375, vrr_stack+9409);
 _BUILD_g0q0(Data,vrr_stack+59528, vrr_stack+2943, vrr_stack+33914, vrr_stack+19316, vrr_stack+7648, vrr_stack+39404);
 _BUILD_00q0(Data,vrr_stack+39404, vrr_stack+5737, vrr_stack+24796, vrr_stack+2877, vrr_stack+2547, NULL);
 _BUILD_p0q0(Data,vrr_stack+39495, vrr_stack+39404, vrr_stack+8941, NULL, NULL, vrr_stack+24796);
 _BUILD_d0q0(Data,vrr_stack+24952, vrr_stack+39495, vrr_stack+8194, vrr_stack+39404, vrr_stack+8941, vrr_stack+27964);
 _BUILD_f0q0(Data,vrr_stack+12685, vrr_stack+24952, vrr_stack+19316, vrr_stack+39495, vrr_stack+8194, vrr_stack+1967);
 _BUILD_g0q0(Data,vrr_stack+1228, vrr_stack+12685, vrr_stack+2943, vrr_stack+24952, vrr_stack+19316, vrr_stack+40184);
 _BUILD_00q0(Data,vrr_stack+27964, vrr_stack+15623, vrr_stack+30713, vrr_stack+18878, vrr_stack+22992, NULL);
 _BUILD_p0q0(Data,vrr_stack+28055, vrr_stack+9032, vrr_stack+27964, NULL, NULL, vrr_stack+15623);
 _BUILD_d0q0(Data,vrr_stack+39768, vrr_stack+9123, vrr_stack+28055, vrr_stack+7011, vrr_stack+9032, vrr_stack+15701);
 _BUILD_f0q0(Data,vrr_stack+60893, vrr_stack+19862, vrr_stack+39768, vrr_stack+7102, vrr_stack+9123, vrr_stack+15935);
 _BUILD_g0q0(Data,vrr_stack+15701, vrr_stack+33914, vrr_stack+60893, vrr_stack+7648, vrr_stack+19862, vrr_stack+6049);
 _BUILD_h0q0(Data,vrr_stack+61803, vrr_stack+59528, vrr_stack+15701, vrr_stack+2943, vrr_stack+33914, vrr_stack+44084);
 _BUILD_h0q0(Data,vrr_stack+63714, vrr_stack+1228, vrr_stack+59528, vrr_stack+12685, vrr_stack+2943, vrr_stack+40964);
 _BUILD_i0q0(Data,vrr_stack+65625, vrr_stack+63714, vrr_stack+61803, vrr_stack+1228, vrr_stack+59528, vrr_stack+45254);
 _BUILD_00q0(Data,vrr_stack+44084, vrr_stack+31418, vrr_stack+5737, vrr_stack+21078, vrr_stack+2877, NULL);
 _BUILD_p0q0(Data,vrr_stack+44175, vrr_stack+44084, vrr_stack+39404, NULL, NULL, vrr_stack+5737);
 _BUILD_d0q0(Data,vrr_stack+44448, vrr_stack+44175, vrr_stack+39495, vrr_stack+44084, vrr_stack+39404, vrr_stack+5815);
 _BUILD_f0q0(Data,vrr_stack+5815, vrr_stack+44448, vrr_stack+24952, vrr_stack+44175, vrr_stack+39495, vrr_stack+760);
 _BUILD_g0q0(Data,vrr_stack+44994, vrr_stack+5815, vrr_stack+12685, vrr_stack+44448, vrr_stack+24952, vrr_stack+42134);
 _BUILD_h0q0(Data,vrr_stack+40314, vrr_stack+44994, vrr_stack+1228, vrr_stack+5815, vrr_stack+12685, vrr_stack+42914);
   tmp = vrr_stack + 40314;
   target_ptr = Libint->vrr_classes[5][12];
   for(i=0;i<1911;i++)
     target_ptr[i] += tmp[i];
 _BUILD_i0q0(Data,vrr_stack+68173, vrr_stack+40314, vrr_stack+63714, vrr_stack+44994, vrr_stack+1228, vrr_stack+46892);
   tmp = vrr_stack + 68173;
   target_ptr = Libint->vrr_classes[6][12];
   for(i=0;i<2548;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+5815, Data->F+19, Data->F+20, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+5818, vrr_stack+30428, vrr_stack+5815, Data->F+18, Data->F+19, NULL);
 _BUILD_00f0(Data,vrr_stack+5824, vrr_stack+30431, vrr_stack+5818, vrr_stack+19142, vrr_stack+30428, NULL);
 _BUILD_00g0(Data,vrr_stack+5834, vrr_stack+30437, vrr_stack+5824, vrr_stack+19145, vrr_stack+30431, NULL);
 _BUILD_00h0(Data,vrr_stack+5849, vrr_stack+30447, vrr_stack+5834, vrr_stack+19151, vrr_stack+30437, NULL);
 _BUILD_00i0(Data,vrr_stack+5870, vrr_stack+30462, vrr_stack+5849, vrr_stack+19161, vrr_stack+30447, NULL);
 _BUILD_00k0(Data,vrr_stack+5898, vrr_stack+30483, vrr_stack+5870, vrr_stack+19176, vrr_stack+30462, NULL);
 _BUILD_00l0(Data,vrr_stack+5934, vrr_stack+30511, vrr_stack+5898, vrr_stack+19197, vrr_stack+30483, NULL);
 _BUILD_00m0(Data,vrr_stack+5979, vrr_stack+30547, vrr_stack+5934, vrr_stack+19225, vrr_stack+30511, NULL);
 _BUILD_00n0(Data,vrr_stack+6034, vrr_stack+30592, vrr_stack+5979, vrr_stack+0, vrr_stack+30547, NULL);
 _BUILD_00o0(Data,vrr_stack+0, vrr_stack+30647, vrr_stack+6034, vrr_stack+19261, vrr_stack+30592, NULL);
 _BUILD_00q0(Data,vrr_stack+78, vrr_stack+30713, vrr_stack+0, vrr_stack+22992, vrr_stack+30647, NULL);
 _BUILD_p0q0(Data,vrr_stack+169, vrr_stack+27964, vrr_stack+78, NULL, NULL, vrr_stack+30713);
 _BUILD_d0q0(Data,vrr_stack+442, vrr_stack+28055, vrr_stack+169, vrr_stack+9032, vrr_stack+27964, vrr_stack+30791);
 _BUILD_f0q0(Data,vrr_stack+44175, vrr_stack+39768, vrr_stack+442, vrr_stack+9123, vrr_stack+28055, vrr_stack+31496);
 _BUILD_g0q0(Data,vrr_stack+45085, vrr_stack+60893, vrr_stack+44175, vrr_stack+19862, vrr_stack+39768, vrr_stack+31964);
 _BUILD_h0q0(Data,vrr_stack+46450, vrr_stack+15701, vrr_stack+45085, vrr_stack+33914, vrr_stack+60893, vrr_stack+32744);
 _BUILD_i0q0(Data,vrr_stack+70721, vrr_stack+61803, vrr_stack+46450, vrr_stack+59528, vrr_stack+15701, vrr_stack+52898);
 _BUILD_k0q0(Data,vrr_stack+73269, vrr_stack+65625, vrr_stack+70721, vrr_stack+63714, vrr_stack+61803, vrr_stack+54536);
 _BUILD_k0q0(Data,vrr_stack+52898, vrr_stack+68173, vrr_stack+65625, vrr_stack+40314, vrr_stack+63714, vrr_stack+48530);
   tmp = vrr_stack + 52898;
   target_ptr = Libint->vrr_classes[7][12];
   for(i=0;i<3276;i++)
     target_ptr[i] += tmp[i];
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+40314, vrr_stack+6829, vrr_stack+7011, vrr_stack+8707, vrr_stack+8863, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+40419, vrr_stack+6920, vrr_stack+6829, vrr_stack+8785, vrr_stack+8707, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+40524, vrr_stack+7011, vrr_stack+9032, vrr_stack+8863, vrr_stack+24874, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+40629, vrr_stack+40314, vrr_stack+40524, NULL, NULL, vrr_stack+7011);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+40944, vrr_stack+40419, vrr_stack+40314, NULL, NULL, vrr_stack+6829);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+41259, vrr_stack+40944, vrr_stack+40629, vrr_stack+40419, vrr_stack+40314, vrr_stack+7102);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+7102, vrr_stack+8941, vrr_stack+6920, vrr_stack+24796, vrr_stack+8785, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+41889, vrr_stack+7102, vrr_stack+40419, NULL, NULL, vrr_stack+6920);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+42204, vrr_stack+41889, vrr_stack+40944, vrr_stack+7102, vrr_stack+40419, vrr_stack+7375);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+7207, vrr_stack+9032, vrr_stack+27964, vrr_stack+24874, vrr_stack+15623, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+7312, vrr_stack+40524, vrr_stack+7207, NULL, NULL, vrr_stack+9032);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+42834, vrr_stack+40629, vrr_stack+7312, vrr_stack+40314, vrr_stack+40524, vrr_stack+9123);
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+31496, vrr_stack+41259, vrr_stack+42834, vrr_stack+40944, vrr_stack+40629, vrr_stack+19862);
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+19862, vrr_stack+42204, vrr_stack+41259, vrr_stack+41889, vrr_stack+40944, vrr_stack+7648);
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+76545, vrr_stack+19862, vrr_stack+31496, vrr_stack+42204, vrr_stack+41259, vrr_stack+33914);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+20912, vrr_stack+39404, vrr_stack+8941, vrr_stack+5737, vrr_stack+24796, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+9123, vrr_stack+20912, vrr_stack+7102, NULL, NULL, vrr_stack+8941);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+32546, vrr_stack+9123, vrr_stack+41889, vrr_stack+20912, vrr_stack+7102, vrr_stack+8194);
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+7627, vrr_stack+32546, vrr_stack+42204, vrr_stack+9123, vrr_stack+41889, vrr_stack+19316);
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+33176, vrr_stack+7627, vrr_stack+19862, vrr_stack+32546, vrr_stack+42204, vrr_stack+2943);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+21017, vrr_stack+27964, vrr_stack+78, vrr_stack+15623, vrr_stack+30713, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+9438, vrr_stack+7207, vrr_stack+21017, NULL, NULL, vrr_stack+27964);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+6100, vrr_stack+7312, vrr_stack+9438, vrr_stack+40524, vrr_stack+7207, vrr_stack+28055);
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+2593, vrr_stack+42834, vrr_stack+6100, vrr_stack+40629, vrr_stack+7312, vrr_stack+39768);
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+78120, vrr_stack+31496, vrr_stack+2593, vrr_stack+41259, vrr_stack+42834, vrr_stack+60893);
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+79695, vrr_stack+76545, vrr_stack+78120, vrr_stack+19862, vrr_stack+31496, vrr_stack+15701);
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+81900, vrr_stack+33176, vrr_stack+76545, vrr_stack+7627, vrr_stack+19862, vrr_stack+59528);
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+84105, vrr_stack+81900, vrr_stack+79695, vrr_stack+33176, vrr_stack+76545, vrr_stack+61803);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+59528, vrr_stack+44084, vrr_stack+39404, vrr_stack+31418, vrr_stack+5737, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+59633, vrr_stack+59528, vrr_stack+20912, NULL, NULL, vrr_stack+39404);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+59948, vrr_stack+59633, vrr_stack+9123, vrr_stack+59528, vrr_stack+20912, vrr_stack+39495);
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+60578, vrr_stack+59948, vrr_stack+32546, vrr_stack+59633, vrr_stack+9123, vrr_stack+24952);
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+61628, vrr_stack+60578, vrr_stack+7627, vrr_stack+59948, vrr_stack+32546, vrr_stack+12685);
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+87045, vrr_stack+61628, vrr_stack+33176, vrr_stack+60578, vrr_stack+7627, vrr_stack+1228);
   tmp = vrr_stack + 87045;
   target_ptr = Libint->vrr_classes[5][13];
   for(i=0;i<2205;i++)
     target_ptr[i] += tmp[i];
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+89250, vrr_stack+87045, vrr_stack+81900, vrr_stack+61628, vrr_stack+33176, vrr_stack+63714);
   tmp = vrr_stack + 89250;
   target_ptr = Libint->vrr_classes[6][13];
   for(i=0;i<2940;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+12685, Data->F+20, Data->F+21, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+12688, vrr_stack+5815, vrr_stack+12685, Data->F+19, Data->F+20, NULL);
 _BUILD_00f0(Data,vrr_stack+12694, vrr_stack+5818, vrr_stack+12688, vrr_stack+30428, vrr_stack+5815, NULL);
 _BUILD_00g0(Data,vrr_stack+12704, vrr_stack+5824, vrr_stack+12694, vrr_stack+30431, vrr_stack+5818, NULL);
 _BUILD_00h0(Data,vrr_stack+12719, vrr_stack+5834, vrr_stack+12704, vrr_stack+30437, vrr_stack+5824, NULL);
 _BUILD_00i0(Data,vrr_stack+12740, vrr_stack+5849, vrr_stack+12719, vrr_stack+30447, vrr_stack+5834, NULL);
 _BUILD_00k0(Data,vrr_stack+12768, vrr_stack+5870, vrr_stack+12740, vrr_stack+30462, vrr_stack+5849, NULL);
 _BUILD_00l0(Data,vrr_stack+30428, vrr_stack+5898, vrr_stack+12768, vrr_stack+30483, vrr_stack+5870, NULL);
 _BUILD_00m0(Data,vrr_stack+12804, vrr_stack+5934, vrr_stack+30428, vrr_stack+30511, vrr_stack+5898, NULL);
 _BUILD_00n0(Data,vrr_stack+22992, vrr_stack+5979, vrr_stack+12804, vrr_stack+30547, vrr_stack+5934, NULL);
 _BUILD_00o0(Data,vrr_stack+5737, vrr_stack+6034, vrr_stack+22992, vrr_stack+30592, vrr_stack+5979, NULL);
 _BUILD_00q0(Data,vrr_stack+30473, vrr_stack+0, vrr_stack+5737, vrr_stack+30647, vrr_stack+6034, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+30564, vrr_stack+78, vrr_stack+30473, vrr_stack+30713, vrr_stack+0, NULL);
 am[0] = 1;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+30669, vrr_stack+21017, vrr_stack+30564, NULL, NULL, vrr_stack+78);
 am[0] = 2;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+12859, vrr_stack+9438, vrr_stack+30669, vrr_stack+7207, vrr_stack+21017, vrr_stack+169);
 am[0] = 3;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+59633, vrr_stack+6100, vrr_stack+12859, vrr_stack+7312, vrr_stack+9438, vrr_stack+442);
 am[0] = 4;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+169, vrr_stack+2593, vrr_stack+59633, vrr_stack+42834, vrr_stack+6100, vrr_stack+44175);
 am[0] = 5;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+60683, vrr_stack+78120, vrr_stack+169, vrr_stack+31496, vrr_stack+2593, vrr_stack+45085);
 am[0] = 6;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+92190, vrr_stack+79695, vrr_stack+60683, vrr_stack+76545, vrr_stack+78120, vrr_stack+46450);
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+44175, vrr_stack+84105, vrr_stack+92190, vrr_stack+81900, vrr_stack+79695, vrr_stack+70721);
 am[0] = 7;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+95130, vrr_stack+89250, vrr_stack+84105, vrr_stack+87045, vrr_stack+81900, vrr_stack+65625);
   tmp = vrr_stack + 95130;
   target_ptr = Libint->vrr_classes[7][13];
   for(i=0;i<3780;i++)
     target_ptr[i] += tmp[i];
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+87045, vrr_stack+40314, vrr_stack+40524, vrr_stack+6829, vrr_stack+7011, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+87165, vrr_stack+40419, vrr_stack+40314, vrr_stack+6920, vrr_stack+6829, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+87285, vrr_stack+40524, vrr_stack+7207, vrr_stack+7011, vrr_stack+9032, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+87405, vrr_stack+87045, vrr_stack+87285, NULL, NULL, vrr_stack+40524);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+87765, vrr_stack+87165, vrr_stack+87045, NULL, NULL, vrr_stack+40314);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+88125, vrr_stack+87765, vrr_stack+87405, vrr_stack+87165, vrr_stack+87045, vrr_stack+40629);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+40629, vrr_stack+7102, vrr_stack+40419, vrr_stack+8941, vrr_stack+6920, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+88845, vrr_stack+40629, vrr_stack+87165, NULL, NULL, vrr_stack+40419);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+70721, vrr_stack+88845, vrr_stack+87765, vrr_stack+40629, vrr_stack+87165, vrr_stack+40944);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+40749, vrr_stack+7207, vrr_stack+21017, vrr_stack+9032, vrr_stack+27964, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+40869, vrr_stack+87285, vrr_stack+40749, NULL, NULL, vrr_stack+7207);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+71441, vrr_stack+87405, vrr_stack+40869, vrr_stack+87045, vrr_stack+87285, vrr_stack+7312);
 am[0] = 3;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+62888, vrr_stack+88125, vrr_stack+71441, vrr_stack+87765, vrr_stack+87405, vrr_stack+42834);
 am[0] = 3;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+42834, vrr_stack+70721, vrr_stack+88125, vrr_stack+88845, vrr_stack+87765, vrr_stack+41259);
 am[0] = 4;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+98910, vrr_stack+42834, vrr_stack+62888, vrr_stack+70721, vrr_stack+88125, vrr_stack+31496);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+7312, vrr_stack+20912, vrr_stack+7102, vrr_stack+39404, vrr_stack+8941, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+41229, vrr_stack+7312, vrr_stack+40629, NULL, NULL, vrr_stack+7102);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+72161, vrr_stack+41229, vrr_stack+88845, vrr_stack+7312, vrr_stack+40629, vrr_stack+41889);
 am[0] = 3;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+30984, vrr_stack+72161, vrr_stack+70721, vrr_stack+41229, vrr_stack+88845, vrr_stack+42204);
 am[0] = 4;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+100710, vrr_stack+30984, vrr_stack+42834, vrr_stack+72161, vrr_stack+70721, vrr_stack+19862);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+7432, vrr_stack+21017, vrr_stack+30564, vrr_stack+27964, vrr_stack+78, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+27964, vrr_stack+40749, vrr_stack+7432, NULL, NULL, vrr_stack+21017);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+41589, vrr_stack+40869, vrr_stack+27964, vrr_stack+87285, vrr_stack+40749, vrr_stack+9438);
 am[0] = 3;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+64088, vrr_stack+71441, vrr_stack+41589, vrr_stack+87405, vrr_stack+40869, vrr_stack+6100);
 am[0] = 4;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+18878, vrr_stack+62888, vrr_stack+64088, vrr_stack+88125, vrr_stack+71441, vrr_stack+2593);
 am[0] = 5;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+102510, vrr_stack+98910, vrr_stack+18878, vrr_stack+42834, vrr_stack+62888, vrr_stack+78120);
 am[0] = 5;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+105030, vrr_stack+100710, vrr_stack+98910, vrr_stack+30984, vrr_stack+42834, vrr_stack+76545);
 am[0] = 6;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+107550, vrr_stack+105030, vrr_stack+102510, vrr_stack+100710, vrr_stack+98910, vrr_stack+79695);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+76545, vrr_stack+59528, vrr_stack+20912, vrr_stack+44084, vrr_stack+39404, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+39404, vrr_stack+76545, vrr_stack+7312, NULL, NULL, vrr_stack+20912);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+76665, vrr_stack+39404, vrr_stack+41229, vrr_stack+76545, vrr_stack+7312, vrr_stack+9123);
 am[0] = 3;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+8677, vrr_stack+76665, vrr_stack+72161, vrr_stack+39404, vrr_stack+41229, vrr_stack+32546);
 am[0] = 4;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+77385, vrr_stack+8677, vrr_stack+30984, vrr_stack+76665, vrr_stack+72161, vrr_stack+7627);
 am[0] = 5;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+79185, vrr_stack+77385, vrr_stack+100710, vrr_stack+8677, vrr_stack+30984, vrr_stack+33176);
   tmp = vrr_stack + 79185;
   target_ptr = Libint->vrr_classes[5][14];
   for(i=0;i<2520;i++)
     target_ptr[i] += tmp[i];
 am[0] = 6;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+110910, vrr_stack+79185, vrr_stack+105030, vrr_stack+77385, vrr_stack+100710, vrr_stack+81900);
   tmp = vrr_stack + 110910;
   target_ptr = Libint->vrr_classes[6][14];
   for(i=0;i<3360;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+76665, Data->F+21, Data->F+22, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+76668, vrr_stack+12685, vrr_stack+76665, Data->F+20, Data->F+21, NULL);
 _BUILD_00f0(Data,vrr_stack+76674, vrr_stack+12688, vrr_stack+76668, vrr_stack+5815, vrr_stack+12685, NULL);
 _BUILD_00g0(Data,vrr_stack+76684, vrr_stack+12694, vrr_stack+76674, vrr_stack+5818, vrr_stack+12688, NULL);
 _BUILD_00h0(Data,vrr_stack+76699, vrr_stack+12704, vrr_stack+76684, vrr_stack+5824, vrr_stack+12694, NULL);
 _BUILD_00i0(Data,vrr_stack+76720, vrr_stack+12719, vrr_stack+76699, vrr_stack+5834, vrr_stack+12704, NULL);
 _BUILD_00k0(Data,vrr_stack+76748, vrr_stack+12740, vrr_stack+76720, vrr_stack+5849, vrr_stack+12719, NULL);
 _BUILD_00l0(Data,vrr_stack+89205, vrr_stack+12768, vrr_stack+76748, vrr_stack+5870, vrr_stack+12740, NULL);
 _BUILD_00m0(Data,vrr_stack+5815, vrr_stack+30428, vrr_stack+89205, vrr_stack+5898, vrr_stack+12768, NULL);
 _BUILD_00n0(Data,vrr_stack+76784, vrr_stack+12804, vrr_stack+5815, vrr_stack+5934, vrr_stack+30428, NULL);
 _BUILD_00o0(Data,vrr_stack+5870, vrr_stack+22992, vrr_stack+76784, vrr_stack+5979, vrr_stack+12804, NULL);
 _BUILD_00q0(Data,vrr_stack+76850, vrr_stack+5737, vrr_stack+5870, vrr_stack+6034, vrr_stack+22992, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+5948, vrr_stack+30473, vrr_stack+76850, vrr_stack+0, vrr_stack+5737, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+6053, vrr_stack+30564, vrr_stack+5948, vrr_stack+78, vrr_stack+30473, NULL);
 am[0] = 1;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+6173, vrr_stack+7432, vrr_stack+6053, NULL, NULL, vrr_stack+30564);
 am[0] = 2;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+76941, vrr_stack+27964, vrr_stack+6173, vrr_stack+40749, vrr_stack+7432, vrr_stack+30669);
 am[0] = 3;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+77661, vrr_stack+41589, vrr_stack+76941, vrr_stack+40869, vrr_stack+27964, vrr_stack+12859);
 am[0] = 4;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+81705, vrr_stack+64088, vrr_stack+77661, vrr_stack+71441, vrr_stack+41589, vrr_stack+59633);
 am[0] = 5;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+32184, vrr_stack+18878, vrr_stack+81705, vrr_stack+62888, vrr_stack+64088, vrr_stack+169);
 am[0] = 6;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+0, vrr_stack+102510, vrr_stack+32184, vrr_stack+98910, vrr_stack+18878, vrr_stack+60683);
 am[0] = 7;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+114270, vrr_stack+107550, vrr_stack+0, vrr_stack+105030, vrr_stack+102510, vrr_stack+92190);
 am[0] = 7;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+118590, vrr_stack+110910, vrr_stack+107550, vrr_stack+79185, vrr_stack+105030, vrr_stack+84105);
   tmp = vrr_stack + 118590;
   target_ptr = Libint->vrr_classes[7][14];
   for(i=0;i<4320;i++)
     target_ptr[i] += tmp[i];
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+92190, vrr_stack+87045, vrr_stack+87285, vrr_stack+40314, vrr_stack+40524, NULL);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+92326, vrr_stack+87165, vrr_stack+87045, vrr_stack+40419, vrr_stack+40314, NULL);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+92462, vrr_stack+87285, vrr_stack+40749, vrr_stack+40524, vrr_stack+7207, NULL);
 am[0] = 1;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+92598, vrr_stack+92190, vrr_stack+92462, NULL, NULL, vrr_stack+87285);
 am[0] = 1;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+93006, vrr_stack+92326, vrr_stack+92190, NULL, NULL, vrr_stack+87045);
 am[0] = 2;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+93414, vrr_stack+93006, vrr_stack+92598, vrr_stack+92326, vrr_stack+92190, vrr_stack+87405);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+87405, vrr_stack+40629, vrr_stack+87165, vrr_stack+7102, vrr_stack+40419, NULL);
 am[0] = 1;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+94230, vrr_stack+87405, vrr_stack+92326, NULL, NULL, vrr_stack+87165);
 am[0] = 2;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+59633, vrr_stack+94230, vrr_stack+93006, vrr_stack+87405, vrr_stack+92326, vrr_stack+87765);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+87541, vrr_stack+40749, vrr_stack+7432, vrr_stack+7207, vrr_stack+21017, NULL);
 am[0] = 1;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+87677, vrr_stack+92462, vrr_stack+87541, NULL, NULL, vrr_stack+40749);
 am[0] = 2;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+60449, vrr_stack+92598, vrr_stack+87677, vrr_stack+92190, vrr_stack+92462, vrr_stack+40869);
 am[0] = 3;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+61265, vrr_stack+93414, vrr_stack+60449, vrr_stack+93006, vrr_stack+92598, vrr_stack+71441);
 am[0] = 3;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+78861, vrr_stack+59633, vrr_stack+93414, vrr_stack+94230, vrr_stack+93006, vrr_stack+88125);
 am[0] = 4;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+7552, vrr_stack+78861, vrr_stack+61265, vrr_stack+59633, vrr_stack+93414, vrr_stack+62888);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+71441, vrr_stack+7312, vrr_stack+40629, vrr_stack+20912, vrr_stack+7102, NULL);
 am[0] = 1;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+71577, vrr_stack+71441, vrr_stack+87405, NULL, NULL, vrr_stack+40629);
 am[0] = 2;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+62625, vrr_stack+71577, vrr_stack+94230, vrr_stack+71441, vrr_stack+87405, vrr_stack+88845);
 am[0] = 3;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+80221, vrr_stack+62625, vrr_stack+59633, vrr_stack+71577, vrr_stack+94230, vrr_stack+70721);
 am[0] = 4;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+122910, vrr_stack+80221, vrr_stack+78861, vrr_stack+62625, vrr_stack+59633, vrr_stack+42834);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+70721, vrr_stack+7432, vrr_stack+6053, vrr_stack+21017, vrr_stack+30564, NULL);
 am[0] = 1;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+70857, vrr_stack+87541, vrr_stack+70721, NULL, NULL, vrr_stack+7432);
 am[0] = 2;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+88085, vrr_stack+87677, vrr_stack+70857, vrr_stack+92462, vrr_stack+87541, vrr_stack+27964);
 am[0] = 3;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+42309, vrr_stack+60449, vrr_stack+88085, vrr_stack+92598, vrr_stack+87677, vrr_stack+41589);
 am[0] = 4;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+124950, vrr_stack+61265, vrr_stack+42309, vrr_stack+93414, vrr_stack+60449, vrr_stack+64088);
 am[0] = 5;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+126990, vrr_stack+7552, vrr_stack+124950, vrr_stack+78861, vrr_stack+61265, vrr_stack+18878);
 am[0] = 5;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+129846, vrr_stack+122910, vrr_stack+7552, vrr_stack+80221, vrr_stack+78861, vrr_stack+98910);
 am[0] = 6;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+132702, vrr_stack+129846, vrr_stack+126990, vrr_stack+122910, vrr_stack+7552, vrr_stack+102510);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+102510, vrr_stack+76545, vrr_stack+7312, vrr_stack+59528, vrr_stack+20912, NULL);
 am[0] = 1;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+102646, vrr_stack+102510, vrr_stack+71441, NULL, NULL, vrr_stack+7312);
 am[0] = 2;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+103054, vrr_stack+102646, vrr_stack+71577, vrr_stack+102510, vrr_stack+71441, vrr_stack+41229);
 am[0] = 3;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+98910, vrr_stack+103054, vrr_stack+62625, vrr_stack+102646, vrr_stack+71577, vrr_stack+72161);
 am[0] = 4;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+18878, vrr_stack+98910, vrr_stack+80221, vrr_stack+103054, vrr_stack+62625, vrr_stack+30984);
 am[0] = 5;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+136510, vrr_stack+18878, vrr_stack+122910, vrr_stack+98910, vrr_stack+80221, vrr_stack+100710);
   tmp = vrr_stack + 136510;
   target_ptr = Libint->vrr_classes[5][15];
   for(i=0;i<2856;i++)
     target_ptr[i] += tmp[i];
 am[0] = 6;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+139366, vrr_stack+136510, vrr_stack+129846, vrr_stack+18878, vrr_stack+122910, vrr_stack+105030);
   tmp = vrr_stack + 139366;
   target_ptr = Libint->vrr_classes[6][15];
   for(i=0;i<3808;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+18878, Data->F+22, Data->F+23, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+18881, vrr_stack+76665, vrr_stack+18878, Data->F+21, Data->F+22, NULL);
 _BUILD_00f0(Data,vrr_stack+18887, vrr_stack+76668, vrr_stack+18881, vrr_stack+12685, vrr_stack+76665, NULL);
 _BUILD_00g0(Data,vrr_stack+18897, vrr_stack+76674, vrr_stack+18887, vrr_stack+12688, vrr_stack+76668, NULL);
 _BUILD_00h0(Data,vrr_stack+18912, vrr_stack+76684, vrr_stack+18897, vrr_stack+12694, vrr_stack+76674, NULL);
 _BUILD_00i0(Data,vrr_stack+18933, vrr_stack+76699, vrr_stack+18912, vrr_stack+12704, vrr_stack+76684, NULL);
 _BUILD_00k0(Data,vrr_stack+18961, vrr_stack+76720, vrr_stack+18933, vrr_stack+12719, vrr_stack+76699, NULL);
 _BUILD_00l0(Data,vrr_stack+12685, vrr_stack+76748, vrr_stack+18961, vrr_stack+12740, vrr_stack+76720, NULL);
 _BUILD_00m0(Data,vrr_stack+18997, vrr_stack+89205, vrr_stack+12685, vrr_stack+12768, vrr_stack+76748, NULL);
 _BUILD_00n0(Data,vrr_stack+12730, vrr_stack+5815, vrr_stack+18997, vrr_stack+30428, vrr_stack+89205, NULL);
 _BUILD_00o0(Data,vrr_stack+19052, vrr_stack+76784, vrr_stack+12730, vrr_stack+12804, vrr_stack+5815, NULL);
 _BUILD_00q0(Data,vrr_stack+12796, vrr_stack+5870, vrr_stack+19052, vrr_stack+22992, vrr_stack+76784, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+59528, vrr_stack+76850, vrr_stack+12796, vrr_stack+5737, vrr_stack+5870, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+12887, vrr_stack+5948, vrr_stack+59528, vrr_stack+30473, vrr_stack+76850, NULL);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+30428, vrr_stack+6053, vrr_stack+12887, vrr_stack+30564, vrr_stack+5948, NULL);
 am[0] = 1;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+30564, vrr_stack+70721, vrr_stack+30428, NULL, NULL, vrr_stack+6053);
 am[0] = 2;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+30972, vrr_stack+70857, vrr_stack+30564, vrr_stack+87541, vrr_stack+70721, vrr_stack+6173);
 am[0] = 3;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+19130, vrr_stack+88085, vrr_stack+30972, vrr_stack+87677, vrr_stack+70857, vrr_stack+76941);
 am[0] = 4;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+98910, vrr_stack+42309, vrr_stack+19130, vrr_stack+60449, vrr_stack+88085, vrr_stack+77661);
 am[0] = 5;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+102646, vrr_stack+124950, vrr_stack+98910, vrr_stack+61265, vrr_stack+42309, vrr_stack+81705);
 am[0] = 6;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+143174, vrr_stack+126990, vrr_stack+102646, vrr_stack+7552, vrr_stack+124950, vrr_stack+32184);
 am[0] = 7;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+146982, vrr_stack+132702, vrr_stack+143174, vrr_stack+129846, vrr_stack+126990, vrr_stack+0);
 am[0] = 7;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+151878, vrr_stack+139366, vrr_stack+132702, vrr_stack+136510, vrr_stack+129846, vrr_stack+107550);
   tmp = vrr_stack + 151878;
   target_ptr = Libint->vrr_classes[7][15];
   for(i=0;i<4896;i++)
     target_ptr[i] += tmp[i];
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+136510, vrr_stack+92190, vrr_stack+92462, vrr_stack+87045, vrr_stack+87285, NULL);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+136663, vrr_stack+92326, vrr_stack+92190, vrr_stack+87165, vrr_stack+87045, NULL);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+136816, vrr_stack+92462, vrr_stack+87541, vrr_stack+87285, vrr_stack+40749, NULL);
 am[0] = 1;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+136969, vrr_stack+136510, vrr_stack+136816, NULL, NULL, vrr_stack+92462);
 am[0] = 1;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+137428, vrr_stack+136663, vrr_stack+136510, NULL, NULL, vrr_stack+92190);
 am[0] = 2;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+137887, vrr_stack+137428, vrr_stack+136969, vrr_stack+136663, vrr_stack+136510, vrr_stack+92598);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+92598, vrr_stack+87405, vrr_stack+92326, vrr_stack+40629, vrr_stack+87165, NULL);
 am[0] = 1;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+138805, vrr_stack+92598, vrr_stack+136663, NULL, NULL, vrr_stack+92326);
 am[0] = 2;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+0, vrr_stack+138805, vrr_stack+137428, vrr_stack+92598, vrr_stack+136663, vrr_stack+93006);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+92751, vrr_stack+87541, vrr_stack+70721, vrr_stack+40749, vrr_stack+7432, NULL);
 am[0] = 1;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+40749, vrr_stack+136816, vrr_stack+92751, NULL, NULL, vrr_stack+87541);
 am[0] = 2;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+41208, vrr_stack+136969, vrr_stack+40749, vrr_stack+136510, vrr_stack+136816, vrr_stack+87677);
 am[0] = 3;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+918, vrr_stack+137887, vrr_stack+41208, vrr_stack+137428, vrr_stack+136969, vrr_stack+60449);
 am[0] = 3;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+2448, vrr_stack+0, vrr_stack+137887, vrr_stack+138805, vrr_stack+137428, vrr_stack+93414);
 am[0] = 4;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+31788, vrr_stack+2448, vrr_stack+918, vrr_stack+0, vrr_stack+137887, vrr_stack+61265);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+60449, vrr_stack+71441, vrr_stack+87405, vrr_stack+7312, vrr_stack+40629, NULL);
 am[0] = 1;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+60602, vrr_stack+60449, vrr_stack+92598, NULL, NULL, vrr_stack+87405);
 am[0] = 2;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+61061, vrr_stack+60602, vrr_stack+138805, vrr_stack+60449, vrr_stack+92598, vrr_stack+94230);
 am[0] = 3;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+92904, vrr_stack+61061, vrr_stack+0, vrr_stack+60602, vrr_stack+138805, vrr_stack+59633);
 am[0] = 4;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+81581, vrr_stack+92904, vrr_stack+2448, vrr_stack+61061, vrr_stack+0, vrr_stack+78861);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+59633, vrr_stack+70721, vrr_stack+30428, vrr_stack+7432, vrr_stack+6053, NULL);
 am[0] = 1;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+59786, vrr_stack+92751, vrr_stack+59633, NULL, NULL, vrr_stack+70721);
 am[0] = 2;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+76941, vrr_stack+40749, vrr_stack+59786, vrr_stack+136816, vrr_stack+92751, vrr_stack+70857);
 am[0] = 3;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+77859, vrr_stack+41208, vrr_stack+76941, vrr_stack+136969, vrr_stack+40749, vrr_stack+88085);
 am[0] = 4;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+156774, vrr_stack+918, vrr_stack+77859, vrr_stack+137887, vrr_stack+41208, vrr_stack+42309);
 am[0] = 5;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+159069, vrr_stack+31788, vrr_stack+156774, vrr_stack+2448, vrr_stack+918, vrr_stack+124950);
 am[0] = 5;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+162282, vrr_stack+81581, vrr_stack+31788, vrr_stack+92904, vrr_stack+2448, vrr_stack+7552);
 am[0] = 6;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+165495, vrr_stack+162282, vrr_stack+159069, vrr_stack+81581, vrr_stack+31788, vrr_stack+126990);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+124950, vrr_stack+102510, vrr_stack+71441, vrr_stack+76545, vrr_stack+7312, NULL);
 am[0] = 1;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+125103, vrr_stack+124950, vrr_stack+60449, NULL, NULL, vrr_stack+71441);
 am[0] = 2;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+125562, vrr_stack+125103, vrr_stack+60602, vrr_stack+124950, vrr_stack+60449, vrr_stack+71577);
 am[0] = 3;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+71577, vrr_stack+125562, vrr_stack+61061, vrr_stack+125103, vrr_stack+60602, vrr_stack+62625);
 am[0] = 4;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+126480, vrr_stack+71577, vrr_stack+92904, vrr_stack+125562, vrr_stack+61061, vrr_stack+80221);
 am[0] = 5;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+61979, vrr_stack+126480, vrr_stack+81581, vrr_stack+71577, vrr_stack+92904, vrr_stack+122910);
   tmp = vrr_stack + 61979;
   target_ptr = Libint->vrr_classes[5][16];
   for(i=0;i<3213;i++)
     target_ptr[i] += tmp[i];
 am[0] = 6;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+169779, vrr_stack+61979, vrr_stack+162282, vrr_stack+126480, vrr_stack+81581, vrr_stack+129846);
   tmp = vrr_stack + 169779;
   target_ptr = Libint->vrr_classes[6][16];
   for(i=0;i<4284;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+122910, Data->F+23, Data->F+24, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+122913, vrr_stack+18878, vrr_stack+122910, Data->F+22, Data->F+23, NULL);
 _BUILD_00f0(Data,vrr_stack+122919, vrr_stack+18881, vrr_stack+122913, vrr_stack+76665, vrr_stack+18878, NULL);
 _BUILD_00g0(Data,vrr_stack+122929, vrr_stack+18887, vrr_stack+122919, vrr_stack+76668, vrr_stack+18881, NULL);
 _BUILD_00h0(Data,vrr_stack+122944, vrr_stack+18897, vrr_stack+122929, vrr_stack+76674, vrr_stack+18887, NULL);
 _BUILD_00i0(Data,vrr_stack+122965, vrr_stack+18912, vrr_stack+122944, vrr_stack+76684, vrr_stack+18897, NULL);
 _BUILD_00k0(Data,vrr_stack+122993, vrr_stack+18933, vrr_stack+122965, vrr_stack+76699, vrr_stack+18912, NULL);
 _BUILD_00l0(Data,vrr_stack+123029, vrr_stack+18961, vrr_stack+122993, vrr_stack+76720, vrr_stack+18933, NULL);
 _BUILD_00m0(Data,vrr_stack+123074, vrr_stack+12685, vrr_stack+123029, vrr_stack+76748, vrr_stack+18961, NULL);
 _BUILD_00n0(Data,vrr_stack+22992, vrr_stack+18997, vrr_stack+123074, vrr_stack+89205, vrr_stack+12685, NULL);
 _BUILD_00o0(Data,vrr_stack+5737, vrr_stack+12730, vrr_stack+22992, vrr_stack+5815, vrr_stack+18997, NULL);
 _BUILD_00q0(Data,vrr_stack+123129, vrr_stack+19052, vrr_stack+5737, vrr_stack+76784, vrr_stack+12730, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+123220, vrr_stack+12796, vrr_stack+123129, vrr_stack+5870, vrr_stack+19052, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+5815, vrr_stack+59528, vrr_stack+123220, vrr_stack+76850, vrr_stack+12796, NULL);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+123325, vrr_stack+12887, vrr_stack+5815, vrr_stack+5948, vrr_stack+59528, NULL);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+123461, vrr_stack+30428, vrr_stack+123325, vrr_stack+6053, vrr_stack+12887, NULL);
 am[0] = 1;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+5935, vrr_stack+59633, vrr_stack+123461, NULL, NULL, vrr_stack+30428);
 am[0] = 2;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+6394, vrr_stack+59786, vrr_stack+5935, vrr_stack+92751, vrr_stack+59633, vrr_stack+30564);
 am[0] = 3;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+7312, vrr_stack+76941, vrr_stack+6394, vrr_stack+40749, vrr_stack+59786, vrr_stack+30972);
 am[0] = 4;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+125103, vrr_stack+77859, vrr_stack+7312, vrr_stack+41208, vrr_stack+76941, vrr_stack+19130);
 am[0] = 5;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+127398, vrr_stack+156774, vrr_stack+125103, vrr_stack+918, vrr_stack+77859, vrr_stack+98910);
 am[0] = 6;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+174063, vrr_stack+159069, vrr_stack+127398, vrr_stack+31788, vrr_stack+156774, vrr_stack+102646);
 am[0] = 7;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+178347, vrr_stack+165495, vrr_stack+174063, vrr_stack+162282, vrr_stack+159069, vrr_stack+143174);
 am[0] = 7;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+183855, vrr_stack+169779, vrr_stack+165495, vrr_stack+61979, vrr_stack+162282, vrr_stack+132702);
   tmp = vrr_stack + 183855;
   target_ptr = Libint->vrr_classes[7][16];
   for(i=0;i<5508;i++)
     target_ptr[i] += tmp[i];
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+61979, vrr_stack+136510, vrr_stack+136816, vrr_stack+92190, vrr_stack+92462, NULL);
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+62150, vrr_stack+136663, vrr_stack+136510, vrr_stack+92326, vrr_stack+92190, NULL);
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+62321, vrr_stack+136816, vrr_stack+92751, vrr_stack+92462, vrr_stack+87541, NULL);
 am[0] = 1;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+62492, vrr_stack+61979, vrr_stack+62321, NULL, NULL, vrr_stack+136816);
 am[0] = 1;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+63005, vrr_stack+62150, vrr_stack+61979, NULL, NULL, vrr_stack+136510);
 am[0] = 2;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+63518, vrr_stack+63005, vrr_stack+62492, vrr_stack+62150, vrr_stack+61979, vrr_stack+136969);
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+136969, vrr_stack+92598, vrr_stack+136663, vrr_stack+87405, vrr_stack+92326, NULL);
 am[0] = 1;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+64544, vrr_stack+136969, vrr_stack+62150, NULL, NULL, vrr_stack+136663);
 am[0] = 2;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+143174, vrr_stack+64544, vrr_stack+63005, vrr_stack+136969, vrr_stack+62150, vrr_stack+137428);
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+137140, vrr_stack+92751, vrr_stack+59633, vrr_stack+87541, vrr_stack+70721, NULL);
 am[0] = 1;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+87541, vrr_stack+62321, vrr_stack+137140, NULL, NULL, vrr_stack+92751);
 am[0] = 2;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+88054, vrr_stack+62492, vrr_stack+87541, vrr_stack+61979, vrr_stack+62321, vrr_stack+40749);
 am[0] = 3;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+144200, vrr_stack+63518, vrr_stack+88054, vrr_stack+63005, vrr_stack+62492, vrr_stack+41208);
 am[0] = 3;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+102646, vrr_stack+143174, vrr_stack+63518, vrr_stack+64544, vrr_stack+63005, vrr_stack+137887);
 am[0] = 4;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+104356, vrr_stack+102646, vrr_stack+144200, vrr_stack+143174, vrr_stack+63518, vrr_stack+918);
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+918, vrr_stack+60449, vrr_stack+92598, vrr_stack+71441, vrr_stack+87405, NULL);
 am[0] = 1;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+1089, vrr_stack+918, vrr_stack+136969, NULL, NULL, vrr_stack+92598);
 am[0] = 2;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+137311, vrr_stack+1089, vrr_stack+64544, vrr_stack+918, vrr_stack+136969, vrr_stack+138805);
 am[0] = 3;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+98910, vrr_stack+137311, vrr_stack+143174, vrr_stack+1089, vrr_stack+64544, vrr_stack+0);
 am[0] = 4;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+39404, vrr_stack+98910, vrr_stack+102646, vrr_stack+137311, vrr_stack+143174, vrr_stack+2448);
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+0, vrr_stack+59633, vrr_stack+123461, vrr_stack+70721, vrr_stack+30428, NULL);
 am[0] = 1;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+70721, vrr_stack+137140, vrr_stack+0, NULL, NULL, vrr_stack+59633);
 am[0] = 2;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+1602, vrr_stack+87541, vrr_stack+70721, vrr_stack+62321, vrr_stack+137140, vrr_stack+59786);
 am[0] = 3;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+100620, vrr_stack+88054, vrr_stack+1602, vrr_stack+62492, vrr_stack+87541, vrr_stack+76941);
 am[0] = 4;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+189363, vrr_stack+144200, vrr_stack+100620, vrr_stack+63518, vrr_stack+88054, vrr_stack+77859);
 am[0] = 5;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+76545, vrr_stack+104356, vrr_stack+189363, vrr_stack+102646, vrr_stack+144200, vrr_stack+156774);
 am[0] = 5;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+191928, vrr_stack+39404, vrr_stack+104356, vrr_stack+98910, vrr_stack+102646, vrr_stack+31788);
 am[0] = 6;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+195519, vrr_stack+191928, vrr_stack+76545, vrr_stack+39404, vrr_stack+104356, vrr_stack+159069);
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+156774, vrr_stack+124950, vrr_stack+60449, vrr_stack+102510, vrr_stack+71441, NULL);
 am[0] = 1;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+156945, vrr_stack+156774, vrr_stack+918, NULL, NULL, vrr_stack+60449);
 am[0] = 2;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+157458, vrr_stack+156945, vrr_stack+1089, vrr_stack+156774, vrr_stack+918, vrr_stack+60602);
 am[0] = 3;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+158484, vrr_stack+157458, vrr_stack+137311, vrr_stack+156945, vrr_stack+1089, vrr_stack+61061);
 am[0] = 4;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+30564, vrr_stack+158484, vrr_stack+98910, vrr_stack+157458, vrr_stack+137311, vrr_stack+92904);
 am[0] = 5;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+200307, vrr_stack+30564, vrr_stack+39404, vrr_stack+158484, vrr_stack+98910, vrr_stack+81581);
   tmp = vrr_stack + 200307;
   target_ptr = Libint->vrr_classes[5][17];
   for(i=0;i<3591;i++)
     target_ptr[i] += tmp[i];
 am[0] = 6;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+156945, vrr_stack+200307, vrr_stack+191928, vrr_stack+30564, vrr_stack+39404, vrr_stack+162282);
   tmp = vrr_stack + 156945;
   target_ptr = Libint->vrr_classes[6][17];
   for(i=0;i<4788;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+30564, Data->F+24, Data->F+25, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+30567, vrr_stack+122910, vrr_stack+30564, Data->F+23, Data->F+24, NULL);
 _BUILD_00f0(Data,vrr_stack+30573, vrr_stack+122913, vrr_stack+30567, vrr_stack+18878, vrr_stack+122910, NULL);
 _BUILD_00g0(Data,vrr_stack+30583, vrr_stack+122919, vrr_stack+30573, vrr_stack+18881, vrr_stack+122913, NULL);
 _BUILD_00h0(Data,vrr_stack+30598, vrr_stack+122929, vrr_stack+30583, vrr_stack+18887, vrr_stack+122919, NULL);
 _BUILD_00i0(Data,vrr_stack+30619, vrr_stack+122944, vrr_stack+30598, vrr_stack+18897, vrr_stack+122929, NULL);
 _BUILD_00k0(Data,vrr_stack+30647, vrr_stack+122965, vrr_stack+30619, vrr_stack+18912, vrr_stack+122944, NULL);
 _BUILD_00l0(Data,vrr_stack+18878, vrr_stack+122993, vrr_stack+30647, vrr_stack+18933, vrr_stack+122965, NULL);
 _BUILD_00m0(Data,vrr_stack+30683, vrr_stack+123029, vrr_stack+18878, vrr_stack+18961, vrr_stack+122993, NULL);
 _BUILD_00n0(Data,vrr_stack+18923, vrr_stack+123074, vrr_stack+30683, vrr_stack+12685, vrr_stack+123029, NULL);
 _BUILD_00o0(Data,vrr_stack+30738, vrr_stack+22992, vrr_stack+18923, vrr_stack+18997, vrr_stack+123074, NULL);
 _BUILD_00q0(Data,vrr_stack+30816, vrr_stack+5737, vrr_stack+30738, vrr_stack+12730, vrr_stack+22992, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+12685, vrr_stack+123129, vrr_stack+30816, vrr_stack+19052, vrr_stack+5737, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+18989, vrr_stack+123220, vrr_stack+12685, vrr_stack+12796, vrr_stack+123129, NULL);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+19109, vrr_stack+5815, vrr_stack+18989, vrr_stack+59528, vrr_stack+123220, NULL);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+19245, vrr_stack+123325, vrr_stack+19109, vrr_stack+12887, vrr_stack+5815, NULL);
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+12790, vrr_stack+123461, vrr_stack+19245, vrr_stack+30428, vrr_stack+123325, NULL);
 am[0] = 1;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+12961, vrr_stack+0, vrr_stack+12790, NULL, NULL, vrr_stack+123461);
 am[0] = 2;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+19398, vrr_stack+70721, vrr_stack+12961, vrr_stack+137140, vrr_stack+0, vrr_stack+5935);
 am[0] = 3;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+30907, vrr_stack+1602, vrr_stack+19398, vrr_stack+87541, vrr_stack+70721, vrr_stack+6394);
 am[0] = 4;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+161733, vrr_stack+100620, vrr_stack+30907, vrr_stack+88054, vrr_stack+1602, vrr_stack+7312);
 am[0] = 5;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+5935, vrr_stack+189363, vrr_stack+161733, vrr_stack+144200, vrr_stack+100620, vrr_stack+125103);
 am[0] = 6;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+203898, vrr_stack+76545, vrr_stack+5935, vrr_stack+104356, vrr_stack+189363, vrr_stack+127398);
 am[0] = 7;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+125103, vrr_stack+195519, vrr_stack+203898, vrr_stack+191928, vrr_stack+76545, vrr_stack+174063);
 am[0] = 7;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+208686, vrr_stack+156945, vrr_stack+195519, vrr_stack+200307, vrr_stack+191928, vrr_stack+165495);
   tmp = vrr_stack + 208686;
   target_ptr = Libint->vrr_classes[7][17];
   for(i=0;i<6156;i++)
     target_ptr[i] += tmp[i];
 am[0] = 0;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+200307, vrr_stack+61979, vrr_stack+62321, vrr_stack+136510, vrr_stack+136816, NULL);
 am[0] = 0;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+200497, vrr_stack+62150, vrr_stack+61979, vrr_stack+136663, vrr_stack+136510, NULL);
 am[0] = 0;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+200687, vrr_stack+62321, vrr_stack+137140, vrr_stack+136816, vrr_stack+92751, NULL);
 am[0] = 1;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+200877, vrr_stack+200307, vrr_stack+200687, NULL, NULL, vrr_stack+62321);
 am[0] = 1;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+201447, vrr_stack+200497, vrr_stack+200307, NULL, NULL, vrr_stack+61979);
 am[0] = 2;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+202017, vrr_stack+201447, vrr_stack+200877, vrr_stack+200497, vrr_stack+200307, vrr_stack+62492);
 am[0] = 0;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+62321, vrr_stack+136969, vrr_stack+62150, vrr_stack+92598, vrr_stack+136663, NULL);
 am[0] = 1;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+203157, vrr_stack+62321, vrr_stack+200497, NULL, NULL, vrr_stack+62150);
 am[0] = 2;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+174063, vrr_stack+203157, vrr_stack+201447, vrr_stack+62321, vrr_stack+200497, vrr_stack+63005);
 am[0] = 0;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+200497, vrr_stack+137140, vrr_stack+0, vrr_stack+92751, vrr_stack+59633, NULL);
 am[0] = 1;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+92751, vrr_stack+200687, vrr_stack+200497, NULL, NULL, vrr_stack+137140);
 am[0] = 2;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+93321, vrr_stack+200877, vrr_stack+92751, vrr_stack+200307, vrr_stack+200687, vrr_stack+87541);
 am[0] = 3;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+175203, vrr_stack+202017, vrr_stack+93321, vrr_stack+201447, vrr_stack+200877, vrr_stack+88054);
 am[0] = 3;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+32617, vrr_stack+174063, vrr_stack+202017, vrr_stack+203157, vrr_stack+201447, vrr_stack+63518);
 am[0] = 4;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+80136, vrr_stack+32617, vrr_stack+175203, vrr_stack+174063, vrr_stack+202017, vrr_stack+144200);
 am[0] = 0;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+200307, vrr_stack+918, vrr_stack+136969, vrr_stack+60449, vrr_stack+92598, NULL);
 am[0] = 1;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+201447, vrr_stack+200307, vrr_stack+62321, NULL, NULL, vrr_stack+136969);
 am[0] = 2;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+144200, vrr_stack+201447, vrr_stack+203157, vrr_stack+200307, vrr_stack+62321, vrr_stack+64544);
 am[0] = 3;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+60602, vrr_stack+144200, vrr_stack+174063, vrr_stack+201447, vrr_stack+203157, vrr_stack+143174);
 am[0] = 4;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+62502, vrr_stack+60602, vrr_stack+32617, vrr_stack+144200, vrr_stack+174063, vrr_stack+102646);
 am[0] = 0;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+174063, vrr_stack+0, vrr_stack+12790, vrr_stack+59633, vrr_stack+123461, NULL);
 am[0] = 1;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+174253, vrr_stack+200497, vrr_stack+174063, NULL, NULL, vrr_stack+0);
 am[0] = 2;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+145340, vrr_stack+92751, vrr_stack+174253, vrr_stack+200687, vrr_stack+200497, vrr_stack+70721);
 am[0] = 3;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+70721, vrr_stack+93321, vrr_stack+145340, vrr_stack+200877, vrr_stack+92751, vrr_stack+1602);
 am[0] = 4;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+214842, vrr_stack+175203, vrr_stack+70721, vrr_stack+202017, vrr_stack+93321, vrr_stack+100620);
 am[0] = 5;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+217692, vrr_stack+80136, vrr_stack+214842, vrr_stack+32617, vrr_stack+175203, vrr_stack+189363);
 am[0] = 5;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+221682, vrr_stack+62502, vrr_stack+80136, vrr_stack+60602, vrr_stack+32617, vrr_stack+104356);
 am[0] = 6;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+100620, vrr_stack+221682, vrr_stack+217692, vrr_stack+62502, vrr_stack+80136, vrr_stack+76545);
 am[0] = 0;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+76545, vrr_stack+156774, vrr_stack+918, vrr_stack+124950, vrr_stack+60449, NULL);
 am[0] = 1;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+76735, vrr_stack+76545, vrr_stack+200307, NULL, NULL, vrr_stack+918);
 am[0] = 2;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+77305, vrr_stack+76735, vrr_stack+201447, vrr_stack+76545, vrr_stack+200307, vrr_stack+1089);
 am[0] = 3;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+32617, vrr_stack+77305, vrr_stack+144200, vrr_stack+76735, vrr_stack+201447, vrr_stack+137311);
 am[0] = 4;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+200687, vrr_stack+32617, vrr_stack+60602, vrr_stack+77305, vrr_stack+144200, vrr_stack+98910);
 am[0] = 5;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+0, vrr_stack+200687, vrr_stack+62502, vrr_stack+32617, vrr_stack+60602, vrr_stack+39404);
   tmp = vrr_stack + 0;
   target_ptr = Libint->vrr_classes[5][18];
   for(i=0;i<3990;i++)
     target_ptr[i] += tmp[i];
 am[0] = 6;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+225672, vrr_stack+0, vrr_stack+221682, vrr_stack+200687, vrr_stack+62502, vrr_stack+191928);
   tmp = vrr_stack + 225672;
   target_ptr = Libint->vrr_classes[6][18];
   for(i=0;i<5320;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+200687, Data->F+25, Data->F+26, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+200690, vrr_stack+30564, vrr_stack+200687, Data->F+24, Data->F+25, NULL);
 _BUILD_00f0(Data,vrr_stack+200696, vrr_stack+30567, vrr_stack+200690, vrr_stack+122910, vrr_stack+30564, NULL);
 _BUILD_00g0(Data,vrr_stack+200706, vrr_stack+30573, vrr_stack+200696, vrr_stack+122913, vrr_stack+30567, NULL);
 _BUILD_00h0(Data,vrr_stack+200721, vrr_stack+30583, vrr_stack+200706, vrr_stack+122919, vrr_stack+30573, NULL);
 _BUILD_00i0(Data,vrr_stack+200687, vrr_stack+30598, vrr_stack+200721, vrr_stack+122929, vrr_stack+30583, NULL);
 _BUILD_00k0(Data,vrr_stack+200715, vrr_stack+30619, vrr_stack+200687, vrr_stack+122944, vrr_stack+30598, NULL);
 _BUILD_00l0(Data,vrr_stack+122910, vrr_stack+30647, vrr_stack+200715, vrr_stack+122965, vrr_stack+30619, NULL);
 _BUILD_00m0(Data,vrr_stack+200687, vrr_stack+18878, vrr_stack+122910, vrr_stack+122993, vrr_stack+30647, NULL);
 _BUILD_00n0(Data,vrr_stack+122910, vrr_stack+30683, vrr_stack+200687, vrr_stack+123029, vrr_stack+18878, NULL);
 _BUILD_00o0(Data,vrr_stack+200687, vrr_stack+18923, vrr_stack+122910, vrr_stack+123074, vrr_stack+30683, NULL);
 _BUILD_00q0(Data,vrr_stack+122910, vrr_stack+30738, vrr_stack+200687, vrr_stack+22992, vrr_stack+18923, NULL);
 am[0] = 0;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+200687, vrr_stack+30816, vrr_stack+122910, vrr_stack+5737, vrr_stack+30738, NULL);
 am[0] = 0;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+122910, vrr_stack+12685, vrr_stack+200687, vrr_stack+123129, vrr_stack+30816, NULL);
 am[0] = 0;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+200687, vrr_stack+18989, vrr_stack+122910, vrr_stack+123220, vrr_stack+12685, NULL);
 am[0] = 0;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+122910, vrr_stack+19109, vrr_stack+200687, vrr_stack+5815, vrr_stack+18989, NULL);
 am[0] = 0;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+156774, vrr_stack+19245, vrr_stack+122910, vrr_stack+123325, vrr_stack+19109, NULL);
 am[0] = 0;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+200307, vrr_stack+12790, vrr_stack+156774, vrr_stack+123461, vrr_stack+19245, NULL);
 am[0] = 1;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+122910, vrr_stack+174063, vrr_stack+200307, NULL, NULL, vrr_stack+12790);
 am[0] = 2;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+123480, vrr_stack+174253, vrr_stack+122910, vrr_stack+200497, vrr_stack+174063, vrr_stack+12961);
 am[0] = 3;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+200307, vrr_stack+145340, vrr_stack+123480, vrr_stack+92751, vrr_stack+174253, vrr_stack+19398);
 am[0] = 4;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+39404, vrr_stack+70721, vrr_stack+200307, vrr_stack+93321, vrr_stack+145340, vrr_stack+30907);
 am[0] = 5;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+189363, vrr_stack+214842, vrr_stack+39404, vrr_stack+175203, vrr_stack+70721, vrr_stack+161733);
 am[0] = 6;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+59528, vrr_stack+217692, vrr_stack+189363, vrr_stack+80136, vrr_stack+214842, vrr_stack+5935);
 am[0] = 7;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+76545, vrr_stack+100620, vrr_stack+59528, vrr_stack+221682, vrr_stack+217692, vrr_stack+203898);
 am[0] = 7;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+214842, vrr_stack+225672, vrr_stack+100620, vrr_stack+0, vrr_stack+221682, vrr_stack+195519);
   tmp = vrr_stack + 214842;
   target_ptr = Libint->vrr_classes[7][18];
   for(i=0;i<6840;i++)
     target_ptr[i] += tmp[i];
 _BUILD_l0m0(Data,vrr_stack+221682, vrr_stack+28448, vrr_stack+13643, vrr_stack+4197, vrr_stack+23058, vrr_stack+17258);
   tmp = vrr_stack + 221682;
   target_ptr = Libint->vrr_classes[8][9];
   for(i=0;i<2475;i++)
     target_ptr[i] += tmp[i];
 _BUILD_l0n0(Data,vrr_stack+0, vrr_stack+25588, vrr_stack+37028, vrr_stack+21144, vrr_stack+35180, vrr_stack+13643);
   tmp = vrr_stack + 0;
   target_ptr = Libint->vrr_classes[8][10];
   for(i=0;i<2970;i++)
     target_ptr[i] += tmp[i];
 _BUILD_l0o0(Data,vrr_stack+2970, vrr_stack+9877, vrr_stack+56720, vrr_stack+50714, vrr_stack+48530, vrr_stack+37028);
   tmp = vrr_stack + 2970;
   target_ptr = Libint->vrr_classes[8][11];
   for(i=0;i<3510;i++)
     target_ptr[i] += tmp[i];
 _BUILD_l0q0(Data,vrr_stack+6480, vrr_stack+52898, vrr_stack+73269, vrr_stack+68173, vrr_stack+65625, vrr_stack+56720);
   tmp = vrr_stack + 6480;
   target_ptr = Libint->vrr_classes[8][12];
   for(i=0;i<4095;i++)
     target_ptr[i] += tmp[i];
 am[0] = 8;  am[1] = 13;
 vrr_build_xxxx(am,Data,vrr_stack+10575, vrr_stack+95130, vrr_stack+44175, vrr_stack+89250, vrr_stack+84105, vrr_stack+73269);
   tmp = vrr_stack + 10575;
   target_ptr = Libint->vrr_classes[8][13];
   for(i=0;i<4725;i++)
     target_ptr[i] += tmp[i];
 am[0] = 8;  am[1] = 14;
 vrr_build_xxxx(am,Data,vrr_stack+15300, vrr_stack+118590, vrr_stack+114270, vrr_stack+110910, vrr_stack+107550, vrr_stack+44175);
   tmp = vrr_stack + 15300;
   target_ptr = Libint->vrr_classes[8][14];
   for(i=0;i<5400;i++)
     target_ptr[i] += tmp[i];
 am[0] = 8;  am[1] = 15;
 vrr_build_xxxx(am,Data,vrr_stack+118590, vrr_stack+151878, vrr_stack+146982, vrr_stack+139366, vrr_stack+132702, vrr_stack+114270);
   tmp = vrr_stack + 118590;
   target_ptr = Libint->vrr_classes[8][15];
   for(i=0;i<6120;i++)
     target_ptr[i] += tmp[i];
 am[0] = 8;  am[1] = 16;
 vrr_build_xxxx(am,Data,vrr_stack+20700, vrr_stack+183855, vrr_stack+178347, vrr_stack+169779, vrr_stack+165495, vrr_stack+146982);
   tmp = vrr_stack + 20700;
   target_ptr = Libint->vrr_classes[8][16];
   for(i=0;i<6885;i++)
     target_ptr[i] += tmp[i];
 am[0] = 8;  am[1] = 17;
 vrr_build_xxxx(am,Data,vrr_stack+183855, vrr_stack+208686, vrr_stack+125103, vrr_stack+156945, vrr_stack+195519, vrr_stack+178347);
   tmp = vrr_stack + 183855;
   target_ptr = Libint->vrr_classes[8][17];
   for(i=0;i<7695;i++)
     target_ptr[i] += tmp[i];
 am[0] = 8;  am[1] = 18;
 vrr_build_xxxx(am,Data,vrr_stack+191550, vrr_stack+214842, vrr_stack+76545, vrr_stack+225672, vrr_stack+100620, vrr_stack+125103);
   tmp = vrr_stack + 191550;
   target_ptr = Libint->vrr_classes[8][18];
   for(i=0;i<8550;i++)
     target_ptr[i] += tmp[i];

}

