#include <stdio.h>
#include "libint.h"
#include "vrr_header.h"

  /* Computes quartets necessary to compute (i0|m0) integrals */

void vrr_order_i0m0(Libint_t * Libint, prim_data *Data)
{
 REALTYPE *vrr_stack = Libint->vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];
 _BUILD_00p0(Data,vrr_stack+0, Data->F+7, Data->F+8, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+6, Data->F+7, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+6, Data->F+8, Data->F+9, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+9, vrr_stack+0, vrr_stack+6, Data->F+7, Data->F+8, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+3, vrr_stack+0, Data->F+6, Data->F+7, NULL);
 _BUILD_00f0(Data,vrr_stack+21, vrr_stack+15, vrr_stack+9, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_00p0(Data,vrr_stack+31, Data->F+9, Data->F+10, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+34, vrr_stack+6, vrr_stack+31, Data->F+8, Data->F+9, NULL);
 _BUILD_00f0(Data,vrr_stack+40, vrr_stack+9, vrr_stack+34, vrr_stack+0, vrr_stack+6, NULL);
 _BUILD_00g0(Data,vrr_stack+50, vrr_stack+21, vrr_stack+40, vrr_stack+15, vrr_stack+9, NULL);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+5, Data->F+6, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+65, vrr_stack+0, vrr_stack+3, Data->F+5, Data->F+6, NULL);
 _BUILD_00f0(Data,vrr_stack+71, vrr_stack+65, vrr_stack+15, vrr_stack+0, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+81, vrr_stack+71, vrr_stack+21, vrr_stack+65, vrr_stack+15, NULL);
 _BUILD_p0g0(Data,vrr_stack+96, vrr_stack+81, vrr_stack+50, NULL, NULL, vrr_stack+21);
 _BUILD_00h0(Data,vrr_stack+141, vrr_stack+81, vrr_stack+50, vrr_stack+71, vrr_stack+21, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+4, Data->F+5, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+3, vrr_stack+0, Data->F+4, Data->F+5, NULL);
 _BUILD_00f0(Data,vrr_stack+162, vrr_stack+15, vrr_stack+65, vrr_stack+3, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+172, vrr_stack+162, vrr_stack+71, vrr_stack+15, vrr_stack+65, NULL);
 _BUILD_00h0(Data,vrr_stack+187, vrr_stack+172, vrr_stack+81, vrr_stack+162, vrr_stack+71, NULL);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+10, Data->F+11, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+65, vrr_stack+31, vrr_stack+0, Data->F+9, Data->F+10, NULL);
 _BUILD_00f0(Data,vrr_stack+71, vrr_stack+34, vrr_stack+65, vrr_stack+6, vrr_stack+31, NULL);
 _BUILD_00g0(Data,vrr_stack+208, vrr_stack+40, vrr_stack+71, vrr_stack+9, vrr_stack+34, NULL);
 _BUILD_00h0(Data,vrr_stack+223, vrr_stack+50, vrr_stack+208, vrr_stack+21, vrr_stack+40, NULL);
 _BUILD_p0h0(Data,vrr_stack+244, vrr_stack+141, vrr_stack+223, NULL, NULL, vrr_stack+50);
 _BUILD_p0h0(Data,vrr_stack+307, vrr_stack+187, vrr_stack+141, NULL, NULL, vrr_stack+81);
 _BUILD_d0h0(Data,vrr_stack+370, vrr_stack+307, vrr_stack+244, vrr_stack+187, vrr_stack+141, vrr_stack+96);
 _BUILD_00i0(Data,vrr_stack+96, vrr_stack+141, vrr_stack+223, vrr_stack+81, vrr_stack+50, NULL);
 _BUILD_00i0(Data,vrr_stack+496, vrr_stack+187, vrr_stack+141, vrr_stack+172, vrr_stack+81, NULL);
 _BUILD_p0i0(Data,vrr_stack+524, vrr_stack+496, vrr_stack+96, NULL, NULL, vrr_stack+141);
 _BUILD_00p0(Data,vrr_stack+81, Data->F+3, Data->F+4, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+84, vrr_stack+81, vrr_stack+3, Data->F+3, Data->F+4, NULL);
 _BUILD_00f0(Data,vrr_stack+21, vrr_stack+84, vrr_stack+15, vrr_stack+81, vrr_stack+3, NULL);
 _BUILD_00g0(Data,vrr_stack+124, vrr_stack+21, vrr_stack+162, vrr_stack+84, vrr_stack+15, NULL);
 _BUILD_00h0(Data,vrr_stack+608, vrr_stack+124, vrr_stack+172, vrr_stack+21, vrr_stack+162, NULL);
 _BUILD_00i0(Data,vrr_stack+629, vrr_stack+608, vrr_stack+187, vrr_stack+124, vrr_stack+172, NULL);
 _BUILD_p0i0(Data,vrr_stack+657, vrr_stack+629, vrr_stack+496, NULL, NULL, vrr_stack+187);
 _BUILD_00p0(Data,vrr_stack+162, Data->F+11, Data->F+12, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+90, vrr_stack+0, vrr_stack+162, Data->F+10, Data->F+11, NULL);
 _BUILD_00f0(Data,vrr_stack+165, vrr_stack+65, vrr_stack+90, vrr_stack+31, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+3, vrr_stack+71, vrr_stack+165, vrr_stack+34, vrr_stack+65, NULL);
 _BUILD_00h0(Data,vrr_stack+741, vrr_stack+208, vrr_stack+3, vrr_stack+40, vrr_stack+71, NULL);
 _BUILD_00i0(Data,vrr_stack+762, vrr_stack+223, vrr_stack+741, vrr_stack+50, vrr_stack+208, NULL);
 _BUILD_p0i0(Data,vrr_stack+790, vrr_stack+96, vrr_stack+762, NULL, NULL, vrr_stack+223);
 _BUILD_d0i0(Data,vrr_stack+874, vrr_stack+524, vrr_stack+790, vrr_stack+496, vrr_stack+96, vrr_stack+244);
 _BUILD_d0i0(Data,vrr_stack+1042, vrr_stack+657, vrr_stack+524, vrr_stack+629, vrr_stack+496, vrr_stack+307);
 _BUILD_f0i0(Data,vrr_stack+1210, vrr_stack+1042, vrr_stack+874, vrr_stack+657, vrr_stack+524, vrr_stack+370);
 _BUILD_00k0(Data,vrr_stack+244, vrr_stack+496, vrr_stack+96, vrr_stack+187, vrr_stack+141, NULL);
 _BUILD_00k0(Data,vrr_stack+280, vrr_stack+629, vrr_stack+496, vrr_stack+608, vrr_stack+187, NULL);
 _BUILD_00k0(Data,vrr_stack+316, vrr_stack+96, vrr_stack+762, vrr_stack+141, vrr_stack+223, NULL);
 _BUILD_p0k0(Data,vrr_stack+352, vrr_stack+244, vrr_stack+316, NULL, NULL, vrr_stack+96);
 _BUILD_p0k0(Data,vrr_stack+1490, vrr_stack+280, vrr_stack+244, NULL, NULL, vrr_stack+496);
 _BUILD_d0k0(Data,vrr_stack+1598, vrr_stack+1490, vrr_stack+352, vrr_stack+280, vrr_stack+244, vrr_stack+524);
 _BUILD_00p0(Data,vrr_stack+18, Data->F+2, Data->F+3, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+524, vrr_stack+18, vrr_stack+81, Data->F+2, Data->F+3, NULL);
 _BUILD_00f0(Data,vrr_stack+530, vrr_stack+524, vrr_stack+84, vrr_stack+18, vrr_stack+81, NULL);
 _BUILD_00g0(Data,vrr_stack+540, vrr_stack+530, vrr_stack+21, vrr_stack+524, vrr_stack+84, NULL);
 _BUILD_00h0(Data,vrr_stack+555, vrr_stack+540, vrr_stack+124, vrr_stack+530, vrr_stack+21, NULL);
 _BUILD_00i0(Data,vrr_stack+21, vrr_stack+555, vrr_stack+608, vrr_stack+540, vrr_stack+124, NULL);
 _BUILD_00k0(Data,vrr_stack+460, vrr_stack+21, vrr_stack+629, vrr_stack+555, vrr_stack+608, NULL);
 _BUILD_p0k0(Data,vrr_stack+1814, vrr_stack+460, vrr_stack+280, NULL, NULL, vrr_stack+629);
 _BUILD_d0k0(Data,vrr_stack+1922, vrr_stack+1814, vrr_stack+1490, vrr_stack+460, vrr_stack+280, vrr_stack+657);
 _BUILD_00p0(Data,vrr_stack+657, Data->F+12, Data->F+13, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+660, vrr_stack+162, vrr_stack+657, Data->F+11, Data->F+12, NULL);
 _BUILD_00f0(Data,vrr_stack+666, vrr_stack+90, vrr_stack+660, vrr_stack+0, vrr_stack+162, NULL);
 _BUILD_00g0(Data,vrr_stack+676, vrr_stack+165, vrr_stack+666, vrr_stack+65, vrr_stack+90, NULL);
 _BUILD_00h0(Data,vrr_stack+691, vrr_stack+3, vrr_stack+676, vrr_stack+71, vrr_stack+165, NULL);
 _BUILD_00i0(Data,vrr_stack+712, vrr_stack+741, vrr_stack+691, vrr_stack+208, vrr_stack+3, NULL);
 _BUILD_00k0(Data,vrr_stack+124, vrr_stack+762, vrr_stack+712, vrr_stack+223, vrr_stack+741, NULL);
 _BUILD_p0k0(Data,vrr_stack+2138, vrr_stack+316, vrr_stack+124, NULL, NULL, vrr_stack+762);
 _BUILD_d0k0(Data,vrr_stack+2246, vrr_stack+352, vrr_stack+2138, vrr_stack+244, vrr_stack+316, vrr_stack+790);
 _BUILD_f0k0(Data,vrr_stack+2462, vrr_stack+1598, vrr_stack+2246, vrr_stack+1490, vrr_stack+352, vrr_stack+874);
 _BUILD_f0k0(Data,vrr_stack+2822, vrr_stack+1922, vrr_stack+1598, vrr_stack+1814, vrr_stack+1490, vrr_stack+1042);
 _BUILD_g0k0(Data,vrr_stack+3182, vrr_stack+2822, vrr_stack+2462, vrr_stack+1922, vrr_stack+1598, vrr_stack+1210);
 _BUILD_00l0(Data,vrr_stack+790, vrr_stack+244, vrr_stack+316, vrr_stack+496, vrr_stack+96, NULL);
 _BUILD_00l0(Data,vrr_stack+835, vrr_stack+280, vrr_stack+244, vrr_stack+629, vrr_stack+496, NULL);
 _BUILD_p0l0(Data,vrr_stack+880, vrr_stack+835, vrr_stack+790, NULL, NULL, vrr_stack+244);
 _BUILD_00l0(Data,vrr_stack+1015, vrr_stack+460, vrr_stack+280, vrr_stack+21, vrr_stack+629, NULL);
 _BUILD_p0l0(Data,vrr_stack+1060, vrr_stack+1015, vrr_stack+835, NULL, NULL, vrr_stack+280);
 _BUILD_00l0(Data,vrr_stack+1195, vrr_stack+316, vrr_stack+124, vrr_stack+96, vrr_stack+762, NULL);
 _BUILD_p0l0(Data,vrr_stack+1240, vrr_stack+790, vrr_stack+1195, NULL, NULL, vrr_stack+316);
 _BUILD_d0l0(Data,vrr_stack+3722, vrr_stack+880, vrr_stack+1240, vrr_stack+835, vrr_stack+790, vrr_stack+352);
 _BUILD_d0l0(Data,vrr_stack+3992, vrr_stack+1060, vrr_stack+880, vrr_stack+1015, vrr_stack+835, vrr_stack+1490);
 _BUILD_f0l0(Data,vrr_stack+4262, vrr_stack+3992, vrr_stack+3722, vrr_stack+1060, vrr_stack+880, vrr_stack+1598);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+1, Data->F+2, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+352, vrr_stack+0, vrr_stack+18, Data->F+1, Data->F+2, NULL);
 _BUILD_00f0(Data,vrr_stack+358, vrr_stack+352, vrr_stack+524, vrr_stack+0, vrr_stack+18, NULL);
 _BUILD_00g0(Data,vrr_stack+368, vrr_stack+358, vrr_stack+530, vrr_stack+352, vrr_stack+524, NULL);
 _BUILD_00h0(Data,vrr_stack+383, vrr_stack+368, vrr_stack+540, vrr_stack+358, vrr_stack+530, NULL);
 _BUILD_00i0(Data,vrr_stack+96, vrr_stack+383, vrr_stack+555, vrr_stack+368, vrr_stack+540, NULL);
 _BUILD_00k0(Data,vrr_stack+404, vrr_stack+96, vrr_stack+21, vrr_stack+383, vrr_stack+555, NULL);
 _BUILD_00l0(Data,vrr_stack+496, vrr_stack+404, vrr_stack+460, vrr_stack+96, vrr_stack+21, NULL);
 _BUILD_p0l0(Data,vrr_stack+1375, vrr_stack+496, vrr_stack+1015, NULL, NULL, vrr_stack+460);
 _BUILD_d0l0(Data,vrr_stack+1510, vrr_stack+1375, vrr_stack+1060, vrr_stack+496, vrr_stack+1015, vrr_stack+1814);
 _BUILD_f0l0(Data,vrr_stack+4712, vrr_stack+1510, vrr_stack+3992, vrr_stack+1375, vrr_stack+1060, vrr_stack+1922);
 _BUILD_00p0(Data,vrr_stack+18, Data->F+13, Data->F+14, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+21, vrr_stack+657, vrr_stack+18, Data->F+12, Data->F+13, NULL);
 _BUILD_00f0(Data,vrr_stack+27, vrr_stack+660, vrr_stack+21, vrr_stack+162, vrr_stack+657, NULL);
 _BUILD_00g0(Data,vrr_stack+37, vrr_stack+666, vrr_stack+27, vrr_stack+90, vrr_stack+660, NULL);
 _BUILD_00h0(Data,vrr_stack+52, vrr_stack+676, vrr_stack+37, vrr_stack+165, vrr_stack+666, NULL);
 _BUILD_00i0(Data,vrr_stack+541, vrr_stack+691, vrr_stack+52, vrr_stack+3, vrr_stack+676, NULL);
 _BUILD_00k0(Data,vrr_stack+569, vrr_stack+712, vrr_stack+541, vrr_stack+741, vrr_stack+691, NULL);
 _BUILD_00l0(Data,vrr_stack+605, vrr_stack+124, vrr_stack+569, vrr_stack+762, vrr_stack+712, NULL);
 _BUILD_p0l0(Data,vrr_stack+1780, vrr_stack+1195, vrr_stack+605, NULL, NULL, vrr_stack+124);
 _BUILD_d0l0(Data,vrr_stack+5162, vrr_stack+1240, vrr_stack+1780, vrr_stack+790, vrr_stack+1195, vrr_stack+2138);
 _BUILD_f0l0(Data,vrr_stack+5432, vrr_stack+3722, vrr_stack+5162, vrr_stack+880, vrr_stack+1240, vrr_stack+2246);
 _BUILD_g0l0(Data,vrr_stack+5882, vrr_stack+4262, vrr_stack+5432, vrr_stack+3992, vrr_stack+3722, vrr_stack+2462);
 _BUILD_g0l0(Data,vrr_stack+1915, vrr_stack+4712, vrr_stack+4262, vrr_stack+1510, vrr_stack+3992, vrr_stack+2822);
 _BUILD_h0l0(Data,vrr_stack+6557, vrr_stack+1915, vrr_stack+5882, vrr_stack+4712, vrr_stack+4262, vrr_stack+3182);
 _BUILD_00m0(Data,vrr_stack+2590, vrr_stack+835, vrr_stack+790, vrr_stack+280, vrr_stack+244, NULL);
 _BUILD_00m0(Data,vrr_stack+2645, vrr_stack+1015, vrr_stack+835, vrr_stack+460, vrr_stack+280, NULL);
 _BUILD_00m0(Data,vrr_stack+2700, vrr_stack+790, vrr_stack+1195, vrr_stack+244, vrr_stack+316, NULL);
 _BUILD_p0m0(Data,vrr_stack+2755, vrr_stack+2590, vrr_stack+2700, NULL, NULL, vrr_stack+790);
 _BUILD_p0m0(Data,vrr_stack+2920, vrr_stack+2645, vrr_stack+2590, NULL, NULL, vrr_stack+835);
 _BUILD_d0m0(Data,vrr_stack+3085, vrr_stack+2920, vrr_stack+2755, vrr_stack+2645, vrr_stack+2590, vrr_stack+880);
 _BUILD_00m0(Data,vrr_stack+3415, vrr_stack+496, vrr_stack+1015, vrr_stack+404, vrr_stack+460, NULL);
 _BUILD_p0m0(Data,vrr_stack+3470, vrr_stack+3415, vrr_stack+2645, NULL, NULL, vrr_stack+1015);
 _BUILD_d0m0(Data,vrr_stack+7502, vrr_stack+3470, vrr_stack+2920, vrr_stack+3415, vrr_stack+2645, vrr_stack+1060);
 _BUILD_00m0(Data,vrr_stack+2645, vrr_stack+1195, vrr_stack+605, vrr_stack+316, vrr_stack+124, NULL);
 _BUILD_p0m0(Data,vrr_stack+740, vrr_stack+2700, vrr_stack+2645, NULL, NULL, vrr_stack+1195);
 _BUILD_d0m0(Data,vrr_stack+905, vrr_stack+2755, vrr_stack+740, vrr_stack+2590, vrr_stack+2700, vrr_stack+1240);
 _BUILD_f0m0(Data,vrr_stack+7832, vrr_stack+3085, vrr_stack+905, vrr_stack+2920, vrr_stack+2755, vrr_stack+3722);
 _BUILD_f0m0(Data,vrr_stack+8382, vrr_stack+7502, vrr_stack+3085, vrr_stack+3470, vrr_stack+2920, vrr_stack+3992);
 _BUILD_g0m0(Data,vrr_stack+8932, vrr_stack+8382, vrr_stack+7832, vrr_stack+7502, vrr_stack+3085, vrr_stack+4262);
 _BUILD_00p0(Data,vrr_stack+2920, Data->F+0, Data->F+1, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+2923, vrr_stack+2920, vrr_stack+0, Data->F+0, Data->F+1, NULL);
 _BUILD_00f0(Data,vrr_stack+2929, vrr_stack+2923, vrr_stack+352, vrr_stack+2920, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+0, vrr_stack+2929, vrr_stack+358, vrr_stack+2923, vrr_stack+352, NULL);
 _BUILD_00h0(Data,vrr_stack+2939, vrr_stack+0, vrr_stack+368, vrr_stack+2929, vrr_stack+358, NULL);
 _BUILD_00i0(Data,vrr_stack+2960, vrr_stack+2939, vrr_stack+383, vrr_stack+0, vrr_stack+368, NULL);
 _BUILD_00k0(Data,vrr_stack+2988, vrr_stack+2960, vrr_stack+96, vrr_stack+2939, vrr_stack+383, NULL);
 _BUILD_00l0(Data,vrr_stack+3024, vrr_stack+2988, vrr_stack+404, vrr_stack+2960, vrr_stack+96, NULL);
 _BUILD_00m0(Data,vrr_stack+2590, vrr_stack+3024, vrr_stack+496, vrr_stack+2988, vrr_stack+404, NULL);
 _BUILD_p0m0(Data,vrr_stack+2920, vrr_stack+2590, vrr_stack+3415, NULL, NULL, vrr_stack+496);
 _BUILD_d0m0(Data,vrr_stack+3635, vrr_stack+2920, vrr_stack+3470, vrr_stack+2590, vrr_stack+3415, vrr_stack+1375);
 _BUILD_f0m0(Data,vrr_stack+3965, vrr_stack+3635, vrr_stack+7502, vrr_stack+2920, vrr_stack+3470, vrr_stack+1510);
 _BUILD_g0m0(Data,vrr_stack+9757, vrr_stack+3965, vrr_stack+8382, vrr_stack+3635, vrr_stack+7502, vrr_stack+4712);
 _BUILD_00p0(Data,vrr_stack+7502, Data->F+14, Data->F+15, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+7505, vrr_stack+18, vrr_stack+7502, Data->F+13, Data->F+14, NULL);
 _BUILD_00f0(Data,vrr_stack+7511, vrr_stack+21, vrr_stack+7505, vrr_stack+657, vrr_stack+18, NULL);
 _BUILD_00g0(Data,vrr_stack+7521, vrr_stack+27, vrr_stack+7511, vrr_stack+660, vrr_stack+21, NULL);
 _BUILD_00h0(Data,vrr_stack+7536, vrr_stack+37, vrr_stack+7521, vrr_stack+666, vrr_stack+27, NULL);
 _BUILD_00i0(Data,vrr_stack+7502, vrr_stack+52, vrr_stack+7536, vrr_stack+676, vrr_stack+37, NULL);
 _BUILD_00k0(Data,vrr_stack+7530, vrr_stack+541, vrr_stack+7502, vrr_stack+691, vrr_stack+52, NULL);
 _BUILD_00l0(Data,vrr_stack+7566, vrr_stack+569, vrr_stack+7530, vrr_stack+712, vrr_stack+541, NULL);
 _BUILD_00m0(Data,vrr_stack+2590, vrr_stack+605, vrr_stack+7566, vrr_stack+124, vrr_stack+569, NULL);
 _BUILD_p0m0(Data,vrr_stack+2920, vrr_stack+2645, vrr_stack+2590, NULL, NULL, vrr_stack+605);
 _BUILD_d0m0(Data,vrr_stack+7502, vrr_stack+740, vrr_stack+2920, vrr_stack+2700, vrr_stack+2645, vrr_stack+1780);
 _BUILD_f0m0(Data,vrr_stack+3415, vrr_stack+905, vrr_stack+7502, vrr_stack+2755, vrr_stack+740, vrr_stack+5162);
 _BUILD_g0m0(Data,vrr_stack+0, vrr_stack+7832, vrr_stack+3415, vrr_stack+3085, vrr_stack+905, vrr_stack+5432);
 _BUILD_h0m0(Data,vrr_stack+2590, vrr_stack+8932, vrr_stack+0, vrr_stack+8382, vrr_stack+7832, vrr_stack+5882);
 _BUILD_h0m0(Data,vrr_stack+0, vrr_stack+9757, vrr_stack+8932, vrr_stack+3965, vrr_stack+8382, vrr_stack+1915);
 _BUILD_i0m0(Data,vrr_stack+3745, vrr_stack+0, vrr_stack+2590, vrr_stack+9757, vrr_stack+8932, vrr_stack+6557);
   tmp = vrr_stack + 3745;
   target_ptr = Libint->vrr_classes[6][9];
   for(i=0;i<1540;i++)
     target_ptr[i] += tmp[i];

}

