#include <stdio.h>
#include "libint.h"
#include "vrr_header.h"

  /* Computes quartets necessary to compute (if|np) integrals */

void vrr_order_ifnp(Libint_t * Libint, prim_data *Data)
{
 REALTYPE *vrr_stack = Libint->vrr_stack;
 REALTYPE *tmp, *target_ptr;
 int i, am[2];
 _BUILD_00p0(Data,vrr_stack+0, Data->F+9, Data->F+10, NULL, NULL, NULL);
 _BUILD_00p0(Data,vrr_stack+3, Data->F+10, Data->F+11, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+6, vrr_stack+0, vrr_stack+3, Data->F+9, Data->F+10, NULL);
 _BUILD_00p0(Data,vrr_stack+12, Data->F+8, Data->F+9, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+12, vrr_stack+0, Data->F+8, Data->F+9, NULL);
 _BUILD_p0d0(Data,vrr_stack+21, vrr_stack+15, vrr_stack+6, NULL, NULL, vrr_stack+0);
 _BUILD_00f0(Data,vrr_stack+39, vrr_stack+15, vrr_stack+6, vrr_stack+12, vrr_stack+0, NULL);
 _BUILD_00p0(Data,vrr_stack+49, Data->F+7, Data->F+8, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+52, vrr_stack+49, vrr_stack+12, Data->F+7, Data->F+8, NULL);
 _BUILD_00f0(Data,vrr_stack+58, vrr_stack+52, vrr_stack+15, vrr_stack+49, vrr_stack+12, NULL);
 _BUILD_00p0(Data,vrr_stack+12, Data->F+11, Data->F+12, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+68, vrr_stack+3, vrr_stack+12, Data->F+10, Data->F+11, NULL);
 _BUILD_00f0(Data,vrr_stack+74, vrr_stack+6, vrr_stack+68, vrr_stack+0, vrr_stack+3, NULL);
 _BUILD_p0f0(Data,vrr_stack+84, vrr_stack+39, vrr_stack+74, NULL, NULL, vrr_stack+6);
 _BUILD_p0f0(Data,vrr_stack+114, vrr_stack+58, vrr_stack+39, NULL, NULL, vrr_stack+15);
 _BUILD_d0f0(Data,vrr_stack+144, vrr_stack+114, vrr_stack+84, vrr_stack+58, vrr_stack+39, vrr_stack+21);
 _BUILD_00g0(Data,vrr_stack+21, vrr_stack+39, vrr_stack+74, vrr_stack+15, vrr_stack+6, NULL);
 _BUILD_00g0(Data,vrr_stack+204, vrr_stack+58, vrr_stack+39, vrr_stack+52, vrr_stack+15, NULL);
 _BUILD_p0g0(Data,vrr_stack+219, vrr_stack+204, vrr_stack+21, NULL, NULL, vrr_stack+39);
 _BUILD_00p0(Data,vrr_stack+36, Data->F+6, Data->F+7, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+36, vrr_stack+49, Data->F+6, Data->F+7, NULL);
 _BUILD_00f0(Data,vrr_stack+264, vrr_stack+15, vrr_stack+52, vrr_stack+36, vrr_stack+49, NULL);
 _BUILD_00g0(Data,vrr_stack+274, vrr_stack+264, vrr_stack+58, vrr_stack+15, vrr_stack+52, NULL);
 _BUILD_p0g0(Data,vrr_stack+289, vrr_stack+274, vrr_stack+204, NULL, NULL, vrr_stack+58);
 _BUILD_00p0(Data,vrr_stack+0, Data->F+12, Data->F+13, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+49, vrr_stack+12, vrr_stack+0, Data->F+11, Data->F+12, NULL);
 _BUILD_00f0(Data,vrr_stack+334, vrr_stack+68, vrr_stack+49, vrr_stack+3, vrr_stack+12, NULL);
 _BUILD_00g0(Data,vrr_stack+344, vrr_stack+74, vrr_stack+334, vrr_stack+6, vrr_stack+68, NULL);
 _BUILD_p0g0(Data,vrr_stack+359, vrr_stack+21, vrr_stack+344, NULL, NULL, vrr_stack+74);
 _BUILD_d0g0(Data,vrr_stack+404, vrr_stack+219, vrr_stack+359, vrr_stack+204, vrr_stack+21, vrr_stack+84);
 _BUILD_d0g0(Data,vrr_stack+494, vrr_stack+289, vrr_stack+219, vrr_stack+274, vrr_stack+204, vrr_stack+114);
 _BUILD_f0g0(Data,vrr_stack+584, vrr_stack+494, vrr_stack+404, vrr_stack+289, vrr_stack+219, vrr_stack+144);
 _BUILD_00h0(Data,vrr_stack+84, vrr_stack+204, vrr_stack+21, vrr_stack+58, vrr_stack+39, NULL);
 _BUILD_00h0(Data,vrr_stack+105, vrr_stack+274, vrr_stack+204, vrr_stack+264, vrr_stack+58, NULL);
 _BUILD_00h0(Data,vrr_stack+126, vrr_stack+21, vrr_stack+344, vrr_stack+39, vrr_stack+74, NULL);
 _BUILD_p0h0(Data,vrr_stack+734, vrr_stack+84, vrr_stack+126, NULL, NULL, vrr_stack+21);
 _BUILD_p0h0(Data,vrr_stack+797, vrr_stack+105, vrr_stack+84, NULL, NULL, vrr_stack+204);
 _BUILD_d0h0(Data,vrr_stack+860, vrr_stack+797, vrr_stack+734, vrr_stack+105, vrr_stack+84, vrr_stack+219);
 _BUILD_00p0(Data,vrr_stack+219, Data->F+5, Data->F+6, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+222, vrr_stack+219, vrr_stack+36, Data->F+5, Data->F+6, NULL);
 _BUILD_00f0(Data,vrr_stack+39, vrr_stack+222, vrr_stack+15, vrr_stack+219, vrr_stack+36, NULL);
 _BUILD_00g0(Data,vrr_stack+986, vrr_stack+39, vrr_stack+264, vrr_stack+222, vrr_stack+15, NULL);
 _BUILD_00h0(Data,vrr_stack+228, vrr_stack+986, vrr_stack+274, vrr_stack+39, vrr_stack+264, NULL);
 _BUILD_p0h0(Data,vrr_stack+1001, vrr_stack+228, vrr_stack+105, NULL, NULL, vrr_stack+274);
 _BUILD_d0h0(Data,vrr_stack+1064, vrr_stack+1001, vrr_stack+797, vrr_stack+228, vrr_stack+105, vrr_stack+289);
 _BUILD_00p0(Data,vrr_stack+36, Data->F+13, Data->F+14, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+15, vrr_stack+0, vrr_stack+36, Data->F+12, Data->F+13, NULL);
 _BUILD_00f0(Data,vrr_stack+289, vrr_stack+49, vrr_stack+15, vrr_stack+12, vrr_stack+0, NULL);
 _BUILD_00g0(Data,vrr_stack+299, vrr_stack+334, vrr_stack+289, vrr_stack+68, vrr_stack+49, NULL);
 _BUILD_00h0(Data,vrr_stack+249, vrr_stack+344, vrr_stack+299, vrr_stack+74, vrr_stack+334, NULL);
 _BUILD_p0h0(Data,vrr_stack+1190, vrr_stack+126, vrr_stack+249, NULL, NULL, vrr_stack+344);
 _BUILD_d0h0(Data,vrr_stack+1253, vrr_stack+734, vrr_stack+1190, vrr_stack+84, vrr_stack+126, vrr_stack+359);
 _BUILD_f0h0(Data,vrr_stack+1379, vrr_stack+860, vrr_stack+1253, vrr_stack+797, vrr_stack+734, vrr_stack+404);
 _BUILD_f0h0(Data,vrr_stack+1589, vrr_stack+1064, vrr_stack+860, vrr_stack+1001, vrr_stack+797, vrr_stack+494);
 _BUILD_g0h0(Data,vrr_stack+1799, vrr_stack+1589, vrr_stack+1379, vrr_stack+1064, vrr_stack+860, vrr_stack+584);
 _BUILD_00i0(Data,vrr_stack+359, vrr_stack+84, vrr_stack+126, vrr_stack+204, vrr_stack+21, NULL);
 _BUILD_00i0(Data,vrr_stack+387, vrr_stack+105, vrr_stack+84, vrr_stack+274, vrr_stack+204, NULL);
 _BUILD_p0i0(Data,vrr_stack+415, vrr_stack+387, vrr_stack+359, NULL, NULL, vrr_stack+84);
 _BUILD_00i0(Data,vrr_stack+499, vrr_stack+228, vrr_stack+105, vrr_stack+986, vrr_stack+274, NULL);
 _BUILD_p0i0(Data,vrr_stack+527, vrr_stack+499, vrr_stack+387, NULL, NULL, vrr_stack+105);
 _BUILD_00i0(Data,vrr_stack+611, vrr_stack+126, vrr_stack+249, vrr_stack+21, vrr_stack+344, NULL);
 _BUILD_p0i0(Data,vrr_stack+639, vrr_stack+359, vrr_stack+611, NULL, NULL, vrr_stack+126);
 _BUILD_d0i0(Data,vrr_stack+2114, vrr_stack+415, vrr_stack+639, vrr_stack+387, vrr_stack+359, vrr_stack+734);
 _BUILD_d0i0(Data,vrr_stack+2282, vrr_stack+527, vrr_stack+415, vrr_stack+499, vrr_stack+387, vrr_stack+797);
 _BUILD_f0i0(Data,vrr_stack+2450, vrr_stack+2282, vrr_stack+2114, vrr_stack+527, vrr_stack+415, vrr_stack+860);
 _BUILD_00p0(Data,vrr_stack+21, Data->F+4, Data->F+5, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+24, vrr_stack+21, vrr_stack+219, Data->F+4, Data->F+5, NULL);
 _BUILD_00f0(Data,vrr_stack+723, vrr_stack+24, vrr_stack+222, vrr_stack+21, vrr_stack+219, NULL);
 _BUILD_00g0(Data,vrr_stack+733, vrr_stack+723, vrr_stack+39, vrr_stack+24, vrr_stack+222, NULL);
 _BUILD_00h0(Data,vrr_stack+748, vrr_stack+733, vrr_stack+986, vrr_stack+723, vrr_stack+39, NULL);
 _BUILD_00i0(Data,vrr_stack+769, vrr_stack+748, vrr_stack+228, vrr_stack+733, vrr_stack+986, NULL);
 _BUILD_p0i0(Data,vrr_stack+797, vrr_stack+769, vrr_stack+499, NULL, NULL, vrr_stack+228);
 _BUILD_d0i0(Data,vrr_stack+2730, vrr_stack+797, vrr_stack+527, vrr_stack+769, vrr_stack+499, vrr_stack+1001);
 _BUILD_f0i0(Data,vrr_stack+2898, vrr_stack+2730, vrr_stack+2282, vrr_stack+797, vrr_stack+527, vrr_stack+1064);
 _BUILD_00p0(Data,vrr_stack+39, Data->F+14, Data->F+15, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+30, vrr_stack+36, vrr_stack+39, Data->F+13, Data->F+14, NULL);
 _BUILD_00f0(Data,vrr_stack+881, vrr_stack+15, vrr_stack+30, vrr_stack+0, vrr_stack+36, NULL);
 _BUILD_00g0(Data,vrr_stack+0, vrr_stack+289, vrr_stack+881, vrr_stack+49, vrr_stack+15, NULL);
 _BUILD_00h0(Data,vrr_stack+42, vrr_stack+299, vrr_stack+0, vrr_stack+334, vrr_stack+289, NULL);
 _BUILD_00i0(Data,vrr_stack+891, vrr_stack+249, vrr_stack+42, vrr_stack+344, vrr_stack+299, NULL);
 _BUILD_p0i0(Data,vrr_stack+919, vrr_stack+611, vrr_stack+891, NULL, NULL, vrr_stack+249);
 _BUILD_d0i0(Data,vrr_stack+1003, vrr_stack+639, vrr_stack+919, vrr_stack+359, vrr_stack+611, vrr_stack+1190);
 _BUILD_f0i0(Data,vrr_stack+3178, vrr_stack+2114, vrr_stack+1003, vrr_stack+415, vrr_stack+639, vrr_stack+1253);
 _BUILD_g0i0(Data,vrr_stack+3458, vrr_stack+2450, vrr_stack+3178, vrr_stack+2282, vrr_stack+2114, vrr_stack+1379);
 _BUILD_g0i0(Data,vrr_stack+3878, vrr_stack+2898, vrr_stack+2450, vrr_stack+2730, vrr_stack+2282, vrr_stack+1589);
 _BUILD_h0i0(Data,vrr_stack+1171, vrr_stack+3878, vrr_stack+3458, vrr_stack+2898, vrr_stack+2450, vrr_stack+1799);
 _BUILD_00k0(Data,vrr_stack+1759, vrr_stack+387, vrr_stack+359, vrr_stack+105, vrr_stack+84, NULL);
 _BUILD_00k0(Data,vrr_stack+1795, vrr_stack+499, vrr_stack+387, vrr_stack+228, vrr_stack+105, NULL);
 _BUILD_00k0(Data,vrr_stack+1831, vrr_stack+359, vrr_stack+611, vrr_stack+84, vrr_stack+126, NULL);
 _BUILD_p0k0(Data,vrr_stack+1867, vrr_stack+1759, vrr_stack+1831, NULL, NULL, vrr_stack+359);
 _BUILD_p0k0(Data,vrr_stack+1975, vrr_stack+1795, vrr_stack+1759, NULL, NULL, vrr_stack+387);
 _BUILD_d0k0(Data,vrr_stack+4298, vrr_stack+1975, vrr_stack+1867, vrr_stack+1795, vrr_stack+1759, vrr_stack+415);
 _BUILD_00k0(Data,vrr_stack+415, vrr_stack+769, vrr_stack+499, vrr_stack+748, vrr_stack+228, NULL);
 _BUILD_p0k0(Data,vrr_stack+4514, vrr_stack+415, vrr_stack+1795, NULL, NULL, vrr_stack+499);
 _BUILD_d0k0(Data,vrr_stack+4622, vrr_stack+4514, vrr_stack+1975, vrr_stack+415, vrr_stack+1795, vrr_stack+527);
 _BUILD_00k0(Data,vrr_stack+527, vrr_stack+611, vrr_stack+891, vrr_stack+126, vrr_stack+249, NULL);
 _BUILD_p0k0(Data,vrr_stack+63, vrr_stack+1831, vrr_stack+527, NULL, NULL, vrr_stack+611);
 _BUILD_d0k0(Data,vrr_stack+4838, vrr_stack+1867, vrr_stack+63, vrr_stack+1759, vrr_stack+1831, vrr_stack+639);
 _BUILD_f0k0(Data,vrr_stack+5054, vrr_stack+4298, vrr_stack+4838, vrr_stack+1975, vrr_stack+1867, vrr_stack+2114);
 _BUILD_f0k0(Data,vrr_stack+5414, vrr_stack+4622, vrr_stack+4298, vrr_stack+4514, vrr_stack+1975, vrr_stack+2282);
 _BUILD_g0k0(Data,vrr_stack+5774, vrr_stack+5414, vrr_stack+5054, vrr_stack+4622, vrr_stack+4298, vrr_stack+2450);
 _BUILD_00p0(Data,vrr_stack+639, Data->F+3, Data->F+4, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+642, vrr_stack+639, vrr_stack+21, Data->F+3, Data->F+4, NULL);
 _BUILD_00f0(Data,vrr_stack+648, vrr_stack+642, vrr_stack+24, vrr_stack+639, vrr_stack+21, NULL);
 _BUILD_00g0(Data,vrr_stack+658, vrr_stack+648, vrr_stack+723, vrr_stack+642, vrr_stack+24, NULL);
 _BUILD_00h0(Data,vrr_stack+673, vrr_stack+658, vrr_stack+733, vrr_stack+648, vrr_stack+723, NULL);
 _BUILD_00i0(Data,vrr_stack+694, vrr_stack+673, vrr_stack+748, vrr_stack+658, vrr_stack+733, NULL);
 _BUILD_00k0(Data,vrr_stack+563, vrr_stack+694, vrr_stack+769, vrr_stack+673, vrr_stack+748, NULL);
 _BUILD_p0k0(Data,vrr_stack+2083, vrr_stack+563, vrr_stack+415, NULL, NULL, vrr_stack+769);
 _BUILD_d0k0(Data,vrr_stack+2191, vrr_stack+2083, vrr_stack+4514, vrr_stack+563, vrr_stack+415, vrr_stack+797);
 _BUILD_f0k0(Data,vrr_stack+6314, vrr_stack+2191, vrr_stack+4622, vrr_stack+2083, vrr_stack+4514, vrr_stack+2730);
 _BUILD_g0k0(Data,vrr_stack+6674, vrr_stack+6314, vrr_stack+5414, vrr_stack+2191, vrr_stack+4622, vrr_stack+2898);
 _BUILD_00p0(Data,vrr_stack+797, Data->F+15, Data->F+16, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+800, vrr_stack+39, vrr_stack+797, Data->F+14, Data->F+15, NULL);
 _BUILD_00f0(Data,vrr_stack+806, vrr_stack+30, vrr_stack+800, vrr_stack+36, vrr_stack+39, NULL);
 _BUILD_00g0(Data,vrr_stack+816, vrr_stack+881, vrr_stack+806, vrr_stack+15, vrr_stack+30, NULL);
 _BUILD_00h0(Data,vrr_stack+831, vrr_stack+0, vrr_stack+816, vrr_stack+289, vrr_stack+881, NULL);
 _BUILD_00i0(Data,vrr_stack+852, vrr_stack+42, vrr_stack+831, vrr_stack+299, vrr_stack+0, NULL);
 _BUILD_00k0(Data,vrr_stack+722, vrr_stack+891, vrr_stack+852, vrr_stack+249, vrr_stack+42, NULL);
 _BUILD_p0k0(Data,vrr_stack+171, vrr_stack+527, vrr_stack+722, NULL, NULL, vrr_stack+891);
 _BUILD_d0k0(Data,vrr_stack+2407, vrr_stack+63, vrr_stack+171, vrr_stack+1831, vrr_stack+527, vrr_stack+919);
 _BUILD_f0k0(Data,vrr_stack+2623, vrr_stack+4838, vrr_stack+2407, vrr_stack+1867, vrr_stack+63, vrr_stack+1003);
 _BUILD_g0k0(Data,vrr_stack+7214, vrr_stack+5054, vrr_stack+2623, vrr_stack+4298, vrr_stack+4838, vrr_stack+3178);
 _BUILD_h0k0(Data,vrr_stack+7754, vrr_stack+5774, vrr_stack+7214, vrr_stack+5414, vrr_stack+5054, vrr_stack+3458);
 _BUILD_h0k0(Data,vrr_stack+2983, vrr_stack+6674, vrr_stack+5774, vrr_stack+6314, vrr_stack+5414, vrr_stack+3878);
 _BUILD_i0k0(Data,vrr_stack+8510, vrr_stack+2983, vrr_stack+7754, vrr_stack+6674, vrr_stack+5774, vrr_stack+1171);
 _BUILD_00l0(Data,vrr_stack+919, vrr_stack+1759, vrr_stack+1831, vrr_stack+387, vrr_stack+359, NULL);
 _BUILD_00l0(Data,vrr_stack+964, vrr_stack+1795, vrr_stack+1759, vrr_stack+499, vrr_stack+387, NULL);
 _BUILD_p0l0(Data,vrr_stack+1009, vrr_stack+964, vrr_stack+919, NULL, NULL, vrr_stack+1759);
 _BUILD_00l0(Data,vrr_stack+1144, vrr_stack+415, vrr_stack+1795, vrr_stack+769, vrr_stack+499, NULL);
 _BUILD_p0l0(Data,vrr_stack+1189, vrr_stack+1144, vrr_stack+964, NULL, NULL, vrr_stack+1795);
 _BUILD_00l0(Data,vrr_stack+1324, vrr_stack+1831, vrr_stack+527, vrr_stack+359, vrr_stack+611, NULL);
 _BUILD_p0l0(Data,vrr_stack+1369, vrr_stack+919, vrr_stack+1324, NULL, NULL, vrr_stack+1831);
 _BUILD_d0l0(Data,vrr_stack+3739, vrr_stack+1009, vrr_stack+1369, vrr_stack+964, vrr_stack+919, vrr_stack+1867);
 _BUILD_d0l0(Data,vrr_stack+4009, vrr_stack+1189, vrr_stack+1009, vrr_stack+1144, vrr_stack+964, vrr_stack+1975);
 _BUILD_f0l0(Data,vrr_stack+9518, vrr_stack+4009, vrr_stack+3739, vrr_stack+1189, vrr_stack+1009, vrr_stack+4298);
 _BUILD_00l0(Data,vrr_stack+1867, vrr_stack+563, vrr_stack+415, vrr_stack+694, vrr_stack+769, NULL);
 _BUILD_p0l0(Data,vrr_stack+1912, vrr_stack+1867, vrr_stack+1144, NULL, NULL, vrr_stack+415);
 _BUILD_d0l0(Data,vrr_stack+9968, vrr_stack+1912, vrr_stack+1189, vrr_stack+1867, vrr_stack+1144, vrr_stack+4514);
 _BUILD_f0l0(Data,vrr_stack+10238, vrr_stack+9968, vrr_stack+4009, vrr_stack+1912, vrr_stack+1189, vrr_stack+4622);
 _BUILD_00l0(Data,vrr_stack+1504, vrr_stack+527, vrr_stack+722, vrr_stack+611, vrr_stack+891, NULL);
 _BUILD_p0l0(Data,vrr_stack+1549, vrr_stack+1324, vrr_stack+1504, NULL, NULL, vrr_stack+527);
 _BUILD_d0l0(Data,vrr_stack+4279, vrr_stack+1369, vrr_stack+1549, vrr_stack+919, vrr_stack+1324, vrr_stack+63);
 _BUILD_f0l0(Data,vrr_stack+10688, vrr_stack+3739, vrr_stack+4279, vrr_stack+1009, vrr_stack+1369, vrr_stack+4838);
 _BUILD_g0l0(Data,vrr_stack+11138, vrr_stack+9518, vrr_stack+10688, vrr_stack+4009, vrr_stack+3739, vrr_stack+5054);
 _BUILD_g0l0(Data,vrr_stack+4549, vrr_stack+10238, vrr_stack+9518, vrr_stack+9968, vrr_stack+4009, vrr_stack+5414);
 _BUILD_h0l0(Data,vrr_stack+11813, vrr_stack+4549, vrr_stack+11138, vrr_stack+10238, vrr_stack+9518, vrr_stack+5774);
 _BUILD_00p0(Data,vrr_stack+36, Data->F+2, Data->F+3, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+63, vrr_stack+36, vrr_stack+639, Data->F+2, Data->F+3, NULL);
 _BUILD_00f0(Data,vrr_stack+69, vrr_stack+63, vrr_stack+642, vrr_stack+36, vrr_stack+639, NULL);
 _BUILD_00g0(Data,vrr_stack+15, vrr_stack+69, vrr_stack+648, vrr_stack+63, vrr_stack+642, NULL);
 _BUILD_00h0(Data,vrr_stack+79, vrr_stack+15, vrr_stack+658, vrr_stack+69, vrr_stack+648, NULL);
 _BUILD_00i0(Data,vrr_stack+100, vrr_stack+79, vrr_stack+673, vrr_stack+15, vrr_stack+658, NULL);
 _BUILD_00k0(Data,vrr_stack+2047, vrr_stack+100, vrr_stack+694, vrr_stack+79, vrr_stack+673, NULL);
 _BUILD_00l0(Data,vrr_stack+1684, vrr_stack+2047, vrr_stack+563, vrr_stack+100, vrr_stack+694, NULL);
 _BUILD_p0l0(Data,vrr_stack+279, vrr_stack+1684, vrr_stack+1867, NULL, NULL, vrr_stack+563);
 _BUILD_d0l0(Data,vrr_stack+5224, vrr_stack+279, vrr_stack+1912, vrr_stack+1684, vrr_stack+1867, vrr_stack+2083);
 _BUILD_f0l0(Data,vrr_stack+5494, vrr_stack+5224, vrr_stack+9968, vrr_stack+279, vrr_stack+1912, vrr_stack+2191);
 _BUILD_g0l0(Data,vrr_stack+12758, vrr_stack+5494, vrr_stack+10238, vrr_stack+5224, vrr_stack+9968, vrr_stack+6314);
 _BUILD_h0l0(Data,vrr_stack+13433, vrr_stack+12758, vrr_stack+4549, vrr_stack+5494, vrr_stack+10238, vrr_stack+6674);
 _BUILD_00p0(Data,vrr_stack+2083, Data->F+16, Data->F+17, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+2086, vrr_stack+797, vrr_stack+2083, Data->F+15, Data->F+16, NULL);
 _BUILD_00f0(Data,vrr_stack+2092, vrr_stack+800, vrr_stack+2086, vrr_stack+39, vrr_stack+797, NULL);
 _BUILD_00g0(Data,vrr_stack+2102, vrr_stack+806, vrr_stack+2092, vrr_stack+30, vrr_stack+800, NULL);
 _BUILD_00h0(Data,vrr_stack+2117, vrr_stack+816, vrr_stack+2102, vrr_stack+881, vrr_stack+806, NULL);
 _BUILD_00i0(Data,vrr_stack+2138, vrr_stack+831, vrr_stack+2117, vrr_stack+0, vrr_stack+816, NULL);
 _BUILD_00k0(Data,vrr_stack+2166, vrr_stack+852, vrr_stack+2138, vrr_stack+42, vrr_stack+831, NULL);
 _BUILD_00l0(Data,vrr_stack+2202, vrr_stack+722, vrr_stack+2166, vrr_stack+891, vrr_stack+852, NULL);
 _BUILD_p0l0(Data,vrr_stack+2247, vrr_stack+1504, vrr_stack+2202, NULL, NULL, vrr_stack+722);
 _BUILD_d0l0(Data,vrr_stack+5944, vrr_stack+1549, vrr_stack+2247, vrr_stack+1324, vrr_stack+1504, vrr_stack+171);
 _BUILD_f0l0(Data,vrr_stack+6214, vrr_stack+4279, vrr_stack+5944, vrr_stack+1369, vrr_stack+1549, vrr_stack+2407);
 _BUILD_g0l0(Data,vrr_stack+14378, vrr_stack+10688, vrr_stack+6214, vrr_stack+3739, vrr_stack+4279, vrr_stack+2623);
 _BUILD_h0l0(Data,vrr_stack+15053, vrr_stack+11138, vrr_stack+14378, vrr_stack+9518, vrr_stack+10688, vrr_stack+7214);
 _BUILD_i0l0(Data,vrr_stack+15998, vrr_stack+11813, vrr_stack+15053, vrr_stack+4549, vrr_stack+11138, vrr_stack+7754);
 _BUILD_i0l0(Data,vrr_stack+6664, vrr_stack+13433, vrr_stack+11813, vrr_stack+12758, vrr_stack+4549, vrr_stack+2983);
 _BUILD_k0l0(Data,vrr_stack+17258, vrr_stack+6664, vrr_stack+15998, vrr_stack+13433, vrr_stack+11813, vrr_stack+8510);
 _BUILD_00m0(Data,vrr_stack+2382, vrr_stack+964, vrr_stack+919, vrr_stack+1795, vrr_stack+1759, NULL);
 _BUILD_00m0(Data,vrr_stack+2437, vrr_stack+1144, vrr_stack+964, vrr_stack+415, vrr_stack+1795, NULL);
 _BUILD_00m0(Data,vrr_stack+2492, vrr_stack+919, vrr_stack+1324, vrr_stack+1759, vrr_stack+1831, NULL);
 _BUILD_p0m0(Data,vrr_stack+2547, vrr_stack+2382, vrr_stack+2492, NULL, NULL, vrr_stack+919);
 _BUILD_p0m0(Data,vrr_stack+2712, vrr_stack+2437, vrr_stack+2382, NULL, NULL, vrr_stack+964);
 _BUILD_d0m0(Data,vrr_stack+2877, vrr_stack+2712, vrr_stack+2547, vrr_stack+2437, vrr_stack+2382, vrr_stack+1009);
 _BUILD_00m0(Data,vrr_stack+1009, vrr_stack+1867, vrr_stack+1144, vrr_stack+563, vrr_stack+415, NULL);
 _BUILD_p0m0(Data,vrr_stack+3207, vrr_stack+1009, vrr_stack+2437, NULL, NULL, vrr_stack+1144);
 _BUILD_d0m0(Data,vrr_stack+3372, vrr_stack+3207, vrr_stack+2712, vrr_stack+1009, vrr_stack+2437, vrr_stack+1189);
 _BUILD_00m0(Data,vrr_stack+1189, vrr_stack+1324, vrr_stack+1504, vrr_stack+1831, vrr_stack+527, NULL);
 _BUILD_p0m0(Data,vrr_stack+7924, vrr_stack+2492, vrr_stack+1189, NULL, NULL, vrr_stack+1324);
 _BUILD_d0m0(Data,vrr_stack+8089, vrr_stack+2547, vrr_stack+7924, vrr_stack+2382, vrr_stack+2492, vrr_stack+1369);
 _BUILD_f0m0(Data,vrr_stack+8419, vrr_stack+2877, vrr_stack+8089, vrr_stack+2712, vrr_stack+2547, vrr_stack+3739);
 _BUILD_f0m0(Data,vrr_stack+18878, vrr_stack+3372, vrr_stack+2877, vrr_stack+3207, vrr_stack+2712, vrr_stack+4009);
 _BUILD_g0m0(Data,vrr_stack+19428, vrr_stack+18878, vrr_stack+8419, vrr_stack+3372, vrr_stack+2877, vrr_stack+9518);
 _BUILD_00m0(Data,vrr_stack+1369, vrr_stack+1684, vrr_stack+1867, vrr_stack+2047, vrr_stack+563, NULL);
 _BUILD_p0m0(Data,vrr_stack+3702, vrr_stack+1369, vrr_stack+1009, NULL, NULL, vrr_stack+1867);
 _BUILD_d0m0(Data,vrr_stack+3867, vrr_stack+3702, vrr_stack+3207, vrr_stack+1369, vrr_stack+1009, vrr_stack+1912);
 _BUILD_f0m0(Data,vrr_stack+8969, vrr_stack+3867, vrr_stack+3372, vrr_stack+3702, vrr_stack+3207, vrr_stack+9968);
 _BUILD_g0m0(Data,vrr_stack+20253, vrr_stack+8969, vrr_stack+18878, vrr_stack+3867, vrr_stack+3372, vrr_stack+10238);
 _BUILD_00m0(Data,vrr_stack+1912, vrr_stack+1504, vrr_stack+2202, vrr_stack+527, vrr_stack+722, NULL);
 _BUILD_p0m0(Data,vrr_stack+414, vrr_stack+1189, vrr_stack+1912, NULL, NULL, vrr_stack+1504);
 _BUILD_d0m0(Data,vrr_stack+9519, vrr_stack+7924, vrr_stack+414, vrr_stack+2492, vrr_stack+1189, vrr_stack+1549);
 _BUILD_f0m0(Data,vrr_stack+9849, vrr_stack+8089, vrr_stack+9519, vrr_stack+2547, vrr_stack+7924, vrr_stack+4279);
 _BUILD_g0m0(Data,vrr_stack+21078, vrr_stack+8419, vrr_stack+9849, vrr_stack+2877, vrr_stack+8089, vrr_stack+10688);
 _BUILD_h0m0(Data,vrr_stack+21903, vrr_stack+19428, vrr_stack+21078, vrr_stack+18878, vrr_stack+8419, vrr_stack+11138);
 _BUILD_h0m0(Data,vrr_stack+10399, vrr_stack+20253, vrr_stack+19428, vrr_stack+8969, vrr_stack+18878, vrr_stack+4549);
 _BUILD_i0m0(Data,vrr_stack+23058, vrr_stack+10399, vrr_stack+21903, vrr_stack+20253, vrr_stack+19428, vrr_stack+11813);
 _BUILD_00p0(Data,vrr_stack+1549, Data->F+1, Data->F+2, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+30, vrr_stack+1549, vrr_stack+36, Data->F+1, Data->F+2, NULL);
 _BUILD_00f0(Data,vrr_stack+1552, vrr_stack+30, vrr_stack+63, vrr_stack+1549, vrr_stack+36, NULL);
 _BUILD_00g0(Data,vrr_stack+0, vrr_stack+1552, vrr_stack+69, vrr_stack+30, vrr_stack+63, NULL);
 _BUILD_00h0(Data,vrr_stack+36, vrr_stack+0, vrr_stack+15, vrr_stack+1552, vrr_stack+69, NULL);
 _BUILD_00i0(Data,vrr_stack+1562, vrr_stack+36, vrr_stack+79, vrr_stack+0, vrr_stack+15, NULL);
 _BUILD_00k0(Data,vrr_stack+1590, vrr_stack+1562, vrr_stack+100, vrr_stack+36, vrr_stack+79, NULL);
 _BUILD_00l0(Data,vrr_stack+1626, vrr_stack+1590, vrr_stack+2047, vrr_stack+1562, vrr_stack+100, NULL);
 _BUILD_00m0(Data,vrr_stack+57, vrr_stack+1626, vrr_stack+1684, vrr_stack+1590, vrr_stack+2047, NULL);
 _BUILD_p0m0(Data,vrr_stack+112, vrr_stack+57, vrr_stack+1369, NULL, NULL, vrr_stack+1684);
 _BUILD_d0m0(Data,vrr_stack+4197, vrr_stack+112, vrr_stack+3702, vrr_stack+57, vrr_stack+1369, vrr_stack+279);
 _BUILD_f0m0(Data,vrr_stack+4527, vrr_stack+4197, vrr_stack+3867, vrr_stack+112, vrr_stack+3702, vrr_stack+5224);
 _BUILD_g0m0(Data,vrr_stack+11554, vrr_stack+4527, vrr_stack+8969, vrr_stack+4197, vrr_stack+3867, vrr_stack+5494);
 _BUILD_h0m0(Data,vrr_stack+24598, vrr_stack+11554, vrr_stack+20253, vrr_stack+4527, vrr_stack+8969, vrr_stack+12758);
 _BUILD_i0m0(Data,vrr_stack+25753, vrr_stack+24598, vrr_stack+10399, vrr_stack+11554, vrr_stack+20253, vrr_stack+13433);
 _BUILD_00p0(Data,vrr_stack+15, Data->F+17, Data->F+18, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+18, vrr_stack+2083, vrr_stack+15, Data->F+16, Data->F+17, NULL);
 _BUILD_00f0(Data,vrr_stack+277, vrr_stack+2086, vrr_stack+18, vrr_stack+797, vrr_stack+2083, NULL);
 _BUILD_00g0(Data,vrr_stack+287, vrr_stack+2092, vrr_stack+277, vrr_stack+800, vrr_stack+2086, NULL);
 _BUILD_00h0(Data,vrr_stack+302, vrr_stack+2102, vrr_stack+287, vrr_stack+806, vrr_stack+2092, NULL);
 _BUILD_00i0(Data,vrr_stack+323, vrr_stack+2117, vrr_stack+302, vrr_stack+816, vrr_stack+2102, NULL);
 _BUILD_00k0(Data,vrr_stack+351, vrr_stack+2138, vrr_stack+323, vrr_stack+831, vrr_stack+2117, NULL);
 _BUILD_00l0(Data,vrr_stack+1967, vrr_stack+2166, vrr_stack+351, vrr_stack+852, vrr_stack+2138, NULL);
 _BUILD_00m0(Data,vrr_stack+2012, vrr_stack+2202, vrr_stack+1967, vrr_stack+722, vrr_stack+2166, NULL);
 _BUILD_p0m0(Data,vrr_stack+5077, vrr_stack+1912, vrr_stack+2012, NULL, NULL, vrr_stack+2202);
 _BUILD_d0m0(Data,vrr_stack+5242, vrr_stack+414, vrr_stack+5077, vrr_stack+1189, vrr_stack+1912, vrr_stack+2247);
 _BUILD_f0m0(Data,vrr_stack+12379, vrr_stack+9519, vrr_stack+5242, vrr_stack+7924, vrr_stack+414, vrr_stack+5944);
 _BUILD_g0m0(Data,vrr_stack+12929, vrr_stack+9849, vrr_stack+12379, vrr_stack+8089, vrr_stack+9519, vrr_stack+6214);
 _BUILD_h0m0(Data,vrr_stack+27293, vrr_stack+21078, vrr_stack+12929, vrr_stack+8419, vrr_stack+9849, vrr_stack+14378);
 _BUILD_i0m0(Data,vrr_stack+28448, vrr_stack+21903, vrr_stack+27293, vrr_stack+19428, vrr_stack+21078, vrr_stack+15053);
 _BUILD_k0m0(Data,vrr_stack+13754, vrr_stack+23058, vrr_stack+28448, vrr_stack+10399, vrr_stack+21903, vrr_stack+15998);
 _BUILD_k0m0(Data,vrr_stack+29988, vrr_stack+25753, vrr_stack+23058, vrr_stack+24598, vrr_stack+10399, vrr_stack+6664);
 _BUILD_l0m0(Data,vrr_stack+31968, vrr_stack+29988, vrr_stack+13754, vrr_stack+25753, vrr_stack+23058, vrr_stack+17258);
 _BUILD_00n0(Data,vrr_stack+2247, vrr_stack+2382, vrr_stack+2492, vrr_stack+964, vrr_stack+919, NULL);
 _BUILD_00n0(Data,vrr_stack+2313, vrr_stack+2437, vrr_stack+2382, vrr_stack+1144, vrr_stack+964, NULL);
 _BUILD_p0n0(Data,vrr_stack+5572, vrr_stack+2313, vrr_stack+2247, NULL, NULL, vrr_stack+2382);
 _BUILD_00n0(Data,vrr_stack+1424, vrr_stack+1009, vrr_stack+2437, vrr_stack+1867, vrr_stack+1144, NULL);
 _BUILD_p0n0(Data,vrr_stack+5770, vrr_stack+1424, vrr_stack+2313, NULL, NULL, vrr_stack+2437);
 _BUILD_00n0(Data,vrr_stack+1244, vrr_stack+2492, vrr_stack+1189, vrr_stack+919, vrr_stack+1324, NULL);
 _BUILD_p0n0(Data,vrr_stack+5968, vrr_stack+2247, vrr_stack+1244, NULL, NULL, vrr_stack+2492);
 _BUILD_d0n0(Data,vrr_stack+6166, vrr_stack+5572, vrr_stack+5968, vrr_stack+2313, vrr_stack+2247, vrr_stack+2547);
 _BUILD_d0n0(Data,vrr_stack+6562, vrr_stack+5770, vrr_stack+5572, vrr_stack+1424, vrr_stack+2313, vrr_stack+2712);
 _BUILD_f0n0(Data,vrr_stack+6958, vrr_stack+6562, vrr_stack+6166, vrr_stack+5770, vrr_stack+5572, vrr_stack+2877);
 _BUILD_00n0(Data,vrr_stack+2547, vrr_stack+1369, vrr_stack+1009, vrr_stack+1684, vrr_stack+1867, NULL);
 _BUILD_p0n0(Data,vrr_stack+2613, vrr_stack+2547, vrr_stack+1424, NULL, NULL, vrr_stack+1009);
 _BUILD_d0n0(Data,vrr_stack+2811, vrr_stack+2613, vrr_stack+5770, vrr_stack+2547, vrr_stack+1424, vrr_stack+3207);
 _BUILD_f0n0(Data,vrr_stack+15734, vrr_stack+2811, vrr_stack+6562, vrr_stack+2613, vrr_stack+5770, vrr_stack+3372);
 _BUILD_00n0(Data,vrr_stack+3207, vrr_stack+1189, vrr_stack+1912, vrr_stack+1324, vrr_stack+1504, NULL);
 _BUILD_p0n0(Data,vrr_stack+3273, vrr_stack+1244, vrr_stack+3207, NULL, NULL, vrr_stack+1189);
 _BUILD_d0n0(Data,vrr_stack+579, vrr_stack+5968, vrr_stack+3273, vrr_stack+2247, vrr_stack+1244, vrr_stack+7924);
 _BUILD_f0n0(Data,vrr_stack+16394, vrr_stack+6166, vrr_stack+579, vrr_stack+5572, vrr_stack+5968, vrr_stack+8089);
 _BUILD_g0n0(Data,vrr_stack+17054, vrr_stack+6958, vrr_stack+16394, vrr_stack+6562, vrr_stack+6166, vrr_stack+8419);
 _BUILD_g0n0(Data,vrr_stack+7618, vrr_stack+15734, vrr_stack+6958, vrr_stack+2811, vrr_stack+6562, vrr_stack+18878);
 _BUILD_h0n0(Data,vrr_stack+34443, vrr_stack+7618, vrr_stack+17054, vrr_stack+15734, vrr_stack+6958, vrr_stack+19428);
 _BUILD_00n0(Data,vrr_stack+3471, vrr_stack+57, vrr_stack+1369, vrr_stack+1626, vrr_stack+1684, NULL);
 _BUILD_p0n0(Data,vrr_stack+1671, vrr_stack+3471, vrr_stack+2547, NULL, NULL, vrr_stack+1369);
 _BUILD_d0n0(Data,vrr_stack+18044, vrr_stack+1671, vrr_stack+2613, vrr_stack+3471, vrr_stack+2547, vrr_stack+3702);
 _BUILD_f0n0(Data,vrr_stack+18440, vrr_stack+18044, vrr_stack+2811, vrr_stack+1671, vrr_stack+2613, vrr_stack+3867);
 _BUILD_g0n0(Data,vrr_stack+19100, vrr_stack+18440, vrr_stack+15734, vrr_stack+18044, vrr_stack+2811, vrr_stack+8969);
 _BUILD_h0n0(Data,vrr_stack+35829, vrr_stack+19100, vrr_stack+7618, vrr_stack+18440, vrr_stack+15734, vrr_stack+20253);
 _BUILD_00n0(Data,vrr_stack+3537, vrr_stack+1912, vrr_stack+2012, vrr_stack+1504, vrr_stack+2202, NULL);
 _BUILD_p0n0(Data,vrr_stack+3603, vrr_stack+3207, vrr_stack+3537, NULL, NULL, vrr_stack+1912);
 _BUILD_d0n0(Data,vrr_stack+3801, vrr_stack+3273, vrr_stack+3603, vrr_stack+1244, vrr_stack+3207, vrr_stack+414);
 _BUILD_f0n0(Data,vrr_stack+8608, vrr_stack+579, vrr_stack+3801, vrr_stack+5968, vrr_stack+3273, vrr_stack+9519);
 _BUILD_g0n0(Data,vrr_stack+37215, vrr_stack+16394, vrr_stack+8608, vrr_stack+6166, vrr_stack+579, vrr_stack+9849);
 _BUILD_h0n0(Data,vrr_stack+38205, vrr_stack+17054, vrr_stack+37215, vrr_stack+6958, vrr_stack+16394, vrr_stack+21078);
 _BUILD_i0n0(Data,vrr_stack+39591, vrr_stack+34443, vrr_stack+38205, vrr_stack+7618, vrr_stack+17054, vrr_stack+21903);
 _BUILD_i0n0(Data,vrr_stack+20090, vrr_stack+35829, vrr_stack+34443, vrr_stack+19100, vrr_stack+7618, vrr_stack+10399);
 _BUILD_k0n0(Data,vrr_stack+41439, vrr_stack+20090, vrr_stack+39591, vrr_stack+35829, vrr_stack+34443, vrr_stack+23058);
 _BUILD_00p0(Data,vrr_stack+2379, Data->F+0, Data->F+1, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+24, vrr_stack+2379, vrr_stack+1549, Data->F+0, Data->F+1, NULL);
 _BUILD_00f0(Data,vrr_stack+387, vrr_stack+24, vrr_stack+30, vrr_stack+2379, vrr_stack+1549, NULL);
 _BUILD_00g0(Data,vrr_stack+397, vrr_stack+387, vrr_stack+1552, vrr_stack+24, vrr_stack+30, NULL);
 _BUILD_00h0(Data,vrr_stack+412, vrr_stack+397, vrr_stack+0, vrr_stack+387, vrr_stack+1552, NULL);
 _BUILD_00i0(Data,vrr_stack+433, vrr_stack+412, vrr_stack+36, vrr_stack+397, vrr_stack+0, NULL);
 _BUILD_00k0(Data,vrr_stack+461, vrr_stack+433, vrr_stack+1562, vrr_stack+412, vrr_stack+36, NULL);
 _BUILD_00l0(Data,vrr_stack+387, vrr_stack+461, vrr_stack+1590, vrr_stack+433, vrr_stack+1562, NULL);
 _BUILD_00m0(Data,vrr_stack+497, vrr_stack+387, vrr_stack+1626, vrr_stack+461, vrr_stack+1590, NULL);
 _BUILD_00n0(Data,vrr_stack+1490, vrr_stack+497, vrr_stack+57, vrr_stack+387, vrr_stack+1626, NULL);
 _BUILD_p0n0(Data,vrr_stack+9268, vrr_stack+1490, vrr_stack+3471, NULL, NULL, vrr_stack+57);
 _BUILD_d0n0(Data,vrr_stack+9466, vrr_stack+9268, vrr_stack+1671, vrr_stack+1490, vrr_stack+3471, vrr_stack+112);
 _BUILD_f0n0(Data,vrr_stack+9862, vrr_stack+9466, vrr_stack+18044, vrr_stack+9268, vrr_stack+1671, vrr_stack+4197);
 _BUILD_g0n0(Data,vrr_stack+10522, vrr_stack+9862, vrr_stack+18440, vrr_stack+9466, vrr_stack+18044, vrr_stack+4527);
 _BUILD_h0n0(Data,vrr_stack+21938, vrr_stack+10522, vrr_stack+19100, vrr_stack+9862, vrr_stack+18440, vrr_stack+11554);
 _BUILD_i0n0(Data,vrr_stack+43815, vrr_stack+21938, vrr_stack+35829, vrr_stack+10522, vrr_stack+19100, vrr_stack+24598);
   tmp = vrr_stack + 43815;
   target_ptr = Libint->vrr_classes[6][10];
   for(i=0;i<1848;i++)
     target_ptr[i] += tmp[i];
 _BUILD_k0n0(Data,vrr_stack+9268, vrr_stack+43815, vrr_stack+20090, vrr_stack+21938, vrr_stack+35829, vrr_stack+25753);
   tmp = vrr_stack + 9268;
   target_ptr = Libint->vrr_classes[7][10];
   for(i=0;i<2376;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+2379, Data->F+18, Data->F+19, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+21938, vrr_stack+15, vrr_stack+2379, Data->F+17, Data->F+18, NULL);
 _BUILD_00f0(Data,vrr_stack+21944, vrr_stack+18, vrr_stack+21938, vrr_stack+2083, vrr_stack+15, NULL);
 _BUILD_00g0(Data,vrr_stack+0, vrr_stack+277, vrr_stack+21944, vrr_stack+2086, vrr_stack+18, NULL);
 _BUILD_00h0(Data,vrr_stack+21954, vrr_stack+287, vrr_stack+0, vrr_stack+2092, vrr_stack+277, NULL);
 _BUILD_00i0(Data,vrr_stack+21975, vrr_stack+302, vrr_stack+21954, vrr_stack+2102, vrr_stack+287, NULL);
 _BUILD_00k0(Data,vrr_stack+22003, vrr_stack+323, vrr_stack+21975, vrr_stack+2117, vrr_stack+302, NULL);
 _BUILD_00l0(Data,vrr_stack+22039, vrr_stack+351, vrr_stack+22003, vrr_stack+2138, vrr_stack+323, NULL);
 _BUILD_00m0(Data,vrr_stack+22084, vrr_stack+1967, vrr_stack+22039, vrr_stack+2166, vrr_stack+351, NULL);
 _BUILD_00n0(Data,vrr_stack+22139, vrr_stack+2012, vrr_stack+22084, vrr_stack+2202, vrr_stack+1967, NULL);
 _BUILD_p0n0(Data,vrr_stack+22205, vrr_stack+3537, vrr_stack+22139, NULL, NULL, vrr_stack+2012);
 _BUILD_d0n0(Data,vrr_stack+22403, vrr_stack+3603, vrr_stack+22205, vrr_stack+3207, vrr_stack+3537, vrr_stack+5077);
 _BUILD_f0n0(Data,vrr_stack+22799, vrr_stack+3801, vrr_stack+22403, vrr_stack+3273, vrr_stack+3603, vrr_stack+5242);
 _BUILD_g0n0(Data,vrr_stack+23459, vrr_stack+8608, vrr_stack+22799, vrr_stack+579, vrr_stack+3801, vrr_stack+12379);
 _BUILD_h0n0(Data,vrr_stack+24449, vrr_stack+37215, vrr_stack+23459, vrr_stack+16394, vrr_stack+8608, vrr_stack+12929);
 _BUILD_i0n0(Data,vrr_stack+11644, vrr_stack+38205, vrr_stack+24449, vrr_stack+17054, vrr_stack+37215, vrr_stack+27293);
 _BUILD_k0n0(Data,vrr_stack+25835, vrr_stack+39591, vrr_stack+11644, vrr_stack+34443, vrr_stack+38205, vrr_stack+28448);
 _BUILD_l0n0(Data,vrr_stack+45663, vrr_stack+41439, vrr_stack+25835, vrr_stack+20090, vrr_stack+39591, vrr_stack+13754);
 _BUILD_l0n0(Data,vrr_stack+48633, vrr_stack+9268, vrr_stack+41439, vrr_stack+43815, vrr_stack+20090, vrr_stack+29988);
   tmp = vrr_stack + 48633;
   target_ptr = Libint->vrr_classes[8][10];
   for(i=0;i<2970;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00o0(Data,vrr_stack+43815, vrr_stack+2247, vrr_stack+1244, vrr_stack+2382, vrr_stack+2492, NULL);
 _BUILD_00o0(Data,vrr_stack+43893, vrr_stack+2313, vrr_stack+2247, vrr_stack+2437, vrr_stack+2382, NULL);
 _BUILD_p0o0(Data,vrr_stack+43971, vrr_stack+43893, vrr_stack+43815, NULL, NULL, vrr_stack+2247);
 _BUILD_00o0(Data,vrr_stack+44205, vrr_stack+1424, vrr_stack+2313, vrr_stack+1009, vrr_stack+2437, NULL);
 _BUILD_p0o0(Data,vrr_stack+44283, vrr_stack+44205, vrr_stack+43893, NULL, NULL, vrr_stack+2313);
 _BUILD_00o0(Data,vrr_stack+2382, vrr_stack+1244, vrr_stack+3207, vrr_stack+2492, vrr_stack+1189, NULL);
 _BUILD_p0o0(Data,vrr_stack+44517, vrr_stack+43815, vrr_stack+2382, NULL, NULL, vrr_stack+1244);
 _BUILD_d0o0(Data,vrr_stack+44751, vrr_stack+43971, vrr_stack+44517, vrr_stack+43893, vrr_stack+43815, vrr_stack+5968);
 _BUILD_d0o0(Data,vrr_stack+28211, vrr_stack+44283, vrr_stack+43971, vrr_stack+44205, vrr_stack+43893, vrr_stack+5572);
 _BUILD_f0o0(Data,vrr_stack+28679, vrr_stack+28211, vrr_stack+44751, vrr_stack+44283, vrr_stack+43971, vrr_stack+6166);
 _BUILD_00o0(Data,vrr_stack+43893, vrr_stack+2547, vrr_stack+1424, vrr_stack+1369, vrr_stack+1009, NULL);
 _BUILD_p0o0(Data,vrr_stack+5968, vrr_stack+43893, vrr_stack+44205, NULL, NULL, vrr_stack+1424);
 _BUILD_d0o0(Data,vrr_stack+29459, vrr_stack+5968, vrr_stack+44283, vrr_stack+43893, vrr_stack+44205, vrr_stack+5770);
 _BUILD_f0o0(Data,vrr_stack+29927, vrr_stack+29459, vrr_stack+28211, vrr_stack+5968, vrr_stack+44283, vrr_stack+6562);
 _BUILD_00o0(Data,vrr_stack+44205, vrr_stack+3207, vrr_stack+3537, vrr_stack+1189, vrr_stack+1912, NULL);
 _BUILD_p0o0(Data,vrr_stack+44283, vrr_stack+2382, vrr_stack+44205, NULL, NULL, vrr_stack+3207);
 _BUILD_d0o0(Data,vrr_stack+6202, vrr_stack+44517, vrr_stack+44283, vrr_stack+43815, vrr_stack+2382, vrr_stack+3273);
 _BUILD_f0o0(Data,vrr_stack+30707, vrr_stack+44751, vrr_stack+6202, vrr_stack+43971, vrr_stack+44517, vrr_stack+579);
 _BUILD_g0o0(Data,vrr_stack+4197, vrr_stack+28679, vrr_stack+30707, vrr_stack+28211, vrr_stack+44751, vrr_stack+16394);
 _BUILD_g0o0(Data,vrr_stack+13492, vrr_stack+29927, vrr_stack+28679, vrr_stack+29459, vrr_stack+28211, vrr_stack+6958);
 _BUILD_h0o0(Data,vrr_stack+51603, vrr_stack+13492, vrr_stack+4197, vrr_stack+29927, vrr_stack+28679, vrr_stack+17054);
 _BUILD_00o0(Data,vrr_stack+43815, vrr_stack+3471, vrr_stack+2547, vrr_stack+57, vrr_stack+1369, NULL);
 _BUILD_p0o0(Data,vrr_stack+43971, vrr_stack+43815, vrr_stack+43893, NULL, NULL, vrr_stack+2547);
 _BUILD_d0o0(Data,vrr_stack+28211, vrr_stack+43971, vrr_stack+5968, vrr_stack+43815, vrr_stack+43893, vrr_stack+2613);
 _BUILD_f0o0(Data,vrr_stack+16394, vrr_stack+28211, vrr_stack+29459, vrr_stack+43971, vrr_stack+5968, vrr_stack+2811);
 _BUILD_g0o0(Data,vrr_stack+53241, vrr_stack+16394, vrr_stack+29927, vrr_stack+28211, vrr_stack+29459, vrr_stack+15734);
 _BUILD_h0o0(Data,vrr_stack+14662, vrr_stack+53241, vrr_stack+13492, vrr_stack+16394, vrr_stack+29927, vrr_stack+7618);
 _BUILD_00o0(Data,vrr_stack+43893, vrr_stack+3537, vrr_stack+22139, vrr_stack+1912, vrr_stack+2012, NULL);
 _BUILD_p0o0(Data,vrr_stack+29459, vrr_stack+44205, vrr_stack+43893, NULL, NULL, vrr_stack+3537);
 _BUILD_d0o0(Data,vrr_stack+29693, vrr_stack+44283, vrr_stack+29459, vrr_stack+2382, vrr_stack+44205, vrr_stack+3603);
 _BUILD_f0o0(Data,vrr_stack+2382, vrr_stack+6202, vrr_stack+29693, vrr_stack+44517, vrr_stack+44283, vrr_stack+3801);
 _BUILD_g0o0(Data,vrr_stack+6670, vrr_stack+30707, vrr_stack+2382, vrr_stack+44751, vrr_stack+6202, vrr_stack+8608);
 _BUILD_h0o0(Data,vrr_stack+54411, vrr_stack+4197, vrr_stack+6670, vrr_stack+28679, vrr_stack+30707, vrr_stack+37215);
 _BUILD_i0o0(Data,vrr_stack+56049, vrr_stack+51603, vrr_stack+54411, vrr_stack+13492, vrr_stack+4197, vrr_stack+38205);
 _BUILD_i0o0(Data,vrr_stack+37215, vrr_stack+14662, vrr_stack+51603, vrr_stack+53241, vrr_stack+13492, vrr_stack+34443);
 _BUILD_k0o0(Data,vrr_stack+58233, vrr_stack+37215, vrr_stack+56049, vrr_stack+14662, vrr_stack+51603, vrr_stack+39591);
 _BUILD_00o0(Data,vrr_stack+34443, vrr_stack+1490, vrr_stack+3471, vrr_stack+497, vrr_stack+57, NULL);
 _BUILD_p0o0(Data,vrr_stack+34521, vrr_stack+34443, vrr_stack+43815, NULL, NULL, vrr_stack+3471);
 _BUILD_d0o0(Data,vrr_stack+34755, vrr_stack+34521, vrr_stack+43971, vrr_stack+34443, vrr_stack+43815, vrr_stack+1671);
 _BUILD_f0o0(Data,vrr_stack+28679, vrr_stack+34755, vrr_stack+28211, vrr_stack+34521, vrr_stack+43971, vrr_stack+18044);
 _BUILD_g0o0(Data,vrr_stack+13492, vrr_stack+28679, vrr_stack+16394, vrr_stack+34755, vrr_stack+28211, vrr_stack+18440);
 _BUILD_h0o0(Data,vrr_stack+39399, vrr_stack+13492, vrr_stack+53241, vrr_stack+28679, vrr_stack+16394, vrr_stack+19100);
 _BUILD_i0o0(Data,vrr_stack+16300, vrr_stack+39399, vrr_stack+14662, vrr_stack+13492, vrr_stack+53241, vrr_stack+35829);
   tmp = vrr_stack + 16300;
   target_ptr = Libint->vrr_classes[6][11];
   for(i=0;i<2184;i++)
     target_ptr[i] += tmp[i];
 _BUILD_k0o0(Data,vrr_stack+61041, vrr_stack+16300, vrr_stack+37215, vrr_stack+39399, vrr_stack+14662, vrr_stack+20090);
   tmp = vrr_stack + 61041;
   target_ptr = Libint->vrr_classes[7][11];
   for(i=0;i<2808;i++)
     target_ptr[i] += tmp[i];
 _BUILD_00p0(Data,vrr_stack+39399, Data->F+19, Data->F+20, NULL, NULL, NULL);
 _BUILD_00d0(Data,vrr_stack+39402, vrr_stack+2379, vrr_stack+39399, Data->F+18, Data->F+19, NULL);
 _BUILD_00f0(Data,vrr_stack+39408, vrr_stack+21938, vrr_stack+39402, vrr_stack+15, vrr_stack+2379, NULL);
 _BUILD_00g0(Data,vrr_stack+39418, vrr_stack+21944, vrr_stack+39408, vrr_stack+18, vrr_stack+21938, NULL);
 _BUILD_00h0(Data,vrr_stack+15, vrr_stack+0, vrr_stack+39418, vrr_stack+277, vrr_stack+21944, NULL);
 _BUILD_00i0(Data,vrr_stack+36, vrr_stack+21954, vrr_stack+15, vrr_stack+287, vrr_stack+0, NULL);
 _BUILD_00k0(Data,vrr_stack+0, vrr_stack+21975, vrr_stack+36, vrr_stack+302, vrr_stack+21954, NULL);
 _BUILD_00l0(Data,vrr_stack+36, vrr_stack+22003, vrr_stack+0, vrr_stack+323, vrr_stack+21975, NULL);
 _BUILD_00m0(Data,vrr_stack+81, vrr_stack+22039, vrr_stack+36, vrr_stack+351, vrr_stack+22003, NULL);
 _BUILD_00n0(Data,vrr_stack+0, vrr_stack+22084, vrr_stack+81, vrr_stack+1967, vrr_stack+22039, NULL);
 _BUILD_00o0(Data,vrr_stack+43815, vrr_stack+22139, vrr_stack+0, vrr_stack+2012, vrr_stack+22084, NULL);
 _BUILD_p0o0(Data,vrr_stack+43971, vrr_stack+43893, vrr_stack+43815, NULL, NULL, vrr_stack+22139);
 _BUILD_d0o0(Data,vrr_stack+0, vrr_stack+29459, vrr_stack+43971, vrr_stack+44205, vrr_stack+43893, vrr_stack+22205);
 _BUILD_f0o0(Data,vrr_stack+468, vrr_stack+29693, vrr_stack+0, vrr_stack+44283, vrr_stack+29459, vrr_stack+22403);
 _BUILD_g0o0(Data,vrr_stack+53241, vrr_stack+2382, vrr_stack+468, vrr_stack+6202, vrr_stack+29693, vrr_stack+22799);
 _BUILD_h0o0(Data,vrr_stack+0, vrr_stack+6670, vrr_stack+53241, vrr_stack+30707, vrr_stack+2382, vrr_stack+23459);
 _BUILD_i0o0(Data,vrr_stack+1638, vrr_stack+54411, vrr_stack+0, vrr_stack+4197, vrr_stack+6670, vrr_stack+24449);
 _BUILD_k0o0(Data,vrr_stack+13492, vrr_stack+56049, vrr_stack+1638, vrr_stack+51603, vrr_stack+54411, vrr_stack+11644);
 _BUILD_l0o0(Data,vrr_stack+51603, vrr_stack+58233, vrr_stack+13492, vrr_stack+37215, vrr_stack+56049, vrr_stack+25835);
 _BUILD_l0o0(Data,vrr_stack+11644, vrr_stack+61041, vrr_stack+58233, vrr_stack+16300, vrr_stack+37215, vrr_stack+41439);
   tmp = vrr_stack + 11644;
   target_ptr = Libint->vrr_classes[8][11];
   for(i=0;i<3510;i++)
     target_ptr[i] += tmp[i];
 _BUILD_m0n0(Data,vrr_stack+15154, vrr_stack+48633, vrr_stack+45663, vrr_stack+9268, vrr_stack+41439, vrr_stack+31968);
   tmp = vrr_stack + 15154;
   target_ptr = Libint->vrr_classes[9][10];
   for(i=0;i<3630;i++)
     target_ptr[i] += tmp[i];
 _BUILD_m0o0(Data,vrr_stack+18784, vrr_stack+11644, vrr_stack+51603, vrr_stack+61041, vrr_stack+58233, vrr_stack+45663);
   tmp = vrr_stack + 18784;
   target_ptr = Libint->vrr_classes[9][11];
   for(i=0;i<4290;i++)
     target_ptr[i] += tmp[i];

}

