#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_00gp(Libr12_t *, prim_data *);

  /* Computes (00|gp) integrals for linear R12-methods */

void hrr_grt_order_00gp(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->gvrr_classes[1][4] = int_stack + 0;
 Libr12->t2vrr_classes[0][4] = int_stack + 45;
 Libr12->t2vrr_classes[0][5] = int_stack + 60;
 Libr12->t1vrr_classes[0][4] = int_stack + 81;
 Libr12->t1vrr_classes[0][5] = int_stack + 96;
 Libr12->rvrr_classes[0][4] = int_stack + 117;
 Libr12->rvrr_classes[0][5] = int_stack + 132;
 Libr12->gvrr_classes[0][4] = int_stack + 153;
 Libr12->gvrr_classes[0][5] = int_stack + 168;
 memset(int_stack,0,189*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 189;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_00gp(Libr12, Data);
   Data++;
 }

 /*--- compute (00|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+189, int_stack+60, int_stack+45, int_stack+168, int_stack+0, int_stack+153, 0, 0);
     Libr12->te_ptr[3] = int_stack + 189;
 /*--- compute (00|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+96, int_stack+81, 1);
     Libr12->te_ptr[2] = int_stack + 0;
 /*--- compute (00||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+45, int_stack+132, int_stack+117, 1);
     Libr12->te_ptr[1] = int_stack + 45;
 /*--- compute (00|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+90, int_stack+168, int_stack+153, 1);
     Libr12->te_ptr[0] = int_stack + 90;

}
