#include <stdio.h>
#include <string.h>
#include <libint/libint.h>
#include "libr12.h"
#include <libint/hrr_header.h>

#include "r12_hrr_header.h"

extern void vrr_grt_order_gggg(Libr12_t *, prim_data *);

  /* Computes (gg|gg) integrals for linear R12-methods */

void hrr_grt_order_gggg(Libr12_t *Libr12, int num_prim_comb)
{
 prim_data *Data = Libr12->PrimQuartet;
 REALTYPE *int_stack = Libr12->int_stack;
 int i,j;
 REALTYPE tmp, *target;

 Libr12->t2vrr_classes[4][4] = int_stack + 0;
 Libr12->t2vrr_classes[4][5] = int_stack + 225;
 Libr12->t2vrr_classes[4][6] = int_stack + 540;
 Libr12->t2vrr_classes[4][7] = int_stack + 960;
 Libr12->t2vrr_classes[4][8] = int_stack + 1500;
 Libr12->t2vrr_classes[5][4] = int_stack + 2175;
 Libr12->t2vrr_classes[5][5] = int_stack + 2490;
 Libr12->t2vrr_classes[5][6] = int_stack + 2931;
 Libr12->t2vrr_classes[5][7] = int_stack + 3519;
 Libr12->t2vrr_classes[5][8] = int_stack + 4275;
 Libr12->t2vrr_classes[6][4] = int_stack + 5220;
 Libr12->t2vrr_classes[6][5] = int_stack + 5640;
 Libr12->t2vrr_classes[6][6] = int_stack + 6228;
 Libr12->t2vrr_classes[6][7] = int_stack + 7012;
 Libr12->t2vrr_classes[6][8] = int_stack + 8020;
 Libr12->t2vrr_classes[7][4] = int_stack + 9280;
 Libr12->t2vrr_classes[7][5] = int_stack + 9820;
 Libr12->t2vrr_classes[7][6] = int_stack + 10576;
 Libr12->t2vrr_classes[7][7] = int_stack + 11584;
 Libr12->t2vrr_classes[7][8] = int_stack + 12880;
 Libr12->gvrr_classes[9][4] = int_stack + 14500;
 Libr12->t2vrr_classes[8][4] = int_stack + 15325;
 Libr12->gvrr_classes[9][5] = int_stack + 16000;
 Libr12->t2vrr_classes[8][5] = int_stack + 17155;
 Libr12->gvrr_classes[9][6] = int_stack + 18100;
 Libr12->t2vrr_classes[8][6] = int_stack + 19640;
 Libr12->gvrr_classes[9][7] = int_stack + 20900;
 Libr12->t2vrr_classes[8][7] = int_stack + 22880;
 Libr12->t2vrr_classes[8][8] = int_stack + 24500;
 Libr12->gvrr_classes[4][9] = int_stack + 26525;
 Libr12->t1vrr_classes[4][4] = int_stack + 27350;
 Libr12->t1vrr_classes[4][5] = int_stack + 27575;
 Libr12->t1vrr_classes[4][6] = int_stack + 27890;
 Libr12->t1vrr_classes[4][7] = int_stack + 28310;
 Libr12->t1vrr_classes[4][8] = int_stack + 28850;
 Libr12->gvrr_classes[5][9] = int_stack + 29525;
 Libr12->t1vrr_classes[5][4] = int_stack + 30680;
 Libr12->t1vrr_classes[5][5] = int_stack + 30995;
 Libr12->t1vrr_classes[5][6] = int_stack + 31436;
 Libr12->t1vrr_classes[5][7] = int_stack + 32024;
 Libr12->t1vrr_classes[5][8] = int_stack + 32780;
 Libr12->gvrr_classes[6][9] = int_stack + 33725;
 Libr12->t1vrr_classes[6][4] = int_stack + 35265;
 Libr12->t1vrr_classes[6][5] = int_stack + 35685;
 Libr12->t1vrr_classes[6][6] = int_stack + 36273;
 Libr12->t1vrr_classes[6][7] = int_stack + 37057;
 Libr12->t1vrr_classes[6][8] = int_stack + 38065;
 Libr12->gvrr_classes[7][9] = int_stack + 39325;
 Libr12->t1vrr_classes[7][4] = int_stack + 41305;
 Libr12->t1vrr_classes[7][5] = int_stack + 41845;
 Libr12->t1vrr_classes[7][6] = int_stack + 42601;
 Libr12->t1vrr_classes[7][7] = int_stack + 43609;
 Libr12->t1vrr_classes[7][8] = int_stack + 44905;
 Libr12->t1vrr_classes[8][4] = int_stack + 46525;
 Libr12->t1vrr_classes[8][5] = int_stack + 47200;
 Libr12->t1vrr_classes[8][6] = int_stack + 48145;
 Libr12->t1vrr_classes[8][7] = int_stack + 49405;
 Libr12->t1vrr_classes[8][8] = int_stack + 51025;
 Libr12->rvrr_classes[4][4] = int_stack + 53050;
 Libr12->rvrr_classes[4][5] = int_stack + 53275;
 Libr12->rvrr_classes[4][6] = int_stack + 53590;
 Libr12->rvrr_classes[4][7] = int_stack + 54010;
 Libr12->rvrr_classes[4][8] = int_stack + 54550;
 Libr12->rvrr_classes[5][4] = int_stack + 55225;
 Libr12->rvrr_classes[5][5] = int_stack + 55540;
 Libr12->rvrr_classes[5][6] = int_stack + 55981;
 Libr12->rvrr_classes[5][7] = int_stack + 56569;
 Libr12->rvrr_classes[5][8] = int_stack + 57325;
 Libr12->rvrr_classes[6][4] = int_stack + 58270;
 Libr12->rvrr_classes[6][5] = int_stack + 58690;
 Libr12->rvrr_classes[6][6] = int_stack + 59278;
 Libr12->rvrr_classes[6][7] = int_stack + 60062;
 Libr12->rvrr_classes[6][8] = int_stack + 61070;
 Libr12->rvrr_classes[7][4] = int_stack + 62330;
 Libr12->rvrr_classes[7][5] = int_stack + 62870;
 Libr12->rvrr_classes[7][6] = int_stack + 63626;
 Libr12->rvrr_classes[7][7] = int_stack + 64634;
 Libr12->rvrr_classes[7][8] = int_stack + 65930;
 Libr12->rvrr_classes[8][4] = int_stack + 67550;
 Libr12->rvrr_classes[8][5] = int_stack + 68225;
 Libr12->rvrr_classes[8][6] = int_stack + 69170;
 Libr12->rvrr_classes[8][7] = int_stack + 70430;
 Libr12->rvrr_classes[8][8] = int_stack + 72050;
 Libr12->gvrr_classes[4][4] = int_stack + 74075;
 Libr12->gvrr_classes[4][5] = int_stack + 74300;
 Libr12->gvrr_classes[4][6] = int_stack + 74615;
 Libr12->gvrr_classes[4][7] = int_stack + 75035;
 Libr12->gvrr_classes[4][8] = int_stack + 75575;
 Libr12->gvrr_classes[5][4] = int_stack + 76250;
 Libr12->gvrr_classes[5][5] = int_stack + 76565;
 Libr12->gvrr_classes[5][6] = int_stack + 77006;
 Libr12->gvrr_classes[5][7] = int_stack + 77594;
 Libr12->gvrr_classes[5][8] = int_stack + 78350;
 Libr12->gvrr_classes[6][4] = int_stack + 79295;
 Libr12->gvrr_classes[6][5] = int_stack + 79715;
 Libr12->gvrr_classes[6][6] = int_stack + 80303;
 Libr12->gvrr_classes[6][7] = int_stack + 81087;
 Libr12->gvrr_classes[6][8] = int_stack + 82095;
 Libr12->gvrr_classes[7][4] = int_stack + 83355;
 Libr12->gvrr_classes[7][5] = int_stack + 83895;
 Libr12->gvrr_classes[7][6] = int_stack + 84651;
 Libr12->gvrr_classes[7][7] = int_stack + 85659;
 Libr12->gvrr_classes[7][8] = int_stack + 86955;
 Libr12->gvrr_classes[8][4] = int_stack + 88575;
 Libr12->gvrr_classes[8][5] = int_stack + 89250;
 Libr12->gvrr_classes[8][6] = int_stack + 90195;
 Libr12->gvrr_classes[8][7] = int_stack + 91455;
 Libr12->gvrr_classes[8][8] = int_stack + 93075;
 memset(int_stack,0,95100*sizeof(REALTYPE));

 Libr12->r12vrr_stack = int_stack + 95100;
 for(i=0;i<num_prim_comb;i++) {
   vrr_grt_order_gggg(Libr12, Data);
   Data++;
 }

 /*--- compute (g0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+95100, int_stack+74300, int_stack+74075, 15);
 /*--- compute (g0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+95775, int_stack+74615, int_stack+74300, 15);
 /*--- compute (g0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+96720, int_stack+95775, int_stack+95100, 15);
 /*--- compute (g0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+98070, int_stack+75035, int_stack+74615, 15);
 /*--- compute (g0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+99330, int_stack+98070, int_stack+95775, 15);
 /*--- compute (g0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+101220, int_stack+99330, int_stack+96720, 15);
 /*--- compute (h0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+103470, int_stack+76565, int_stack+76250, 21);
 /*--- compute (h0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+104415, int_stack+77006, int_stack+76565, 21);
 /*--- compute (h0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+105738, int_stack+104415, int_stack+103470, 21);
 /*--- compute (h0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+107628, int_stack+77594, int_stack+77006, 21);
 /*--- compute (h0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+109392, int_stack+107628, int_stack+104415, 21);
 /*--- compute (h0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+112038, int_stack+109392, int_stack+105738, 21);
 /*--- compute (g0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+115188, int_stack+75575, int_stack+75035, 15);
 /*--- compute (g0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+116808, int_stack+115188, int_stack+98070, 15);
 /*--- compute (g0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+119328, int_stack+116808, int_stack+99330, 15);
 /*--- compute (g0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+122478, int_stack+225, int_stack+0, int_stack+74300, int_stack+76250, int_stack+74075, 4, 0);
 /*--- compute (g0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+123153, int_stack+540, int_stack+225, int_stack+74615, int_stack+76565, int_stack+74300, 4, 0);
 /*--- compute (g0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+124098, int_stack+123153, int_stack+122478, int_stack+95775, int_stack+103470, int_stack+95100, 4, 0);
 /*--- compute (g0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+125448, int_stack+960, int_stack+540, int_stack+75035, int_stack+77006, int_stack+74615, 4, 0);
 /*--- compute (g0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+126708, int_stack+125448, int_stack+123153, int_stack+98070, int_stack+104415, int_stack+95775, 4, 0);
 /*--- compute (g0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+128598, int_stack+126708, int_stack+124098, int_stack+99330, int_stack+105738, int_stack+96720, 4, 0);
 /*--- compute (g0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+95100, int_stack+1500, int_stack+960, int_stack+75575, int_stack+77594, int_stack+75035, 4, 0);
 /*--- compute (g0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+122478, int_stack+95100, int_stack+125448, int_stack+115188, int_stack+107628, int_stack+98070, 4, 0);
 /*--- compute (g0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+95100, int_stack+122478, int_stack+126708, int_stack+116808, int_stack+109392, int_stack+99330, 4, 0);
 /*--- compute (g0|[r12,T2]|gg) ---*/
   t2hrr3_build_gg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+122478, int_stack+95100, int_stack+128598, int_stack+119328, int_stack+112038, int_stack+101220, 4, 0);
 /*--- compute (i0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+95100, int_stack+79715, int_stack+79295, 28);
 /*--- compute (i0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+96360, int_stack+80303, int_stack+79715, 28);
 /*--- compute (i0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+98124, int_stack+96360, int_stack+95100, 28);
 /*--- compute (i0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+125853, int_stack+81087, int_stack+80303, 28);
 /*--- compute (i0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+128205, int_stack+125853, int_stack+96360, 28);
 /*--- compute (i0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+131733, int_stack+128205, int_stack+98124, 28);
 /*--- compute (h0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+135933, int_stack+78350, int_stack+77594, 21);
 /*--- compute (h0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+138201, int_stack+135933, int_stack+107628, 21);
 /*--- compute (h0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+141729, int_stack+138201, int_stack+109392, 21);
 /*--- compute (h0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+74075, int_stack+2490, int_stack+2175, int_stack+76565, int_stack+79295, int_stack+76250, 5, 0);
 /*--- compute (h0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+2931, int_stack+2490, int_stack+77006, int_stack+79715, int_stack+76565, 5, 0);
 /*--- compute (h0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+146139, int_stack+0, int_stack+74075, int_stack+104415, int_stack+95100, int_stack+103470, 5, 0);
 /*--- compute (h0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+148029, int_stack+3519, int_stack+2931, int_stack+77594, int_stack+80303, int_stack+77006, 5, 0);
 /*--- compute (h0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+149793, int_stack+148029, int_stack+0, int_stack+107628, int_stack+96360, int_stack+104415, 5, 0);
 /*--- compute (h0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+0, int_stack+149793, int_stack+146139, int_stack+109392, int_stack+98124, int_stack+105738, 5, 0);
 /*--- compute (h0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+103470, int_stack+4275, int_stack+3519, int_stack+78350, int_stack+81087, int_stack+77594, 5, 0);
 /*--- compute (h0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+152439, int_stack+103470, int_stack+148029, int_stack+135933, int_stack+125853, int_stack+107628, 5, 0);
 /*--- compute (h0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+103470, int_stack+152439, int_stack+149793, int_stack+138201, int_stack+128205, int_stack+109392, 5, 0);
 /*--- compute (h0|[r12,T2]|gg) ---*/
   t2hrr3_build_gg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+146139, int_stack+103470, int_stack+0, int_stack+141729, int_stack+131733, int_stack+112038, 5, 0);
 /*--- compute (gp|[r12,T2]|gg) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+150864, int_stack+146139, int_stack+122478, 225);
 /*--- compute (k0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+122478, int_stack+83895, int_stack+83355, 36);
 /*--- compute (k0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+84651, int_stack+83895, 36);
 /*--- compute (k0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+103470, int_stack+0, int_stack+122478, 36);
 /*--- compute (k0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+106710, int_stack+85659, int_stack+84651, 36);
 /*--- compute (k0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+160989, int_stack+106710, int_stack+0, 36);
 /*--- compute (k0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+165525, int_stack+160989, int_stack+103470, 36);
 /*--- compute (i0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+170925, int_stack+82095, int_stack+81087, 28);
 /*--- compute (i0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+173949, int_stack+170925, int_stack+125853, 28);
 /*--- compute (i0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+178653, int_stack+173949, int_stack+128205, 28);
 /*--- compute (i0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+124098, int_stack+5640, int_stack+5220, int_stack+79715, int_stack+83355, int_stack+79295, 6, 0);
 /*--- compute (i0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2268, int_stack+6228, int_stack+5640, int_stack+80303, int_stack+83895, int_stack+79715, 6, 0);
 /*--- compute (i0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+184533, int_stack+2268, int_stack+124098, int_stack+96360, int_stack+122478, int_stack+95100, 6, 0);
 /*--- compute (i0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+187053, int_stack+7012, int_stack+6228, int_stack+81087, int_stack+84651, int_stack+80303, 6, 0);
 /*--- compute (i0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+189405, int_stack+187053, int_stack+2268, int_stack+125853, int_stack+0, int_stack+96360, 6, 0);
 /*--- compute (i0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+2268, int_stack+189405, int_stack+184533, int_stack+128205, int_stack+103470, int_stack+98124, 6, 0);
 /*--- compute (i0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+95100, int_stack+8020, int_stack+7012, int_stack+82095, int_stack+85659, int_stack+81087, 6, 0);
 /*--- compute (i0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+192933, int_stack+95100, int_stack+187053, int_stack+170925, int_stack+106710, int_stack+125853, 6, 0);
 /*--- compute (i0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+95100, int_stack+192933, int_stack+189405, int_stack+173949, int_stack+160989, int_stack+128205, 6, 0);
 /*--- compute (i0|[r12,T2]|gg) ---*/
   t2hrr3_build_gg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+184533, int_stack+95100, int_stack+2268, int_stack+178653, int_stack+165525, int_stack+131733, 6, 0);
 /*--- compute (hp|[r12,T2]|gg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+190833, int_stack+184533, int_stack+146139, 225);
 /*--- compute (gd|[r12,T2]|gg) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+205008, int_stack+190833, int_stack+150864, 225);
 /*--- compute (l0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+146139, int_stack+89250, int_stack+88575, 45);
 /*--- compute (l0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+148164, int_stack+90195, int_stack+89250, 45);
 /*--- compute (l0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+150999, int_stack+148164, int_stack+146139, 45);
 /*--- compute (l0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+155049, int_stack+91455, int_stack+90195, 45);
 /*--- compute (l0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+2268, int_stack+155049, int_stack+148164, 45);
 /*--- compute (l0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+124098, int_stack+2268, int_stack+150999, 45);
 /*--- compute (k0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+95100, int_stack+86955, int_stack+85659, 36);
 /*--- compute (k0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+225258, int_stack+95100, int_stack+106710, 36);
 /*--- compute (k0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+231306, int_stack+225258, int_stack+160989, 36);
 /*--- compute (k0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+158829, int_stack+9820, int_stack+9280, int_stack+83895, int_stack+88575, int_stack+83355, 7, 0);
 /*--- compute (k0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+79295, int_stack+10576, int_stack+9820, int_stack+84651, int_stack+89250, int_stack+83895, 7, 0);
 /*--- compute (k0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+238866, int_stack+79295, int_stack+158829, int_stack+0, int_stack+146139, int_stack+122478, 7, 0);
 /*--- compute (k0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+242106, int_stack+11584, int_stack+10576, int_stack+85659, int_stack+90195, int_stack+84651, 7, 0);
 /*--- compute (k0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+245130, int_stack+242106, int_stack+79295, int_stack+106710, int_stack+148164, int_stack+0, 7, 0);
 /*--- compute (k0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+249666, int_stack+245130, int_stack+238866, int_stack+160989, int_stack+150999, int_stack+103470, 7, 0);
 /*--- compute (k0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+255066, int_stack+12880, int_stack+11584, int_stack+86955, int_stack+91455, int_stack+85659, 7, 0);
 /*--- compute (k0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7938, int_stack+255066, int_stack+242106, int_stack+95100, int_stack+155049, int_stack+106710, 7, 0);
 /*--- compute (k0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+103470, int_stack+7938, int_stack+245130, int_stack+225258, int_stack+2268, int_stack+160989, 7, 0);
 /*--- compute (k0|[r12,T2]|gg) ---*/
   t2hrr3_build_gg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+238866, int_stack+103470, int_stack+249666, int_stack+231306, int_stack+124098, int_stack+165525, 7, 0);
 /*--- compute (ip|[r12,T2]|gg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+246966, int_stack+238866, int_stack+184533, 225);
 /*--- compute (hd|[r12,T2]|gg) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+265866, int_stack+246966, int_stack+190833, 225);
 /*--- compute (gf|[r12,T2]|gg) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+294216, int_stack+265866, int_stack+205008, 225);
 /*--- compute (m0|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+184533, int_stack+16000, int_stack+14500, 55);
 /*--- compute (m0|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+187008, int_stack+18100, int_stack+16000, 55);
 /*--- compute (m0|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+190473, int_stack+187008, int_stack+184533, 55);
 /*--- compute (m0|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+195423, int_stack+20900, int_stack+18100, 55);
 /*--- compute (m0|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+200043, int_stack+195423, int_stack+187008, 55);
 /*--- compute (m0|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+206973, int_stack+200043, int_stack+190473, 55);
 /*--- compute (l0|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+215223, int_stack+93075, int_stack+91455, 45);
 /*--- compute (l0|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+103470, int_stack+215223, int_stack+155049, 45);
 /*--- compute (l0|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+327966, int_stack+103470, int_stack+2268, 45);
 /*--- compute (l0|[r12,T2]|gp) ---*/
   t2hrr3_build_gp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+220083, int_stack+17155, int_stack+15325, int_stack+89250, int_stack+14500, int_stack+88575, 8, 0);
 /*--- compute (l0|[r12,T2]|hp) ---*/
   t2hrr3_build_hp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+222108, int_stack+19640, int_stack+17155, int_stack+90195, int_stack+16000, int_stack+89250, 8, 0);
 /*--- compute (l0|[r12,T2]|gd) ---*/
   t2hrr3_build_gd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+7938, int_stack+222108, int_stack+220083, int_stack+148164, int_stack+184533, int_stack+146139, 8, 0);
 /*--- compute (l0|[r12,T2]|ip) ---*/
   t2hrr3_build_ip(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+11988, int_stack+22880, int_stack+19640, int_stack+91455, int_stack+18100, int_stack+90195, 8, 0);
 /*--- compute (l0|[r12,T2]|hd) ---*/
   t2hrr3_build_hd(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+158829, int_stack+11988, int_stack+222108, int_stack+155049, int_stack+187008, int_stack+148164, 8, 0);
 /*--- compute (l0|[r12,T2]|gf) ---*/
   t2hrr3_build_gf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+337416, int_stack+158829, int_stack+7938, int_stack+2268, int_stack+190473, int_stack+150999, 8, 0);
 /*--- compute (l0|[r12,T2]|kp) ---*/
   t2hrr3_build_kp(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+146139, int_stack+24500, int_stack+22880, int_stack+93075, int_stack+20900, int_stack+91455, 8, 0);
 /*--- compute (l0|[r12,T2]|id) ---*/
   t2hrr3_build_id(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+184533, int_stack+146139, int_stack+11988, int_stack+215223, int_stack+195423, int_stack+155049, 8, 0);
 /*--- compute (l0|[r12,T2]|hf) ---*/
   t2hrr3_build_hf(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+215223, int_stack+184533, int_stack+158829, int_stack+103470, int_stack+200043, int_stack+2268, 8, 0);
 /*--- compute (l0|[r12,T2]|gg) ---*/
   t2hrr3_build_gg(Libr12->ShellQuartet.CD,Libr12->ShellQuartet.AC,int_stack+184533, int_stack+215223, int_stack+337416, int_stack+327966, int_stack+206973, int_stack+124098, 8, 0);
 /*--- compute (kp|[r12,T2]|gg) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+194658, int_stack+184533, int_stack+238866, 225);
 /*--- compute (id|[r12,T2]|gg) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+337416, int_stack+194658, int_stack+246966, 225);
 /*--- compute (hf|[r12,T2]|gg) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+375216, int_stack+337416, int_stack+265866, 225);
 /*--- compute (g0|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+337416, int_stack+119328, int_stack+101220, 15);
 /*--- compute (h0|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+340791, int_stack+141729, int_stack+112038, 21);
 /*--- compute (gp|gg) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+345516, int_stack+340791, int_stack+337416, 225);
 /*--- compute (i0|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+355641, int_stack+178653, int_stack+131733, 28);
 /*--- compute (hp|gg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+238866, int_stack+355641, int_stack+340791, 225);
 /*--- compute (gd|gg) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+253041, int_stack+238866, int_stack+345516, 225);
 /*--- compute (k0|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+361941, int_stack+231306, int_stack+165525, 36);
 /*--- compute (ip|gg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+273291, int_stack+361941, int_stack+355641, 225);
 /*--- compute (hd|gg) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+184533, int_stack+273291, int_stack+238866, 225);
 /*--- compute (gf|gg) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+422466, int_stack+184533, int_stack+253041, 225);
 /*--- compute (g0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+292191, int_stack+26525, int_stack+75575, 15);
 /*--- compute (g0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+370041, int_stack+292191, int_stack+115188, 15);
 /*--- compute (g0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+212883, int_stack+370041, int_stack+116808, 15);
 /*--- compute (g0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+370041, int_stack+212883, int_stack+119328, 15);
 /*--- compute (h0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+212883, int_stack+29525, int_stack+78350, 21);
 /*--- compute (h0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+215718, int_stack+212883, int_stack+135933, 21);
 /*--- compute (h0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+146139, int_stack+215718, int_stack+138201, 21);
 /*--- compute (h0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+212883, int_stack+146139, int_stack+141729, 21);
 /*--- compute (gp|hg) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+0, int_stack+212883, int_stack+370041, 315);
 /*--- compute (i0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+219498, int_stack+33725, int_stack+82095, 28);
 /*--- compute (i0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+88575, int_stack+219498, int_stack+170925, 28);
 /*--- compute (i0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+14175, int_stack+88575, int_stack+173949, 28);
 /*--- compute (i0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+98988, int_stack+14175, int_stack+178653, 28);
 /*--- compute (hp|hg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+130848, int_stack+98988, int_stack+212883, 315);
 /*--- compute (gd|hg) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+150693, int_stack+130848, int_stack+0, 315);
 /*--- compute (k0|lp) ---*/
   hrr3_build_lp(Libr12->ShellQuartet.CD,int_stack+14175, int_stack+39325, int_stack+86955, 36);
 /*--- compute (k0|kd) ---*/
   hrr3_build_kd(Libr12->ShellQuartet.CD,int_stack+19035, int_stack+14175, int_stack+95100, 36);
 /*--- compute (k0|if) ---*/
   hrr3_build_if(Libr12->ShellQuartet.CD,int_stack+107808, int_stack+19035, int_stack+225258, 36);
 /*--- compute (k0|hg) ---*/
   hrr3_build_hg(Libr12->ShellQuartet.CD,int_stack+14175, int_stack+107808, int_stack+231306, 36);
 /*--- compute (ip|hg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+456216, int_stack+14175, int_stack+98988, 315);
 /*--- compute (hd|hg) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+482676, int_stack+456216, int_stack+130848, 315);
 /*--- compute (gf|hg) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+522366, int_stack+482676, int_stack+150693, 315);
 /*--- compute (l0|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+107808, int_stack+327966, int_stack+124098, 45);
 /*--- compute (kp|gg) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+74075, int_stack+107808, int_stack+361941, 225);
 /*--- compute (id|gg) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+569616, int_stack+74075, int_stack+273291, 225);
 /*--- compute (hf|gg) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+607416, int_stack+569616, int_stack+184533, 225);
 /*--- compute (g0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+327966, int_stack+27575, int_stack+27350, 15);
 /*--- compute (g0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+328641, int_stack+27890, int_stack+27575, 15);
 /*--- compute (g0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+329586, int_stack+328641, int_stack+327966, 15);
 /*--- compute (g0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+330936, int_stack+28310, int_stack+27890, 15);
 /*--- compute (g0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+332196, int_stack+330936, int_stack+328641, 15);
 /*--- compute (g0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+334086, int_stack+332196, int_stack+329586, 15);
 /*--- compute (g0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+327966, int_stack+28850, int_stack+28310, 15);
 /*--- compute (g0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+117933, int_stack+327966, int_stack+330936, 15);
 /*--- compute (g0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+327966, int_stack+117933, int_stack+332196, 15);
 /*--- compute (g0|[r12,T1]|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+117933, int_stack+327966, int_stack+334086, 15);
 /*--- compute (h0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+327966, int_stack+30995, int_stack+30680, 21);
 /*--- compute (h0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+328911, int_stack+31436, int_stack+30995, 21);
 /*--- compute (h0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+330234, int_stack+328911, int_stack+327966, 21);
 /*--- compute (h0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+332124, int_stack+32024, int_stack+31436, 21);
 /*--- compute (h0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+333888, int_stack+332124, int_stack+328911, 21);
 /*--- compute (h0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+121308, int_stack+333888, int_stack+330234, 21);
 /*--- compute (h0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+327966, int_stack+32780, int_stack+32024, 21);
 /*--- compute (h0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+124458, int_stack+327966, int_stack+332124, 21);
 /*--- compute (h0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+327966, int_stack+124458, int_stack+333888, 21);
 /*--- compute (h0|[r12,T1]|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+124458, int_stack+327966, int_stack+121308, 21);
 /*--- compute (gp|[r12,T1]|gg) ---*/
   t1hrr1_build_gp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+219498, int_stack+124458, int_stack+117933, int_stack+340791, int_stack+370041, int_stack+337416, 4, 4);
 /*--- compute (i0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+370041, int_stack+35685, int_stack+35265, 28);
 /*--- compute (i0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+371301, int_stack+36273, int_stack+35685, 28);
 /*--- compute (i0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+117933, int_stack+371301, int_stack+370041, 28);
 /*--- compute (i0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+120453, int_stack+37057, int_stack+36273, 28);
 /*--- compute (i0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+327966, int_stack+120453, int_stack+371301, 28);
 /*--- compute (i0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+370041, int_stack+327966, int_stack+117933, 28);
 /*--- compute (i0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+331494, int_stack+38065, int_stack+37057, 28);
 /*--- compute (i0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+334518, int_stack+331494, int_stack+120453, 28);
 /*--- compute (i0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+117933, int_stack+334518, int_stack+327966, 28);
 /*--- compute (i0|[r12,T1]|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+327966, int_stack+117933, int_stack+370041, 28);
 /*--- compute (hp|[r12,T1]|gg) ---*/
   t1hrr1_build_hp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+25515, int_stack+327966, int_stack+124458, int_stack+355641, int_stack+212883, int_stack+340791, 4, 4);
 /*--- compute (gd|[r12,T1]|gg) ---*/
   t1hrr1_build_gd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+654666, int_stack+25515, int_stack+219498, int_stack+238866, int_stack+0, int_stack+345516, 4, 4);
 /*--- compute (k0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+41845, int_stack+41305, 36);
 /*--- compute (k0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+1620, int_stack+42601, int_stack+41845, 36);
 /*--- compute (k0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+3888, int_stack+1620, int_stack+0, 36);
 /*--- compute (k0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+7128, int_stack+43609, int_stack+42601, 36);
 /*--- compute (k0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+212883, int_stack+7128, int_stack+1620, 36);
 /*--- compute (k0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+217419, int_stack+212883, int_stack+3888, 36);
 /*--- compute (k0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+0, int_stack+44905, int_stack+43609, 36);
 /*--- compute (k0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+222819, int_stack+0, int_stack+7128, 36);
 /*--- compute (k0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+0, int_stack+222819, int_stack+212883, 36);
 /*--- compute (k0|[r12,T1]|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+222819, int_stack+0, int_stack+217419, 36);
 /*--- compute (ip|[r12,T1]|gg) ---*/
   t1hrr1_build_ip(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+334266, int_stack+222819, int_stack+327966, int_stack+361941, int_stack+98988, int_stack+355641, 4, 4);
 /*--- compute (hd|[r12,T1]|gg) ---*/
   t1hrr1_build_hd(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+674916, int_stack+334266, int_stack+25515, int_stack+273291, int_stack+130848, int_stack+238866, 4, 4);
 /*--- compute (gf|[r12,T1]|gg) ---*/
   t1hrr1_build_gf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+703266, int_stack+674916, int_stack+654666, int_stack+184533, int_stack+150693, int_stack+253041, 4, 4);
 /*--- compute (l0|[r12,T1]|gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+292191, int_stack+47200, int_stack+46525, 45);
 /*--- compute (l0|[r12,T1]|hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+654666, int_stack+48145, int_stack+47200, 45);
 /*--- compute (l0|[r12,T1]|gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+657501, int_stack+654666, int_stack+292191, 45);
 /*--- compute (l0|[r12,T1]|ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+661551, int_stack+49405, int_stack+48145, 45);
 /*--- compute (l0|[r12,T1]|hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+665331, int_stack+661551, int_stack+654666, 45);
 /*--- compute (l0|[r12,T1]|gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+25515, int_stack+665331, int_stack+657501, 45);
 /*--- compute (l0|[r12,T1]|kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+654666, int_stack+51025, int_stack+49405, 45);
 /*--- compute (l0|[r12,T1]|id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+32265, int_stack+654666, int_stack+661551, 45);
 /*--- compute (l0|[r12,T1]|hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+654666, int_stack+32265, int_stack+665331, 45);
 /*--- compute (l0|[r12,T1]|gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+32265, int_stack+654666, int_stack+25515, 45);
 /*--- compute (kp|[r12,T1]|gg) ---*/
   t1hrr1_build_kp(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+230919, int_stack+32265, int_stack+222819, int_stack+107808, int_stack+14175, int_stack+361941, 4, 4);
 /*--- compute (id|[r12,T1]|gg) ---*/
   t1hrr1_build_id(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+0, int_stack+230919, int_stack+334266, int_stack+74075, int_stack+456216, int_stack+273291, 4, 4);
 /*--- compute (hf|[r12,T1]|gg) ---*/
   t1hrr1_build_hf(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+327966, int_stack+0, int_stack+674916, int_stack+569616, int_stack+482676, int_stack+184533, 4, 4);
 /*--- compute (g0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+569616, int_stack+53275, int_stack+53050, 15);
 /*--- compute (g0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+570291, int_stack+53590, int_stack+53275, 15);
 /*--- compute (g0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+571236, int_stack+570291, int_stack+569616, 15);
 /*--- compute (g0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+572586, int_stack+54010, int_stack+53590, 15);
 /*--- compute (g0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+573846, int_stack+572586, int_stack+570291, 15);
 /*--- compute (g0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+575736, int_stack+573846, int_stack+571236, 15);
 /*--- compute (g0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+569616, int_stack+54550, int_stack+54010, 15);
 /*--- compute (g0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+577986, int_stack+569616, int_stack+572586, 15);
 /*--- compute (g0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+569616, int_stack+577986, int_stack+573846, 15);
 /*--- compute (g0||gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+577986, int_stack+569616, int_stack+575736, 15);
 /*--- compute (h0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+569616, int_stack+55540, int_stack+55225, 21);
 /*--- compute (h0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+570561, int_stack+55981, int_stack+55540, 21);
 /*--- compute (h0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+571884, int_stack+570561, int_stack+569616, 21);
 /*--- compute (h0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+573774, int_stack+56569, int_stack+55981, 21);
 /*--- compute (h0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+581361, int_stack+573774, int_stack+570561, 21);
 /*--- compute (h0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+584007, int_stack+581361, int_stack+571884, 21);
 /*--- compute (h0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+569616, int_stack+57325, int_stack+56569, 21);
 /*--- compute (h0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+587157, int_stack+569616, int_stack+573774, 21);
 /*--- compute (h0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+569616, int_stack+587157, int_stack+581361, 21);
 /*--- compute (h0||gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+587157, int_stack+569616, int_stack+584007, 21);
 /*--- compute (gp||gg) ---*/
   hrr1_build_gp(Libr12->ShellQuartet.AB,int_stack+591882, int_stack+587157, int_stack+577986, 225);
 /*--- compute (i0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+569616, int_stack+58690, int_stack+58270, 28);
 /*--- compute (i0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+570876, int_stack+59278, int_stack+58690, 28);
 /*--- compute (i0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+572640, int_stack+570876, int_stack+569616, 28);
 /*--- compute (i0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+575160, int_stack+60062, int_stack+59278, 28);
 /*--- compute (i0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+577512, int_stack+575160, int_stack+570876, 28);
 /*--- compute (i0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+581040, int_stack+577512, int_stack+572640, 28);
 /*--- compute (i0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+569616, int_stack+61070, int_stack+60062, 28);
 /*--- compute (i0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+602007, int_stack+569616, int_stack+575160, 28);
 /*--- compute (i0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+569616, int_stack+602007, int_stack+577512, 28);
 /*--- compute (i0||gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+0, int_stack+569616, int_stack+581040, 28);
 /*--- compute (hp||gg) ---*/
   hrr1_build_hp(Libr12->ShellQuartet.AB,int_stack+569616, int_stack+0, int_stack+587157, 225);
 /*--- compute (gd||gg) ---*/
   hrr1_build_gd(Libr12->ShellQuartet.AB,int_stack+6300, int_stack+569616, int_stack+591882, 225);
 /*--- compute (k0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+583791, int_stack+62870, int_stack+62330, 36);
 /*--- compute (k0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+585411, int_stack+63626, int_stack+62870, 36);
 /*--- compute (k0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+587679, int_stack+585411, int_stack+583791, 36);
 /*--- compute (k0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+590919, int_stack+64634, int_stack+63626, 36);
 /*--- compute (k0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+593943, int_stack+590919, int_stack+585411, 36);
 /*--- compute (k0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+598479, int_stack+593943, int_stack+587679, 36);
 /*--- compute (k0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+583791, int_stack+65930, int_stack+64634, 36);
 /*--- compute (k0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+26550, int_stack+583791, int_stack+590919, 36);
 /*--- compute (k0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+583791, int_stack+26550, int_stack+593943, 36);
 /*--- compute (k0||gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+26550, int_stack+583791, int_stack+598479, 36);
 /*--- compute (ip||gg) ---*/
   hrr1_build_ip(Libr12->ShellQuartet.AB,int_stack+583791, int_stack+26550, int_stack+0, 225);
 /*--- compute (hd||gg) ---*/
   hrr1_build_hd(Libr12->ShellQuartet.AB,int_stack+34650, int_stack+583791, int_stack+569616, 225);
 /*--- compute (gf||gg) ---*/
   hrr1_build_gf(Libr12->ShellQuartet.AB,int_stack+456216, int_stack+34650, int_stack+6300, 225);
 /*--- compute (l0||gp) ---*/
   hrr3_build_gp(Libr12->ShellQuartet.CD,int_stack+569616, int_stack+68225, int_stack+67550, 45);
 /*--- compute (l0||hp) ---*/
   hrr3_build_hp(Libr12->ShellQuartet.CD,int_stack+571641, int_stack+69170, int_stack+68225, 45);
 /*--- compute (l0||gd) ---*/
   hrr3_build_gd(Libr12->ShellQuartet.CD,int_stack+574476, int_stack+571641, int_stack+569616, 45);
 /*--- compute (l0||ip) ---*/
   hrr3_build_ip(Libr12->ShellQuartet.CD,int_stack+578526, int_stack+70430, int_stack+69170, 45);
 /*--- compute (l0||hd) ---*/
   hrr3_build_hd(Libr12->ShellQuartet.CD,int_stack+0, int_stack+578526, int_stack+571641, 45);
 /*--- compute (l0||gf) ---*/
   hrr3_build_gf(Libr12->ShellQuartet.CD,int_stack+5670, int_stack+0, int_stack+574476, 45);
 /*--- compute (l0||kp) ---*/
   hrr3_build_kp(Libr12->ShellQuartet.CD,int_stack+569616, int_stack+72050, int_stack+70430, 45);
 /*--- compute (l0||id) ---*/
   hrr3_build_id(Libr12->ShellQuartet.CD,int_stack+12420, int_stack+569616, int_stack+578526, 45);
 /*--- compute (l0||hf) ---*/
   hrr3_build_hf(Libr12->ShellQuartet.CD,int_stack+569616, int_stack+12420, int_stack+0, 45);
 /*--- compute (l0||gg) ---*/
   hrr3_build_gg(Libr12->ShellQuartet.CD,int_stack+12420, int_stack+569616, int_stack+5670, 45);
 /*--- compute (kp||gg) ---*/
   hrr1_build_kp(Libr12->ShellQuartet.AB,int_stack+63000, int_stack+12420, int_stack+26550, 225);
 /*--- compute (id||gg) ---*/
   hrr1_build_id(Libr12->ShellQuartet.AB,int_stack+87300, int_stack+63000, int_stack+583791, 225);
 /*--- compute (hf||gg) ---*/
   hrr1_build_hf(Libr12->ShellQuartet.AB,int_stack+125100, int_stack+87300, int_stack+34650, 225);
 /*--- compute (gg|[r12,T2]|gg) ---*/
   hrr1_build_gg(Libr12->ShellQuartet.AB,int_stack+0, int_stack+375216, int_stack+294216, 225);
     Libr12->te_ptr[3] = int_stack + 0;
 /*--- compute (gg|[r12,T1]|gg) ---*/
   t1hrr1_build_gg(Libr12->ShellQuartet.AB,Libr12->ShellQuartet.AC,int_stack+50625, int_stack+327966, int_stack+703266, int_stack+607416, int_stack+522366, int_stack+422466, 4, 4);
     Libr12->te_ptr[2] = int_stack + 50625;
 /*--- compute (gg||gg) ---*/
   hrr1_build_gg(Libr12->ShellQuartet.AB,int_stack+172350, int_stack+125100, int_stack+456216, 225);
     Libr12->te_ptr[1] = int_stack + 172350;
 /*--- compute (gg|gg) ---*/
   hrr1_build_gg(Libr12->ShellQuartet.AB,int_stack+456216, int_stack+607416, int_stack+422466, 225);
     Libr12->te_ptr[0] = int_stack + 456216;

}
