  /* These machine-generated functions compute a quartet of (fs||is) integrals */

#include <libint/libint.h>
#include "libr12.h"

void _r_build_f0i0(prim_data *Data, REALTYPE *vp, const REALTYPE *I0, const REALTYPE *I1, const REALTYPE *I2, const REALTYPE *I3, const REALTYPE *I4, const REALTYPE *I5)
{
  REALTYPE U00, U01, U02, U10, U11, U12, U20, U21, U22;
  REALTYPE U30, U31, U32, U40, U41, U42, U50, U51, U52;
  REALTYPE loo2p = Data->oo2p;
  REALTYPE oneo4zn;
  REALTYPE twoo4zn;
  REALTYPE threeo4zn;
  REALTYPE fouro4zn;
  REALTYPE fiveo4zn;
  REALTYPE sixo4zn;
  REALTYPE oneo2z;
  REALTYPE twoo2z;
  oneo4zn = 1.0*Data->oo2z*Data->oo2n;
  twoo4zn = 2.0*Data->oo2z*Data->oo2n;
  threeo4zn = 3.0*Data->oo2z*Data->oo2n;
  fouro4zn = 4.0*Data->oo2z*Data->oo2n;
  fiveo4zn = 5.0*Data->oo2z*Data->oo2n;
  sixo4zn = 6.0*Data->oo2z*Data->oo2n;
  oneo2z = 1.0*Data->oo2z;
  twoo2z = 2.0*Data->oo2z;
  U00 = Data->U[0][0];
  U01 = Data->U[0][1];
  U02 = Data->U[0][2];
  U10 = Data->U[0][0]*Data->oo2n + Data->U[1][0]*Data->oo2z;
  U11 = Data->U[0][1]*Data->oo2n + Data->U[1][1]*Data->oo2z;
  U12 = Data->U[0][2]*Data->oo2n + Data->U[1][2]*Data->oo2z;

*(vp++) = U00*I0[0] - U10*I3[0] + loo2p*I2[0]
        + (twoo2z)*I1[0] - (twoo4zn)*I4[0] - (sixo4zn)*I5[0];
*(vp++) = U00*I0[1] - U10*I3[1] + loo2p*I2[1]
        + (twoo2z)*I1[1] - (twoo4zn)*I4[1] - (fiveo4zn)*I5[1];
*(vp++) = U00*I0[2] - U10*I3[2] + loo2p*I2[2]
        + (twoo2z)*I1[2] - (twoo4zn)*I4[2] - (fiveo4zn)*I5[2];
*(vp++) = U00*I0[3] - U10*I3[3] + loo2p*I2[3]
        + (twoo2z)*I1[3] - (twoo4zn)*I4[3] - (fouro4zn)*I5[3];
*(vp++) = U00*I0[4] - U10*I3[4] + loo2p*I2[4]
        + (twoo2z)*I1[4] - (twoo4zn)*I4[4] - (fouro4zn)*I5[4];
*(vp++) = U00*I0[5] - U10*I3[5] + loo2p*I2[5]
        + (twoo2z)*I1[5] - (twoo4zn)*I4[5] - (fouro4zn)*I5[5];
*(vp++) = U00*I0[6] - U10*I3[6] + loo2p*I2[6]
        + (twoo2z)*I1[6] - (twoo4zn)*I4[6] - (threeo4zn)*I5[6];
*(vp++) = U00*I0[7] - U10*I3[7] + loo2p*I2[7]
        + (twoo2z)*I1[7] - (twoo4zn)*I4[7] - (threeo4zn)*I5[7];
*(vp++) = U00*I0[8] - U10*I3[8] + loo2p*I2[8]
        + (twoo2z)*I1[8] - (twoo4zn)*I4[8] - (threeo4zn)*I5[8];
*(vp++) = U00*I0[9] - U10*I3[9] + loo2p*I2[9]
        + (twoo2z)*I1[9] - (twoo4zn)*I4[9] - (threeo4zn)*I5[9];
*(vp++) = U00*I0[10] - U10*I3[10] + loo2p*I2[10]
        + (twoo2z)*I1[10] - (twoo4zn)*I4[10] - (twoo4zn)*I5[10];
*(vp++) = U00*I0[11] - U10*I3[11] + loo2p*I2[11]
        + (twoo2z)*I1[11] - (twoo4zn)*I4[11] - (twoo4zn)*I5[11];
*(vp++) = U00*I0[12] - U10*I3[12] + loo2p*I2[12]
        + (twoo2z)*I1[12] - (twoo4zn)*I4[12] - (twoo4zn)*I5[12];
*(vp++) = U00*I0[13] - U10*I3[13] + loo2p*I2[13]
        + (twoo2z)*I1[13] - (twoo4zn)*I4[13] - (twoo4zn)*I5[13];
*(vp++) = U00*I0[14] - U10*I3[14] + loo2p*I2[14]
        + (twoo2z)*I1[14] - (twoo4zn)*I4[14] - (twoo4zn)*I5[14];
*(vp++) = U00*I0[15] - U10*I3[15] + loo2p*I2[15]
        + (twoo2z)*I1[15] - (twoo4zn)*I4[15] - (oneo4zn)*I5[15];
*(vp++) = U00*I0[16] - U10*I3[16] + loo2p*I2[16]
        + (twoo2z)*I1[16] - (twoo4zn)*I4[16] - (oneo4zn)*I5[16];
*(vp++) = U00*I0[17] - U10*I3[17] + loo2p*I2[17]
        + (twoo2z)*I1[17] - (twoo4zn)*I4[17] - (oneo4zn)*I5[17];
*(vp++) = U00*I0[18] - U10*I3[18] + loo2p*I2[18]
        + (twoo2z)*I1[18] - (twoo4zn)*I4[18] - (oneo4zn)*I5[18];
*(vp++) = U00*I0[19] - U10*I3[19] + loo2p*I2[19]
        + (twoo2z)*I1[19] - (twoo4zn)*I4[19] - (oneo4zn)*I5[19];
*(vp++) = U00*I0[20] - U10*I3[20] + loo2p*I2[20]
        + (twoo2z)*I1[20] - (twoo4zn)*I4[20] - (oneo4zn)*I5[20];
*(vp++) = U00*I0[21] - U10*I3[21] + loo2p*I2[21]
        + (twoo2z)*I1[21] - (twoo4zn)*I4[21];
*(vp++) = U00*I0[22] - U10*I3[22] + loo2p*I2[22]
        + (twoo2z)*I1[22] - (twoo4zn)*I4[22];
*(vp++) = U00*I0[23] - U10*I3[23] + loo2p*I2[23]
        + (twoo2z)*I1[23] - (twoo4zn)*I4[23];
*(vp++) = U00*I0[24] - U10*I3[24] + loo2p*I2[24]
        + (twoo2z)*I1[24] - (twoo4zn)*I4[24];
*(vp++) = U00*I0[25] - U10*I3[25] + loo2p*I2[25]
        + (twoo2z)*I1[25] - (twoo4zn)*I4[25];
*(vp++) = U00*I0[26] - U10*I3[26] + loo2p*I2[26]
        + (twoo2z)*I1[26] - (twoo4zn)*I4[26];
*(vp++) = U00*I0[27] - U10*I3[27] + loo2p*I2[27]
        + (twoo2z)*I1[27] - (twoo4zn)*I4[27];
*(vp++) = U00*I0[28] - U10*I3[28] + loo2p*I2[28]
        + (oneo2z)*I1[28] - (oneo4zn)*I4[28] - (sixo4zn)*I5[21];
*(vp++) = U00*I0[29] - U10*I3[29] + loo2p*I2[29]
        + (oneo2z)*I1[29] - (oneo4zn)*I4[29] - (fiveo4zn)*I5[22];
*(vp++) = U00*I0[30] - U10*I3[30] + loo2p*I2[30]
        + (oneo2z)*I1[30] - (oneo4zn)*I4[30] - (fiveo4zn)*I5[23];
*(vp++) = U00*I0[31] - U10*I3[31] + loo2p*I2[31]
        + (oneo2z)*I1[31] - (oneo4zn)*I4[31] - (fouro4zn)*I5[24];
*(vp++) = U00*I0[32] - U10*I3[32] + loo2p*I2[32]
        + (oneo2z)*I1[32] - (oneo4zn)*I4[32] - (fouro4zn)*I5[25];
*(vp++) = U00*I0[33] - U10*I3[33] + loo2p*I2[33]
        + (oneo2z)*I1[33] - (oneo4zn)*I4[33] - (fouro4zn)*I5[26];
*(vp++) = U00*I0[34] - U10*I3[34] + loo2p*I2[34]
        + (oneo2z)*I1[34] - (oneo4zn)*I4[34] - (threeo4zn)*I5[27];
*(vp++) = U00*I0[35] - U10*I3[35] + loo2p*I2[35]
        + (oneo2z)*I1[35] - (oneo4zn)*I4[35] - (threeo4zn)*I5[28];
*(vp++) = U00*I0[36] - U10*I3[36] + loo2p*I2[36]
        + (oneo2z)*I1[36] - (oneo4zn)*I4[36] - (threeo4zn)*I5[29];
*(vp++) = U00*I0[37] - U10*I3[37] + loo2p*I2[37]
        + (oneo2z)*I1[37] - (oneo4zn)*I4[37] - (threeo4zn)*I5[30];
*(vp++) = U00*I0[38] - U10*I3[38] + loo2p*I2[38]
        + (oneo2z)*I1[38] - (oneo4zn)*I4[38] - (twoo4zn)*I5[31];
*(vp++) = U00*I0[39] - U10*I3[39] + loo2p*I2[39]
        + (oneo2z)*I1[39] - (oneo4zn)*I4[39] - (twoo4zn)*I5[32];
*(vp++) = U00*I0[40] - U10*I3[40] + loo2p*I2[40]
        + (oneo2z)*I1[40] - (oneo4zn)*I4[40] - (twoo4zn)*I5[33];
*(vp++) = U00*I0[41] - U10*I3[41] + loo2p*I2[41]
        + (oneo2z)*I1[41] - (oneo4zn)*I4[41] - (twoo4zn)*I5[34];
*(vp++) = U00*I0[42] - U10*I3[42] + loo2p*I2[42]
        + (oneo2z)*I1[42] - (oneo4zn)*I4[42] - (twoo4zn)*I5[35];
*(vp++) = U00*I0[43] - U10*I3[43] + loo2p*I2[43]
        + (oneo2z)*I1[43] - (oneo4zn)*I4[43] - (oneo4zn)*I5[36];
*(vp++) = U00*I0[44] - U10*I3[44] + loo2p*I2[44]
        + (oneo2z)*I1[44] - (oneo4zn)*I4[44] - (oneo4zn)*I5[37];
*(vp++) = U00*I0[45] - U10*I3[45] + loo2p*I2[45]
        + (oneo2z)*I1[45] - (oneo4zn)*I4[45] - (oneo4zn)*I5[38];
*(vp++) = U00*I0[46] - U10*I3[46] + loo2p*I2[46]
        + (oneo2z)*I1[46] - (oneo4zn)*I4[46] - (oneo4zn)*I5[39];
*(vp++) = U00*I0[47] - U10*I3[47] + loo2p*I2[47]
        + (oneo2z)*I1[47] - (oneo4zn)*I4[47] - (oneo4zn)*I5[40];
*(vp++) = U00*I0[48] - U10*I3[48] + loo2p*I2[48]
        + (oneo2z)*I1[48] - (oneo4zn)*I4[48] - (oneo4zn)*I5[41];
*(vp++) = U00*I0[49] - U10*I3[49] + loo2p*I2[49]
        + (oneo2z)*I1[49] - (oneo4zn)*I4[49];
*(vp++) = U00*I0[50] - U10*I3[50] + loo2p*I2[50]
        + (oneo2z)*I1[50] - (oneo4zn)*I4[50];
*(vp++) = U00*I0[51] - U10*I3[51] + loo2p*I2[51]
        + (oneo2z)*I1[51] - (oneo4zn)*I4[51];
*(vp++) = U00*I0[52] - U10*I3[52] + loo2p*I2[52]
        + (oneo2z)*I1[52] - (oneo4zn)*I4[52];
*(vp++) = U00*I0[53] - U10*I3[53] + loo2p*I2[53]
        + (oneo2z)*I1[53] - (oneo4zn)*I4[53];
*(vp++) = U00*I0[54] - U10*I3[54] + loo2p*I2[54]
        + (oneo2z)*I1[54] - (oneo4zn)*I4[54];
*(vp++) = U00*I0[55] - U10*I3[55] + loo2p*I2[55]
        + (oneo2z)*I1[55] - (oneo4zn)*I4[55];
*(vp++) = U00*I0[56] - U10*I3[56] + loo2p*I2[56]
        + (oneo2z)*I1[56] - (oneo4zn)*I4[56] - (sixo4zn)*I5[42];
*(vp++) = U00*I0[57] - U10*I3[57] + loo2p*I2[57]
        + (oneo2z)*I1[57] - (oneo4zn)*I4[57] - (fiveo4zn)*I5[43];
*(vp++) = U00*I0[58] - U10*I3[58] + loo2p*I2[58]
        + (oneo2z)*I1[58] - (oneo4zn)*I4[58] - (fiveo4zn)*I5[44];
*(vp++) = U00*I0[59] - U10*I3[59] + loo2p*I2[59]
        + (oneo2z)*I1[59] - (oneo4zn)*I4[59] - (fouro4zn)*I5[45];
*(vp++) = U00*I0[60] - U10*I3[60] + loo2p*I2[60]
        + (oneo2z)*I1[60] - (oneo4zn)*I4[60] - (fouro4zn)*I5[46];
*(vp++) = U00*I0[61] - U10*I3[61] + loo2p*I2[61]
        + (oneo2z)*I1[61] - (oneo4zn)*I4[61] - (fouro4zn)*I5[47];
*(vp++) = U00*I0[62] - U10*I3[62] + loo2p*I2[62]
        + (oneo2z)*I1[62] - (oneo4zn)*I4[62] - (threeo4zn)*I5[48];
*(vp++) = U00*I0[63] - U10*I3[63] + loo2p*I2[63]
        + (oneo2z)*I1[63] - (oneo4zn)*I4[63] - (threeo4zn)*I5[49];
*(vp++) = U00*I0[64] - U10*I3[64] + loo2p*I2[64]
        + (oneo2z)*I1[64] - (oneo4zn)*I4[64] - (threeo4zn)*I5[50];
*(vp++) = U00*I0[65] - U10*I3[65] + loo2p*I2[65]
        + (oneo2z)*I1[65] - (oneo4zn)*I4[65] - (threeo4zn)*I5[51];
*(vp++) = U00*I0[66] - U10*I3[66] + loo2p*I2[66]
        + (oneo2z)*I1[66] - (oneo4zn)*I4[66] - (twoo4zn)*I5[52];
*(vp++) = U00*I0[67] - U10*I3[67] + loo2p*I2[67]
        + (oneo2z)*I1[67] - (oneo4zn)*I4[67] - (twoo4zn)*I5[53];
*(vp++) = U00*I0[68] - U10*I3[68] + loo2p*I2[68]
        + (oneo2z)*I1[68] - (oneo4zn)*I4[68] - (twoo4zn)*I5[54];
*(vp++) = U00*I0[69] - U10*I3[69] + loo2p*I2[69]
        + (oneo2z)*I1[69] - (oneo4zn)*I4[69] - (twoo4zn)*I5[55];
*(vp++) = U00*I0[70] - U10*I3[70] + loo2p*I2[70]
        + (oneo2z)*I1[70] - (oneo4zn)*I4[70] - (twoo4zn)*I5[56];
*(vp++) = U00*I0[71] - U10*I3[71] + loo2p*I2[71]
        + (oneo2z)*I1[71] - (oneo4zn)*I4[71] - (oneo4zn)*I5[57];
*(vp++) = U00*I0[72] - U10*I3[72] + loo2p*I2[72]
        + (oneo2z)*I1[72] - (oneo4zn)*I4[72] - (oneo4zn)*I5[58];
*(vp++) = U00*I0[73] - U10*I3[73] + loo2p*I2[73]
        + (oneo2z)*I1[73] - (oneo4zn)*I4[73] - (oneo4zn)*I5[59];
*(vp++) = U00*I0[74] - U10*I3[74] + loo2p*I2[74]
        + (oneo2z)*I1[74] - (oneo4zn)*I4[74] - (oneo4zn)*I5[60];
*(vp++) = U00*I0[75] - U10*I3[75] + loo2p*I2[75]
        + (oneo2z)*I1[75] - (oneo4zn)*I4[75] - (oneo4zn)*I5[61];
*(vp++) = U00*I0[76] - U10*I3[76] + loo2p*I2[76]
        + (oneo2z)*I1[76] - (oneo4zn)*I4[76] - (oneo4zn)*I5[62];
*(vp++) = U00*I0[77] - U10*I3[77] + loo2p*I2[77]
        + (oneo2z)*I1[77] - (oneo4zn)*I4[77];
*(vp++) = U00*I0[78] - U10*I3[78] + loo2p*I2[78]
        + (oneo2z)*I1[78] - (oneo4zn)*I4[78];
*(vp++) = U00*I0[79] - U10*I3[79] + loo2p*I2[79]
        + (oneo2z)*I1[79] - (oneo4zn)*I4[79];
*(vp++) = U00*I0[80] - U10*I3[80] + loo2p*I2[80]
        + (oneo2z)*I1[80] - (oneo4zn)*I4[80];
*(vp++) = U00*I0[81] - U10*I3[81] + loo2p*I2[81]
        + (oneo2z)*I1[81] - (oneo4zn)*I4[81];
*(vp++) = U00*I0[82] - U10*I3[82] + loo2p*I2[82]
        + (oneo2z)*I1[82] - (oneo4zn)*I4[82];
*(vp++) = U00*I0[83] - U10*I3[83] + loo2p*I2[83]
        + (oneo2z)*I1[83] - (oneo4zn)*I4[83];
*(vp++) = U00*I0[84] - U10*I3[84] + loo2p*I2[84] - (sixo4zn)*I5[63];
*(vp++) = U00*I0[85] - U10*I3[85] + loo2p*I2[85] - (fiveo4zn)*I5[64];
*(vp++) = U00*I0[86] - U10*I3[86] + loo2p*I2[86] - (fiveo4zn)*I5[65];
*(vp++) = U00*I0[87] - U10*I3[87] + loo2p*I2[87] - (fouro4zn)*I5[66];
*(vp++) = U00*I0[88] - U10*I3[88] + loo2p*I2[88] - (fouro4zn)*I5[67];
*(vp++) = U00*I0[89] - U10*I3[89] + loo2p*I2[89] - (fouro4zn)*I5[68];
*(vp++) = U00*I0[90] - U10*I3[90] + loo2p*I2[90] - (threeo4zn)*I5[69];
*(vp++) = U00*I0[91] - U10*I3[91] + loo2p*I2[91] - (threeo4zn)*I5[70];
*(vp++) = U00*I0[92] - U10*I3[92] + loo2p*I2[92] - (threeo4zn)*I5[71];
*(vp++) = U00*I0[93] - U10*I3[93] + loo2p*I2[93] - (threeo4zn)*I5[72];
*(vp++) = U00*I0[94] - U10*I3[94] + loo2p*I2[94] - (twoo4zn)*I5[73];
*(vp++) = U00*I0[95] - U10*I3[95] + loo2p*I2[95] - (twoo4zn)*I5[74];
*(vp++) = U00*I0[96] - U10*I3[96] + loo2p*I2[96] - (twoo4zn)*I5[75];
*(vp++) = U00*I0[97] - U10*I3[97] + loo2p*I2[97] - (twoo4zn)*I5[76];
*(vp++) = U00*I0[98] - U10*I3[98] + loo2p*I2[98] - (twoo4zn)*I5[77];
*(vp++) = U00*I0[99] - U10*I3[99] + loo2p*I2[99] - (oneo4zn)*I5[78];
*(vp++) = U00*I0[100] - U10*I3[100] + loo2p*I2[100] - (oneo4zn)*I5[79];
*(vp++) = U00*I0[101] - U10*I3[101] + loo2p*I2[101] - (oneo4zn)*I5[80];
*(vp++) = U00*I0[102] - U10*I3[102] + loo2p*I2[102] - (oneo4zn)*I5[81];
*(vp++) = U00*I0[103] - U10*I3[103] + loo2p*I2[103] - (oneo4zn)*I5[82];
*(vp++) = U00*I0[104] - U10*I3[104] + loo2p*I2[104] - (oneo4zn)*I5[83];
*(vp++) = U00*I0[105] - U10*I3[105] + loo2p*I2[105];
*(vp++) = U00*I0[106] - U10*I3[106] + loo2p*I2[106];
*(vp++) = U00*I0[107] - U10*I3[107] + loo2p*I2[107];
*(vp++) = U00*I0[108] - U10*I3[108] + loo2p*I2[108];
*(vp++) = U00*I0[109] - U10*I3[109] + loo2p*I2[109];
*(vp++) = U00*I0[110] - U10*I3[110] + loo2p*I2[110];
*(vp++) = U00*I0[111] - U10*I3[111] + loo2p*I2[111];
*(vp++) = U00*I0[112] - U10*I3[112] + loo2p*I2[112] - (sixo4zn)*I5[84];
*(vp++) = U00*I0[113] - U10*I3[113] + loo2p*I2[113] - (fiveo4zn)*I5[85];
*(vp++) = U00*I0[114] - U10*I3[114] + loo2p*I2[114] - (fiveo4zn)*I5[86];
*(vp++) = U00*I0[115] - U10*I3[115] + loo2p*I2[115] - (fouro4zn)*I5[87];
*(vp++) = U00*I0[116] - U10*I3[116] + loo2p*I2[116] - (fouro4zn)*I5[88];
*(vp++) = U00*I0[117] - U10*I3[117] + loo2p*I2[117] - (fouro4zn)*I5[89];
*(vp++) = U00*I0[118] - U10*I3[118] + loo2p*I2[118] - (threeo4zn)*I5[90];
*(vp++) = U00*I0[119] - U10*I3[119] + loo2p*I2[119] - (threeo4zn)*I5[91];
*(vp++) = U00*I0[120] - U10*I3[120] + loo2p*I2[120] - (threeo4zn)*I5[92];
*(vp++) = U00*I0[121] - U10*I3[121] + loo2p*I2[121] - (threeo4zn)*I5[93];
*(vp++) = U00*I0[122] - U10*I3[122] + loo2p*I2[122] - (twoo4zn)*I5[94];
*(vp++) = U00*I0[123] - U10*I3[123] + loo2p*I2[123] - (twoo4zn)*I5[95];
*(vp++) = U00*I0[124] - U10*I3[124] + loo2p*I2[124] - (twoo4zn)*I5[96];
*(vp++) = U00*I0[125] - U10*I3[125] + loo2p*I2[125] - (twoo4zn)*I5[97];
*(vp++) = U00*I0[126] - U10*I3[126] + loo2p*I2[126] - (twoo4zn)*I5[98];
*(vp++) = U00*I0[127] - U10*I3[127] + loo2p*I2[127] - (oneo4zn)*I5[99];
*(vp++) = U00*I0[128] - U10*I3[128] + loo2p*I2[128] - (oneo4zn)*I5[100];
*(vp++) = U00*I0[129] - U10*I3[129] + loo2p*I2[129] - (oneo4zn)*I5[101];
*(vp++) = U00*I0[130] - U10*I3[130] + loo2p*I2[130] - (oneo4zn)*I5[102];
*(vp++) = U00*I0[131] - U10*I3[131] + loo2p*I2[131] - (oneo4zn)*I5[103];
*(vp++) = U00*I0[132] - U10*I3[132] + loo2p*I2[132] - (oneo4zn)*I5[104];
*(vp++) = U00*I0[133] - U10*I3[133] + loo2p*I2[133];
*(vp++) = U00*I0[134] - U10*I3[134] + loo2p*I2[134];
*(vp++) = U00*I0[135] - U10*I3[135] + loo2p*I2[135];
*(vp++) = U00*I0[136] - U10*I3[136] + loo2p*I2[136];
*(vp++) = U00*I0[137] - U10*I3[137] + loo2p*I2[137];
*(vp++) = U00*I0[138] - U10*I3[138] + loo2p*I2[138];
*(vp++) = U00*I0[139] - U10*I3[139] + loo2p*I2[139];
*(vp++) = U00*I0[140] - U10*I3[140] + loo2p*I2[140] - (sixo4zn)*I5[105];
*(vp++) = U00*I0[141] - U10*I3[141] + loo2p*I2[141] - (fiveo4zn)*I5[106];
*(vp++) = U00*I0[142] - U10*I3[142] + loo2p*I2[142] - (fiveo4zn)*I5[107];
*(vp++) = U00*I0[143] - U10*I3[143] + loo2p*I2[143] - (fouro4zn)*I5[108];
*(vp++) = U00*I0[144] - U10*I3[144] + loo2p*I2[144] - (fouro4zn)*I5[109];
*(vp++) = U00*I0[145] - U10*I3[145] + loo2p*I2[145] - (fouro4zn)*I5[110];
*(vp++) = U00*I0[146] - U10*I3[146] + loo2p*I2[146] - (threeo4zn)*I5[111];
*(vp++) = U00*I0[147] - U10*I3[147] + loo2p*I2[147] - (threeo4zn)*I5[112];
*(vp++) = U00*I0[148] - U10*I3[148] + loo2p*I2[148] - (threeo4zn)*I5[113];
*(vp++) = U00*I0[149] - U10*I3[149] + loo2p*I2[149] - (threeo4zn)*I5[114];
*(vp++) = U00*I0[150] - U10*I3[150] + loo2p*I2[150] - (twoo4zn)*I5[115];
*(vp++) = U00*I0[151] - U10*I3[151] + loo2p*I2[151] - (twoo4zn)*I5[116];
*(vp++) = U00*I0[152] - U10*I3[152] + loo2p*I2[152] - (twoo4zn)*I5[117];
*(vp++) = U00*I0[153] - U10*I3[153] + loo2p*I2[153] - (twoo4zn)*I5[118];
*(vp++) = U00*I0[154] - U10*I3[154] + loo2p*I2[154] - (twoo4zn)*I5[119];
*(vp++) = U00*I0[155] - U10*I3[155] + loo2p*I2[155] - (oneo4zn)*I5[120];
*(vp++) = U00*I0[156] - U10*I3[156] + loo2p*I2[156] - (oneo4zn)*I5[121];
*(vp++) = U00*I0[157] - U10*I3[157] + loo2p*I2[157] - (oneo4zn)*I5[122];
*(vp++) = U00*I0[158] - U10*I3[158] + loo2p*I2[158] - (oneo4zn)*I5[123];
*(vp++) = U00*I0[159] - U10*I3[159] + loo2p*I2[159] - (oneo4zn)*I5[124];
*(vp++) = U00*I0[160] - U10*I3[160] + loo2p*I2[160] - (oneo4zn)*I5[125];
*(vp++) = U00*I0[161] - U10*I3[161] + loo2p*I2[161];
*(vp++) = U00*I0[162] - U10*I3[162] + loo2p*I2[162];
*(vp++) = U00*I0[163] - U10*I3[163] + loo2p*I2[163];
*(vp++) = U00*I0[164] - U10*I3[164] + loo2p*I2[164];
*(vp++) = U00*I0[165] - U10*I3[165] + loo2p*I2[165];
*(vp++) = U00*I0[166] - U10*I3[166] + loo2p*I2[166];
*(vp++) = U00*I0[167] - U10*I3[167] + loo2p*I2[167];
*(vp++) = U01*I0[84] - U11*I3[84] + loo2p*I2[168]
        + (twoo2z)*I1[28] - (twoo4zn)*I4[28];
*(vp++) = U01*I0[85] - U11*I3[85] + loo2p*I2[169]
        + (twoo2z)*I1[29] - (twoo4zn)*I4[29] - (oneo4zn)*I5[63];
*(vp++) = U01*I0[86] - U11*I3[86] + loo2p*I2[170]
        + (twoo2z)*I1[30] - (twoo4zn)*I4[30];
*(vp++) = U01*I0[87] - U11*I3[87] + loo2p*I2[171]
        + (twoo2z)*I1[31] - (twoo4zn)*I4[31] - (twoo4zn)*I5[64];
*(vp++) = U01*I0[88] - U11*I3[88] + loo2p*I2[172]
        + (twoo2z)*I1[32] - (twoo4zn)*I4[32] - (oneo4zn)*I5[65];
*(vp++) = U01*I0[89] - U11*I3[89] + loo2p*I2[173]
        + (twoo2z)*I1[33] - (twoo4zn)*I4[33];
*(vp++) = U01*I0[90] - U11*I3[90] + loo2p*I2[174]
        + (twoo2z)*I1[34] - (twoo4zn)*I4[34] - (threeo4zn)*I5[66];
*(vp++) = U01*I0[91] - U11*I3[91] + loo2p*I2[175]
        + (twoo2z)*I1[35] - (twoo4zn)*I4[35] - (twoo4zn)*I5[67];
*(vp++) = U01*I0[92] - U11*I3[92] + loo2p*I2[176]
        + (twoo2z)*I1[36] - (twoo4zn)*I4[36] - (oneo4zn)*I5[68];
*(vp++) = U01*I0[93] - U11*I3[93] + loo2p*I2[177]
        + (twoo2z)*I1[37] - (twoo4zn)*I4[37];
*(vp++) = U01*I0[94] - U11*I3[94] + loo2p*I2[178]
        + (twoo2z)*I1[38] - (twoo4zn)*I4[38] - (fouro4zn)*I5[69];
*(vp++) = U01*I0[95] - U11*I3[95] + loo2p*I2[179]
        + (twoo2z)*I1[39] - (twoo4zn)*I4[39] - (threeo4zn)*I5[70];
*(vp++) = U01*I0[96] - U11*I3[96] + loo2p*I2[180]
        + (twoo2z)*I1[40] - (twoo4zn)*I4[40] - (twoo4zn)*I5[71];
*(vp++) = U01*I0[97] - U11*I3[97] + loo2p*I2[181]
        + (twoo2z)*I1[41] - (twoo4zn)*I4[41] - (oneo4zn)*I5[72];
*(vp++) = U01*I0[98] - U11*I3[98] + loo2p*I2[182]
        + (twoo2z)*I1[42] - (twoo4zn)*I4[42];
*(vp++) = U01*I0[99] - U11*I3[99] + loo2p*I2[183]
        + (twoo2z)*I1[43] - (twoo4zn)*I4[43] - (fiveo4zn)*I5[73];
*(vp++) = U01*I0[100] - U11*I3[100] + loo2p*I2[184]
        + (twoo2z)*I1[44] - (twoo4zn)*I4[44] - (fouro4zn)*I5[74];
*(vp++) = U01*I0[101] - U11*I3[101] + loo2p*I2[185]
        + (twoo2z)*I1[45] - (twoo4zn)*I4[45] - (threeo4zn)*I5[75];
*(vp++) = U01*I0[102] - U11*I3[102] + loo2p*I2[186]
        + (twoo2z)*I1[46] - (twoo4zn)*I4[46] - (twoo4zn)*I5[76];
*(vp++) = U01*I0[103] - U11*I3[103] + loo2p*I2[187]
        + (twoo2z)*I1[47] - (twoo4zn)*I4[47] - (oneo4zn)*I5[77];
*(vp++) = U01*I0[104] - U11*I3[104] + loo2p*I2[188]
        + (twoo2z)*I1[48] - (twoo4zn)*I4[48];
*(vp++) = U01*I0[105] - U11*I3[105] + loo2p*I2[189]
        + (twoo2z)*I1[49] - (twoo4zn)*I4[49] - (sixo4zn)*I5[78];
*(vp++) = U01*I0[106] - U11*I3[106] + loo2p*I2[190]
        + (twoo2z)*I1[50] - (twoo4zn)*I4[50] - (fiveo4zn)*I5[79];
*(vp++) = U01*I0[107] - U11*I3[107] + loo2p*I2[191]
        + (twoo2z)*I1[51] - (twoo4zn)*I4[51] - (fouro4zn)*I5[80];
*(vp++) = U01*I0[108] - U11*I3[108] + loo2p*I2[192]
        + (twoo2z)*I1[52] - (twoo4zn)*I4[52] - (threeo4zn)*I5[81];
*(vp++) = U01*I0[109] - U11*I3[109] + loo2p*I2[193]
        + (twoo2z)*I1[53] - (twoo4zn)*I4[53] - (twoo4zn)*I5[82];
*(vp++) = U01*I0[110] - U11*I3[110] + loo2p*I2[194]
        + (twoo2z)*I1[54] - (twoo4zn)*I4[54] - (oneo4zn)*I5[83];
*(vp++) = U01*I0[111] - U11*I3[111] + loo2p*I2[195]
        + (twoo2z)*I1[55] - (twoo4zn)*I4[55];
*(vp++) = U01*I0[112] - U11*I3[112] + loo2p*I2[196]
        + (oneo2z)*I1[56] - (oneo4zn)*I4[56];
*(vp++) = U01*I0[113] - U11*I3[113] + loo2p*I2[197]
        + (oneo2z)*I1[57] - (oneo4zn)*I4[57] - (oneo4zn)*I5[84];
*(vp++) = U01*I0[114] - U11*I3[114] + loo2p*I2[198]
        + (oneo2z)*I1[58] - (oneo4zn)*I4[58];
*(vp++) = U01*I0[115] - U11*I3[115] + loo2p*I2[199]
        + (oneo2z)*I1[59] - (oneo4zn)*I4[59] - (twoo4zn)*I5[85];
*(vp++) = U01*I0[116] - U11*I3[116] + loo2p*I2[200]
        + (oneo2z)*I1[60] - (oneo4zn)*I4[60] - (oneo4zn)*I5[86];
*(vp++) = U01*I0[117] - U11*I3[117] + loo2p*I2[201]
        + (oneo2z)*I1[61] - (oneo4zn)*I4[61];
*(vp++) = U01*I0[118] - U11*I3[118] + loo2p*I2[202]
        + (oneo2z)*I1[62] - (oneo4zn)*I4[62] - (threeo4zn)*I5[87];
*(vp++) = U01*I0[119] - U11*I3[119] + loo2p*I2[203]
        + (oneo2z)*I1[63] - (oneo4zn)*I4[63] - (twoo4zn)*I5[88];
*(vp++) = U01*I0[120] - U11*I3[120] + loo2p*I2[204]
        + (oneo2z)*I1[64] - (oneo4zn)*I4[64] - (oneo4zn)*I5[89];
*(vp++) = U01*I0[121] - U11*I3[121] + loo2p*I2[205]
        + (oneo2z)*I1[65] - (oneo4zn)*I4[65];
*(vp++) = U01*I0[122] - U11*I3[122] + loo2p*I2[206]
        + (oneo2z)*I1[66] - (oneo4zn)*I4[66] - (fouro4zn)*I5[90];
*(vp++) = U01*I0[123] - U11*I3[123] + loo2p*I2[207]
        + (oneo2z)*I1[67] - (oneo4zn)*I4[67] - (threeo4zn)*I5[91];
*(vp++) = U01*I0[124] - U11*I3[124] + loo2p*I2[208]
        + (oneo2z)*I1[68] - (oneo4zn)*I4[68] - (twoo4zn)*I5[92];
*(vp++) = U01*I0[125] - U11*I3[125] + loo2p*I2[209]
        + (oneo2z)*I1[69] - (oneo4zn)*I4[69] - (oneo4zn)*I5[93];
*(vp++) = U01*I0[126] - U11*I3[126] + loo2p*I2[210]
        + (oneo2z)*I1[70] - (oneo4zn)*I4[70];
*(vp++) = U01*I0[127] - U11*I3[127] + loo2p*I2[211]
        + (oneo2z)*I1[71] - (oneo4zn)*I4[71] - (fiveo4zn)*I5[94];
*(vp++) = U01*I0[128] - U11*I3[128] + loo2p*I2[212]
        + (oneo2z)*I1[72] - (oneo4zn)*I4[72] - (fouro4zn)*I5[95];
*(vp++) = U01*I0[129] - U11*I3[129] + loo2p*I2[213]
        + (oneo2z)*I1[73] - (oneo4zn)*I4[73] - (threeo4zn)*I5[96];
*(vp++) = U01*I0[130] - U11*I3[130] + loo2p*I2[214]
        + (oneo2z)*I1[74] - (oneo4zn)*I4[74] - (twoo4zn)*I5[97];
*(vp++) = U01*I0[131] - U11*I3[131] + loo2p*I2[215]
        + (oneo2z)*I1[75] - (oneo4zn)*I4[75] - (oneo4zn)*I5[98];
*(vp++) = U01*I0[132] - U11*I3[132] + loo2p*I2[216]
        + (oneo2z)*I1[76] - (oneo4zn)*I4[76];
*(vp++) = U01*I0[133] - U11*I3[133] + loo2p*I2[217]
        + (oneo2z)*I1[77] - (oneo4zn)*I4[77] - (sixo4zn)*I5[99];
*(vp++) = U01*I0[134] - U11*I3[134] + loo2p*I2[218]
        + (oneo2z)*I1[78] - (oneo4zn)*I4[78] - (fiveo4zn)*I5[100];
*(vp++) = U01*I0[135] - U11*I3[135] + loo2p*I2[219]
        + (oneo2z)*I1[79] - (oneo4zn)*I4[79] - (fouro4zn)*I5[101];
*(vp++) = U01*I0[136] - U11*I3[136] + loo2p*I2[220]
        + (oneo2z)*I1[80] - (oneo4zn)*I4[80] - (threeo4zn)*I5[102];
*(vp++) = U01*I0[137] - U11*I3[137] + loo2p*I2[221]
        + (oneo2z)*I1[81] - (oneo4zn)*I4[81] - (twoo4zn)*I5[103];
*(vp++) = U01*I0[138] - U11*I3[138] + loo2p*I2[222]
        + (oneo2z)*I1[82] - (oneo4zn)*I4[82] - (oneo4zn)*I5[104];
*(vp++) = U01*I0[139] - U11*I3[139] + loo2p*I2[223]
        + (oneo2z)*I1[83] - (oneo4zn)*I4[83];
*(vp++) = U01*I0[140] - U11*I3[140] + loo2p*I2[224];
*(vp++) = U01*I0[141] - U11*I3[141] + loo2p*I2[225] - (oneo4zn)*I5[105];
*(vp++) = U01*I0[142] - U11*I3[142] + loo2p*I2[226];
*(vp++) = U01*I0[143] - U11*I3[143] + loo2p*I2[227] - (twoo4zn)*I5[106];
*(vp++) = U01*I0[144] - U11*I3[144] + loo2p*I2[228] - (oneo4zn)*I5[107];
*(vp++) = U01*I0[145] - U11*I3[145] + loo2p*I2[229];
*(vp++) = U01*I0[146] - U11*I3[146] + loo2p*I2[230] - (threeo4zn)*I5[108];
*(vp++) = U01*I0[147] - U11*I3[147] + loo2p*I2[231] - (twoo4zn)*I5[109];
*(vp++) = U01*I0[148] - U11*I3[148] + loo2p*I2[232] - (oneo4zn)*I5[110];
*(vp++) = U01*I0[149] - U11*I3[149] + loo2p*I2[233];
*(vp++) = U01*I0[150] - U11*I3[150] + loo2p*I2[234] - (fouro4zn)*I5[111];
*(vp++) = U01*I0[151] - U11*I3[151] + loo2p*I2[235] - (threeo4zn)*I5[112];
*(vp++) = U01*I0[152] - U11*I3[152] + loo2p*I2[236] - (twoo4zn)*I5[113];
*(vp++) = U01*I0[153] - U11*I3[153] + loo2p*I2[237] - (oneo4zn)*I5[114];
*(vp++) = U01*I0[154] - U11*I3[154] + loo2p*I2[238];
*(vp++) = U01*I0[155] - U11*I3[155] + loo2p*I2[239] - (fiveo4zn)*I5[115];
*(vp++) = U01*I0[156] - U11*I3[156] + loo2p*I2[240] - (fouro4zn)*I5[116];
*(vp++) = U01*I0[157] - U11*I3[157] + loo2p*I2[241] - (threeo4zn)*I5[117];
*(vp++) = U01*I0[158] - U11*I3[158] + loo2p*I2[242] - (twoo4zn)*I5[118];
*(vp++) = U01*I0[159] - U11*I3[159] + loo2p*I2[243] - (oneo4zn)*I5[119];
*(vp++) = U01*I0[160] - U11*I3[160] + loo2p*I2[244];
*(vp++) = U01*I0[161] - U11*I3[161] + loo2p*I2[245] - (sixo4zn)*I5[120];
*(vp++) = U01*I0[162] - U11*I3[162] + loo2p*I2[246] - (fiveo4zn)*I5[121];
*(vp++) = U01*I0[163] - U11*I3[163] + loo2p*I2[247] - (fouro4zn)*I5[122];
*(vp++) = U01*I0[164] - U11*I3[164] + loo2p*I2[248] - (threeo4zn)*I5[123];
*(vp++) = U01*I0[165] - U11*I3[165] + loo2p*I2[249] - (twoo4zn)*I5[124];
*(vp++) = U01*I0[166] - U11*I3[166] + loo2p*I2[250] - (oneo4zn)*I5[125];
*(vp++) = U01*I0[167] - U11*I3[167] + loo2p*I2[251];
*(vp++) = U02*I0[140] - U12*I3[140] + loo2p*I2[252]
        + (twoo2z)*I1[56] - (twoo4zn)*I4[56];
*(vp++) = U02*I0[141] - U12*I3[141] + loo2p*I2[253]
        + (twoo2z)*I1[57] - (twoo4zn)*I4[57];
*(vp++) = U02*I0[142] - U12*I3[142] + loo2p*I2[254]
        + (twoo2z)*I1[58] - (twoo4zn)*I4[58] - (oneo4zn)*I5[105];
*(vp++) = U02*I0[143] - U12*I3[143] + loo2p*I2[255]
        + (twoo2z)*I1[59] - (twoo4zn)*I4[59];
*(vp++) = U02*I0[144] - U12*I3[144] + loo2p*I2[256]
        + (twoo2z)*I1[60] - (twoo4zn)*I4[60] - (oneo4zn)*I5[106];
*(vp++) = U02*I0[145] - U12*I3[145] + loo2p*I2[257]
        + (twoo2z)*I1[61] - (twoo4zn)*I4[61] - (twoo4zn)*I5[107];
*(vp++) = U02*I0[146] - U12*I3[146] + loo2p*I2[258]
        + (twoo2z)*I1[62] - (twoo4zn)*I4[62];
*(vp++) = U02*I0[147] - U12*I3[147] + loo2p*I2[259]
        + (twoo2z)*I1[63] - (twoo4zn)*I4[63] - (oneo4zn)*I5[108];
*(vp++) = U02*I0[148] - U12*I3[148] + loo2p*I2[260]
        + (twoo2z)*I1[64] - (twoo4zn)*I4[64] - (twoo4zn)*I5[109];
*(vp++) = U02*I0[149] - U12*I3[149] + loo2p*I2[261]
        + (twoo2z)*I1[65] - (twoo4zn)*I4[65] - (threeo4zn)*I5[110];
*(vp++) = U02*I0[150] - U12*I3[150] + loo2p*I2[262]
        + (twoo2z)*I1[66] - (twoo4zn)*I4[66];
*(vp++) = U02*I0[151] - U12*I3[151] + loo2p*I2[263]
        + (twoo2z)*I1[67] - (twoo4zn)*I4[67] - (oneo4zn)*I5[111];
*(vp++) = U02*I0[152] - U12*I3[152] + loo2p*I2[264]
        + (twoo2z)*I1[68] - (twoo4zn)*I4[68] - (twoo4zn)*I5[112];
*(vp++) = U02*I0[153] - U12*I3[153] + loo2p*I2[265]
        + (twoo2z)*I1[69] - (twoo4zn)*I4[69] - (threeo4zn)*I5[113];
*(vp++) = U02*I0[154] - U12*I3[154] + loo2p*I2[266]
        + (twoo2z)*I1[70] - (twoo4zn)*I4[70] - (fouro4zn)*I5[114];
*(vp++) = U02*I0[155] - U12*I3[155] + loo2p*I2[267]
        + (twoo2z)*I1[71] - (twoo4zn)*I4[71];
*(vp++) = U02*I0[156] - U12*I3[156] + loo2p*I2[268]
        + (twoo2z)*I1[72] - (twoo4zn)*I4[72] - (oneo4zn)*I5[115];
*(vp++) = U02*I0[157] - U12*I3[157] + loo2p*I2[269]
        + (twoo2z)*I1[73] - (twoo4zn)*I4[73] - (twoo4zn)*I5[116];
*(vp++) = U02*I0[158] - U12*I3[158] + loo2p*I2[270]
        + (twoo2z)*I1[74] - (twoo4zn)*I4[74] - (threeo4zn)*I5[117];
*(vp++) = U02*I0[159] - U12*I3[159] + loo2p*I2[271]
        + (twoo2z)*I1[75] - (twoo4zn)*I4[75] - (fouro4zn)*I5[118];
*(vp++) = U02*I0[160] - U12*I3[160] + loo2p*I2[272]
        + (twoo2z)*I1[76] - (twoo4zn)*I4[76] - (fiveo4zn)*I5[119];
*(vp++) = U02*I0[161] - U12*I3[161] + loo2p*I2[273]
        + (twoo2z)*I1[77] - (twoo4zn)*I4[77];
*(vp++) = U02*I0[162] - U12*I3[162] + loo2p*I2[274]
        + (twoo2z)*I1[78] - (twoo4zn)*I4[78] - (oneo4zn)*I5[120];
*(vp++) = U02*I0[163] - U12*I3[163] + loo2p*I2[275]
        + (twoo2z)*I1[79] - (twoo4zn)*I4[79] - (twoo4zn)*I5[121];
*(vp++) = U02*I0[164] - U12*I3[164] + loo2p*I2[276]
        + (twoo2z)*I1[80] - (twoo4zn)*I4[80] - (threeo4zn)*I5[122];
*(vp++) = U02*I0[165] - U12*I3[165] + loo2p*I2[277]
        + (twoo2z)*I1[81] - (twoo4zn)*I4[81] - (fouro4zn)*I5[123];
*(vp++) = U02*I0[166] - U12*I3[166] + loo2p*I2[278]
        + (twoo2z)*I1[82] - (twoo4zn)*I4[82] - (fiveo4zn)*I5[124];
*(vp++) = U02*I0[167] - U12*I3[167] + loo2p*I2[279]
        + (twoo2z)*I1[83] - (twoo4zn)*I4[83] - (sixo4zn)*I5[125];

}
