  /* These machine-generated functions compute a quartet of (ps||ls) integrals */

#include <libint/libint.h>
#include "libr12.h"

void _r_build_p0l0(prim_data *Data, REALTYPE *vp, const REALTYPE *I0, const REALTYPE *I1, const REALTYPE *I2, const REALTYPE *I3, const REALTYPE *I4, const REALTYPE *I5)
{
  REALTYPE U00, U01, U02, U10, U11, U12, U20, U21, U22;
  REALTYPE U30, U31, U32, U40, U41, U42, U50, U51, U52;
  REALTYPE loo2p = Data->oo2p;
  REALTYPE oneo4zn;
  REALTYPE twoo4zn;
  REALTYPE threeo4zn;
  REALTYPE fouro4zn;
  REALTYPE fiveo4zn;
  REALTYPE sixo4zn;
  REALTYPE seveno4zn;
  REALTYPE eighto4zn;
  oneo4zn = 1.0*Data->oo2z*Data->oo2n;
  twoo4zn = 2.0*Data->oo2z*Data->oo2n;
  threeo4zn = 3.0*Data->oo2z*Data->oo2n;
  fouro4zn = 4.0*Data->oo2z*Data->oo2n;
  fiveo4zn = 5.0*Data->oo2z*Data->oo2n;
  sixo4zn = 6.0*Data->oo2z*Data->oo2n;
  seveno4zn = 7.0*Data->oo2z*Data->oo2n;
  eighto4zn = 8.0*Data->oo2z*Data->oo2n;
  U00 = Data->U[0][0];
  U01 = Data->U[0][1];
  U02 = Data->U[0][2];
  U10 = Data->U[0][0]*Data->oo2n + Data->U[1][0]*Data->oo2z;
  U11 = Data->U[0][1]*Data->oo2n + Data->U[1][1]*Data->oo2z;
  U12 = Data->U[0][2]*Data->oo2n + Data->U[1][2]*Data->oo2z;

*(vp++) = U00*I0[0] - U10*I3[0] + loo2p*I2[0] - (eighto4zn)*I5[0];
*(vp++) = U00*I0[1] - U10*I3[1] + loo2p*I2[1] - (seveno4zn)*I5[1];
*(vp++) = U00*I0[2] - U10*I3[2] + loo2p*I2[2] - (seveno4zn)*I5[2];
*(vp++) = U00*I0[3] - U10*I3[3] + loo2p*I2[3] - (sixo4zn)*I5[3];
*(vp++) = U00*I0[4] - U10*I3[4] + loo2p*I2[4] - (sixo4zn)*I5[4];
*(vp++) = U00*I0[5] - U10*I3[5] + loo2p*I2[5] - (sixo4zn)*I5[5];
*(vp++) = U00*I0[6] - U10*I3[6] + loo2p*I2[6] - (fiveo4zn)*I5[6];
*(vp++) = U00*I0[7] - U10*I3[7] + loo2p*I2[7] - (fiveo4zn)*I5[7];
*(vp++) = U00*I0[8] - U10*I3[8] + loo2p*I2[8] - (fiveo4zn)*I5[8];
*(vp++) = U00*I0[9] - U10*I3[9] + loo2p*I2[9] - (fiveo4zn)*I5[9];
*(vp++) = U00*I0[10] - U10*I3[10] + loo2p*I2[10] - (fouro4zn)*I5[10];
*(vp++) = U00*I0[11] - U10*I3[11] + loo2p*I2[11] - (fouro4zn)*I5[11];
*(vp++) = U00*I0[12] - U10*I3[12] + loo2p*I2[12] - (fouro4zn)*I5[12];
*(vp++) = U00*I0[13] - U10*I3[13] + loo2p*I2[13] - (fouro4zn)*I5[13];
*(vp++) = U00*I0[14] - U10*I3[14] + loo2p*I2[14] - (fouro4zn)*I5[14];
*(vp++) = U00*I0[15] - U10*I3[15] + loo2p*I2[15] - (threeo4zn)*I5[15];
*(vp++) = U00*I0[16] - U10*I3[16] + loo2p*I2[16] - (threeo4zn)*I5[16];
*(vp++) = U00*I0[17] - U10*I3[17] + loo2p*I2[17] - (threeo4zn)*I5[17];
*(vp++) = U00*I0[18] - U10*I3[18] + loo2p*I2[18] - (threeo4zn)*I5[18];
*(vp++) = U00*I0[19] - U10*I3[19] + loo2p*I2[19] - (threeo4zn)*I5[19];
*(vp++) = U00*I0[20] - U10*I3[20] + loo2p*I2[20] - (threeo4zn)*I5[20];
*(vp++) = U00*I0[21] - U10*I3[21] + loo2p*I2[21] - (twoo4zn)*I5[21];
*(vp++) = U00*I0[22] - U10*I3[22] + loo2p*I2[22] - (twoo4zn)*I5[22];
*(vp++) = U00*I0[23] - U10*I3[23] + loo2p*I2[23] - (twoo4zn)*I5[23];
*(vp++) = U00*I0[24] - U10*I3[24] + loo2p*I2[24] - (twoo4zn)*I5[24];
*(vp++) = U00*I0[25] - U10*I3[25] + loo2p*I2[25] - (twoo4zn)*I5[25];
*(vp++) = U00*I0[26] - U10*I3[26] + loo2p*I2[26] - (twoo4zn)*I5[26];
*(vp++) = U00*I0[27] - U10*I3[27] + loo2p*I2[27] - (twoo4zn)*I5[27];
*(vp++) = U00*I0[28] - U10*I3[28] + loo2p*I2[28] - (oneo4zn)*I5[28];
*(vp++) = U00*I0[29] - U10*I3[29] + loo2p*I2[29] - (oneo4zn)*I5[29];
*(vp++) = U00*I0[30] - U10*I3[30] + loo2p*I2[30] - (oneo4zn)*I5[30];
*(vp++) = U00*I0[31] - U10*I3[31] + loo2p*I2[31] - (oneo4zn)*I5[31];
*(vp++) = U00*I0[32] - U10*I3[32] + loo2p*I2[32] - (oneo4zn)*I5[32];
*(vp++) = U00*I0[33] - U10*I3[33] + loo2p*I2[33] - (oneo4zn)*I5[33];
*(vp++) = U00*I0[34] - U10*I3[34] + loo2p*I2[34] - (oneo4zn)*I5[34];
*(vp++) = U00*I0[35] - U10*I3[35] + loo2p*I2[35] - (oneo4zn)*I5[35];
*(vp++) = U00*I0[36] - U10*I3[36] + loo2p*I2[36];
*(vp++) = U00*I0[37] - U10*I3[37] + loo2p*I2[37];
*(vp++) = U00*I0[38] - U10*I3[38] + loo2p*I2[38];
*(vp++) = U00*I0[39] - U10*I3[39] + loo2p*I2[39];
*(vp++) = U00*I0[40] - U10*I3[40] + loo2p*I2[40];
*(vp++) = U00*I0[41] - U10*I3[41] + loo2p*I2[41];
*(vp++) = U00*I0[42] - U10*I3[42] + loo2p*I2[42];
*(vp++) = U00*I0[43] - U10*I3[43] + loo2p*I2[43];
*(vp++) = U00*I0[44] - U10*I3[44] + loo2p*I2[44];
*(vp++) = U01*I0[0] - U11*I3[0] + loo2p*I2[45];
*(vp++) = U01*I0[1] - U11*I3[1] + loo2p*I2[46] - (oneo4zn)*I5[0];
*(vp++) = U01*I0[2] - U11*I3[2] + loo2p*I2[47];
*(vp++) = U01*I0[3] - U11*I3[3] + loo2p*I2[48] - (twoo4zn)*I5[1];
*(vp++) = U01*I0[4] - U11*I3[4] + loo2p*I2[49] - (oneo4zn)*I5[2];
*(vp++) = U01*I0[5] - U11*I3[5] + loo2p*I2[50];
*(vp++) = U01*I0[6] - U11*I3[6] + loo2p*I2[51] - (threeo4zn)*I5[3];
*(vp++) = U01*I0[7] - U11*I3[7] + loo2p*I2[52] - (twoo4zn)*I5[4];
*(vp++) = U01*I0[8] - U11*I3[8] + loo2p*I2[53] - (oneo4zn)*I5[5];
*(vp++) = U01*I0[9] - U11*I3[9] + loo2p*I2[54];
*(vp++) = U01*I0[10] - U11*I3[10] + loo2p*I2[55] - (fouro4zn)*I5[6];
*(vp++) = U01*I0[11] - U11*I3[11] + loo2p*I2[56] - (threeo4zn)*I5[7];
*(vp++) = U01*I0[12] - U11*I3[12] + loo2p*I2[57] - (twoo4zn)*I5[8];
*(vp++) = U01*I0[13] - U11*I3[13] + loo2p*I2[58] - (oneo4zn)*I5[9];
*(vp++) = U01*I0[14] - U11*I3[14] + loo2p*I2[59];
*(vp++) = U01*I0[15] - U11*I3[15] + loo2p*I2[60] - (fiveo4zn)*I5[10];
*(vp++) = U01*I0[16] - U11*I3[16] + loo2p*I2[61] - (fouro4zn)*I5[11];
*(vp++) = U01*I0[17] - U11*I3[17] + loo2p*I2[62] - (threeo4zn)*I5[12];
*(vp++) = U01*I0[18] - U11*I3[18] + loo2p*I2[63] - (twoo4zn)*I5[13];
*(vp++) = U01*I0[19] - U11*I3[19] + loo2p*I2[64] - (oneo4zn)*I5[14];
*(vp++) = U01*I0[20] - U11*I3[20] + loo2p*I2[65];
*(vp++) = U01*I0[21] - U11*I3[21] + loo2p*I2[66] - (sixo4zn)*I5[15];
*(vp++) = U01*I0[22] - U11*I3[22] + loo2p*I2[67] - (fiveo4zn)*I5[16];
*(vp++) = U01*I0[23] - U11*I3[23] + loo2p*I2[68] - (fouro4zn)*I5[17];
*(vp++) = U01*I0[24] - U11*I3[24] + loo2p*I2[69] - (threeo4zn)*I5[18];
*(vp++) = U01*I0[25] - U11*I3[25] + loo2p*I2[70] - (twoo4zn)*I5[19];
*(vp++) = U01*I0[26] - U11*I3[26] + loo2p*I2[71] - (oneo4zn)*I5[20];
*(vp++) = U01*I0[27] - U11*I3[27] + loo2p*I2[72];
*(vp++) = U01*I0[28] - U11*I3[28] + loo2p*I2[73] - (seveno4zn)*I5[21];
*(vp++) = U01*I0[29] - U11*I3[29] + loo2p*I2[74] - (sixo4zn)*I5[22];
*(vp++) = U01*I0[30] - U11*I3[30] + loo2p*I2[75] - (fiveo4zn)*I5[23];
*(vp++) = U01*I0[31] - U11*I3[31] + loo2p*I2[76] - (fouro4zn)*I5[24];
*(vp++) = U01*I0[32] - U11*I3[32] + loo2p*I2[77] - (threeo4zn)*I5[25];
*(vp++) = U01*I0[33] - U11*I3[33] + loo2p*I2[78] - (twoo4zn)*I5[26];
*(vp++) = U01*I0[34] - U11*I3[34] + loo2p*I2[79] - (oneo4zn)*I5[27];
*(vp++) = U01*I0[35] - U11*I3[35] + loo2p*I2[80];
*(vp++) = U01*I0[36] - U11*I3[36] + loo2p*I2[81] - (eighto4zn)*I5[28];
*(vp++) = U01*I0[37] - U11*I3[37] + loo2p*I2[82] - (seveno4zn)*I5[29];
*(vp++) = U01*I0[38] - U11*I3[38] + loo2p*I2[83] - (sixo4zn)*I5[30];
*(vp++) = U01*I0[39] - U11*I3[39] + loo2p*I2[84] - (fiveo4zn)*I5[31];
*(vp++) = U01*I0[40] - U11*I3[40] + loo2p*I2[85] - (fouro4zn)*I5[32];
*(vp++) = U01*I0[41] - U11*I3[41] + loo2p*I2[86] - (threeo4zn)*I5[33];
*(vp++) = U01*I0[42] - U11*I3[42] + loo2p*I2[87] - (twoo4zn)*I5[34];
*(vp++) = U01*I0[43] - U11*I3[43] + loo2p*I2[88] - (oneo4zn)*I5[35];
*(vp++) = U01*I0[44] - U11*I3[44] + loo2p*I2[89];
*(vp++) = U02*I0[0] - U12*I3[0] + loo2p*I2[90];
*(vp++) = U02*I0[1] - U12*I3[1] + loo2p*I2[91];
*(vp++) = U02*I0[2] - U12*I3[2] + loo2p*I2[92] - (oneo4zn)*I5[0];
*(vp++) = U02*I0[3] - U12*I3[3] + loo2p*I2[93];
*(vp++) = U02*I0[4] - U12*I3[4] + loo2p*I2[94] - (oneo4zn)*I5[1];
*(vp++) = U02*I0[5] - U12*I3[5] + loo2p*I2[95] - (twoo4zn)*I5[2];
*(vp++) = U02*I0[6] - U12*I3[6] + loo2p*I2[96];
*(vp++) = U02*I0[7] - U12*I3[7] + loo2p*I2[97] - (oneo4zn)*I5[3];
*(vp++) = U02*I0[8] - U12*I3[8] + loo2p*I2[98] - (twoo4zn)*I5[4];
*(vp++) = U02*I0[9] - U12*I3[9] + loo2p*I2[99] - (threeo4zn)*I5[5];
*(vp++) = U02*I0[10] - U12*I3[10] + loo2p*I2[100];
*(vp++) = U02*I0[11] - U12*I3[11] + loo2p*I2[101] - (oneo4zn)*I5[6];
*(vp++) = U02*I0[12] - U12*I3[12] + loo2p*I2[102] - (twoo4zn)*I5[7];
*(vp++) = U02*I0[13] - U12*I3[13] + loo2p*I2[103] - (threeo4zn)*I5[8];
*(vp++) = U02*I0[14] - U12*I3[14] + loo2p*I2[104] - (fouro4zn)*I5[9];
*(vp++) = U02*I0[15] - U12*I3[15] + loo2p*I2[105];
*(vp++) = U02*I0[16] - U12*I3[16] + loo2p*I2[106] - (oneo4zn)*I5[10];
*(vp++) = U02*I0[17] - U12*I3[17] + loo2p*I2[107] - (twoo4zn)*I5[11];
*(vp++) = U02*I0[18] - U12*I3[18] + loo2p*I2[108] - (threeo4zn)*I5[12];
*(vp++) = U02*I0[19] - U12*I3[19] + loo2p*I2[109] - (fouro4zn)*I5[13];
*(vp++) = U02*I0[20] - U12*I3[20] + loo2p*I2[110] - (fiveo4zn)*I5[14];
*(vp++) = U02*I0[21] - U12*I3[21] + loo2p*I2[111];
*(vp++) = U02*I0[22] - U12*I3[22] + loo2p*I2[112] - (oneo4zn)*I5[15];
*(vp++) = U02*I0[23] - U12*I3[23] + loo2p*I2[113] - (twoo4zn)*I5[16];
*(vp++) = U02*I0[24] - U12*I3[24] + loo2p*I2[114] - (threeo4zn)*I5[17];
*(vp++) = U02*I0[25] - U12*I3[25] + loo2p*I2[115] - (fouro4zn)*I5[18];
*(vp++) = U02*I0[26] - U12*I3[26] + loo2p*I2[116] - (fiveo4zn)*I5[19];
*(vp++) = U02*I0[27] - U12*I3[27] + loo2p*I2[117] - (sixo4zn)*I5[20];
*(vp++) = U02*I0[28] - U12*I3[28] + loo2p*I2[118];
*(vp++) = U02*I0[29] - U12*I3[29] + loo2p*I2[119] - (oneo4zn)*I5[21];
*(vp++) = U02*I0[30] - U12*I3[30] + loo2p*I2[120] - (twoo4zn)*I5[22];
*(vp++) = U02*I0[31] - U12*I3[31] + loo2p*I2[121] - (threeo4zn)*I5[23];
*(vp++) = U02*I0[32] - U12*I3[32] + loo2p*I2[122] - (fouro4zn)*I5[24];
*(vp++) = U02*I0[33] - U12*I3[33] + loo2p*I2[123] - (fiveo4zn)*I5[25];
*(vp++) = U02*I0[34] - U12*I3[34] + loo2p*I2[124] - (sixo4zn)*I5[26];
*(vp++) = U02*I0[35] - U12*I3[35] + loo2p*I2[125] - (seveno4zn)*I5[27];
*(vp++) = U02*I0[36] - U12*I3[36] + loo2p*I2[126];
*(vp++) = U02*I0[37] - U12*I3[37] + loo2p*I2[127] - (oneo4zn)*I5[28];
*(vp++) = U02*I0[38] - U12*I3[38] + loo2p*I2[128] - (twoo4zn)*I5[29];
*(vp++) = U02*I0[39] - U12*I3[39] + loo2p*I2[129] - (threeo4zn)*I5[30];
*(vp++) = U02*I0[40] - U12*I3[40] + loo2p*I2[130] - (fouro4zn)*I5[31];
*(vp++) = U02*I0[41] - U12*I3[41] + loo2p*I2[131] - (fiveo4zn)*I5[32];
*(vp++) = U02*I0[42] - U12*I3[42] + loo2p*I2[132] - (sixo4zn)*I5[33];
*(vp++) = U02*I0[43] - U12*I3[43] + loo2p*I2[133] - (seveno4zn)*I5[34];
*(vp++) = U02*I0[44] - U12*I3[44] + loo2p*I2[134] - (eighto4zn)*I5[35];

}
